package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.AaccEuskadiConfederacion;
import com.ejie.y41b.model.AaccEuskadiCuota;
import com.ejie.y41b.model.AaccEuskadiOrganoGestor;

/**
 * AaccEuskadiCuotaDao  
 * 
 *  
 */

public interface AaccEuskadiCuotaDao {

	/**
	 * Finds a List of rows in the AaccEuskadiCuota table.
	 *
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<AaccEuskadiCuota> findAll(AaccEuskadiCuota aaccEuskadiCuota, Pagination pagination);

	/**
	 * Counts rows in the AaccEuskadiCuota table.
	 *
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @return Long
	 */
	public Long findAllCount(AaccEuskadiCuota aaccEuskadiCuota);

	/**
	 * Inserts a single row in the AaccEuskadiCuota table.
	 *
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @return AaccEuskadiCuota
	 */
	AaccEuskadiCuota addTemp(AaccEuskadiCuota aaccEuskadiCuota);

	/**
	 * Deletes a single row in the AaccEuskadiCuota table.
	 * 
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @return
	 */
	void remove(AaccEuskadiCuota aaccEuskadiCuota);

	/**
	 * Removes all rows in the AaccEuskadiCuotaTemp table.
	 * 
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @return
	 */
	public void removeAllTemp(AaccEuskadiCuota aaccEuskadiCuota);

	/**
	 * Finds a List of rows in the AaccEuskadiCuota table.
	 *
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<AaccEuskadiCuota> findAllFinal(AaccEuskadiCuota aaccEuskadiCuota, Pagination pagination);

	/**
	 * Removes all rows in the AaccEuskadiCuota table.
	 * 
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @return
	 */
	public void removeAllFinal(AaccEuskadiCuota aaccEuskadiCuota);

	/**
	 * Inserts a single row in the AaccEuskadiCuota Final table.
	 *
	 * @param aaccEuskadiCuota
	 *            AaccEuskadiCuota
	 * @return AaccEuskadiCuota
	 */
	AaccEuskadiCuota addFinal(AaccEuskadiCuota aaccEuskadiCuota);
}
