package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.constantes.Y41bConstantes;
import com.ejie.y41b.model.AaccEuskadiFederacion;
import com.ejie.y41b.model.AaccEuskadiSede;
import com.ejie.y41b.utils.Y41bUIDGenerator;

/**
 * AaccDao  
 * 
 *  
 */

public interface AaccEuskadiFederacionDao {

	// /**
	// * Inserts rows in the AaccEuskadiFederacion table.
	// *
	// * @param codOrgFederacion
	// * String
	// * @param codOrgAsocOCop
	// * String
	// * @return void
	// */
	// public void addMiembroFederacion(String codOrgFederacion, String
	// codOrgAsocOCop);

	/**
	 * Inserts rows in the AaccEuskadiFederacion table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return AaccEuskadiFederacion
	 */
	public AaccEuskadiFederacion addTemp(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Finds a List of rows in the AaccEuskadiFederacion table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<AaccEuskadiFederacion> findAll(AaccEuskadiFederacion aaccEuskadiFederacion, Pagination pagination);

	/**
	 * Finds a List of rows in the AaccEuskadiFederacion table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<AaccEuskadiFederacion> findAllFinal(AaccEuskadiFederacion aaccEuskadiFederacion, Pagination pagination);

	/**
	 * Counts rows in the AaccEuskadiFederacion table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return Long
	 */
	public Long findAllCount(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Counts rows in the AaccEuskadiFederacion table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return Long
	 */
	public Long existeCount(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Deletes a single row in the AaccEuskadiFederacion table.
	 * 
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return
	 */
	void remove(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Inserts a single row in the AaccEuskadiFederacion Final table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return AaccEuskadiFederacion
	 */
	AaccEuskadiFederacion addFinal(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Removes all rows in the AACCEUSKADI_FEDERACION table.
	 * 
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return
	 */
	public void removeAllFinal(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Removes all rows in the AACCEUSKADI_FEDERACION table.
	 * 
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return
	 */
	public void removeAllTemp(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Counts rows in the AaccEuskadiFederacion table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @return Long
	 */
	public Long findAllFederacionesCount(AaccEuskadiFederacion aaccEuskadiFederacion);

	/**
	 * Finds a List of rows in the AaccEuskadiFederacion table.
	 *
	 * @param aaccEuskadiFederacion
	 *            AaccEuskadiFederacion
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<AaccEuskadiFederacion> findAllFederaciones(AaccEuskadiFederacion aaccEuskadiFederacion,
			Pagination pagination);

	/**
	 * Removes a single row in the AACCEUSKADI_FEDERACION table.
	 * 
	 * @param codOrgAsocOCoop
	 *            String
	 * @return
	 */
	public void removeFromFederacionesFinalByCodAsoocOCoop(String codOrgAsocOCoop);

}
