package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.AdjunDatosMailEstablec;
import com.ejie.y41b.model.Establecimiento;

/**
 * AdjunDatosMailEstablecDao  
 * 
 *  
 */

public interface AdjunDatosMailEstablecDao {

	/**
	 * Inserts a single row in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @return AdjunDatosMailEstablec
	 */
	AdjunDatosMailEstablec add(AdjunDatosMailEstablec adjundatosmailestablec);

	/**
	 * Updates a single row in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @return AdjunDatosMailEstablec
	 */
	AdjunDatosMailEstablec update(AdjunDatosMailEstablec adjundatosmailestablec);

	/**
	 * Finds a single row in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @return AdjunDatosMailEstablec
	 */
	AdjunDatosMailEstablec find(AdjunDatosMailEstablec adjundatosmailestablec);

	/**
	 * Deletes a single row in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @return
	 */
	void remove(AdjunDatosMailEstablec adjundatosmailestablec);

	/**
	 * Finds a List of rows in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<AdjunDatosMailEstablec> findAll(
			AdjunDatosMailEstablec adjundatosmailestablec, Pagination pagination);

	/**
	 * Counts rows in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @return Long
	 */
	Long findAllCount(AdjunDatosMailEstablec adjundatosmailestablec);

	/**
	 * Finds rows in the AdjunDatosMailEstablec table using like.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<AdjunDatosMailEstablec> findAllLike(
			AdjunDatosMailEstablec adjundatosmailestablec,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the AdjunDatosMailEstablec table using like.
	 * 
	 * @param adjundatosmailestablec
	 *            AdjunDatosMailEstablec
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(AdjunDatosMailEstablec adjundatosmailestablec,
			Boolean startsWith);

	/**
	 * Removes a single row in the AdjunDatosMailEstablec table.
	 * 
	 * @param establecimiento
	 *            Establecimiento
	 * @return
	 */
	public void removeAllAdjunDatosMailEstablec(Establecimiento establecimiento);

	/**
	 * Counts rows in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjunDatosMailEstablec
	 *            AdjunDatosMailEstablec
	 * @return Long
	 */

	public Long countDescripciones(AdjunDatosMailEstablec adjunDatosMailEstablec);
}
