package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.AdjunDatosMailSede;
import com.ejie.y41b.model.Establecimiento;
import com.ejie.y41b.model.Sede;

/**
 * AdjunDatosMailSedeDao  
 * 
 *  
 */

public interface AdjunDatosMailSedeDao {

	/**
	 * Inserts a single row in the AdjunDatosMailSede table.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @return AdjunDatosMailSede
	 */
	AdjunDatosMailSede add(AdjunDatosMailSede adjundatosmailsede);

	/**
	 * Updates a single row in the AdjunDatosMailSede table.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @return AdjunDatosMailSede
	 */
	AdjunDatosMailSede update(AdjunDatosMailSede adjundatosmailsede);

	/**
	 * Finds a single row in the AdjunDatosMailSede table.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @return AdjunDatosMailSede
	 */
	AdjunDatosMailSede find(AdjunDatosMailSede adjundatosmailsede);

	/**
	 * Deletes a single row in the AdjunDatosMailSede table.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @return
	 */
	void remove(AdjunDatosMailSede adjundatosmailsede);

	/**
	 * Finds a List of rows in the AdjunDatosMailSede table.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<AdjunDatosMailSede> findAll(AdjunDatosMailSede adjundatosmailsede,
			Pagination pagination);

	/**
	 * Counts rows in the AdjunDatosMailSede table.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @return Long
	 */
	Long findAllCount(AdjunDatosMailSede adjundatosmailsede);

	/**
	 * Finds rows in the AdjunDatosMailSede table using like.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<AdjunDatosMailSede> findAllLike(AdjunDatosMailSede adjundatosmailsede,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the AdjunDatosMailSede table using like.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(AdjunDatosMailSede adjundatosmailsede,
			Boolean startsWith);

	/**
	 * Removes a single row in the AdjunDatosMailEstablecSede table.
	 * 
	 * @param establecimiento
	 *            Establecimiento
	 * @return
	 */
	public void removeAllAdjunDatosMailEstablecSede(
			Establecimiento establecimiento);

	/**
	 * Removes a single row in the AdjunDatosMailEstablecSede table.
	 * 
	 * @param sedeAux
	 *            Sede
	 * @return
	 */
	public void removeAllAdjunDatosMailEstablecSede(Sede sedeAux);

	/**
	 * Counts rows in the AdjunDatosMailEstablec table.
	 * 
	 * @param adjundatosmailsede
	 *            AdjunDatosMailSede
	 * @return Long
	 */

	public Long countDescripciones(AdjunDatosMailSede adjundatosmailsede);

}
