package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.AdjuntarCampanhaproducto;
import com.ejie.y41b.model.Campanha;

/**
 * AdjuntarCampanhaproductoDao  
 * 
 *  
 */

public interface AdjuntarCampanhaproductoDao {

	/**
	 * Inserts a single row in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @return AdjuntarCampanhaproducto
	 */
	AdjuntarCampanhaproducto add(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto);

	/**
	 * Updates a single row in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @return AdjuntarCampanhaproducto
	 */
	AdjuntarCampanhaproducto update(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto);

	/**
	 * Finds a single row in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @return AdjuntarCampanhaproducto
	 */
	AdjuntarCampanhaproducto find(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto);

	/**
	 * Deletes a single row in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @return
	 */
	void remove(AdjuntarCampanhaproducto adjuntarcampanhaproducto);

	/**
	 * Finds a List of rows in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<AdjuntarCampanhaproducto> findAll(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto,
			Pagination pagination);

	/**
	 * Counts rows in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @return Long
	 */
	Long findAllCount(AdjuntarCampanhaproducto adjuntarcampanhaproducto);

	/**
	 * Counts rows in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @return Long
	 */
	public Long findAllProductoCount(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto);

	/**
	 * Finds a List of rows in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<AdjuntarCampanhaproducto> findAllCampanhaproducto(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto,
			Pagination pagination);

	/**
	 * Counts rows in the AdjuntarCampanhaproducto table.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @return Long
	 */
	public Long findAllCampanhaproductoCount(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto);

	/**
	 * Finds rows in the AdjuntarCampanhaproducto table using like.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<AdjuntarCampanhaproducto> findAllLike(
			AdjuntarCampanhaproducto adjuntarcampanhaproducto,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the AdjuntarCampanhaproducto table using like.
	 * 
	 * @param adjuntarcampanhaproducto
	 *            AdjuntarCampanhaproducto
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(AdjuntarCampanhaproducto adjuntarcampanhaproducto,
			Boolean startsWith);

	/**
	 * Removes a single row in the AdjuntarCampanhaproducto table.
	 * 
	 * @param campanha
	 *            Campanha
	 * @return
	 */
	public void removeAllCampanhaproducto(Campanha campanha);

	/**
	 * Inserts a single row in the AdjuntarCampanhaproducto table.
	 * 
	 * @param campanha
	 *            Campanha
	 */
	public void addCampanhaproducto(Campanha campanha);
}
