package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Arbpropbandeja;

/**
 * ArbpropbandejaDao  
 * 
 *  
 */

public interface ArbpropbandejaDao {

	/**
	 * Inserts a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Arbpropbandeja
	 */
	Arbpropbandeja add(Arbpropbandeja arbpropbandeja);

	/**
	 * Updates a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Arbpropbandeja
	 */
	Arbpropbandeja update(Arbpropbandeja arbpropbandeja);

	/**
	 * Updates a single row in the Arbpropbandeja table.
	 * 
	 * @param escodigoBueno
	 *            Pagination
	 * @param escodigoAfusionar
	 *            Pagination
	 */
	public void updateEstablecimiento(String escodigoBueno,
			String escodigoAfusionar);

	/**
	 * Finds a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Arbpropbandeja
	 */
	Arbpropbandeja find(Arbpropbandeja arbpropbandeja);

	/**
	 * Finds a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Arbpropbandeja
	 */
	String findReclamante(Arbpropbandeja arbpropbandeja);

	/**
	 * Deletes a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return
	 */
	void remove(Arbpropbandeja arbpropbandeja);

	/**
	 * Removes a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Pagination
	 * @return
	 */
	public void removeSolicitudes(Arbpropbandeja arbpropbandeja);

	/**
	 * Finds a List of rows in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<Arbpropbandeja> findAll(Arbpropbandeja arbpropbandeja,
			Pagination pagination);

	/**
	 * Counts rows in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Long
	 */
	Long findAllCount(Arbpropbandeja arbpropbandeja);

	/**
	 * Finds rows in the Arbpropbandeja table using like.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Arbpropbandeja> findAllLike(Arbpropbandeja arbpropbandeja,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the Arbpropbandeja table using like.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(Arbpropbandeja arbpropbandeja, Boolean startsWith);

	/**
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * 
	 */
	public void setObservaciones(Arbpropbandeja arbpropbandeja);

}
