package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.ComunicacionSoivre;
import com.ejie.y41b.model.ComunicacionSoivreRel;

/**
 * ComunicacionSoivreRelDao  
 * 
 *  
 */

public interface ComunicacionSoivreRelDao {

	/**
	 * Inserts a single row in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @return ComunicacionSoivreRel
	 */
	ComunicacionSoivreRel add(ComunicacionSoivreRel comunicacionsoivrerel);

	/**
	 * Updates a single row in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @return ComunicacionSoivreRel
	 */
	ComunicacionSoivreRel update(ComunicacionSoivreRel comunicacionsoivrerel);

	/**
	 * Finds a single row in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @return ComunicacionSoivreRel
	 */
	ComunicacionSoivreRel find(ComunicacionSoivreRel comunicacionsoivrerel);

	/**
	 * Deletes a single row in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @return
	 */
	void remove(ComunicacionSoivreRel comunicacionsoivrerel);

	/**
	 * Finds a List of rows in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<ComunicacionSoivreRel> findAll(
			ComunicacionSoivreRel comunicacionsoivrerel, Pagination pagination);

	/**
	 * Counts rows in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @return Long
	 */
	Long findAllCount(ComunicacionSoivreRel comunicacionsoivrerel);

	/**
	 * Finds rows in the ComunicacionSoivreRel table using like.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<ComunicacionSoivreRel> findAllLike(
			ComunicacionSoivreRel comunicacionsoivrerel, Pagination pagination,
			Boolean startsWith);

	/**
	 * Counts rows in the ComunicacionSoivreRel table using like.
	 * 
	 * @param comunicacionsoivrerel
	 *            ComunicacionSoivreRel
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(ComunicacionSoivreRel comunicacionsoivrerel,
			Boolean startsWith);

	/**
	 * Deletes a single row in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionSoivre
	 *            ComunicacionSoivre
	 * @return
	 */
	public void removeAllComunicacionesSoivreRel(
			ComunicacionSoivre comunicacionSoivre);

	/**
	 * Inserts a single row in the ComunicacionSoivreRel table.
	 * 
	 * @param comunicacionSoivre
	 *            ComunicacionSoivre
	 */
	public void addAllComunicacionesSoivreRelAdjuntarComsoivreRel(
			ComunicacionSoivre comunicacionSoivre);
}
