package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.CorrespondenciaDecisionL21;

/**
 * CorrespondenciaDecisionL21Dao  
 *  
 */

public interface CorrespondenciaDecisionL21Dao {
    
    /**
     * Inserts a single row in the CorrespondenciaDecisionL21 table.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @return CorrespondenciaDecisionL21
     */
    CorrespondenciaDecisionL21 add(CorrespondenciaDecisionL21 correspondenciadecisionl21);

    /**
     * Updates a single row in the CorrespondenciaDecisionL21 table.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @return CorrespondenciaDecisionL21
     */
    CorrespondenciaDecisionL21 update(CorrespondenciaDecisionL21 correspondenciadecisionl21);

    /**
     * Finds a single row in the CorrespondenciaDecisionL21 table.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @return CorrespondenciaDecisionL21
     */
    CorrespondenciaDecisionL21 find(CorrespondenciaDecisionL21 correspondenciadecisionl21);

    /**
     * Deletes a single row in the CorrespondenciaDecisionL21 table.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @return 
     */
    void remove(CorrespondenciaDecisionL21 correspondenciadecisionl21);

    /**
     * Finds a List of rows in the CorrespondenciaDecisionL21 table.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @param pagination Pagination
     * @return List
     */
    List<CorrespondenciaDecisionL21> findAll(CorrespondenciaDecisionL21 correspondenciadecisionl21, Pagination pagination);

    /**
     * Counts rows in the CorrespondenciaDecisionL21 table.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @return Long
     */
    Long findAllCount(CorrespondenciaDecisionL21 correspondenciadecisionl21);
	
	/**
     * Finds rows in the CorrespondenciaDecisionL21 table using like.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<CorrespondenciaDecisionL21> findAllLike(CorrespondenciaDecisionL21 correspondenciadecisionl21, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the CorrespondenciaDecisionL21 table using like.
     *
     * @param correspondenciadecisionl21 CorrespondenciaDecisionL21
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(CorrespondenciaDecisionL21 correspondenciadecisionl21, Boolean startsWith);
}

