package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.DestComunicacion;

/**
 * * DestComunicacionDao  
 * 
 *  
 */

public interface DestComunicacionDao {

	/**
	 * Inserts a single row in the DestComunicacion table.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @return DestComunicacion
	 */
	DestComunicacion add(DestComunicacion destcomunicacion);

	/**
	 * Updates a single row in the DestComunicacion table.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @return DestComunicacion
	 */
	DestComunicacion update(DestComunicacion destcomunicacion);

	/**
	 * Finds a single row in the DestComunicacion table.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @return DestComunicacion
	 */
	DestComunicacion find(DestComunicacion destcomunicacion);

	/**
	 * Deletes a single row in the DestComunicacion table.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @return
	 */
	void remove(DestComunicacion destcomunicacion);

	/**
	 * Finds a List of rows in the DestComunicacion table.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<DestComunicacion> findAll(DestComunicacion destcomunicacion,
			Pagination pagination);

	/**
	 * Counts rows in the DestComunicacion table.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @return List
	 */
	Long findAllCount(DestComunicacion destcomunicacion);

	/**
	 * Counts rows in the DestComunicacion table.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @return Long
	 */
	public Long findAllLeidoCount(DestComunicacion destcomunicacion);

	/**
	 * Finds rows in the DestComunicacion table using like.
	 * 
	 * @param destcomunicacion
	 *            DestComunicacion
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<DestComunicacion> findAllLike(DestComunicacion destcomunicacion,
			Pagination pagination, Boolean startsWith);
}
