package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.DocumentosFirmaArbitros;

/**
 * BandejaFirmaDao  
 * 
 *  
 */

public interface DocumentosFirmaArbitrosDao {

	/**
	 * Inserts a single row in the DocumentosFirmaArbitros table.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @return DocumentosFirmaArbitros
	 */
	DocumentosFirmaArbitros add(DocumentosFirmaArbitros documentosFirmaArbitros);

	/**
	 * Updates a single row in the DocumentosFirmaArbitros table.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @return DocumentosFirmaArbitros
	 */
	DocumentosFirmaArbitros update(DocumentosFirmaArbitros bandejafirma);

	// /**
	// * Updates a single row in the DocumentosFirmaArbitros table.
	// *
	// * @param bandejafirma
	// * DocumentosFirmaArbitros
	// * @return DocumentosFirmaArbitros
	// */
	// DocumentosFirmaArbitros updateComoFirma(DocumentosFirmaArbitros
	// bandejafirma);

	/**
	 * Finds a single row in the DocumentosFirmaArbitros table.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @return DocumentosFirmaArbitros
	 */
	DocumentosFirmaArbitros find(DocumentosFirmaArbitros bandejafirma);

	/**
	 * Deletes a single row in the DocumentosFirmaArbitros table.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @return
	 */
	void remove(DocumentosFirmaArbitros bandejafirma);

	/**
	 * Finds a List of rows in the DocumentosFirmaArbitros table.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<DocumentosFirmaArbitros> findAll(DocumentosFirmaArbitros bandejafirma,
			Pagination pagination);

	/**
	 * Counts rows in the DocumentosFirmaArbitros table.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @return Long
	 */
	Long findAllCount(DocumentosFirmaArbitros bandejafirma);

	/**
	 * Finds rows in the DocumentosFirmaArbitros table using like.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<DocumentosFirmaArbitros> findAllLike(
			DocumentosFirmaArbitros bandejafirma, Pagination pagination,
			Boolean startsWith);

	/**
	 * Counts rows in the DocumentosFirmaArbitros table using like.
	 * 
	 * @param bandejafirma
	 *            DocumentosFirmaArbitros
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(DocumentosFirmaArbitros bandejafirma,
			Boolean startsWith);
}
