package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.DocumentoSolicitudTelematicaEventos;
import com.ejie.y41b.model.SolicitudTelematicaEventos;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * BandejaSolicitudesDao  
 * 
 *  
 */

public interface DocumentosSolicitudesTelematicasEventosDao {

	/**
	 * Finds a List of rows in the SolicitudesTelematicasEventos table.
	 * 
	 * @param filterDocumentoSolicitudTelematicaEventos
	 *            DocumentoSolicitudTelematicaEventos
	 * 
	 * @param pagination
	 *            Pagination
	 * @return List
	 */

	public List<DocumentoSolicitudTelematicaEventos> findAllDocumentosSTE(
			DocumentoSolicitudTelematicaEventos filterDocumentoSolicitudTelematicaEventos, Pagination pagination);

	/**
	 * Counts rows in the SolicitudesTelematicasEventos table.
	 * 
	 * @param filterDocumentoSolicitudTelematicaEventos
	 *            DocumentoSolicitudTelematicaEventos
	 * 
	 * @return Long
	 */
	public Long findAllDocumentosSTECount(
			DocumentoSolicitudTelematicaEventos filterDocumentoSolicitudTelematicaEventos);

	/**
	 * Inserts a single row in the DocumentoSolicitudTelematicaEventos table.
	 * 
	 * @param documentoSolicitudTelematicaEventos
	 *            DocumentoSolicitudTelematicaEventos
	 * @return DocumentoSolicitudTelematicaEventos
	 */
	DocumentoSolicitudTelematicaEventos add(DocumentoSolicitudTelematicaEventos documentoSolicitudTelematicaEventos);

	/**
	 * Removes all rows in the DocumentoSolicitudTelematicaEventos from
	 * SolicitudTelematicaEventos.
	 * 
	 * @param solicitudTelematicaEventos
	 *            SolicitudTelematicaEventos
	 * @return
	 */
	public void removeDocumentosSolicitudTelematicaEventos(SolicitudTelematicaEventos solicitudTelematicaEventos);
}
