package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.EsCanalPrioritario;
import com.ejie.y41b.model.EstablecimSector;
import com.ejie.y41b.model.Establecimiento;

/**
 * * EstablecimientoDao  
 * 
 *  
 */

public interface EsCanalPrioritarioDao {

	/**
	 * Finds a single row in the EsCanalPrioritario table.
	 * 
	 * @param esCanalPrioritario
	 *            EsCanalPrioritario
	 * @return EsCanalPrioritario
	 */
	EsCanalPrioritario findEsCanalPrioritario(EsCanalPrioritario esCanalPrioritario);

	/**
	 * Finds rows in the EsCanalPrioritario table using like.
	 * 
	 * @param esCanalPrioritario
	 *            EsCanalPrioritario
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<EsCanalPrioritario> findAllLikeEsCanalPrioritario(EsCanalPrioritario esCanalPrioritario, Pagination pagination,
			Boolean startsWith);

	/**
	 * Counts rows in the EsCanalPrioritario table using like.
	 * 
	 * @param esCanalPrioritario
	 *            EsCanalPrioritario
	 * 
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	Long findAllLikeEsCanalPrioritarioCount(EsCanalPrioritario esCanalPrioritario, Boolean startsWith);

	/**
	 * Inserts a single row in the EsCanalPrioritario table.
	 * 
	 * @param esCanalPrioritario
	 *            EsCanalPrioritario
	 * @return EsCanalPrioritario
	 */
	EsCanalPrioritario addEsCanalPrioritario(EsCanalPrioritario esCanalPrioritario);

	/**
	 * Updates a single row in the EsCanalPrioritario table.
	 * 
	 * @param esCanalPrioritario
	 *            EsCanalPrioritario
	 * @return EsCanalPrioritario
	 */
	EsCanalPrioritario updateEsCanalPrioritario(EsCanalPrioritario esCanalPrioritario);

	/**
	 * Removes a single row in the EsCanalPrioritario table.
	 * 
	 * @param esCanalPrioritario
	 *            EsCanalPrioritario
	 * @return
	 */
	void remove(EsCanalPrioritario esCanalPrioritario);
}
