package com.ejie.y41b.dao;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.EstablecimSector;

/**
 * * EstablecimSectorDao  
 * 
 *  
 */

public interface EstablecimSectorDao {

	/**
	 * Inserts a single row in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            EstablecimSector
	 * @return EstablecimSector
	 */
	EstablecimSector add(EstablecimSector establecimsector);

	/**
	 * Updates a single row in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            EstablecimSector
	 * @return EstablecimSector
	 */
	EstablecimSector update(EstablecimSector establecimsector);

	/**
	 * Finds a single row in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            EstablecimSector
	 * @return EstablecimSector
	 */
	EstablecimSector find(EstablecimSector establecimsector);

	/**
	 * Finds a single row in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            Pagination
	 * @return EstablecimSector
	 */
	public EstablecimSector findSectorEstablecimiento(
			EstablecimSector establecimsector);

	/**
	 * Deletes a single row in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            EstablecimSector
	 * @return
	 */
	void remove(EstablecimSector establecimsector);

	/**
	 * Removes a single row in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            Pagination
	 * @return
	 */
	public void removeSectorEstablecimiento(EstablecimSector establecimsector);

	/**
	 * Finds a List of rows in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            EstablecimSector
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<EstablecimSector> findAll(EstablecimSector establecimsector,
			Pagination pagination);

	/**
	 * Counts rows in the EstablecimSector table.
	 * 
	 * @param establecimsector
	 *            EstablecimSector
	 * @return List
	 */
	Long findAllCount(EstablecimSector establecimsector);

	/**
	 * Finds rows in the EstablecimSector table using like.
	 * 
	 * @param establecimsector
	 *            EstablecimSector
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<EstablecimSector> findAllLike(EstablecimSector establecimsector,
			Pagination pagination, Boolean startsWith);
}
