package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.FormasVenta;

/**
 * FormasVentaDao  
 *  
 */

public interface FormasVentaDao {
    
    /**
     * Inserts a single row in the FormasVenta table.
     *
     * @param formasventa FormasVenta
     * @return FormasVenta
     */
    FormasVenta add(FormasVenta formasventa);

    /**
     * Updates a single row in the FormasVenta table.
     *
     * @param formasventa FormasVenta
     * @return FormasVenta
     */
    FormasVenta update(FormasVenta formasventa);

    /**
     * Finds a single row in the FormasVenta table.
     *
     * @param formasventa FormasVenta
     * @return FormasVenta
     */
    FormasVenta find(FormasVenta formasventa);

    /**
     * Deletes a single row in the FormasVenta table.
     *
     * @param formasventa FormasVenta
     * @return 
     */
    void remove(FormasVenta formasventa);

    /**
     * Finds a List of rows in the FormasVenta table.
     *
     * @param formasventa FormasVenta
     * @param pagination Pagination
     * @return List
     */
    List<FormasVenta> findAll(FormasVenta formasventa, Pagination pagination);

    /**
     * Counts rows in the FormasVenta table.
     *
     * @param formasventa FormasVenta
     * @return Long
     */
    Long findAllCount(FormasVenta formasventa);
	
	/**
     * Finds rows in the FormasVenta table using like.
     *
     * @param formasventa FormasVenta
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<FormasVenta> findAllLike(FormasVenta formasventa, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the FormasVenta table using like.
     *
     * @param formasventa FormasVenta
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(FormasVenta formasventa, Boolean startsWith);
}

