package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.InspeccionesPropBandeja;

/**
 * InspeccionesPropBandejaDao  
 *  
 */

public interface InspeccionesPropBandejaDao {
    
    /**
     * Inserts a single row in the InspeccionesPropBandeja table.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @return InspeccionesPropBandeja
     */
    InspeccionesPropBandeja add(InspeccionesPropBandeja inspeccionespropbandeja);

    /**
     * Updates a single row in the InspeccionesPropBandeja table.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @return InspeccionesPropBandeja
     */
    InspeccionesPropBandeja update(InspeccionesPropBandeja inspeccionespropbandeja);

    /**
     * Finds a single row in the InspeccionesPropBandeja table.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @return InspeccionesPropBandeja
     */
    InspeccionesPropBandeja find(InspeccionesPropBandeja inspeccionespropbandeja);

    /**
     * Deletes a single row in the InspeccionesPropBandeja table.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @return 
     */
    void remove(InspeccionesPropBandeja inspeccionespropbandeja);

    /**
     * Finds a List of rows in the InspeccionesPropBandeja table.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @param pagination Pagination
     * @return List
     */
    List<InspeccionesPropBandeja> findAll(InspeccionesPropBandeja inspeccionespropbandeja, Pagination pagination);

    /**
     * Counts rows in the InspeccionesPropBandeja table.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @return Long
     */
    Long findAllCount(InspeccionesPropBandeja inspeccionespropbandeja);
	
	/**
     * Finds rows in the InspeccionesPropBandeja table using like.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<InspeccionesPropBandeja> findAllLike(InspeccionesPropBandeja inspeccionespropbandeja, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the InspeccionesPropBandeja table using like.
     *
     * @param inspeccionespropbandeja InspeccionesPropBandeja
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(InspeccionesPropBandeja inspeccionespropbandeja, Boolean startsWith);
}

