package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.InspeccionesTipoDocumento;

/**
 * InspeccionesTipoDocumentoDao  
 *  
 */

public interface InspeccionesTipoDocumentoDao {
    
    /**
     * Inserts a single row in the InspeccionesTipoDocumento table.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @return InspeccionesTipoDocumento
     */
    InspeccionesTipoDocumento add(InspeccionesTipoDocumento inspeccionestipodocumento);

    /**
     * Updates a single row in the InspeccionesTipoDocumento table.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @return InspeccionesTipoDocumento
     */
    InspeccionesTipoDocumento update(InspeccionesTipoDocumento inspeccionestipodocumento);

    /**
     * Finds a single row in the InspeccionesTipoDocumento table.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @return InspeccionesTipoDocumento
     */
    InspeccionesTipoDocumento find(InspeccionesTipoDocumento inspeccionestipodocumento);

    /**
     * Deletes a single row in the InspeccionesTipoDocumento table.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @return 
     */
    void remove(InspeccionesTipoDocumento inspeccionestipodocumento);

    /**
     * Finds a List of rows in the InspeccionesTipoDocumento table.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @param pagination Pagination
     * @return List
     */
    List<InspeccionesTipoDocumento> findAll(InspeccionesTipoDocumento inspeccionestipodocumento, Pagination pagination);

    /**
     * Counts rows in the InspeccionesTipoDocumento table.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @return Long
     */
    Long findAllCount(InspeccionesTipoDocumento inspeccionestipodocumento);
	
	/**
     * Finds rows in the InspeccionesTipoDocumento table using like.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<InspeccionesTipoDocumento> findAllLike(InspeccionesTipoDocumento inspeccionestipodocumento, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the InspeccionesTipoDocumento table using like.
     *
     * @param inspeccionestipodocumento InspeccionesTipoDocumento
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(InspeccionesTipoDocumento inspeccionestipodocumento, Boolean startsWith);
}

