package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.LaudosAdoptado;

/**
 * LaudosAdoptadoDao  
 *  
 */

public interface LaudosAdoptadoDao {
    
    /**
     * Inserts a single row in the LaudosAdoptado table.
     *
     * @param laudosadoptado LaudosAdoptado
     * @return LaudosAdoptado
     */
    LaudosAdoptado add(LaudosAdoptado laudosadoptado);

    /**
     * Updates a single row in the LaudosAdoptado table.
     *
     * @param laudosadoptado LaudosAdoptado
     * @return LaudosAdoptado
     */
    LaudosAdoptado update(LaudosAdoptado laudosadoptado);

    /**
     * Finds a single row in the LaudosAdoptado table.
     *
     * @param laudosadoptado LaudosAdoptado
     * @return LaudosAdoptado
     */
    LaudosAdoptado find(LaudosAdoptado laudosadoptado);

    /**
     * Deletes a single row in the LaudosAdoptado table.
     *
     * @param laudosadoptado LaudosAdoptado
     * @return 
     */
    void remove(LaudosAdoptado laudosadoptado);

    /**
     * Finds a List of rows in the LaudosAdoptado table.
     *
     * @param laudosadoptado LaudosAdoptado
     * @param pagination Pagination
     * @return List
     */
    List<LaudosAdoptado> findAll(LaudosAdoptado laudosadoptado, Pagination pagination);

    /**
     * Counts rows in the LaudosAdoptado table.
     *
     * @param laudosadoptado LaudosAdoptado
     * @return Long
     */
    Long findAllCount(LaudosAdoptado laudosadoptado);
	
	/**
     * Finds rows in the LaudosAdoptado table using like.
     *
     * @param laudosadoptado LaudosAdoptado
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<LaudosAdoptado> findAllLike(LaudosAdoptado laudosadoptado, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the LaudosAdoptado table using like.
     *
     * @param laudosadoptado LaudosAdoptado
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(LaudosAdoptado laudosadoptado, Boolean startsWith);
}

