package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.MotivosSolcolaboracion;

/**
 * MotivosSolcolaboracionDao  
 *  
 */

public interface MotivosSolcolaboracionDao {
    
    /**
     * Inserts a single row in the MotivosSolcolaboracion table.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @return MotivosSolcolaboracion
     */
    MotivosSolcolaboracion add(MotivosSolcolaboracion motivossolcolaboracion);

    /**
     * Updates a single row in the MotivosSolcolaboracion table.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @return MotivosSolcolaboracion
     */
    MotivosSolcolaboracion update(MotivosSolcolaboracion motivossolcolaboracion);

    /**
     * Finds a single row in the MotivosSolcolaboracion table.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @return MotivosSolcolaboracion
     */
    MotivosSolcolaboracion find(MotivosSolcolaboracion motivossolcolaboracion);

    /**
     * Deletes a single row in the MotivosSolcolaboracion table.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @return 
     */
    void remove(MotivosSolcolaboracion motivossolcolaboracion);

    /**
     * Finds a List of rows in the MotivosSolcolaboracion table.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @param pagination Pagination
     * @return List
     */
    List<MotivosSolcolaboracion> findAll(MotivosSolcolaboracion motivossolcolaboracion, Pagination pagination);

    /**
     * Counts rows in the MotivosSolcolaboracion table.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @return Long
     */
    Long findAllCount(MotivosSolcolaboracion motivossolcolaboracion);
	
	/**
     * Finds rows in the MotivosSolcolaboracion table using like.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<MotivosSolcolaboracion> findAllLike(MotivosSolcolaboracion motivossolcolaboracion, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the MotivosSolcolaboracion table using like.
     *
     * @param motivossolcolaboracion MotivosSolcolaboracion
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(MotivosSolcolaboracion motivossolcolaboracion, Boolean startsWith);
}

