package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Santipsanacc;

/**
 * SantipsanaccDao  
 *  
 */

public interface SantipsanaccDao {
    
    /**
     * Inserts a single row in the Santipsanacc table.
     *
     * @param santipsanacc Santipsanacc
     * @return Santipsanacc
     */
    Santipsanacc add(Santipsanacc santipsanacc);

    /**
     * Updates a single row in the Santipsanacc table.
     *
     * @param santipsanacc Santipsanacc
     * @return Santipsanacc
     */
    Santipsanacc update(Santipsanacc santipsanacc);

    /**
     * Finds a single row in the Santipsanacc table.
     *
     * @param santipsanacc Santipsanacc
     * @return Santipsanacc
     */
    Santipsanacc find(Santipsanacc santipsanacc);

    /**
     * Deletes a single row in the Santipsanacc table.
     *
     * @param santipsanacc Santipsanacc
     * @return 
     */
    void remove(Santipsanacc santipsanacc);

    /**
     * Finds a List of rows in the Santipsanacc table.
     *
     * @param santipsanacc Santipsanacc
     * @param pagination Pagination
     * @return List
     */
    List<Santipsanacc> findAll(Santipsanacc santipsanacc, Pagination pagination);

    /**
     * Counts rows in the Santipsanacc table.
     *
     * @param santipsanacc Santipsanacc
     * @return Long
     */
    Long findAllCount(Santipsanacc santipsanacc);
	
	/**
     * Finds rows in the Santipsanacc table using like.
     *
     * @param santipsanacc Santipsanacc
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<Santipsanacc> findAllLike(Santipsanacc santipsanacc, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the Santipsanacc table using like.
     *
     * @param santipsanacc Santipsanacc
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(Santipsanacc santipsanacc, Boolean startsWith);
}

