package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.SectorAgrupado;

/**
 * SectorAgrupadoDao  
 *  
 */

public interface SectorAgrupadoDao {
    
    /**
     * Inserts a single row in the SectorAgrupado table.
     *
     * @param sectoragrupado SectorAgrupado
     * @return SectorAgrupado
     */
    SectorAgrupado add(SectorAgrupado sectoragrupado);

    /**
     * Updates a single row in the SectorAgrupado table.
     *
     * @param sectoragrupado SectorAgrupado
     * @return SectorAgrupado
     */
    SectorAgrupado update(SectorAgrupado sectoragrupado);

    /**
     * Finds a single row in the SectorAgrupado table.
     *
     * @param sectoragrupado SectorAgrupado
     * @return SectorAgrupado
     */
    SectorAgrupado find(SectorAgrupado sectoragrupado);

    /**
     * Deletes a single row in the SectorAgrupado table.
     *
     * @param sectoragrupado SectorAgrupado
     * @return 
     */
    void remove(SectorAgrupado sectoragrupado);

    /**
     * Finds a List of rows in the SectorAgrupado table.
     *
     * @param sectoragrupado SectorAgrupado
     * @param pagination Pagination
     * @return List
     */
    List<SectorAgrupado> findAll(SectorAgrupado sectoragrupado, Pagination pagination);

    /**
     * Counts rows in the SectorAgrupado table.
     *
     * @param sectoragrupado SectorAgrupado
     * @return Long
     */
    Long findAllCount(SectorAgrupado sectoragrupado);
	
	/**
     * Finds rows in the SectorAgrupado table using like.
     *
     * @param sectoragrupado SectorAgrupado
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<SectorAgrupado> findAllLike(SectorAgrupado sectoragrupado, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the SectorAgrupado table using like.
     *
     * @param sectoragrupado SectorAgrupado
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(SectorAgrupado sectoragrupado, Boolean startsWith);
}

