package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.TipoDocumento;

/**
 * TipoDocumentoDao  
 *  
 */

public interface TipoDocumentoDao {
    
    /**
     * Inserts a single row in the TipoDocumento table.
     *
     * @param tipodocumento TipoDocumento
     * @return TipoDocumento
     */
    TipoDocumento add(TipoDocumento tipodocumento);

    /**
     * Updates a single row in the TipoDocumento table.
     *
     * @param tipodocumento TipoDocumento
     * @return TipoDocumento
     */
    TipoDocumento update(TipoDocumento tipodocumento);

    /**
     * Finds a single row in the TipoDocumento table.
     *
     * @param tipodocumento TipoDocumento
     * @return TipoDocumento
     */
    TipoDocumento find(TipoDocumento tipodocumento);

    /**
     * Deletes a single row in the TipoDocumento table.
     *
     * @param tipodocumento TipoDocumento
     * @return 
     */
    void remove(TipoDocumento tipodocumento);

    /**
     * Finds a List of rows in the TipoDocumento table.
     *
     * @param tipodocumento TipoDocumento
     * @param pagination Pagination
     * @return List
     */
    List<TipoDocumento> findAll(TipoDocumento tipodocumento, Pagination pagination);

    /**
     * Counts rows in the TipoDocumento table.
     *
     * @param tipodocumento TipoDocumento
     * @return Long
     */
    Long findAllCount(TipoDocumento tipodocumento);
	
	/**
     * Finds rows in the TipoDocumento table using like.
     *
     * @param tipodocumento TipoDocumento
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<TipoDocumento> findAllLike(TipoDocumento tipodocumento, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the TipoDocumento table using like.
     *
     * @param tipodocumento TipoDocumento
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(TipoDocumento tipodocumento, Boolean startsWith);
}

