package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Tipomovimientos;

/**
 * TipomovimientosDao  
 *  
 */

public interface TipomovimientosDao {
    
    /**
     * Inserts a single row in the Tipomovimientos table.
     *
     * @param tipomovimientos Tipomovimientos
     * @return Tipomovimientos
     */
    Tipomovimientos add(Tipomovimientos tipomovimientos);

    /**
     * Updates a single row in the Tipomovimientos table.
     *
     * @param tipomovimientos Tipomovimientos
     * @return Tipomovimientos
     */
    Tipomovimientos update(Tipomovimientos tipomovimientos);

    /**
     * Finds a single row in the Tipomovimientos table.
     *
     * @param tipomovimientos Tipomovimientos
     * @return Tipomovimientos
     */
    Tipomovimientos find(Tipomovimientos tipomovimientos);

    /**
     * Deletes a single row in the Tipomovimientos table.
     *
     * @param tipomovimientos Tipomovimientos
     * @return 
     */
    void remove(Tipomovimientos tipomovimientos);

    /**
     * Finds a List of rows in the Tipomovimientos table.
     *
     * @param tipomovimientos Tipomovimientos
     * @param pagination Pagination
     * @return List
     */
    List<Tipomovimientos> findAll(Tipomovimientos tipomovimientos, Pagination pagination);

    /**
     * Counts rows in the Tipomovimientos table.
     *
     * @param tipomovimientos Tipomovimientos
     * @return Long
     */
    Long findAllCount(Tipomovimientos tipomovimientos);
	
	/**
     * Finds rows in the Tipomovimientos table using like.
     *
     * @param tipomovimientos Tipomovimientos
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<Tipomovimientos> findAllLike(Tipomovimientos tipomovimientos, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the Tipomovimientos table using like.
     *
     * @param tipomovimientos Tipomovimientos
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(Tipomovimientos tipomovimientos, Boolean startsWith);
}

