package com.ejie.y41b.dao;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Tiposerrores;

/**
 * TiposerroresDao  
 *  
 */

public interface TiposerroresDao {
    
    /**
     * Inserts a single row in the Tiposerrores table.
     *
     * @param tiposerrores Tiposerrores
     * @return Tiposerrores
     */
    Tiposerrores add(Tiposerrores tiposerrores);

    /**
     * Updates a single row in the Tiposerrores table.
     *
     * @param tiposerrores Tiposerrores
     * @return Tiposerrores
     */
    Tiposerrores update(Tiposerrores tiposerrores);

    /**
     * Finds a single row in the Tiposerrores table.
     *
     * @param tiposerrores Tiposerrores
     * @return Tiposerrores
     */
    Tiposerrores find(Tiposerrores tiposerrores);

    /**
     * Deletes a single row in the Tiposerrores table.
     *
     * @param tiposerrores Tiposerrores
     * @return 
     */
    void remove(Tiposerrores tiposerrores);

    /**
     * Finds a List of rows in the Tiposerrores table.
     *
     * @param tiposerrores Tiposerrores
     * @param pagination Pagination
     * @return List
     */
    List<Tiposerrores> findAll(Tiposerrores tiposerrores, Pagination pagination);

    /**
     * Counts rows in the Tiposerrores table.
     *
     * @param tiposerrores Tiposerrores
     * @return Long
     */
    Long findAllCount(Tiposerrores tiposerrores);
	
	/**
     * Finds rows in the Tiposerrores table using like.
     *
     * @param tiposerrores Tiposerrores
     * @param pagination Pagination
     * @param startsWith Boolean
     * @return List
     */
	List<Tiposerrores> findAllLike(Tiposerrores tiposerrores, Pagination pagination, Boolean startsWith);
	
    /**
     * Counts rows in the Tiposerrores table using like.
     *
     * @param tiposerrores Tiposerrores
     * @param startsWith Boolean
     * @return Long
     */
    Long findAllLikeCount(Tiposerrores tiposerrores, Boolean startsWith);
}

