package com.ejie.y41b.model;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.ejie.y41b.validation.Y41bNifNieCif;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * Aacc  
 * 
 *  
 */

public class Aacc implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	@NotEmpty(message = "error01.required.cccodigo")
	private String cccodigo;
	private String cctesi;
	private String ccinfede;
	private String cccocc;
	private Date ccfead;
	@NotEmpty(message = "error02.required.ccnorep")
	private String ccnorep;
	@Y41bNifNieCif(message = "error03.required.ccnirep")
	private String ccnirep;
	private String ccnocare;
	private String cccoja;
	private Date ccfeadfin;
	private Date ccfecalta;
	private String ccusualta;
	private Date ccfecmod;
	private String ccusumod;
	private List<Ccta1> ccta1s = new ArrayList<Ccta1>();
	private List<Ccar> ccars = new ArrayList<Ccar>();

	private String ccnombre;
	private String ccsecodigo;
	private String ccadherido;
	private String ccThActAraba;
	private String ccThActBizkaia;
	private String ccThActGipuzkoa;

	private Organismo organismo;

	/**
	 * Method 'Aacc'.
	 */
	public Aacc() {
	}

	/**
	 * Method 'Aacc'.
	 * 
	 * @param cccodigo
	 *            String
	 * @param cctesi
	 *            String
	 * @param ccinfede
	 *            String
	 * @param cccocc
	 *            String
	 * @param ccfead
	 *            Date
	 * @param ccnorep
	 *            String
	 * @param ccnirep
	 *            String
	 * @param ccnocare
	 *            String
	 * @param cccoja
	 *            String
	 * @param ccfeadfin
	 *            Date
	 * @param ccfecalta
	 *            Date
	 * @param ccusualta
	 *            String
	 * @param ccfecmod
	 *            Date
	 * @param ccusumod
	 *            String
	 */
	public Aacc(String cccodigo, String cctesi, String ccinfede, String cccocc,
			Date ccfead, String ccnorep, String ccnirep, String ccnocare,
			String cccoja, Date ccfeadfin, Date ccfecalta, String ccusualta,
			Date ccfecmod, String ccusumod) {
		this.cccodigo = cccodigo;
		this.cctesi = cctesi;
		this.cccocc = cccocc;
		this.ccinfede = ccinfede;
		this.ccfead = ccfead;
		this.ccnorep = ccnorep;
		this.ccnirep = ccnirep;
		this.ccnocare = ccnocare;
		this.cccoja = cccoja;
		this.ccfeadfin = ccfeadfin;
		this.ccfecalta = ccfecalta;
		this.ccusualta = ccusualta;
		this.ccfecmod = ccfecmod;
		this.ccusumod = ccusumod;
	}

	/**
	 * Method 'Aacc'.
	 * 
	 * @param cccodigo
	 *            String
	 * @param cctesi
	 *            String
	 * @param ccinfede
	 *            String
	 * @param cccocc
	 *            String
	 * @param ccfead
	 *            Date
	 * @param ccnorep
	 *            String
	 * @param ccnirep
	 *            String
	 * @param ccnocare
	 *            String
	 * @param cccoja
	 *            String
	 * @param ccfeadfin
	 *            Date
	 * @param ccfecalta
	 *            Date
	 * @param ccusualta
	 *            String
	 * @param ccfecmod
	 *            Date
	 * @param ccusumod
	 *            String
	 * @param ccta1s
	 *            List<Ccta1>
	 * @param aaccs
	 *            List<Aacc>
	 * @param ccars
	 *            List<Ccar>
	 */
	public Aacc(String cccodigo, String cctesi, String ccinfede, String cccocc,
			Date ccfead, String ccnorep, String ccnirep, String ccnocare,
			String cccoja, Date ccfeadfin, Date ccfecalta, String ccusualta,
			Date ccfecmod, String ccusumod, List<Ccta1> ccta1s,
			List<Aacc> aaccs, List<Ccar> ccars) {

		this.cccodigo = cccodigo;
		this.cctesi = cctesi;
		this.ccinfede = ccinfede;
		this.cccocc = cccocc;
		this.ccfead = ccfead;
		this.ccnorep = ccnorep;
		this.ccnirep = ccnirep;
		this.ccnocare = ccnocare;
		this.cccoja = cccoja;
		this.ccfeadfin = ccfeadfin;
		this.ccfecalta = ccfecalta;
		this.ccusualta = ccusualta;
		this.ccfecmod = ccfecmod;
		this.ccusumod = ccusumod;
		this.ccta1s = ccta1s;
		this.ccars = ccars;
	}

	/**
	 * Method 'getCccodigo'.
	 * 
	 * @return String
	 */

	public String getCccodigo() {
		return this.cccodigo;
	}

	/**
	 * Method 'setCccodigo'.
	 * 
	 * @param cccodigo
	 *            String
	 * @return
	 */

	public void setCccodigo(String cccodigo) {
		this.cccodigo = cccodigo;
	}

	/**
	 * Method 'getCctesi'.
	 * 
	 * @return String
	 */

	public String getCctesi() {
		return this.cctesi;
	}

	/**
	 * Method 'setCctesi'.
	 * 
	 * @param cctesi
	 *            String
	 * @return
	 */

	public void setCctesi(String cctesi) {
		this.cctesi = cctesi;
	}

	/**
	 * Method 'getCcinfede'.
	 * 
	 * @return String
	 */

	public String getCcinfede() {
		return this.ccinfede;
	}

	/**
	 * Method 'setCcinfede'.
	 * 
	 * @param ccinfede
	 *            String
	 * @return
	 */

	public void setCcinfede(String ccinfede) {
		this.ccinfede = ccinfede;
	}

	/**
	 * Method 'getCcfead'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getCcfead() {
		return this.ccfead;
	}

	/**
	 * Method 'setCcfead'.
	 * 
	 * @param ccfead
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setCcfead(Date ccfead) {
		this.ccfead = ccfead;
	}

	/**
	 * Method 'getCcnorep'.
	 * 
	 * @return String
	 */

	public String getCcnorep() {
		return this.ccnorep;
	}

	/**
	 * Method 'setCcnorep'.
	 * 
	 * @param ccnorep
	 *            String
	 * @return
	 */

	public void setCcnorep(String ccnorep) {
		this.ccnorep = ccnorep;
	}

	/**
	 * Method 'getCcnirep'.
	 * 
	 * @return String
	 */

	public String getCcnirep() {
		return this.ccnirep;
	}

	/**
	 * Method 'setCcnirep'.
	 * 
	 * @param ccnirep
	 *            String
	 * @return
	 */

	public void setCcnirep(String ccnirep) {
		this.ccnirep = ccnirep;
	}

	/**
	 * Method 'getCcnocare'.
	 * 
	 * @return String
	 */

	public String getCcnocare() {
		return this.ccnocare;
	}

	/**
	 * Method 'setCcnocare'.
	 * 
	 * @param ccnocare
	 *            String
	 * @return
	 */

	public void setCcnocare(String ccnocare) {
		this.ccnocare = ccnocare;
	}

	/**
	 * Method 'getCccoja'.
	 * 
	 * @return String
	 */

	public String getCccoja() {
		return this.cccoja;
	}

	/**
	 * Method 'setCccoja'.
	 * 
	 * @param cccoja
	 *            String
	 * @return
	 */

	public void setCccoja(String cccoja) {
		this.cccoja = cccoja;
	}

	/**
	 * Method 'getCcfeadfin'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getCcfeadfin() {
		return this.ccfeadfin;
	}

	/**
	 * Method 'setCcfeadfin'.
	 * 
	 * @param ccfeadfin
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setCcfeadfin(Date ccfeadfin) {
		this.ccfeadfin = ccfeadfin;
	}

	/**
	 * Method 'getCcfecalta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getCcfecalta() {
		return this.ccfecalta;
	}

	/**
	 * Method 'setCcfecalta'.
	 * 
	 * @param ccfecalta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setCcfecalta(Date ccfecalta) {
		this.ccfecalta = ccfecalta;
	}

	/**
	 * Method 'getCcusualta'.
	 * 
	 * @return String
	 */

	public String getCcusualta() {
		return this.ccusualta;
	}

	/**
	 * Method 'setCcusualta'.
	 * 
	 * @param ccusualta
	 *            String
	 * @return
	 */

	public void setCcusualta(String ccusualta) {
		this.ccusualta = ccusualta;
	}

	/**
	 * Method 'getCcfecmod'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getCcfecmod() {
		return this.ccfecmod;
	}

	/**
	 * Method 'setCcfecmod'.
	 * 
	 * @param ccfecmod
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setCcfecmod(Date ccfecmod) {
		this.ccfecmod = ccfecmod;
	}

	/**
	 * Method 'getCcusumod'.
	 * 
	 * @return String
	 */

	public String getCcusumod() {
		return this.ccusumod;
	}

	/**
	 * Method 'setCcusumod'.
	 * 
	 * @param ccusumod
	 *            String
	 * @return
	 */

	public void setCcusumod(String ccusumod) {
		this.ccusumod = ccusumod;
	}

	/**
	 * Method 'getCcta1s'.
	 * 
	 * @return List
	 */
	@JsonIgnore()
	public List<Ccta1> getCcta1s() {
		return this.ccta1s;
	}

	/**
	 * Method 'setCcta1s'.
	 * 
	 * @param ccta1s
	 *            List
	 * @return
	 */
	public void setCcta1s(List<Ccta1> ccta1s) {
		this.ccta1s = ccta1s;
	}

	/**
	 * Method 'getCcars'.
	 * 
	 * @return List
	 */
	public List<Ccar> getCcars() {
		return this.ccars;
	}

	/**
	 * Method 'setCcars'.
	 * 
	 * @param ccars
	 *            List
	 * @return
	 */
	public void setCcars(List<Ccar> ccars) {
		this.ccars = ccars;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ cccodigo: ").append(this.cccodigo).append(" ]");
		result.append(", [ cctesi: ").append(this.cctesi).append(" ]");
		result.append(", [ ccinfede: ").append(this.ccinfede).append(" ]");
		result.append(", [ ccfead: ").append(this.ccfead).append(" ]");
		result.append(", [ ccnorep: ").append(this.ccnorep).append(" ]");
		result.append(", [ ccnirep: ").append(this.ccnirep).append(" ]");
		result.append(", [ ccnocare: ").append(this.ccnocare).append(" ]");
		result.append(", [ cccoja: ").append(this.cccoja).append(" ]");
		result.append(", [ ccfeadfin: ").append(this.ccfeadfin).append(" ]");
		result.append(", [ ccfecalta: ").append(this.ccfecalta).append(" ]");
		result.append(", [ ccusualta: ").append(this.ccusualta).append(" ]");
		result.append(", [ ccfecmod: ").append(this.ccfecmod).append(" ]");
		result.append(", [ ccusumod: ").append(this.ccusumod).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the ccnombre
	 */
	public String getCcnombre() {
		return this.ccnombre;
	}

	/**
	 * @param ccnombre
	 *            the ccnombre to set
	 */
	public void setCcnombre(String ccnombre) {
		this.ccnombre = ccnombre;
	}

	/**
	 * @return the ccsecodigo
	 */
	public String getCcsecodigo() {
		return this.ccsecodigo;
	}

	/**
	 * @param ccsecodigo
	 *            the ccsecodigo to set
	 */
	public void setCcsecodigo(String ccsecodigo) {
		this.ccsecodigo = ccsecodigo;
	}

	/**
	 * @return the ccadherido
	 */
	public String getCcadherido() {
		return this.ccadherido;
	}

	/**
	 * @param ccadherido
	 *            the ccadherido to set
	 */
	public void setCcadherido(String ccadherido) {
		this.ccadherido = ccadherido;
	}

	/**
	 * @return the ccThActAraba
	 */
	public String getCcThActAraba() {
		return this.ccThActAraba;
	}

	/**
	 * @param ccThActAraba
	 *            the ccThActAraba to set
	 */
	public void setCcThActAraba(String ccThActAraba) {
		this.ccThActAraba = ccThActAraba;
	}

	/**
	 * @return the ccThActBizkaia
	 */
	public String getCcThActBizkaia() {
		return this.ccThActBizkaia;
	}

	/**
	 * @param ccThActBizkaia
	 *            the ccThActBizkaia to set
	 */
	public void setCcThActBizkaia(String ccThActBizkaia) {
		this.ccThActBizkaia = ccThActBizkaia;
	}

	/**
	 * @return the ccThActGipuzkoa
	 */
	public String getCcThActGipuzkoa() {
		return this.ccThActGipuzkoa;
	}

	/**
	 * @param ccThActGipuzkoa
	 *            the ccThActGipuzkoa to set
	 */
	public void setCcThActGipuzkoa(String ccThActGipuzkoa) {
		this.ccThActGipuzkoa = ccThActGipuzkoa;
	}

	/**
	 * @return the organismo
	 */
	public Organismo getOrganismo() {
		return this.organismo;
	}

	/**
	 * @param organismo
	 *            the organismo to set
	 */
	public void setOrganismo(Organismo organismo) {
		this.organismo = organismo;
	}

	/**
	 * @return the cccocc
	 */
	public String getCccocc() {
		return this.cccocc;
	}

	/**
	 * @param cccocc
	 *            the cccocc to set
	 */
	public void setCccocc(String cccocc) {
		this.cccocc = cccocc;
	}

}
