package com.ejie.y41b.model;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;
import java.sql.Blob;
import java.util.Date;
import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

/**
 * * ActaFile  
 * 
 *  
 */

public class ActaFile implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String s3codocumento;
	private Acta acta;
	private String s3nomfile;
	private Blob s3datafile;
	private Integer s3sizefile;
	private String s3desfile;
	private Date s3fecha;
	private String s3origen;
	private String s3contenttype;

	/**
	 * Method 'ActaFile'.
	 * 
	 */
	public ActaFile() {
	}

	/**
	 * Method 'ActaFile'.
	 * 
	 * @param s3codocumento
	 *            String
	 * @param s3nomfile
	 *            String
	 * @param s3datafile
	 *            Blob
	 * @param s3sizefile
	 *            Integer
	 * @param s3desfile
	 *            String
	 * @param s3fecha
	 *            Date
	 * @param s3origen
	 *            String
	 * @param s3contenttype
	 *            String
	 * @param acta
	 *            Acta
	 */
	public ActaFile(String s3codocumento, String s3nomfile, Blob s3datafile,
			Integer s3sizefile, String s3desfile, Date s3fecha,
			String s3origen, String s3contenttype, Acta acta) {

		this.s3codocumento = s3codocumento;
		this.acta = acta;
		this.s3nomfile = s3nomfile;
		this.s3datafile = s3datafile;
		this.s3sizefile = s3sizefile;
		this.s3desfile = s3desfile;
		this.s3fecha = s3fecha;
		this.s3origen = s3origen;
		this.s3contenttype = s3contenttype;
	}

	/**
	 * Method 'getS3codocumento'.
	 * 
	 * @return String
	 */

	public String getS3codocumento() {
		return this.s3codocumento;
	}

	/**
	 * Method 'setS3codocumento'.
	 * 
	 * @param s3codocumento
	 *            String
	 * @return
	 */

	public void setS3codocumento(String s3codocumento) {
		this.s3codocumento = s3codocumento;
	}

	/**
	 * Method 'getActa'.
	 * 
	 * @return Acta
	 */
	@JsonIgnore
	public Acta getActa() {
		return this.acta;
	}

	/**
	 * Method 'setActa'.
	 * 
	 * @param acta
	 *            Acta
	 * @return
	 */

	public void setActa(Acta acta) {
		this.acta = acta;
	}

	/**
	 * Method 'getS3nomfile'.
	 * 
	 * @return String
	 */

	public String getS3nomfile() {
		return this.s3nomfile;
	}

	/**
	 * Method 'setS3nomfile'.
	 * 
	 * @param s3nomfile
	 *            String
	 * @return
	 */

	public void setS3nomfile(String s3nomfile) {
		this.s3nomfile = s3nomfile;
	}

	/**
	 * Method 'getS3datafile'.
	 * 
	 * @return Blob
	 */
	@JsonIgnore
	public Blob getS3datafile() {
		return this.s3datafile;
	}

	/**
	 * Method 'setS3datafile'.
	 * 
	 * @param s3datafile
	 *            Blob
	 * @return
	 */

	public void setS3datafile(Blob s3datafile) {
		this.s3datafile = s3datafile;
	}

	/**
	 * Method 'getS3sizefile'.
	 * 
	 * @return Integer
	 */

	public Integer getS3sizefile() {
		return this.s3sizefile;
	}

	/**
	 * Method 'setS3sizefile'.
	 * 
	 * @param s3sizefile
	 *            Integer
	 * @return
	 */

	public void setS3sizefile(Integer s3sizefile) {
		this.s3sizefile = s3sizefile;
	}

	/**
	 * Method 'getS3desfile'.
	 * 
	 * @return String
	 */

	public String getS3desfile() {
		return this.s3desfile;
	}

	/**
	 * Method 'setS3desfile'.
	 * 
	 * @param s3desfile
	 *            String
	 * @return
	 */

	public void setS3desfile(String s3desfile) {
		this.s3desfile = s3desfile;
	}

	/**
	 * Method 'getS3fecha'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getS3fecha() {
		return this.s3fecha;
	}

	/**
	 * Method 'setS3fecha'.
	 * 
	 * @param s3fecha
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setS3fecha(Date s3fecha) {
		this.s3fecha = s3fecha;
	}

	/**
	 * Method 'getS3origen'.
	 * 
	 * @return String
	 */

	public String getS3origen() {
		return this.s3origen;
	}

	/**
	 * Method 'setS3origen'.
	 * 
	 * @param s3origen
	 *            String
	 * @return
	 */

	public void setS3origen(String s3origen) {
		this.s3origen = s3origen;
	}

	/**
	 * Method 'getS3contenttype'.
	 * 
	 * @return String
	 */

	public String getS3contenttype() {
		return this.s3contenttype;
	}

	/**
	 * Method 'setS3contenttype'.
	 * 
	 * @param s3contenttype
	 *            String
	 * @return
	 */

	public void setS3contenttype(String s3contenttype) {
		this.s3contenttype = s3contenttype;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ s3codocumento: ").append(this.s3codocumento)
				.append(" ]");
		result.append(", [ s3nomfile: ").append(this.s3nomfile).append(" ]");
		result.append(", [ s3sizefile: ").append(this.s3sizefile).append(" ]");
		result.append(", [ s3desfile: ").append(this.s3desfile).append(" ]");
		result.append(", [ s3fecha: ").append(this.s3fecha).append(" ]");
		result.append(", [ s3origen: ").append(this.s3origen).append(" ]");
		result.append(", [ s3contenttype: ").append(this.s3contenttype)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

}
