package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * ActuacionBusqueda  
 * 
 *  
 */

public class ActuacionBusqueda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String numeroActuacion;

	private String atcodigo;
	private BigDecimal atnror;

	// Acta
	private String accodigo;
	private String accoor;
	private String acnror;
	private BigDecimal acnran;
	private Date acfele;
	private Date acfeleDesde;
	private Date acfeleHasta;
	private String inspector;

	// Establecimiento Visita
	private String escodigoVisita;
	private String esnombreVisita;
	private String esnifVisita;
	private String esnocoVisita;

	// Sector Visita
	private String secodigoVisita;
	private String senombreVisita;
	private String senombreeVisita;

	// Tipo de actuacion
	private String ttacodigo;
	private String ttanombre;

	// Motivo de actuacion
	private String tmacodigo;
	private String tmanombre;

	// Establecimiento Actuacion
	private String escodigoActuacion;
	private String esnombreActuacion;
	private String esnifActuacion;
	private String esnocoActuacion;

	// Sector Actuacion
	private String secodigoActuacion;
	private String senombreActuacion;
	private String senombreeActuacion;

	// Producto Actuacion
	private String pscodigoActuacion;
	private String psnombreActuacion;
	private String psnombreeActuacion;

	// Campaña recibida
	private String atcocm;

	// Alerta recibida
	private String atcoal;

	// Denuncia recibida
	private String atcohd;
	private String atcohddenuncia;

	// Tipo expediente
	private String tipoExpediente;

	/**
	 * Constructor
	 */
	public ActuacionBusqueda() {

	}

	/**
	 * @param atcodigo
	 *            String
	 * @param atnror
	 *            BigDecimal
	 * @param accodigo
	 *            String
	 * @param accoor
	 *            String
	 * @param acnror
	 *            String
	 * @param acnran
	 *            BigDecimal
	 * @param acfele
	 *            Date
	 * @param acfeleDesde
	 *            Date
	 * @param acfeleHasta
	 *            Date
	 * @param inspector
	 *            String
	 * @param escodigoVisita
	 *            String
	 * @param esnombreVisita
	 *            String
	 * @param esnifVisita
	 *            String
	 * @param esnocoVisita
	 *            String
	 * @param secodigoVisita
	 *            String
	 * @param senombreVisita
	 *            String
	 * @param senombreeVisita
	 *            String
	 * @param ttacodigo
	 *            String
	 * @param ttanombre
	 *            String
	 * @param tmacodigo
	 *            String
	 * @param tmanombre
	 *            String
	 * @param escodigoActuacion
	 *            String
	 * @param esnombreActuacion
	 *            String
	 * @param esnifActuacion
	 *            String
	 * @param esnocoActuacion
	 *            String
	 * @param secodigoActuacion
	 *            String
	 * @param senombreActuacion
	 *            String
	 * @param senombreeActuacion
	 *            String
	 * @param pscodigoActuacion
	 *            String
	 * @param psnombreActuacion
	 *            String
	 * @param psnombreeActuacion
	 *            String
	 * @param atcocm
	 *            String
	 * @param atcoal
	 *            String
	 * @param atcohd
	 *            String
	 * @param atcohddenuncia
	 *            String
	 * @param tipoExpediente
	 *            String
	 */
	public ActuacionBusqueda(String atcodigo, BigDecimal atnror,
			String accodigo, String accoor, String acnror, BigDecimal acnran,
			Date acfele, Date acfeleDesde, Date acfeleHasta, String inspector,
			String escodigoVisita, String esnombreVisita, String esnifVisita,
			String esnocoVisita, String secodigoVisita, String senombreVisita,
			String senombreeVisita, String ttacodigo, String ttanombre,
			String tmacodigo, String tmanombre, String escodigoActuacion,
			String esnombreActuacion, String esnifActuacion,
			String esnocoActuacion, String secodigoActuacion,
			String senombreActuacion, String senombreeActuacion,
			String pscodigoActuacion, String psnombreActuacion,
			String psnombreeActuacion, String atcocm, String atcoal,
			String atcohd, String atcohddenuncia, String tipoExpediente) {
		this.atcodigo = atcodigo;
		this.atnror = atnror;
		this.accodigo = accodigo;
		this.accoor = accoor;
		this.acnror = acnror;
		this.acnran = acnran;
		this.acfele = acfele;
		this.acfeleDesde = acfeleDesde;
		this.acfeleHasta = acfeleHasta;
		this.inspector = inspector;
		this.escodigoVisita = escodigoVisita;
		this.esnombreVisita = esnombreVisita;
		this.esnifVisita = esnifVisita;
		this.esnocoVisita = esnocoVisita;
		this.secodigoVisita = secodigoVisita;
		this.senombreVisita = senombreVisita;
		this.senombreeVisita = senombreeVisita;
		this.ttacodigo = ttacodigo;
		this.ttanombre = ttanombre;
		this.tmacodigo = tmacodigo;
		this.tmanombre = tmanombre;
		this.escodigoActuacion = escodigoActuacion;
		this.esnombreActuacion = esnombreActuacion;
		this.esnifActuacion = esnifActuacion;
		this.esnocoActuacion = esnocoActuacion;
		this.secodigoActuacion = secodigoActuacion;
		this.senombreActuacion = senombreActuacion;
		this.senombreeActuacion = senombreeActuacion;
		this.pscodigoActuacion = pscodigoActuacion;
		this.psnombreActuacion = psnombreActuacion;
		this.psnombreeActuacion = psnombreeActuacion;
		this.atcocm = atcocm;
		this.atcoal = atcoal;
		this.atcohd = atcohd;
		this.atcohddenuncia = atcohddenuncia;
		this.tipoExpediente = tipoExpediente;
	}

	/**
	 * @return the atcodigo
	 */
	public String getAtcodigo() {
		return atcodigo;
	}

	/**
	 * @param atcodigo
	 *            the atcodigo to set
	 */
	public void setAtcodigo(String atcodigo) {
		this.atcodigo = atcodigo;
	}

	/**
	 * @return the atnror
	 */
	public BigDecimal getAtnror() {
		return atnror;
	}

	/**
	 * @param atnror
	 *            the atnror to set
	 */
	public void setAtnror(BigDecimal atnror) {
		this.atnror = atnror;
	}

	/**
	 * @return the accodigo
	 */
	public String getAccodigo() {
		return accodigo;
	}

	/**
	 * @param accodigo
	 *            the accodigo to set
	 */
	public void setAccodigo(String accodigo) {
		this.accodigo = accodigo;
	}

	/**
	 * @return the accoor
	 */
	public String getAccoor() {
		return accoor;
	}

	/**
	 * @param accoor
	 *            the accoor to set
	 */
	public void setAccoor(String accoor) {
		this.accoor = accoor;
	}

	/**
	 * @return the acnror
	 */
	public String getAcnror() {
		return acnror;
	}

	/**
	 * @param acnror
	 *            the acnror to set
	 */
	public void setAcnror(String acnror) {
		this.acnror = acnror;
	}

	/**
	 * @return the acnran
	 */
	public BigDecimal getAcnran() {
		return acnran;
	}

	/**
	 * @param acnran
	 *            the acnran to set
	 */
	public void setAcnran(BigDecimal acnran) {
		this.acnran = acnran;
	}

	/**
	 * @return the acfele
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAcfele() {
		return acfele;
	}

	/**
	 * @param acfele
	 *            the acfele to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAcfele(Date acfele) {
		this.acfele = acfele;
	}

	/**
	 * @return the acfeleDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAcfeleDesde() {
		return acfeleDesde;
	}

	/**
	 * @param acfeleDesde
	 *            the acfeleDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAcfeleDesde(Date acfeleDesde) {
		this.acfeleDesde = acfeleDesde;
	}

	/**
	 * @return the acfeleHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAcfeleHasta() {
		return acfeleHasta;
	}

	/**
	 * @param acfeleHasta
	 *            the acfeleHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAcfeleHasta(Date acfeleHasta) {
		this.acfeleHasta = acfeleHasta;
	}

	/**
	 * @return the inspector
	 */
	public String getInspector() {
		return inspector;
	}

	/**
	 * @param inspector
	 *            the inspector to set
	 */
	public void setInspector(String inspector) {
		this.inspector = inspector;
	}

	/**
	 * @return the escodigoVisita
	 */
	public String getEscodigoVisita() {
		return escodigoVisita;
	}

	/**
	 * @param escodigoVisita
	 *            the escodigoVisita to set
	 */
	public void setEscodigoVisita(String escodigoVisita) {
		this.escodigoVisita = escodigoVisita;
	}

	/**
	 * @return the esnombreVisita
	 */
	public String getEsnombreVisita() {
		return esnombreVisita;
	}

	/**
	 * @param esnombreVisita
	 *            the esnombreVisita to set
	 */
	public void setEsnombreVisita(String esnombreVisita) {
		this.esnombreVisita = esnombreVisita;
	}

	/**
	 * @return the esnifVisita
	 */
	public String getEsnifVisita() {
		return esnifVisita;
	}

	/**
	 * @param esnifVisita
	 *            the esnifVisita to set
	 */
	public void setEsnifVisita(String esnifVisita) {
		this.esnifVisita = esnifVisita;
	}

	/**
	 * @return the esnocoVisita
	 */
	public String getEsnocoVisita() {
		return esnocoVisita;
	}

	/**
	 * @param esnocoVisita
	 *            the esnocoVisita to set
	 */
	public void setEsnocoVisita(String esnocoVisita) {
		this.esnocoVisita = esnocoVisita;
	}

	/**
	 * @return the secodigoVisita
	 */
	public String getSecodigoVisita() {
		return secodigoVisita;
	}

	/**
	 * @param secodigoVisita
	 *            the secodigoVisita to set
	 */
	public void setSecodigoVisita(String secodigoVisita) {
		this.secodigoVisita = secodigoVisita;
	}

	/**
	 * @return the senombreVisita
	 */
	public String getSenombreVisita() {
		return senombreVisita;
	}

	/**
	 * @param senombreVisita
	 *            the senombreVisita to set
	 */
	public void setSenombreVisita(String senombreVisita) {
		this.senombreVisita = senombreVisita;
	}

	/**
	 * @return the senombreeVisita
	 */
	public String getSenombreeVisita() {
		return senombreeVisita;
	}

	/**
	 * @param senombreeVisita
	 *            the senombreeVisita to set
	 */
	public void setSenombreeVisita(String senombreeVisita) {
		this.senombreeVisita = senombreeVisita;
	}

	/**
	 * @return the ttacodigo
	 */
	public String getTtacodigo() {
		return ttacodigo;
	}

	/**
	 * @param ttacodigo
	 *            the ttacodigo to set
	 */
	public void setTtacodigo(String ttacodigo) {
		this.ttacodigo = ttacodigo;
	}

	/**
	 * @return the ttanombre
	 */
	public String getTtanombre() {
		return ttanombre;
	}

	/**
	 * @param ttanombre
	 *            the ttanombre to set
	 */
	public void setTtanombre(String ttanombre) {
		this.ttanombre = ttanombre;
	}

	/**
	 * @return the tmacodigo
	 */
	public String getTmacodigo() {
		return tmacodigo;
	}

	/**
	 * @param tmacodigo
	 *            the tmacodigo to set
	 */
	public void setTmacodigo(String tmacodigo) {
		this.tmacodigo = tmacodigo;
	}

	/**
	 * @return the tmanombre
	 */
	public String getTmanombre() {
		return tmanombre;
	}

	/**
	 * @param tmanombre
	 *            the tmanombre to set
	 */
	public void setTmanombre(String tmanombre) {
		this.tmanombre = tmanombre;
	}

	/**
	 * @return the escodigoActuacion
	 */
	public String getEscodigoActuacion() {
		return escodigoActuacion;
	}

	/**
	 * @param escodigoActuacion
	 *            the escodigoActuacion to set
	 */
	public void setEscodigoActuacion(String escodigoActuacion) {
		this.escodigoActuacion = escodigoActuacion;
	}

	/**
	 * @return the esnombreActuacion
	 */
	public String getEsnombreActuacion() {
		return esnombreActuacion;
	}

	/**
	 * @param esnombreActuacion
	 *            the esnombreActuacion to set
	 */
	public void setEsnombreActuacion(String esnombreActuacion) {
		this.esnombreActuacion = esnombreActuacion;
	}

	/**
	 * @return the esnifActuacion
	 */
	public String getEsnifActuacion() {
		return esnifActuacion;
	}

	/**
	 * @param esnifActuacion
	 *            the esnifActuacion to set
	 */
	public void setEsnifActuacion(String esnifActuacion) {
		this.esnifActuacion = esnifActuacion;
	}

	/**
	 * @return the esnocoActuacion
	 */
	public String getEsnocoActuacion() {
		return esnocoActuacion;
	}

	/**
	 * @param esnocoActuacion
	 *            the esnocoActuacion to set
	 */
	public void setEsnocoActuacion(String esnocoActuacion) {
		this.esnocoActuacion = esnocoActuacion;
	}

	/**
	 * @return the secodigoActuacion
	 */
	public String getSecodigoActuacion() {
		return secodigoActuacion;
	}

	/**
	 * @param secodigoActuacion
	 *            the secodigoActuacion to set
	 */
	public void setSecodigoActuacion(String secodigoActuacion) {
		this.secodigoActuacion = secodigoActuacion;
	}

	/**
	 * @return the senombreActuacion
	 */
	public String getSenombreActuacion() {
		return senombreActuacion;
	}

	/**
	 * @param senombreActuacion
	 *            the senombreActuacion to set
	 */
	public void setSenombreActuacion(String senombreActuacion) {
		this.senombreActuacion = senombreActuacion;
	}

	/**
	 * @return the senombreeActuacion
	 */
	public String getSenombreeActuacion() {
		return senombreeActuacion;
	}

	/**
	 * @param senombreeActuacion
	 *            the senombreeActuacion to set
	 */
	public void setSenombreeActuacion(String senombreeActuacion) {
		this.senombreeActuacion = senombreeActuacion;
	}

	/**
	 * @return the pscodigoActuacion
	 */
	public String getPscodigoActuacion() {
		return pscodigoActuacion;
	}

	/**
	 * @param pscodigoActuacion
	 *            the pscodigoActuacion to set
	 */
	public void setPscodigoActuacion(String pscodigoActuacion) {
		this.pscodigoActuacion = pscodigoActuacion;
	}

	/**
	 * @return the psnombreActuacion
	 */
	public String getPsnombreActuacion() {
		return psnombreActuacion;
	}

	/**
	 * @param psnombreActuacion
	 *            the psnombreActuacion to set
	 */
	public void setPsnombreActuacion(String psnombreActuacion) {
		this.psnombreActuacion = psnombreActuacion;
	}

	/**
	 * @return the psnombreeActuacion
	 */
	public String getPsnombreeActuacion() {
		return psnombreeActuacion;
	}

	/**
	 * @param psnombreeActuacion
	 *            the psnombreeActuacion to set
	 */
	public void setPsnombreeActuacion(String psnombreeActuacion) {
		this.psnombreeActuacion = psnombreeActuacion;
	}

	/**
	 * @return the atcocm
	 */
	public String getAtcocm() {
		return atcocm;
	}

	/**
	 * @param atcocm
	 *            the atcocm to set
	 */
	public void setAtcocm(String atcocm) {
		this.atcocm = atcocm;
	}

	/**
	 * @return the atcoal
	 */
	public String getAtcoal() {
		return atcoal;
	}

	/**
	 * @param atcoal
	 *            the atcoal to set
	 */
	public void setAtcoal(String atcoal) {
		this.atcoal = atcoal;
	}

	/**
	 * @return the atcohd
	 */
	public String getAtcohd() {
		return atcohd;
	}

	/**
	 * @param atcohd
	 *            the atcohd to set
	 */
	public void setAtcohd(String atcohd) {
		this.atcohd = atcohd;
	}

	/**
	 * @return the atcohddenuncia
	 */
	public String getAtcohddenuncia() {
		return atcohddenuncia;
	}

	/**
	 * @param atcohddenuncia
	 *            the atcohddenuncia to set
	 */
	public void setAtcohddenuncia(String atcohddenuncia) {
		this.atcohddenuncia = atcohddenuncia;
	}

	/**
	 * @return the tipoExpediente
	 */
	public String getTipoExpediente() {
		return tipoExpediente;
	}

	/**
	 * @param tipoExpediente
	 *            the tipoExpediente to set
	 */
	public void setTipoExpediente(String tipoExpediente) {
		this.tipoExpediente = tipoExpediente;
	}

	/**
	 * @return the numeroActuacion
	 */
	public String getNumeroActuacion() {
		return numeroActuacion;
	}

	/**
	 * @param numeroActuacion
	 *            the numeroActuacion to set
	 */
	public void setNumeroActuacion(String numeroActuacion) {
		this.numeroActuacion = numeroActuacion;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "ActuacionBusqueda [numeroActuacion=" + numeroActuacion
				+ ", atcodigo=" + atcodigo + ", atnror=" + atnror
				+ ", accodigo=" + accodigo + ", accoor=" + accoor + ", acnror="
				+ acnror + ", acnran=" + acnran + ", acfele=" + acfele
				+ ", acfeleDesde=" + acfeleDesde + ", acfeleHasta="
				+ acfeleHasta + ", inspector=" + inspector
				+ ", escodigoVisita=" + escodigoVisita + ", esnombreVisita="
				+ esnombreVisita + ", esnifVisita=" + esnifVisita
				+ ", esnocoVisita=" + esnocoVisita + ", secodigoVisita="
				+ secodigoVisita + ", senombreVisita=" + senombreVisita
				+ ", senombreeVisita=" + senombreeVisita + ", ttacodigo="
				+ ttacodigo + ", ttanombre=" + ttanombre + ", tmacodigo="
				+ tmacodigo + ", tmanombre=" + tmanombre
				+ ", escodigoActuacion=" + escodigoActuacion
				+ ", esnombreActuacion=" + esnombreActuacion
				+ ", esnifActuacion=" + esnifActuacion + ", esnocoActuacion="
				+ esnocoActuacion + ", secodigoActuacion=" + secodigoActuacion
				+ ", senombreActuacion=" + senombreActuacion
				+ ", senombreeActuacion=" + senombreeActuacion
				+ ", pscodigoActuacion=" + pscodigoActuacion
				+ ", psnombreActuacion=" + psnombreActuacion
				+ ", psnombreeActuacion=" + psnombreeActuacion + ", atcocm="
				+ atcocm + ", atcoal=" + atcoal + ", atcohd=" + atcohd
				+ ", tipoExpediente=" + tipoExpediente + "]";
	}

}
