package com.ejie.y41b.model;

import java.math.BigDecimal;

import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * AdhesionTele  
 * 
 *  
 */

public class AdhesionTele implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private BigDecimal adhid;
	private String adhtipo;
	private String adhnif;
	private String adhesnom;
	private String adhesnoco;
	private String adhescoidco;
	private String adhorgemp;
	private String adhesurl;
	private String adhesnopeco;
	private String adhescoem;
	private String adhesnrtel;
	private String adhesnrtel2;
	private String adhesextranjero;
	private String adhesnombrecp;
	private String adhesprovin;
	private String adhesmunici;
	private String adheslocali;
	private String adhescalle;
	private String adhesportal;
	private String adhespiso;
	private String adhesdirecnocapv;
	private String adhesnorep;
	private String adhesnifrep;
	private String adhesintiar;
	private String adhesmedia;
	private String adhindef;
	private Date adhfecfin;
	private String adhsoltipnotif;
	private String adhsolidioma;
	private String adhsoltelem;
	private String adhsolemail;
	private String adhsolsms;
	private String adhsectorid;
	private Date adhfecalta;
	private String adhsolcoor;
	private BigDecimal adhsolnran;
	private BigDecimal adhsolnror;
	private String adhsolregen;
	private String adhespaisid;
	private Date adhfecregen;
	private String adhescodigo;
	private Docadhtele docadhtele;

	// descripciones
	private String sectornombre;
	private String sectornombreeu;
	private String paisnombre;
	private String provinnombre;
	private String municinombre;
	private String localinombre;
	private String callenombre;
	private String portalnombre;

	// no estan en la tabla pero necesarios para cargar datos del
	// establecimiento
	private String codorgemp;
	private String ahtelimi;

	// documentos ajduntos
	private List<Docadhtele> listaDocumentos;

	private String strListaDocumentos;

	private String adhSectorCampania;
	private String adhtexto;

	/**
	 * Method 'AdhesionTele'.
	 */
	public AdhesionTele() {
	}

	/**
	 * Method 'AdhesionTele'.
	 * 
	 * @param adhid
	 *            BigDecimal
	 * @param adhtipo
	 *            String
	 * @param adhnif
	 *            String
	 * @param adhesnom
	 *            String
	 * @param adhesnoco
	 *            String
	 * @param adhescoidco
	 *            String
	 * @param adhorgemp
	 *            String
	 * @param adhesurl
	 *            String
	 * @param adhesnopeco
	 *            String
	 * @param adhescoem
	 *            String
	 * @param adhesnrtel
	 *            String
	 * @param adhesnrtel2
	 *            String
	 * @param adhesextranjero
	 *            String
	 * @param adhesnombrecp
	 *            String
	 * @param adhesprovin
	 *            String
	 * @param adhesmunici
	 *            String
	 * @param adheslocali
	 *            String
	 * @param adhescalle
	 *            String
	 * @param adhesportal
	 *            String
	 * @param adhespiso
	 *            String
	 * @param adhesdirecnocapv
	 *            String
	 * @param adhesnorep
	 *            String
	 * @param adhesnifrep
	 *            String
	 * @param adhesintiar
	 *            String
	 * @param adhesmedia
	 *            String
	 * @param adhindef
	 *            String
	 * @param adhfecfin
	 *            Date
	 * @param adhsoltipnotif
	 *            String
	 * @param adhsolidioma
	 *            String
	 * @param adhsoltelem
	 *            String
	 * @param adhsolemail
	 *            String
	 * @param adhsolsms
	 *            String
	 * @param adhsectorid
	 *            String
	 * @param adhfecalta
	 *            Date
	 * @param adhsolcoor
	 *            String
	 * @param adhsolnran
	 *            BigDecimal
	 * @param adhsolnror
	 *            BigDecimal
	 * @param adhsolregen
	 *            String
	 * @param adhespaisid
	 *            String
	 * @param docadhtele
	 *            Docadhtele
	 */
	public AdhesionTele(BigDecimal adhid, String adhtipo, String adhnif, String adhesnom, String adhesnoco,
			String adhescoidco, String adhorgemp, String adhesurl, String adhesnopeco, String adhescoem,
			String adhesnrtel, String adhesnrtel2, String adhesextranjero, String adhesnombrecp, String adhesprovin,
			String adhesmunici, String adheslocali, String adhescalle, String adhesportal, String adhespiso,
			String adhesdirecnocapv, String adhesnorep, String adhesnifrep, String adhesintiar, String adhesmedia,
			String adhindef, Date adhfecfin, String adhsoltipnotif, String adhsolidioma, String adhsoltelem,
			String adhsolemail, String adhsolsms, String adhsectorid, Date adhfecalta, String adhsolcoor,
			BigDecimal adhsolnran, BigDecimal adhsolnror, String adhsolregen, String adhespaisid, Date adhfecregen,
			Docadhtele docadhtele) {

		this.adhid = adhid;
		this.adhtipo = adhtipo;
		this.adhnif = adhnif != null ? adhnif.toUpperCase() : adhnif;
		this.adhesnom = adhesnom;
		this.adhesnoco = adhesnoco;
		this.adhescoidco = adhescoidco;
		this.adhorgemp = adhorgemp;
		this.adhesurl = adhesurl;
		this.adhesnopeco = adhesnopeco;
		this.adhescoem = adhescoem;
		this.adhesnrtel = adhesnrtel;
		this.adhesnrtel2 = adhesnrtel2;
		this.adhesextranjero = adhesextranjero;
		this.adhesnombrecp = adhesnombrecp;
		this.adhesprovin = adhesprovin;
		this.adhesmunici = adhesmunici;
		this.adheslocali = adheslocali;
		this.adhescalle = adhescalle;
		this.adhesportal = adhesportal;
		this.adhespiso = adhespiso;
		this.adhesdirecnocapv = adhesdirecnocapv;
		this.adhesnorep = adhesnorep;
		this.adhesnifrep = adhesnifrep != null ? adhesnifrep.toUpperCase() : adhesnifrep;
		this.adhesintiar = adhesintiar;
		this.adhesmedia = adhesmedia;
		this.adhindef = adhindef;
		this.adhfecfin = adhfecfin;
		this.adhsoltipnotif = adhsoltipnotif;
		this.adhsolidioma = adhsolidioma;
		this.adhsoltelem = adhsoltelem;
		this.adhsolemail = adhsolemail;
		this.adhsolsms = adhsolsms;
		this.adhsectorid = adhsectorid;
		this.adhfecalta = adhfecalta;
		this.adhsolcoor = adhsolcoor;
		this.adhsolnran = adhsolnran;
		this.adhsolnror = adhsolnror;
		this.adhsolregen = adhsolregen;
		this.adhespaisid = adhespaisid;
		this.adhfecregen = adhfecregen;
		this.docadhtele = docadhtele;
	}

	/**
	 * Method 'getAdhid'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getAdhid() {
		return this.adhid;
	}

	/**
	 * Method 'setAdhid'.
	 * 
	 * @param adhid
	 *            BigDecimal
	 * @return
	 */

	public void setAdhid(BigDecimal adhid) {
		this.adhid = adhid;
	}

	/**
	 * Method 'getAdhtipo'.
	 * 
	 * @return String
	 */

	public String getAdhtipo() {
		return this.adhtipo;
	}

	/**
	 * Method 'setAdhtipo'.
	 * 
	 * @param adhtipo
	 *            String
	 * @return
	 */

	public void setAdhtipo(String adhtipo) {
		this.adhtipo = adhtipo;
	}

	/**
	 * Method 'getAdhnif'.
	 * 
	 * @return String
	 */

	public String getAdhnif() {
		return this.adhnif;
	}

	/**
	 * Method 'setAdhnif'.
	 * 
	 * @param adhnif
	 *            String
	 * @return
	 */

	public void setAdhnif(String adhnif) {
		this.adhnif = adhnif != null ? adhnif.toUpperCase() : adhnif;
	}

	/**
	 * Method 'getAdhesnom'.
	 * 
	 * @return String
	 */

	public String getAdhesnom() {
		return this.adhesnom;
	}

	/**
	 * Method 'setAdhesnom'.
	 * 
	 * @param adhesnom
	 *            String
	 * @return
	 */

	public void setAdhesnom(String adhesnom) {
		this.adhesnom = adhesnom;
	}

	/**
	 * Method 'getAdhesnoco'.
	 * 
	 * @return String
	 */

	public String getAdhesnoco() {
		return this.adhesnoco;
	}

	/**
	 * Method 'setAdhesnoco'.
	 * 
	 * @param adhesnoco
	 *            String
	 * @return
	 */

	public void setAdhesnoco(String adhesnoco) {
		this.adhesnoco = adhesnoco;
	}

	/**
	 * Method 'getAdhescoidco'.
	 * 
	 * @return String
	 */

	public String getAdhescoidco() {
		return this.adhescoidco;
	}

	/**
	 * Method 'setAdhescoidco'.
	 * 
	 * @param adhescoidco
	 *            String
	 * @return
	 */

	public void setAdhescoidco(String adhescoidco) {
		this.adhescoidco = adhescoidco;
	}

	/**
	 * Method 'getAdhorgemp'.
	 * 
	 * @return String
	 */

	public String getAdhorgemp() {
		return this.adhorgemp;
	}

	/**
	 * Method 'setAdhorgemp'.
	 * 
	 * @param adhorgemp
	 *            String
	 * @return
	 */

	public void setAdhorgemp(String adhorgemp) {
		this.adhorgemp = adhorgemp;
	}

	/**
	 * Method 'getAdhesurl'.
	 * 
	 * @return String
	 */

	public String getAdhesurl() {
		return this.adhesurl;
	}

	/**
	 * Method 'setAdhesurl'.
	 * 
	 * @param adhesurl
	 *            String
	 * @return
	 */

	public void setAdhesurl(String adhesurl) {
		this.adhesurl = adhesurl;
	}

	/**
	 * Method 'getAdhesnopeco'.
	 * 
	 * @return String
	 */

	public String getAdhesnopeco() {
		return this.adhesnopeco;
	}

	/**
	 * Method 'setAdhesnopeco'.
	 * 
	 * @param adhesnopeco
	 *            String
	 * @return
	 */

	public void setAdhesnopeco(String adhesnopeco) {
		this.adhesnopeco = adhesnopeco;
	}

	/**
	 * Method 'getAdhescoem'.
	 * 
	 * @return String
	 */

	public String getAdhescoem() {
		return this.adhescoem;
	}

	/**
	 * Method 'setAdhescoem'.
	 * 
	 * @param adhescoem
	 *            String
	 * @return
	 */

	public void setAdhescoem(String adhescoem) {
		this.adhescoem = adhescoem;
	}

	/**
	 * Method 'getAdhesnrtel'.
	 * 
	 * @return String
	 */

	public String getAdhesnrtel() {
		return this.adhesnrtel;
	}

	/**
	 * Method 'setAdhesnrtel'.
	 * 
	 * @param adhesnrtel
	 *            String
	 * @return
	 */

	public void setAdhesnrtel(String adhesnrtel) {
		this.adhesnrtel = adhesnrtel;
	}

	/**
	 * Method 'getAdhesnrtel2'.
	 * 
	 * @return String
	 */

	public String getAdhesnrtel2() {
		return this.adhesnrtel2;
	}

	/**
	 * Method 'setAdhesnrtel2'.
	 * 
	 * @param adhesnrtel2
	 *            String
	 * @return
	 */

	public void setAdhesnrtel2(String adhesnrtel2) {
		this.adhesnrtel2 = adhesnrtel2;
	}

	/**
	 * Method 'getAdhesextranjero'.
	 * 
	 * @return String
	 */

	public String getAdhesextranjero() {
		return this.adhesextranjero;
	}

	/**
	 * Method 'setAdhesextranjero'.
	 * 
	 * @param adhesextranjero
	 *            String
	 * @return
	 */

	public void setAdhesextranjero(String adhesextranjero) {
		this.adhesextranjero = adhesextranjero;
	}

	/**
	 * Method 'getAdhesnombrecp'.
	 * 
	 * @return String
	 */

	public String getAdhesnombrecp() {
		return this.adhesnombrecp;
	}

	/**
	 * Method 'setAdhesnombrecp'.
	 * 
	 * @param adhesnombrecp
	 *            String
	 * @return
	 */

	public void setAdhesnombrecp(String adhesnombrecp) {
		this.adhesnombrecp = adhesnombrecp;
	}

	/**
	 * Method 'getAdhesprovin'.
	 * 
	 * @return String
	 */

	public String getAdhesprovin() {
		return this.adhesprovin;
	}

	/**
	 * Method 'setAdhesprovin'.
	 * 
	 * @param adhesprovin
	 *            String
	 * @return
	 */

	public void setAdhesprovin(String adhesprovin) {
		this.adhesprovin = adhesprovin;
	}

	/**
	 * Method 'getAdhesmunici'.
	 * 
	 * @return String
	 */

	public String getAdhesmunici() {
		return this.adhesmunici;
	}

	/**
	 * Method 'setAdhesmunici'.
	 * 
	 * @param adhesmunici
	 *            String
	 * @return
	 */

	public void setAdhesmunici(String adhesmunici) {
		this.adhesmunici = adhesmunici;
	}

	/**
	 * Method 'getAdheslocali'.
	 * 
	 * @return String
	 */

	public String getAdheslocali() {
		return this.adheslocali;
	}

	/**
	 * Method 'setAdheslocali'.
	 * 
	 * @param adheslocali
	 *            String
	 * @return
	 */

	public void setAdheslocali(String adheslocali) {
		this.adheslocali = adheslocali;
	}

	/**
	 * Method 'getAdhescalle'.
	 * 
	 * @return String
	 */

	public String getAdhescalle() {
		return this.adhescalle;
	}

	/**
	 * Method 'setAdhescalle'.
	 * 
	 * @param adhescalle
	 *            String
	 * @return
	 */

	public void setAdhescalle(String adhescalle) {
		this.adhescalle = adhescalle;
	}

	/**
	 * Method 'getAdhesportal'.
	 * 
	 * @return String
	 */

	public String getAdhesportal() {
		return this.adhesportal;
	}

	/**
	 * Method 'setAdhesportal'.
	 * 
	 * @param adhesportal
	 *            String
	 * @return
	 */

	public void setAdhesportal(String adhesportal) {
		this.adhesportal = adhesportal;
	}

	/**
	 * Method 'getAdhespiso'.
	 * 
	 * @return String
	 */

	public String getAdhespiso() {
		return this.adhespiso;
	}

	/**
	 * Method 'setAdhespiso'.
	 * 
	 * @param adhespiso
	 *            String
	 * @return
	 */

	public void setAdhespiso(String adhespiso) {
		this.adhespiso = adhespiso;
	}

	/**
	 * Method 'getAdhesdirecnocapv'.
	 * 
	 * @return String
	 */

	public String getAdhesdirecnocapv() {
		return this.adhesdirecnocapv;
	}

	/**
	 * Method 'setAdhesdirecnocapv'.
	 * 
	 * @param adhesdirecnocapv
	 *            String
	 * @return
	 */

	public void setAdhesdirecnocapv(String adhesdirecnocapv) {
		this.adhesdirecnocapv = adhesdirecnocapv;
	}

	/**
	 * Method 'getAdhesnorep'.
	 * 
	 * @return String
	 */

	public String getAdhesnorep() {
		return this.adhesnorep;
	}

	/**
	 * Method 'setAdhesnorep'.
	 * 
	 * @param adhesnorep
	 *            String
	 * @return
	 */

	public void setAdhesnorep(String adhesnorep) {
		this.adhesnorep = adhesnorep;
	}

	/**
	 * Method 'getAdhesnifrep'.
	 * 
	 * @return String
	 */

	public String getAdhesnifrep() {
		return this.adhesnifrep;
	}

	/**
	 * Method 'setAdhesnifrep'.
	 * 
	 * @param adhesnifrep
	 *            String
	 * @return
	 */

	public void setAdhesnifrep(String adhesnifrep) {
		this.adhesnifrep = adhesnifrep != null ? adhesnifrep.toUpperCase() : adhesnifrep;
	}

	/**
	 * Method 'getAdhesintiar'.
	 * 
	 * @return String
	 */

	public String getAdhesintiar() {
		return this.adhesintiar;
	}

	/**
	 * Method 'setAdhesintiar'.
	 * 
	 * @param adhesintiar
	 *            String
	 * @return
	 */

	public void setAdhesintiar(String adhesintiar) {
		this.adhesintiar = adhesintiar;
	}

	/**
	 * Method 'getAdhesmedia'.
	 * 
	 * @return String
	 */

	public String getAdhesmedia() {
		return this.adhesmedia;
	}

	/**
	 * Method 'setAdhesmedia'.
	 * 
	 * @param adhesmedia
	 *            String
	 * @return
	 */

	public void setAdhesmedia(String adhesmedia) {
		this.adhesmedia = adhesmedia;
	}

	/**
	 * Method 'getAdhindef'.
	 * 
	 * @return String
	 */

	public String getAdhindef() {
		return this.adhindef;
	}

	/**
	 * Method 'setAdhindef'.
	 * 
	 * @param adhindef
	 *            String
	 * @return
	 */

	public void setAdhindef(String adhindef) {
		this.adhindef = adhindef;
	}

	/**
	 * Method 'getAdhfecfin'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAdhfecfin() {
		return this.adhfecfin;
	}

	/**
	 * Method 'setAdhfecfin'.
	 * 
	 * @param adhfecfin
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAdhfecfin(Date adhfecfin) {
		this.adhfecfin = adhfecfin;
	}

	/**
	 * Method 'getAdhsoltipnotif'.
	 * 
	 * @return String
	 */

	public String getAdhsoltipnotif() {
		return this.adhsoltipnotif;
	}

	/**
	 * Method 'setAdhsoltipnotif'.
	 * 
	 * @param adhsoltipnotif
	 *            String
	 * @return
	 */

	public void setAdhsoltipnotif(String adhsoltipnotif) {
		this.adhsoltipnotif = adhsoltipnotif;
	}

	/**
	 * Method 'getAdhsolidioma'.
	 * 
	 * @return String
	 */

	public String getAdhsolidioma() {
		return this.adhsolidioma;
	}

	/**
	 * Method 'setAdhsolidioma'.
	 * 
	 * @param adhsolidioma
	 *            String
	 * @return
	 */

	public void setAdhsolidioma(String adhsolidioma) {
		this.adhsolidioma = adhsolidioma;
	}

	/**
	 * Method 'getAdhsoltelem'.
	 * 
	 * @return String
	 */

	public String getAdhsoltelem() {
		return this.adhsoltelem;
	}

	/**
	 * Method 'setAdhsoltelem'.
	 * 
	 * @param adhsoltelem
	 *            String
	 * @return
	 */

	public void setAdhsoltelem(String adhsoltelem) {
		this.adhsoltelem = adhsoltelem;
	}

	/**
	 * Method 'getAdhsolemail'.
	 * 
	 * @return String
	 */

	public String getAdhsolemail() {
		return this.adhsolemail;
	}

	/**
	 * Method 'setAdhsolemail'.
	 * 
	 * @param adhsolemail
	 *            String
	 * @return
	 */

	public void setAdhsolemail(String adhsolemail) {
		this.adhsolemail = adhsolemail;
	}

	/**
	 * Method 'getAdhsolsms'.
	 * 
	 * @return String
	 */

	public String getAdhsolsms() {
		return this.adhsolsms;
	}

	/**
	 * Method 'setAdhsolsms'.
	 * 
	 * @param adhsolsms
	 *            String
	 * @return
	 */

	public void setAdhsolsms(String adhsolsms) {
		this.adhsolsms = adhsolsms;
	}

	/**
	 * Method 'getAdhsectorid'.
	 * 
	 * @return String
	 */

	public String getAdhsectorid() {
		return this.adhsectorid;
	}

	/**
	 * Method 'setAdhsectorid'.
	 * 
	 * @param adhsectorid
	 *            String
	 * @return
	 */

	public void setAdhsectorid(String adhsectorid) {
		this.adhsectorid = adhsectorid;
	}

	/**
	 * Method 'getAdhfecalta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAdhfecalta() {
		return this.adhfecalta;
	}

	/**
	 * Method 'setAdhfecalta'.
	 * 
	 * @param adhfecalta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAdhfecalta(Date adhfecalta) {
		this.adhfecalta = adhfecalta;
	}

	/**
	 * Method 'getAdhsolcoor'.
	 * 
	 * @return String
	 */

	public String getAdhsolcoor() {
		return this.adhsolcoor;
	}

	/**
	 * Method 'setAdhsolcoor'.
	 * 
	 * @param adhsolcoor
	 *            String
	 * @return
	 */

	public void setAdhsolcoor(String adhsolcoor) {
		this.adhsolcoor = adhsolcoor;
	}

	/**
	 * Method 'getAdhsolnran'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getAdhsolnran() {
		return this.adhsolnran;
	}

	/**
	 * Method 'setAdhsolnran'.
	 * 
	 * @param adhsolnran
	 *            BigDecimal
	 * @return
	 */

	public void setAdhsolnran(BigDecimal adhsolnran) {
		this.adhsolnran = adhsolnran;
	}

	/**
	 * Method 'getAdhsolnror'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getAdhsolnror() {
		return this.adhsolnror;
	}

	/**
	 * Method 'setAdhsolnror'.
	 * 
	 * @param adhsolnror
	 *            BigDecimal
	 * @return
	 */

	public void setAdhsolnror(BigDecimal adhsolnror) {
		this.adhsolnror = adhsolnror;
	}

	/**
	 * Method 'getAdhsolregen'.
	 * 
	 * @return String
	 */

	public String getAdhsolregen() {
		return this.adhsolregen;
	}

	/**
	 * Method 'setAdhsolregen'.
	 * 
	 * @param adhsolregen
	 *            String
	 * @return
	 */

	public void setAdhsolregen(String adhsolregen) {
		this.adhsolregen = adhsolregen;
	}

	/**
	 * Method 'setAdhespaisid'.
	 * 
	 * @param adhespaisid
	 *            String
	 * @return
	 */

	public void setAdhespaisid(String adhespaisid) {
		this.adhespaisid = adhespaisid;
	}

	/**
	 * Method 'getAdhespaisid'.
	 * 
	 * @return String
	 */

	public String getAdhespaisid() {
		return this.adhespaisid;
	}

	/**
	 * Method 'getAdhfecregen'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAdhfecregen() {
		return this.adhfecregen;
	}

	/**
	 * Method 'setAdhfecregen'.
	 * 
	 * @param adhfecregen
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAdhfecregen(Date adhfecregen) {
		this.adhfecregen = adhfecregen;
	}

	/**
	 * Method 'getDocadhtele'.
	 * 
	 * @return Docadhtele
	 */
	@JsonIgnore
	public Docadhtele getDocadhtele() {
		return this.docadhtele;
	}

	/**
	 * Method 'setDocadhtele'.
	 * 
	 * @param docadhtele
	 *            Docadhtele
	 * @return
	 */

	public void setDocadhtele(Docadhtele docadhtele) {
		this.docadhtele = docadhtele;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ adhid: ").append(this.adhid).append(" ]");
		result.append(", [ adhtipo: ").append(this.adhtipo).append(" ]");
		result.append(", [ adhnif: ").append(this.adhnif).append(" ]");
		result.append(", [ adhesnom: ").append(this.adhesnom).append(" ]");
		result.append(", [ adhesnoco: ").append(this.adhesnoco).append(" ]");
		result.append(", [ adhescoidco: ").append(this.adhescoidco).append(" ]");
		result.append(", [ adhorgemp: ").append(this.adhorgemp).append(" ]");
		result.append(", [ adhesurl: ").append(this.adhesurl).append(" ]");
		result.append(", [ adhesnopeco: ").append(this.adhesnopeco).append(" ]");
		result.append(", [ adhescoem: ").append(this.adhescoem).append(" ]");
		result.append(", [ adhesnrtel: ").append(this.adhesnrtel).append(" ]");
		result.append(", [ adhesnrtel2: ").append(this.adhesnrtel2).append(" ]");
		result.append(", [ adhesextranjero: ").append(this.adhesextranjero).append(" ]");
		result.append(", [ adhesnombrecp: ").append(this.adhesnombrecp).append(" ]");
		result.append(", [ adhesprovin: ").append(this.adhesprovin).append(" ]");
		result.append(", [ adhesmunici: ").append(this.adhesmunici).append(" ]");
		result.append(", [ adheslocali: ").append(this.adheslocali).append(" ]");
		result.append(", [ adhescalle: ").append(this.adhescalle).append(" ]");
		result.append(", [ adhesportal: ").append(this.adhesportal).append(" ]");
		result.append(", [ adhespiso: ").append(this.adhespiso).append(" ]");
		result.append(", [ adhesdirecnocapv: ").append(this.adhesdirecnocapv).append(" ]");
		result.append(", [ adhesnorep: ").append(this.adhesnorep).append(" ]");
		result.append(", [ adhesnifrep: ").append(this.adhesnifrep).append(" ]");
		result.append(", [ adhesintiar: ").append(this.adhesintiar).append(" ]");
		result.append(", [ adhesmedia: ").append(this.adhesmedia).append(" ]");
		result.append(", [ adhindef: ").append(this.adhindef).append(" ]");
		result.append(", [ adhfecfin: ").append(this.adhfecfin).append(" ]");
		result.append(", [ adhsoltipnotif: ").append(this.adhsoltipnotif).append(" ]");
		result.append(", [ adhsolidioma: ").append(this.adhsolidioma).append(" ]");
		result.append(", [ adhsoltelem: ").append(this.adhsoltelem).append(" ]");
		result.append(", [ adhsolemail: ").append(this.adhsolemail).append(" ]");
		result.append(", [ adhsolsms: ").append(this.adhsolsms).append(" ]");
		result.append(", [ adhsectorid: ").append(this.adhsectorid).append(" ]");
		result.append(", [ adhfecalta: ").append(this.adhfecalta).append(" ]");
		result.append(", [ adhsolcoor: ").append(this.adhsolcoor).append(" ]");
		result.append(", [ adhsolnran: ").append(this.adhsolnran).append(" ]");
		result.append(", [ adhsolnror: ").append(this.adhsolnror).append(" ]");
		result.append(", [ adhsolregen: ").append(this.adhsolregen).append(" ]");
		result.append(", [ adhespaisid: ").append(this.adhespaisid).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * Method 'setSectornombre'.
	 * 
	 * @param sectornombre
	 *            String
	 * @return
	 */

	public void setSectornombre(String sectornombre) {
		this.sectornombre = sectornombre;
	}

	/**
	 * Method 'getSectornombre'.
	 * 
	 * @return String
	 */

	public String getSectornombre() {
		return this.sectornombre;
	}

	/**
	 * Method 'setSectornombreeu'.
	 * 
	 * @param sectornombreeu
	 *            String
	 * @return
	 */

	public void setSectornombreeu(String sectornombreeu) {
		this.sectornombreeu = sectornombreeu;
	}

	/**
	 * Method 'getSectornombreeu'.
	 * 
	 * @return String
	 */

	public String getSectornombreeu() {
		return this.sectornombreeu;
	}

	/**
	 * Method 'setProvinnombre'.
	 * 
	 * @param provinnombre
	 *            String
	 * @return
	 */

	public void setProvinnombre(String provinnombre) {
		this.provinnombre = provinnombre;
	}

	/**
	 * Method 'getProvinnombre'.
	 * 
	 * @return String
	 */

	public String getProvinnombre() {
		return this.provinnombre;
	}

	/**
	 * Method 'setMunicinombre'.
	 * 
	 * @param municinombre
	 *            String
	 * @return
	 */

	public void setMunicinombre(String municinombre) {
		this.municinombre = municinombre;
	}

	/**
	 * Method 'getMunicinombre'.
	 * 
	 * @return String
	 */

	public String getMunicinombre() {
		return this.municinombre;
	}

	/**
	 * Method 'setLocalinombre'.
	 * 
	 * @param localinombre
	 *            String
	 * @return
	 */

	public void setLocalinombre(String localinombre) {
		this.localinombre = localinombre;
	}

	/**
	 * Method 'getLocalinombre'.
	 * 
	 * @return String
	 */

	public String getLocalinombre() {
		return this.localinombre;
	}

	/**
	 * Method 'setCallenombre'.
	 * 
	 * @param callenombre
	 *            String
	 * @return
	 */

	public void setCallenombre(String callenombre) {
		this.callenombre = callenombre;
	}

	/**
	 * Method 'getCallenombre'.
	 * 
	 * @return String
	 */

	public String getCallenombre() {
		return this.callenombre;
	}

	/**
	 * Method 'setPaisnombre'.
	 * 
	 * @param paisnombre
	 *            String
	 * @return
	 */

	public void setPaisnombre(String paisnombre) {
		this.paisnombre = paisnombre;
	}

	/**
	 * Method 'getPaisnombre'.
	 * 
	 * @return String
	 */

	public String getPaisnombre() {
		return this.paisnombre;
	}

	/**
	 * Method 'setPortalnombre'.
	 * 
	 * @param portalnombre
	 *            String
	 * @return
	 */

	public void setPortalnombre(String portalnombre) {
		this.portalnombre = portalnombre;
	}

	/**
	 * Method 'getPaisnombre'.
	 * 
	 * @return String
	 */

	public String getPortalnombre() {
		return this.portalnombre;
	}

	/**
	 * Method 'setPortalnombre'.
	 * 
	 * @param portalnombre
	 *            String
	 * @return
	 */
	public void setListadocumentos(List<Docadhtele> listaDocumentos) {
		this.listaDocumentos = listaDocumentos;
	}

	/**
	 * Method 'getPaisnombre'.
	 * 
	 * @return String
	 */

	public List<Docadhtele> getListadocumentos() {
		return this.listaDocumentos;
	}

	/**
	 * Method 'setPortalnombre'.
	 * 
	 * @param portalnombre
	 *            String
	 * @return
	 */

	public void setstrListaDocumentos(String strListaDocumentos) {
		this.strListaDocumentos = strListaDocumentos;
	}

	/**
	 * Method 'getPaisnombre'.
	 * 
	 * @return String
	 */

	public String getstrListaDocumentos() {
		return this.strListaDocumentos;
	}

	/**
	 * Method 'setAdhescodigo'.
	 * 
	 * @param adhescodigo
	 *            String
	 * @return
	 */

	public void setAdhescodigo(String adhescodigo) {
		this.adhescodigo = adhescodigo;
	}

	/**
	 * Method 'getAdhescodigo'.
	 * 
	 * @return String
	 */

	public String getAdhescodigo() {
		return this.adhescodigo;
	}

	/**
	 * Method 'setCodorgemp'.
	 * 
	 * @param codorgemp
	 *            String
	 * @return
	 */

	public void setCodorgemp(String codorgemp) {
		this.codorgemp = codorgemp;
	}

	/**
	 * Method 'getCodorgemp'.
	 * 
	 * @return String
	 */

	public String getCodorgemp() {
		return this.codorgemp;
	}

	/**
	 * Method 'setAhtelimi'.
	 * 
	 * @param ahtelimi
	 *            String
	 * @return
	 */

	public void setAhtelimi(String ahtelimi) {
		this.ahtelimi = ahtelimi;
	}

	/**
	 * Method 'getCodorgemp'.
	 * 
	 * @return String
	 */

	public String getAhtelimi() {
		return this.ahtelimi;
	}

	public String getAdhSectorCampania() {
		return adhSectorCampania;
	}

	public void setAdhSectorCampania(String adhSectorCampania) {
		this.adhSectorCampania = adhSectorCampania;
	}

	public String getAdhtexto() {
		return adhtexto;
	}

	public void setAdhtexto(String adhtexto) {
		this.adhtexto = adhtexto;
	}
}
