package com.ejie.y41b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * Alerta  
 * 
 *  
 */

public class Alerta implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String alcodigo;
	private Alerta alerta;
	private NaturalezaPeligro naturalezaPeligro;
	private String alcoor;
	private Long alnran;
	private String alnror;
	private Date alfeen;
	private Date alfeenDesde;
	private Date alfeenHasta;
	private Date alfeplrr;
	private Date alfeComunicacionDesde;
	private Date alfeComunicacionHasta;
	private Date alfePlazoDesde;
	private Date alfePlazoHasta;
	private String alorigen;
	private String alproducto;
	private String alcops;
	private String psnombre;
	private String psnombree;
	private String alnoprse;
	private String alnrlops;
	private String alnomaps;
	private String alnomops;
	private Date alfedumi;
	private String alcoca;
	private String alcopa;
	private String alcotop;
	private String altein;
	private String alcoes;
	private Date alferrin;
	private String alinre;
	private Date alfecoor;
	private String alcotmo;
	private String alaecosan;
	private String alactiva;
	private String alanulada;
	private Date alfechaanulacion;
	private String alindicaciones;
	private String alcodigobarras;
	private String alorigenproducto;
	private String alccaaproducto;
	private String alpaisproducto;

	private String alfeenDesdeStr;
	private String alfeenHastaStr;
	private String alfeComunicacionDesdeStr;
	private String alfeComunicacionHastaStr;
	private String alfePlazoDesdeStr;
	private String alfePlazoHastaStr;

	private List<AlertaProgramacion> alertaProgramacions = new ArrayList<AlertaProgramacion>();
	private List<Distribuidor> distribuidors = new ArrayList<Distribuidor>();
	private List<Alerta> alertas = new ArrayList<Alerta>();

	private Establecimiento establecimiento;

	private Date almaxfechaplazo;

	private String anyadirPlantilla;

	private String modoAlerta;

	/**
	 * Method 'Alerta'.
	 */
	public Alerta() {
	}

	/**
	 * Method 'Alerta'.
	 * 
	 * @param alcodigo
	 *            String
	 */
	public Alerta(String alcodigo) {
		this.alcodigo = alcodigo;
	}

	/**
	 * Method 'Alerta'.
	 * 
	 * @param alcodigo
	 *            String
	 * @param alcoor
	 *            String
	 * @param alnran
	 *            Long
	 * @param alnror
	 *            String
	 * @param alfeen
	 *            Date
	 * @param alfeplrr
	 *            Date
	 * @param alcops
	 *            String
	 * @param psnombre
	 *            String
	 * @param psnombree
	 *            String
	 * @param alnoprse
	 *            String
	 * @param alnrlops
	 *            String
	 * @param alnomaps
	 *            String
	 * @param alnomops
	 *            String
	 * @param alfedumi
	 *            Date
	 * @param alcoca
	 *            String
	 * @param alcopa
	 *            String
	 * @param alcotop
	 *            String
	 * @param altein
	 *            String
	 * @param alcoes
	 *            String
	 * @param alferrin
	 *            Date
	 * @param alinre
	 *            String
	 * @param alfecoor
	 *            Date
	 * @param alcotmo
	 *            String
	 * @param alaecosan
	 *            String
	 * @param alactiva
	 *            String
	 * @param alanulada
	 *            String
	 * @param alfechaanulacion
	 *            Date
	 * @param alindicaciones
	 *            String
	 * @param alcodigobarras
	 *            String
	 * @param alorigenproducto
	 *            String
	 * @param alccaaproducto
	 *            String
	 * @param alpaisproducto
	 *            String
	 * @param alerta
	 *            Alerta
	 * @param naturalezaPeligro
	 *            NaturalezaPeligro
	 * @param almaxfechaplazo
	 *            Date
	 */
	public Alerta(String alcodigo, String alcoor, Long alnran, String alnror,
			Date alfeen, Date alfeplrr, String alcops, String psnombre,
			String psnombree, String alnoprse, String alnrlops,
			String alnomaps, String alnomops, Date alfedumi, String alcoca,
			String alcopa, String alcotop, String altein, String alcoes,
			Date alferrin, String alinre, Date alfecoor, String alcotmo,
			String alaecosan, String alactiva, String alanulada,
			Date alfechaanulacion, String alindicaciones,
			String alcodigobarras, String alorigenproducto,
			String alccaaproducto, String alpaisproducto, Alerta alerta,
			NaturalezaPeligro naturalezaPeligro, Date almaxfechaplazo) {
		this.alcodigo = alcodigo;
		this.alerta = alerta;
		this.naturalezaPeligro = naturalezaPeligro;
		this.alcoor = alcoor;
		this.alnran = alnran;
		this.alnror = alnror;
		this.alfeen = alfeen;
		this.alfeplrr = alfeplrr;
		this.alcops = alcops;
		this.psnombre = psnombre;
		this.psnombree = psnombree;
		this.alnoprse = alnoprse;
		this.alnrlops = alnrlops;
		this.alnomaps = alnomaps;
		this.alnomops = alnomops;
		this.alfedumi = alfedumi;
		this.alcoca = alcoca;
		this.alcopa = alcopa;
		this.alcotop = alcotop;
		this.altein = altein;
		this.alcoes = alcoes;
		this.alferrin = alferrin;
		this.alinre = alinre;
		this.alfecoor = alfecoor;
		this.alcotmo = alcotmo;
		this.alaecosan = alaecosan;
		this.alactiva = alactiva;
		this.alanulada = alanulada;
		this.alfechaanulacion = alfechaanulacion;
		this.alindicaciones = alindicaciones;
		this.alcodigobarras = alcodigobarras;
		this.alorigenproducto = alorigenproducto;
		this.alccaaproducto = alccaaproducto;
		this.alpaisproducto = alpaisproducto;
		this.almaxfechaplazo = almaxfechaplazo;
	}

	/**
	 * Method 'getAlcodigo'.
	 * 
	 * @return String
	 */

	public String getAlcodigo() {
		return this.alcodigo;
	}

	/**
	 * Method 'setAlcodigo'.
	 * 
	 * @param alcodigo
	 *            String
	 * @return
	 */

	public void setAlcodigo(String alcodigo) {
		this.alcodigo = alcodigo;
	}

	/**
	 * Method 'getAlerta'.
	 * 
	 * @return Alerta
	 */
	public Alerta getAlerta() {
		return this.alerta;
	}

	/**
	 * Method 'setAlerta'.
	 * 
	 * @param alerta
	 *            Alerta
	 * @return
	 */

	public void setAlerta(Alerta alerta) {
		this.alerta = alerta;
	}

	/**
	 * Method 'getNaturalezaPeligro'.
	 * 
	 * @return NaturalezaPeligro
	 */
	public NaturalezaPeligro getNaturalezaPeligro() {
		return this.naturalezaPeligro;
	}

	/**
	 * Method 'setNaturalezaPeligro'.
	 * 
	 * @param naturalezaPeligro
	 *            NaturalezaPeligro
	 * @return
	 */

	public void setNaturalezaPeligro(NaturalezaPeligro naturalezaPeligro) {
		this.naturalezaPeligro = naturalezaPeligro;
	}

	/**
	 * Method 'getAlcoor'.
	 * 
	 * @return String
	 */

	public String getAlcoor() {
		return this.alcoor;
	}

	/**
	 * Method 'setAlcoor'.
	 * 
	 * @param alcoor
	 *            String
	 * @return
	 */

	public void setAlcoor(String alcoor) {
		this.alcoor = alcoor;
	}

	/**
	 * Method 'getAlnran'.
	 * 
	 * @return Long
	 */

	public Long getAlnran() {
		return this.alnran;
	}

	/**
	 * Method 'setAlnran'.
	 * 
	 * @param alnran
	 *            Long
	 * @return
	 */

	public void setAlnran(Long alnran) {
		this.alnran = alnran;
	}

	/**
	 * Method 'getAlnror'.
	 * 
	 * @return String
	 */

	public String getAlnror() {
		return this.alnror;
	}

	/**
	 * Method 'setAlnror'.
	 * 
	 * @param alnror
	 *            String
	 * @return
	 */

	public void setAlnror(String alnror) {
		this.alnror = alnror;
	}

	/**
	 * Method 'getAlfeen'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfeen() {
		return this.alfeen;
	}

	/**
	 * Method 'setAlfeen'.
	 * 
	 * @param alfeen
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfeen(Date alfeen) {
		this.alfeen = alfeen;
	}

	/**
	 * Method 'getAlfeplrr'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfeplrr() {
		return this.alfeplrr;
	}

	/**
	 * Method 'setAlfeplrr'.
	 * 
	 * @param alfeplrr
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfeplrr(Date alfeplrr) {
		this.alfeplrr = alfeplrr;
	}

	/**
	 * Method 'getAlcops'.
	 * 
	 * @return String
	 */

	public String getAlcops() {
		return this.alcops;
	}

	/**
	 * Method 'setAlcops'.
	 * 
	 * @param alcops
	 *            String
	 * @return
	 */

	public void setAlcops(String alcops) {
		this.alcops = alcops;
	}

	/**
	 * Method 'getAlnoprse'.
	 * 
	 * @return String
	 */

	public String getAlnoprse() {
		return this.alnoprse;
	}

	/**
	 * Method 'setAlnoprse'.
	 * 
	 * @param alnoprse
	 *            String
	 * @return
	 */

	public void setAlnoprse(String alnoprse) {
		this.alnoprse = alnoprse;
	}

	/**
	 * Method 'getAlnrlops'.
	 * 
	 * @return String
	 */

	public String getAlnrlops() {
		return this.alnrlops;
	}

	/**
	 * Method 'setAlnrlops'.
	 * 
	 * @param alnrlops
	 *            String
	 * @return
	 */

	public void setAlnrlops(String alnrlops) {
		this.alnrlops = alnrlops;
	}

	/**
	 * Method 'getAlnomaps'.
	 * 
	 * @return String
	 */

	public String getAlnomaps() {
		return this.alnomaps;
	}

	/**
	 * Method 'setAlnomaps'.
	 * 
	 * @param alnomaps
	 *            String
	 * @return
	 */

	public void setAlnomaps(String alnomaps) {
		this.alnomaps = alnomaps;
	}

	/**
	 * Method 'getAlnomops'.
	 * 
	 * @return String
	 */

	public String getAlnomops() {
		return this.alnomops;
	}

	/**
	 * Method 'setAlnomops'.
	 * 
	 * @param alnomops
	 *            String
	 * @return
	 */

	public void setAlnomops(String alnomops) {
		this.alnomops = alnomops;
	}

	/**
	 * Method 'getAlfedumi'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfedumi() {
		return this.alfedumi;
	}

	/**
	 * Method 'setAlfedumi'.
	 * 
	 * @param alfedumi
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfedumi(Date alfedumi) {
		this.alfedumi = alfedumi;
	}

	/**
	 * Method 'getAlcoca'.
	 * 
	 * @return String
	 */

	public String getAlcoca() {
		return this.alcoca;
	}

	/**
	 * Method 'setAlcoca'.
	 * 
	 * @param alcoca
	 *            String
	 * @return
	 */

	public void setAlcoca(String alcoca) {
		this.alcoca = alcoca;
	}

	/**
	 * Method 'getAlcopa'.
	 * 
	 * @return String
	 */

	public String getAlcopa() {
		return this.alcopa;
	}

	/**
	 * Method 'setAlcopa'.
	 * 
	 * @param alcopa
	 *            String
	 * @return
	 */

	public void setAlcopa(String alcopa) {
		this.alcopa = alcopa;
	}

	/**
	 * Method 'getAlcotop'.
	 * 
	 * @return String
	 */

	public String getAlcotop() {
		return this.alcotop;
	}

	/**
	 * Method 'setAlcotop'.
	 * 
	 * @param alcotop
	 *            String
	 * @return
	 */

	public void setAlcotop(String alcotop) {
		this.alcotop = alcotop;
	}

	/**
	 * Method 'getAltein'.
	 * 
	 * @return String
	 */

	public String getAltein() {
		return this.altein;
	}

	/**
	 * Method 'setAltein'.
	 * 
	 * @param altein
	 *            String
	 * @return
	 */

	public void setAltein(String altein) {
		this.altein = altein;
	}

	/**
	 * Method 'getAlcoes'.
	 * 
	 * @return String
	 */

	public String getAlcoes() {
		return this.alcoes;
	}

	/**
	 * Method 'setAlcoes'.
	 * 
	 * @param alcoes
	 *            String
	 * @return
	 */

	public void setAlcoes(String alcoes) {
		this.alcoes = alcoes;
	}

	/**
	 * Method 'getAlferrin'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlferrin() {
		return this.alferrin;
	}

	/**
	 * Method 'setAlferrin'.
	 * 
	 * @param alferrin
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlferrin(Date alferrin) {
		this.alferrin = alferrin;
	}

	/**
	 * Method 'getAlinre'.
	 * 
	 * @return String
	 */

	public String getAlinre() {
		return this.alinre;
	}

	/**
	 * Method 'setAlinre'.
	 * 
	 * @param alinre
	 *            String
	 * @return
	 */

	public void setAlinre(String alinre) {
		this.alinre = alinre;
	}

	/**
	 * Method 'getAlfecoor'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfecoor() {
		return this.alfecoor;
	}

	/**
	 * Method 'setAlfecoor'.
	 * 
	 * @param alfecoor
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfecoor(Date alfecoor) {
		this.alfecoor = alfecoor;
	}

	/**
	 * Method 'getAlcotmo'.
	 * 
	 * @return String
	 */

	public String getAlcotmo() {
		return this.alcotmo;
	}

	/**
	 * Method 'setAlcotmo'.
	 * 
	 * @param alcotmo
	 *            String
	 * @return
	 */

	public void setAlcotmo(String alcotmo) {
		this.alcotmo = alcotmo;
	}

	/**
	 * Method 'getAlaecosan'.
	 * 
	 * @return String
	 */

	public String getAlaecosan() {
		return this.alaecosan;
	}

	/**
	 * Method 'setAlaecosan'.
	 * 
	 * @param alaecosan
	 *            String
	 * @return
	 */

	public void setAlaecosan(String alaecosan) {
		this.alaecosan = alaecosan;
	}

	/**
	 * Method 'getAlactiva'.
	 * 
	 * @return String
	 */

	public String getAlactiva() {
		return this.alactiva;
	}

	/**
	 * Method 'setAlactiva'.
	 * 
	 * @param alactiva
	 *            String
	 * @return
	 */

	public void setAlactiva(String alactiva) {
		this.alactiva = alactiva;
	}

	/**
	 * Method 'getAlanulada'.
	 * 
	 * @return String
	 */

	public String getAlanulada() {
		return this.alanulada;
	}

	/**
	 * Method 'setAlanulada'.
	 * 
	 * @param alanulada
	 *            String
	 * @return
	 */

	public void setAlanulada(String alanulada) {
		this.alanulada = alanulada;
	}

	/**
	 * Method 'getAlfechaanulacion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfechaanulacion() {
		return this.alfechaanulacion;
	}

	/**
	 * Method 'setAlfechaanulacion'.
	 * 
	 * @param alfechaanulacion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfechaanulacion(Date alfechaanulacion) {
		this.alfechaanulacion = alfechaanulacion;
	}

	/**
	 * Method 'getAlindicaciones'.
	 * 
	 * @return String
	 */
	public String getAlindicaciones() {
		return this.alindicaciones;
	}

	/**
	 * Method 'setAlindicaciones'.
	 * 
	 * @param alindicaciones
	 *            String
	 * @return
	 */

	public void setAlindicaciones(String alindicaciones) {
		this.alindicaciones = alindicaciones;
	}

	/**
	 * Method 'getAlcodigobarras'.
	 * 
	 * @return String
	 */

	public String getAlcodigobarras() {
		return this.alcodigobarras;
	}

	/**
	 * Method 'setAlcodigobarras'.
	 * 
	 * @param alcodigobarras
	 *            String
	 * @return
	 */

	public void setAlcodigobarras(String alcodigobarras) {
		this.alcodigobarras = alcodigobarras;
	}

	/**
	 * Method 'getAlorigenproducto'.
	 * 
	 * @return String
	 */

	public String getAlorigenproducto() {
		return this.alorigenproducto;
	}

	/**
	 * Method 'setAlorigenproducto'.
	 * 
	 * @param alorigenproducto
	 *            String
	 * @return
	 */

	public void setAlorigenproducto(String alorigenproducto) {
		this.alorigenproducto = alorigenproducto;
	}

	/**
	 * Method 'getAlccaaproducto'.
	 * 
	 * @return String
	 */

	public String getAlccaaproducto() {
		return this.alccaaproducto;
	}

	/**
	 * Method 'setAlccaaproducto'.
	 * 
	 * @param alccaaproducto
	 *            String
	 * @return
	 */

	public void setAlccaaproducto(String alccaaproducto) {
		this.alccaaproducto = alccaaproducto;
	}

	/**
	 * Method 'getAlpaisproducto'.
	 * 
	 * @return String
	 */

	public String getAlpaisproducto() {
		return this.alpaisproducto;
	}

	/**
	 * Method 'setAlpaisproducto'.
	 * 
	 * @param alpaisproducto
	 *            String
	 * @return
	 */

	public void setAlpaisproducto(String alpaisproducto) {
		this.alpaisproducto = alpaisproducto;
	}

	/**
	 * Method 'getAlertaProgramacions'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<AlertaProgramacion> getAlertaProgramacions() {
		return this.alertaProgramacions;
	}

	/**
	 * Method 'setAlertaProgramacions'.
	 * 
	 * @param alertaProgramacions
	 *            List
	 * @return
	 */
	public void setAlertaProgramacions(
			List<AlertaProgramacion> alertaProgramacions) {
		this.alertaProgramacions = alertaProgramacions;
	}

	/**
	 * Method 'getDistribuidors'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<Distribuidor> getDistribuidors() {
		return this.distribuidors;
	}

	/**
	 * Method 'setDistribuidors'.
	 * 
	 * @param distribuidors
	 *            List
	 * @return
	 */
	public void setDistribuidors(List<Distribuidor> distribuidors) {
		this.distribuidors = distribuidors;
	}

	/**
	 * Method 'getAlertas'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<Alerta> getAlertas() {
		return this.alertas;
	}

	/**
	 * Method 'setAlertas'.
	 * 
	 * @param alertas
	 *            List
	 * @return
	 */
	public void setAlertas(List<Alerta> alertas) {
		this.alertas = alertas;
	}

	/**
	 * @return the establecimiento
	 */
	public Establecimiento getEstablecimiento() {
		return establecimiento;
	}

	/**
	 * @param establecimiento
	 *            the establecimiento to set
	 */
	public void setEstablecimiento(Establecimiento establecimiento) {
		this.establecimiento = establecimiento;
	}

	/**
	 * @return the alfeenDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfeenDesde() {
		return alfeenDesde;
	}

	/**
	 * @param alfeenDesde
	 *            the alfeenDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfeenDesde(Date alfeenDesde) {
		this.alfeenDesde = alfeenDesde;
	}

	/**
	 * @return the alfeenHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfeenHasta() {
		return alfeenHasta;
	}

	/**
	 * @param alfeenHasta
	 *            the alfeenHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfeenHasta(Date alfeenHasta) {
		this.alfeenHasta = alfeenHasta;
	}

	/**
	 * @return the alfeComunicacionDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfeComunicacionDesde() {
		return alfeComunicacionDesde;
	}

	/**
	 * @param alfeComunicacionDesde
	 *            the alfeComunicacionDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfeComunicacionDesde(Date alfeComunicacionDesde) {
		this.alfeComunicacionDesde = alfeComunicacionDesde;
	}

	/**
	 * @return the alfeComunicacionHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfeComunicacionHasta() {
		return alfeComunicacionHasta;
	}

	/**
	 * @param alfeComunicacionHasta
	 *            the alfeComunicacionHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfeComunicacionHasta(Date alfeComunicacionHasta) {
		this.alfeComunicacionHasta = alfeComunicacionHasta;
	}

	/**
	 * @return the alfePlazoDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfePlazoDesde() {
		return alfePlazoDesde;
	}

	/**
	 * @param alfePlazoDesde
	 *            the alfePlazoDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfePlazoDesde(Date alfePlazoDesde) {
		this.alfePlazoDesde = alfePlazoDesde;
	}

	/**
	 * @return the alfePlazoHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlfePlazoHasta() {
		return alfePlazoHasta;
	}

	/**
	 * @param alfePlazoHasta
	 *            the alfePlazoHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlfePlazoHasta(Date alfePlazoHasta) {
		this.alfePlazoHasta = alfePlazoHasta;
	}

	/**
	 * @return the alorigen
	 */
	public String getAlorigen() {
		return alorigen;
	}

	/**
	 * @param alorigen
	 *            the alorigen to set
	 */
	public void setAlorigen(String alorigen) {
		this.alorigen = alorigen;
	}

	/**
	 * @return the alproducto
	 */
	public String getAlproducto() {
		return alproducto;
	}

	/**
	 * @param alproducto
	 *            the alproducto to set
	 */
	public void setAlproducto(String alproducto) {
		this.alproducto = alproducto;
	}

	/**
	 * @return the psnombre
	 */
	public String getPsnombre() {
		return psnombre;
	}

	/**
	 * @param psnombre
	 *            the psnombre to set
	 */
	public void setPsnombre(String psnombre) {
		this.psnombre = psnombre;
	}

	/**
	 * @return the psnombree
	 */
	public String getPsnombree() {
		return psnombree;
	}

	/**
	 * @param psnombree
	 *            the psnombree to set
	 */
	public void setPsnombree(String psnombree) {
		this.psnombree = psnombree;
	}

	/**
	 * @return the alfeenDesdeStr
	 */
	public String getAlfeenDesdeStr() {
		return alfeenDesdeStr;
	}

	/**
	 * @param alfeenDesdeStr
	 *            the alfeenDesdeStr to set
	 */
	public void setAlfeenDesdeStr(String alfeenDesdeStr) {
		this.alfeenDesdeStr = alfeenDesdeStr;
	}

	/**
	 * @return the alfeenHastaStr
	 */
	public String getAlfeenHastaStr() {
		return alfeenHastaStr;
	}

	/**
	 * @param alfeenHastaStr
	 *            the alfeenHastaStr to set
	 */
	public void setAlfeenHastaStr(String alfeenHastaStr) {
		this.alfeenHastaStr = alfeenHastaStr;
	}

	/**
	 * @return the alfeComunicacionDesdeStr
	 */
	public String getAlfeComunicacionDesdeStr() {
		return alfeComunicacionDesdeStr;
	}

	/**
	 * @param alfeComunicacionDesdeStr
	 *            the alfeComunicacionDesdeStr to set
	 */
	public void setAlfeComunicacionDesdeStr(String alfeComunicacionDesdeStr) {
		this.alfeComunicacionDesdeStr = alfeComunicacionDesdeStr;
	}

	/**
	 * @return the alfeComunicacionHastaStr
	 */
	public String getAlfeComunicacionHastaStr() {
		return alfeComunicacionHastaStr;
	}

	/**
	 * @param alfeComunicacionHastaStr
	 *            the alfeComunicacionHastaStr to set
	 */
	public void setAlfeComunicacionHastaStr(String alfeComunicacionHastaStr) {
		this.alfeComunicacionHastaStr = alfeComunicacionHastaStr;
	}

	/**
	 * @return the alfePlazoDesdeStr
	 */
	public String getAlfePlazoDesdeStr() {
		return alfePlazoDesdeStr;
	}

	/**
	 * @param alfePlazoDesdeStr
	 *            the alfePlazoDesdeStr to set
	 */
	public void setAlfePlazoDesdeStr(String alfePlazoDesdeStr) {
		this.alfePlazoDesdeStr = alfePlazoDesdeStr;
	}

	/**
	 * @return the alfePlazoHastaStr
	 */
	public String getAlfePlazoHastaStr() {
		return alfePlazoHastaStr;
	}

	/**
	 * @param alfePlazoHastaStr
	 *            the alfePlazoHastaStr to set
	 */
	public void setAlfePlazoHastaStr(String alfePlazoHastaStr) {
		this.alfePlazoHastaStr = alfePlazoHastaStr;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ alcodigo: ").append(this.alcodigo).append(" ]");
		result.append(", [ alcoor: ").append(this.alcoor).append(" ]");
		result.append(", [ alnran: ").append(this.alnran).append(" ]");
		result.append(", [ alnror: ").append(this.alnror).append(" ]");
		result.append(", [ alfeen: ").append(this.alfeen).append(" ]");
		result.append(", [ alfeplrr: ").append(this.alfeplrr).append(" ]");
		result.append(", [ alcops: ").append(this.alcops).append(" ]");
		result.append(", [ alnoprse: ").append(this.alnoprse).append(" ]");
		result.append(", [ alnrlops: ").append(this.alnrlops).append(" ]");
		result.append(", [ alnomaps: ").append(this.alnomaps).append(" ]");
		result.append(", [ alnomops: ").append(this.alnomops).append(" ]");
		result.append(", [ alfedumi: ").append(this.alfedumi).append(" ]");
		result.append(", [ alcoca: ").append(this.alcoca).append(" ]");
		result.append(", [ alcopa: ").append(this.alcopa).append(" ]");
		result.append(", [ alcotop: ").append(this.alcotop).append(" ]");
		result.append(", [ altein: ").append(this.altein).append(" ]");
		result.append(", [ alcoes: ").append(this.alcoes).append(" ]");
		result.append(", [ alferrin: ").append(this.alferrin).append(" ]");
		result.append(", [ alinre: ").append(this.alinre).append(" ]");
		result.append(", [ alfecoor: ").append(this.alfecoor).append(" ]");
		result.append(", [ alcotmo: ").append(this.alcotmo).append(" ]");
		result.append(", [ alaecosan: ").append(this.alaecosan).append(" ]");
		result.append(", [ alactiva: ").append(this.alactiva).append(" ]");
		result.append(", [ alanulada: ").append(this.alanulada).append(" ]");
		result.append(", [ alfechaanulacion: ").append(this.alfechaanulacion)
				.append(" ]");
		result.append(", [ alcodigobarras: ").append(this.alcodigobarras)
				.append(" ]");
		result.append(", [ alorigenproducto: ").append(this.alorigenproducto)
				.append(" ]");
		result.append(", [ alccaaproducto: ").append(this.alccaaproducto)
				.append(" ]");
		result.append(", [ alpaisproducto: ").append(this.alpaisproducto)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the almaxfechaplazo
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAlmaxfechaplazo() {
		return this.almaxfechaplazo;
	}

	/**
	 * @param almaxfechaplazo
	 *            the almaxfechaplazo to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAlmaxfechaplazo(Date almaxfechaplazo) {
		this.almaxfechaplazo = almaxfechaplazo;
	}

	/**
	 * @return the modoAlerta
	 */
	public String getModoAlerta() {
		return modoAlerta;
	}

	/**
	 * @param modoAlerta
	 *            the modoAlerta to set
	 */
	public void setModoAlerta(String modoAlerta) {
		this.modoAlerta = modoAlerta;
	}

	/**
	 * @return the anyadirPlantilla
	 */
	public String getAnyadirPlantilla() {
		return anyadirPlantilla;
	}

	/**
	 * @param anyadirPlantilla
	 *            the anyadirPlantilla to set
	 */
	public void setAnyadirPlantilla(String anyadirPlantilla) {
		this.anyadirPlantilla = anyadirPlantilla;
	}

}
