package com.ejie.y41b.model;


import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

/**
 *  * AlertaRecib  
 *  
 */

public class AlertaRecib  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private String s5codigo;
            private Alerta alerta;
            private CaracterAlerta caracterAlerta;
            private String s5codorganismo;
            private Date s5feccomunicacion;
            private Date s5fecfinalizacion;
            private Integer s5cantidadactuaciones;
            private List<Actuacion> actuacions = new ArrayList<Actuacion>();

	/** Method 'AlertaRecib'.
	*
	*/
    public AlertaRecib() {
    }
    /** Method 'AlertaRecib'.
    * @param s5codigo String
    * @param s5codorganismo String
    * @param s5feccomunicacion Date
    * @param s5fecfinalizacion Date
    * @param s5cantidadactuaciones Integer
    * @param alerta Alerta
    * @param caracterAlerta CaracterAlerta
    */
    public AlertaRecib(String s5codigo, String s5codorganismo, Date s5feccomunicacion, Date s5fecfinalizacion, Integer s5cantidadactuaciones , Alerta alerta, CaracterAlerta caracterAlerta) {	
        this.s5codigo = s5codigo;
        this.alerta = alerta;
        this.caracterAlerta = caracterAlerta;
        this.s5codorganismo = s5codorganismo;
        this.s5feccomunicacion = s5feccomunicacion;
        this.s5fecfinalizacion = s5fecfinalizacion;
        this.s5cantidadactuaciones = s5cantidadactuaciones;
    }

    /** Method 'AlertaRecib'.
    * @param s5codigo String
    * @param s5codorganismo String
    * @param s5feccomunicacion Date
    * @param s5fecfinalizacion Date
    * @param s5cantidadactuaciones Integer
    * @param alerta Alerta
    * @param caracterAlerta CaracterAlerta
    * @param actuacions List<Actuacion>
    */
   public AlertaRecib(String s5codigo, String s5codorganismo, Date s5feccomunicacion, Date s5fecfinalizacion, Integer s5cantidadactuaciones, Alerta alerta, CaracterAlerta caracterAlerta, List<Actuacion> actuacions) {	

           this.s5codigo = s5codigo;
           this.alerta = alerta;
           this.caracterAlerta = caracterAlerta;
           this.s5codorganismo = s5codorganismo;
           this.s5feccomunicacion = s5feccomunicacion;
           this.s5fecfinalizacion = s5fecfinalizacion;
           this.s5cantidadactuaciones = s5cantidadactuaciones;
           this.actuacions = actuacions;
    }

    /**
	 * Method 'getS5codigo'.
	 *
	 * @return String
	 */
	
	
	public String getS5codigo() {
		return this.s5codigo;
	}

	/**
	 * Method 'setS5codigo'.
	 *
	 * @param s5codigo String
	 * @return
     */
	
	public void setS5codigo(String s5codigo) {
		this.s5codigo = s5codigo;
	}
    /**
	 * Method 'getAlerta'.
	 *
	 * @return Alerta
	 */
	@JsonIgnore
	
	public Alerta getAlerta() {
		return this.alerta;
	}

	/**
	 * Method 'setAlerta'.
	 *
	 * @param alerta Alerta
	 * @return
     */
	
	public void setAlerta(Alerta alerta) {
		this.alerta = alerta;
	}
    /**
	 * Method 'getCaracterAlerta'.
	 *
	 * @return CaracterAlerta
	 */
	@JsonIgnore
	
	public CaracterAlerta getCaracterAlerta() {
		return this.caracterAlerta;
	}

	/**
	 * Method 'setCaracterAlerta'.
	 *
	 * @param caracterAlerta CaracterAlerta
	 * @return
     */
	
	public void setCaracterAlerta(CaracterAlerta caracterAlerta) {
		this.caracterAlerta = caracterAlerta;
	}
    /**
	 * Method 'getS5codorganismo'.
	 *
	 * @return String
	 */
	
	
	public String getS5codorganismo() {
		return this.s5codorganismo;
	}

	/**
	 * Method 'setS5codorganismo'.
	 *
	 * @param s5codorganismo String
	 * @return
     */
	
	public void setS5codorganismo(String s5codorganismo) {
		this.s5codorganismo = s5codorganismo;
	}
    /**
	 * Method 'getS5feccomunicacion'.
	 *
	 * @return Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getS5feccomunicacion() {
		return this.s5feccomunicacion;
	}

	/**
	 * Method 'setS5feccomunicacion'.
	 *
	 * @param s5feccomunicacion Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setS5feccomunicacion(Date s5feccomunicacion) {
		this.s5feccomunicacion = s5feccomunicacion;
	}
    /**
	 * Method 'getS5fecfinalizacion'.
	 *
	 * @return Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getS5fecfinalizacion() {
		return this.s5fecfinalizacion;
	}

	/**
	 * Method 'setS5fecfinalizacion'.
	 *
	 * @param s5fecfinalizacion Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setS5fecfinalizacion(Date s5fecfinalizacion) {
		this.s5fecfinalizacion = s5fecfinalizacion;
	}
    /**
	 * Method 'getS5cantidadactuaciones'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getS5cantidadactuaciones() {
		return this.s5cantidadactuaciones;
	}

	/**
	 * Method 'setS5cantidadactuaciones'.
	 *
	 * @param s5cantidadactuaciones Integer
	 * @return
     */
	
	public void setS5cantidadactuaciones(Integer s5cantidadactuaciones) {
		this.s5cantidadactuaciones = s5cantidadactuaciones;
	}
	/**
	 * Method 'getActuacions'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Actuacion> getActuacions() {
		return this.actuacions;
	}
	
	/**
	 * Method 'setActuacions'.
	 *
	 * @param actuacions List
	 * @return
	 */
	public void setActuacions(List<Actuacion> actuacions) {
		this.actuacions = actuacions;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ s5codigo: ").append(this.s5codigo).append(" ]");
		result.append(", [ s5codorganismo: ").append(this.s5codorganismo).append(" ]");
		result.append(", [ s5feccomunicacion: ").append(this.s5feccomunicacion).append(" ]");
		result.append(", [ s5fecfinalizacion: ").append(this.s5fecfinalizacion).append(" ]");
		result.append(", [ s5cantidadactuaciones: ").append(this.s5cantidadactuaciones).append(" ]");
		result.append("}");
		return result.toString();
	}


}

