package com.ejie.y41b.model;

import java.math.BigDecimal;

import javax.validation.constraints.Digits;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * * Analisis  
 * 
 *  
 */

public class AnalisisDetalle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String ancodigo;
	private Integer annrmu;
	@NotNull(message = "required.annran")
	@Digits(integer = 4, fraction = 0, message = "lenght.annran")
	private BigDecimal annran;
	private String ancoor;
	@Length(max = 255, message = "lenght.anteestm")
	private String anteestm;
	@Digits(integer = 8, fraction = 2, message = "lenght.ancaptpm")
	private BigDecimal ancaptpm;

	// Actuacion
	private String atcodigo;

	// Origen
	private String tomcodigo;
	private String tomnombre;

	// Caracter
	@NotEmpty(message = "required.caracter")
	private String tctcodigo;
	private String tctnombre;

	// Deposito
	@NotEmpty(message = "required.deposito")
	private String tdmcodigo;
	private String tdmnombre;

	/**
	 * Method 'AnalisisDetalle'.
	 * 
	 */
	public AnalisisDetalle() {
	}

	/**
	 * @param ancodigo
	 * @param annrmu
	 * @param annran
	 * @param ancoor
	 * @param anteestm
	 * @param ancaptpm
	 * @param atcodigo
	 * @param tomcodigo
	 * @param tomnombre
	 * @param tctcodigo
	 * @param tctnombre
	 * @param tdmcodigo
	 * @param tdmnombre
	 */
	public AnalisisDetalle(String ancodigo, Integer annrmu, BigDecimal annran,
			String ancoor, String anteestm, BigDecimal ancaptpm,
			String atcodigo, String tomcodigo, String tomnombre,
			String tctcodigo, String tctnombre, String tdmcodigo,
			String tdmnombre) {
		this.ancodigo = ancodigo;
		this.annrmu = annrmu;
		this.annran = annran;
		this.ancoor = ancoor;
		this.anteestm = anteestm;
		this.ancaptpm = ancaptpm;
		this.atcodigo = atcodigo;
		this.tomcodigo = tomcodigo;
		this.tomnombre = tomnombre;
		this.tctcodigo = tctcodigo;
		this.tctnombre = tctnombre;
		this.tdmcodigo = tdmcodigo;
		this.tdmnombre = tdmnombre;
	}

	/**
	 * @return the ancodigo
	 */
	public String getAncodigo() {
		return ancodigo;
	}

	/**
	 * @param ancodigo
	 *            the ancodigo to set
	 */
	public void setAncodigo(String ancodigo) {
		this.ancodigo = ancodigo;
	}

	/**
	 * @return the annrmu
	 */
	public Integer getAnnrmu() {
		return annrmu;
	}

	/**
	 * @param annrmu
	 *            the annrmu to set
	 */
	public void setAnnrmu(Integer annrmu) {
		this.annrmu = annrmu;
	}

	/**
	 * @return the annran
	 */
	public BigDecimal getAnnran() {
		return annran;
	}

	/**
	 * @param annran
	 *            the annran to set
	 */
	public void setAnnran(BigDecimal annran) {
		this.annran = annran;
	}

	/**
	 * @return the ancoor
	 */
	public String getAncoor() {
		return ancoor;
	}

	/**
	 * @param ancoor
	 *            the ancoor to set
	 */
	public void setAncoor(String ancoor) {
		this.ancoor = ancoor;
	}

	/**
	 * @return the anteestm
	 */
	public String getAnteestm() {
		return anteestm;
	}

	/**
	 * @param anteestm
	 *            the anteestm to set
	 */
	public void setAnteestm(String anteestm) {
		this.anteestm = anteestm;
	}

	/**
	 * @return the ancaptpm
	 */
	public BigDecimal getAncaptpm() {
		return ancaptpm;
	}

	/**
	 * @param ancaptpm
	 *            the ancaptpm to set
	 */
	public void setAncaptpm(BigDecimal ancaptpm) {
		this.ancaptpm = ancaptpm;
	}

	/**
	 * @return the atcodigo
	 */
	public String getAtcodigo() {
		return atcodigo;
	}

	/**
	 * @param atcodigo
	 *            the atcodigo to set
	 */
	public void setAtcodigo(String atcodigo) {
		this.atcodigo = atcodigo;
	}

	/**
	 * @return the tomcodigo
	 */
	public String getTomcodigo() {
		return tomcodigo;
	}

	/**
	 * @param tomcodigo
	 *            the tomcodigo to set
	 */
	public void setTomcodigo(String tomcodigo) {
		this.tomcodigo = tomcodigo;
	}

	/**
	 * @return the tomnombre
	 */
	public String getTomnombre() {
		return tomnombre;
	}

	/**
	 * @param tomnombre
	 *            the tomnombre to set
	 */
	public void setTomnombre(String tomnombre) {
		this.tomnombre = tomnombre;
	}

	/**
	 * @return the tctcodigo
	 */
	public String getTctcodigo() {
		return tctcodigo;
	}

	/**
	 * @param tctcodigo
	 *            the tctcodigo to set
	 */
	public void setTctcodigo(String tctcodigo) {
		this.tctcodigo = tctcodigo;
	}

	/**
	 * @return the tctnombre
	 */
	public String getTctnombre() {
		return tctnombre;
	}

	/**
	 * @param tctnombre
	 *            the tctnombre to set
	 */
	public void setTctnombre(String tctnombre) {
		this.tctnombre = tctnombre;
	}

	/**
	 * @return the tdmcodigo
	 */
	public String getTdmcodigo() {
		return tdmcodigo;
	}

	/**
	 * @param tdmcodigo
	 *            the tdmcodigo to set
	 */
	public void setTdmcodigo(String tdmcodigo) {
		this.tdmcodigo = tdmcodigo;
	}

	/**
	 * @return the tdmnombre
	 */
	public String getTdmnombre() {
		return tdmnombre;
	}

	/**
	 * @param tdmnombre
	 *            the tdmnombre to set
	 */
	public void setTdmnombre(String tdmnombre) {
		this.tdmnombre = tdmnombre;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "AnalisisDetalle [ancodigo=" + ancodigo + ", annrmu=" + annrmu
				+ ", annran=" + annran + ", ancoor=" + ancoor + ", anteestm="
				+ anteestm + ", ancaptpm=" + ancaptpm + ", atcodigo="
				+ atcodigo + ", tomcodigo=" + tomcodigo + ", tomnombre="
				+ tomnombre + ", tctcodigo=" + tctcodigo + ", tctnombre="
				+ tctnombre + ", tdmcodigo=" + tdmcodigo + ", tdmnombre="
				+ tdmnombre + "]";
	}

}
