package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * Arbbandeja  
 * 
 *  
 */

public class Arbbandeja implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String abid;
	private Solarb solarb;
	private Arbinterv arbinterv;
	private CensoMonitor monitor;
	private Arbtramexp arbtramexp;
	private Fase fase;
	private String abtrid;
	private Date abfec;
	private String abestado;
	private Date abfeclimite;
	private String abfase;
	private String abnomdoc;
	private Date abfecalta;
	private Date abfecmodif;
	private String abusualta;
	private String abusumodif;
	/* nuevos */
	private String abtexto;
	private String abtextoe;
	private String abtipo;
	private Date abfecini;

	private String tramitesPendientes;
	private String avisos;

	// Campos para observaciones
	private String obs_tramiteOrigenNombre;
	private String obs_tramiteOrigenNombree;
	private Date obs_tramiteOrigenFecha;
	private String obs_tipoDestinatario;
	private String obs_destinatarioNombre;
	private String obs_tipoOrigen;

	// EVOLUTIVO 0134898 2.11
	private String mocodigo;
	private String trcodigo;
	private Date trFechaDesde;
	private Date trFechaHasta;

	// EVOLUTIVO 0134898 2.11

	// EVOLUTIVO 0159047: Bandeja de arbitraje. Control de nuevos expedientes
	private String ultimoTramiteAsigRes;

	private boolean laudoPendienteFirma;

	private String estadoFirma;
	private String estadoFirmaArbitros;
	private String codocumento;
	private String idTramiteHecho;

	/**
	 * Method 'Arbbandeja'.
	 */
	public Arbbandeja() {
	}

	/**
	 * Method 'Arbbandeja'.
	 * 
	 * @param abid
	 *            String
	 * @param abtrid
	 *            BigDecimal
	 * @param abfec
	 *            Date
	 * @param abestado
	 *            String
	 * @param abfeclimite
	 *            Date
	 * @param abfase
	 *            String
	 * @param abnomdoc
	 *            String
	 * @param abfecalta
	 *            Date
	 * @param abfecmodif
	 *            Date
	 * @param abusualta
	 *            String
	 * @param abusumodif
	 *            String
	 * @param solarb
	 *            Solarb
	 * @param arbinterv
	 *            Arbinterv
	 * @param monitor
	 *            Monitor
	 * @param arbtramexp
	 *            Arbtramexp
	 * @param fase
	 *            Fase
	 * @param abtipo
	 *            the abtipo
	 * @param abfecini
	 *            the abfecini
	 * @param abtexto
	 *            the abtexto
	 * @param abtextoe
	 *            the abtextoe
	 */
	public Arbbandeja(String abid, String abtrid, Date abfec, String abestado, Date abfeclimite, String abfase,
			String abnomdoc, Date abfecalta, Date abfecmodif, String abusualta, String abusumodif, Solarb solarb,
			Arbinterv arbinterv, CensoMonitor monitor, Arbtramexp arbtramexp, Fase fase, String abtipo, Date abfecini,
			String abtexto, String abtextoe) {

		this.abid = abid;
		this.solarb = solarb;
		this.arbinterv = arbinterv;
		this.monitor = monitor;
		this.arbtramexp = arbtramexp;
		this.fase = fase;
		this.abtrid = abtrid;
		this.abfec = abfec;
		this.abestado = abestado;
		this.abfeclimite = abfeclimite;
		this.abfase = abfase;
		this.abnomdoc = abnomdoc;
		this.abfecalta = abfecalta;
		this.abfecmodif = abfecmodif;
		this.abusualta = abusualta;
		this.abusumodif = abusumodif;
		this.abtipo = abtipo;
		this.abfecini = abfecini;
		this.abtexto = abtexto;
		this.abtextoe = abtextoe;
	}

	/**
	 * Method 'getAbid'.
	 * 
	 * @return String
	 */

	public String getAbid() {
		return this.abid;
	}

	/**
	 * Method 'setAbid'.
	 * 
	 * @param abid
	 *            String
	 * @return
	 */

	public void setAbid(String abid) {
		this.abid = abid;
	}

	/**
	 * Method 'getSolarb'.
	 * 
	 * @return Solarb
	 */

	public Solarb getSolarb() {
		return this.solarb;
	}

	/**
	 * Method 'setSolarb'.
	 * 
	 * @param solarb
	 *            Solarb
	 * @return
	 */

	public void setSolarb(Solarb solarb) {
		this.solarb = solarb;
	}

	/**
	 * Method 'getArbinterv'.
	 * 
	 * @return Arbinterv
	 */

	public Arbinterv getArbinterv() {
		return this.arbinterv;
	}

	/**
	 * Method 'setArbinterv'.
	 * 
	 * @param arbinterv
	 *            Arbinterv
	 * @return
	 */

	public void setArbinterv(Arbinterv arbinterv) {
		this.arbinterv = arbinterv;
	}

	/**
	 * Method 'getMonitor'.
	 * 
	 * @return Monitor
	 */
	public CensoMonitor getMonitor() {
		return this.monitor;
	}

	/**
	 * Method 'setMonitor'.
	 * 
	 * @param monitor
	 *            Monitor
	 * @return
	 */

	public void setMonitor(CensoMonitor monitor) {
		this.monitor = monitor;
	}

	/**
	 * Method 'getAbtrid'.
	 * 
	 * @return BigDecimal
	 */

	/**
	 * Method 'getArbtramexp'.
	 * 
	 * @return Arbtramexp
	 */

	public Arbtramexp getArbtramexp() {
		return this.arbtramexp;
	}

	/**
	 * Method 'setArbtramexp'.
	 * 
	 * @param arbtramexp
	 *            Arbtramexp
	 * @return
	 */

	public void setArbtramexp(Arbtramexp arbtramexp) {
		this.arbtramexp = arbtramexp;
	}

	/**
	 * Method 'getFase'.
	 * 
	 * @return Fase
	 */

	public Fase getFase() {
		return this.fase;
	}

	/**
	 * Method 'setFase'.
	 * 
	 * @param fase
	 *            Fase
	 * @return
	 */

	public void setFase(Fase fase) {
		this.fase = fase;
	}

	/**
	 * Gets the abtrid.
	 * 
	 * @return the abtrid
	 */
	public String getAbtrid() {
		return this.abtrid;
	}

	/**
	 * Method 'setAbtrid'.
	 * 
	 * @param abtrid
	 *            BigDecimal
	 * @return
	 */

	public void setAbtrid(String abtrid) {
		this.abtrid = abtrid;
	}

	/**
	 * Method 'getAbfec'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAbfec() {
		return this.abfec;
	}

	/**
	 * Method 'setAbfec'.
	 * 
	 * @param abfec
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAbfec(Date abfec) {
		this.abfec = abfec;
	}

	/**
	 * Method 'getAbestado'.
	 * 
	 * @return String
	 */

	public String getAbestado() {
		return this.abestado;
	}

	/**
	 * Method 'setAbestado'.
	 * 
	 * @param abestado
	 *            String
	 * @return
	 */

	public void setAbestado(String abestado) {
		this.abestado = abestado;
	}

	/**
	 * Method 'getAbfeclimite'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAbfeclimite() {
		return this.abfeclimite;
	}

	/**
	 * Method 'setAbfeclimite'.
	 * 
	 * @param abfeclimite
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAbfeclimite(Date abfeclimite) {
		this.abfeclimite = abfeclimite;
	}

	/**
	 * Method 'getAbfase'.
	 * 
	 * @return String
	 */

	public String getAbfase() {
		return this.abfase;
	}

	/**
	 * Method 'setAbfase'.
	 * 
	 * @param abfase
	 *            String
	 * @return
	 */

	public void setAbfase(String abfase) {
		this.abfase = abfase;
	}

	/**
	 * Method 'getAbnomdoc'.
	 * 
	 * @return String
	 */

	public String getAbnomdoc() {
		return this.abnomdoc;
	}

	/**
	 * Method 'setAbnomdoc'.
	 * 
	 * @param abnomdoc
	 *            String
	 * @return
	 */

	public void setAbnomdoc(String abnomdoc) {
		this.abnomdoc = abnomdoc;
	}

	/**
	 * Method 'getAbfecalta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAbfecalta() {
		return this.abfecalta;
	}

	/**
	 * Method 'setAbfecalta'.
	 * 
	 * @param abfecalta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAbfecalta(Date abfecalta) {
		this.abfecalta = abfecalta;
	}

	/**
	 * Method 'getAbfecmodif'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAbfecmodif() {
		return this.abfecmodif;
	}

	/**
	 * Method 'setAbfecmodif'.
	 * 
	 * @param abfecmodif
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAbfecmodif(Date abfecmodif) {
		this.abfecmodif = abfecmodif;
	}

	/**
	 * Method 'getAbusualta'.
	 * 
	 * @return String
	 */

	public String getAbusualta() {
		return this.abusualta;
	}

	/**
	 * Method 'setAbusualta'.
	 * 
	 * @param abusualta
	 *            String
	 * @return
	 */

	public void setAbusualta(String abusualta) {
		this.abusualta = abusualta;
	}

	/**
	 * Method 'getAbusumodif'.
	 * 
	 * @return String
	 */

	public String getAbusumodif() {
		return this.abusumodif;
	}

	/**
	 * Method 'setAbusumodif'.
	 * 
	 * @param abusumodif
	 *            String
	 * @return
	 */

	public void setAbusumodif(String abusumodif) {
		this.abusumodif = abusumodif;
	}

	/**
	 * @return the abtexto
	 */
	public String getAbtexto() {
		return this.abtexto;
	}

	/**
	 * @param abtexto
	 *            the abtexto to set
	 */
	public void setAbtexto(String abtexto) {
		this.abtexto = abtexto;
	}

	/**
	 * @return the abtextoe
	 */
	public String getAbtextoe() {
		return this.abtextoe;
	}

	/**
	 * @param abtextoe
	 *            the abtextoe to set
	 */
	public void setAbtextoe(String abtextoe) {
		this.abtextoe = abtextoe;
	}

	/**
	 * @return the abtipo
	 */
	public String getAbtipo() {
		return this.abtipo;
	}

	/**
	 * @param abtipo
	 *            the abtipo to set
	 */
	public void setAbtipo(String abtipo) {
		this.abtipo = abtipo;
	}

	/**
	 * @return the abfecini
	 */
	public Date getAbfecini() {
		return this.abfecini;
	}

	/**
	 * @param abfecini
	 *            the abfecini to set
	 */
	public void setAbfecini(Date abfecini) {
		this.abfecini = abfecini;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ abid: ").append(this.abid).append(" ]");
		result.append(", [ abtrid: ").append(this.abtrid).append(" ]");
		result.append(", [ abfec: ").append(this.abfec).append(" ]");
		result.append(", [ abestado: ").append(this.abestado).append(" ]");
		result.append(", [ abfeclimite: ").append(this.abfeclimite).append(" ]");
		result.append(", [ abfase: ").append(this.abfase).append(" ]");
		result.append(", [ abnomdoc: ").append(this.abnomdoc).append(" ]");
		result.append(", [ abfecalta: ").append(this.abfecalta).append(" ]");
		result.append(", [ abfecmodif: ").append(this.abfecmodif).append(" ]");
		result.append(", [ abusualta: ").append(this.abusualta).append(" ]");
		result.append(", [ abusumodif: ").append(this.abusumodif).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the tramitesPendientes
	 */
	public String getTramitesPendientes() {
		return this.tramitesPendientes;
	}

	/**
	 * @param tramitesPendientes
	 *            the tramitesPendientes to set
	 */
	public void setTramitesPendientes(String tramitesPendientes) {
		this.tramitesPendientes = tramitesPendientes;
	}

	/**
	 * @return the avisos
	 */
	public String getAvisos() {
		return this.avisos;
	}

	/**
	 * @param avisos
	 *            the avisos to set
	 */
	public void setAvisos(String avisos) {
		this.avisos = avisos;
	}

	/**
	 * @return the obs_tramiteOrigenNombre
	 */
	public String getObs_tramiteOrigenNombre() {
		return this.obs_tramiteOrigenNombre;
	}

	/**
	 * @param obs_tramiteOrigenNombre
	 *            the obs_tramiteOrigenNombre to set
	 */
	public void setObs_tramiteOrigenNombre(String obs_tramiteOrigenNombre) {
		this.obs_tramiteOrigenNombre = obs_tramiteOrigenNombre;
	}

	/**
	 * @return the obs_tramiteOrigenNombree
	 */
	public String getObs_tramiteOrigenNombree() {
		return this.obs_tramiteOrigenNombree;
	}

	/**
	 * @param obs_tramiteOrigenNombree
	 *            the obs_tramiteOrigenNombree to set
	 */
	public void setObs_tramiteOrigenNombree(String obs_tramiteOrigenNombree) {
		this.obs_tramiteOrigenNombree = obs_tramiteOrigenNombree;
	}

	/**
	 * @return the obs_tramiteOrigenFecha
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getObs_tramiteOrigenFecha() {
		return this.obs_tramiteOrigenFecha;
	}

	/**
	 * @param obs_tramiteOrigenFecha
	 *            the obs_tramiteOrigenFecha to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setObs_tramiteOrigenFecha(Date obs_tramiteOrigenFecha) {
		this.obs_tramiteOrigenFecha = obs_tramiteOrigenFecha;
	}

	/**
	 * @return the obs_tipoDestinatario
	 */
	public String getObs_tipoDestinatario() {
		return this.obs_tipoDestinatario;
	}

	/**
	 * @param obs_tipoDestinatario
	 *            the obs_tipoDestinatario to set
	 */
	public void setObs_tipoDestinatario(String obs_tipoDestinatario) {
		this.obs_tipoDestinatario = obs_tipoDestinatario;
	}

	/**
	 * 
	 * @param obs_destinatarioNombre
	 *            the obs_destinatarioNombre to set
	 */
	public void setObs_destinatarioNombre(String obs_destinatarioNombre) {
		this.obs_destinatarioNombre = obs_destinatarioNombre;
	}

	/**
	 * 
	 * @return the obs_destinatarioNombre
	 */
	public String getObs_destinatarioNombre() {
		return this.obs_destinatarioNombre;
	}

	/**
	 * @return the obs_tipoOrigen
	 */
	public String getObs_tipoOrigen() {
		return this.obs_tipoOrigen;
	}

	/**
	 * @param obs_tipoOrigen
	 *            the obs_tipoOrigen to set
	 */
	public void setObs_tipoOrigen(String obs_tipoOrigen) {
		this.obs_tipoOrigen = obs_tipoOrigen;
	}

	// EVOLUTIVO 0134898 2.11
	public void setMocodigo(String mocodigo) {
		this.mocodigo = mocodigo;
	}

	public String getMocodigo() {
		return mocodigo;
	}

	public void setTrcodigo(String trcodigo) {
		this.trcodigo = trcodigo;
	}

	public String getTrcodigo() {
		return trcodigo;
	}

	public void setTrFechaDesde(Date trFechaDesde) {
		this.trFechaDesde = trFechaDesde;
	}

	public Date getTrFechaDesde() {
		return trFechaDesde;
	}

	public void setTrFechaHasta(Date trFechaHasta) {
		this.trFechaHasta = trFechaHasta;
	}

	public Date getTrFechaHasta() {
		return trFechaHasta;
	}

	public void setUltimoTramiteAsigRes(String ultimoTramiteAsigRes) {
		this.ultimoTramiteAsigRes = ultimoTramiteAsigRes;
	}

	public String getUltimoTramiteAsigRes() {
		return ultimoTramiteAsigRes;
	}

	public void setLaudoPendienteFirma(boolean laudoPendienteFirma) {
		this.laudoPendienteFirma = laudoPendienteFirma;
	}

	public boolean getLaudoPendienteFirma() {
		return laudoPendienteFirma;
	}

	/**
	 * @return the estadoFirma
	 */
	public String getEstadoFirma() {
		return estadoFirma;
	}

	/**
	 * @param estadoFirma
	 *            the estadoFirma to set
	 */
	public void setEstadoFirma(String estadoFirma) {
		this.estadoFirma = estadoFirma;
	}

	/**
	 * @return the estadoFirmaArbitros
	 */
	public String getEstadoFirmaArbitros() {
		return estadoFirmaArbitros;
	}

	/**
	 * @param estadoFirmaArbitros
	 *            the estadoFirmaArbitros to set
	 */
	public void setEstadoFirmaArbitros(String estadoFirmaArbitros) {
		this.estadoFirmaArbitros = estadoFirmaArbitros;
	}

	/**
	 * @return the codocumento
	 */
	public String getCodocumento() {
		return codocumento;
	}

	/**
	 * @param codocumento
	 *            the codocumento to set
	 */
	public void setCodocumento(String codocumento) {
		this.codocumento = codocumento;
	}

	/**
	 * @return the idTramiteHecho
	 */
	public String getIdTramiteHecho() {
		return idTramiteHecho;
	}

	/**
	 * @param idTramiteHecho
	 *            the idTramiteHecho to set
	 */
	public void setIdTramiteHecho(String idTramiteHecho) {
		this.idTramiteHecho = idTramiteHecho;
	}

}
