package com.ejie.y41b.model;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import java.math.BigDecimal;
import java.sql.Blob;
import java.util.Date;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

/**
 * BandejaSolicitudes  
 * 
 *  
 */

public class BandejaSolicitudesBusqueda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String ehcodigo;
	private String hdcodigo;

	private String reclamante;
	private String reclamado;

	private String decoor;
	private BigDecimal denran;
	private BigDecimal denror;
	private BigDecimal hdnror;
	private String numExpediente;

	// Forma presentacion
	private String tfpcodigo;
	private String tfpnombre;
	private String tfpnombree;

	// Tipo solicitud
	private String hdcosc;

	// Fase
	private String fcodigo;
	private String fnombre;
	private String fnombree;

	// Tramite
	private String trcodigo;
	private String trnombre;
	private String trnombree;

	// Instructor
	private String mocodigo;
	private String monombre;

	private String hccoor;

	// Documento
	private String indVariosDocumentos; // S o N
	private String q5origen;
	private String q5nofile;
	private String q5codocumento;
	private Blob q5datafile;
	private Integer q5sizefile;
	private String q5tedesfile;
	private String q5contenttypefile;

	private Date fechatramite;

	private String idinterviniente;
	private String nombre;
	private String nif;

	private String estadotramite;
	private Date fechalimite;
	private String indaviso;
	private String tipoaviso;

	private Date ehfechaEnvioBOPVBOE;

	// n tramites pendientes
	private String numTramitesPendientes;

	// Reclamante
	private String idReclamante;
	private String nbReclamante;
	private String nifReclamante;

	// Reclamado
	private String idReclamado;
	private String nbReclamado;
	private String nifReclamado;

	private String situacionacuse;

	private String envcdessitcorreoseu;
	private String envcdessitcorreoses;

	private String ehistelematico;
	private String ehIsWebSinCertificado;

	private String estadoFirma;

	/**
	 * Method 'BandejaSolicitudes'.
	 */
	public BandejaSolicitudesBusqueda() {
	}

	/**
	 * @param ehcodigo
	 * @param hdcodigo
	 * @param decoor
	 * @param reclamante
	 * @param reclamado
	 * @param denran
	 * @param denror
	 * @param hdnror
	 * @param numExpediente
	 * @param tfpcodigo
	 * @param tfpnombre
	 * @param tfpnombree
	 * @param hdcosc
	 * @param fcodigo
	 * @param fnombre
	 * @param fnombree
	 * @param trcodigo
	 * @param trnombre
	 * @param trnombree
	 * @param mocodigo
	 * @param monombre
	 * @param hccoor
	 * @param q5origen
	 * @param q5nofile
	 * @param fechatramite
	 * @param idinterviniente
	 * @param nombre
	 * @param nif
	 * @param estadotramite
	 * @param fechalimite
	 * @param indaviso
	 * @param tipoaviso
	 * @param ehfechaEnvioBOPVBOE
	 * @param situacionacuse
	 * @param envcdessitcorreoses
	 * @param envcdessitcorreoseu
	 * @param ehistelematico
	 * @param ehIsWebSinCertificado
	 */
	public BandejaSolicitudesBusqueda(String ehcodigo, String hdcodigo, String reclamante, String reclamado,
			String decoor, BigDecimal denran, BigDecimal denror, BigDecimal hdnror, String numExpediente,
			String numTramitesPendientes, String tfpcodigo, String tfpnombre, String tfpnombree, String hdcosc,
			String fcodigo, String fnombre, String fnombree, String trcodigo, String trnombre, String trnombree,
			String mocodigo, String monombre, String hccoor, String q5origen, String q5nofile, Date fechatramite,
			String idinterviniente, String nombre, String nif, String estadotramite, Date fechalimite, String indaviso,
			String tipoaviso, Date ehfechaEnvioBOPVBOE, String situacionacuse, String envcdessitcorreoses,
			String envcdessitcorreoseu, String ehistelematico, String ehIsWebSinCertificado) {
		super();
		this.ehcodigo = ehcodigo;
		this.hdcodigo = hdcodigo;
		this.reclamante = reclamante;
		this.reclamado = reclamado;
		this.decoor = decoor;
		this.denran = denran;
		this.denror = denror;
		this.hdnror = hdnror;
		this.numExpediente = numExpediente;
		this.numTramitesPendientes = numTramitesPendientes;
		this.tfpcodigo = tfpcodigo;
		this.tfpnombre = tfpnombre;
		this.tfpnombree = tfpnombree;
		this.hdcosc = hdcosc;
		this.fcodigo = fcodigo;
		this.fnombre = fnombre;
		this.fnombree = fnombree;
		this.trcodigo = trcodigo;
		this.trnombre = trnombre;
		this.trnombree = trnombree;
		this.mocodigo = mocodigo;
		this.monombre = monombre;
		this.hccoor = hccoor;
		this.q5origen = q5origen;
		this.q5nofile = q5nofile;
		this.fechatramite = fechatramite;
		this.idinterviniente = idinterviniente;
		this.nombre = nombre;
		this.nif = nif;
		this.estadotramite = estadotramite;
		this.fechalimite = fechalimite;
		this.indaviso = indaviso;
		this.tipoaviso = tipoaviso;
		this.ehfechaEnvioBOPVBOE = ehfechaEnvioBOPVBOE;
		this.situacionacuse = situacionacuse;
		this.envcdessitcorreoses = envcdessitcorreoses;
		this.envcdessitcorreoseu = envcdessitcorreoseu;
		this.ehistelematico = ehistelematico;
		this.ehIsWebSinCertificado = ehIsWebSinCertificado;

	}

	/**
	 * Method 'getEhcodigo'.
	 * 
	 * @return String
	 */

	public String getEhcodigo() {
		return this.ehcodigo;
	}

	/**
	 * Method 'setEhcodigo'.
	 * 
	 * @param ehcodigo
	 *            String
	 * @return
	 */

	public void setEhcodigo(String ehcodigo) {
		this.ehcodigo = ehcodigo;
	}

	/**
	 * Method 'getHdcodigo'.
	 * 
	 * @return String
	 */

	public String getHdcodigo() {
		return this.hdcodigo;
	}

	/**
	 * Method 'setHdcodigo'.
	 * 
	 * @param hdcodigo
	 *            String
	 * @return
	 */

	public void setHdcodigo(String hdcodigo) {
		this.hdcodigo = hdcodigo;
	}

	/**
	 * @return the reclamante
	 */
	public String getReclamante() {
		return reclamante;
	}

	/**
	 * @param reclamante
	 *            the reclamante to set
	 */
	public void setReclamante(String reclamante) {
		this.reclamante = reclamante;
	}

	/**
	 * @return the reclamado
	 */
	public String getReclamado() {
		return reclamado;
	}

	/**
	 * @param reclamado
	 *            the reclamado to set
	 */
	public void setReclamado(String reclamado) {
		this.reclamado = reclamado;
	}

	/**
	 * Method 'getDecoor'.
	 * 
	 * @return String
	 */

	public String getDecoor() {
		return this.decoor;
	}

	/**
	 * Method 'setDecoor'.
	 * 
	 * @param decoor
	 *            String
	 * @return
	 */

	public void setDecoor(String decoor) {
		this.decoor = decoor;
	}

	/**
	 * Method 'getDenran'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getDenran() {
		return this.denran;
	}

	/**
	 * Method 'setDenran'.
	 * 
	 * @param denran
	 *            BigDecimal
	 * @return
	 */

	public void setDenran(BigDecimal denran) {
		this.denran = denran;
	}

	/**
	 * Method 'getDenror'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getDenror() {
		return this.denror;
	}

	/**
	 * Method 'setDenror'.
	 * 
	 * @param denror
	 *            BigDecimal
	 * @return
	 */

	public void setDenror(BigDecimal denror) {
		this.denror = denror;
	}

	/**
	 * Method 'getHdnror'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getHdnror() {
		return this.hdnror;
	}

	/**
	 * Method 'setHdnror'.
	 * 
	 * @param hdnror
	 *            BigDecimal
	 * @return
	 */

	public void setHdnror(BigDecimal hdnror) {
		this.hdnror = hdnror;
	}

	/**
	 * Method 'getHdcosc'.
	 * 
	 * @return String
	 */

	public String getHdcosc() {
		return this.hdcosc;
	}

	/**
	 * Method 'setHdcosc'.
	 * 
	 * @param hdcosc
	 *            String
	 * @return
	 */

	public void setHdcosc(String hdcosc) {
		this.hdcosc = hdcosc;
	}

	/**
	 * Method 'getHccoor'.
	 * 
	 * @return String
	 */

	public String getHccoor() {
		return this.hccoor;
	}

	/**
	 * Method 'setHccoor'.
	 * 
	 * @param hccoor
	 *            String
	 * @return
	 */

	public void setHccoor(String hccoor) {
		this.hccoor = hccoor;
	}

	/**
	 * Method 'getQ5origen'.
	 * 
	 * @return String
	 */

	public String getQ5origen() {
		return this.q5origen;
	}

	/**
	 * Method 'setQ5origen'.
	 * 
	 * @param q5origen
	 *            String
	 * @return
	 */

	public void setQ5origen(String q5origen) {
		this.q5origen = q5origen;
	}

	/**
	 * Method 'getQ5nofile'.
	 * 
	 * @return String
	 */

	public String getQ5nofile() {
		return this.q5nofile;
	}

	/**
	 * Method 'setQ5nofile'.
	 * 
	 * @param q5nofile
	 *            String
	 * @return
	 */

	public void setQ5nofile(String q5nofile) {
		this.q5nofile = q5nofile;
	}

	/**
	 * Method 'getFechatramite'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechatramite() {
		return this.fechatramite;
	}

	/**
	 * Method 'setFechatramite'.
	 * 
	 * @param fechatramite
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechatramite(Date fechatramite) {
		this.fechatramite = fechatramite;
	}

	/**
	 * Method 'getEstadotramite'.
	 * 
	 * @return String
	 */

	public String getEstadotramite() {
		return this.estadotramite;
	}

	/**
	 * Method 'setEstadotramite'.
	 * 
	 * @param estadotramite
	 *            String
	 * @return
	 */

	public void setEstadotramite(String estadotramite) {
		this.estadotramite = estadotramite;
	}

	/**
	 * Method 'getFechalimite'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechalimite() {
		return this.fechalimite;
	}

	/**
	 * Method 'setFechalimite'.
	 * 
	 * @param fechalimite
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechalimite(Date fechalimite) {
		this.fechalimite = fechalimite;
	}

	/**
	 * Method 'getIndaviso'.
	 * 
	 * @return String
	 */

	public String getIndaviso() {
		return this.indaviso;
	}

	/**
	 * Method 'setIndaviso'.
	 * 
	 * @param indaviso
	 *            String
	 * @return
	 */

	public void setIndaviso(String indaviso) {
		this.indaviso = indaviso;
	}

	/**
	 * Method 'getTipoaviso'.
	 * 
	 * @return String
	 */

	public String getTipoaviso() {
		return this.tipoaviso;
	}

	/**
	 * Method 'setTipoaviso'.
	 * 
	 * @param tipoaviso
	 *            String
	 * @return
	 */

	public void setTipoaviso(String tipoaviso) {
		this.tipoaviso = tipoaviso;
	}

	/**
	 * @return the trcodigo
	 */
	public String getTrcodigo() {
		return trcodigo;
	}

	/**
	 * @param trcodigo
	 *            the trcodigo to set
	 */
	public void setTrcodigo(String trcodigo) {
		this.trcodigo = trcodigo;
	}

	/**
	 * @return the numExpediente
	 */
	public String getNumExpediente() {
		return numExpediente;
	}

	/**
	 * @param numExpediente
	 *            the numExpediente to set
	 */
	public void setNumExpediente(String numExpediente) {
		this.numExpediente = numExpediente;
	}

	/**
	 * @return the tfpcodigo
	 */
	public String getTfpcodigo() {
		return tfpcodigo;
	}

	/**
	 * @param tfpcodigo
	 *            the tfpcodigo to set
	 */
	public void setTfpcodigo(String tfpcodigo) {
		this.tfpcodigo = tfpcodigo;
	}

	/**
	 * @return the tfpnombre
	 */
	public String getTfpnombre() {
		return tfpnombre;
	}

	/**
	 * @param tfpnombre
	 *            the tfpnombre to set
	 */
	public void setTfpnombre(String tfpnombre) {
		this.tfpnombre = tfpnombre;
	}

	/**
	 * @return the tfpnombree
	 */
	public String getTfpnombree() {
		return tfpnombree;
	}

	/**
	 * @param tfpnombree
	 *            the tfpnombree to set
	 */
	public void setTfpnombree(String tfpnombree) {
		this.tfpnombree = tfpnombree;
	}

	/**
	 * @return the fcodigo
	 */
	public String getFcodigo() {
		return fcodigo;
	}

	/**
	 * @param fcodigo
	 *            the fcodigo to set
	 */
	public void setFcodigo(String fcodigo) {
		this.fcodigo = fcodigo;
	}

	/**
	 * @return the fnombre
	 */
	public String getFnombre() {
		return fnombre;
	}

	/**
	 * @param fnombre
	 *            the fnombre to set
	 */
	public void setFnombre(String fnombre) {
		this.fnombre = fnombre;
	}

	/**
	 * @return the fnombree
	 */
	public String getFnombree() {
		return fnombree;
	}

	/**
	 * @param fnombree
	 *            the fnombree to set
	 */
	public void setFnombree(String fnombree) {
		this.fnombree = fnombree;
	}

	/**
	 * @return the trnombre
	 */
	public String getTrnombre() {
		return trnombre;
	}

	/**
	 * @param trnombre
	 *            the trnombre to set
	 */
	public void setTrnombre(String trnombre) {
		this.trnombre = trnombre;
	}

	/**
	 * @return the trnombree
	 */
	public String getTrnombree() {
		return trnombree;
	}

	/**
	 * @param trnombree
	 *            the trnombree to set
	 */
	public void setTrnombree(String trnombree) {
		this.trnombree = trnombree;
	}

	/**
	 * @return the mocodigo
	 */
	public String getMocodigo() {
		return mocodigo;
	}

	/**
	 * @param mocodigo
	 *            the mocodigo to set
	 */
	public void setMocodigo(String mocodigo) {
		this.mocodigo = mocodigo;
	}

	/**
	 * @return the monombre
	 */
	public String getMonombre() {
		return monombre;
	}

	/**
	 * @param monombre
	 *            the monombre to set
	 */
	public void setMonombre(String monombre) {
		this.monombre = monombre;
	}

	/**
	 * @return the idinterviniente
	 */
	public String getIdinterviniente() {
		return idinterviniente;
	}

	/**
	 * @param idinterviniente
	 *            the idinterviniente to set
	 */
	public void setIdinterviniente(String idinterviniente) {
		this.idinterviniente = idinterviniente;
	}

	/**
	 * @return the nombre
	 */
	public String getNombre() {
		return nombre;
	}

	/**
	 * @param nombre
	 *            the nombre to set
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return the nif
	 */
	public String getNif() {
		return nif;
	}

	/**
	 * @param nif
	 *            the nif to set
	 */
	public void setNif(String nif) {
		this.nif = nif;
	}

	/**
	 * @return the indVariosDocumentos
	 */
	public String getIndVariosDocumentos() {
		return indVariosDocumentos;
	}

	/**
	 * @param indVariosDocumentos
	 *            the indVariosDocumentos to set
	 */
	public void setIndVariosDocumentos(String indVariosDocumentos) {
		this.indVariosDocumentos = indVariosDocumentos;
	}

	/**
	 * @return the q5codocumento
	 */
	public String getQ5codocumento() {
		return q5codocumento;
	}

	/**
	 * @param q5codocumento
	 *            the q5codocumento to set
	 */
	public void setQ5codocumento(String q5codocumento) {
		this.q5codocumento = q5codocumento;
	}

	/**
	 * @return the q5datafile
	 */
	@JsonIgnore
	public Blob getQ5datafile() {
		return q5datafile;
	}

	/**
	 * @param q5datafile
	 *            the q5datafile to set
	 */
	public void setQ5datafile(Blob q5datafile) {
		this.q5datafile = q5datafile;
	}

	/**
	 * @return the q5sizefile
	 */
	public Integer getQ5sizefile() {
		return q5sizefile;
	}

	/**
	 * @param q5sizefile
	 *            the q5sizefile to set
	 */
	public void setQ5sizefile(Integer q5sizefile) {
		this.q5sizefile = q5sizefile;
	}

	/**
	 * @return the q5tedesfile
	 */
	public String getQ5tedesfile() {
		return q5tedesfile;
	}

	/**
	 * @param q5tedesfile
	 *            the q5tedesfile to set
	 */
	public void setQ5tedesfile(String q5tedesfile) {
		this.q5tedesfile = q5tedesfile;
	}

	/**
	 * @return the q5contenttypefile
	 */
	public String getQ5contenttypefile() {
		return q5contenttypefile;
	}

	/**
	 * @param q5contenttypefile
	 *            the q5contenttypefile to set
	 */
	public void setQ5contenttypefile(String q5contenttypefile) {
		this.q5contenttypefile = q5contenttypefile;
	}

	/**
	 * @return the ehfechaEnvioBOPVBOE
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechaEnvioBOPVBOE() {
		return ehfechaEnvioBOPVBOE;
	}

	/**
	 * @param ehfechaEnvioBOPVBOE
	 *            the ehfechaEnvioBOPVBOE to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechaEnvioBOPVBOE(Date ehfechaEnvioBOPVBOE) {
		this.ehfechaEnvioBOPVBOE = ehfechaEnvioBOPVBOE;
	}

	/**
	 * @return the numTramitesPendientes
	 */
	public String getNumTramitesPendientes() {
		return numTramitesPendientes;
	}

	/**
	 * @param numTramitesPendientes
	 *            the numTramitesPendientes to set
	 */
	public void setNumTramitesPendientes(String numTramitesPendientes) {
		this.numTramitesPendientes = numTramitesPendientes;
	}

	/**
	 * @return the idReclamante
	 */
	public String getIdReclamante() {
		return idReclamante;
	}

	/**
	 * @param idReclamante
	 *            the idReclamante to set
	 */
	public void setIdReclamante(String idReclamante) {
		this.idReclamante = idReclamante;
	}

	/**
	 * @return the nbReclamante
	 */
	public String getNbReclamante() {
		return nbReclamante;
	}

	/**
	 * @param nbReclamante
	 *            the nbReclamante to set
	 */
	public void setNbReclamante(String nbReclamante) {
		this.nbReclamante = nbReclamante;
	}

	/**
	 * @return the nifReclamante
	 */
	public String getNifReclamante() {
		return nifReclamante;
	}

	/**
	 * @param nifReclamante
	 *            the nifReclamante to set
	 */
	public void setNifReclamante(String nifReclamante) {
		this.nifReclamante = nifReclamante;
	}

	/**
	 * @return the idReclamado
	 */
	public String getIdReclamado() {
		return idReclamado;
	}

	/**
	 * @param idReclamado
	 *            the idReclamado to set
	 */
	public void setIdReclamado(String idReclamado) {
		this.idReclamado = idReclamado;
	}

	/**
	 * @return the nbReclamado
	 */
	public String getNbReclamado() {
		return nbReclamado;
	}

	/**
	 * @param nbReclamado
	 *            the nbReclamado to set
	 */
	public void setNbReclamado(String nbReclamado) {
		this.nbReclamado = nbReclamado;
	}

	/**
	 * @return the nifReclamado
	 */
	public String getNifReclamado() {
		return nifReclamado;
	}

	/**
	 * @param nifReclamado
	 *            the nifReclamado to set
	 */
	public void setNifReclamado(String nifReclamado) {
		this.nifReclamado = nifReclamado;
	}

	/**
	 * @return the situacionacuse
	 */
	public String getSituacionacuse() {
		return situacionacuse;
	}

	/**
	 * @param situacionacuse
	 *            the situacionacuse to set
	 */
	public void setSituacionacuse(String situacionacuse) {
		this.situacionacuse = situacionacuse;
	}

	/**
	 * @return the envcdessitcorreoseu
	 */
	public String getEnvcdessitcorreoseu() {
		return envcdessitcorreoseu;
	}

	/**
	 * @param envcdessitcorreoseu
	 *            the envcdessitcorreoseu to set
	 */
	public void setEnvcdessitcorreoseu(String envcdessitcorreoseu) {
		this.envcdessitcorreoseu = envcdessitcorreoseu;
	}

	/**
	 * @return the envcdessitcorreoses
	 */
	public String getEnvcdessitcorreoses() {
		return envcdessitcorreoses;
	}

	/**
	 * @param envcdessitcorreoses
	 *            the envcdessitcorreoses to set
	 */
	public void setEnvcdessitcorreoses(String envcdessitcorreoses) {
		this.envcdessitcorreoses = envcdessitcorreoses;
	}

	/**
	 * @return the ehistelematico
	 */
	public String getEhistelematico() {
		return ehistelematico;
	}

	/**
	 * @param ehistelematico
	 *            the ehistelematico to set
	 */
	public void setEhistelematico(String ehistelematico) {
		this.ehistelematico = ehistelematico;
	}

	/**
	 * @return the ehIsWebSinCertificado
	 */
	public String getEhIsWebSinCertificado() {
		return ehIsWebSinCertificado;
	}

	/**
	 * @param ehIsWebSinCertificado
	 *            the ehIsWebSinCertificado to set
	 */
	public void setEhIsWebSinCertificado(String ehIsWebSinCertificado) {
		this.ehIsWebSinCertificado = ehIsWebSinCertificado;
	}

	/**
	 * @return the estadoFirma
	 */
	public String getEstadoFirma() {
		return estadoFirma;
	}

	/**
	 * @param estadoFirma
	 *            the estadoFirma to set
	 */
	public void setEstadoFirma(String estadoFirma) {
		this.estadoFirma = estadoFirma;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "BandejaSolicitudesBusqueda [ehcodigo=" + ehcodigo + ", hdcodigo=" + hdcodigo + ", decoor=" + decoor
				+ ", reclamante=" + reclamante + ", reclamado=" + reclamado + ", denran=" + denran + ", denror="
				+ denror + ", hdnror=" + hdnror + ", numExpediente=" + numExpediente + ", tfpcodigo=" + tfpcodigo
				+ ", tfpnombre=" + tfpnombre + ", tfpnombree=" + tfpnombree + ", hdcosc=" + hdcosc + ", fcodigo="
				+ fcodigo + ", fnombre=" + fnombre + ", fnombree=" + fnombree + ", trcodigo=" + trcodigo + ", trnombre="
				+ trnombre + ", trnombree=" + trnombree + ", mocodigo=" + mocodigo + ", monombre=" + monombre
				+ ", hccoor=" + hccoor + ", q5origen=" + q5origen + ", q5nofile=" + q5nofile + ", fechatramite="
				+ fechatramite + ", idinterviniente=" + idinterviniente + ", nombre=" + nombre + ", nif=" + nif
				+ ", estadotramite=" + estadotramite + ", fechalimite=" + fechalimite + ", indaviso=" + indaviso
				+ ", tipoaviso=" + tipoaviso + ", idReclamante=" + idReclamante + ", nbReclamante=" + nbReclamante
				+ ", nifReclamante=" + nifReclamante + ", idReclamado=" + idReclamado + ", nbReclamado=" + nbReclamado
				+ ", nifReclamado=" + nifReclamado + "]";
	}
}
