package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * CampahnaActuacionBusqueda  
 * 
 *  
 */

public class CampahnaActuacionBusqueda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String numeroActa;

	private String atcodigo;
	private BigDecimal atnror;

	// Acta
	private String accodigo;
	private String accoor;
	private String acnror;
	private BigDecimal acnran;
	private Date acfele;

	// Establecimiento
	private String escodigo;
	private String esnombre;
	private String esnif;
	private String esnoco;

	// Campaña
	private String tipo;
	private String codigo;
	private String descripcion;
	private String codigoRecibida;

	// Campaña recibida
	private String atcocm;

	// Alerta recibida
	private String atcoal;

	// Denuncia recibida
	private String atcohd;

	/**
	 * @param atcodigo
	 * @param atnror
	 * @param accodigo
	 * @param accoor
	 * @param acnror
	 * @param acnran
	 * @param acfele
	 * @param escodigo
	 * @param esnombre
	 * @param esnif
	 * @param esnoco
	 * @param tipo
	 * @param codigo
	 * @param descripcion
	 * @param codigoRecibida
	 * @param atcocm
	 * @param atcoal
	 * @param atcohd
	 */
	public CampahnaActuacionBusqueda(String atcodigo, BigDecimal atnror,
			String accodigo, String accoor, String acnror, BigDecimal acnran,
			Date acfele, String escodigo, String esnombre, String esnif,
			String esnoco, String tipo, String codigo, String descripcion,
			String codigoRecibida, String atcocm, String atcoal, String atcohd) {
		this.atcodigo = atcodigo;
		this.atnror = atnror;
		this.accodigo = accodigo;
		this.accoor = accoor;
		this.acnror = acnror;
		this.acnran = acnran;
		this.acfele = acfele;
		this.escodigo = escodigo;
		this.esnombre = esnombre;
		this.esnif = esnif;
		this.esnoco = esnoco;
		this.tipo = tipo;
		this.codigo = codigo;
		this.descripcion = descripcion;
		this.codigoRecibida = codigoRecibida;
		this.atcocm = atcocm;
		this.atcoal = atcoal;
		this.atcohd = atcohd;
	}

	public CampahnaActuacionBusqueda() {
	}

	/**
	 * @return the atcodigo
	 */
	public String getAtcodigo() {
		return atcodigo;
	}

	/**
	 * @param atcodigo
	 *            the atcodigo to set
	 */
	public void setAtcodigo(String atcodigo) {
		this.atcodigo = atcodigo;
	}

	/**
	 * @return the atnror
	 */
	public BigDecimal getAtnror() {
		return atnror;
	}

	/**
	 * @param atnror
	 *            the atnror to set
	 */
	public void setAtnror(BigDecimal atnror) {
		this.atnror = atnror;
	}

	/**
	 * @return the accodigo
	 */
	public String getAccodigo() {
		return accodigo;
	}

	/**
	 * @param accodigo
	 *            the accodigo to set
	 */
	public void setAccodigo(String accodigo) {
		this.accodigo = accodigo;
	}

	/**
	 * @return the accoor
	 */
	public String getAccoor() {
		return accoor;
	}

	/**
	 * @param accoor
	 *            the accoor to set
	 */
	public void setAccoor(String accoor) {
		this.accoor = accoor;
	}

	/**
	 * @return the acnror
	 */
	public String getAcnror() {
		return acnror;
	}

	/**
	 * @param acnror
	 *            the acnror to set
	 */
	public void setAcnror(String acnror) {
		this.acnror = acnror;
	}

	/**
	 * @return the acnran
	 */
	public BigDecimal getAcnran() {
		return acnran;
	}

	/**
	 * @param acnran
	 *            the acnran to set
	 */
	public void setAcnran(BigDecimal acnran) {
		this.acnran = acnran;
	}

	/**
	 * @return the acfele
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getAcfele() {
		return acfele;
	}

	/**
	 * @param acfele
	 *            the acfele to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setAcfele(Date acfele) {
		this.acfele = acfele;
	}

	/**
	 * @return the escodigo
	 */
	public String getEscodigo() {
		return escodigo;
	}

	/**
	 * @param escodigo
	 *            the escodigo to set
	 */
	public void setEscodigo(String escodigo) {
		this.escodigo = escodigo;
	}

	/**
	 * @return the esnombre
	 */
	public String getEsnombre() {
		return esnombre;
	}

	/**
	 * @param esnombre
	 *            the esnombre to set
	 */
	public void setEsnombre(String esnombre) {
		this.esnombre = esnombre;
	}

	/**
	 * @return the esnif
	 */
	public String getEsnif() {
		return esnif;
	}

	/**
	 * @param esnif
	 *            the esnif to set
	 */
	public void setEsnif(String esnif) {
		this.esnif = esnif;
	}

	/**
	 * @return the esnoco
	 */
	public String getEsnoco() {
		return esnoco;
	}

	/**
	 * @param esnoco
	 *            the esnoco to set
	 */
	public void setEsnoco(String esnoco) {
		this.esnoco = esnoco;
	}

	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}

	/**
	 * @param tipo
	 *            the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * @return the codigo
	 */
	public String getCodigo() {
		return codigo;
	}

	/**
	 * @param codigo
	 *            the codigo to set
	 */
	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	/**
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return descripcion;
	}

	/**
	 * @param descripcion
	 *            the descripcion to set
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * @return the codigoRecibida
	 */
	public String getCodigoRecibida() {
		return codigoRecibida;
	}

	/**
	 * @param codigoRecibida
	 *            the codigoRecibida to set
	 */
	public void setCodigoRecibida(String codigoRecibida) {
		this.codigoRecibida = codigoRecibida;
	}

	/**
	 * @return the atcocm
	 */
	public String getAtcocm() {
		return atcocm;
	}

	/**
	 * @param atcocm
	 *            the atcocm to set
	 */
	public void setAtcocm(String atcocm) {
		this.atcocm = atcocm;
	}

	/**
	 * @return the atcoal
	 */
	public String getAtcoal() {
		return atcoal;
	}

	/**
	 * @param atcoal
	 *            the atcoal to set
	 */
	public void setAtcoal(String atcoal) {
		this.atcoal = atcoal;
	}

	/**
	 * @return the atcohd
	 */
	public String getAtcohd() {
		return atcohd;
	}

	/**
	 * @param atcohd
	 *            the atcohd to set
	 */
	public void setAtcohd(String atcohd) {
		this.atcohd = atcohd;
	}

	/**
	 * @return the numeroActa
	 */
	public String getNumeroActa() {
		return numeroActa;
	}

	/**
	 * @param numeroActa
	 *            the numeroActa to set
	 */
	public void setNumeroActa(String numeroActa) {
		this.numeroActa = numeroActa;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "CampahnaActuacionBusqueda [numeroActa=" + numeroActa
				+ ", atcodigo=" + atcodigo + ", atnror=" + atnror
				+ ", accodigo=" + accodigo + ", accoor=" + accoor + ", acnror="
				+ acnror + ", acnran=" + acnran + ", acfele=" + acfele
				+ ", escodigo=" + escodigo + ", esnombre=" + esnombre
				+ ", esnif=" + esnif + ", esnoco=" + esnoco + ", tipo=" + tipo
				+ ", codigo=" + codigo + ", descripcion=" + descripcion
				+ ", codigoRecibida=" + codigoRecibida + ", atcocm=" + atcocm
				+ ", atcoal=" + atcoal + ", atcohd=" + atcohd + "]";
	}
}
