package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * CampahnaRecib  
 * 
 *  
 */

public class CampahnaRecibBusqueda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String tipo;
	private String codigo;
	private String descripcion;
	private Integer numInspecciones;
	private Date fecrecepcion;
	private Date fecfinalizacion;
	private String codOrganismo;
	private String codigoRecibida;
	private String codigoDetalle;
	private Date fecrecepcionDesde;
	private Date fecrecepcionHasta;
	private String mostrarFinalizadas;
	private String situacion;

	/**
	 * Method 'CampahnaRecib'.
	 * 
	 */
	public CampahnaRecibBusqueda() {
	}

	/**
	 * @param tipo
	 * @param codigo
	 * @param descripcion
	 * @param numInspecciones
	 * @param fecrecepcion
	 * @param fecfinalizacion
	 * @param codOrganismo
	 * @param codigoRecibida
	 * @param codigoDetalle
	 */
	public CampahnaRecibBusqueda(String tipo, String codigo,
			String descripcion, Integer numInspecciones, Date fecrecepcion,
			Date fecfinalizacion, String codOrganismo, String codigoRecibida,
			String codigoDetalle) {
		this.tipo = tipo;
		this.codigo = codigo;
		this.descripcion = descripcion;
		this.numInspecciones = numInspecciones;
		this.fecrecepcion = fecrecepcion;
		this.fecfinalizacion = fecfinalizacion;
		this.codOrganismo = codOrganismo;
		this.codigoRecibida = codigoRecibida;
		this.codigoDetalle = codigoDetalle;
	}

	public CampahnaRecibBusqueda(String tipo, String codigo,
			String descripcion, Integer numInspecciones, Date fecrecepcion,
			Date fecfinalizacion, String codOrganismo, String codigoRecibida,
			String codigoDetalle, Date fecrecepcionDesde,
			Date fecrecepcionHasta, String mostrarFinalizadas, String situacion) {
		super();
		this.tipo = tipo;
		this.codigo = codigo;
		this.descripcion = descripcion;
		this.numInspecciones = numInspecciones;
		this.fecrecepcion = fecrecepcion;
		this.fecfinalizacion = fecfinalizacion;
		this.codOrganismo = codOrganismo;
		this.codigoRecibida = codigoRecibida;
		this.codigoDetalle = codigoDetalle;
		this.fecrecepcionDesde = fecrecepcionDesde;
		this.fecrecepcionHasta = fecrecepcionHasta;
		this.mostrarFinalizadas = mostrarFinalizadas;
		this.situacion = situacion;
	}

	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}

	/**
	 * @param tipo
	 *            the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * @return the codigo
	 */
	public String getCodigo() {
		return codigo;
	}

	/**
	 * @param codigo
	 *            the codigo to set
	 */
	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	/**
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return descripcion;
	}

	/**
	 * @param descripcion
	 *            the descripcion to set
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * @return the numInspecciones
	 */
	public Integer getNumInspecciones() {
		return numInspecciones;
	}

	/**
	 * @param numInspecciones
	 *            the numInspecciones to set
	 */
	public void setNumInspecciones(Integer numInspecciones) {
		this.numInspecciones = numInspecciones;
	}

	/**
	 * @return the fecrecepcion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecrecepcion() {
		return fecrecepcion;
	}

	/**
	 * @param fecrecepcion
	 *            the fecrecepcion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecrecepcion(Date fecrecepcion) {
		this.fecrecepcion = fecrecepcion;
	}

	/**
	 * @return the fecfinalizacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecfinalizacion() {
		return fecfinalizacion;
	}

	/**
	 * @param fecfinalizacion
	 *            the fecfinalizacion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecfinalizacion(Date fecfinalizacion) {
		this.fecfinalizacion = fecfinalizacion;
	}

	/**
	 * @return the codOrganismo
	 */
	public String getCodOrganismo() {
		return codOrganismo;
	}

	/**
	 * @param codOrganismo
	 *            the codOrganismo to set
	 */
	public void setCodOrganismo(String codOrganismo) {
		this.codOrganismo = codOrganismo;
	}

	/**
	 * @return the codigoRecibida
	 */
	public String getCodigoRecibida() {
		return codigoRecibida;
	}

	/**
	 * @param codigoRecibida
	 *            the codigoRecibida to set
	 */
	public void setCodigoRecibida(String codigoRecibida) {
		this.codigoRecibida = codigoRecibida;
	}

	/**
	 * @return the fecrecepcionDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecrecepcionDesde() {
		return fecrecepcionDesde;
	}

	/**
	 * @param fecrecepcionDesde
	 *            the fecrecepcionDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecrecepcionDesde(Date fecrecepcionDesde) {
		this.fecrecepcionDesde = fecrecepcionDesde;
	}

	/**
	 * @return the fecrecepcionHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecrecepcionHasta() {
		return fecrecepcionHasta;
	}

	/**
	 * @param fecrecepcionHasta
	 *            the fecrecepcionHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecrecepcionHasta(Date fecrecepcionHasta) {
		this.fecrecepcionHasta = fecrecepcionHasta;
	}

	/**
	 * @return the mostrarFinalizadas
	 */
	public String getMostrarFinalizadas() {
		return mostrarFinalizadas;
	}

	/**
	 * @param mostrarFinalizadas
	 *            the mostrarFinalizadas to set
	 */
	public void setMostrarFinalizadas(String mostrarFinalizadas) {
		this.mostrarFinalizadas = mostrarFinalizadas;
	}

	/**
	 * @return the codigoDetalle
	 */
	public String getCodigoDetalle() {
		return codigoDetalle;
	}

	/**
	 * @param codigoDetalle
	 *            the codigoDetalle to set
	 */
	public void setCodigoDetalle(String codigoDetalle) {
		this.codigoDetalle = codigoDetalle;
	}

	/**
	 * @return the situacion
	 */
	public String getSituacion() {
		return situacion;
	}

	/**
	 * @param situacion
	 *            the situacion to set
	 */
	public void setSituacion(String situacion) {
		this.situacion = situacion;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "CampahnaRecibBusqueda [tipo=" + tipo + ", codigo=" + codigo
				+ ", descripcion=" + descripcion + ", numInspecciones="
				+ numInspecciones + ", fecrecepcion=" + fecrecepcion
				+ ", fecfinalizacion=" + fecfinalizacion + ", codOrganismo="
				+ codOrganismo + ", codigoRecibida=" + codigoRecibida
				+ ", codigoDetalle=" + codigoDetalle + ", fecrecepcionDesde="
				+ fecrecepcionDesde + ", fecrecepcionHasta="
				+ fecrecepcionHasta + ", mostrarFinalizadas="
				+ mostrarFinalizadas + "]";
	}

}
