package com.ejie.y41b.model;

import java.util.Date;

import javax.validation.constraints.Min;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * ComunicacionBusqueda  
 * 
 *  
 */

/**
 *  
 * 
 */
public class ComunicacionDetalle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long m4cocomu;
	private Date m4feenv;
	// @NotNull(message = "required.categoria")
	@Min(message = "required.categoria", value = 1)
	private Integer m6codigo;
	private String m6notipo;
	private String m6tetipo;
	private String m6notipoe;
	private String m4noremi;
	@NotEmpty(message = "required.asunto")
	@Length(message = "length.asunto")
	private String m4tesubject;
	@Length(max = 250, message = "length.mensaje")
	private String m4tecomu;
	@NotEmpty(message = "required.destinatarios")
	private String m5destinatarios;

	// public ComunicacionDetalle(Long m4cocomu, Date m4feenv, Integer m6codigo,
	// String m6notipo, String m6tetipo, String m6notipoe,
	// String m4noremi, String m4tesubject, String m4tecomu) {
	//
	// this.m4cocomu = m4cocomu;
	// this.m4feenv = m4feenv;
	// this.m6codigo = m6codigo;
	// this.m6notipo = m6notipo;
	// this.m6tetipo = m6tetipo;
	// this.m6notipoe = m6notipoe;
	// this.m4noremi = m4noremi;
	// this.m4tesubject = m4tesubject;
	// this.m4tecomu = m4tecomu;
	// }

	/**
	 * @return the m4cocomu
	 */
	public Long getM4cocomu() {
		return m4cocomu;
	}

	/**
	 * @param m4cocomu
	 *            the m4cocomu to set
	 */
	public void setM4cocomu(Long m4cocomu) {
		this.m4cocomu = m4cocomu;
	}

	/**
	 * @return the m4feenv
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getM4feenv() {
		return m4feenv;
	}

	/**
	 * @param m4feenv
	 *            the m4feenv to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setM4feenv(Date m4feenv) {
		this.m4feenv = m4feenv;
	}

	/**
	 * @return the m4tesubject
	 */
	public String getM4tesubject() {
		return m4tesubject;
	}

	/**
	 * @param m4tesubject
	 *            the m4tesubject to set
	 */
	public void setM4tesubject(String m4tesubject) {
		this.m4tesubject = m4tesubject;
	}

	/**
	 * @return the m6codigo
	 */
	public Integer getM6codigo() {
		return m6codigo;
	}

	/**
	 * @param m6codigo
	 *            the m6codigo to set
	 */
	public void setM6codigo(Integer m6codigo) {
		this.m6codigo = m6codigo;
	}

	/**
	 * @return the m6notipo
	 */
	public String getM6notipo() {
		return m6notipo;
	}

	/**
	 * @param m6notipo
	 *            the m6notipo to set
	 */
	public void setM6notipo(String m6notipo) {
		this.m6notipo = m6notipo;
	}

	/**
	 * @return the m6tetipo
	 */
	public String getM6tetipo() {
		return m6tetipo;
	}

	/**
	 * @param m6tetipo
	 *            the m6tetipo to set
	 */
	public void setM6tetipo(String m6tetipo) {
		this.m6tetipo = m6tetipo;
	}

	/**
	 * @return the m6notipoe
	 */
	public String getM6notipoe() {
		return m6notipoe;
	}

	/**
	 * @param m6notipoe
	 *            the m6notipoe to set
	 */
	public void setM6notipoe(String m6notipoe) {
		this.m6notipoe = m6notipoe;
	}

	/**
	 * @return the m4noremi
	 */
	public String getM4noremi() {
		return m4noremi;
	}

	/**
	 * @param m4noremi
	 *            the m4noremi to set
	 */
	public void setM4noremi(String m4noremi) {
		this.m4noremi = m4noremi;
	}

	/**
	 * @return the m4tecomu
	 */
	public String getM4tecomu() {
		return m4tecomu;
	}

	/**
	 * @param m4tecomu
	 *            the m4tecomu to set
	 */
	public void setM4tecomu(String m4tecomu) {
		this.m4tecomu = m4tecomu;
	}

	public String getM5destinatarios() {
		return m5destinatarios;
	}

	/**
	 * Lista de destinatarios del mensaje
	 * 
	 * @param m5destinatarios
	 */
	public void setM5destinatarios(String m5destinatarios) {
		this.m5destinatarios = m5destinatarios;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "ComunicacionDetalle [m4cocomu=" + m4cocomu + ", m4feenv="
				+ m4feenv + ", m6codigo=" + m6codigo + ", m6notipo=" + m6notipo
				+ ", m6tetipo=" + m6tetipo + ", m6notipoe=" + m6notipoe
				+ ", m4noremi=" + m4noremi + ", m4tesubject=" + m4tesubject
				+ ", m4tecomu=" + m4tecomu + "]";
	}

}
