package com.ejie.y41b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * ComunicacionSoivre  
 * 
 *  
 */

public class ComunicacionSoivre implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String idcomunicacionsoivre;
	private String v6codigo;
	private String v6tipo;
	private Date v6fechaentrada;
	private Date v6fechaentradaDesde;
	private Date v6fechaentradaHasta;
	private Date v6fechafininspeccion;
	private Date v6fecharespuesta;
	private Date v6fecharespuestaDesde;
	private Date v6fecharespuestaHasta;

	// Importador
	private String v6importador;
	private String v6importadoresid;
	private String v6importadoresnombre;
	private String v6importadoresnif;
	private String v6importadoresnoco;
	private String v6importadorescoem;
	private String v6importadoresinadar;
	private String v6importadoresnombreProvincia;
	private String v6importadoresnombreMunicipio;
	private String v6importadoresnombreLocalidad;
	private String v6importadoresextranjero;
	private String v6importadoresnoraPaisNombre;
	private String v6importadoresdireccion_nocapv;

	// Sector
	private String v6importadorsecodigo;
	private String v6importadorsenombre;
	private String v6importadorsenombree;

	// Establecimiento visitado
	private String v6establecimientovisita;
	private String v6establecimientovisitaesid;
	private String v6establecimientovisitaesnombre;
	private String v6establecimientovisitaesnif;
	private String v6establecimientovisitaesnoco;
	private String v6establecimientovisitaescoem;
	private String v6establecimientovisitaesinadar;
	private String v6establecimientovisitaesnombreProvincia;
	private String v6establecimientovisitaesnombreMunicipio;
	private String v6establecimientovisitaesnombreLocalidad;
	private String v6establecimientovisitaesextranjero;
	private String v6establecimientovisitaesnoraPaisNombre;
	private String v6establecimientovisitaesdireccion_nocapv;

	// Sector
	private String v6establecimientovisitasecodigo;
	private String v6establecimientovisitasenombre;
	private String v6establecimientovisitasenombree;

	// Producto
	private String v6cops;
	private String v6psnombre;
	private String v6psnombree;

	private String v6nomps;
	private String v6marcaps;
	private String v6modelops;
	private String v6loteps;
	private Date v6fedumi;
	private String v6codigobarras;
	private Integer v6numunidades;
	private String v6motivo;
	private String v6coor;
	private String v6inspeccionsolicitada;
	private Date v6fechasolinspeccion;
	private String v6coactua;
	private String v6codexpediente;
	private List<ComunicacionSoivreRel> comunicacionSoivreRelsForIdcomunicacionsoivrerel = new ArrayList<ComunicacionSoivreRel>();
	private List<ComunicacionSoivreRel> comunicacionSoivreRelsForIdcomunicacionsoivre = new ArrayList<ComunicacionSoivreRel>();

	// aicotti
	private String codInfraccion;
	private String infraccionNombre;

	private String v6fechaentradaDesdeStr;
	private String v6fechaentradaHastaStr;
	private String v6fecharespuestaDesdeStr;
	private String v6fecharespuestaHastaStr;

	private String anyadirPlantilla;

	private String modoComunicacionSoivre;

	private String importadorCambio;
	private String establecimientoVisitadoCambio;

	private String v6incluirrespondidas;

	private String v6numsolicitud;

	private String importadorCerrado;
	private String establecimientoVisitadoCerrado;

	/**
	 * Method 'ComunicacionSoivre'.
	 */
	public ComunicacionSoivre() {
	}

	/**
	 * Method 'ComunicacionSoivre'.
	 * 
	 * @param idcomunicacionsoivre
	 *            String
	 * @param v6codigo
	 *            String
	 * @param v6tipo
	 *            String
	 * @param v6fechaentrada
	 *            Date
	 * @param v6fechafininspeccion
	 *            Date
	 * @param v6fecharespuesta
	 *            Date
	 * @param v6importador
	 *            String
	 * @param v6importadoresid
	 *            String
	 * @param v6importadoresnombre
	 *            String
	 * @param v6importadoresnif
	 *            String
	 * @param v6importadoresnoco
	 *            String
	 * @param v6importadorescoem
	 *            String
	 * @param v6importadoresinadar
	 *            String
	 * @param v6importadoresnombreProvincia
	 *            String
	 * @param v6importadoresnombreMunicipio
	 *            String
	 * @param v6importadoresnombreLocalidad
	 *            String
	 * @param v6importadoresextranjero
	 *            String
	 * @param v6importadoresnoraPaisNombre
	 *            String
	 * @param v6importadoresdireccion_nocapv
	 *            String
	 * @param v6importadorsecodigo
	 *            String
	 * @param v6importadorsenombre
	 *            String
	 * @param v6importadorsenombree
	 *            String
	 * @param v6establecimientovisita
	 *            String
	 * @param v6establecimientovisitaesid
	 *            String
	 * @param v6establecimientovisitaesnombre
	 *            String
	 * @param v6establecimientovisitaesnif
	 *            String
	 * @param v6establecimientovisitaesnoco
	 *            String
	 * @param v6establecimientovisitaescoem
	 *            String
	 * @param v6establecimientovisitaesinadar
	 *            String
	 * @param v6establecimientovisitaesnombreProvincia
	 *            String
	 * @param v6establecimientovisitaesnombreMunicipio
	 *            String
	 * @param v6establecimientovisitaesnombreLocalidad
	 *            String
	 * @param v6establecimientovisitaesextranjero
	 *            String
	 * @param v6establecimientovisitaesnoraPaisNombre
	 *            String
	 * @param v6establecimientovisitaesdireccion_nocapv
	 *            String
	 * @param v6establecimientovisitasecodigo
	 *            String
	 * @param v6establecimientovisitasenombre
	 *            String
	 * @param v6establecimientovisitasenombree
	 *            String
	 * @param v6cops
	 *            String
	 * @param v6psnombre
	 *            String
	 * @param v6psnombree
	 *            String
	 * @param v6nomps
	 *            String
	 * @param v6marcaps
	 *            String
	 * @param v6modelops
	 *            String
	 * @param v6loteps
	 *            String
	 * @param v6fedumi
	 *            Date
	 * @param v6codigobarras
	 *            String
	 * @param v6numunidades
	 *            Integer
	 * @param v6motivo
	 *            String
	 * @param v6coor
	 *            String
	 * @param v6inspeccionsolicitada
	 *            String
	 * @param v6fechasolinspeccion
	 *            Date
	 * @param v6coactua
	 *            String
	 * @param v6codexpediente
	 *            String
	 */
	public ComunicacionSoivre(String idcomunicacionsoivre, String v6codigo,
			String v6tipo, Date v6fechaentrada, Date v6fechafininspeccion,
			Date v6fecharespuesta, String v6importador,
			String v6importadoresid, String v6importadoresnombre,
			String v6importadoresnif, String v6importadoresnoco,
			String v6importadorescoem, String v6importadoresinadar,
			String v6importadoresnombreProvincia,
			String v6importadoresnombreMunicipio,
			String v6importadoresnombreLocalidad,
			String v6importadoresextranjero,
			String v6importadoresnoraPaisNombre,
			String v6importadoresdireccion_nocapv, String v6importadorsecodigo,
			String v6importadorsenombre, String v6importadorsenombree,
			String v6establecimientovisita, String v6establecimientovisitaesid,
			String v6establecimientovisitaesnombre,
			String v6establecimientovisitaesnif,
			String v6establecimientovisitaesnoco,
			String v6establecimientovisitaescoem,
			String v6establecimientovisitaesinadar,
			String v6establecimientovisitaesnombreProvincia,
			String v6establecimientovisitaesnombreMunicipio,
			String v6establecimientovisitaesnombreLocalidad,
			String v6establecimientovisitaesextranjero,
			String v6establecimientovisitaesnoraPaisNombre,
			String v6establecimientovisitaesdireccion_nocapv,
			String v6establecimientovisitasecodigo,
			String v6establecimientovisitasenombre,
			String v6establecimientovisitasenombree, String v6cops,
			String v6psnombre, String v6psnombree, String v6nomps,
			String v6marcaps, String v6modelops, String v6loteps,
			Date v6fedumi, String v6codigobarras, Integer v6numunidades,
			String v6motivo, String v6coor, String v6inspeccionsolicitada,
			Date v6fechasolinspeccion, String v6coactua,
			String v6codexpediente, String v6numsolicitud) {
		this.idcomunicacionsoivre = idcomunicacionsoivre;
		this.v6codigo = v6codigo;
		this.v6tipo = v6tipo;
		this.v6fechaentrada = v6fechaentrada;
		this.v6fechafininspeccion = v6fechafininspeccion;
		this.v6fecharespuesta = v6fecharespuesta;

		this.v6importador = v6importador;
		this.v6importadoresid = v6importadoresid;
		this.v6importadoresnombre = v6importadoresnombre;
		this.v6importadoresnif = v6importadoresnif;
		this.v6importadoresnoco = v6importadoresnoco;
		this.v6importadorescoem = v6importadorescoem;
		this.v6importadoresinadar = v6importadoresinadar;
		this.v6importadoresnombreProvincia = v6importadoresnombreProvincia;
		this.v6importadoresnombreMunicipio = v6importadoresnombreMunicipio;
		this.v6importadoresnombreLocalidad = v6importadoresnombreLocalidad;
		this.v6importadoresextranjero = v6importadoresextranjero;
		this.v6importadoresnoraPaisNombre = v6importadoresnoraPaisNombre;
		this.v6importadoresdireccion_nocapv = v6importadoresdireccion_nocapv;
		this.v6importadorsecodigo = v6importadorsecodigo;
		this.v6importadorsenombre = v6importadorsenombre;
		this.v6importadorsenombree = v6importadorsenombree;

		this.v6establecimientovisita = v6establecimientovisita;
		this.v6establecimientovisitaesid = v6establecimientovisitaesid;
		this.v6establecimientovisitaesnombre = v6establecimientovisitaesnombre;
		this.v6establecimientovisitaesnif = v6establecimientovisitaesnif;
		this.v6establecimientovisitaesnoco = v6establecimientovisitaesnoco;
		this.v6establecimientovisitaescoem = v6establecimientovisitaescoem;
		this.v6establecimientovisitaesinadar = v6establecimientovisitaesinadar;
		this.v6establecimientovisitaesnombreProvincia = v6establecimientovisitaesnombreProvincia;
		this.v6establecimientovisitaesnombreMunicipio = v6establecimientovisitaesnombreMunicipio;
		this.v6establecimientovisitaesnombreLocalidad = v6establecimientovisitaesnombreLocalidad;
		this.v6establecimientovisitaesextranjero = v6establecimientovisitaesextranjero;
		this.v6establecimientovisitaesnoraPaisNombre = v6establecimientovisitaesnoraPaisNombre;
		this.v6establecimientovisitaesdireccion_nocapv = v6establecimientovisitaesdireccion_nocapv;
		this.v6establecimientovisitasecodigo = v6establecimientovisitasecodigo;
		this.v6establecimientovisitasenombre = v6establecimientovisitasenombre;
		this.v6establecimientovisitasenombree = v6establecimientovisitasenombree;

		this.v6cops = v6cops;
		this.v6psnombre = v6psnombre;
		this.v6psnombree = v6psnombree;

		this.v6nomps = v6nomps;
		this.v6marcaps = v6marcaps;
		this.v6modelops = v6modelops;
		this.v6loteps = v6loteps;
		this.v6fedumi = v6fedumi;
		this.v6codigobarras = v6codigobarras;
		this.v6numunidades = v6numunidades;
		this.v6motivo = v6motivo;
		this.v6coor = v6coor;
		this.v6inspeccionsolicitada = v6inspeccionsolicitada;
		this.v6fechasolinspeccion = v6fechasolinspeccion;
		this.v6coactua = v6coactua;
		this.v6codexpediente = v6codexpediente;

		this.v6numsolicitud = v6numsolicitud;
	}

	/**
	 * Method 'getIdcomunicacionsoivre'.
	 * 
	 * @return String
	 */

	public String getIdcomunicacionsoivre() {
		return this.idcomunicacionsoivre;
	}

	/**
	 * Method 'setIdcomunicacionsoivre'.
	 * 
	 * @param idcomunicacionsoivre
	 *            String
	 * @return
	 */

	public void setIdcomunicacionsoivre(String idcomunicacionsoivre) {
		this.idcomunicacionsoivre = idcomunicacionsoivre;
	}

	/**
	 * Method 'getV6codigo'.
	 * 
	 * @return String
	 */

	public String getV6codigo() {
		return this.v6codigo;
	}

	/**
	 * Method 'setV6codigo'.
	 * 
	 * @param v6codigo
	 *            String
	 * @return
	 */

	public void setV6codigo(String v6codigo) {
		this.v6codigo = v6codigo;
	}

	/**
	 * Method 'getV6tipo'.
	 * 
	 * @return String
	 */

	public String getV6tipo() {
		return this.v6tipo;
	}

	/**
	 * Method 'setV6tipo'.
	 * 
	 * @param v6tipo
	 *            String
	 * @return
	 */

	public void setV6tipo(String v6tipo) {
		this.v6tipo = v6tipo;
	}

	/**
	 * Method 'getV6fechaentrada'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fechaentrada() {
		return this.v6fechaentrada;
	}

	/**
	 * Method 'setV6fechaentrada'.
	 * 
	 * @param v6fechaentrada
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fechaentrada(Date v6fechaentrada) {
		this.v6fechaentrada = v6fechaentrada;
	}

	/**
	 * Method 'getV6fechafininspeccion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fechafininspeccion() {
		return this.v6fechafininspeccion;
	}

	/**
	 * Method 'setV6fechafininspeccion'.
	 * 
	 * @param v6fechafininspeccion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fechafininspeccion(Date v6fechafininspeccion) {
		this.v6fechafininspeccion = v6fechafininspeccion;
	}

	/**
	 * Method 'getV6fecharespuesta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fecharespuesta() {
		return this.v6fecharespuesta;
	}

	/**
	 * Method 'setV6fecharespuesta'.
	 * 
	 * @param v6fecharespuesta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fecharespuesta(Date v6fecharespuesta) {
		this.v6fecharespuesta = v6fecharespuesta;
	}

	/**
	 * Method 'getV6importador'.
	 * 
	 * @return String
	 */

	public String getV6importador() {
		return this.v6importador;
	}

	/**
	 * Method 'setV6importador'.
	 * 
	 * @param v6importador
	 *            String
	 * @return
	 */

	public void setV6importador(String v6importador) {
		this.v6importador = v6importador;
	}

	/**
	 * Method 'getV6establecimientovisita'.
	 * 
	 * @return String
	 */

	public String getV6establecimientovisita() {
		return this.v6establecimientovisita;
	}

	/**
	 * Method 'setV6establecimientovisita'.
	 * 
	 * @param v6establecimientovisita
	 *            String
	 * @return
	 */

	public void setV6establecimientovisita(String v6establecimientovisita) {
		this.v6establecimientovisita = v6establecimientovisita;
	}

	/**
	 * Method 'getV6cops'.
	 * 
	 * @return String
	 */

	public String getV6cops() {
		return this.v6cops;
	}

	/**
	 * Method 'setV6cops'.
	 * 
	 * @param v6cops
	 *            String
	 * @return
	 */

	public void setV6cops(String v6cops) {
		this.v6cops = v6cops;
	}

	/**
	 * Method 'getV6nomps'.
	 * 
	 * @return String
	 */

	public String getV6nomps() {
		return this.v6nomps;
	}

	/**
	 * Method 'setV6nomps'.
	 * 
	 * @param v6nomps
	 *            String
	 * @return
	 */

	public void setV6nomps(String v6nomps) {
		this.v6nomps = v6nomps;
	}

	/**
	 * Method 'getV6marcaps'.
	 * 
	 * @return String
	 */

	public String getV6marcaps() {
		return this.v6marcaps;
	}

	/**
	 * Method 'setV6marcaps'.
	 * 
	 * @param v6marcaps
	 *            String
	 * @return
	 */

	public void setV6marcaps(String v6marcaps) {
		this.v6marcaps = v6marcaps;
	}

	/**
	 * Method 'getV6modelops'.
	 * 
	 * @return String
	 */

	public String getV6modelops() {
		return this.v6modelops;
	}

	/**
	 * Method 'setV6modelops'.
	 * 
	 * @param v6modelops
	 *            String
	 * @return
	 */

	public void setV6modelops(String v6modelops) {
		this.v6modelops = v6modelops;
	}

	/**
	 * Method 'getV6loteps'.
	 * 
	 * @return String
	 */

	public String getV6loteps() {
		return this.v6loteps;
	}

	/**
	 * Method 'setV6loteps'.
	 * 
	 * @param v6loteps
	 *            String
	 * @return
	 */

	public void setV6loteps(String v6loteps) {
		this.v6loteps = v6loteps;
	}

	/**
	 * Method 'getV6fedumi'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fedumi() {
		return this.v6fedumi;
	}

	/**
	 * Method 'setV6fedumi'.
	 * 
	 * @param v6fedumi
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fedumi(Date v6fedumi) {
		this.v6fedumi = v6fedumi;
	}

	/**
	 * Method 'getV6codigobarras'.
	 * 
	 * @return String
	 */

	public String getV6codigobarras() {
		return this.v6codigobarras;
	}

	/**
	 * Method 'setV6codigobarras'.
	 * 
	 * @param v6codigobarras
	 *            String
	 * @return
	 */

	public void setV6codigobarras(String v6codigobarras) {
		this.v6codigobarras = v6codigobarras;
	}

	/**
	 * Method 'getV6numunidades'.
	 * 
	 * @return Integer
	 */

	public Integer getV6numunidades() {
		return this.v6numunidades;
	}

	/**
	 * Method 'setV6numunidades'.
	 * 
	 * @param v6numunidades
	 *            Integer
	 * @return
	 */

	public void setV6numunidades(Integer v6numunidades) {
		this.v6numunidades = v6numunidades;
	}

	/**
	 * Method 'getV6motivo'.
	 * 
	 * @return String
	 */
	public String getV6motivo() {
		return this.v6motivo;
	}

	/**
	 * Method 'setV6motivo'.
	 * 
	 * @param v6motivo
	 *            String
	 * @return
	 */

	public void setV6motivo(String v6motivo) {
		this.v6motivo = v6motivo;
	}

	/**
	 * Method 'getV6coor'.
	 * 
	 * @return String
	 */

	public String getV6coor() {
		return this.v6coor;
	}

	/**
	 * Method 'setV6coor'.
	 * 
	 * @param v6coor
	 *            String
	 * @return
	 */

	public void setV6coor(String v6coor) {
		this.v6coor = v6coor;
	}

	/**
	 * Method 'getV6inspeccionsolicitada'.
	 * 
	 * @return String
	 */
	public String getV6inspeccionsolicitada() {
		return this.v6inspeccionsolicitada;
	}

	/**
	 * Method 'setV6inspeccionsolicitada'.
	 * 
	 * @param v6inspeccionsolicitada
	 *            String
	 * @return
	 */

	public void setV6inspeccionsolicitada(String v6inspeccionsolicitada) {
		this.v6inspeccionsolicitada = v6inspeccionsolicitada;
	}

	/**
	 * Method 'getV6fechasolinspeccion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fechasolinspeccion() {
		return this.v6fechasolinspeccion;
	}

	/**
	 * Method 'setV6fechasolinspeccion'.
	 * 
	 * @param v6fechasolinspeccion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fechasolinspeccion(Date v6fechasolinspeccion) {
		this.v6fechasolinspeccion = v6fechasolinspeccion;
	}

	/**
	 * Method 'getV6coactua'.
	 * 
	 * @return String
	 */

	public String getV6coactua() {
		return this.v6coactua;
	}

	/**
	 * Method 'setV6coactua'.
	 * 
	 * @param v6coactua
	 *            String
	 * @return
	 */

	public void setV6coactua(String v6coactua) {
		this.v6coactua = v6coactua;
	}

	/**
	 * @return the v6codexpediente
	 */
	public String getV6codexpediente() {
		return v6codexpediente;
	}

	/**
	 * @param v6codexpediente
	 *            the v6codexpediente to set
	 */
	public void setV6codexpediente(String v6codexpediente) {
		this.v6codexpediente = v6codexpediente;
	}

	/**
	 * Method 'getComunicacionSoivreRelsForIdcomunicacionsoivrerel'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<ComunicacionSoivreRel> getComunicacionSoivreRelsForIdcomunicacionsoivrerel() {
		return this.comunicacionSoivreRelsForIdcomunicacionsoivrerel;
	}

	/**
	 * Method 'setComunicacionSoivreRelsForIdcomunicacionsoivrerel'.
	 * 
	 * @param comunicacionSoivreRelsForIdcomunicacionsoivrerel
	 *            List
	 * @return
	 */
	public void setComunicacionSoivreRelsForIdcomunicacionsoivrerel(
			List<ComunicacionSoivreRel> comunicacionSoivreRelsForIdcomunicacionsoivrerel) {
		this.comunicacionSoivreRelsForIdcomunicacionsoivrerel = comunicacionSoivreRelsForIdcomunicacionsoivrerel;
	}

	/**
	 * Method 'getComunicacionSoivreRelsForIdcomunicacionsoivre'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<ComunicacionSoivreRel> getComunicacionSoivreRelsForIdcomunicacionsoivre() {
		return this.comunicacionSoivreRelsForIdcomunicacionsoivre;
	}

	/**
	 * Method 'setComunicacionSoivreRelsForIdcomunicacionsoivre'.
	 * 
	 * @param comunicacionSoivreRelsForIdcomunicacionsoivre
	 *            List
	 * @return
	 */
	public void setComunicacionSoivreRelsForIdcomunicacionsoivre(
			List<ComunicacionSoivreRel> comunicacionSoivreRelsForIdcomunicacionsoivre) {
		this.comunicacionSoivreRelsForIdcomunicacionsoivre = comunicacionSoivreRelsForIdcomunicacionsoivre;
	}

	/**
	 * @return the v6importadoresnombre
	 */
	public String getV6importadoresnombre() {
		return v6importadoresnombre;
	}

	/**
	 * @param v6importadoresnombre
	 *            the v6importadoresnombre to set
	 */
	public void setV6importadoresnombre(String v6importadoresnombre) {
		this.v6importadoresnombre = v6importadoresnombre;
	}

	/**
	 * @return the v6importadoresnif
	 */
	public String getV6importadoresnif() {
		return v6importadoresnif;
	}

	/**
	 * @param v6importadoresnif
	 *            the v6importadoresnif to set
	 */
	public void setV6importadoresnif(String v6importadoresnif) {
		this.v6importadoresnif = v6importadoresnif;
	}

	/**
	 * @return the v6importadoresnoco
	 */
	public String getV6importadoresnoco() {
		return v6importadoresnoco;
	}

	/**
	 * @param v6importadoresnoco
	 *            the v6importadoresnoco to set
	 */
	public void setV6importadoresnoco(String v6importadoresnoco) {
		this.v6importadoresnoco = v6importadoresnoco;
	}

	/**
	 * @return the v6importadorescoem
	 */
	public String getV6importadorescoem() {
		return v6importadorescoem;
	}

	/**
	 * @param v6importadorescoem
	 *            the v6importadorescoem to set
	 */
	public void setV6importadorescoem(String v6importadorescoem) {
		this.v6importadorescoem = v6importadorescoem;
	}

	/**
	 * @return the v6importadoresinadar
	 */
	public String getV6importadoresinadar() {
		return v6importadoresinadar;
	}

	/**
	 * @param v6importadoresinadar
	 *            the v6importadoresinadar to set
	 */
	public void setV6importadoresinadar(String v6importadoresinadar) {
		this.v6importadoresinadar = v6importadoresinadar;
	}

	/**
	 * @return the v6importadoresnombreProvincia
	 */
	public String getV6importadoresnombreProvincia() {
		return v6importadoresnombreProvincia;
	}

	/**
	 * @param v6importadoresnombreProvincia
	 *            the v6importadoresnombreProvincia to set
	 */
	public void setV6importadoresnombreProvincia(
			String v6importadoresnombreProvincia) {
		this.v6importadoresnombreProvincia = v6importadoresnombreProvincia;
	}

	/**
	 * @return the v6importadoresnombreMunicipio
	 */
	public String getV6importadoresnombreMunicipio() {
		return v6importadoresnombreMunicipio;
	}

	/**
	 * @param v6importadoresnombreMunicipio
	 *            the v6importadoresnombreMunicipio to set
	 */
	public void setV6importadoresnombreMunicipio(
			String v6importadoresnombreMunicipio) {
		this.v6importadoresnombreMunicipio = v6importadoresnombreMunicipio;
	}

	/**
	 * @return the v6importadoresnombreLocalidad
	 */
	public String getV6importadoresnombreLocalidad() {
		return v6importadoresnombreLocalidad;
	}

	/**
	 * @param v6importadoresnombreLocalidad
	 *            the v6importadoresnombreLocalidad to set
	 */
	public void setV6importadoresnombreLocalidad(
			String v6importadoresnombreLocalidad) {
		this.v6importadoresnombreLocalidad = v6importadoresnombreLocalidad;
	}

	/**
	 * @return the v6importadoresextranjero
	 */
	public String getV6importadoresextranjero() {
		return v6importadoresextranjero;
	}

	/**
	 * @param v6importadoresextranjero
	 *            the v6importadoresextranjero to set
	 */
	public void setV6importadoresextranjero(String v6importadoresextranjero) {
		this.v6importadoresextranjero = v6importadoresextranjero;
	}

	/**
	 * @return the v6importadoresnoraPaisNombre
	 */
	public String getV6importadoresnoraPaisNombre() {
		return v6importadoresnoraPaisNombre;
	}

	/**
	 * @param v6importadoresnoraPaisNombre
	 *            the v6importadoresnoraPaisNombre to set
	 */
	public void setV6importadoresnoraPaisNombre(
			String v6importadoresnoraPaisNombre) {
		this.v6importadoresnoraPaisNombre = v6importadoresnoraPaisNombre;
	}

	/**
	 * @return the v6importadoresdireccion_nocapv
	 */
	public String getV6importadoresdireccion_nocapv() {
		return v6importadoresdireccion_nocapv;
	}

	/**
	 * @param v6importadoresdireccion_nocapv
	 *            the v6importadoresdireccion_nocapv to set
	 */
	public void setV6importadoresdireccion_nocapv(
			String v6importadoresdireccion_nocapv) {
		this.v6importadoresdireccion_nocapv = v6importadoresdireccion_nocapv;
	}

	/**
	 * @return the v6importadorsecodigo
	 */
	public String getV6importadorsecodigo() {
		return v6importadorsecodigo;
	}

	/**
	 * @param v6importadorsecodigo
	 *            the v6importadorsecodigo to set
	 */
	public void setV6importadorsecodigo(String v6importadorsecodigo) {
		this.v6importadorsecodigo = v6importadorsecodigo;
	}

	/**
	 * @return the v6importadorsenombre
	 */
	public String getV6importadorsenombre() {
		return v6importadorsenombre;
	}

	/**
	 * @param v6importadorsenombre
	 *            the v6importadorsenombre to set
	 */
	public void setV6importadorsenombre(String v6importadorsenombre) {
		this.v6importadorsenombre = v6importadorsenombre;
	}

	/**
	 * @return the v6importadorsenombree
	 */
	public String getV6importadorsenombree() {
		return v6importadorsenombree;
	}

	/**
	 * @param v6importadorsenombree
	 *            the v6importadorsenombree to set
	 */
	public void setV6importadorsenombree(String v6importadorsenombree) {
		this.v6importadorsenombree = v6importadorsenombree;
	}

	/**
	 * @return the v6establecimientovisitaesnombre
	 */
	public String getV6establecimientovisitaesnombre() {
		return v6establecimientovisitaesnombre;
	}

	/**
	 * @param v6establecimientovisitaesnombre
	 *            the v6establecimientovisitaesnombre to set
	 */
	public void setV6establecimientovisitaesnombre(
			String v6establecimientovisitaesnombre) {
		this.v6establecimientovisitaesnombre = v6establecimientovisitaesnombre;
	}

	/**
	 * @return the v6establecimientovisitaesnif
	 */
	public String getV6establecimientovisitaesnif() {
		return v6establecimientovisitaesnif;
	}

	/**
	 * @param v6establecimientovisitaesnif
	 *            the v6establecimientovisitaesnif to set
	 */
	public void setV6establecimientovisitaesnif(
			String v6establecimientovisitaesnif) {
		this.v6establecimientovisitaesnif = v6establecimientovisitaesnif;
	}

	/**
	 * @return the v6establecimientovisitaesnoco
	 */
	public String getV6establecimientovisitaesnoco() {
		return v6establecimientovisitaesnoco;
	}

	/**
	 * @param v6establecimientovisitaesnoco
	 *            the v6establecimientovisitaesnoco to set
	 */
	public void setV6establecimientovisitaesnoco(
			String v6establecimientovisitaesnoco) {
		this.v6establecimientovisitaesnoco = v6establecimientovisitaesnoco;
	}

	/**
	 * @return the v6establecimientovisitaescoem
	 */
	public String getV6establecimientovisitaescoem() {
		return v6establecimientovisitaescoem;
	}

	/**
	 * @param v6establecimientovisitaescoem
	 *            the v6establecimientovisitaescoem to set
	 */
	public void setV6establecimientovisitaescoem(
			String v6establecimientovisitaescoem) {
		this.v6establecimientovisitaescoem = v6establecimientovisitaescoem;
	}

	/**
	 * @return the v6establecimientovisitaesinadar
	 */
	public String getV6establecimientovisitaesinadar() {
		return v6establecimientovisitaesinadar;
	}

	/**
	 * @param v6establecimientovisitaesinadar
	 *            the v6establecimientovisitaesinadar to set
	 */
	public void setV6establecimientovisitaesinadar(
			String v6establecimientovisitaesinadar) {
		this.v6establecimientovisitaesinadar = v6establecimientovisitaesinadar;
	}

	/**
	 * @return the v6establecimientovisitaesnombreProvincia
	 */
	public String getV6establecimientovisitaesnombreProvincia() {
		return v6establecimientovisitaesnombreProvincia;
	}

	/**
	 * @param v6establecimientovisitaesnombreProvincia
	 *            the v6establecimientovisitaesnombreProvincia to set
	 */
	public void setV6establecimientovisitaesnombreProvincia(
			String v6establecimientovisitaesnombreProvincia) {
		this.v6establecimientovisitaesnombreProvincia = v6establecimientovisitaesnombreProvincia;
	}

	/**
	 * @return the v6establecimientovisitaesnombreMunicipio
	 */
	public String getV6establecimientovisitaesnombreMunicipio() {
		return v6establecimientovisitaesnombreMunicipio;
	}

	/**
	 * @param v6establecimientovisitaesnombreMunicipio
	 *            the v6establecimientovisitaesnombreMunicipio to set
	 */
	public void setV6establecimientovisitaesnombreMunicipio(
			String v6establecimientovisitaesnombreMunicipio) {
		this.v6establecimientovisitaesnombreMunicipio = v6establecimientovisitaesnombreMunicipio;
	}

	/**
	 * @return the v6establecimientovisitaesnombreLocalidad
	 */
	public String getV6establecimientovisitaesnombreLocalidad() {
		return v6establecimientovisitaesnombreLocalidad;
	}

	/**
	 * @param v6establecimientovisitaesnombreLocalidad
	 *            the v6establecimientovisitaesnombreLocalidad to set
	 */
	public void setV6establecimientovisitaesnombreLocalidad(
			String v6establecimientovisitaesnombreLocalidad) {
		this.v6establecimientovisitaesnombreLocalidad = v6establecimientovisitaesnombreLocalidad;
	}

	/**
	 * @return the v6establecimientovisitaesextranjero
	 */
	public String getV6establecimientovisitaesextranjero() {
		return v6establecimientovisitaesextranjero;
	}

	/**
	 * @param v6establecimientovisitaesextranjero
	 *            the v6establecimientovisitaesextranjero to set
	 */
	public void setV6establecimientovisitaesextranjero(
			String v6establecimientovisitaesextranjero) {
		this.v6establecimientovisitaesextranjero = v6establecimientovisitaesextranjero;
	}

	/**
	 * @return the v6establecimientovisitaesnoraPaisNombre
	 */
	public String getV6establecimientovisitaesnoraPaisNombre() {
		return v6establecimientovisitaesnoraPaisNombre;
	}

	/**
	 * @param v6establecimientovisitaesnoraPaisNombre
	 *            the v6establecimientovisitaesnoraPaisNombre to set
	 */
	public void setV6establecimientovisitaesnoraPaisNombre(
			String v6establecimientovisitaesnoraPaisNombre) {
		this.v6establecimientovisitaesnoraPaisNombre = v6establecimientovisitaesnoraPaisNombre;
	}

	/**
	 * @return the v6establecimientovisitaesdireccion_nocapv
	 */
	public String getV6establecimientovisitaesdireccion_nocapv() {
		return v6establecimientovisitaesdireccion_nocapv;
	}

	/**
	 * @param v6establecimientovisitaesdireccion_nocapv
	 *            the v6establecimientovisitaesdireccion_nocapv to set
	 */
	public void setV6establecimientovisitaesdireccion_nocapv(
			String v6establecimientovisitaesdireccion_nocapv) {
		this.v6establecimientovisitaesdireccion_nocapv = v6establecimientovisitaesdireccion_nocapv;
	}

	/**
	 * @return the v6establecimientovisitasecodigo
	 */
	public String getV6establecimientovisitasecodigo() {
		return v6establecimientovisitasecodigo;
	}

	/**
	 * @param v6establecimientovisitasecodigo
	 *            the v6establecimientovisitasecodigo to set
	 */
	public void setV6establecimientovisitasecodigo(
			String v6establecimientovisitasecodigo) {
		this.v6establecimientovisitasecodigo = v6establecimientovisitasecodigo;
	}

	/**
	 * @return the v6establecimientovisitasenombre
	 */
	public String getV6establecimientovisitasenombre() {
		return v6establecimientovisitasenombre;
	}

	/**
	 * @param v6establecimientovisitasenombre
	 *            the v6establecimientovisitasenombre to set
	 */
	public void setV6establecimientovisitasenombre(
			String v6establecimientovisitasenombre) {
		this.v6establecimientovisitasenombre = v6establecimientovisitasenombre;
	}

	/**
	 * @return the v6establecimientovisitasenombree
	 */
	public String getV6establecimientovisitasenombree() {
		return v6establecimientovisitasenombree;
	}

	/**
	 * @param v6establecimientovisitasenombree
	 *            the v6establecimientovisitasenombree to set
	 */
	public void setV6establecimientovisitasenombree(
			String v6establecimientovisitasenombree) {
		this.v6establecimientovisitasenombree = v6establecimientovisitasenombree;
	}

	/**
	 * @return the v6psnombre
	 */
	public String getV6psnombre() {
		return v6psnombre;
	}

	/**
	 * @param v6psnombre
	 *            the v6psnombre to set
	 */
	public void setV6psnombre(String v6psnombre) {
		this.v6psnombre = v6psnombre;
	}

	/**
	 * @return the v6psnombree
	 */
	public String getV6psnombree() {
		return v6psnombree;
	}

	/**
	 * @param v6psnombree
	 *            the v6psnombree to set
	 */
	public void setV6psnombree(String v6psnombree) {
		this.v6psnombree = v6psnombree;
	}

	/**
	 * @return the v6fechaentradaDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fechaentradaDesde() {
		return v6fechaentradaDesde;
	}

	/**
	 * @param v6fechaentradaDesde
	 *            the v6fechaentradaDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fechaentradaDesde(Date v6fechaentradaDesde) {
		this.v6fechaentradaDesde = v6fechaentradaDesde;
	}

	/**
	 * @return the v6fechaentradaHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fechaentradaHasta() {
		return v6fechaentradaHasta;
	}

	/**
	 * @param v6fechaentradaHasta
	 *            the v6fechaentradaHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fechaentradaHasta(Date v6fechaentradaHasta) {
		this.v6fechaentradaHasta = v6fechaentradaHasta;
	}

	/**
	 * @return the v6fecharespuestaDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fecharespuestaDesde() {
		return v6fecharespuestaDesde;
	}

	/**
	 * @param v6fecharespuestaDesde
	 *            the v6fecharespuestaDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fecharespuestaDesde(Date v6fecharespuestaDesde) {
		this.v6fecharespuestaDesde = v6fecharespuestaDesde;
	}

	/**
	 * @return the v6fecharespuestaHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getV6fecharespuestaHasta() {
		return v6fecharespuestaHasta;
	}

	/**
	 * @param v6fecharespuestaHasta
	 *            the v6fecharespuestaHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setV6fecharespuestaHasta(Date v6fecharespuestaHasta) {
		this.v6fecharespuestaHasta = v6fecharespuestaHasta;
	}

	/**
	 * @return the codInfraccion
	 */
	public String getCodInfraccion() {
		return codInfraccion;
	}

	/**
	 * @param codInfraccion
	 *            the codInfraccion to set
	 */
	public void setCodInfraccion(String codInfraccion) {
		this.codInfraccion = codInfraccion;
	}

	/**
	 * @return the v6fechaentradaDesdeStr
	 */
	public String getV6fechaentradaDesdeStr() {
		return v6fechaentradaDesdeStr;
	}

	/**
	 * @param v6fechaentradaDesdeStr
	 *            the v6fechaentradaDesdeStr to set
	 */
	public void setV6fechaentradaDesdeStr(String v6fechaentradaDesdeStr) {
		this.v6fechaentradaDesdeStr = v6fechaentradaDesdeStr;
	}

	/**
	 * @return the v6fechaentradaHastaStr
	 */
	public String getV6fechaentradaHastaStr() {
		return v6fechaentradaHastaStr;
	}

	/**
	 * @param v6fechaentradaHastaStr
	 *            the v6fechaentradaHastaStr to set
	 */
	public void setV6fechaentradaHastaStr(String v6fechaentradaHastaStr) {
		this.v6fechaentradaHastaStr = v6fechaentradaHastaStr;
	}

	/**
	 * @return the v6fecharespuestaDesdeStr
	 */
	public String getV6fecharespuestaDesdeStr() {
		return v6fecharespuestaDesdeStr;
	}

	/**
	 * @param v6fecharespuestaDesdeStr
	 *            the v6fecharespuestaDesdeStr to set
	 */
	public void setV6fecharespuestaDesdeStr(String v6fecharespuestaDesdeStr) {
		this.v6fecharespuestaDesdeStr = v6fecharespuestaDesdeStr;
	}

	/**
	 * @return the v6fecharespuestaHastaStr
	 */
	public String getV6fecharespuestaHastaStr() {
		return v6fecharespuestaHastaStr;
	}

	/**
	 * @param v6fecharespuestaHastaStr
	 *            the v6fecharespuestaHastaStr to set
	 */
	public void setV6fecharespuestaHastaStr(String v6fecharespuestaHastaStr) {
		this.v6fecharespuestaHastaStr = v6fecharespuestaHastaStr;
	}

	/**
	 * @return the v6importadoresid
	 */
	public String getV6importadoresid() {
		return v6importadoresid;
	}

	/**
	 * @param v6importadoresid
	 *            the v6importadoresid to set
	 */
	public void setV6importadoresid(String v6importadoresid) {
		this.v6importadoresid = v6importadoresid;
	}

	/**
	 * @return the v6establecimientovisitaesid
	 */
	public String getV6establecimientovisitaesid() {
		return v6establecimientovisitaesid;
	}

	/**
	 * @param v6establecimientovisitaesid
	 *            the v6establecimientovisitaesid to set
	 */
	public void setV6establecimientovisitaesid(
			String v6establecimientovisitaesid) {
		this.v6establecimientovisitaesid = v6establecimientovisitaesid;
	}

	/**
	 * @return the infraccionNombre
	 */
	public String getInfraccionNombre() {
		return infraccionNombre;
	}

	/**
	 * @param infraccionNombre
	 *            the infraccionNombre to set
	 */
	public void setInfraccionNombre(String infraccionNombre) {
		this.infraccionNombre = infraccionNombre;
	}

	/**
	 * @return the anyadirPlantilla
	 */
	public String getAnyadirPlantilla() {
		return anyadirPlantilla;
	}

	/**
	 * @param anyadirPlantilla
	 *            the anyadirPlantilla to set
	 */
	public void setAnyadirPlantilla(String anyadirPlantilla) {
		this.anyadirPlantilla = anyadirPlantilla;
	}

	/**
	 * @return the modoComunicacionSoivre
	 */
	public String getModoComunicacionSoivre() {
		return modoComunicacionSoivre;
	}

	/**
	 * @param modoComunicacionSoivre
	 *            the modoComunicacionSoivre to set
	 */
	public void setModoComunicacionSoivre(String modoComunicacionSoivre) {
		this.modoComunicacionSoivre = modoComunicacionSoivre;
	}

	/**
	 * @return the importadorCambio
	 */
	public String getImportadorCambio() {
		return importadorCambio;
	}

	/**
	 * @param importadorCambio
	 *            the importadorCambio to set
	 */
	public void setImportadorCambio(String importadorCambio) {
		this.importadorCambio = importadorCambio;
	}

	/**
	 * @return the establecimientoVisitadoCambio
	 */
	public String getEstablecimientoVisitadoCambio() {
		return establecimientoVisitadoCambio;
	}

	/**
	 * @param establecimientoVisitadoCambio
	 *            the establecimientoVisitadoCambio to set
	 */
	public void setEstablecimientoVisitadoCambio(
			String establecimientoVisitadoCambio) {
		this.establecimientoVisitadoCambio = establecimientoVisitadoCambio;
	}

	/**
	 * @return the v6incluirrespondidas
	 */
	public String getV6incluirrespondidas() {
		return v6incluirrespondidas;
	}

	/**
	 * @param v6incluirrespondidas
	 *            the v6incluirrespondidas to set
	 */
	public void setV6incluirrespondidas(String v6incluirrespondidas) {
		this.v6incluirrespondidas = v6incluirrespondidas;
	}

	/**
	 * @return the v6numsolicitud
	 */
	public String getV6numsolicitud() {
		return v6numsolicitud;
	}

	/**
	 * @param v6numsolicitud
	 *            the v6numsolicitud to set
	 */
	public void setV6numsolicitud(String v6numsolicitud) {
		this.v6numsolicitud = v6numsolicitud;
	}

	/**
	 * @return the importadorCerrado
	 */
	public String getImportadorCerrado() {
		return importadorCerrado;
	}

	/**
	 * @param importadorCerrado
	 *            the importadorCerrado to set
	 */
	public void setImportadorCerrado(String importadorCerrado) {
		this.importadorCerrado = importadorCerrado;
	}

	/**
	 * @return the establecimientoVisitadoCerrado
	 */
	public String getEstablecimientoVisitadoCerrado() {
		return establecimientoVisitadoCerrado;
	}

	/**
	 * @param establecimientoVisitadoCerrado
	 *            the establecimientoVisitadoCerrado to set
	 */
	public void setEstablecimientoVisitadoCerrado(
			String establecimientoVisitadoCerrado) {
		this.establecimientoVisitadoCerrado = establecimientoVisitadoCerrado;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idcomunicacionsoivre: ")
				.append(this.idcomunicacionsoivre).append(" ]");
		result.append(", [ v6codigo: ").append(this.v6codigo).append(" ]");
		result.append(", [ v6tipo: ").append(this.v6tipo).append(" ]");
		result.append(", [ v6fechaentrada: ").append(this.v6fechaentrada)
				.append(" ]");
		result.append(", [ v6fechafininspeccion: ")
				.append(this.v6fechafininspeccion).append(" ]");
		result.append(", [ v6fecharespuesta: ").append(this.v6fecharespuesta)
				.append(" ]");
		result.append(", [ v6importador: ").append(this.v6importador)
				.append(" ]");
		result.append(", [ v6establecimientovisita: ")
				.append(this.v6establecimientovisita).append(" ]");
		result.append(", [ v6cops: ").append(this.v6cops).append(" ]");
		result.append(", [ v6nomps: ").append(this.v6nomps).append(" ]");
		result.append(", [ v6marcaps: ").append(this.v6marcaps).append(" ]");
		result.append(", [ v6modelops: ").append(this.v6modelops).append(" ]");
		result.append(", [ v6loteps: ").append(this.v6loteps).append(" ]");
		result.append(", [ v6fedumi: ").append(this.v6fedumi).append(" ]");
		result.append(", [ v6codigobarras: ").append(this.v6codigobarras)
				.append(" ]");
		result.append(", [ v6numunidades: ").append(this.v6numunidades)
				.append(" ]");
		result.append(", [ v6coor: ").append(this.v6coor).append(" ]");
		result.append(", [ v6fechasolinspeccion: ")
				.append(this.v6fechasolinspeccion).append(" ]");
		result.append(", [ v6coactua: ").append(this.v6coactua).append(" ]");
		result.append("}");
		return result.toString();
	}

}
