package com.ejie.y41b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * * Consulta  
 * 
 *  
 */

public class Consulta implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String cocodigo;
	private Motivo motivo;
	private Producto producto;
	private RangoEdad rangoEdad;
	private FormaPresentacion formaPresentacion;
	private Organismo organismo;
	private CensoMonitor censoMonitor;
	private Date cofecha;
	private String cocosx;
	private String conran;
	private String cocose;
	private String cotexto;
	private Integer conrreg;
	private String conoco;
	private String conodirco;
	private String conrcpco;
	private String cocoloco;
	private String conoloco;
	private String conomuco;
	private String cocopvco;
	private String cocopaco;
	private String conrtelco;
	private String conrfaxco;
	private String cocoemco;
	private Date coferes;
	private String coinreenv;
	private String coteresp;
	private String cocotfpr;
	private String coinl37;
	private Long conranrg;
	private String cocopro;
	private String cohdcodigo;
	private String cohora;
	private Date cofechaconsumidor;
	private String noraPaisId;
	private String nombrePais;
	private String noraProvinciaId;
	private String nombreProvincia;
	private String noraMunicipioId;
	private String nombreMunicipio;
	private String noraLocalidadId;
	private String nombreLocalidad;
	private String noraCalleId;
	private String nombreCalle;
	private String noraCpId;
	private String nombreCp;
	private String noraPortalId;
	private String nombrePortal;
	private String coinl21;
	private String cosituacion;
	private String nombrePiso;
	private String direccion_nocapv;
	private String coextranjero;
	private String coestado;
	private List<ConsultaFile> consultaFiles = new ArrayList<ConsultaFile>();
	private List<Respuesta> respuestas = new ArrayList<Respuesta>();

	// Consultas empresas
	private String coconsultaaaccempresas;
	private String cocif;
	private String corazonsocial;
	private String conombrecomercial;

	// Campos que se usaran unicamente para la parte de presentacion Ini
	private String cofechadesde;
	private String cofechahasta;

	// Campos que se usaran unicamente para la parte de presentacion Fin

	/**
	 * Method 'Consulta'.
	 * 
	 */
	public Consulta() {
	}

	/**
	 * @param cocodigo
	 * @param motivo
	 * @param producto
	 * @param rangoEdad
	 * @param formaPresentacion
	 * @param organismo
	 * @param censoMonitor
	 * @param cofecha
	 * @param cocosx
	 * @param conran
	 * @param cocose
	 * @param cotexto
	 * @param conrreg
	 * @param conoco
	 * @param conodirco
	 * @param conrcpco
	 * @param cocoloco
	 * @param conoloco
	 * @param conomuco
	 * @param cocopvco
	 * @param cocopaco
	 * @param conrtelco
	 * @param conrfaxco
	 * @param cocoemco
	 * @param coferes
	 * @param coinreenv
	 * @param coteresp
	 * @param cocotfpr
	 * @param coinl37
	 * @param conranrg
	 * @param cocopro
	 * @param cohdcodigo
	 * @param cohora
	 * @param cofechaconsumidor
	 * @param noraPaisId
	 * @param nombrePais
	 * @param noraProvinciaId
	 * @param nombreProvincia
	 * @param noraMunicipioId
	 * @param nombreMunicipio
	 * @param noraLocalidadId
	 * @param nombreLocalidad
	 * @param noraCalleId
	 * @param nombreCalle
	 * @param noraCpId
	 * @param nombreCp
	 * @param noraPortalId
	 * @param nombrePortal
	 * @param coinl21
	 * @param cosituacion
	 * @param nombrePiso
	 * @param direccion_nocapv
	 * @param coextranjero
	 * @param coestado
	 * @param coconsultaaaccempresas
	 * @param cocif
	 * @param corazonsocial
	 * @param conombrecomercial
	 * @param consultaFiles
	 * @param respuestas
	 */
	public Consulta(String cocodigo, Motivo motivo, Producto producto,
			RangoEdad rangoEdad, FormaPresentacion formaPresentacion,
			Organismo organismo, CensoMonitor censoMonitor, Date cofecha,
			String cocosx, String conran, String cocose, String cotexto,
			Integer conrreg, String conoco, String conodirco, String conrcpco,
			String cocoloco, String conoloco, String conomuco, String cocopvco,
			String cocopaco, String conrtelco, String conrfaxco,
			String cocoemco, Date coferes, String coinreenv, String coteresp,
			String cocotfpr, String coinl37, Long conranrg, String cocopro,
			String cohdcodigo, String cohora, Date cofechaconsumidor,
			String noraPaisId, String nombrePais, String noraProvinciaId,
			String nombreProvincia, String noraMunicipioId,
			String nombreMunicipio, String noraLocalidadId,
			String nombreLocalidad, String noraCalleId, String nombreCalle,
			String noraCpId, String nombreCp, String noraPortalId,
			String nombrePortal, String coinl21, String cosituacion,
			String nombrePiso, String direccion_nocapv, String coextranjero,
			String coestado, String coconsultaaaccempresas, String cocif,
			String corazonsocial, String conombrecomercial,
			List<ConsultaFile> consultaFiles, List<Respuesta> respuestas) {
		this.cocodigo = cocodigo;
		this.motivo = motivo;
		this.producto = producto;
		this.rangoEdad = rangoEdad;
		this.formaPresentacion = formaPresentacion;
		this.organismo = organismo;
		this.censoMonitor = censoMonitor;
		this.cofecha = cofecha;
		this.cocosx = cocosx;
		this.conran = conran;
		this.cocose = cocose;
		this.cotexto = cotexto;
		this.conrreg = conrreg;
		this.conoco = conoco;
		this.conodirco = conodirco;
		this.conrcpco = conrcpco;
		this.cocoloco = cocoloco;
		this.conoloco = conoloco;
		this.conomuco = conomuco;
		this.cocopvco = cocopvco;
		this.cocopaco = cocopaco;
		this.conrtelco = conrtelco;
		this.conrfaxco = conrfaxco;
		this.cocoemco = cocoemco;
		this.coferes = coferes;
		this.coinreenv = coinreenv;
		this.coteresp = coteresp;
		this.cocotfpr = cocotfpr;
		this.coinl37 = coinl37;
		this.conranrg = conranrg;
		this.cocopro = cocopro;
		this.cohdcodigo = cohdcodigo;
		this.cohora = cohora;
		this.cofechaconsumidor = cofechaconsumidor;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.coinl21 = coinl21;
		this.cosituacion = cosituacion;
		this.nombrePiso = nombrePiso;
		this.direccion_nocapv = direccion_nocapv;
		this.coextranjero = coextranjero;
		this.coestado = coestado;
		this.coconsultaaaccempresas = coconsultaaaccempresas;
		this.cocif = cocif;
		this.corazonsocial = corazonsocial;
		this.conombrecomercial = conombrecomercial;
		this.consultaFiles = consultaFiles;
		this.respuestas = respuestas;
	}

	/**
	 * Method 'getCocodigo'.
	 * 
	 * @return String
	 */

	public String getCocodigo() {
		return this.cocodigo;
	}

	/**
	 * Method 'setCocodigo'.
	 * 
	 * @param cocodigo
	 *            String
	 * @return
	 */

	public void setCocodigo(String cocodigo) {
		this.cocodigo = cocodigo;
	}

	/**
	 * Method 'getMotivo'.
	 * 
	 * @return Motivo
	 */
	@JsonIgnore
	public Motivo getMotivo() {
		return this.motivo;
	}

	/**
	 * Method 'setMotivo'.
	 * 
	 * @param motivo
	 *            Motivo
	 * @return
	 */

	public void setMotivo(Motivo motivo) {
		this.motivo = motivo;
	}

	/**
	 * Method 'getProducto'.
	 * 
	 * @return Producto
	 */
	@JsonIgnore
	public Producto getProducto() {
		return this.producto;
	}

	/**
	 * Method 'setProducto'.
	 * 
	 * @param producto
	 *            Producto
	 * @return
	 */

	public void setProducto(Producto producto) {
		this.producto = producto;
	}

	/**
	 * Method 'getRangoEdad'.
	 * 
	 * @return RangoEdad
	 */
	@JsonIgnore
	public RangoEdad getRangoEdad() {
		return this.rangoEdad;
	}

	/**
	 * Method 'setRangoEdad'.
	 * 
	 * @param rangoEdad
	 *            RangoEdad
	 * @return
	 */

	public void setRangoEdad(RangoEdad rangoEdad) {
		this.rangoEdad = rangoEdad;
	}

	/**
	 * Method 'getFormaPresentacion'.
	 * 
	 * @return FormaPresentacion
	 */
	@JsonIgnore
	public FormaPresentacion getFormaPresentacion() {
		return this.formaPresentacion;
	}

	/**
	 * Method 'setFormaPresentacion'.
	 * 
	 * @param formaPresentacion
	 *            FormaPresentacion
	 * @return
	 */

	public void setFormaPresentacion(FormaPresentacion formaPresentacion) {
		this.formaPresentacion = formaPresentacion;
	}

	/**
	 * Method 'getOrganismo'.
	 * 
	 * @return Organismo
	 */
	@JsonIgnore
	public Organismo getOrganismo() {
		return this.organismo;
	}

	/**
	 * Method 'setOrganismo'.
	 * 
	 * @param organismo
	 *            Organismo
	 * @return
	 */

	public void setOrganismo(Organismo organismo) {
		this.organismo = organismo;
	}

	/**
	 * Method 'getCensoMonitor'.
	 * 
	 * @return CensoMonitor
	 */
	@JsonIgnore
	public CensoMonitor getCensoMonitor() {
		return this.censoMonitor;
	}

	/**
	 * Method 'setCensoMonitor'.
	 * 
	 * @param censoMonitor
	 *            CensoMonitor
	 * @return
	 */

	public void setCensoMonitor(CensoMonitor censoMonitor) {
		this.censoMonitor = censoMonitor;
	}

	/**
	 * Method 'getCofecha'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getCofecha() {
		return this.cofecha;
	}

	/**
	 * Method 'setCofecha'.
	 * 
	 * @param cofecha
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setCofecha(Date cofecha) {
		this.cofecha = cofecha;
	}

	/**
	 * Method 'getCocosx'.
	 * 
	 * @return String
	 */

	public String getCocosx() {
		return this.cocosx;
	}

	/**
	 * Method 'setCocosx'.
	 * 
	 * @param cocosx
	 *            String
	 * @return
	 */

	public void setCocosx(String cocosx) {
		this.cocosx = cocosx;
	}

	/**
	 * Method 'getConran'.
	 * 
	 * @return String
	 */

	public String getConran() {
		return this.conran;
	}

	/**
	 * Method 'setConran'.
	 * 
	 * @param conran
	 *            String
	 * @return
	 */

	public void setConran(String conran) {
		this.conran = conran;
	}

	/**
	 * Method 'getCocose'.
	 * 
	 * @return String
	 */

	public String getCocose() {
		return this.cocose;
	}

	/**
	 * Method 'setCocose'.
	 * 
	 * @param cocose
	 *            String
	 * @return
	 */

	public void setCocose(String cocose) {
		this.cocose = cocose;
	}

	/**
	 * Method 'getCotexto'.
	 * 
	 * @return String
	 */

	public String getCotexto() {
		return this.cotexto;
	}

	/**
	 * Method 'setCotexto'.
	 * 
	 * @param cotexto
	 *            String
	 * @return
	 */

	public void setCotexto(String cotexto) {
		this.cotexto = cotexto;
	}

	/**
	 * Method 'getConrreg'.
	 * 
	 * @return Integer
	 */

	public Integer getConrreg() {
		return this.conrreg;
	}

	/**
	 * Method 'setConrreg'.
	 * 
	 * @param conrreg
	 *            Integer
	 * @return
	 */

	public void setConrreg(Integer conrreg) {
		this.conrreg = conrreg;
	}

	/**
	 * Method 'getConoco'.
	 * 
	 * @return String
	 */

	public String getConoco() {
		return this.conoco;
	}

	/**
	 * Method 'setConoco'.
	 * 
	 * @param conoco
	 *            String
	 * @return
	 */

	public void setConoco(String conoco) {
		this.conoco = conoco;
	}

	/**
	 * Method 'getConodirco'.
	 * 
	 * @return String
	 */

	public String getConodirco() {
		return this.conodirco;
	}

	/**
	 * Method 'setConodirco'.
	 * 
	 * @param conodirco
	 *            String
	 * @return
	 */

	public void setConodirco(String conodirco) {
		this.conodirco = conodirco;
	}

	/**
	 * Method 'getConrcpco'.
	 * 
	 * @return String
	 */

	public String getConrcpco() {
		return this.conrcpco;
	}

	/**
	 * Method 'setConrcpco'.
	 * 
	 * @param conrcpco
	 *            String
	 * @return
	 */

	public void setConrcpco(String conrcpco) {
		this.conrcpco = conrcpco;
	}

	/**
	 * Method 'getCocoloco'.
	 * 
	 * @return String
	 */

	public String getCocoloco() {
		return this.cocoloco;
	}

	/**
	 * Method 'setCocoloco'.
	 * 
	 * @param cocoloco
	 *            String
	 * @return
	 */

	public void setCocoloco(String cocoloco) {
		this.cocoloco = cocoloco;
	}

	/**
	 * Method 'getConoloco'.
	 * 
	 * @return String
	 */

	public String getConoloco() {
		return this.conoloco;
	}

	/**
	 * Method 'setConoloco'.
	 * 
	 * @param conoloco
	 *            String
	 * @return
	 */

	public void setConoloco(String conoloco) {
		this.conoloco = conoloco;
	}

	/**
	 * Method 'getConomuco'.
	 * 
	 * @return String
	 */

	public String getConomuco() {
		return this.conomuco;
	}

	/**
	 * Method 'setConomuco'.
	 * 
	 * @param conomuco
	 *            String
	 * @return
	 */

	public void setConomuco(String conomuco) {
		this.conomuco = conomuco;
	}

	/**
	 * Method 'getCocopvco'.
	 * 
	 * @return String
	 */

	public String getCocopvco() {
		return this.cocopvco;
	}

	/**
	 * Method 'setCocopvco'.
	 * 
	 * @param cocopvco
	 *            String
	 * @return
	 */

	public void setCocopvco(String cocopvco) {
		this.cocopvco = cocopvco;
	}

	/**
	 * Method 'getCocopaco'.
	 * 
	 * @return String
	 */

	public String getCocopaco() {
		return this.cocopaco;
	}

	/**
	 * Method 'setCocopaco'.
	 * 
	 * @param cocopaco
	 *            String
	 * @return
	 */

	public void setCocopaco(String cocopaco) {
		this.cocopaco = cocopaco;
	}

	/**
	 * Method 'getConrtelco'.
	 * 
	 * @return String
	 */

	public String getConrtelco() {
		return this.conrtelco;
	}

	/**
	 * Method 'setConrtelco'.
	 * 
	 * @param conrtelco
	 *            String
	 * @return
	 */

	public void setConrtelco(String conrtelco) {
		this.conrtelco = conrtelco;
	}

	/**
	 * Method 'getConrfaxco'.
	 * 
	 * @return String
	 */

	public String getConrfaxco() {
		return this.conrfaxco;
	}

	/**
	 * Method 'setConrfaxco'.
	 * 
	 * @param conrfaxco
	 *            String
	 * @return
	 */

	public void setConrfaxco(String conrfaxco) {
		this.conrfaxco = conrfaxco;
	}

	/**
	 * Method 'getCocoemco'.
	 * 
	 * @return String
	 */

	public String getCocoemco() {
		return this.cocoemco;
	}

	/**
	 * Method 'setCocoemco'.
	 * 
	 * @param cocoemco
	 *            String
	 * @return
	 */

	public void setCocoemco(String cocoemco) {
		this.cocoemco = cocoemco;
	}

	/**
	 * Method 'getCoferes'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getCoferes() {
		return this.coferes;
	}

	/**
	 * Method 'setCoferes'.
	 * 
	 * @param coferes
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setCoferes(Date coferes) {
		this.coferes = coferes;
	}

	/**
	 * Method 'getCoinreenv'.
	 * 
	 * @return String
	 */

	public String getCoinreenv() {
		return this.coinreenv;
	}

	/**
	 * Method 'setCoinreenv'.
	 * 
	 * @param coinreenv
	 *            String
	 * @return
	 */

	public void setCoinreenv(String coinreenv) {
		this.coinreenv = coinreenv;
	}

	/**
	 * Method 'getCoteresp'.
	 * 
	 * @return String
	 */

	public String getCoteresp() {
		return this.coteresp;
	}

	/**
	 * Method 'setCoteresp'.
	 * 
	 * @param coteresp
	 *            String
	 * @return
	 */

	public void setCoteresp(String coteresp) {
		this.coteresp = coteresp;
	}

	/**
	 * Method 'getCocotfpr'.
	 * 
	 * @return String
	 */

	public String getCocotfpr() {
		return this.cocotfpr;
	}

	/**
	 * Method 'setCocotfpr'.
	 * 
	 * @param cocotfpr
	 *            String
	 * @return
	 */

	public void setCocotfpr(String cocotfpr) {
		this.cocotfpr = cocotfpr;
	}

	/**
	 * Method 'getCoinl37'.
	 * 
	 * @return String
	 */

	public String getCoinl37() {
		return this.coinl37;
	}

	/**
	 * Method 'setCoinl37'.
	 * 
	 * @param coinl37
	 *            String
	 * @return
	 */

	public void setCoinl37(String coinl37) {
		this.coinl37 = coinl37;
	}

	/**
	 * Method 'getConranrg'.
	 * 
	 * @return Long
	 */

	public Long getConranrg() {
		return this.conranrg;
	}

	/**
	 * Method 'setConranrg'.
	 * 
	 * @param conranrg
	 *            Long
	 * @return
	 */

	public void setConranrg(Long conranrg) {
		this.conranrg = conranrg;
	}

	/**
	 * Method 'getCocopro'.
	 * 
	 * @return String
	 */

	public String getCocopro() {
		return this.cocopro;
	}

	/**
	 * Method 'setCocopro'.
	 * 
	 * @param cocopro
	 *            String
	 * @return
	 */

	public void setCocopro(String cocopro) {
		this.cocopro = cocopro;
	}

	/**
	 * Method 'getCohdcodigo'.
	 * 
	 * @return String
	 */

	public String getCohdcodigo() {
		return this.cohdcodigo;
	}

	/**
	 * Method 'setCohdcodigo'.
	 * 
	 * @param cohdcodigo
	 *            String
	 * @return
	 */

	public void setCohdcodigo(String cohdcodigo) {
		this.cohdcodigo = cohdcodigo;
	}

	/**
	 * Method 'getCohora'.
	 * 
	 * @return String
	 */

	public String getCohora() {
		return this.cohora;
	}

	/**
	 * Method 'setCohora'.
	 * 
	 * @param cohora
	 *            String
	 * @return
	 */

	public void setCohora(String cohora) {
		this.cohora = cohora;
	}

	/**
	 * Method 'getCofechaconsumidor'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getCofechaconsumidor() {
		return this.cofechaconsumidor;
	}

	/**
	 * Method 'setCofechaconsumidor'.
	 * 
	 * @param cofechaconsumidor
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setCofechaconsumidor(Date cofechaconsumidor) {
		this.cofechaconsumidor = cofechaconsumidor;
	}

	/**
	 * Method 'getNoraPaisId'.
	 * 
	 * @return String
	 */

	public String getNoraPaisId() {
		return this.noraPaisId;
	}

	/**
	 * Method 'setNoraPaisId'.
	 * 
	 * @param noraPaisId
	 *            String
	 * @return
	 */

	public void setNoraPaisId(String noraPaisId) {
		this.noraPaisId = noraPaisId;
	}

	/**
	 * Method 'getNombrePais'.
	 * 
	 * @return String
	 */

	public String getNombrePais() {
		return this.nombrePais;
	}

	/**
	 * Method 'setNombrePais'.
	 * 
	 * @param nombrePais
	 *            String
	 * @return
	 */

	public void setNombrePais(String nombrePais) {
		this.nombrePais = nombrePais;
	}

	/**
	 * Method 'getNoraProvinciaId'.
	 * 
	 * @return String
	 */

	public String getNoraProvinciaId() {
		return this.noraProvinciaId;
	}

	/**
	 * Method 'setNoraProvinciaId'.
	 * 
	 * @param noraProvinciaId
	 *            String
	 * @return
	 */

	public void setNoraProvinciaId(String noraProvinciaId) {
		this.noraProvinciaId = noraProvinciaId;
	}

	/**
	 * Method 'getNombreProvincia'.
	 * 
	 * @return String
	 */

	public String getNombreProvincia() {
		return this.nombreProvincia;
	}

	/**
	 * Method 'setNombreProvincia'.
	 * 
	 * @param nombreProvincia
	 *            String
	 * @return
	 */

	public void setNombreProvincia(String nombreProvincia) {
		this.nombreProvincia = nombreProvincia;
	}

	/**
	 * Method 'getNoraMunicipioId'.
	 * 
	 * @return String
	 */

	public String getNoraMunicipioId() {
		return this.noraMunicipioId;
	}

	/**
	 * Method 'setNoraMunicipioId'.
	 * 
	 * @param noraMunicipioId
	 *            String
	 * @return
	 */

	public void setNoraMunicipioId(String noraMunicipioId) {
		this.noraMunicipioId = noraMunicipioId;
	}

	/**
	 * Method 'getNombreMunicipio'.
	 * 
	 * @return String
	 */

	public String getNombreMunicipio() {
		return this.nombreMunicipio;
	}

	/**
	 * Method 'setNombreMunicipio'.
	 * 
	 * @param nombreMunicipio
	 *            String
	 * @return
	 */

	public void setNombreMunicipio(String nombreMunicipio) {
		this.nombreMunicipio = nombreMunicipio;
	}

	/**
	 * Method 'getNoraLocalidadId'.
	 * 
	 * @return String
	 */

	public String getNoraLocalidadId() {
		return this.noraLocalidadId;
	}

	/**
	 * Method 'setNoraLocalidadId'.
	 * 
	 * @param noraLocalidadId
	 *            String
	 * @return
	 */

	public void setNoraLocalidadId(String noraLocalidadId) {
		this.noraLocalidadId = noraLocalidadId;
	}

	/**
	 * Method 'getNombreLocalidad'.
	 * 
	 * @return String
	 */

	public String getNombreLocalidad() {
		return this.nombreLocalidad;
	}

	/**
	 * Method 'setNombreLocalidad'.
	 * 
	 * @param nombreLocalidad
	 *            String
	 * @return
	 */

	public void setNombreLocalidad(String nombreLocalidad) {
		this.nombreLocalidad = nombreLocalidad;
	}

	/**
	 * Method 'getNoraCalleId'.
	 * 
	 * @return String
	 */

	public String getNoraCalleId() {
		return this.noraCalleId;
	}

	/**
	 * Method 'setNoraCalleId'.
	 * 
	 * @param noraCalleId
	 *            String
	 * @return
	 */

	public void setNoraCalleId(String noraCalleId) {
		this.noraCalleId = noraCalleId;
	}

	/**
	 * Method 'getNombreCalle'.
	 * 
	 * @return String
	 */

	public String getNombreCalle() {
		return this.nombreCalle;
	}

	/**
	 * Method 'setNombreCalle'.
	 * 
	 * @param nombreCalle
	 *            String
	 * @return
	 */

	public void setNombreCalle(String nombreCalle) {
		this.nombreCalle = nombreCalle;
	}

	/**
	 * Method 'getNoraCpId'.
	 * 
	 * @return String
	 */

	public String getNoraCpId() {
		return this.noraCpId;
	}

	/**
	 * Method 'setNoraCpId'.
	 * 
	 * @param noraCpId
	 *            String
	 * @return
	 */

	public void setNoraCpId(String noraCpId) {
		this.noraCpId = noraCpId;
	}

	/**
	 * Method 'getNombreCp'.
	 * 
	 * @return String
	 */

	public String getNombreCp() {
		return this.nombreCp;
	}

	/**
	 * Method 'setNombreCp'.
	 * 
	 * @param nombreCp
	 *            String
	 * @return
	 */

	public void setNombreCp(String nombreCp) {
		this.nombreCp = nombreCp;
	}

	/**
	 * Method 'getNoraPortalId'.
	 * 
	 * @return String
	 */

	public String getNoraPortalId() {
		return this.noraPortalId;
	}

	/**
	 * Method 'setNoraPortalId'.
	 * 
	 * @param noraPortalId
	 *            String
	 * @return
	 */

	public void setNoraPortalId(String noraPortalId) {
		this.noraPortalId = noraPortalId;
	}

	/**
	 * Method 'getNombrePortal'.
	 * 
	 * @return String
	 */

	public String getNombrePortal() {
		return this.nombrePortal;
	}

	/**
	 * Method 'setNombrePortal'.
	 * 
	 * @param nombrePortal
	 *            String
	 * @return
	 */

	public void setNombrePortal(String nombrePortal) {
		this.nombrePortal = nombrePortal;
	}

	/**
	 * Method 'getCoinl21'.
	 * 
	 * @return String
	 */

	public String getCoinl21() {
		return this.coinl21;
	}

	/**
	 * Method 'setCoinl21'.
	 * 
	 * @param coinl21
	 *            String
	 * @return
	 */

	public void setCoinl21(String coinl21) {
		this.coinl21 = coinl21;
	}

	/**
	 * Method 'getCosituacion'.
	 * 
	 * @return String
	 */

	public String getCosituacion() {
		return this.cosituacion;
	}

	/**
	 * Method 'setCosituacion'.
	 * 
	 * @param cosituacion
	 *            String
	 * @return
	 */

	public void setCosituacion(String cosituacion) {
		this.cosituacion = cosituacion;
	}

	/**
	 * Method 'getConsultaFiles'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<ConsultaFile> getConsultaFiles() {
		return this.consultaFiles;
	}

	/**
	 * Method 'setConsultaFiles'.
	 * 
	 * @param consultaFiles
	 *            List
	 * @return
	 */
	public void setConsultaFiles(List<ConsultaFile> consultaFiles) {
		this.consultaFiles = consultaFiles;
	}

	/**
	 * Method 'getRespuestas'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<Respuesta> getRespuestas() {
		return this.respuestas;
	}

	/**
	 * Method 'setRespuestas'.
	 * 
	 * @param respuestas
	 *            List
	 * @return
	 */
	public void setRespuestas(List<Respuesta> respuestas) {
		this.respuestas = respuestas;
	}

	/**
	 * @return the nombrePiso
	 */
	public String getNombrePiso() {
		return nombrePiso;
	}

	/**
	 * @param nombrePiso
	 *            the nombrePiso to set
	 */
	public void setNombrePiso(String nombrePiso) {
		this.nombrePiso = nombrePiso;
	}

	/**
	 * @return the direccion_nocapv
	 */
	public String getDireccion_nocapv() {
		return direccion_nocapv;
	}

	/**
	 * @param direccion_nocapv
	 *            the direccion_nocapv to set
	 */
	public void setDireccion_nocapv(String direccion_nocapv) {
		this.direccion_nocapv = direccion_nocapv;
	}

	/**
	 * @return the coextranjero
	 */
	public String getCoextranjero() {
		return coextranjero;
	}

	/**
	 * @param coextranjero
	 *            the coextranjero to set
	 */
	public void setCoextranjero(String coextranjero) {
		this.coextranjero = coextranjero;
	}

	/**
	 * @return the coestado
	 */
	public String getCoestado() {
		return coestado;
	}

	/**
	 * @param coestado
	 *            the coestado to set
	 */
	public void setCoestado(String coestado) {
		this.coestado = coestado;
	}

	/**
	 * @return the cofechadesde
	 */
	public String getCofechadesde() {
		return cofechadesde;
	}

	/**
	 * @param cofechadesde
	 *            the cofechadesde to set
	 */
	public void setCofechadesde(String cofechadesde) {
		this.cofechadesde = cofechadesde;
	}

	/**
	 * @return the cofechahasta
	 */
	public String getCofechahasta() {
		return cofechahasta;
	}

	/**
	 * @param cofechahasta
	 *            the cofechahasta to set
	 */
	public void setCofechahasta(String cofechahasta) {
		this.cofechahasta = cofechahasta;
	}

	/**
	 * @return the coconsultaaaccempresas
	 */
	public String getCoconsultaaaccempresas() {
		return coconsultaaaccempresas;
	}

	/**
	 * @param coconsultaaaccempresas
	 *            the coconsultaaaccempresas to set
	 */
	public void setCoconsultaaaccempresas(String coconsultaaaccempresas) {
		this.coconsultaaaccempresas = coconsultaaaccempresas;
	}

	/**
	 * @return the cocif
	 */
	public String getCocif() {
		return cocif;
	}

	/**
	 * @param cocif
	 *            the cocif to set
	 */
	public void setCocif(String cocif) {
		this.cocif = cocif;
	}

	/**
	 * @return the corazonsocial
	 */
	public String getCorazonsocial() {
		return corazonsocial;
	}

	/**
	 * @param corazonsocial
	 *            the corazonsocial to set
	 */
	public void setCorazonsocial(String corazonsocial) {
		this.corazonsocial = corazonsocial;
	}

	/**
	 * @return the conombrecomercial
	 */
	public String getConombrecomercial() {
		return conombrecomercial;
	}

	/**
	 * @param conombrecomercial
	 *            the conombrecomercial to set
	 */
	public void setConombrecomercial(String conombrecomercial) {
		this.conombrecomercial = conombrecomercial;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Consulta [cocodigo=" + cocodigo + ", motivo=" + motivo
				+ ", producto=" + producto + ", rangoEdad=" + rangoEdad
				+ ", formaPresentacion=" + formaPresentacion + ", organismo="
				+ organismo + ", censoMonitor=" + censoMonitor + ", cofecha="
				+ cofecha + ", cocosx=" + cocosx + ", conran=" + conran
				+ ", cocose=" + cocose + ", cotexto=" + cotexto + ", conrreg="
				+ conrreg + ", conoco=" + conoco + ", conodirco=" + conodirco
				+ ", conrcpco=" + conrcpco + ", cocoloco=" + cocoloco
				+ ", conoloco=" + conoloco + ", conomuco=" + conomuco
				+ ", cocopvco=" + cocopvco + ", cocopaco=" + cocopaco
				+ ", conrtelco=" + conrtelco + ", conrfaxco=" + conrfaxco
				+ ", cocoemco=" + cocoemco + ", coferes=" + coferes
				+ ", coinreenv=" + coinreenv + ", coteresp=" + coteresp
				+ ", cocotfpr=" + cocotfpr + ", coinl37=" + coinl37
				+ ", conranrg=" + conranrg + ", cocopro=" + cocopro
				+ ", cohdcodigo=" + cohdcodigo + ", cohora=" + cohora
				+ ", cofechaconsumidor=" + cofechaconsumidor + ", noraPaisId="
				+ noraPaisId + ", nombrePais=" + nombrePais
				+ ", noraProvinciaId=" + noraProvinciaId + ", nombreProvincia="
				+ nombreProvincia + ", noraMunicipioId=" + noraMunicipioId
				+ ", nombreMunicipio=" + nombreMunicipio + ", noraLocalidadId="
				+ noraLocalidadId + ", nombreLocalidad=" + nombreLocalidad
				+ ", noraCalleId=" + noraCalleId + ", nombreCalle="
				+ nombreCalle + ", noraCpId=" + noraCpId + ", nombreCp="
				+ nombreCp + ", noraPortalId=" + noraPortalId
				+ ", nombrePortal=" + nombrePortal + ", coinl21=" + coinl21
				+ ", cosituacion=" + cosituacion + ", nombrePiso=" + nombrePiso
				+ ", direccion_nocapv=" + direccion_nocapv + ", coextranjero="
				+ coextranjero + ", coestado=" + coestado + ", consultaFiles="
				+ consultaFiles + ", respuestas=" + respuestas
				+ ", coconsultaaaccempresas=" + coconsultaaaccempresas
				+ ", cocif=" + cocif + ", corazonsocial=" + corazonsocial
				+ ", conombrecomercial=" + conombrecomercial
				+ ", cofechadesde=" + cofechadesde + ", cofechahasta="
				+ cofechahasta + "]";
	}

}
