package com.ejie.y41b.model;

import org.hibernate.validator.constraints.Email;
import org.hibernate.validator.constraints.NotEmpty;

import com.ejie.y41b.validation.Y41bNie;
import com.ejie.y41b.validation.Y41bNif;

//import com.ejie.y41b.validation.Y41bTelefono;

/**
 * * Consumidor  
 * 
 *  
 */
public class ConsumidorDetalle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String dtcodigo;
	private String mocodigo;
	private String monombre;
	private String mousu;
	private String rancod;
	private String randesc;
	@NotEmpty(message = "error02.required.consumidornombre")
	private String dtnombre;
	private String dtapellido1;
	private String dtapellido2;
	@NotEmpty(message = "error01.required.nifcifnie")
	@Y41bNif(groups = Y41bNifChecks.class, message = "error01.required.nifValido")
	@Y41bNie(groups = Y41bNieChecks.class, message = "error01.required.nieValido")
	private String dtnif;
	private String dtnodir;
	private String dtcolo;
	private String dtnrcopo;
	// @Y41bTelefono(message = "error05.required.numtelefono1")
	private String dtnrtel;
	private String dtnrfax;
	private String dtcopa;
	private String dtnrdimu;
	@Email(message = "error04.required.email")
	private String dttecoem;
	// @Y41bTelefono(message = "error06.required.numtelefono2")
	private String dtnrtel2;
	private String dtnrtel3;
	private String dtcoidco;
	private String dtinreco;
	private String dtcoorac;
	private String dtnoap1;
	private String dtnoap2;
	private String dtnrsoci;
	private String dtnran;
	@NotEmpty(message = "error03.required.consusexo")
	private String dtcosx;
	private String dtnorep;
	private String dtnifrep;
	private String dtfemod;
	private String dtnolo;
	private String dtcopv;
	private String dtinrl;
	private String dtnodirr;
	private String dtcolor;
	private String dtnrcopor;
	private String dtcopvr;
	private String dtnrtelr;
	private String dtnrtel2r;
	private String dtnrfaxr;
	private String dtteemr;
	@NotEmpty(message = "error00.required.identificacion")
	private String dtintipid;
	private String dtnoraPaisId;
	private String dtnoraPaisNombre;
	// @NotEmpty(message = "error05.required.provincia")
	private String provinciaId;
	private String dtnombreProvincia;
	// @NotEmpty(message = "error06.required.municipio")
	private String municipioId;
	private String dtnombreMunicipio;
	// @NotEmpty(message = "required.localidad")
	private String localidadId;
	private String dtnombreLocalidad;
	private String calleId;
	private String calleId_label;
	private String cpId;
	private String dtnombreCp;
	private String portalId;
	private String dtnombrePortal;
	private String dtnombrePiso;
	private String dtdireccion_nocapv;
	private String dtdireccionCompleta;
	private String dtexpedientesAbiertos;
	private String dtnumReclamaciones;
	private String direccionAntiguaCompleta;
	private String dtextranjero;

	/**
	 * Method 'Consumidor'.
	 * 
	 */
	public ConsumidorDetalle() {
	}

	/**
	 * @param dtcodigo
	 * @param mocodigo
	 * @param monombre
	 * @param mousu
	 * @param rancod
	 * @param randesc
	 * @param dtnombre
	 * @param dtapellido1
	 * @param dtapellido2
	 * @param dtnif
	 * @param dtnodir
	 * @param dtcolo
	 * @param dtnrcopo
	 * @param dtnrtel
	 * @param dtnrfax
	 * @param dtcopa
	 * @param dtnrdimu
	 * @param dttecoem
	 * @param dtnrtel2
	 * @param dtnrtel3
	 * @param dtcoidco
	 * @param dtinreco
	 * @param dtcoorac
	 * @param dtnoap1
	 * @param dtnoap2
	 * @param dtnrsoci
	 * @param dtnran
	 * @param dtcosx
	 * @param dtnorep
	 * @param dtnifrep
	 * @param dtfemod
	 * @param dtnolo
	 * @param dtcopv
	 * @param dtinrl
	 * @param dtnodirr
	 * @param dtcolor
	 * @param dtnrcopor
	 * @param dtcopvr
	 * @param dtnrtelr
	 * @param dtnrtel2r
	 * @param dtnrfaxr
	 * @param dtteemr
	 * @param dtintipid
	 * @param dtnoraPaisId
	 * @param dtnoraPaisNombre
	 * @param provinciaId
	 * @param dtnombreProvincia
	 * @param municipioId
	 * @param dtnombreMunicipio
	 * @param localidadId
	 * @param dtnombreLocalidad
	 * @param calleId
	 * @param calleId_label
	 * @param cpId
	 * @param dtnombreCp
	 * @param portalId
	 * @param dtnombrePortal
	 * @param dtnombrePiso
	 * @param dtdireccion_nocapv
	 * @param dtdireccionCompleta
	 * @param dtexpedientesAbiertos
	 * @param dtnumReclamaciones
	 * @param direccionAntiguaCompleta
	 * @param dtextranjero
	 */
	public ConsumidorDetalle(String dtcodigo, String mocodigo, String monombre,
			String mousu, String rancod, String randesc, String dtnombre,
			String dtapellido1, String dtapellido2, String dtnif,
			String dtnodir, String dtcolo, String dtnrcopo, String dtnrtel,
			String dtnrfax, String dtcopa, String dtnrdimu, String dttecoem,
			String dtnrtel2, String dtnrtel3, String dtcoidco, String dtinreco,
			String dtcoorac, String dtnoap1, String dtnoap2, String dtnrsoci,
			String dtnran, String dtcosx, String dtnorep, String dtnifrep,
			String dtfemod, String dtnolo, String dtcopv, String dtinrl,
			String dtnodirr, String dtcolor, String dtnrcopor, String dtcopvr,
			String dtnrtelr, String dtnrtel2r, String dtnrfaxr, String dtteemr,
			String dtintipid, String dtnoraPaisId, String dtnoraPaisNombre,
			String provinciaId, String dtnombreProvincia, String municipioId,
			String dtnombreMunicipio, String localidadId,
			String dtnombreLocalidad, String calleId, String calleId_label,
			String cpId, String dtnombreCp, String portalId,
			String dtnombrePortal, String dtnombrePiso,
			String dtdireccion_nocapv, String dtdireccionCompleta,
			String dtexpedientesAbiertos, String dtnumReclamaciones,
			String direccionAntiguaCompleta, String dtextranjero) {
		this.dtcodigo = dtcodigo;
		this.mocodigo = mocodigo;
		this.monombre = monombre;
		this.mousu = mousu;
		this.rancod = rancod;
		this.randesc = randesc;
		this.dtnombre = dtnombre;
		this.dtapellido1 = dtapellido1;
		this.dtapellido2 = dtapellido2;
		this.dtnif = dtnif;
		this.dtnodir = dtnodir;
		this.dtcolo = dtcolo;
		this.dtnrcopo = dtnrcopo;
		this.dtnrtel = dtnrtel;
		this.dtnrfax = dtnrfax;
		this.dtcopa = dtcopa;
		this.dtnrdimu = dtnrdimu;
		this.dttecoem = dttecoem;
		this.dtnrtel2 = dtnrtel2;
		this.dtnrtel3 = dtnrtel3;
		this.dtcoidco = dtcoidco;
		this.dtinreco = dtinreco;
		this.dtcoorac = dtcoorac;
		this.dtnoap1 = dtnoap1;
		this.dtnoap2 = dtnoap2;
		this.dtnrsoci = dtnrsoci;
		this.dtnran = dtnran;
		this.dtcosx = dtcosx;
		this.dtnorep = dtnorep;
		this.dtnifrep = dtnifrep;
		this.dtfemod = dtfemod;
		this.dtnolo = dtnolo;
		this.dtcopv = dtcopv;
		this.dtinrl = dtinrl;
		this.dtnodirr = dtnodirr;
		this.dtcolor = dtcolor;
		this.dtnrcopor = dtnrcopor;
		this.dtcopvr = dtcopvr;
		this.dtnrtelr = dtnrtelr;
		this.dtnrtel2r = dtnrtel2r;
		this.dtnrfaxr = dtnrfaxr;
		this.dtteemr = dtteemr;
		this.dtintipid = dtintipid;
		this.dtnoraPaisId = dtnoraPaisId;
		this.dtnoraPaisNombre = dtnoraPaisNombre;
		this.provinciaId = provinciaId;
		this.dtnombreProvincia = dtnombreProvincia;
		this.municipioId = municipioId;
		this.dtnombreMunicipio = dtnombreMunicipio;
		this.localidadId = localidadId;
		this.dtnombreLocalidad = dtnombreLocalidad;
		this.calleId = calleId;
		this.calleId_label = calleId_label;
		this.cpId = cpId;
		this.dtnombreCp = dtnombreCp;
		this.portalId = portalId;
		this.dtnombrePortal = dtnombrePortal;
		this.dtnombrePiso = dtnombrePiso;
		this.dtdireccion_nocapv = dtdireccion_nocapv;
		this.dtdireccionCompleta = dtdireccionCompleta;
		this.dtexpedientesAbiertos = dtexpedientesAbiertos;
		this.dtnumReclamaciones = dtnumReclamaciones;
		this.direccionAntiguaCompleta = direccionAntiguaCompleta;
		this.dtextranjero = dtextranjero;
	}

	/**
	 * @return the dtcodigo
	 */
	public String getDtcodigo() {
		return dtcodigo;
	}

	/**
	 * @param dtcodigo
	 *            the dtcodigo to set
	 */
	public void setDtcodigo(String dtcodigo) {
		this.dtcodigo = dtcodigo;
	}

	/**
	 * @return the mocodigo
	 */
	public String getMocodigo() {
		return mocodigo;
	}

	/**
	 * @param mocodigo
	 *            the mocodigo to set
	 */
	public void setMocodigo(String mocodigo) {
		this.mocodigo = mocodigo;
	}

	/**
	 * @return the monombre
	 */
	public String getMonombre() {
		return monombre;
	}

	/**
	 * @param monombre
	 *            the monombre to set
	 */
	public void setMonombre(String monombre) {
		this.monombre = monombre;
	}

	/**
	 * @return the mousu
	 */
	public String getMousu() {
		return mousu;
	}

	/**
	 * @param mousu
	 *            the mousu to set
	 */
	public void setMousu(String mousu) {
		this.mousu = mousu;
	}

	/**
	 * @return the rancod
	 */
	public String getRancod() {
		return rancod;
	}

	/**
	 * @param rancod
	 *            the rancod to set
	 */
	public void setRancod(String rancod) {
		this.rancod = rancod;
	}

	/**
	 * @return the randesc
	 */
	public String getRandesc() {
		return randesc;
	}

	/**
	 * @param randesc
	 *            the randesc to set
	 */
	public void setRandesc(String randesc) {
		this.randesc = randesc;
	}

	/**
	 * @return the dtnombre
	 */
	public String getDtnombre() {
		return dtnombre;
	}

	/**
	 * @param dtnombre
	 *            the dtnombre to set
	 */
	public void setDtnombre(String dtnombre) {
		this.dtnombre = dtnombre;
	}

	/**
	 * @return the dtnif
	 */
	public String getDtnif() {
		return dtnif;
	}

	/**
	 * @param dtnif
	 *            the dtnif to set
	 */
	public void setDtnif(String dtnif) {
		this.dtnif = dtnif;
	}

	/**
	 * @return the dtnodir
	 */
	public String getDtnodir() {
		return dtnodir;
	}

	/**
	 * @param dtnodir
	 *            the dtnodir to set
	 */
	public void setDtnodir(String dtnodir) {
		this.dtnodir = dtnodir;
	}

	/**
	 * @return the dtcolo
	 */
	public String getDtcolo() {
		return dtcolo;
	}

	/**
	 * @param dtcolo
	 *            the dtcolo to set
	 */
	public void setDtcolo(String dtcolo) {
		this.dtcolo = dtcolo;
	}

	/**
	 * @return the dtnrcopo
	 */
	public String getDtnrcopo() {
		return dtnrcopo;
	}

	/**
	 * @param dtnrcopo
	 *            the dtnrcopo to set
	 */
	public void setDtnrcopo(String dtnrcopo) {
		this.dtnrcopo = dtnrcopo;
	}

	/**
	 * @return the dtnrtel
	 */
	public String getDtnrtel() {
		return dtnrtel;
	}

	/**
	 * @param dtnrtel
	 *            the dtnrtel to set
	 */
	public void setDtnrtel(String dtnrtel) {
		this.dtnrtel = dtnrtel;
	}

	/**
	 * @return the dtnrfax
	 */
	public String getDtnrfax() {
		return dtnrfax;
	}

	/**
	 * @param dtnrfax
	 *            the dtnrfax to set
	 */
	public void setDtnrfax(String dtnrfax) {
		this.dtnrfax = dtnrfax;
	}

	/**
	 * @return the dtcopa
	 */
	public String getDtcopa() {
		return dtcopa;
	}

	/**
	 * @param dtcopa
	 *            the dtcopa to set
	 */
	public void setDtcopa(String dtcopa) {
		this.dtcopa = dtcopa;
	}

	/**
	 * @return the dtnrdimu
	 */
	public String getDtnrdimu() {
		return dtnrdimu;
	}

	/**
	 * @param dtnrdimu
	 *            the dtnrdimu to set
	 */
	public void setDtnrdimu(String dtnrdimu) {
		this.dtnrdimu = dtnrdimu;
	}

	/**
	 * @return the dttecoem
	 */
	public String getDttecoem() {
		return dttecoem;
	}

	/**
	 * @param dttecoem
	 *            the dttecoem to set
	 */
	public void setDttecoem(String dttecoem) {
		this.dttecoem = dttecoem;
	}

	/**
	 * @return the dtnrtel2
	 */
	public String getDtnrtel2() {
		return dtnrtel2;
	}

	/**
	 * @param dtnrtel2
	 *            the dtnrtel2 to set
	 */
	public void setDtnrtel2(String dtnrtel2) {
		this.dtnrtel2 = dtnrtel2;
	}

	/**
	 * @return the dtnrtel3
	 */
	public String getDtnrtel3() {
		return dtnrtel3;
	}

	/**
	 * @param dtnrtel3
	 *            the dtnrtel3 to set
	 */
	public void setDtnrtel3(String dtnrtel3) {
		this.dtnrtel3 = dtnrtel3;
	}

	/**
	 * @return the dtcoidco
	 */
	public String getDtcoidco() {
		return dtcoidco;
	}

	/**
	 * @param dtcoidco
	 *            the dtcoidco to set
	 */
	public void setDtcoidco(String dtcoidco) {
		this.dtcoidco = dtcoidco;
	}

	/**
	 * @return the dtinreco
	 */
	public String getDtinreco() {
		return dtinreco;
	}

	/**
	 * @param dtinreco
	 *            the dtinreco to set
	 */
	public void setDtinreco(String dtinreco) {
		this.dtinreco = dtinreco;
	}

	/**
	 * @return the dtcoorac
	 */
	public String getDtcoorac() {
		return dtcoorac;
	}

	/**
	 * @param dtcoorac
	 *            the dtcoorac to set
	 */
	public void setDtcoorac(String dtcoorac) {
		this.dtcoorac = dtcoorac;
	}

	/**
	 * @return the dtnoap1
	 */
	public String getDtnoap1() {
		return dtnoap1;
	}

	/**
	 * @param dtnoap1
	 *            the dtnoap1 to set
	 */
	public void setDtnoap1(String dtnoap1) {
		this.dtnoap1 = dtnoap1;
	}

	/**
	 * @return the dtnoap2
	 */
	public String getDtnoap2() {
		return dtnoap2;
	}

	/**
	 * @param dtnoap2
	 *            the dtnoap2 to set
	 */
	public void setDtnoap2(String dtnoap2) {
		this.dtnoap2 = dtnoap2;
	}

	/**
	 * @return the dtnrsoci
	 */
	public String getDtnrsoci() {
		return dtnrsoci;
	}

	/**
	 * @param dtnrsoci
	 *            the dtnrsoci to set
	 */
	public void setDtnrsoci(String dtnrsoci) {
		this.dtnrsoci = dtnrsoci;
	}

	/**
	 * @return the dtnran
	 */
	public String getDtnran() {
		return dtnran;
	}

	/**
	 * @param dtnran
	 *            the dtnran to set
	 */
	public void setDtnran(String dtnran) {
		this.dtnran = dtnran;
	}

	/**
	 * @return the dtcosx
	 */
	public String getDtcosx() {
		return dtcosx;
	}

	/**
	 * @param dtcosx
	 *            the dtcosx to set
	 */
	public void setDtcosx(String dtcosx) {
		this.dtcosx = dtcosx;
	}

	/**
	 * @return the dtnorep
	 */
	public String getDtnorep() {
		return dtnorep;
	}

	/**
	 * @param dtnorep
	 *            the dtnorep to set
	 */
	public void setDtnorep(String dtnorep) {
		this.dtnorep = dtnorep;
	}

	/**
	 * @return the dtnifrep
	 */
	public String getDtnifrep() {
		return dtnifrep;
	}

	/**
	 * @param dtnifrep
	 *            the dtnifrep to set
	 */
	public void setDtnifrep(String dtnifrep) {
		this.dtnifrep = dtnifrep;
	}

	/**
	 * @return the dtfemod
	 */
	public String getDtfemod() {
		return dtfemod;
	}

	/**
	 * @param dtfemod
	 *            the dtfemod to set
	 */
	public void setDtfemod(String dtfemod) {
		this.dtfemod = dtfemod;
	}

	/**
	 * @return the dtnolo
	 */
	public String getDtnolo() {
		return dtnolo;
	}

	/**
	 * @param dtnolo
	 *            the dtnolo to set
	 */
	public void setDtnolo(String dtnolo) {
		this.dtnolo = dtnolo;
	}

	/**
	 * @return the dtcopv
	 */
	public String getDtcopv() {
		return dtcopv;
	}

	/**
	 * @param dtcopv
	 *            the dtcopv to set
	 */
	public void setDtcopv(String dtcopv) {
		this.dtcopv = dtcopv;
	}

	/**
	 * @return the dtinrl
	 */
	public String getDtinrl() {
		return dtinrl;
	}

	/**
	 * @param dtinrl
	 *            the dtinrl to set
	 */
	public void setDtinrl(String dtinrl) {
		this.dtinrl = dtinrl;
	}

	/**
	 * @return the dtnodirr
	 */
	public String getDtnodirr() {
		return dtnodirr;
	}

	/**
	 * @param dtnodirr
	 *            the dtnodirr to set
	 */
	public void setDtnodirr(String dtnodirr) {
		this.dtnodirr = dtnodirr;
	}

	/**
	 * @return the dtcolor
	 */
	public String getDtcolor() {
		return dtcolor;
	}

	/**
	 * @param dtcolor
	 *            the dtcolor to set
	 */
	public void setDtcolor(String dtcolor) {
		this.dtcolor = dtcolor;
	}

	/**
	 * @return the dtnrcopor
	 */
	public String getDtnrcopor() {
		return dtnrcopor;
	}

	/**
	 * @param dtnrcopor
	 *            the dtnrcopor to set
	 */
	public void setDtnrcopor(String dtnrcopor) {
		this.dtnrcopor = dtnrcopor;
	}

	/**
	 * @return the dtcopvr
	 */
	public String getDtcopvr() {
		return dtcopvr;
	}

	/**
	 * @param dtcopvr
	 *            the dtcopvr to set
	 */
	public void setDtcopvr(String dtcopvr) {
		this.dtcopvr = dtcopvr;
	}

	/**
	 * @return the dtnrtelr
	 */
	public String getDtnrtelr() {
		return dtnrtelr;
	}

	/**
	 * @param dtnrtelr
	 *            the dtnrtelr to set
	 */
	public void setDtnrtelr(String dtnrtelr) {
		this.dtnrtelr = dtnrtelr;
	}

	/**
	 * @return the dtnrtel2r
	 */
	public String getDtnrtel2r() {
		return dtnrtel2r;
	}

	/**
	 * @param dtnrtel2r
	 *            the dtnrtel2r to set
	 */
	public void setDtnrtel2r(String dtnrtel2r) {
		this.dtnrtel2r = dtnrtel2r;
	}

	/**
	 * @return the dtnrfaxr
	 */
	public String getDtnrfaxr() {
		return dtnrfaxr;
	}

	/**
	 * @param dtnrfaxr
	 *            the dtnrfaxr to set
	 */
	public void setDtnrfaxr(String dtnrfaxr) {
		this.dtnrfaxr = dtnrfaxr;
	}

	/**
	 * @return the dtteemr
	 */
	public String getDtteemr() {
		return dtteemr;
	}

	/**
	 * @param dtteemr
	 *            the dtteemr to set
	 */
	public void setDtteemr(String dtteemr) {
		this.dtteemr = dtteemr;
	}

	/**
	 * @return the dtintipid
	 */
	public String getDtintipid() {
		return dtintipid;
	}

	/**
	 * @param dtintipid
	 *            the dtintipid to set
	 */
	public void setDtintipid(String dtintipid) {
		this.dtintipid = dtintipid;
	}

	/**
	 * @return the dtnoraPaisId
	 */
	public String getDtnoraPaisId() {
		return dtnoraPaisId;
	}

	/**
	 * @param dtnoraPaisId
	 *            the dtnoraPaisId to set
	 */
	public void setDtnoraPaisId(String dtnoraPaisId) {
		this.dtnoraPaisId = dtnoraPaisId;
	}

	/**
	 * @return the dtnoraPaisNombre
	 */
	public String getDtnoraPaisNombre() {
		return dtnoraPaisNombre;
	}

	/**
	 * @param dtnoraPaisNombre
	 *            the dtnoraPaisNombre to set
	 */
	public void setDtnoraPaisNombre(String dtnoraPaisNombre) {
		this.dtnoraPaisNombre = dtnoraPaisNombre;
	}

	/**
	 * @return the provinciaId
	 */
	public String getProvinciaId() {
		return provinciaId;
	}

	/**
	 * @param provinciaId
	 *            the provinciaId to set
	 */
	public void setProvinciaId(String provinciaId) {
		this.provinciaId = provinciaId;
	}

	/**
	 * @return the dtnombreProvincia
	 */
	public String getDtnombreProvincia() {
		return dtnombreProvincia;
	}

	/**
	 * @param dtnombreProvincia
	 *            the dtnombreProvincia to set
	 */
	public void setDtnombreProvincia(String dtnombreProvincia) {
		this.dtnombreProvincia = dtnombreProvincia;
	}

	/**
	 * @return the municipioId
	 */
	public String getMunicipioId() {
		return municipioId;
	}

	/**
	 * @param municipioId
	 *            the municipioId to set
	 */
	public void setMunicipioId(String municipioId) {
		this.municipioId = municipioId;
	}

	/**
	 * @return the dtnombreMunicipio
	 */
	public String getDtnombreMunicipio() {
		return dtnombreMunicipio;
	}

	/**
	 * @param dtnombreMunicipio
	 *            the dtnombreMunicipio to set
	 */
	public void setDtnombreMunicipio(String dtnombreMunicipio) {
		this.dtnombreMunicipio = dtnombreMunicipio;
	}

	/**
	 * @return the localidadId
	 */
	public String getLocalidadId() {
		return localidadId;
	}

	/**
	 * @param localidadId
	 *            the localidadId to set
	 */
	public void setLocalidadId(String localidadId) {
		this.localidadId = localidadId;
	}

	/**
	 * @return the dtnombreLocalidad
	 */
	public String getDtnombreLocalidad() {
		return dtnombreLocalidad;
	}

	/**
	 * @param dtnombreLocalidad
	 *            the dtnombreLocalidad to set
	 */
	public void setDtnombreLocalidad(String dtnombreLocalidad) {
		this.dtnombreLocalidad = dtnombreLocalidad;
	}

	/**
	 * @return the calleId
	 */
	public String getCalleId() {
		return calleId;
	}

	/**
	 * @param calleId
	 *            the calleId to set
	 */
	public void setCalleId(String calleId) {
		this.calleId = calleId;
	}

	/**
	 * @return the calleId_label
	 */
	public String getCalleId_label() {
		return calleId_label;
	}

	/**
	 * @param calleId_label
	 *            the calleId_label to set
	 */
	public void setCalleId_label(String calleId_label) {
		this.calleId_label = calleId_label;
	}

	/**
	 * @return the cpId
	 */
	public String getCpId() {
		return cpId;
	}

	/**
	 * @param cpId
	 *            the cpId to set
	 */
	public void setCpId(String cpId) {
		this.cpId = cpId;
	}

	/**
	 * @return the dtnombreCp
	 */
	public String getDtnombreCp() {
		return dtnombreCp;
	}

	/**
	 * @param dtnombreCp
	 *            the dtnombreCp to set
	 */
	public void setDtnombreCp(String dtnombreCp) {
		this.dtnombreCp = dtnombreCp;
	}

	/**
	 * @return the portalId
	 */
	public String getPortalId() {
		return portalId;
	}

	/**
	 * @param portalId
	 *            the portalId to set
	 */
	public void setPortalId(String portalId) {
		this.portalId = portalId;
	}

	/**
	 * @return the dtnombrePortal
	 */
	public String getDtnombrePortal() {
		return dtnombrePortal;
	}

	/**
	 * @param dtnombrePortal
	 *            the dtnombrePortal to set
	 */
	public void setDtnombrePortal(String dtnombrePortal) {
		this.dtnombrePortal = dtnombrePortal;
	}

	/**
	 * @return the dtnombrePiso
	 */
	public String getDtnombrePiso() {
		return dtnombrePiso;
	}

	/**
	 * @param dtnombrePiso
	 *            the dtnombrePiso to set
	 */
	public void setDtnombrePiso(String dtnombrePiso) {
		this.dtnombrePiso = dtnombrePiso;
	}

	/**
	 * @return the dtdireccionCompleta
	 */
	public String getDtdireccionCompleta() {
		return dtdireccionCompleta;
	}

	/**
	 * @param dtdireccionCompleta
	 *            the dtdireccionCompleta to set
	 */
	public void setDtdireccionCompleta(String dtdireccionCompleta) {
		this.dtdireccionCompleta = dtdireccionCompleta;
	}

	/**
	 * @return the dtexpedientesAbiertos
	 */
	public String getDtexpedientesAbiertos() {
		return dtexpedientesAbiertos;
	}

	/**
	 * @param dtexpedientesAbiertos
	 *            the dtexpedientesAbiertos to set
	 */
	public void setDtexpedientesAbiertos(String dtexpedientesAbiertos) {
		this.dtexpedientesAbiertos = dtexpedientesAbiertos;
	}

	/**
	 * @return the dtnumReclamaciones
	 */
	public String getDtnumReclamaciones() {
		return dtnumReclamaciones;
	}

	/**
	 * @param dtnumReclamaciones
	 *            the dtnumReclamaciones to set
	 */
	public void setDtnumReclamaciones(String dtnumReclamaciones) {
		this.dtnumReclamaciones = dtnumReclamaciones;
	}

	/**
	 * @return the direccionAntiguaCompleta
	 */
	public String getDireccionAntiguaCompleta() {
		return direccionAntiguaCompleta;
	}

	/**
	 * @param direccionAntiguaCompleta
	 *            the direccionAntiguaCompleta to set
	 */
	public void setDireccionAntiguaCompleta(String direccionAntiguaCompleta) {
		this.direccionAntiguaCompleta = direccionAntiguaCompleta;
	}

	/**
	 * @return the dtdireccion_nocapv
	 */
	public String getDtdireccion_nocapv() {
		return dtdireccion_nocapv;
	}

	/**
	 * @param dtdireccion_nocapv
	 *            the dtdireccion_nocapv to set
	 */
	public void setDtdireccion_nocapv(String dtdireccion_nocapv) {
		this.dtdireccion_nocapv = dtdireccion_nocapv;
	}

	/**
	 * @return the dtextranjero
	 */
	public String getDtextranjero() {
		return dtextranjero;
	}

	/**
	 * @param dtextranjero
	 *            the dtextranjero to set
	 */
	public void setDtextranjero(String dtextranjero) {
		this.dtextranjero = dtextranjero;
	}

	/**
	 * @return the dtapellido1
	 */
	public String getDtapellido1() {
		return dtapellido1;
	}

	/**
	 * @param dtapellido1
	 *            the dtapellido1 to set
	 */
	public void setDtapellido1(String dtapellido1) {
		this.dtapellido1 = dtapellido1;
	}

	/**
	 * @return the dtapellido2
	 */
	public String getDtapellido2() {
		return dtapellido2;
	}

	/**
	 * @param dtapellido2
	 *            the dtapellido2 to set
	 */
	public void setDtapellido2(String dtapellido2) {
		this.dtapellido2 = dtapellido2;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "ConsumidorDetalle [dtcodigo=" + dtcodigo + ", mocodigo="
				+ mocodigo + ", monombre=" + monombre + ", mousu=" + mousu
				+ ", rancod=" + rancod + ", randesc=" + randesc + ", dtnombre="
				+ dtnombre + ", dtapellido1=" + dtapellido1 + ", dtapellido2="
				+ dtapellido2 + ", dtnif=" + dtnif + ", dtnodir=" + dtnodir
				+ ", dtcolo=" + dtcolo + ", dtnrcopo=" + dtnrcopo
				+ ", dtnrtel=" + dtnrtel + ", dtnrfax=" + dtnrfax + ", dtcopa="
				+ dtcopa + ", dtnrdimu=" + dtnrdimu + ", dttecoem=" + dttecoem
				+ ", dtnrtel2=" + dtnrtel2 + ", dtnrtel3=" + dtnrtel3
				+ ", dtcoidco=" + dtcoidco + ", dtinreco=" + dtinreco
				+ ", dtcoorac=" + dtcoorac + ", dtnoap1=" + dtnoap1
				+ ", dtnoap2=" + dtnoap2 + ", dtnrsoci=" + dtnrsoci
				+ ", dtnran=" + dtnran + ", dtcosx=" + dtcosx + ", dtnorep="
				+ dtnorep + ", dtnifrep=" + dtnifrep + ", dtfemod=" + dtfemod
				+ ", dtnolo=" + dtnolo + ", dtcopv=" + dtcopv + ", dtinrl="
				+ dtinrl + ", dtnodirr=" + dtnodirr + ", dtcolor=" + dtcolor
				+ ", dtnrcopor=" + dtnrcopor + ", dtcopvr=" + dtcopvr
				+ ", dtnrtelr=" + dtnrtelr + ", dtnrtel2r=" + dtnrtel2r
				+ ", dtnrfaxr=" + dtnrfaxr + ", dtteemr=" + dtteemr
				+ ", dtintipid=" + dtintipid + ", dtnoraPaisId=" + dtnoraPaisId
				+ ", dtnoraPaisNombre=" + dtnoraPaisNombre + ", provinciaId="
				+ provinciaId + ", dtnombreProvincia=" + dtnombreProvincia
				+ ", municipioId=" + municipioId + ", dtnombreMunicipio="
				+ dtnombreMunicipio + ", localidadId=" + localidadId
				+ ", dtnombreLocalidad=" + dtnombreLocalidad + ", calleId="
				+ calleId + ", calleId_label=" + calleId_label + ", cpId="
				+ cpId + ", dtnombreCp=" + dtnombreCp + ", portalId="
				+ portalId + ", dtnombrePortal=" + dtnombrePortal
				+ ", dtnombrePiso=" + dtnombrePiso + ", dtdireccion_nocapv="
				+ dtdireccion_nocapv + ", dtdireccionCompleta="
				+ dtdireccionCompleta + ", dtexpedientesAbiertos="
				+ dtexpedientesAbiertos + ", dtnumReclamaciones="
				+ dtnumReclamaciones + ", direccionAntiguaCompleta="
				+ direccionAntiguaCompleta + ", dtextranjero=" + dtextranjero
				+ "]";
	}
}
