package com.ejie.y41b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * * Denuncia  
 * 
 *  
 */

public class Denuncia implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String decodigo;
	private FormaPresentacion formaPresentacion;
	private Consumidor consumidor;
	private String decocp;
	private String decoor;
	private Integer denran;
	private Long denror;
	private Date defede;
	private Date defere;
	private Date defeex;
	private Date defeim;
	private String deinre;
	private String denrrgen;
	private HechoDenunciado hechoDenunciado;
	private List<HechoDenunciado> hechoDenunciados = new ArrayList<HechoDenunciado>();
	private String dehojareclamacion;
	private String denombretelematico;
	private String dedirecciontelematico;

	/**
	 * Method 'Denuncia'.
	 * 
	 */
	public Denuncia() {
	}

	/**
	 * Method 'Denuncia'.
	 * 
	 * @param decodigo
	 *            String
	 */
	public Denuncia(String decodigo) {
		this.decodigo = decodigo;
	}

	/**
	 * Method 'Denuncia'.
	 * 
	 * @param decodigo
	 *            String
	 * @param decocp
	 *            String
	 * @param decoor
	 *            String
	 * @param denran
	 *            Integer
	 * @param denror
	 *            Long
	 * @param defede
	 *            Date
	 * @param defere
	 *            Date
	 * @param defeex
	 *            Date
	 * @param defeim
	 *            Date
	 * @param deinre
	 *            String
	 * @param denrrgen
	 *            String
	 * @param formaPresentacion
	 *            FormaPresentacion
	 * @param consumidor
	 *            Consumidor
	 */
	public Denuncia(String decodigo, String decocp, String decoor,
			Integer denran, Long denror, Date defede, Date defere, Date defeex,
			Date defeim, String deinre, String denrrgen,
			FormaPresentacion formaPresentacion, Consumidor consumidor) {
		this.decodigo = decodigo;
		this.formaPresentacion = formaPresentacion;
		this.consumidor = consumidor;
		this.decocp = decocp;
		this.decoor = decoor;
		this.denran = denran;
		this.denror = denror;
		this.defede = defede;
		this.defere = defere;
		this.defeex = defeex;
		this.defeim = defeim;
		this.deinre = deinre;
		this.denrrgen = denrrgen;

	}

	/**
	 * Method 'Denuncia'.
	 * 
	 * @param decoor
	 *            String
	 * @param denran
	 *            Integer
	 * @param denror
	 *            Long
	 */
	public Denuncia(String decoor, Integer denran, Long denror) {
		this.decoor = decoor;
		this.denran = denran;
		this.denror = denror;
	}

	/**
	 * Method 'Denuncia'.
	 * 
	 * @param decodigo
	 *            String
	 * @param decocp
	 *            String
	 * @param decoor
	 *            String
	 * @param denran
	 *            Integer
	 * @param denror
	 *            Long
	 * @param defede
	 *            Date
	 * @param defere
	 *            Date
	 * @param defeex
	 *            Date
	 * @param defeim
	 *            Date
	 * @param deinre
	 *            String
	 * @param denrrgen
	 *            String
	 * @param formaPresentacion
	 *            FormaPresentacion
	 * @param consumidor
	 *            Consumidor
	 * @param hechoDenunciados
	 *            List<HechoDenunciado>
	 */
	public Denuncia(String decodigo, String decocp, String decoor,
			Integer denran, Long denror, Date defede, Date defere, Date defeex,
			Date defeim, String deinre, String denrrgen,
			FormaPresentacion formaPresentacion, Consumidor consumidor,
			List<HechoDenunciado> hechoDenunciados) {

		this.decodigo = decodigo;
		this.formaPresentacion = formaPresentacion;
		this.consumidor = consumidor;
		this.decocp = decocp;
		this.decoor = decoor;
		this.denran = denran;
		this.denror = denror;
		this.defede = defede;
		this.defere = defere;
		this.defeex = defeex;
		this.defeim = defeim;
		this.deinre = deinre;
		this.denrrgen = denrrgen;
		this.hechoDenunciados = hechoDenunciados;
	}

	/**
	 * @return the hechoDenunciado
	 */
	public HechoDenunciado getHechoDenunciado() {
		return hechoDenunciado;
	}

	/**
	 * @param hechoDenunciado
	 *            the hechoDenunciado to set
	 */
	public void setHechoDenunciado(HechoDenunciado hechoDenunciado) {
		this.hechoDenunciado = hechoDenunciado;
	}

	/**
	 * Method 'getDecodigo'.
	 * 
	 * @return String
	 */

	public String getDecodigo() {
		return this.decodigo;
	}

	/**
	 * Method 'setDecodigo'.
	 * 
	 * @param decodigo
	 *            String
	 * @return
	 */

	public void setDecodigo(String decodigo) {
		this.decodigo = decodigo;
	}

	/**
	 * Method 'getFormaPresentacion'.
	 * 
	 * @return FormaPresentacion
	 */
	@JsonIgnore
	public FormaPresentacion getFormaPresentacion() {
		return this.formaPresentacion;
	}

	/**
	 * Method 'setFormaPresentacion'.
	 * 
	 * @param formaPresentacion
	 *            FormaPresentacion
	 * @return
	 */

	public void setFormaPresentacion(FormaPresentacion formaPresentacion) {
		this.formaPresentacion = formaPresentacion;
	}

	/**
	 * Method 'getConsumidor'.
	 * 
	 * @return Consumidor
	 */
	@JsonIgnore
	public Consumidor getConsumidor() {
		return this.consumidor;
	}

	/**
	 * Method 'setConsumidor'.
	 * 
	 * @param consumidor
	 *            Consumidor
	 * @return
	 */

	public void setConsumidor(Consumidor consumidor) {
		this.consumidor = consumidor;
	}

	/**
	 * Method 'getDecocp'.
	 * 
	 * @return String
	 */

	public String getDecocp() {
		return this.decocp;
	}

	/**
	 * Method 'setDecocp'.
	 * 
	 * @param decocp
	 *            String
	 * @return
	 */

	public void setDecocp(String decocp) {
		this.decocp = decocp;
	}

	/**
	 * Method 'getDecoor'.
	 * 
	 * @return String
	 */

	public String getDecoor() {
		return this.decoor;
	}

	/**
	 * Method 'setDecoor'.
	 * 
	 * @param decoor
	 *            String
	 * @return
	 */

	public void setDecoor(String decoor) {
		this.decoor = decoor;
	}

	/**
	 * @return the denran
	 */
	public Integer getDenran() {
		return denran;
	}

	/**
	 * @param denran
	 *            the denran to set
	 */
	public void setDenran(Integer denran) {
		this.denran = denran;
	}

	/**
	 * @return the denror
	 */
	public Long getDenror() {
		return denror;
	}

	/**
	 * @param denror
	 *            the denror to set
	 */
	public void setDenror(Long denror) {
		this.denror = denror;
	}

	/**
	 * Method 'getDefede'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefede() {
		return this.defede;
	}

	/**
	 * Method 'setDefede'.
	 * 
	 * @param defede
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefede(Date defede) {
		this.defede = defede;
	}

	/**
	 * Method 'getDefere'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefere() {
		return this.defere;
	}

	/**
	 * Method 'setDefere'.
	 * 
	 * @param defere
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefere(Date defere) {
		this.defere = defere;
	}

	/**
	 * Method 'getDefeex'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefeex() {
		return this.defeex;
	}

	/**
	 * Method 'setDefeex'.
	 * 
	 * @param defeex
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefeex(Date defeex) {
		this.defeex = defeex;
	}

	/**
	 * Method 'getDefeim'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefeim() {
		return this.defeim;
	}

	/**
	 * Method 'setDefeim'.
	 * 
	 * @param defeim
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefeim(Date defeim) {
		this.defeim = defeim;
	}

	/**
	 * Method 'getDeinre'.
	 * 
	 * @return String
	 */

	public String getDeinre() {
		return this.deinre;
	}

	/**
	 * Method 'setDeinre'.
	 * 
	 * @param deinre
	 *            String
	 * @return
	 */

	public void setDeinre(String deinre) {
		this.deinre = deinre;
	}

	/**
	 * Method 'getDenrrgen'.
	 * 
	 * @return String
	 */

	public String getDenrrgen() {
		return this.denrrgen;
	}

	/**
	 * Method 'setDenrrgen'.
	 * 
	 * @param denrrgen
	 *            String
	 * @return
	 */

	public void setDenrrgen(String denrrgen) {
		this.denrrgen = denrrgen;
	}

	/**
	 * Method 'getHechoDenunciados'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<HechoDenunciado> getHechoDenunciados() {
		return this.hechoDenunciados;
	}

	/**
	 * Method 'getDehojareclamacion'.
	 * 
	 * @return String
	 */

	public String getDehojareclamacion() {
		return this.dehojareclamacion;
	}

	/**
	 * Method 'setDehojareclamacion'.
	 * 
	 * @param dehojareclamacion
	 *            String
	 * @return
	 */

	public void setDehojareclamacion(String dehojareclamacion) {
		this.dehojareclamacion = dehojareclamacion;
	}

	/**
	 * Method 'setHechoDenunciados'.
	 * 
	 * @param hechoDenunciados
	 *            List
	 * @return
	 */
	public void setHechoDenunciados(List<HechoDenunciado> hechoDenunciados) {
		this.hechoDenunciados = hechoDenunciados;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ decodigo: ").append(this.decodigo).append(" ]");
		result.append(", [ decocp: ").append(this.decocp).append(" ]");
		result.append(", [ decoor: ").append(this.decoor).append(" ]");
		result.append(", [ denran: ").append(this.denran).append(" ]");
		result.append(", [ denror: ").append(this.denror).append(" ]");
		result.append(", [ defede: ").append(this.defede).append(" ]");
		result.append(", [ defere: ").append(this.defere).append(" ]");
		result.append(", [ defeex: ").append(this.defeex).append(" ]");
		result.append(", [ defeim: ").append(this.defeim).append(" ]");
		result.append(", [ deinre: ").append(this.deinre).append(" ]");
		result.append(", [ denrrgen: ").append(this.denrrgen).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the denombretelematico
	 */
	public String getDenombretelematico() {
		return denombretelematico;
	}

	/**
	 * @param denombretelematico
	 *            the denombretelematico to set
	 */
	public void setDenombretelematico(String denombretelematico) {
		this.denombretelematico = denombretelematico;
	}

	/**
	 * @return the dedirecciontelematico
	 */
	public String getDedirecciontelematico() {
		return dedirecciontelematico;
	}

	/**
	 * @param dedirecciontelematico
	 *            the dedirecciontelematico to set
	 */
	public void setDedirecciontelematico(String dedirecciontelematico) {
		this.dedirecciontelematico = dedirecciontelematico;
	}

}
