package com.ejie.y41b.model;

import java.sql.Blob;
import java.util.Date;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * Consulta  
 * 
 *  
 */

public class DocumentoConsultaDetalle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long cofile;
	private String cocodigo;
	private String p9codigo;
	private String tipofile;
	private Date fecha;
	private String nofile;
	private Blob datafile;
	private Integer sizefile;
	private String tedesfile;
	private String contenttypefile;
	private String origen;
	private String inemlusu;

	/**
	 * Method 'Consulta'.
	 * 
	 */
	public DocumentoConsultaDetalle() {
	}

	/**
	 * @param cofile
	 * @param cocodigo
	 * @param p9codigo
	 * @param tipofile
	 * @param fecha
	 * @param nofile
	 * @param datafile
	 * @param sizefile
	 * @param tedesfile
	 * @param contenttypefile
	 * @param origen
	 * @param inemlusu
	 */
	public DocumentoConsultaDetalle(Long cofile, String cocodigo,
			String p9codigo, String tipofile, Date fecha, String nofile,
			Blob datafile, Integer sizefile, String tedesfile,
			String contenttypefile, String origen, String inemlusu) {
		this.cofile = cofile;
		this.cocodigo = cocodigo;
		this.p9codigo = p9codigo;
		this.tipofile = tipofile;
		this.fecha = fecha;
		this.nofile = nofile;
		this.datafile = datafile;
		this.sizefile = sizefile;
		this.tedesfile = tedesfile;
		this.contenttypefile = contenttypefile;
		this.origen = origen;
		this.inemlusu = inemlusu;
	}

	/**
	 * @return the cofile
	 */
	public Long getCofile() {
		return cofile;
	}

	/**
	 * @param cofile
	 *            the cofile to set
	 */
	public void setCofile(Long cofile) {
		this.cofile = cofile;
	}

	/**
	 * @return the cocodigo
	 */
	public String getCocodigo() {
		return cocodigo;
	}

	/**
	 * @param cocodigo
	 *            the cocodigo to set
	 */
	public void setCocodigo(String cocodigo) {
		this.cocodigo = cocodigo;
	}

	/**
	 * @return the p9codigo
	 */
	public String getP9codigo() {
		return p9codigo;
	}

	/**
	 * @param p9codigo
	 *            the p9codigo to set
	 */
	public void setP9codigo(String p9codigo) {
		this.p9codigo = p9codigo;
	}

	/**
	 * @return the nofile
	 */
	public String getNofile() {
		return nofile;
	}

	/**
	 * @param nofile
	 *            the nofile to set
	 */
	public void setNofile(String nofile) {
		this.nofile = nofile;
	}

	/**
	 * @return the datafile
	 */
	@JsonIgnore
	public Blob getDatafile() {
		return datafile;
	}

	/**
	 * @param datafile
	 *            the datafile to set
	 */
	public void setDatafile(Blob datafile) {
		this.datafile = datafile;
	}

	/**
	 * @return the sizefile
	 */
	public Integer getSizefile() {
		return sizefile;
	}

	/**
	 * @param sizefile
	 *            the sizefile to set
	 */
	public void setSizefile(Integer sizefile) {
		this.sizefile = sizefile;
	}

	/**
	 * @return the tedesfile
	 */
	public String getTedesfile() {
		return tedesfile;
	}

	/**
	 * @param tedesfile
	 *            the tedesfile to set
	 */
	public void setTedesfile(String tedesfile) {
		this.tedesfile = tedesfile;
	}

	/**
	 * @return the contenttypefile
	 */
	public String getContenttypefile() {
		return contenttypefile;
	}

	/**
	 * @param contenttypefile
	 *            the contenttypefile to set
	 */
	public void setContenttypefile(String contenttypefile) {
		this.contenttypefile = contenttypefile;
	}

	/**
	 * @return the origen
	 */
	public String getOrigen() {
		return origen;
	}

	/**
	 * @param origen
	 *            the origen to set
	 */
	public void setOrigen(String origen) {
		this.origen = origen;
	}

	/**
	 * @return the inemlusu
	 */
	public String getInemlusu() {
		return inemlusu;
	}

	/**
	 * @param inemlusu
	 *            the inemlusu to set
	 */
	public void setInemlusu(String inemlusu) {
		this.inemlusu = inemlusu;
	}

	/**
	 * @return the tipofile
	 */
	public String getTipofile() {
		return tipofile;
	}

	/**
	 * @param tipofile
	 *            the tipofile to set
	 */
	public void setTipofile(String tipofile) {
		this.tipofile = tipofile;
	}

	/**
	 * @return the fecha
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecha() {
		return fecha;
	}

	/**
	 * @param fecha
	 *            the fecha to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "DocumentoConsultaDetalle [cofile=" + cofile + ", cocodigo="
				+ cocodigo + ", p9codigo=" + p9codigo + ", tipofile="
				+ tipofile + ", fecha=" + fecha + ", nofile=" + nofile
				+ ", datafile=" + datafile + ", sizefile=" + sizefile
				+ ", tedesfile=" + tedesfile + ", contenttypefile="
				+ contenttypefile + ", origen=" + origen + ", inemlusu="
				+ inemlusu + "]";
	}

}
