package com.ejie.y41b.model;

import java.sql.Blob;
import java.util.Date;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * DocumentoHechoDetalle  
 * 
 *  
 */

public class DocumentoHechoDetalle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String q5codocumento;
	private String q5nofile;
	private Blob q5datafile;
	private Integer q5sizefile;
	private String q5tedesfile;
	private String q5origen;
	private Date q5fecha;
	private String q5indmail;
	private String q5contenttypefile;
	private String q5iddocumentum;
	private Date q5fechaentrada;
	private String q5numregistroentrada;

	// Tramite Mail
	private String ehcodigoMail;
	private String trcodigoMail;
	private String trnombreMail;
	private String trnombreeMail;
	private Date trbajaMail;

	// Tramite
	private String ehcodigo;
	private String trcodigo;
	private String trnombre;
	private String trnombree;
	private Date trbaja;

	// HechoDenunciado;
	private String hdcodigo;

	// Plantilla
	private String q5ptcodigo;

	// Este campo contiene la ruta del pif donde se encuentra el fichero
	private String rutaPif;

	/**
	 * Method 'DocumentoHechoDetalle'.
	 * 
	 */
	public DocumentoHechoDetalle() {
	}

	/**
	 * @param q5codocumento
	 * @param q5nofile
	 * @param q5datafile
	 * @param q5sizefile
	 * @param q5tedesfile
	 * @param q5origen
	 * @param q5fecha
	 * @param q5indmail
	 * @param q5contenttypefile
	 * @param ehcodigoMail
	 * @param trcodigoMail
	 * @param trnombreMail
	 * @param trnombreeMail
	 * @param trbajaMail
	 * @param ehcodigo
	 * @param trcodigo
	 * @param trnombre
	 * @param trnombree
	 * @param trbaja
	 * @param hdcodigo
	 * @param q5ptcodigo
	 */
	public DocumentoHechoDetalle(String q5codocumento, String q5nofile, Blob q5datafile, Integer q5sizefile,
			String q5tedesfile, String q5origen, Date q5fecha, String q5indmail, String q5contenttypefile,
			String ehcodigoMail, String trcodigoMail, String trnombreMail, String trnombreeMail, Date trbajaMail,
			String ehcodigo, String trcodigo, String trnombre, String trnombree, Date trbaja, String hdcodigo,
			String q5ptcodigo) {
		this.q5codocumento = q5codocumento;
		this.q5nofile = q5nofile;
		this.q5datafile = q5datafile;
		this.q5sizefile = q5sizefile;
		this.q5tedesfile = q5tedesfile;
		this.q5origen = q5origen;
		this.q5fecha = q5fecha;
		this.q5indmail = q5indmail;
		this.q5contenttypefile = q5contenttypefile;
		this.ehcodigoMail = ehcodigoMail;
		this.trcodigoMail = trcodigoMail;
		this.trnombreMail = trnombreMail;
		this.trnombreeMail = trnombreeMail;
		this.trbajaMail = trbajaMail;
		this.ehcodigo = ehcodigo;
		this.trcodigo = trcodigo;
		this.trnombre = trnombre;
		this.trnombree = trnombree;
		this.trbaja = trbaja;
		this.hdcodigo = hdcodigo;
		this.q5ptcodigo = q5ptcodigo;
	}

	/**
	 * @return the q5codocumento
	 */
	public String getQ5codocumento() {
		return q5codocumento;
	}

	/**
	 * @param q5codocumento
	 *            the q5codocumento to set
	 */
	public void setQ5codocumento(String q5codocumento) {
		this.q5codocumento = q5codocumento;
	}

	/**
	 * @return the q5nofile
	 */
	public String getQ5nofile() {
		return q5nofile;
	}

	/**
	 * @param q5nofile
	 *            the q5nofile to set
	 */
	public void setQ5nofile(String q5nofile) {
		this.q5nofile = q5nofile;
	}

	/**
	 * @return the q5datafile
	 */
	@JsonIgnore
	public Blob getQ5datafile() {
		return q5datafile;
	}

	/**
	 * @param q5datafile
	 *            the q5datafile to set
	 */
	public void setQ5datafile(Blob q5datafile) {
		this.q5datafile = q5datafile;
	}

	/**
	 * @return the q5sizefile
	 */
	public Integer getQ5sizefile() {
		return q5sizefile;
	}

	/**
	 * @param q5sizefile
	 *            the q5sizefile to set
	 */
	public void setQ5sizefile(Integer q5sizefile) {
		this.q5sizefile = q5sizefile;
	}

	/**
	 * @return the q5tedesfile
	 */
	public String getQ5tedesfile() {
		return q5tedesfile;
	}

	/**
	 * @param q5tedesfile
	 *            the q5tedesfile to set
	 */
	public void setQ5tedesfile(String q5tedesfile) {
		this.q5tedesfile = q5tedesfile;
	}

	/**
	 * @return the q5origen
	 */
	public String getQ5origen() {
		return q5origen;
	}

	/**
	 * @param q5origen
	 *            the q5origen to set
	 */
	public void setQ5origen(String q5origen) {
		this.q5origen = q5origen;
	}

	/**
	 * @return the q5fecha
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getQ5fecha() {
		return q5fecha;
	}

	/**
	 * @param q5fecha
	 *            the q5fecha to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setQ5fecha(Date q5fecha) {
		this.q5fecha = q5fecha;
	}

	/**
	 * @return the q5indmail
	 */
	public String getQ5indmail() {
		return q5indmail;
	}

	/**
	 * @param q5indmail
	 *            the q5indmail to set
	 */
	public void setQ5indmail(String q5indmail) {
		this.q5indmail = q5indmail;
	}

	/**
	 * @return the q5contenttypefile
	 */
	public String getQ5contenttypefile() {
		return q5contenttypefile;
	}

	/**
	 * @param q5contenttypefile
	 *            the q5contenttypefile to set
	 */
	public void setQ5contenttypefile(String q5contenttypefile) {
		this.q5contenttypefile = q5contenttypefile;
	}

	/**
	 * @return the ehcodigoMail
	 */
	public String getEhcodigoMail() {
		return ehcodigoMail;
	}

	/**
	 * @param ehcodigoMail
	 *            the ehcodigoMail to set
	 */
	public void setEhcodigoMail(String ehcodigoMail) {
		this.ehcodigoMail = ehcodigoMail;
	}

	/**
	 * @return the trcodigoMail
	 */
	public String getTrcodigoMail() {
		return trcodigoMail;
	}

	/**
	 * @param trcodigoMail
	 *            the trcodigoMail to set
	 */
	public void setTrcodigoMail(String trcodigoMail) {
		this.trcodigoMail = trcodigoMail;
	}

	/**
	 * @return the trnombreMail
	 */
	public String getTrnombreMail() {
		return trnombreMail;
	}

	/**
	 * @param trnombreMail
	 *            the trnombreMail to set
	 */
	public void setTrnombreMail(String trnombreMail) {
		this.trnombreMail = trnombreMail;
	}

	/**
	 * @return the trnombreeMail
	 */
	public String getTrnombreeMail() {
		return trnombreeMail;
	}

	/**
	 * @param trnombreeMail
	 *            the trnombreeMail to set
	 */
	public void setTrnombreeMail(String trnombreeMail) {
		this.trnombreeMail = trnombreeMail;
	}

	/**
	 * @return the trbajaMail
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getTrbajaMail() {
		return trbajaMail;
	}

	/**
	 * @param trbajaMail
	 *            the trbajaMail to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setTrbajaMail(Date trbajaMail) {
		this.trbajaMail = trbajaMail;
	}

	/**
	 * @return the ehcodigo
	 */
	public String getEhcodigo() {
		return ehcodigo;
	}

	/**
	 * @param ehcodigo
	 *            the ehcodigo to set
	 */
	public void setEhcodigo(String ehcodigo) {
		this.ehcodigo = ehcodigo;
	}

	/**
	 * @return the trcodigo
	 */
	public String getTrcodigo() {
		return trcodigo;
	}

	/**
	 * @param trcodigo
	 *            the trcodigo to set
	 */
	public void setTrcodigo(String trcodigo) {
		this.trcodigo = trcodigo;
	}

	/**
	 * @return the trnombre
	 */
	public String getTrnombre() {
		return trnombre;
	}

	/**
	 * @param trnombre
	 *            the trnombre to set
	 */
	public void setTrnombre(String trnombre) {
		this.trnombre = trnombre;
	}

	/**
	 * @return the trnombree
	 */
	public String getTrnombree() {
		return trnombree;
	}

	/**
	 * @param trnombree
	 *            the trnombree to set
	 */
	public void setTrnombree(String trnombree) {
		this.trnombree = trnombree;
	}

	/**
	 * @return the trbaja
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getTrbaja() {
		return trbaja;
	}

	/**
	 * @param trbaja
	 *            the trbaja to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setTrbaja(Date trbaja) {
		this.trbaja = trbaja;
	}

	/**
	 * @return the hdcodigo
	 */
	public String getHdcodigo() {
		return hdcodigo;
	}

	/**
	 * @param hdcodigo
	 *            the hdcodigo to set
	 */
	public void setHdcodigo(String hdcodigo) {
		this.hdcodigo = hdcodigo;
	}

	/**
	 * @return the q5ptcodigo
	 */
	public String getQ5ptcodigo() {
		return q5ptcodigo;
	}

	/**
	 * @param q5ptcodigo
	 *            the q5ptcodigo to set
	 */
	public void setQ5ptcodigo(String q5ptcodigo) {
		this.q5ptcodigo = q5ptcodigo;
	}

	/**
	 * @return the q5iddocumentum
	 */
	public String getQ5iddocumentum() {
		return q5iddocumentum;
	}

	/**
	 * @param q5iddocumentum
	 *            the q5iddocumentum to set
	 */
	public void setQ5iddocumentum(String q5iddocumentum) {
		this.q5iddocumentum = q5iddocumentum;
	}

	/**
	 * @return the q5fechaentrada
	 */
	public Date getQ5fechaentrada() {
		return q5fechaentrada;
	}

	/**
	 * @param q5fechaentrada
	 *            the q5fechaentrada to set
	 */
	public void setQ5fechaentrada(Date q5fechaentrada) {
		this.q5fechaentrada = q5fechaentrada;
	}

	/**
	 * @return the q5numregistroentrada
	 */
	public String getQ5numregistroentrada() {
		return q5numregistroentrada;
	}

	/**
	 * @param q5numregistroentrada
	 *            the q5numregistroentrada to set
	 */
	public void setQ5numregistroentrada(String q5numregistroentrada) {
		this.q5numregistroentrada = q5numregistroentrada;
	}

	/**
	 * @return the rutaPif
	 */
	public String getRutaPif() {
		return rutaPif;
	}

	/**
	 * @param rutaPif
	 *            the rutaPif to set
	 */
	public void setRutaPif(String rutaPif) {
		this.rutaPif = rutaPif;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "DocumentoHechoDetalle [q5codocumento=" + q5codocumento + ", q5nofile=" + q5nofile + ", q5datafile="
				+ q5datafile + ", q5sizefile=" + q5sizefile + ", q5tedesfile=" + q5tedesfile + ", q5origen=" + q5origen
				+ ", q5fecha=" + q5fecha + ", q5indmail=" + q5indmail + ", q5contenttypefile=" + q5contenttypefile
				+ ", ehcodigoMail=" + ehcodigoMail + ", trcodigoMail=" + trcodigoMail + ", trnombreMail=" + trnombreMail
				+ ", trnombreeMail=" + trnombreeMail + ", trbajaMail=" + trbajaMail + ", ehcodigo=" + ehcodigo
				+ ", trcodigo=" + trcodigo + ", trnombre=" + trnombre + ", trnombree=" + trnombree + ", trbaja="
				+ trbaja + ", hdcodigo=" + hdcodigo + "]";
	}

}
