package com.ejie.y41b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;
import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;
import com.ejie.y41b.utils.Y41bUtils;
import com.ejie.y41b.validation.Y41bNifNieCif;

/**
 * * Establecimiento  
 * 
 *  
 */

public class Establecimiento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String escodigo;
	private CensoMonitor censoMonitor;
	private String esnombre;
	private String estipid;
	@Y41bNifNieCif(message = "error01.required.esnif")
	private String esnif;
	private String esnoan;
	private String esnoco;
	private String esnodir;
	private String escolo;
	private String esnrcopo;
	private String esnrtel;
	private String esnrfax;
	private String escopa;
	private String esincapr;
	private String esindemp;
	private String esteco;
	private String esinadar;
	private Date esfeadar;
	private String escoem;
	private String esmailnotificacion;
	private String esinempr;
	private String esnrtel2;
	private String esinfeba;
	private Date esfeba;
	private String esnoap1;
	private String esnoap2;
	private String esnolo;
	private String escomapv;
	private String escoca;
	private String esnopeco;
	private String escoidco;
	private String esinreco;
	private String esfemod;
	private String esinesco;
	private String esnomu;
	private String esnorep;
	@Y41bNifNieCif(message = "error02.required.esnifrep")
	private String esnifrep;
	private String dtteemr;
	private String escarep;
	private String esteurl;
	private String escooe;
	private String esnodeco;
	private String esintiar;
	private Date esfeplad;
	private String esindeme;
	private String esnoraPaisId;
	private String esnoraPaisNombre;
	private String esnoraProvinciaId;
	private String esnombreProvincia;
	private String esnoraMunicipioId;
	private String esnombreMunicipio;
	private String esnoraLocalidadId;
	private String esnombreLocalidad;
	private String esnoraCalleId;
	private String esnombreCalle;
	private String esnoraCpId;
	private String esnombreCp;
	private String esnoraPortalId;
	private String esnombrePortal;
	private String esnombrePiso;
	private String esdireccion_nocapv;
	private String esdireccionCompleta;
	private String esexpedientesAbiertos;
	private String esextranjero;
	private String esestado;

	private String essede;

	private String idsDescriptores;

	private List<EstablecimArbitra> establecimArbitras = new ArrayList<EstablecimArbitra>();
	private List<EstablecimSector> establecimSectors = new ArrayList<EstablecimSector>();
	private List<Descriptor> descriptores = new ArrayList<Descriptor>();
	private List<Sede> sedes = new ArrayList<Sede>();

	private String bajaAd;

	private Date ahfeba;
	private String ahtelimi;
	private Date esfeerd;
	private String ahcoja;

	private String ahnrdi;

	// 0150111
	private String sinRenuncia;
	// 0149469
	private String esilocalizable;
	private String esnocolabora;

	private String establecimientoCerrado;

	private String esCanalPrioritario;

	/**
	 * Method 'Establecimiento'.
	 * 
	 */
	public Establecimiento() {
	}

	/**
	 * @param escodigo
	 *            String
	 */
	public Establecimiento(String escodigo) {
		super();
		this.escodigo = escodigo;
	}

	/**
	 * Method 'Establecimiento'.
	 * 
	 * @param escodigo
	 *            String
	 * @param esnombre
	 *            String
	 * @param esnif
	 *            String
	 * @param esnoco
	 *            String
	 */
	public Establecimiento(String escodigo, String esnombre, String esnif, String esnoco) {
		this.escodigo = (escodigo != null && escodigo.equals("")) ? null : escodigo;
		this.esnombre = (esnombre != null && esnombre.equals("")) ? null : esnombre;
		this.esnif = (esnif != null && esnif.equals("")) ? null : esnif;
		this.esnoco = (esnoco != null && esnoco.equals("")) ? null : esnoco;
	}

	/**
	 * Method 'Establecimiento'.
	 * 
	 * @param escodigo
	 *            String
	 * @param esnombre
	 *            String
	 * @param estipid
	 *            String
	 * @param esnif
	 *            String
	 * @param esnoan
	 *            String
	 * @param esnoco
	 *            String
	 * @param esnodir
	 *            String
	 * @param escolo
	 *            String
	 * @param esnrcopo
	 *            String
	 * @param esnrtel
	 *            String
	 * @param esnrfax
	 *            String
	 * @param escopa
	 *            String
	 * @param esincapr
	 *            String
	 * @param esindemp
	 *            String
	 * @param esteco
	 *            String
	 * @param esinadar
	 *            String
	 * @param esfeadar
	 *            Date
	 * @param escoem
	 *            String
	 * @param esmailnotificacion
	 *            String
	 * @param esinempr
	 *            String
	 * @param esnrtel2
	 *            String
	 * @param esfeba
	 *            Date
	 * @param esnoap1
	 *            String
	 * @param esnoap2
	 *            String
	 * @param esnolo
	 *            String
	 * @param escomapv
	 *            String
	 * @param escoca
	 *            String
	 * @param esnopeco
	 *            String
	 * @param escoidco
	 *            String
	 * @param esinreco
	 *            String
	 * @param esfemod
	 *            String
	 * @param esinesco
	 *            String
	 * @param esnomu
	 *            String
	 * @param esnorep
	 *            String
	 * @param esnifrep
	 *            String
	 * @param dtteemr
	 *            String
	 * @param escarep
	 *            String
	 * @param esteurl
	 *            String
	 * @param escooe
	 *            String
	 * @param esnodeco
	 *            String
	 * @param esintiar
	 *            String
	 * @param esfeplad
	 *            Date
	 * @param esindeme
	 *            String
	 * @param esnoraPaisId
	 *            String
	 * @param esnoraPaisNombre
	 *            String
	 * @param esnoraProvinciaId
	 *            String
	 * @param esnombreProvincia
	 *            String
	 * @param esnoraMunicipioId
	 *            String
	 * @param esnombreMunicipio
	 *            String
	 * @param esnoraLocalidadId
	 *            String
	 * @param esnombreLocalidad
	 *            String
	 * @param esnoraCalleId
	 *            String
	 * @param esnombreCalle
	 *            String
	 * @param esnoraCpId
	 *            String
	 * @param esnombreCp
	 *            String
	 * @param esnoraPortalId
	 *            String
	 * @param esnombrePortal
	 *            String
	 * @param esnombrePiso
	 *            String
	 * @param esdireccion_nocapv
	 *            String
	 * @param esextranjero
	 *            String
	 * @param esestado
	 *            String
	 * @param essede
	 *            String
	 * @param censoMonitor
	 *            CensoMonitor
	 * 
	 */
	public Establecimiento(String escodigo, String esnombre, String estipid, String esnif, String esnoan, String esnoco,
			String esnodir, String escolo, String esnrcopo, String esnrtel, String esnrfax, String escopa,
			String esincapr, String esindemp, String esteco, String esinadar, Date esfeadar, String escoem,
			String esmailnotificacion, String esinempr, String esnrtel2, Date esfeba, String esnoap1, String esnoap2,
			String esnolo, String escomapv, String escoca, String esnopeco, String escoidco, String esinreco,
			String esfemod, String esinesco, String esnomu, String esnorep, String esnifrep, String dtteemr,
			String escarep, String esteurl, String escooe, String esnodeco, String esintiar, Date esfeplad,
			String esindeme, String esnoraPaisId, String esnoraPaisNombre, String esnoraProvinciaId,
			String esnombreProvincia, String esnoraMunicipioId, String esnombreMunicipio, String esnoraLocalidadId,
			String esnombreLocalidad, String esnoraCalleId, String esnombreCalle, String esnoraCpId, String esnombreCp,
			String esnoraPortalId, String esnombrePortal, String esnombrePiso, String esdireccion_nocapv,
			String esextranjero, String esestado, String essede, CensoMonitor censoMonitor) {
		this.escodigo = escodigo;
		this.censoMonitor = censoMonitor;
		this.esnombre = esnombre;
		this.estipid = estipid;
		this.esnif = esnif;
		this.esnoan = esnoan;
		this.esnoco = esnoco;
		this.esnodir = esnodir;
		this.escolo = escolo;
		this.esnrcopo = esnrcopo;
		this.esnrtel = esnrtel;
		this.esnrfax = esnrfax;
		this.escopa = escopa;
		this.esincapr = esincapr;
		this.esindemp = esindemp;
		this.esteco = esteco;
		this.esinadar = esinadar;
		this.esfeadar = esfeadar;
		this.escoem = escoem;
		this.esmailnotificacion = esmailnotificacion;
		this.esinempr = esinempr;
		this.esnrtel2 = esnrtel2;
		this.esfeba = esfeba;
		this.esnoap1 = esnoap1;
		this.esnoap2 = esnoap2;
		this.esnolo = esnolo;
		this.escomapv = escomapv;
		this.escoca = escoca;
		this.esnopeco = esnopeco;
		this.escoidco = escoidco;
		this.esinreco = esinreco;
		this.esfemod = esfemod;
		this.esinesco = esinesco;
		this.esnomu = esnomu;
		this.esnorep = esnorep;
		this.esnifrep = esnifrep;
		this.dtteemr = dtteemr;
		this.escarep = escarep;
		this.esteurl = esteurl;
		this.escooe = escooe;
		this.esnodeco = esnodeco;
		this.esintiar = esintiar;
		this.esfeplad = esfeplad;
		this.esindeme = esindeme;
		this.esnoraPaisId = esnoraPaisId;
		this.esnoraPaisNombre = esnoraPaisNombre;
		this.esnoraProvinciaId = esnoraProvinciaId;
		this.esnombreProvincia = esnombreProvincia;
		this.esnoraMunicipioId = esnoraMunicipioId;
		this.esnombreMunicipio = esnombreMunicipio;
		this.esnoraLocalidadId = esnoraLocalidadId;
		this.esnombreLocalidad = esnombreLocalidad;
		this.esnoraCalleId = esnoraCalleId;
		this.esnombreCalle = esnombreCalle;
		this.esnoraCpId = esnoraCpId;
		this.esnombreCp = esnombreCp;
		this.esnoraPortalId = esnoraPortalId;
		this.esnombrePortal = esnombrePortal;
		this.esnombrePiso = esnombrePiso;
		this.esdireccion_nocapv = esdireccion_nocapv;
		this.esextranjero = esextranjero;
		this.esestado = esestado;
		this.essede = essede;

	}

	/**
	 * Method 'getEscodigo'.
	 * 
	 * @return String
	 */

	public String getEscodigo() {
		return this.escodigo;
	}

	/**
	 * Method 'setEscodigo'.
	 * 
	 * @param escodigo
	 *            String
	 * @return
	 */

	public void setEscodigo(String escodigo) {
		this.escodigo = escodigo;
	}

	/**
	 * Method 'getCensoMonitor'.
	 * 
	 * @return CensoMonitor
	 */
	@JsonIgnore
	public CensoMonitor getCensoMonitor() {
		return this.censoMonitor;
	}

	/**
	 * Method 'setCensoMonitor'.
	 * 
	 * @param censoMonitor
	 *            CensoMonitor
	 * @return
	 */

	public void setCensoMonitor(CensoMonitor censoMonitor) {
		this.censoMonitor = censoMonitor;
	}

	/**
	 * Method 'getEsnombre'.
	 * 
	 * @return String
	 */

	public String getEsnombre() {
		return this.esnombre;
	}

	/**
	 * Method 'setEsnombre'.
	 * 
	 * @param esnombre
	 *            String
	 * @return
	 */

	public void setEsnombre(String esnombre) {
		this.esnombre = esnombre;
	}

	/**
	 * Method 'getEsnif'.
	 * 
	 * @return String
	 */

	public String getEsnif() {
		return Y41bUtils.upperCase(this.esnif);
	}

	/**
	 * Method 'setEsnif'.
	 * 
	 * @param esnif
	 *            String
	 * @return
	 */

	public void setEsnif(String esnif) {
		this.esnif = Y41bUtils.upperCase(esnif);
	}

	/**
	 * Method 'getEsnoan'.
	 * 
	 * @return String
	 */

	public String getEsnoan() {
		return this.esnoan;
	}

	/**
	 * Method 'setEsnoan'.
	 * 
	 * @param esnoan
	 *            String
	 * @return
	 */

	public void setEsnoan(String esnoan) {
		this.esnoan = esnoan;
	}

	/**
	 * Method 'getEsnoco'.
	 * 
	 * @return String
	 */

	public String getEsnoco() {
		return this.esnoco;
	}

	/**
	 * Method 'setEsnoco'.
	 * 
	 * @param esnoco
	 *            String
	 * @return
	 */

	public void setEsnoco(String esnoco) {
		this.esnoco = esnoco;
	}

	/**
	 * Method 'getEsnodir'.
	 * 
	 * @return String
	 */

	public String getEsnodir() {
		return this.esnodir;
	}

	/**
	 * Method 'setEsnodir'.
	 * 
	 * @param esnodir
	 *            String
	 * @return
	 */

	public void setEsnodir(String esnodir) {
		this.esnodir = esnodir;
	}

	/**
	 * Method 'getEscolo'.
	 * 
	 * @return String
	 */

	public String getEscolo() {
		return this.escolo;
	}

	/**
	 * Method 'setEscolo'.
	 * 
	 * @param escolo
	 *            String
	 * @return
	 */

	public void setEscolo(String escolo) {
		this.escolo = escolo;
	}

	/**
	 * Method 'getEsnrcopo'.
	 * 
	 * @return String
	 */

	public String getEsnrcopo() {
		return this.esnrcopo;
	}

	/**
	 * Method 'setEsnrcopo'.
	 * 
	 * @param esnrcopo
	 *            String
	 * @return
	 */

	public void setEsnrcopo(String esnrcopo) {
		this.esnrcopo = esnrcopo;
	}

	/**
	 * Method 'getEsnrtel'.
	 * 
	 * @return String
	 */

	public String getEsnrtel() {
		return this.esnrtel;
	}

	/**
	 * Method 'setEsnrtel'.
	 * 
	 * @param esnrtel
	 *            String
	 * @return
	 */

	public void setEsnrtel(String esnrtel) {
		this.esnrtel = esnrtel;
	}

	/**
	 * Method 'getEsnrfax'.
	 * 
	 * @return String
	 */

	public String getEsnrfax() {
		return this.esnrfax;
	}

	/**
	 * Method 'setEsnrfax'.
	 * 
	 * @param esnrfax
	 *            String
	 * @return
	 */

	public void setEsnrfax(String esnrfax) {
		this.esnrfax = esnrfax;
	}

	/**
	 * Method 'getEscopa'.
	 * 
	 * @return String
	 */

	public String getEscopa() {
		return this.escopa;
	}

	/**
	 * Method 'setEscopa'.
	 * 
	 * @param escopa
	 *            String
	 * @return
	 */

	public void setEscopa(String escopa) {
		this.escopa = escopa;
	}

	/**
	 * Method 'getEsincapr'.
	 * 
	 * @return String
	 */

	public String getEsincapr() {
		return this.esincapr;
	}

	/**
	 * Method 'setEsincapr'.
	 * 
	 * @param esincapr
	 *            String
	 * @return
	 */

	public void setEsincapr(String esincapr) {
		this.esincapr = esincapr;
	}

	/**
	 * Method 'getEsindemp'.
	 * 
	 * @return String
	 */

	public String getEsindemp() {
		return this.esindemp;
	}

	/**
	 * Method 'setEsindemp'.
	 * 
	 * @param esindemp
	 *            String
	 * @return
	 */

	public void setEsindemp(String esindemp) {
		this.esindemp = esindemp;
	}

	/**
	 * Method 'getEsteco'.
	 * 
	 * @return String
	 */

	public String getEsteco() {
		return this.esteco;
	}

	/**
	 * Method 'setEsteco'.
	 * 
	 * @param esteco
	 *            String
	 * @return
	 */

	public void setEsteco(String esteco) {
		this.esteco = esteco;
	}

	/**
	 * Method 'getEsinadar'.
	 * 
	 * @return String
	 */

	public String getEsinadar() {
		return this.esinadar;
	}

	/**
	 * Method 'setEsinadar'.
	 * 
	 * @param esinadar
	 *            String
	 * @return
	 */

	public void setEsinadar(String esinadar) {
		this.esinadar = esinadar;
	}

	/**
	 * Method 'getEsfeadar'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEsfeadar() {
		return this.esfeadar;
	}

	/**
	 * Method 'setEsfeadar'.
	 * 
	 * @param esfeadar
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEsfeadar(Date esfeadar) {
		this.esfeadar = esfeadar;
	}

	/**
	 * Method 'getEscoem'.
	 * 
	 * @return String
	 */

	public String getEscoem() {
		return this.escoem;
	}

	/**
	 * Method 'setEscoem'.
	 * 
	 * @param escoem
	 *            String
	 * @return
	 */

	public void setEscoem(String escoem) {
		this.escoem = escoem;
	}

	/**
	 * Method 'getEsinempr'.
	 * 
	 * @return String
	 */

	public String getEsinempr() {
		return this.esinempr;
	}

	/**
	 * Method 'setEsinempr'.
	 * 
	 * @param esinempr
	 *            String
	 * @return
	 */

	public void setEsinempr(String esinempr) {
		this.esinempr = esinempr;
	}

	/**
	 * Method 'getEsnrtel2'.
	 * 
	 * @return String
	 */

	public String getEsnrtel2() {
		return this.esnrtel2;
	}

	/**
	 * Method 'setEsnrtel2'.
	 * 
	 * @param esnrtel2
	 *            String
	 * @return
	 */

	public void setEsnrtel2(String esnrtel2) {
		this.esnrtel2 = esnrtel2;
	}

	/**
	 * Method 'getEsfeba'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEsfeba() {
		return this.esfeba;
	}

	/**
	 * Method 'setEsfeba'.
	 * 
	 * @param esfeba
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEsfeba(Date esfeba) {
		this.esfeba = esfeba;
	}

	/**
	 * Method 'getEsnoap1'.
	 * 
	 * @return String
	 */

	public String getEsnoap1() {
		return this.esnoap1;
	}

	/**
	 * Method 'setEsnoap1'.
	 * 
	 * @param esnoap1
	 *            String
	 * @return
	 */

	public void setEsnoap1(String esnoap1) {
		this.esnoap1 = esnoap1;
	}

	/**
	 * Method 'getEsnoap2'.
	 * 
	 * @return String
	 */

	public String getEsnoap2() {
		return this.esnoap2;
	}

	/**
	 * Method 'setEsnoap2'.
	 * 
	 * @param esnoap2
	 *            String
	 * @return
	 */

	public void setEsnoap2(String esnoap2) {
		this.esnoap2 = esnoap2;
	}

	/**
	 * Method 'getEsnolo'.
	 * 
	 * @return String
	 */

	public String getEsnolo() {
		return this.esnolo;
	}

	/**
	 * Method 'setEsnolo'.
	 * 
	 * @param esnolo
	 *            String
	 * @return
	 */

	public void setEsnolo(String esnolo) {
		this.esnolo = esnolo;
	}

	/**
	 * Method 'getEscomapv'.
	 * 
	 * @return String
	 */

	public String getEscomapv() {
		return this.escomapv;
	}

	/**
	 * Method 'setEscomapv'.
	 * 
	 * @param escomapv
	 *            String
	 * @return
	 */

	public void setEscomapv(String escomapv) {
		this.escomapv = escomapv;
	}

	/**
	 * Method 'getEscoca'.
	 * 
	 * @return String
	 */

	public String getEscoca() {
		return this.escoca;
	}

	/**
	 * Method 'setEscoca'.
	 * 
	 * @param escoca
	 *            String
	 * @return
	 */

	public void setEscoca(String escoca) {
		this.escoca = escoca;
	}

	/**
	 * Method 'getEsnopeco'.
	 * 
	 * @return String
	 */

	public String getEsnopeco() {
		return this.esnopeco;
	}

	/**
	 * Method 'setEsnopeco'.
	 * 
	 * @param esnopeco
	 *            String
	 * @return
	 */

	public void setEsnopeco(String esnopeco) {
		this.esnopeco = esnopeco;
	}

	/**
	 * Method 'getEscoidco'.
	 * 
	 * @return String
	 */

	public String getEscoidco() {
		return this.escoidco;
	}

	/**
	 * Method 'setEscoidco'.
	 * 
	 * @param escoidco
	 *            String
	 * @return
	 */

	public void setEscoidco(String escoidco) {
		this.escoidco = escoidco;
	}

	/**
	 * Method 'getEsinreco'.
	 * 
	 * @return String
	 */

	public String getEsinreco() {
		return this.esinreco;
	}

	/**
	 * Method 'setEsinreco'.
	 * 
	 * @param esinreco
	 *            String
	 * @return
	 */

	public void setEsinreco(String esinreco) {
		this.esinreco = esinreco;
	}

	/**
	 * Method 'getEsfemod'.
	 * 
	 * @return String
	 */

	public String getEsfemod() {
		return this.esfemod;
	}

	/**
	 * Method 'setEsfemod'.
	 * 
	 * @param esfemod
	 *            String
	 * @return
	 */

	public void setEsfemod(String esfemod) {
		this.esfemod = esfemod;
	}

	/**
	 * Method 'getEsinesco'.
	 * 
	 * @return String
	 */

	public String getEsinesco() {
		return this.esinesco;
	}

	/**
	 * Method 'setEsinesco'.
	 * 
	 * @param esinesco
	 *            String
	 * @return
	 */

	public void setEsinesco(String esinesco) {
		this.esinesco = esinesco;
	}

	/**
	 * Method 'getEsnomu'.
	 * 
	 * @return String
	 */

	public String getEsnomu() {
		return this.esnomu;
	}

	/**
	 * Method 'setEsnomu'.
	 * 
	 * @param esnomu
	 *            String
	 * @return
	 */

	public void setEsnomu(String esnomu) {
		this.esnomu = esnomu;
	}

	/**
	 * Method 'getEsnorep'.
	 * 
	 * @return String
	 */

	public String getEsnorep() {
		return this.esnorep;
	}

	/**
	 * Method 'setEsnorep'.
	 * 
	 * @param esnorep
	 *            String
	 * @return
	 */

	public void setEsnorep(String esnorep) {
		this.esnorep = esnorep;
	}

	/**
	 * Method 'getEsnifrep'.
	 * 
	 * @return String
	 */

	public String getEsnifrep() {
		return Y41bUtils.upperCase(this.esnifrep);
	}

	/**
	 * Method 'setEsnifrep'.
	 * 
	 * @param esnifrep
	 *            String
	 * @return
	 */

	public void setEsnifrep(String esnifrep) {
		this.esnifrep = Y41bUtils.upperCase(esnifrep);

	}

	/**
	 * Method 'getDtteemr'.
	 * 
	 * @return String
	 */

	public String getDtteemr() {
		return this.dtteemr;
	}

	/**
	 * Method 'setDtteemr'.
	 * 
	 * @param dtteemr
	 *            String
	 * @return
	 */

	public void setDtteemr(String dtteemr) {
		this.dtteemr = dtteemr;
	}

	/**
	 * Method 'getEscarep'.
	 * 
	 * @return String
	 */

	public String getEscarep() {
		return this.escarep;
	}

	/**
	 * Method 'setEscarep'.
	 * 
	 * @param escarep
	 *            String
	 * @return
	 */

	public void setEscarep(String escarep) {
		this.escarep = escarep;
	}

	/**
	 * Method 'getEsteurl'.
	 * 
	 * @return String
	 */

	public String getEsteurl() {
		return this.esteurl;
	}

	/**
	 * Method 'setEsteurl'.
	 * 
	 * @param esteurl
	 *            String
	 * @return
	 */

	public void setEsteurl(String esteurl) {
		this.esteurl = esteurl;
	}

	/**
	 * Method 'getEscooe'.
	 * 
	 * @return String
	 */

	public String getEscooe() {
		return this.escooe;
	}

	/**
	 * Method 'setEscooe'.
	 * 
	 * @param escooe
	 *            String
	 * @return
	 */

	public void setEscooe(String escooe) {
		this.escooe = escooe;
	}

	/**
	 * Method 'getEsnodeco'.
	 * 
	 * @return String
	 */

	public String getEsnodeco() {
		return this.esnodeco;
	}

	/**
	 * Method 'setEsnodeco'.
	 * 
	 * @param esnodeco
	 *            String
	 * @return
	 */

	public void setEsnodeco(String esnodeco) {
		this.esnodeco = esnodeco;
	}

	/**
	 * Method 'getEsintiar'.
	 * 
	 * @return String
	 */

	public String getEsintiar() {
		return this.esintiar;
	}

	/**
	 * Method 'setEsintiar'.
	 * 
	 * @param esintiar
	 *            String
	 * @return
	 */

	public void setEsintiar(String esintiar) {
		this.esintiar = esintiar;
	}

	/**
	 * Method 'getEsfeplad'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEsfeplad() {
		return this.esfeplad;
	}

	/**
	 * Method 'setEsfeplad'.
	 * 
	 * @param esfeplad
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEsfeplad(Date esfeplad) {
		this.esfeplad = esfeplad;
	}

	/**
	 * Method 'getEsindeme'.
	 * 
	 * @return String
	 */

	public String getEsindeme() {
		return this.esindeme;
	}

	/**
	 * Method 'setEsindeme'.
	 * 
	 * @param esindeme
	 *            String
	 * @return
	 */

	public void setEsindeme(String esindeme) {
		this.esindeme = esindeme;
	}

	/**
	 * Method 'getEsnoraPaisId'.
	 * 
	 * @return String
	 */

	public String getEsnoraPaisId() {
		return this.esnoraPaisId;
	}

	/**
	 * Method 'setEsnoraPaisId'.
	 * 
	 * @param esnoraPaisId
	 *            String
	 * @return
	 */

	public void setEsnoraPaisId(String esnoraPaisId) {
		this.esnoraPaisId = esnoraPaisId;
	}

	/**
	 * Method 'getEsnoraPaisNombre'.
	 * 
	 * @return String
	 */

	public String getEsnoraPaisNombre() {
		return this.esnoraPaisNombre;
	}

	/**
	 * Method 'setEsnoraPaisNombre'.
	 * 
	 * @param esnoraPaisNombre
	 *            String
	 * @return
	 */

	public void setEsnoraPaisNombre(String esnoraPaisNombre) {
		this.esnoraPaisNombre = esnoraPaisNombre;
	}

	/**
	 * Method 'getEsnoraProvinciaId'.
	 * 
	 * @return String
	 */

	public String getEsnoraProvinciaId() {
		return this.esnoraProvinciaId;
	}

	/**
	 * Method 'setEsnoraProvinciaId'.
	 * 
	 * @param esnoraProvinciaId
	 *            String
	 * @return
	 */

	public void setEsnoraProvinciaId(String esnoraProvinciaId) {
		this.esnoraProvinciaId = esnoraProvinciaId;
	}

	/**
	 * Method 'getEsnombreProvincia'.
	 * 
	 * @return String
	 */

	public String getEsnombreProvincia() {
		return this.esnombreProvincia;
	}

	/**
	 * Method 'setEsnombreProvincia'.
	 * 
	 * @param esnombreProvincia
	 *            String
	 * @return
	 */

	public void setEsnombreProvincia(String esnombreProvincia) {
		this.esnombreProvincia = esnombreProvincia;
	}

	/**
	 * Method 'getEsnoraMunicipioId'.
	 * 
	 * @return String
	 */

	public String getEsnoraMunicipioId() {
		return this.esnoraMunicipioId;
	}

	/**
	 * Method 'setEsnoraMunicipioId'.
	 * 
	 * @param esnoraMunicipioId
	 *            String
	 * @return
	 */

	public void setEsnoraMunicipioId(String esnoraMunicipioId) {
		this.esnoraMunicipioId = esnoraMunicipioId;
	}

	/**
	 * Method 'getEsnombreMunicipio'.
	 * 
	 * @return String
	 */

	public String getEsnombreMunicipio() {
		return this.esnombreMunicipio;
	}

	/**
	 * Method 'setEsnombreMunicipio'.
	 * 
	 * @param esnombreMunicipio
	 *            String
	 * @return
	 */

	public void setEsnombreMunicipio(String esnombreMunicipio) {
		this.esnombreMunicipio = esnombreMunicipio;
	}

	/**
	 * Method 'getEsnoraLocalidadId'.
	 * 
	 * @return String
	 */

	public String getEsnoraLocalidadId() {
		return this.esnoraLocalidadId;
	}

	/**
	 * Method 'setEsnoraLocalidadId'.
	 * 
	 * @param esnoraLocalidadId
	 *            String
	 * @return
	 */

	public void setEsnoraLocalidadId(String esnoraLocalidadId) {
		this.esnoraLocalidadId = esnoraLocalidadId;
	}

	/**
	 * Method 'getEsnombreLocalidad'.
	 * 
	 * @return String
	 */

	public String getEsnombreLocalidad() {
		return this.esnombreLocalidad;
	}

	/**
	 * Method 'setEsnombreLocalidad'.
	 * 
	 * @param esnombreLocalidad
	 *            String
	 * @return
	 */

	public void setEsnombreLocalidad(String esnombreLocalidad) {
		this.esnombreLocalidad = esnombreLocalidad;
	}

	/**
	 * Method 'getEsnoraCalleId'.
	 * 
	 * @return String
	 */

	public String getEsnoraCalleId() {
		return this.esnoraCalleId;
	}

	/**
	 * Method 'setEsnoraCalleId'.
	 * 
	 * @param esnoraCalleId
	 *            String
	 * @return
	 */

	public void setEsnoraCalleId(String esnoraCalleId) {
		this.esnoraCalleId = esnoraCalleId;
	}

	/**
	 * Method 'getEsnombreCalle'.
	 * 
	 * @return String
	 */

	public String getEsnombreCalle() {
		return this.esnombreCalle;
	}

	/**
	 * Method 'setEsnombreCalle'.
	 * 
	 * @param esnombreCalle
	 *            String
	 * @return
	 */

	public void setEsnombreCalle(String esnombreCalle) {
		this.esnombreCalle = esnombreCalle;
	}

	/**
	 * Method 'getEsnoraCpId'.
	 * 
	 * @return String
	 */

	public String getEsnoraCpId() {
		return this.esnoraCpId;
	}

	/**
	 * Method 'setEsnoraCpId'.
	 * 
	 * @param esnoraCpId
	 *            String
	 * @return
	 */

	public void setEsnoraCpId(String esnoraCpId) {
		this.esnoraCpId = esnoraCpId;
	}

	/**
	 * Method 'getEsnombreCp'.
	 * 
	 * @return String
	 */

	public String getEsnombreCp() {
		return this.esnombreCp;
	}

	/**
	 * Method 'setEsnombreCp'.
	 * 
	 * @param esnombreCp
	 *            String
	 * @return
	 */

	public void setEsnombreCp(String esnombreCp) {
		this.esnombreCp = esnombreCp;
	}

	/**
	 * Method 'getEsnoraPortalId'.
	 * 
	 * @return String
	 */

	public String getEsnoraPortalId() {
		return this.esnoraPortalId;
	}

	/**
	 * Method 'setEsnoraPortalId'.
	 * 
	 * @param esnoraPortalId
	 *            String
	 * @return
	 */

	public void setEsnoraPortalId(String esnoraPortalId) {
		this.esnoraPortalId = esnoraPortalId;
	}

	/**
	 * Method 'getEsnombrePortal'.
	 * 
	 * @return String
	 */

	public String getEsnombrePortal() {
		return this.esnombrePortal;
	}

	/**
	 * Method 'setEsnombrePortal'.
	 * 
	 * @param esnombrePortal
	 *            String
	 * @return
	 */

	public void setEsnombrePortal(String esnombrePortal) {
		this.esnombrePortal = esnombrePortal;
	}

	/**
	 * Method 'getEstablecimArbitras'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<EstablecimArbitra> getEstablecimArbitras() {
		return this.establecimArbitras;
	}

	/**
	 * Method 'setEstablecimArbitras'.
	 * 
	 * @param establecimArbitras
	 *            List
	 * @return
	 */
	public void setEstablecimArbitras(List<EstablecimArbitra> establecimArbitras) {
		this.establecimArbitras = establecimArbitras;
	}

	/**
	 * Method 'getEstablecimSectors'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<EstablecimSector> getEstablecimSectors() {
		return this.establecimSectors;
	}

	/**
	 * Method 'setEstablecimSectors'.
	 * 
	 * @param establecimSectors
	 *            List
	 * @return
	 */
	public void setEstablecimSectors(List<EstablecimSector> establecimSectors) {
		this.establecimSectors = establecimSectors;
	}

	/**
	 * @return the esinfeba
	 */
	public String getEsinfeba() {
		return esinfeba;
	}

	/**
	 * @param esinfeba
	 *            the esinfeba to set
	 */
	public void setEsinfeba(String esinfeba) {
		this.esinfeba = esinfeba;
	}

	/**
	 * @return the esnombrePiso
	 */
	public String getEsnombrePiso() {
		return esnombrePiso;
	}

	/**
	 * @param esnombrePiso
	 *            the esnombrePiso to set
	 */
	public void setEsnombrePiso(String esnombrePiso) {
		this.esnombrePiso = esnombrePiso;
	}

	/**
	 * @return the esdireccionCompleta
	 */
	public String getEsdireccionCompleta() {
		return esdireccionCompleta;
	}

	/**
	 * @param esdireccionCompleta
	 *            the esdireccionCompleta to set
	 */
	public void setEsdireccionCompleta(String esdireccionCompleta) {
		this.esdireccionCompleta = esdireccionCompleta;
	}

	/**
	 * @return the esexpedientesAbiertos
	 */
	public String getEsexpedientesAbiertos() {
		return esexpedientesAbiertos;
	}

	/**
	 * @param esexpedientesAbiertos
	 *            the esexpedientesAbiertos to set
	 */
	public void setEsexpedientesAbiertos(String esexpedientesAbiertos) {
		this.esexpedientesAbiertos = esexpedientesAbiertos;
	}

	/**
	 * @return the esdireccion_nocapv
	 */
	public String getEsdireccion_nocapv() {
		return esdireccion_nocapv;
	}

	/**
	 * @param esdireccion_nocapv
	 *            the esdireccion_nocapv to set
	 */
	public void setEsdireccion_nocapv(String esdireccion_nocapv) {
		this.esdireccion_nocapv = esdireccion_nocapv;
	}

	/**
	 * @return the esextranjero
	 */
	public String getEsextranjero() {
		return esextranjero;
	}

	/**
	 * @param esextranjero
	 *            the esextranjero to set
	 */
	public void setEsextranjero(String esextranjero) {
		this.esextranjero = esextranjero;
	}

	/**
	 * @return the esestado
	 */
	public String getEsestado() {
		return esestado;
	}

	/**
	 * @param esestado
	 *            the esestado to set
	 */
	public void setEsestado(String esestado) {
		this.esestado = esestado;
	}

	/**
	 * @return the idsDescriptores
	 */
	public String getIdsDescriptores() {
		return idsDescriptores;
	}

	/**
	 * @param idsDescriptores
	 *            the idsDescriptores to set
	 */
	public void setIdsDescriptores(String idsDescriptores) {
		this.idsDescriptores = idsDescriptores;
	}

	/**
	 * @return the descriptores
	 */
	public List<Descriptor> getDescriptores() {
		return descriptores;
	}

	/**
	 * @param descriptores
	 *            the descriptores to set
	 */
	public void setDescriptores(List<Descriptor> descriptores) {
		this.descriptores = descriptores;
	}

	/**
	 * @return the essede
	 */
	public String getEssede() {
		return essede;
	}

	/**
	 * @param essede
	 *            the essede to set
	 */
	public void setEssede(String essede) {
		this.essede = essede;
	}

	/**
	 * @return the sedes
	 */
	public List<Sede> getSedes() {
		return sedes;
	}

	/**
	 * @param sedes
	 *            the sedes to set
	 */
	public void setSedes(List<Sede> sedes) {
		this.sedes = sedes;
	}

	/**
	 * @return the esmailnotificacion
	 */
	public String getEsmailnotificacion() {
		return esmailnotificacion;
	}

	/**
	 * @param esmailnotificacion
	 *            the esmailnotificacion to set
	 */
	public void setEsmailnotificacion(String esmailnotificacion) {
		this.esmailnotificacion = esmailnotificacion;
	}

	/**
	 * @return the bajaAd
	 */
	public String getBajaAd() {
		return bajaAd;
	}

	/**
	 * @param bajaAd
	 *            the bajaAd to set
	 */
	public void setBajaAd(String bajaAd) {
		this.bajaAd = bajaAd;
	}

	/**
	 * @return the ahfeba
	 */
	public Date getAhfeba() {
		return ahfeba;
	}

	/**
	 * @param ahfeba
	 *            the ahfeba to set
	 */
	public void setAhfeba(Date ahfeba) {
		this.ahfeba = ahfeba;
	}

	/**
	 * @return the ahtelimi
	 */
	public String getAhtelimi() {
		return ahtelimi;
	}

	/**
	 * @param ahtelimi
	 *            the ahtelimi to set
	 */
	public void setAhtelimi(String ahtelimi) {
		this.ahtelimi = ahtelimi;
	}

	/**
	 * @return the esfeerd
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getEsfeerd() {
		return esfeerd;
	}

	/**
	 * @param esfeerd
	 *            the esfeerd to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setEsfeerd(Date esfeerd) {
		this.esfeerd = esfeerd;
	}

	/**
	 * @return the ahcoja
	 */
	public String getAhcoja() {
		return ahcoja;
	}

	/**
	 * @param ahcoja
	 *            the ahcoja to set
	 */
	public void setAhcoja(String ahcoja) {
		this.ahcoja = ahcoja;
	}

	/**
	 * @param ahnrdi
	 *            the ahnrdi to set
	 */
	public void setAhnrdi(String ahnrdi) {
		this.ahnrdi = ahnrdi;
	}

	/**
	 * @return the ahnrdi
	 */
	public String getAhnrdi() {
		return ahnrdi;
	}

	/**
	 * @return the estipid
	 */
	public String getEstipid() {
		return estipid;
	}

	/**
	 * @param estipid
	 *            the estipid to set
	 */
	public void setEstipid(String estipid) {
		this.estipid = estipid;
	}

	public void setSinRenuncia(String sinRenuncia) {
		this.sinRenuncia = sinRenuncia;
	}

	public String getSinRenuncia() {
		return sinRenuncia;
	}

	public void setEsilocalizable(String esilocalizable) {
		this.esilocalizable = esilocalizable;
	}

	public String getEsilocalizable() {
		return esilocalizable;
	}

	public void setEsnocolabora(String esnocolabora) {
		this.esnocolabora = esnocolabora;
	}

	public String getEsnocolabora() {
		return esnocolabora;
	}

	public void setEstablecimientoCerrado(String establecimientoCerrado) {
		this.establecimientoCerrado = establecimientoCerrado;
	}

	public String getEstablecimientoCerrado() {
		return establecimientoCerrado;
	}

	/**
	 * @return the esCanalPrioritario
	 */
	public String getEsCanalPrioritario() {
		return esCanalPrioritario;
	}

	/**
	 * @param esCanalPrioritario
	 *            the esCanalPrioritario to set
	 */
	public void setEsCanalPrioritario(String esCanalPrioritario) {
		this.esCanalPrioritario = esCanalPrioritario;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Establecimiento [escodigo=" + escodigo + ", censoMonitor=" + censoMonitor + ", esnombre=" + esnombre
				+ ", estipid=" + estipid + ", esnif=" + esnif + ", esnoan=" + esnoan + ", esnoco=" + esnoco
				+ ", esnodir=" + esnodir + ", escolo=" + escolo + ", esnrcopo=" + esnrcopo + ", esnrtel=" + esnrtel
				+ ", esnrfax=" + esnrfax + ", escopa=" + escopa + ", esincapr=" + esincapr + ", esindemp=" + esindemp
				+ ", esteco=" + esteco + ", esinadar=" + esinadar + ", esfeadar=" + esfeadar + ", escoem=" + escoem
				+ ", esmailnotificacion=" + esmailnotificacion + ", esinempr=" + esinempr + ", esnrtel2=" + esnrtel2
				+ ", esinfeba=" + esinfeba + ", esfeba=" + esfeba + ", esnoap1=" + esnoap1 + ", esnoap2=" + esnoap2
				+ ", esnolo=" + esnolo + ", escomapv=" + escomapv + ", escoca=" + escoca + ", esnopeco=" + esnopeco
				+ ", escoidco=" + escoidco + ", esinreco=" + esinreco + ", esfemod=" + esfemod + ", esinesco="
				+ esinesco + ", esnomu=" + esnomu + ", esnorep=" + esnorep + ", esnifrep=" + esnifrep + ", dtteemr="
				+ dtteemr + ", escarep=" + escarep + ", esteurl=" + esteurl + ", escooe=" + escooe + ", esnodeco="
				+ esnodeco + ", esintiar=" + esintiar + ", esfeplad=" + esfeplad + ", esindeme=" + esindeme
				+ ", esnoraPaisId=" + esnoraPaisId + ", esnoraPaisNombre=" + esnoraPaisNombre + ", esnoraProvinciaId="
				+ esnoraProvinciaId + ", esnombreProvincia=" + esnombreProvincia + ", esnoraMunicipioId="
				+ esnoraMunicipioId + ", esnombreMunicipio=" + esnombreMunicipio + ", esnoraLocalidadId="
				+ esnoraLocalidadId + ", esnombreLocalidad=" + esnombreLocalidad + ", esnoraCalleId=" + esnoraCalleId
				+ ", esnombreCalle=" + esnombreCalle + ", esnoraCpId=" + esnoraCpId + ", esnombreCp=" + esnombreCp
				+ ", esnoraPortalId=" + esnoraPortalId + ", esnombrePortal=" + esnombrePortal + ", esnombrePiso="
				+ esnombrePiso + ", esdireccion_nocapv=" + esdireccion_nocapv + ", esdireccionCompleta="
				+ esdireccionCompleta + ", esexpedientesAbiertos=" + esexpedientesAbiertos + ", esextranjero="
				+ esextranjero + ", esestado=" + esestado + ", essede=" + essede + ", idsDescriptores="
				+ idsDescriptores + ", establecimArbitras=" + establecimArbitras + ", establecimSectors="
				+ establecimSectors + ", descriptores=" + descriptores + ", sedes=" + sedes + ", bajaAd=" + bajaAd
				+ ", ahfeba=" + ahfeba + ", ahtelimi=" + ahtelimi + ", esfeerd=" + esfeerd + ", ahcoja=" + ahcoja
				+ ", ahnrdi=" + ahnrdi + ", sinRenuncia=" + sinRenuncia + ", esilocalizable=" + esilocalizable
				+ ", esnocolabora=" + esnocolabora + ", establecimientoCerrado=" + establecimientoCerrado + "]";
	}

}
