package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * * EstadisticasKontsumonetBusqueda  
 * 
 *  
 */

public class EstadisticasConsultasTiempoAtencion implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String numeroConsulta;
	private Date cofecha;
	private String cohora;
	private String horaconsumidor;
	private Date coferes;

	private String cocosx;

	private String psnombre;
	private String psnombree;

	private BigDecimal demora;
	private BigDecimal demoraHoras;
	private BigDecimal demoraMinutos;

	private BigDecimal diasResponder;

	/**
	 * Method 'EstadisticasConsultasTiempoAtencion'.
	 * 
	 */
	public EstadisticasConsultasTiempoAtencion() {
	}

	/**
	 * @param numeroConsulta
	 * @param cofecha
	 * @param cohora
	 * @param horaconsumidor
	 * @param coferes
	 * @param cocosx
	 * @param psnombre
	 * @param psnombree
	 * @param demora
	 * @param demoraHoras
	 * @param demoraMinutos
	 * @param diasResponder
	 */
	public EstadisticasConsultasTiempoAtencion(String numeroConsulta,
			Date cofecha, String cohora, String horaconsumidor, Date coferes,
			String cocosx, String psnombre, String psnombree,
			BigDecimal demora, BigDecimal demoraHoras,
			BigDecimal demoraMinutos, BigDecimal diasResponder) {
		this.numeroConsulta = numeroConsulta;
		this.cofecha = cofecha;
		this.cohora = cohora;
		this.horaconsumidor = horaconsumidor;
		this.coferes = coferes;
		this.cocosx = cocosx;
		this.psnombre = psnombre;
		this.psnombree = psnombree;
		this.demora = demora;
		this.demoraHoras = demoraHoras;
		this.demoraMinutos = demoraMinutos;
		this.diasResponder = diasResponder;
	}

	/**
	 * @return the numeroConsulta
	 */
	public String getNumeroConsulta() {
		return numeroConsulta;
	}

	/**
	 * @param numeroConsulta
	 *            the numeroConsulta to set
	 */
	public void setNumeroConsulta(String numeroConsulta) {
		this.numeroConsulta = numeroConsulta;
	}

	/**
	 * @return the cofecha
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getCofecha() {
		return cofecha;
	}

	/**
	 * @param cofecha
	 *            the cofecha to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setCofecha(Date cofecha) {
		this.cofecha = cofecha;
	}

	/**
	 * @return the cohora
	 */
	public String getCohora() {
		return cohora;
	}

	/**
	 * @param cohora
	 *            the cohora to set
	 */
	public void setCohora(String cohora) {
		this.cohora = cohora;
	}

	/**
	 * @return the horaconsumidor
	 */
	public String getHoraconsumidor() {
		return horaconsumidor;
	}

	/**
	 * @param horaconsumidor
	 *            the horaconsumidor to set
	 */
	public void setHoraconsumidor(String horaconsumidor) {
		this.horaconsumidor = horaconsumidor;
	}

	/**
	 * @return the coferes
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getCoferes() {
		return coferes;
	}

	/**
	 * @param coferes
	 *            the coferes to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setCoferes(Date coferes) {
		this.coferes = coferes;
	}

	/**
	 * @return the cocosx
	 */
	public String getCocosx() {
		return cocosx;
	}

	/**
	 * @param cocosx
	 *            the cocosx to set
	 */
	public void setCocosx(String cocosx) {
		this.cocosx = cocosx;
	}

	/**
	 * @return the psnombre
	 */
	public String getPsnombre() {
		return psnombre;
	}

	/**
	 * @param psnombre
	 *            the psnombre to set
	 */
	public void setPsnombre(String psnombre) {
		this.psnombre = psnombre;
	}

	/**
	 * @return the psnombree
	 */
	public String getPsnombree() {
		return psnombree;
	}

	/**
	 * @param psnombree
	 *            the psnombree to set
	 */
	public void setPsnombree(String psnombree) {
		this.psnombree = psnombree;
	}

	/**
	 * @return the demora
	 */
	public BigDecimal getDemora() {
		return demora;
	}

	/**
	 * @param demora
	 *            the demora to set
	 */
	public void setDemora(BigDecimal demora) {
		this.demora = demora;
	}

	/**
	 * @return the demoraHoras
	 */
	public BigDecimal getDemoraHoras() {
		return demoraHoras;
	}

	/**
	 * @param demoraHoras
	 *            the demoraHoras to set
	 */
	public void setDemoraHoras(BigDecimal demoraHoras) {
		this.demoraHoras = demoraHoras;
	}

	/**
	 * @return the demoraMinutos
	 */
	public BigDecimal getDemoraMinutos() {
		return demoraMinutos;
	}

	/**
	 * @param demoraMinutos
	 *            the demoraMinutos to set
	 */
	public void setDemoraMinutos(BigDecimal demoraMinutos) {
		this.demoraMinutos = demoraMinutos;
	}

	/**
	 * @return the diasResponder
	 */
	public BigDecimal getDiasResponder() {
		return diasResponder;
	}

	/**
	 * @param diasResponder
	 *            the diasResponder to set
	 */
	public void setDiasResponder(BigDecimal diasResponder) {
		this.diasResponder = diasResponder;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "EstadisticasConsultasTiempoAtencion [numeroConsulta="
				+ numeroConsulta + ", cofecha=" + cofecha + ", cohora="
				+ cohora + ", horaconsumidor=" + horaconsumidor + ", coferes="
				+ coferes + ", cocosx=" + cocosx + ", psnombre=" + psnombre
				+ ", psnombree=" + psnombree + ", demora=" + demora
				+ ", demoraHoras=" + demoraHoras + ", demoraMinutos="
				+ demoraMinutos + ", diasResponder=" + diasResponder + "]";
	}

}
