package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * HechoDenunciado  
 * 
 *  
 */

public class HechoDenunciado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String hdcodigo;
	private Denuncia denuncia;
	private Establecimiento establecimiento;
	private Sector sector;
	private CensoMonitor censoMonitor;
	private Producto producto;
	private TipoReclamacion tipoReclamacion;
	private Motivo motivo;
	private Long hdnror;
	private String hdte;
	private String hdtedoad;
	private String hdcoav;
	private String hdnops;
	private String hdnomaps;
	private String hdnomops;
	private String hdnrlops;
	private String hdcodigobarras;
	private Date hdfedmps;
	private String hdinsotr;
	private String hdinsoma;
	private BigDecimal hdcaptso;
	private String hdteso;
	private Date hdfeardt;
	private Date hdfeiohd;
	private String hdininin;
	private Date hdfeiopc;
	private Date hdferopc;
	private String hdcorepc;
	private Date hdfeiorp;
	private Date hdferorp;
	private String hdcoreap;
	private Date hdfeiora;
	private String hdteacpa;
	private Date hdfeceac;
	private String hdhoceac;
	private Date hdfeioca;
	private String hdteacde;
	private Date hdfeioac;
	private Date hdfeiofc;
	private String hdcotra;
	private String hdte02;
	private String hdte03;
	private String hdte04;
	private String hdte05;
	private String hdte06;
	private String hdte07;
	private String hdte08;
	private String hdte09;
	private String hdte10;
	private String hdcosc;
	private String hdidal;
	private Date hdferoad;
	private Date hdferoat;
	private String hdtealdt;
	private String hdtedeat;
	private Date hdfedeat;
	private Date hdfehd;
	private String hdtedoade;
	private String hdtedoadi;
	private String hdtedoadf;
	private String hdtedoada;
	private String hdnopse;
	private String hdnopsi;
	private String hdnopsf;
	private String hdnopsa;
	private String hdcocodigo;
	private String iskontsumobide;
	private String fcodigoactual;
	private String trcodigoactual;
	private String trposiblecodigo;
	private String hdparticipacionreclamado;
	private String hdidiomareclamado;
	private String hddestnotificareclamante;
	private String hddestnotificareclamado;
	private String istelematico;
	private String hdesnombretelematico;
	private String hdesdirecciontelematico;

	// Codigo expediente origen
	private String hdcodexpedienteorigen;

	// Forma Notificacion
	private String hdformanotificacion;
	private String hdformanotificacionestablecimiento;

	// Numero de registro de entrada
	private String numregistroentrada;

	private String hdidioma;

	private String hdnumregistroentradaorigen;
	private Date hdfecharegistroorigen;
	private String hdformaventa;
	private String hdformaventatelematica;

	private List<TramiteHecho> tramiteHechos = new ArrayList<TramiteHecho>();
	private List<DocumentoHecho> documentoHechos = new ArrayList<DocumentoHecho>();
	private List<SolicitudArbitraje> solicitudArbitrajes = new ArrayList<SolicitudArbitraje>();
	private List<DecisionHecho> decisionHechos = new ArrayList<DecisionHecho>();

	private String hddenunciaaaccempresas;
	private String hdtipodenunciante;

	private String hdinteresado;

	// Asiento Registral
	private String isSir;
	private String arSolicitante;
	private String arResumen;

	/**
	 * Method 'HechoDenunciado'.
	 * 
	 */
	public HechoDenunciado() {
	}

	/**
	 * Method 'HechoDenunciado'.
	 * 
	 * @param hdcodigo
	 *            String
	 * 
	 */
	public HechoDenunciado(String hdcodigo) {
		this.hdcodigo = hdcodigo;
	}

	/**
	 * Method 'HechoDenunciado'.
	 * 
	 * @param hdcodigo
	 *            String
	 * @param hdnror
	 *            Long
	 * @param hdte
	 *            String
	 * @param hdtedoad
	 *            String
	 * @param hdcoav
	 *            String
	 * @param hdnops
	 *            String
	 * @param hdnomaps
	 *            String
	 * @param hdnomops
	 *            String
	 * @param hdnrlops
	 *            String
	 * @param hdcodigobarras
	 *            String
	 * @param hdfedmps
	 *            Date
	 * @param hdinsotr
	 *            String
	 * @param hdinsoma
	 *            String
	 * @param hdcaptso
	 *            BigDecimal
	 * @param hdteso
	 *            String
	 * @param hdfeardt
	 *            Date
	 * @param hdfeiohd
	 *            Date
	 * @param hdininin
	 *            String
	 * @param hdfeiopc
	 *            Date
	 * @param hdferopc
	 *            Date
	 * @param hdcorepc
	 *            String
	 * @param hdfeiorp
	 *            Date
	 * @param hdferorp
	 *            Date
	 * @param hdcoreap
	 *            String
	 * @param hdfeiora
	 *            Date
	 * @param hdteacpa
	 *            String
	 * @param hdfeceac
	 *            Date
	 * @param hdhoceac
	 *            String
	 * @param hdfeioca
	 *            Date
	 * @param hdteacde
	 *            String
	 * @param hdfeioac
	 *            Date
	 * @param hdfeiofc
	 *            Date
	 * @param hdcotra
	 *            String
	 * @param hdte02
	 *            String
	 * @param hdte03
	 *            String
	 * @param hdte04
	 *            String
	 * @param hdte05
	 *            String
	 * @param hdte06
	 *            String
	 * @param hdte07
	 *            String
	 * @param hdte08
	 *            String
	 * @param hdte09
	 *            String
	 * @param hdte10
	 *            String
	 * @param hdcosc
	 *            String
	 * @param hdidal
	 *            String
	 * @param hdferoad
	 *            Date
	 * @param hdferoat
	 *            Date
	 * @param hdtealdt
	 *            String
	 * @param hdtedeat
	 *            String
	 * @param hdfedeat
	 *            Date
	 * @param hdfehd
	 *            Date
	 * @param hdtedoade
	 *            String
	 * @param hdtedoadi
	 *            String
	 * @param hdtedoadf
	 *            String
	 * @param hdtedoada
	 *            String
	 * @param hdnopse
	 *            String
	 * @param hdnopsi
	 *            String
	 * @param hdnopsf
	 *            String
	 * @param hdnopsa
	 *            String
	 * @param hdcocodigo
	 *            String
	 * @param iskontsumobide
	 *            String
	 * @param hdformanotificacion
	 *            String
	 * @param hdformanotificacionestablecimiento
	 *            String
	 * @param hdcodexpedienteorigen
	 *            String
	 * @param numregistroentrada
	 *            String
	 * @param hdformaventa
	 *            String
	 * @param hdidioma
	 *            String
	 * @param hdinteresado
	 *            String
	 * @param denuncia
	 *            Denuncia
	 * @param establecimiento
	 *            Establecimiento
	 * @param sector
	 *            Sector
	 * @param censoMonitor
	 *            CensoMonitor
	 * @param producto
	 *            Producto
	 * @param tipoReclamacion
	 *            TipoReclamacion
	 * @param motivo
	 *            Motivo
	 */
	public HechoDenunciado(String hdcodigo, Long hdnror, String hdte, String hdtedoad, String hdcoav, String hdnops,
			String hdnomaps, String hdnomops, String hdnrlops, String hdcodigobarras, Date hdfedmps, String hdinsotr,
			String hdinsoma, BigDecimal hdcaptso, String hdteso, Date hdfeardt, Date hdfeiohd, String hdininin,
			Date hdfeiopc, Date hdferopc, String hdcorepc, Date hdfeiorp, Date hdferorp, String hdcoreap, Date hdfeiora,
			String hdteacpa, Date hdfeceac, String hdhoceac, Date hdfeioca, String hdteacde, Date hdfeioac,
			Date hdfeiofc, String hdcotra, String hdte02, String hdte03, String hdte04, String hdte05, String hdte06,
			String hdte07, String hdte08, String hdte09, String hdte10, String hdcosc, String hdidal, Date hdferoad,
			Date hdferoat, String hdtealdt, String hdtedeat, Date hdfedeat, Date hdfehd, String hdtedoade,
			String hdtedoadi, String hdtedoadf, String hdtedoada, String hdnopse, String hdnopsi, String hdnopsf,
			String hdnopsa, String hdcocodigo, String iskontsumobide, String hdformanotificacion,
			String hdformanotificacionestablecimiento, String hdcodexpedienteorigen, String numregistroentrada,
			String hdformaventa, String hdidioma, String hdinteresado, Denuncia denuncia,
			Establecimiento establecimiento, Sector sector, CensoMonitor censoMonitor, Producto producto,
			TipoReclamacion tipoReclamacion, Motivo motivo) {
		this.hdcodigo = hdcodigo;
		this.denuncia = denuncia;
		this.establecimiento = establecimiento;
		this.sector = sector;
		this.censoMonitor = censoMonitor;
		this.producto = producto;
		this.tipoReclamacion = tipoReclamacion;
		this.motivo = motivo;
		this.hdnror = hdnror;
		this.hdte = hdte;
		this.hdtedoad = hdtedoad;
		this.hdcoav = hdcoav;
		this.hdnops = hdnops;
		this.hdnomaps = hdnomaps;
		this.hdnomops = hdnomops;
		this.hdnrlops = hdnrlops;
		this.hdcodigobarras = hdcodigobarras;
		this.hdfedmps = hdfedmps;
		this.hdinsotr = hdinsotr;
		this.hdinsoma = hdinsoma;
		this.hdcaptso = hdcaptso;
		this.hdteso = hdteso;
		this.hdfeardt = hdfeardt;
		this.hdfeiohd = hdfeiohd;
		this.hdininin = hdininin;
		this.hdfeiopc = hdfeiopc;
		this.hdferopc = hdferopc;
		this.hdcorepc = hdcorepc;
		this.hdfeiorp = hdfeiorp;
		this.hdferorp = hdferorp;
		this.hdcoreap = hdcoreap;
		this.hdfeiora = hdfeiora;
		this.hdteacpa = hdteacpa;
		this.hdfeceac = hdfeceac;
		this.hdhoceac = hdhoceac;
		this.hdfeioca = hdfeioca;
		this.hdteacde = hdteacde;
		this.hdfeioac = hdfeioac;
		this.hdfeiofc = hdfeiofc;
		this.hdcotra = hdcotra;
		this.hdte02 = hdte02;
		this.hdte03 = hdte03;
		this.hdte04 = hdte04;
		this.hdte05 = hdte05;
		this.hdte06 = hdte06;
		this.hdte07 = hdte07;
		this.hdte08 = hdte08;
		this.hdte09 = hdte09;
		this.hdte10 = hdte10;
		this.hdcosc = hdcosc;
		this.hdidal = hdidal;
		this.hdferoad = hdferoad;
		this.hdferoat = hdferoat;
		this.hdtealdt = hdtealdt;
		this.hdtedeat = hdtedeat;
		this.hdfedeat = hdfedeat;
		this.hdfehd = hdfehd;
		this.hdtedoade = hdtedoade;
		this.hdtedoadi = hdtedoadi;
		this.hdtedoadf = hdtedoadf;
		this.hdtedoada = hdtedoada;
		this.hdnopse = hdnopse;
		this.hdnopsi = hdnopsi;
		this.hdnopsf = hdnopsf;
		this.hdnopsa = hdnopsa;
		this.hdcocodigo = hdcocodigo;
		this.iskontsumobide = iskontsumobide;
		this.hdformanotificacion = hdformanotificacion;
		this.hdformanotificacionestablecimiento = hdformanotificacionestablecimiento;
		this.hdcodexpedienteorigen = hdcodexpedienteorigen;
		this.numregistroentrada = numregistroentrada;
		this.hdformaventa = hdformaventa;
		this.hdidioma = hdidioma;
		this.hdinteresado = hdinteresado;
	}

	/**
	 * Method 'HechoDenunciado'.
	 * 
	 * @param hdcodigo
	 *            String
	 * @param hdnror
	 *            Long
	 * @param hdte
	 *            String
	 * @param hdtedoad
	 *            String
	 * @param hdcoav
	 *            String
	 * @param hdnops
	 *            String
	 * @param hdnomaps
	 *            String
	 * @param hdnomops
	 *            String
	 * @param hdnrlops
	 *            String
	 * @param hdfedmps
	 *            Date
	 * @param hdinsotr
	 *            String
	 * @param hdinsoma
	 *            String
	 * @param hdcaptso
	 *            BigDecimal
	 * @param hdteso
	 *            String
	 * @param hdfeardt
	 *            Date
	 * @param hdfeiohd
	 *            Date
	 * @param hdininin
	 *            String
	 * @param hdfeiopc
	 *            Date
	 * @param hdferopc
	 *            Date
	 * @param hdcorepc
	 *            String
	 * @param hdfeiorp
	 *            Date
	 * @param hdferorp
	 *            Date
	 * @param hdcoreap
	 *            String
	 * @param hdfeiora
	 *            Date
	 * @param hdteacpa
	 *            String
	 * @param hdfeceac
	 *            Date
	 * @param hdhoceac
	 *            String
	 * @param hdfeioca
	 *            Date
	 * @param hdteacde
	 *            String
	 * @param hdfeioac
	 *            Date
	 * @param hdfeiofc
	 *            Date
	 * @param hdcotra
	 *            String
	 * @param hdte02
	 *            String
	 * @param hdte03
	 *            String
	 * @param hdte04
	 *            String
	 * @param hdte05
	 *            String
	 * @param hdte06
	 *            String
	 * @param hdte07
	 *            String
	 * @param hdte08
	 *            String
	 * @param hdte09
	 *            String
	 * @param hdte10
	 *            String
	 * @param hdcosc
	 *            String
	 * @param hdidal
	 *            String
	 * @param hdferoad
	 *            Date
	 * @param hdferoat
	 *            Date
	 * @param hdtealdt
	 *            String
	 * @param hdtedeat
	 *            String
	 * @param hdfedeat
	 *            Date
	 * @param hdfehd
	 *            Date
	 * @param hdtedoade
	 *            String
	 * @param hdtedoadi
	 *            String
	 * @param hdtedoadf
	 *            String
	 * @param hdtedoada
	 *            String
	 * @param hdnopse
	 *            String
	 * @param hdnopsi
	 *            String
	 * @param hdnopsf
	 *            String
	 * @param hdnopsa
	 *            String
	 * @param hdcocodigo
	 *            String
	 * @param denuncia
	 *            Denuncia
	 * @param establecimiento
	 *            Establecimiento
	 * @param sector
	 *            Sector
	 * @param censoMonitor
	 *            CensoMonitor
	 * @param producto
	 *            Producto
	 * @param tipoReclamacion
	 *            TipoReclamacion
	 * @param motivo
	 *            Motivo
	 * @param tramiteHechos
	 *            List<TramiteHecho>
	 * @param documentoHechos
	 *            List<DocumentoHecho>
	 * @param solicitudArbitrajes
	 *            List<SolicitudArbitraje>
	 * @param decisionHechos
	 *            List<DecisionHecho>
	 */
	public HechoDenunciado(String hdcodigo, Long hdnror, String hdte, String hdtedoad, String hdcoav, String hdnops,
			String hdnomaps, String hdnomops, String hdnrlops, Date hdfedmps, String hdinsotr, String hdinsoma,
			BigDecimal hdcaptso, String hdteso, Date hdfeardt, Date hdfeiohd, String hdininin, Date hdfeiopc,
			Date hdferopc, String hdcorepc, Date hdfeiorp, Date hdferorp, String hdcoreap, Date hdfeiora,
			String hdteacpa, Date hdfeceac, String hdhoceac, Date hdfeioca, String hdteacde, Date hdfeioac,
			Date hdfeiofc, String hdcotra, String hdte02, String hdte03, String hdte04, String hdte05, String hdte06,
			String hdte07, String hdte08, String hdte09, String hdte10, String hdcosc, String hdidal, Date hdferoad,
			Date hdferoat, String hdtealdt, String hdtedeat, Date hdfedeat, Date hdfehd, String hdtedoade,
			String hdtedoadi, String hdtedoadf, String hdtedoada, String hdnopse, String hdnopsi, String hdnopsf,
			String hdnopsa, String hdcocodigo, Denuncia denuncia, Establecimiento establecimiento, Sector sector,
			CensoMonitor censoMonitor, Producto producto, TipoReclamacion tipoReclamacion, Motivo motivo,
			List<TramiteHecho> tramiteHechos, List<DocumentoHecho> documentoHechos,
			List<SolicitudArbitraje> solicitudArbitrajes, List<DecisionHecho> decisionHechos) {

		this.hdcodigo = hdcodigo;
		this.denuncia = denuncia;
		this.establecimiento = establecimiento;
		this.sector = sector;
		this.censoMonitor = censoMonitor;
		this.producto = producto;
		this.tipoReclamacion = tipoReclamacion;
		this.motivo = motivo;
		this.hdnror = hdnror;
		this.hdte = hdte;
		this.hdtedoad = hdtedoad;
		this.hdcoav = hdcoav;
		this.hdnops = hdnops;
		this.hdnomaps = hdnomaps;
		this.hdnomops = hdnomops;
		this.hdnrlops = hdnrlops;
		this.hdfedmps = hdfedmps;
		this.hdinsotr = hdinsotr;
		this.hdinsoma = hdinsoma;
		this.hdcaptso = hdcaptso;
		this.hdteso = hdteso;
		this.hdfeardt = hdfeardt;
		this.hdfeiohd = hdfeiohd;
		this.hdininin = hdininin;
		this.hdfeiopc = hdfeiopc;
		this.hdferopc = hdferopc;
		this.hdcorepc = hdcorepc;
		this.hdfeiorp = hdfeiorp;
		this.hdferorp = hdferorp;
		this.hdcoreap = hdcoreap;
		this.hdfeiora = hdfeiora;
		this.hdteacpa = hdteacpa;
		this.hdfeceac = hdfeceac;
		this.hdhoceac = hdhoceac;
		this.hdfeioca = hdfeioca;
		this.hdteacde = hdteacde;
		this.hdfeioac = hdfeioac;
		this.hdfeiofc = hdfeiofc;
		this.hdcotra = hdcotra;
		this.hdte02 = hdte02;
		this.hdte03 = hdte03;
		this.hdte04 = hdte04;
		this.hdte05 = hdte05;
		this.hdte06 = hdte06;
		this.hdte07 = hdte07;
		this.hdte08 = hdte08;
		this.hdte09 = hdte09;
		this.hdte10 = hdte10;
		this.hdcosc = hdcosc;
		this.hdidal = hdidal;
		this.hdferoad = hdferoad;
		this.hdferoat = hdferoat;
		this.hdtealdt = hdtealdt;
		this.hdtedeat = hdtedeat;
		this.hdfedeat = hdfedeat;
		this.hdfehd = hdfehd;
		this.hdtedoade = hdtedoade;
		this.hdtedoadi = hdtedoadi;
		this.hdtedoadf = hdtedoadf;
		this.hdtedoada = hdtedoada;
		this.hdnopse = hdnopse;
		this.hdnopsi = hdnopsi;
		this.hdnopsf = hdnopsf;
		this.hdnopsa = hdnopsa;
		this.hdcocodigo = hdcocodigo;
		this.tramiteHechos = tramiteHechos;
		this.documentoHechos = documentoHechos;
		this.solicitudArbitrajes = solicitudArbitrajes;
		this.decisionHechos = decisionHechos;
	}

	/**
	 * Method 'getHdcodigo'.
	 * 
	 * @return String
	 */

	public String getHdcodigo() {
		return this.hdcodigo;
	}

	/**
	 * Method 'setHdcodigo'.
	 * 
	 * @param hdcodigo
	 *            String
	 * @return
	 */

	public void setHdcodigo(String hdcodigo) {
		this.hdcodigo = hdcodigo;
	}

	/**
	 * Method 'getDenuncia'.
	 * 
	 * @return Denuncia
	 */

	public Denuncia getDenuncia() {
		return this.denuncia;
	}

	/**
	 * Method 'setDenuncia'.
	 * 
	 * @param denuncia
	 *            Denuncia
	 * @return
	 */

	public void setDenuncia(Denuncia denuncia) {
		this.denuncia = denuncia;
	}

	/**
	 * Method 'getEstablecimiento'.
	 * 
	 * @return Establecimiento
	 */
	@JsonIgnore
	public Establecimiento getEstablecimiento() {
		return this.establecimiento;
	}

	/**
	 * Method 'setEstablecimiento'.
	 * 
	 * @param establecimiento
	 *            Establecimiento
	 * @return
	 */

	public void setEstablecimiento(Establecimiento establecimiento) {
		this.establecimiento = establecimiento;
	}

	/**
	 * Method 'getSector'.
	 * 
	 * @return Sector
	 */
	@JsonIgnore
	public Sector getSector() {
		return this.sector;
	}

	/**
	 * Method 'setSector'.
	 * 
	 * @param sector
	 *            Sector
	 * @return
	 */

	public void setSector(Sector sector) {
		this.sector = sector;
	}

	/**
	 * Method 'getCensoMonitor'.
	 * 
	 * @return CensoMonitor
	 */
	@JsonIgnore
	public CensoMonitor getCensoMonitor() {
		return this.censoMonitor;
	}

	/**
	 * Method 'setCensoMonitor'.
	 * 
	 * @param censoMonitor
	 *            CensoMonitor
	 * @return
	 */

	public void setCensoMonitor(CensoMonitor censoMonitor) {
		this.censoMonitor = censoMonitor;
	}

	/**
	 * Method 'getProducto'.
	 * 
	 * @return Producto
	 */
	@JsonIgnore
	public Producto getProducto() {
		return this.producto;
	}

	/**
	 * Method 'setProducto'.
	 * 
	 * @param producto
	 *            Producto
	 * @return
	 */

	public void setProducto(Producto producto) {
		this.producto = producto;
	}

	/**
	 * Method 'getTipoReclamacion'.
	 * 
	 * @return TipoReclamacion
	 */
	@JsonIgnore
	public TipoReclamacion getTipoReclamacion() {
		return this.tipoReclamacion;
	}

	/**
	 * Method 'setTipoReclamacion'.
	 * 
	 * @param tipoReclamacion
	 *            TipoReclamacion
	 * @return
	 */

	public void setTipoReclamacion(TipoReclamacion tipoReclamacion) {
		this.tipoReclamacion = tipoReclamacion;
	}

	/**
	 * Method 'getMotivo'.
	 * 
	 * @return Motivo
	 */
	@JsonIgnore
	public Motivo getMotivo() {
		return this.motivo;
	}

	/**
	 * Method 'setMotivo'.
	 * 
	 * @param motivo
	 *            Motivo
	 * @return
	 */

	public void setMotivo(Motivo motivo) {
		this.motivo = motivo;
	}

	/**
	 * Method 'getHdte'.
	 * 
	 * @return String
	 */

	public String getHdte() {
		return this.hdte;
	}

	/**
	 * Method 'setHdte'.
	 * 
	 * @param hdte
	 *            String
	 * @return
	 */

	public void setHdte(String hdte) {
		this.hdte = hdte;
	}

	/**
	 * Method 'getHdtedoad'.
	 * 
	 * @return String
	 */

	public String getHdtedoad() {
		return this.hdtedoad;
	}

	/**
	 * Method 'setHdtedoad'.
	 * 
	 * @param hdtedoad
	 *            String
	 * @return
	 */

	public void setHdtedoad(String hdtedoad) {
		this.hdtedoad = hdtedoad;
	}

	/**
	 * Method 'getHdcoav'.
	 * 
	 * @return String
	 */

	public String getHdcoav() {
		return this.hdcoav;
	}

	/**
	 * Method 'setHdcoav'.
	 * 
	 * @param hdcoav
	 *            String
	 * @return
	 */

	public void setHdcoav(String hdcoav) {
		this.hdcoav = hdcoav;
	}

	/**
	 * Method 'getHdnops'.
	 * 
	 * @return String
	 */

	public String getHdnops() {
		return this.hdnops;
	}

	/**
	 * Method 'setHdnops'.
	 * 
	 * @param hdnops
	 *            String
	 * @return
	 */

	public void setHdnops(String hdnops) {
		this.hdnops = hdnops;
	}

	/**
	 * Method 'getHdnomaps'.
	 * 
	 * @return String
	 */

	public String getHdnomaps() {
		return this.hdnomaps;
	}

	/**
	 * Method 'setHdnomaps'.
	 * 
	 * @param hdnomaps
	 *            String
	 * @return
	 */

	public void setHdnomaps(String hdnomaps) {
		this.hdnomaps = hdnomaps;
	}

	/**
	 * Method 'getHdnomops'.
	 * 
	 * @return String
	 */

	public String getHdnomops() {
		return this.hdnomops;
	}

	/**
	 * Method 'setHdnomops'.
	 * 
	 * @param hdnomops
	 *            String
	 * @return
	 */

	public void setHdnomops(String hdnomops) {
		this.hdnomops = hdnomops;
	}

	/**
	 * Method 'getHdnrlops'.
	 * 
	 * @return String
	 */

	public String getHdnrlops() {
		return this.hdnrlops;
	}

	/**
	 * Method 'setHdnrlops'.
	 * 
	 * @param hdnrlops
	 *            String
	 * @return
	 */

	public void setHdnrlops(String hdnrlops) {
		this.hdnrlops = hdnrlops;
	}

	/**
	 * Method 'getHdfedmps'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfedmps() {
		return this.hdfedmps;
	}

	/**
	 * Method 'setHdfedmps'.
	 * 
	 * @param hdfedmps
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfedmps(Date hdfedmps) {
		this.hdfedmps = hdfedmps;
	}

	/**
	 * Method 'getHdinsotr'.
	 * 
	 * @return String
	 */

	public String getHdinsotr() {
		return this.hdinsotr;
	}

	/**
	 * Method 'setHdinsotr'.
	 * 
	 * @param hdinsotr
	 *            String
	 * @return
	 */

	public void setHdinsotr(String hdinsotr) {
		this.hdinsotr = hdinsotr;
	}

	/**
	 * Method 'getHdinsoma'.
	 * 
	 * @return String
	 */

	public String getHdinsoma() {
		return this.hdinsoma;
	}

	/**
	 * Method 'setHdinsoma'.
	 * 
	 * @param hdinsoma
	 *            String
	 * @return
	 */

	public void setHdinsoma(String hdinsoma) {
		this.hdinsoma = hdinsoma;
	}

	/**
	 * @return the hdnror
	 */
	public Long getHdnror() {
		return hdnror;
	}

	/**
	 * @param hdnror
	 *            the hdnror to set
	 */
	public void setHdnror(Long hdnror) {
		this.hdnror = hdnror;
	}

	/**
	 * @return the hdcaptso
	 */
	public BigDecimal getHdcaptso() {
		return hdcaptso;
	}

	/**
	 * @param hdcaptso
	 *            the hdcaptso to set
	 */
	public void setHdcaptso(BigDecimal hdcaptso) {
		this.hdcaptso = hdcaptso;
	}

	/**
	 * Method 'getHdteso'.
	 * 
	 * @return String
	 */

	public String getHdteso() {
		return this.hdteso;
	}

	/**
	 * Method 'setHdteso'.
	 * 
	 * @param hdteso
	 *            String
	 * @return
	 */

	public void setHdteso(String hdteso) {
		this.hdteso = hdteso;
	}

	/**
	 * Method 'getHdfeardt'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeardt() {
		return this.hdfeardt;
	}

	/**
	 * Method 'setHdfeardt'.
	 * 
	 * @param hdfeardt
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeardt(Date hdfeardt) {
		this.hdfeardt = hdfeardt;
	}

	/**
	 * Method 'getHdfeiohd'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeiohd() {
		return this.hdfeiohd;
	}

	/**
	 * Method 'setHdfeiohd'.
	 * 
	 * @param hdfeiohd
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeiohd(Date hdfeiohd) {
		this.hdfeiohd = hdfeiohd;
	}

	/**
	 * Method 'getHdininin'.
	 * 
	 * @return String
	 */

	public String getHdininin() {
		return this.hdininin;
	}

	/**
	 * Method 'setHdininin'.
	 * 
	 * @param hdininin
	 *            String
	 * @return
	 */

	public void setHdininin(String hdininin) {
		this.hdininin = hdininin;
	}

	/**
	 * Method 'getHdfeiopc'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeiopc() {
		return this.hdfeiopc;
	}

	/**
	 * Method 'setHdfeiopc'.
	 * 
	 * @param hdfeiopc
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeiopc(Date hdfeiopc) {
		this.hdfeiopc = hdfeiopc;
	}

	/**
	 * Method 'getHdferopc'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdferopc() {
		return this.hdferopc;
	}

	/**
	 * Method 'setHdferopc'.
	 * 
	 * @param hdferopc
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdferopc(Date hdferopc) {
		this.hdferopc = hdferopc;
	}

	/**
	 * Method 'getHdcorepc'.
	 * 
	 * @return String
	 */

	public String getHdcorepc() {
		return this.hdcorepc;
	}

	/**
	 * Method 'setHdcorepc'.
	 * 
	 * @param hdcorepc
	 *            String
	 * @return
	 */

	public void setHdcorepc(String hdcorepc) {
		this.hdcorepc = hdcorepc;
	}

	/**
	 * Method 'getHdfeiorp'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeiorp() {
		return this.hdfeiorp;
	}

	/**
	 * Method 'setHdfeiorp'.
	 * 
	 * @param hdfeiorp
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeiorp(Date hdfeiorp) {
		this.hdfeiorp = hdfeiorp;
	}

	/**
	 * Method 'getHdferorp'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdferorp() {
		return this.hdferorp;
	}

	/**
	 * Method 'setHdferorp'.
	 * 
	 * @param hdferorp
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdferorp(Date hdferorp) {
		this.hdferorp = hdferorp;
	}

	/**
	 * Method 'getHdcoreap'.
	 * 
	 * @return String
	 */

	public String getHdcoreap() {
		return this.hdcoreap;
	}

	/**
	 * Method 'setHdcoreap'.
	 * 
	 * @param hdcoreap
	 *            String
	 * @return
	 */

	public void setHdcoreap(String hdcoreap) {
		this.hdcoreap = hdcoreap;
	}

	/**
	 * Method 'getHdfeiora'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeiora() {
		return this.hdfeiora;
	}

	/**
	 * Method 'setHdfeiora'.
	 * 
	 * @param hdfeiora
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeiora(Date hdfeiora) {
		this.hdfeiora = hdfeiora;
	}

	/**
	 * Method 'getHdteacpa'.
	 * 
	 * @return String
	 */

	public String getHdteacpa() {
		return this.hdteacpa;
	}

	/**
	 * Method 'setHdteacpa'.
	 * 
	 * @param hdteacpa
	 *            String
	 * @return
	 */

	public void setHdteacpa(String hdteacpa) {
		this.hdteacpa = hdteacpa;
	}

	/**
	 * Method 'getHdfeceac'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeceac() {
		return this.hdfeceac;
	}

	/**
	 * Method 'setHdfeceac'.
	 * 
	 * @param hdfeceac
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeceac(Date hdfeceac) {
		this.hdfeceac = hdfeceac;
	}

	/**
	 * Method 'getHdhoceac'.
	 * 
	 * @return String
	 */

	public String getHdhoceac() {
		return this.hdhoceac;
	}

	/**
	 * Method 'setHdhoceac'.
	 * 
	 * @param hdhoceac
	 *            String
	 * @return
	 */

	public void setHdhoceac(String hdhoceac) {
		this.hdhoceac = hdhoceac;
	}

	/**
	 * Method 'getHdfeioca'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeioca() {
		return this.hdfeioca;
	}

	/**
	 * Method 'setHdfeioca'.
	 * 
	 * @param hdfeioca
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeioca(Date hdfeioca) {
		this.hdfeioca = hdfeioca;
	}

	/**
	 * Method 'getHdteacde'.
	 * 
	 * @return String
	 */

	public String getHdteacde() {
		return this.hdteacde;
	}

	/**
	 * Method 'setHdteacde'.
	 * 
	 * @param hdteacde
	 *            String
	 * @return
	 */

	public void setHdteacde(String hdteacde) {
		this.hdteacde = hdteacde;
	}

	/**
	 * Method 'getHdfeioac'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeioac() {
		return this.hdfeioac;
	}

	/**
	 * Method 'setHdfeioac'.
	 * 
	 * @param hdfeioac
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeioac(Date hdfeioac) {
		this.hdfeioac = hdfeioac;
	}

	/**
	 * Method 'getHdfeiofc'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfeiofc() {
		return this.hdfeiofc;
	}

	/**
	 * Method 'setHdfeiofc'.
	 * 
	 * @param hdfeiofc
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfeiofc(Date hdfeiofc) {
		this.hdfeiofc = hdfeiofc;
	}

	/**
	 * Method 'getHdcotra'.
	 * 
	 * @return String
	 */

	public String getHdcotra() {
		return this.hdcotra;
	}

	/**
	 * Method 'setHdcotra'.
	 * 
	 * @param hdcotra
	 *            String
	 * @return
	 */

	public void setHdcotra(String hdcotra) {
		this.hdcotra = hdcotra;
	}

	/**
	 * Method 'getHdte02'.
	 * 
	 * @return String
	 */

	public String getHdte02() {
		return this.hdte02;
	}

	/**
	 * Method 'setHdte02'.
	 * 
	 * @param hdte02
	 *            String
	 * @return
	 */

	public void setHdte02(String hdte02) {
		this.hdte02 = hdte02;
	}

	/**
	 * Method 'getHdte03'.
	 * 
	 * @return String
	 */

	public String getHdte03() {
		return this.hdte03;
	}

	/**
	 * Method 'setHdte03'.
	 * 
	 * @param hdte03
	 *            String
	 * @return
	 */

	public void setHdte03(String hdte03) {
		this.hdte03 = hdte03;
	}

	/**
	 * Method 'getHdte04'.
	 * 
	 * @return String
	 */

	public String getHdte04() {
		return this.hdte04;
	}

	/**
	 * Method 'setHdte04'.
	 * 
	 * @param hdte04
	 *            String
	 * @return
	 */

	public void setHdte04(String hdte04) {
		this.hdte04 = hdte04;
	}

	/**
	 * Method 'getHdte05'.
	 * 
	 * @return String
	 */

	public String getHdte05() {
		return this.hdte05;
	}

	/**
	 * Method 'setHdte05'.
	 * 
	 * @param hdte05
	 *            String
	 * @return
	 */

	public void setHdte05(String hdte05) {
		this.hdte05 = hdte05;
	}

	/**
	 * Method 'getHdte06'.
	 * 
	 * @return String
	 */

	public String getHdte06() {
		return this.hdte06;
	}

	/**
	 * Method 'setHdte06'.
	 * 
	 * @param hdte06
	 *            String
	 * @return
	 */

	public void setHdte06(String hdte06) {
		this.hdte06 = hdte06;
	}

	/**
	 * Method 'getHdte07'.
	 * 
	 * @return String
	 */

	public String getHdte07() {
		return this.hdte07;
	}

	/**
	 * Method 'setHdte07'.
	 * 
	 * @param hdte07
	 *            String
	 * @return
	 */

	public void setHdte07(String hdte07) {
		this.hdte07 = hdte07;
	}

	/**
	 * Method 'getHdte08'.
	 * 
	 * @return String
	 */

	public String getHdte08() {
		return this.hdte08;
	}

	/**
	 * Method 'setHdte08'.
	 * 
	 * @param hdte08
	 *            String
	 * @return
	 */

	public void setHdte08(String hdte08) {
		this.hdte08 = hdte08;
	}

	/**
	 * Method 'getHdte09'.
	 * 
	 * @return String
	 */

	public String getHdte09() {
		return this.hdte09;
	}

	/**
	 * Method 'setHdte09'.
	 * 
	 * @param hdte09
	 *            String
	 * @return
	 */

	public void setHdte09(String hdte09) {
		this.hdte09 = hdte09;
	}

	/**
	 * Method 'getHdte10'.
	 * 
	 * @return String
	 */

	public String getHdte10() {
		return this.hdte10;
	}

	/**
	 * Method 'setHdte10'.
	 * 
	 * @param hdte10
	 *            String
	 * @return
	 */

	public void setHdte10(String hdte10) {
		this.hdte10 = hdte10;
	}

	/**
	 * Method 'getHdcosc'.
	 * 
	 * @return String
	 */

	public String getHdcosc() {
		return this.hdcosc;
	}

	/**
	 * Method 'setHdcosc'.
	 * 
	 * @param hdcosc
	 *            String
	 * @return
	 */

	public void setHdcosc(String hdcosc) {
		this.hdcosc = hdcosc;
	}

	/**
	 * Method 'getHdidal'.
	 * 
	 * @return String
	 */

	public String getHdidal() {
		return this.hdidal;
	}

	/**
	 * Method 'setHdidal'.
	 * 
	 * @param hdidal
	 *            String
	 * @return
	 */

	public void setHdidal(String hdidal) {
		this.hdidal = hdidal;
	}

	/**
	 * Method 'getHdferoad'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdferoad() {
		return this.hdferoad;
	}

	/**
	 * Method 'setHdferoad'.
	 * 
	 * @param hdferoad
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdferoad(Date hdferoad) {
		this.hdferoad = hdferoad;
	}

	/**
	 * Method 'getHdferoat'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdferoat() {
		return this.hdferoat;
	}

	/**
	 * Method 'setHdferoat'.
	 * 
	 * @param hdferoat
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdferoat(Date hdferoat) {
		this.hdferoat = hdferoat;
	}

	/**
	 * Method 'getHdtealdt'.
	 * 
	 * @return String
	 */

	public String getHdtealdt() {
		return this.hdtealdt;
	}

	/**
	 * Method 'setHdtealdt'.
	 * 
	 * @param hdtealdt
	 *            String
	 * @return
	 */

	public void setHdtealdt(String hdtealdt) {
		this.hdtealdt = hdtealdt;
	}

	/**
	 * Method 'getHdtedeat'.
	 * 
	 * @return String
	 */

	public String getHdtedeat() {
		return this.hdtedeat;
	}

	/**
	 * Method 'setHdtedeat'.
	 * 
	 * @param hdtedeat
	 *            String
	 * @return
	 */

	public void setHdtedeat(String hdtedeat) {
		this.hdtedeat = hdtedeat;
	}

	/**
	 * Method 'getHdfedeat'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfedeat() {
		return this.hdfedeat;
	}

	/**
	 * Method 'setHdfedeat'.
	 * 
	 * @param hdfedeat
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfedeat(Date hdfedeat) {
		this.hdfedeat = hdfedeat;
	}

	/**
	 * Method 'getHdfehd'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfehd() {
		return this.hdfehd;
	}

	/**
	 * Method 'setHdfehd'.
	 * 
	 * @param hdfehd
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfehd(Date hdfehd) {
		this.hdfehd = hdfehd;
	}

	/**
	 * Method 'getHdtedoade'.
	 * 
	 * @return String
	 */

	public String getHdtedoade() {
		return this.hdtedoade;
	}

	/**
	 * Method 'setHdtedoade'.
	 * 
	 * @param hdtedoade
	 *            String
	 * @return
	 */

	public void setHdtedoade(String hdtedoade) {
		this.hdtedoade = hdtedoade;
	}

	/**
	 * Method 'getHdtedoadi'.
	 * 
	 * @return String
	 */

	public String getHdtedoadi() {
		return this.hdtedoadi;
	}

	/**
	 * Method 'setHdtedoadi'.
	 * 
	 * @param hdtedoadi
	 *            String
	 * @return
	 */

	public void setHdtedoadi(String hdtedoadi) {
		this.hdtedoadi = hdtedoadi;
	}

	/**
	 * Method 'getHdtedoadf'.
	 * 
	 * @return String
	 */

	public String getHdtedoadf() {
		return this.hdtedoadf;
	}

	/**
	 * Method 'setHdtedoadf'.
	 * 
	 * @param hdtedoadf
	 *            String
	 * @return
	 */

	public void setHdtedoadf(String hdtedoadf) {
		this.hdtedoadf = hdtedoadf;
	}

	/**
	 * Method 'getHdtedoada'.
	 * 
	 * @return String
	 */

	public String getHdtedoada() {
		return this.hdtedoada;
	}

	/**
	 * Method 'setHdtedoada'.
	 * 
	 * @param hdtedoada
	 *            String
	 * @return
	 */

	public void setHdtedoada(String hdtedoada) {
		this.hdtedoada = hdtedoada;
	}

	/**
	 * Method 'getHdnopse'.
	 * 
	 * @return String
	 */

	public String getHdnopse() {
		return this.hdnopse;
	}

	/**
	 * Method 'setHdnopse'.
	 * 
	 * @param hdnopse
	 *            String
	 * @return
	 */

	public void setHdnopse(String hdnopse) {
		this.hdnopse = hdnopse;
	}

	/**
	 * Method 'getHdnopsi'.
	 * 
	 * @return String
	 */

	public String getHdnopsi() {
		return this.hdnopsi;
	}

	/**
	 * Method 'setHdnopsi'.
	 * 
	 * @param hdnopsi
	 *            String
	 * @return
	 */

	public void setHdnopsi(String hdnopsi) {
		this.hdnopsi = hdnopsi;
	}

	/**
	 * Method 'getHdnopsf'.
	 * 
	 * @return String
	 */

	public String getHdnopsf() {
		return this.hdnopsf;
	}

	/**
	 * Method 'setHdnopsf'.
	 * 
	 * @param hdnopsf
	 *            String
	 * @return
	 */

	public void setHdnopsf(String hdnopsf) {
		this.hdnopsf = hdnopsf;
	}

	/**
	 * Method 'getHdnopsa'.
	 * 
	 * @return String
	 */

	public String getHdnopsa() {
		return this.hdnopsa;
	}

	/**
	 * Method 'setHdnopsa'.
	 * 
	 * @param hdnopsa
	 *            String
	 * @return
	 */

	public void setHdnopsa(String hdnopsa) {
		this.hdnopsa = hdnopsa;
	}

	/**
	 * Method 'getHdcocodigo'.
	 * 
	 * @return String
	 */

	public String getHdcocodigo() {
		return this.hdcocodigo;
	}

	/**
	 * Method 'setHdcocodigo'.
	 * 
	 * @param hdcocodigo
	 *            String
	 * @return
	 */

	public void setHdcocodigo(String hdcocodigo) {
		this.hdcocodigo = hdcocodigo;
	}

	/**
	 * Method 'getTramiteHechos'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<TramiteHecho> getTramiteHechos() {
		return this.tramiteHechos;
	}

	/**
	 * Method 'setTramiteHechos'.
	 * 
	 * @param tramiteHechos
	 *            List
	 * @return
	 */
	public void setTramiteHechos(List<TramiteHecho> tramiteHechos) {
		this.tramiteHechos = tramiteHechos;
	}

	/**
	 * Method 'getDocumentoHechos'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<DocumentoHecho> getDocumentoHechos() {
		return this.documentoHechos;
	}

	/**
	 * Method 'setDocumentoHechos'.
	 * 
	 * @param documentoHechos
	 *            List
	 * @return
	 */
	public void setDocumentoHechos(List<DocumentoHecho> documentoHechos) {
		this.documentoHechos = documentoHechos;
	}

	/**
	 * Method 'getSolicitudArbitrajes'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<SolicitudArbitraje> getSolicitudArbitrajes() {
		return this.solicitudArbitrajes;
	}

	/**
	 * Method 'setSolicitudArbitrajes'.
	 * 
	 * @param solicitudArbitrajes
	 *            List
	 * @return
	 */
	public void setSolicitudArbitrajes(List<SolicitudArbitraje> solicitudArbitrajes) {
		this.solicitudArbitrajes = solicitudArbitrajes;
	}

	/**
	 * Method 'getDecisionHechos'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<DecisionHecho> getDecisionHechos() {
		return this.decisionHechos;
	}

	/**
	 * Method 'setDecisionHechos'.
	 * 
	 * @param decisionHechos
	 *            List
	 * @return
	 */
	public void setDecisionHechos(List<DecisionHecho> decisionHechos) {
		this.decisionHechos = decisionHechos;
	}

	/**
	 * @return the iskontsumobide
	 */
	public String getIskontsumobide() {
		return iskontsumobide;
	}

	/**
	 * @param iskontsumobide
	 *            the iskontsumobide to set
	 */
	public void setIskontsumobide(String iskontsumobide) {
		this.iskontsumobide = iskontsumobide;
	}

	/**
	 * @return the fcodigoactual
	 */
	public String getFcodigoactual() {
		return fcodigoactual;
	}

	/**
	 * @param fcodigoactual
	 *            the fcodigoactual to set
	 */
	public void setFcodigoactual(String fcodigoactual) {
		this.fcodigoactual = fcodigoactual;
	}

	/**
	 * @return the trcodigoactual
	 */
	public String getTrcodigoactual() {
		return trcodigoactual;
	}

	/**
	 * @param trcodigoactual
	 *            the trcodigoactual to set
	 */
	public void setTrcodigoactual(String trcodigoactual) {
		this.trcodigoactual = trcodigoactual;
	}

	/**
	 * @return the trposiblecodigo
	 */
	public String getTrposiblecodigo() {
		return trposiblecodigo;
	}

	/**
	 * @param trposiblecodigo
	 *            the trposiblecodigo to set
	 */
	public void setTrposiblecodigo(String trposiblecodigo) {
		this.trposiblecodigo = trposiblecodigo;
	}

	/**
	 * @return the hdformanotificacion
	 */
	public String getHdformanotificacion() {
		return hdformanotificacion;
	}

	/**
	 * @param hdformanotificacion
	 *            the hdformanotificacion to set
	 */
	public void setHdformanotificacion(String hdformanotificacion) {
		this.hdformanotificacion = hdformanotificacion;
	}

	/**
	 * @return the hdcodexpedienteorigen
	 */
	public String getHdcodexpedienteorigen() {
		return hdcodexpedienteorigen;
	}

	/**
	 * @param hdcodexpedienteorigen
	 *            the hdcodexpedienteorigen to set
	 */
	public void setHdcodexpedienteorigen(String hdcodexpedienteorigen) {
		this.hdcodexpedienteorigen = hdcodexpedienteorigen;
	}

	/**
	 * @return the numregistroentrada
	 */
	public String getNumregistroentrada() {
		return numregistroentrada;
	}

	/**
	 * @param numregistroentrada
	 *            the numregistroentrada to set
	 */
	public void setNumregistroentrada(String numregistroentrada) {
		this.numregistroentrada = numregistroentrada;
	}

	/**
	 * @return the hdidioma
	 */
	public String getHdidioma() {
		return hdidioma;
	}

	/**
	 * @param hdidioma
	 *            the hdidioma to set
	 */
	public void setHdidioma(String hdidioma) {
		this.hdidioma = hdidioma;
	}

	/**
	 * @return the hdformanotificacionestablecimiento
	 */
	public String getHdformanotificacionestablecimiento() {
		return hdformanotificacionestablecimiento;
	}

	/**
	 * @param hdformanotificacionestablecimiento
	 *            the hdformanotificacionestablecimiento to set
	 */
	public void setHdformanotificacionestablecimiento(String hdformanotificacionestablecimiento) {
		this.hdformanotificacionestablecimiento = hdformanotificacionestablecimiento;
	}

	/**
	 * @return the hdnumregistroentradaorigen
	 */
	public String getHdnumregistroentradaorigen() {
		return hdnumregistroentradaorigen;
	}

	/**
	 * @param hdnumregistroentradaorigen
	 *            the hdnumregistroentradaorigen to set
	 */
	public void setHdnumregistroentradaorigen(String hdnumregistroentradaorigen) {
		this.hdnumregistroentradaorigen = hdnumregistroentradaorigen;
	}

	/**
	 * @return the hdfecharegistroorigen
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHdfecharegistroorigen() {
		return hdfecharegistroorigen;
	}

	/**
	 * @param hdfecharegistroorigen
	 *            the hdfecharegistroorigen to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHdfecharegistroorigen(Date hdfecharegistroorigen) {
		this.hdfecharegistroorigen = hdfecharegistroorigen;
	}

	/**
	 * @return the hdformaventa
	 */
	public String getHdformaventa() {
		return hdformaventa;
	}

	/**
	 * @param hdformaventa
	 *            the hdformaventa to set
	 */
	public void setHdformaventa(String hdformaventa) {
		this.hdformaventa = hdformaventa;
	}

	/**
	 * @return the hdformaventatelematica
	 */
	public String getHdformaventatelematica() {
		return hdformaventatelematica;
	}

	/**
	 * @param hdformaventatelematica
	 *            the hdformaventatelematica to set
	 */
	public void setHdformaventatelematica(String hdformaventatelematica) {
		this.hdformaventatelematica = hdformaventatelematica;
	}

	/**
	 * @return the hdcodigobarras
	 */
	public String getHdcodigobarras() {
		return hdcodigobarras;
	}

	/**
	 * @param hdcodigobarras
	 *            the hdcodigobarras to set
	 */
	public void setHdcodigobarras(String hdcodigobarras) {
		this.hdcodigobarras = hdcodigobarras;
	}

	/**
	 * @return the hdinteresado
	 */
	public String getHdinteresado() {
		return hdinteresado;
	}

	/**
	 * @param hdinteresado
	 *            the hdinteresado to set
	 */
	public void setHdinteresado(String hdinteresado) {
		this.hdinteresado = hdinteresado;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "HechoDenunciado [hdcodigo=" + hdcodigo + ", denuncia=" + denuncia + ", establecimiento="
				+ establecimiento + ", sector=" + sector + ", censoMonitor=" + censoMonitor + ", producto=" + producto
				+ ", tipoReclamacion=" + tipoReclamacion + ", motivo=" + motivo + ", hdnror=" + hdnror + ", hdte="
				+ hdte + ", hdtedoad=" + hdtedoad + ", hdcoav=" + hdcoav + ", hdnops=" + hdnops + ", hdnomaps="
				+ hdnomaps + ", hdnomops=" + hdnomops + ", hdnrlops=" + hdnrlops + ", hdfedmps=" + hdfedmps
				+ ", hdinsotr=" + hdinsotr + ", hdinsoma=" + hdinsoma + ", hdcaptso=" + hdcaptso + ", hdteso=" + hdteso
				+ ", hdfeardt=" + hdfeardt + ", hdfeiohd=" + hdfeiohd + ", hdininin=" + hdininin + ", hdfeiopc="
				+ hdfeiopc + ", hdferopc=" + hdferopc + ", hdcorepc=" + hdcorepc + ", hdfeiorp=" + hdfeiorp
				+ ", hdferorp=" + hdferorp + ", hdcoreap=" + hdcoreap + ", hdfeiora=" + hdfeiora + ", hdteacpa="
				+ hdteacpa + ", hdfeceac=" + hdfeceac + ", hdhoceac=" + hdhoceac + ", hdfeioca=" + hdfeioca
				+ ", hdteacde=" + hdteacde + ", hdfeioac=" + hdfeioac + ", hdfeiofc=" + hdfeiofc + ", hdcotra="
				+ hdcotra + ", hdte02=" + hdte02 + ", hdte03=" + hdte03 + ", hdte04=" + hdte04 + ", hdte05=" + hdte05
				+ ", hdte06=" + hdte06 + ", hdte07=" + hdte07 + ", hdte08=" + hdte08 + ", hdte09=" + hdte09
				+ ", hdte10=" + hdte10 + ", hdcosc=" + hdcosc + ", hdidal=" + hdidal + ", hdferoad=" + hdferoad
				+ ", hdferoat=" + hdferoat + ", hdtealdt=" + hdtealdt + ", hdtedeat=" + hdtedeat + ", hdfedeat="
				+ hdfedeat + ", hdfehd=" + hdfehd + ", hdtedoade=" + hdtedoade + ", hdtedoadi=" + hdtedoadi
				+ ", hdtedoadf=" + hdtedoadf + ", hdtedoada=" + hdtedoada + ", hdnopse=" + hdnopse + ", hdnopsi="
				+ hdnopsi + ", hdnopsf=" + hdnopsf + ", hdnopsa=" + hdnopsa + ", hdcocodigo=" + hdcocodigo
				+ ", iskontsumobide=" + iskontsumobide + ", fcodigoactual=" + fcodigoactual + ", trcodigoactual="
				+ trcodigoactual + ", trposiblecodigo=" + trposiblecodigo + ", hdcodexpedienteorigen="
				+ hdcodexpedienteorigen + ", hdformanotificacion=" + hdformanotificacion + ", numregistroentrada="
				+ numregistroentrada + ", tramiteHechos=" + tramiteHechos + ", documentoHechos=" + documentoHechos
				+ ", solicitudArbitrajes=" + solicitudArbitrajes + ", decisionHechos=" + decisionHechos + "]";
	}

	/**
	 * @return the hddenunciaaaccempresas
	 */
	public String getHddenunciaaaccempresas() {
		return hddenunciaaaccempresas;
	}

	/**
	 * @param hddenunciaaaccempresas
	 *            the hddenunciaaaccempresas to set
	 */
	public void setHddenunciaaaccempresas(String hddenunciaaaccempresas) {
		this.hddenunciaaaccempresas = hddenunciaaaccempresas;
	}

	/**
	 * @return the hdtipodenunciante
	 */
	public String getHdtipodenunciante() {
		return hdtipodenunciante;
	}

	/**
	 * @param hdtipodenunciante
	 *            the hdtipodenunciante to set
	 */
	public void setHdtipodenunciante(String hdtipodenunciante) {
		this.hdtipodenunciante = hdtipodenunciante;
	}

	/**
	 * @return the hdparticipacionreclamado
	 */
	public String getHdparticipacionreclamado() {
		return hdparticipacionreclamado;
	}

	/**
	 * @param hdparticipacionreclamado
	 *            the hdparticipacionreclamado to set
	 */
	public void setHdparticipacionreclamado(String hdparticipacionreclamado) {
		this.hdparticipacionreclamado = hdparticipacionreclamado;
	}

	/**
	 * @return the hdidiomareclamado
	 */
	public String getHdidiomareclamado() {
		return hdidiomareclamado;
	}

	/**
	 * @param hdidiomareclamado
	 *            the hdidiomareclamado to set
	 */
	public void setHdidiomareclamado(String hdidiomareclamado) {
		this.hdidiomareclamado = hdidiomareclamado;
	}

	/**
	 * @return the hddestnotificareclamante
	 */
	public String getHddestnotificareclamante() {
		return hddestnotificareclamante;
	}

	/**
	 * @param hddestnotificareclamante
	 *            the hddestnotificareclamante to set
	 */
	public void setHddestnotificareclamante(String hddestnotificareclamante) {
		this.hddestnotificareclamante = hddestnotificareclamante;
	}

	/**
	 * @return the hddestnotificareclamado
	 */
	public String getHddestnotificareclamado() {
		return hddestnotificareclamado;
	}

	/**
	 * @param hddestnotificareclamado
	 *            the hddestnotificareclamado to set
	 */
	public void setHddestnotificareclamado(String hddestnotificareclamado) {
		this.hddestnotificareclamado = hddestnotificareclamado;
	}

	/**
	 * @return the istelematico
	 */
	public String getIstelematico() {
		return istelematico;
	}

	/**
	 * @param istelematico
	 *            the istelematico to set
	 */
	public void setIstelematico(String istelematico) {
		this.istelematico = istelematico;
	}

	/**
	 * @return the hdesnombretelematico
	 */
	public String getHdesnombretelematico() {
		return hdesnombretelematico;
	}

	/**
	 * @param hdesnombretelematico
	 *            the hdesnombretelematico to set
	 */
	public void setHdesnombretelematico(String hdesnombretelematico) {
		this.hdesnombretelematico = hdesnombretelematico;
	}

	/**
	 * @return the hdesdirecciontelematico
	 */
	public String getHdesdirecciontelematico() {
		return hdesdirecciontelematico;
	}

	/**
	 * @param hdesdirecciontelematico
	 *            the hdesdirecciontelematico to set
	 */
	public void setHdesdirecciontelematico(String hdesdirecciontelematico) {
		this.hdesdirecciontelematico = hdesdirecciontelematico;
	}

	/**
	 * @return the isSir
	 */
	public String getIsSir() {
		return isSir;
	}

	/**
	 * @param isSir
	 *            the isSir to set
	 */
	public void setIsSir(String isSir) {
		this.isSir = isSir;
	}

	/**
	 * @return the arSolicitante
	 */
	public String getArSolicitante() {
		return arSolicitante;
	}

	/**
	 * @param arSolicitante
	 *            the arSolicitante to set
	 */
	public void setArSolicitante(String arSolicitante) {
		this.arSolicitante = arSolicitante;
	}

	/**
	 * @return the arResumen
	 */
	public String getArResumen() {
		return arResumen;
	}

	/**
	 * @param arResumen
	 *            the arResumen to set
	 */
	public void setArResumen(String arResumen) {
		this.arResumen = arResumen;
	}

}
