package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * InspeccionesPropBandeja  
 * 
 *  
 */
public class InspeccionesPropBandeja implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String baprinsid;
	private String baprinsexcodigo;
	private String baprinsexesdenuncia;
	private String baprinsexcodcompleto;
	private TipoProcedimiento baprinstipoprocedimiento;
	private Date baprinsfec;
	private Intervinientes baprinsestablecimiento;
	private String baprinsprov;
	private String baprinsmunic;
	private String baprinsprovnombre;
	private String baprinsmunicnombre;
	private CensoMonitor baprinsresponsable;
	private String baprinscoor;
	private String baprinsinstrucinspecc;

	/**
	 * Method 'InspeccionesPropBandeja'.
	 */
	public InspeccionesPropBandeja() {
	}

	/**
	 * Method 'InspeccionesPropBandeja'.
	 * 
	 * @param baprinsid
	 *            String
	 * @param baprinsexcodigo
	 *            String
	 * @param baprinsexesdenuncia
	 *            String
	 * @param baprinsexcodcompleto
	 *            String
	 * @param baprinsfec
	 *            Date
	 * @param baprinstipoprocedimiento
	 *            TipoProcedimiento
	 * @param baprinsestablecimiento
	 *            Establecimiento
	 * @param baprinsprov
	 *            String
	 * @param baprinsmunic
	 *            String
	 * @param baprinsprovnombre
	 *            String
	 * @param baprinsmunicnombre
	 *            String
	 * @param baprinsresponsable
	 *            CensoMonitor
	 * @param baprinscoor
	 *            String
	 * @param baprinsinstrucinspecc
	 *            String
	 */
	public InspeccionesPropBandeja(String baprinsid, String baprinsexcodigo,
			String baprinsexesdenuncia, String baprinsexcodcompleto,
			TipoProcedimiento baprinstipoprocedimiento, Date baprinsfec,
			Intervinientes baprinsestablecimiento, String baprinsprov,
			String baprinsmunic, String baprinsprovnombre,
			String baprinsmunicnombre, CensoMonitor baprinsresponsable,
			String baprinscoor, String baprinsinstrucinspecc) {
		this.baprinsid = baprinsid;
		this.baprinsexcodigo = baprinsexcodigo;
		this.baprinsexesdenuncia = baprinsexesdenuncia;
		this.baprinsexcodcompleto = baprinsexcodcompleto;
		this.baprinstipoprocedimiento = baprinstipoprocedimiento;
		this.baprinsfec = baprinsfec;
		this.baprinsestablecimiento = baprinsestablecimiento;
		this.baprinsprov = baprinsprov;
		this.baprinsmunic = baprinsmunic;
		this.baprinsprovnombre = baprinsprovnombre;
		this.baprinsmunicnombre = baprinsmunicnombre;
		this.baprinsresponsable = baprinsresponsable;
		this.baprinscoor = baprinscoor;
		this.baprinsinstrucinspecc = baprinsinstrucinspecc;
	}

	/**
	 * Method 'getBaprinsid'.
	 * 
	 * @return String
	 */
	public String getBaprinsid() {
		return this.baprinsid;
	}

	/**
	 * Method 'setBaprinsid'.
	 * 
	 * @param baprinsid
	 *            String
	 * @return
	 */
	public void setBaprinsid(String baprinsid) {
		this.baprinsid = baprinsid;
	}

	/**
	 * Method 'getBaprinsexcodigo'.
	 * 
	 * @return String
	 */
	public String getBaprinsexcodigo() {
		return this.baprinsexcodigo;
	}

	/**
	 * Method 'setBaprinsexcodigo'.
	 * 
	 * @param baprinsexcodigo
	 *            String
	 * @return
	 */
	public void setBaprinsexcodigo(String baprinsexcodigo) {
		this.baprinsexcodigo = baprinsexcodigo;
	}

	/**
	 * @return the baprinsexesdenuncia
	 */
	public String getBaprinsexesdenuncia() {
		return this.baprinsexesdenuncia;
	}

	/**
	 * @param baprinsexesdenuncia
	 *            the baprinsexesdenuncia to set
	 */
	public void setBaprinsexesdenuncia(String baprinsexesdenuncia) {
		this.baprinsexesdenuncia = baprinsexesdenuncia;
	}

	/**
	 * Method 'getBaprinsexcodcompleto'.
	 * 
	 * @return String
	 */
	public String getBaprinsexcodcompleto() {
		return this.baprinsexcodcompleto;
	}

	/**
	 * Method 'setBaprinsexcodcompleto'.
	 * 
	 * @param baprinsexcodcompleto
	 *            String
	 * @return
	 */
	public void setBaprinsexcodcompleto(String baprinsexcodcompleto) {
		this.baprinsexcodcompleto = baprinsexcodcompleto;
	}

	/**
	 * Method 'getBaprinspcodigo'.
	 * 
	 * @return TipoProcedimiento
	 */
	public TipoProcedimiento getBaprinstipoprocedimiento() {
		return this.baprinstipoprocedimiento;
	}

	/**
	 * Method 'setBaprinstipoprocedimiento'.
	 * 
	 * @param baprinstipoprocedimiento
	 *            TipoProcedimiento
	 * @return
	 */
	public void setBaprinstipoprocedimiento(
			TipoProcedimiento baprinstipoprocedimiento) {
		this.baprinstipoprocedimiento = baprinstipoprocedimiento;
	}

	/**
	 * Method 'getBaprinsfec'.
	 * 
	 * @return Date
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getBaprinsfec() {
		return this.baprinsfec;
	}

	/**
	 * Method 'setBaprinsfec'.
	 * 
	 * @param baprinsfec
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setBaprinsfec(Date baprinsfec) {
		this.baprinsfec = baprinsfec;
	}

	/**
	 * Method 'getBaprinsestablecimiento'.
	 * 
	 * @return Intervinientes
	 */
	public Intervinientes getBaprinsestablecimiento() {
		return this.baprinsestablecimiento;
	}

	/**
	 * Method 'setBaprinsestablecimiento'.
	 * 
	 * @param baprinsestablecimiento
	 *            Intervinientes
	 * @return
	 */
	public void setBaprinsestablecimiento(Intervinientes baprinsestablecimiento) {
		this.baprinsestablecimiento = baprinsestablecimiento;
	}

	/**
	 * Method 'getBaprinsprov'.
	 * 
	 * @return String
	 */
	public String getBaprinsprov() {
		return this.baprinsprov;
	}

	/**
	 * Method 'setBaprinsprov'.
	 * 
	 * @param baprinsprov
	 *            String
	 * @return
	 */
	public void setBaprinsprov(String baprinsprov) {
		this.baprinsprov = baprinsprov;
	}

	/**
	 * Method 'getBaprinsmunic'.
	 * 
	 * @return String
	 */
	public String getBaprinsmunic() {
		return this.baprinsmunic;
	}

	/**
	 * Method 'setBaprinsmunic'.
	 * 
	 * @param baprinsmunic
	 *            String
	 * @return
	 */
	public void setBaprinsmunic(String baprinsmunic) {
		this.baprinsmunic = baprinsmunic;
	}

	/**
	 * @return the baprinsprovnombre
	 */
	public String getBaprinsprovnombre() {
		return this.baprinsprovnombre;
	}

	/**
	 * @param baprinsprovnombre
	 *            the baprinsprovnombre to set
	 */
	public void setBaprinsprovnombre(String baprinsprovnombre) {
		this.baprinsprovnombre = baprinsprovnombre;
	}

	/**
	 * @return the baprinsmunicnombre
	 */
	public String getBaprinsmunicnombre() {
		return this.baprinsmunicnombre;
	}

	/**
	 * @param baprinsmunicnombre
	 *            the baprinsmunicnombre to set
	 */
	public void setBaprinsmunicnombre(String baprinsmunicnombre) {
		this.baprinsmunicnombre = baprinsmunicnombre;
	}

	/**
	 * Method 'getBaprinsresponsable'.
	 * 
	 * @return CensoMonitor
	 */
	public CensoMonitor getBaprinsresponsable() {
		return this.baprinsresponsable;
	}

	/**
	 * Method 'setBaprinsresponsable'.
	 * 
	 * @param baprinsresponsable
	 *            CensoMonitor
	 * @return
	 */
	public void setBaprinsresponsable(CensoMonitor baprinsresponsable) {
		this.baprinsresponsable = baprinsresponsable;
	}

	/**
	 * @return the baprinscoor
	 */
	public String getBaprinscoor() {
		return this.baprinscoor;
	}

	/**
	 * @param baprinscoor
	 *            the baprinscoor to set
	 */
	public void setBaprinscoor(String baprinscoor) {
		this.baprinscoor = baprinscoor;
	}

	/**
	 * @return the baprinsinstrucinspecc
	 */
	public String getBaprinsinstrucinspecc() {
		return baprinsinstrucinspecc;
	}

	/**
	 * @param baprinsinstrucinspecc
	 *            the baprinsinstrucinspecc to set
	 */
	public void setBaprinsinstrucinspecc(String baprinsinstrucinspecc) {
		this.baprinsinstrucinspecc = baprinsinstrucinspecc;
	}

}
