package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * * ListadoConsultaResultado  
 * 
 *  
 */

public class ListadoConsultaResultado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String numeroConsulta;
	private String cocoor;
	private Integer conrreg;
	private Long conranrg;

	private String monombre;

	private Date cofecha;

	private String cocosx;

	private String randesc;

	private String psnombre;
	private String psnombree;

	private String tirnombre;

	private String cotexto;

	/**
	 * Method 'ListadoConsultaResultado'.
	 * 
	 */
	public ListadoConsultaResultado() {
	}

	/**
	 * @param numeroConsulta
	 * @param cocoor
	 * @param conrreg
	 * @param conranrg
	 * @param monombre
	 * @param cofecha
	 * @param cocosx
	 * @param randesc
	 * @param psnombre
	 * @param psnombree
	 * @param tirnombre
	 * @param cotexto
	 */
	public ListadoConsultaResultado(String numeroConsulta, String cocoor,
			Integer conrreg, Long conranrg, String monombre, Date cofecha,
			String cocosx, String randesc, String psnombre, String psnombree,
			String tirnombre, String cotexto) {
		this.numeroConsulta = numeroConsulta;
		this.cocoor = cocoor;
		this.conrreg = conrreg;
		this.conranrg = conranrg;
		this.monombre = monombre;
		this.cofecha = cofecha;
		this.cocosx = cocosx;
		this.randesc = randesc;
		this.psnombre = psnombre;
		this.psnombree = psnombree;
		this.tirnombre = tirnombre;
		this.cotexto = cotexto;
	}

	/**
	 * @return the numeroConsulta
	 */
	public String getNumeroConsulta() {
		return numeroConsulta;
	}

	/**
	 * @param numeroConsulta
	 *            the numeroConsulta to set
	 */
	public void setNumeroConsulta(String numeroConsulta) {
		this.numeroConsulta = numeroConsulta;
	}

	/**
	 * @return the cocoor
	 */
	public String getCocoor() {
		return cocoor;
	}

	/**
	 * @param cocoor
	 *            the cocoor to set
	 */
	public void setCocoor(String cocoor) {
		this.cocoor = cocoor;
	}

	/**
	 * @return the conrreg
	 */
	public Integer getConrreg() {
		return conrreg;
	}

	/**
	 * @param conrreg
	 *            the conrreg to set
	 */
	public void setConrreg(Integer conrreg) {
		this.conrreg = conrreg;
	}

	/**
	 * @return the conranrg
	 */
	public Long getConranrg() {
		return conranrg;
	}

	/**
	 * @param conranrg
	 *            the conranrg to set
	 */
	public void setConranrg(Long conranrg) {
		this.conranrg = conranrg;
	}

	/**
	 * @return the monombre
	 */
	public String getMonombre() {
		return monombre;
	}

	/**
	 * @param monombre
	 *            the monombre to set
	 */
	public void setMonombre(String monombre) {
		this.monombre = monombre;
	}

	/**
	 * @return the cofecha
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getCofecha() {
		return cofecha;
	}

	/**
	 * @param cofecha
	 *            the cofecha to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setCofecha(Date cofecha) {
		this.cofecha = cofecha;
	}

	/**
	 * @return the cocosx
	 */
	public String getCocosx() {
		return cocosx;
	}

	/**
	 * @param cocosx
	 *            the cocosx to set
	 */
	public void setCocosx(String cocosx) {
		this.cocosx = cocosx;
	}

	/**
	 * @return the randesc
	 */
	public String getRandesc() {
		return randesc;
	}

	/**
	 * @param randesc
	 *            the randesc to set
	 */
	public void setRandesc(String randesc) {
		this.randesc = randesc;
	}

	/**
	 * @return the psnombre
	 */
	public String getPsnombre() {
		return psnombre;
	}

	/**
	 * @param psnombre
	 *            the psnombre to set
	 */
	public void setPsnombre(String psnombre) {
		this.psnombre = psnombre;
	}

	/**
	 * @return the psnombree
	 */
	public String getPsnombree() {
		return psnombree;
	}

	/**
	 * @param psnombree
	 *            the psnombree to set
	 */
	public void setPsnombree(String psnombree) {
		this.psnombree = psnombree;
	}

	/**
	 * @return the tirnombre
	 */
	public String getTirnombre() {
		return tirnombre;
	}

	/**
	 * @param tirnombre
	 *            the tirnombre to set
	 */
	public void setTirnombre(String tirnombre) {
		this.tirnombre = tirnombre;
	}

	/**
	 * @return the cotexto
	 */
	public String getCotexto() {
		return cotexto;
	}

	/**
	 * @param cotexto
	 *            the cotexto to set
	 */
	public void setCotexto(String cotexto) {
		this.cotexto = cotexto;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "ListadoConsultaResultado [numeroConsulta=" + numeroConsulta
				+ ", cocoor=" + cocoor + ", conrreg=" + conrreg + ", conranrg="
				+ conranrg + ", monombre=" + monombre + ", cofecha=" + cofecha
				+ ", cocosx=" + cocosx + ", randesc=" + randesc + ", psnombre="
				+ psnombre + ", psnombree=" + psnombree + ", tirnombre="
				+ tirnombre + ", cotexto=" + cotexto + "]";
	}

}
