package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * * ListadoSolicitudResultado  
 * 
 *  
 */

public class ListadoSolicitudResultado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String numSolicitud;
	private String decoor;
	private Integer denran;
	private Long denror;

	// Fecha presentacion
	private Date defede;

	// Forma Presentacion
	private String tfpnombre;
	private String tfpnombree;

	// Monitor
	private String monombreDenuncia;

	// Consumidor
	private String dtnombre;

	// Nº hecho
	private Long hdnror;

	// Establecimiento
	private String esnombre;
	private String esnoco;
	private String esnombreProvincia;
	private String esnombreMunicipio;
	private String esnombreCalle;
	private String esnombrePortal;
	private String esdireccion_nocapv;
	private String esnodir;
	private String esdireccionCompleta;

	// Producto
	private String psnombre;
	private String psnombree;

	// Motivo
	private String tirnombre;

	// Sector
	private String senombre;
	private String senombree;

	// Actividad
	private String avnombre;
	private String avnombree;

	// Decision
	private String denombre;
	private String denombree;
	private Date hcfede;

	// Tramite
	private Date ehfecha;
	private String ehhora;
	private String trnombre;
	private String trnombree;
	private String monombreTramite; // Monitor

	// Dias
	private BigDecimal dias;

	// Tipo reclamacion
	private String tsrnombre;
	private String tsrnombree;

	/**
	 * Method 'ListadoSolicitudResultado'.
	 * 
	 */
	public ListadoSolicitudResultado() {
	}

	/**
	 * @param numSolicitud
	 * @param decoor
	 * @param denran
	 * @param denror
	 * @param defede
	 * @param tfpnombre
	 * @param tfpnombree
	 * @param monombreDenuncia
	 * @param dtnombre
	 * @param hdnror
	 * @param esnombre
	 * @param esnoco
	 * @param esnombreProvincia
	 * @param esnombreMunicipio
	 * @param esnombreCalle
	 * @param esnombrePortal
	 * @param esdireccion_nocapv
	 * @param esnodir
	 * @param esdireccionCompleta
	 * @param psnombre
	 * @param psnombree
	 * @param tirnombre
	 * @param senombre
	 * @param senombree
	 * @param avnombre
	 * @param avnombree
	 * @param denombre
	 * @param denombree
	 * @param hcfede
	 * @param ehfecha
	 * @param ehhora
	 * @param trnombre
	 * @param trnombree
	 * @param monombreTramite
	 * @param dias
	 * @param tsrnombre
	 * @param tsrnombree
	 */
	public ListadoSolicitudResultado(String numSolicitud, String decoor,
			Integer denran, Long denror, Date defede, String tfpnombre,
			String tfpnombree, String monombreDenuncia, String dtnombre,
			Long hdnror, String esnombre, String esnoco,
			String esnombreProvincia, String esnombreMunicipio,
			String esnombreCalle, String esnombrePortal,
			String esdireccion_nocapv, String esnodir,
			String esdireccionCompleta, String psnombre, String psnombree,
			String tirnombre, String senombre, String senombree,
			String avnombre, String avnombree, String denombre,
			String denombree, Date hcfede, Date ehfecha, String ehhora,
			String trnombre, String trnombree, String monombreTramite,
			BigDecimal dias, String tsrnombre, String tsrnombree) {
		this.numSolicitud = numSolicitud;
		this.decoor = decoor;
		this.denran = denran;
		this.denror = denror;
		this.defede = defede;
		this.tfpnombre = tfpnombre;
		this.tfpnombree = tfpnombree;
		this.monombreDenuncia = monombreDenuncia;
		this.dtnombre = dtnombre;
		this.hdnror = hdnror;
		this.esnombre = esnombre;
		this.esnoco = esnoco;
		this.esnombreProvincia = esnombreProvincia;
		this.esnombreMunicipio = esnombreMunicipio;
		this.esnombreCalle = esnombreCalle;
		this.esnombrePortal = esnombrePortal;
		this.esdireccion_nocapv = esdireccion_nocapv;
		this.esnodir = esnodir;
		this.esdireccionCompleta = esdireccionCompleta;
		this.psnombre = psnombre;
		this.psnombree = psnombree;
		this.tirnombre = tirnombre;
		this.senombre = senombre;
		this.senombree = senombree;
		this.avnombre = avnombre;
		this.avnombree = avnombree;
		this.denombre = denombre;
		this.denombree = denombree;
		this.hcfede = hcfede;
		this.ehfecha = ehfecha;
		this.ehhora = ehhora;
		this.trnombre = trnombre;
		this.trnombree = trnombree;
		this.monombreTramite = monombreTramite;
		this.dias = dias;
		this.tsrnombre = tsrnombre;
		this.tsrnombree = tsrnombree;
	}

	/**
	 * @return the numSolicitud
	 */
	public String getNumSolicitud() {
		return numSolicitud;
	}

	/**
	 * @param numSolicitud
	 *            the numSolicitud to set
	 */
	public void setNumSolicitud(String numSolicitud) {
		this.numSolicitud = numSolicitud;
	}

	/**
	 * @return the decoor
	 */
	public String getDecoor() {
		return decoor;
	}

	/**
	 * @param decoor
	 *            the decoor to set
	 */
	public void setDecoor(String decoor) {
		this.decoor = decoor;
	}

	/**
	 * @return the denran
	 */
	public Integer getDenran() {
		return denran;
	}

	/**
	 * @param denran
	 *            the denran to set
	 */
	public void setDenran(Integer denran) {
		this.denran = denran;
	}

	/**
	 * @return the denror
	 */
	public Long getDenror() {
		return denror;
	}

	/**
	 * @param denror
	 *            the denror to set
	 */
	public void setDenror(Long denror) {
		this.denror = denror;
	}

	/**
	 * @return the defede
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefede() {
		return defede;
	}

	/**
	 * @param defede
	 *            the defede to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefede(Date defede) {
		this.defede = defede;
	}

	/**
	 * @return the tfpnombre
	 */
	public String getTfpnombre() {
		return tfpnombre;
	}

	/**
	 * @param tfpnombre
	 *            the tfpnombre to set
	 */
	public void setTfpnombre(String tfpnombre) {
		this.tfpnombre = tfpnombre;
	}

	/**
	 * @return the tfpnombree
	 */
	public String getTfpnombree() {
		return tfpnombree;
	}

	/**
	 * @param tfpnombree
	 *            the tfpnombree to set
	 */
	public void setTfpnombree(String tfpnombree) {
		this.tfpnombree = tfpnombree;
	}

	/**
	 * @return the monombreDenuncia
	 */
	public String getMonombreDenuncia() {
		return monombreDenuncia;
	}

	/**
	 * @param monombreDenuncia
	 *            the monombreDenuncia to set
	 */
	public void setMonombreDenuncia(String monombreDenuncia) {
		this.monombreDenuncia = monombreDenuncia;
	}

	/**
	 * @return the dtnombre
	 */
	public String getDtnombre() {
		return dtnombre;
	}

	/**
	 * @param dtnombre
	 *            the dtnombre to set
	 */
	public void setDtnombre(String dtnombre) {
		this.dtnombre = dtnombre;
	}

	/**
	 * @return the hdnror
	 */
	public Long getHdnror() {
		return hdnror;
	}

	/**
	 * @param hdnror
	 *            the hdnror to set
	 */
	public void setHdnror(Long hdnror) {
		this.hdnror = hdnror;
	}

	/**
	 * @return the esnombre
	 */
	public String getEsnombre() {
		return esnombre;
	}

	/**
	 * @param esnombre
	 *            the esnombre to set
	 */
	public void setEsnombre(String esnombre) {
		this.esnombre = esnombre;
	}

	/**
	 * @return the esnoco
	 */
	public String getEsnoco() {
		return esnoco;
	}

	/**
	 * @param esnoco
	 *            the esnoco to set
	 */
	public void setEsnoco(String esnoco) {
		this.esnoco = esnoco;
	}

	/**
	 * @return the esnombreProvincia
	 */
	public String getEsnombreProvincia() {
		return esnombreProvincia;
	}

	/**
	 * @param esnombreProvincia
	 *            the esnombreProvincia to set
	 */
	public void setEsnombreProvincia(String esnombreProvincia) {
		this.esnombreProvincia = esnombreProvincia;
	}

	/**
	 * @return the esnombreMunicipio
	 */
	public String getEsnombreMunicipio() {
		return esnombreMunicipio;
	}

	/**
	 * @param esnombreMunicipio
	 *            the esnombreMunicipio to set
	 */
	public void setEsnombreMunicipio(String esnombreMunicipio) {
		this.esnombreMunicipio = esnombreMunicipio;
	}

	/**
	 * @return the esnombreCalle
	 */
	public String getEsnombreCalle() {
		return esnombreCalle;
	}

	/**
	 * @param esnombreCalle
	 *            the esnombreCalle to set
	 */
	public void setEsnombreCalle(String esnombreCalle) {
		this.esnombreCalle = esnombreCalle;
	}

	/**
	 * @return the esnombrePortal
	 */
	public String getEsnombrePortal() {
		return esnombrePortal;
	}

	/**
	 * @param esnombrePortal
	 *            the esnombrePortal to set
	 */
	public void setEsnombrePortal(String esnombrePortal) {
		this.esnombrePortal = esnombrePortal;
	}

	/**
	 * @return the esdireccion_nocapv
	 */
	public String getEsdireccion_nocapv() {
		return esdireccion_nocapv;
	}

	/**
	 * @param esdireccion_nocapv
	 *            the esdireccion_nocapv to set
	 */
	public void setEsdireccion_nocapv(String esdireccion_nocapv) {
		this.esdireccion_nocapv = esdireccion_nocapv;
	}

	/**
	 * @return the esnodir
	 */
	public String getEsnodir() {
		return esnodir;
	}

	/**
	 * @param esnodir
	 *            the esnodir to set
	 */
	public void setEsnodir(String esnodir) {
		this.esnodir = esnodir;
	}

	/**
	 * @return the esdireccionCompleta
	 */
	public String getEsdireccionCompleta() {
		return esdireccionCompleta;
	}

	/**
	 * @param esdireccionCompleta
	 *            the esdireccionCompleta to set
	 */
	public void setEsdireccionCompleta(String esdireccionCompleta) {
		this.esdireccionCompleta = esdireccionCompleta;
	}

	/**
	 * @return the psnombre
	 */
	public String getPsnombre() {
		return psnombre;
	}

	/**
	 * @param psnombre
	 *            the psnombre to set
	 */
	public void setPsnombre(String psnombre) {
		this.psnombre = psnombre;
	}

	/**
	 * @return the psnombree
	 */
	public String getPsnombree() {
		return psnombree;
	}

	/**
	 * @param psnombree
	 *            the psnombree to set
	 */
	public void setPsnombree(String psnombree) {
		this.psnombree = psnombree;
	}

	/**
	 * @return the tirnombre
	 */
	public String getTirnombre() {
		return tirnombre;
	}

	/**
	 * @param tirnombre
	 *            the tirnombre to set
	 */
	public void setTirnombre(String tirnombre) {
		this.tirnombre = tirnombre;
	}

	/**
	 * @return the senombre
	 */
	public String getSenombre() {
		return senombre;
	}

	/**
	 * @param senombre
	 *            the senombre to set
	 */
	public void setSenombre(String senombre) {
		this.senombre = senombre;
	}

	/**
	 * @return the senombree
	 */
	public String getSenombree() {
		return senombree;
	}

	/**
	 * @param senombree
	 *            the senombree to set
	 */
	public void setSenombree(String senombree) {
		this.senombree = senombree;
	}

	/**
	 * @return the avnombre
	 */
	public String getAvnombre() {
		return avnombre;
	}

	/**
	 * @param avnombre
	 *            the avnombre to set
	 */
	public void setAvnombre(String avnombre) {
		this.avnombre = avnombre;
	}

	/**
	 * @return the avnombree
	 */
	public String getAvnombree() {
		return avnombree;
	}

	/**
	 * @param avnombree
	 *            the avnombree to set
	 */
	public void setAvnombree(String avnombree) {
		this.avnombree = avnombree;
	}

	/**
	 * @return the denombre
	 */
	public String getDenombre() {
		return denombre;
	}

	/**
	 * @param denombre
	 *            the denombre to set
	 */
	public void setDenombre(String denombre) {
		this.denombre = denombre;
	}

	/**
	 * @return the denombree
	 */
	public String getDenombree() {
		return denombree;
	}

	/**
	 * @param denombree
	 *            the denombree to set
	 */
	public void setDenombree(String denombree) {
		this.denombree = denombree;
	}

	/**
	 * @return the hcfede
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getHcfede() {
		return hcfede;
	}

	/**
	 * @param hcfede
	 *            the hcfede to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setHcfede(Date hcfede) {
		this.hcfede = hcfede;
	}

	/**
	 * @return the ehfecha
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getEhfecha() {
		return ehfecha;
	}

	/**
	 * @param ehfecha
	 *            the ehfecha to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setEhfecha(Date ehfecha) {
		this.ehfecha = ehfecha;
	}

	/**
	 * @return the ehhora
	 */
	public String getEhhora() {
		return ehhora;
	}

	/**
	 * @param ehhora
	 *            the ehhora to set
	 */
	public void setEhhora(String ehhora) {
		this.ehhora = ehhora;
	}

	/**
	 * @return the trnombre
	 */
	public String getTrnombre() {
		return trnombre;
	}

	/**
	 * @param trnombre
	 *            the trnombre to set
	 */
	public void setTrnombre(String trnombre) {
		this.trnombre = trnombre;
	}

	/**
	 * @return the trnombree
	 */
	public String getTrnombree() {
		return trnombree;
	}

	/**
	 * @param trnombree
	 *            the trnombree to set
	 */
	public void setTrnombree(String trnombree) {
		this.trnombree = trnombree;
	}

	/**
	 * @return the monombreTramite
	 */
	public String getMonombreTramite() {
		return monombreTramite;
	}

	/**
	 * @param monombreTramite
	 *            the monombreTramite to set
	 */
	public void setMonombreTramite(String monombreTramite) {
		this.monombreTramite = monombreTramite;
	}

	/**
	 * @return the dias
	 */
	public BigDecimal getDias() {
		return dias;
	}

	/**
	 * @param dias
	 *            the dias to set
	 */
	public void setDias(BigDecimal dias) {
		this.dias = dias;
	}

	/**
	 * @return the tsrnombre
	 */
	public String getTsrnombre() {
		return tsrnombre;
	}

	/**
	 * @param tsrnombre
	 *            the tsrnombre to set
	 */
	public void setTsrnombre(String tsrnombre) {
		this.tsrnombre = tsrnombre;
	}

	/**
	 * @return the tsrnombree
	 */
	public String getTsrnombree() {
		return tsrnombree;
	}

	/**
	 * @param tsrnombree
	 *            the tsrnombree to set
	 */
	public void setTsrnombree(String tsrnombree) {
		this.tsrnombree = tsrnombree;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "ListadoSolicitudResultado [numSolicitud=" + numSolicitud
				+ ", decoor=" + decoor + ", denran=" + denran + ", denror="
				+ denror + ", defede=" + defede + ", tfpnombre=" + tfpnombre
				+ ", tfpnombree=" + tfpnombree + ", monombreDenuncia="
				+ monombreDenuncia + ", dtnombre=" + dtnombre + ", hdnror="
				+ hdnror + ", esnombre=" + esnombre + ", esnoco=" + esnoco
				+ ", esnombreProvincia=" + esnombreProvincia
				+ ", esnombreMunicipio=" + esnombreMunicipio
				+ ", esnombreCalle=" + esnombreCalle + ", esnombrePortal="
				+ esnombrePortal + ", esdireccion_nocapv=" + esdireccion_nocapv
				+ ", esnodir=" + esnodir + ", esdireccionCompleta="
				+ esdireccionCompleta + ", psnombre=" + psnombre
				+ ", psnombree=" + psnombree + ", tirnombre=" + tirnombre
				+ ", senombre=" + senombre + ", senombree=" + senombree
				+ ", avnombre=" + avnombre + ", avnombree=" + avnombree
				+ ", denombre=" + denombre + ", denombree=" + denombree
				+ ", hcfede=" + hcfede + ", ehfecha=" + ehfecha + ", ehhora="
				+ ehhora + ", trnombre=" + trnombre + ", trnombree="
				+ trnombree + ", monombreTramite=" + monombreTramite
				+ ", dias=" + dias + ", tsrnombre=" + tsrnombre
				+ ", tsrnombree=" + tsrnombree + "]";
	}

}
