package com.ejie.y41b.model;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.ejie.y41b.validation.Y41bNifNieCif;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * Ooee  
 * 
 *  
 */

public class Ooee implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	@NotEmpty(message = "error01.required.oecodigo")
	private String oecodigo;
	private String oetesi;
	@NotEmpty(message = "error02.required.oenorep")
	private String oenorep;
	@Y41bNifNieCif(message = "error03.required.oenirep")
	private String oenirep;
	private String oenocare;
	private String oenoapp;
	private String oenoaps;
	private Date oefead;
	private String oecoja;
	private Date oefeadfin;
	private Date oefecalta;
	private String oeusualta;
	private Date oefecmod;
	private String oeusumod;
	private List<Oese> oeses = new ArrayList<Oese>();
	private List<Oeta1> oeta1s = new ArrayList<Oeta1>();
	private List<Oear> oears = new ArrayList<Oear>();

	private String oenombre;
	private String oesecodigo;
	private String oeadherido;
	private String oeThActAraba;
	private String oeThActBizkaia;
	private String oeThActGipuzkoa;

	private Organismo organismo;

	/**
	 * Method 'Ooee'.
	 */
	public Ooee() {
	}

	/**
	 * Method 'Ooee'.
	 * 
	 * @param oecodigo
	 *            String
	 * @param oetesi
	 *            String
	 * @param oenorep
	 *            String
	 * @param oenirep
	 *            String
	 * @param oenocare
	 *            String
	 * @param oenoapp
	 *            String
	 * @param oenoaps
	 *            String
	 * @param oefead
	 *            Date
	 * @param oecoja
	 *            String
	 * @param oefeadfin
	 *            Date
	 * @param oefecalta
	 *            Date
	 * @param oeusualta
	 *            String
	 * @param oefecmod
	 *            Date
	 * @param oeusumod
	 *            String
	 */
	public Ooee(String oecodigo, String oetesi, String oenorep, String oenirep,
			String oenocare, String oenoapp, String oenoaps, Date oefead,
			String oecoja, Date oefeadfin, Date oefecalta, String oeusualta,
			Date oefecmod, String oeusumod) {
		this.oecodigo = oecodigo;
		this.oetesi = oetesi;
		this.oenorep = oenorep;
		this.oenirep = oenirep;
		this.oenocare = oenocare;
		this.oenoapp = oenoapp;
		this.oenoaps = oenoaps;
		this.oefead = oefead;
		this.oecoja = oecoja;
		this.oefeadfin = oefeadfin;
		this.oefecalta = oefecalta;
		this.oeusualta = oeusualta;
		this.oefecmod = oefecmod;
		this.oeusumod = oeusumod;
	}

	/**
	 * Method 'Ooee'.
	 * 
	 * @param oecodigo
	 *            String
	 * @param oetesi
	 *            String
	 * @param oenorep
	 *            String
	 * @param oenirep
	 *            String
	 * @param oenocare
	 *            String
	 * @param oenoapp
	 *            String
	 * @param oenoaps
	 *            String
	 * @param oefead
	 *            Date
	 * @param oecoja
	 *            String
	 * @param oefeadfin
	 *            Date
	 * @param oefecalta
	 *            Date
	 * @param oeusualta
	 *            String
	 * @param oefecmod
	 *            Date
	 * @param oeusumod
	 *            String
	 * @param oeses
	 *            List<Oese>
	 * @param oeta1s
	 *            List<Oeta1>
	 * @param oears
	 *            List<Oear>
	 */
	public Ooee(String oecodigo, String oetesi, String oenorep, String oenirep,
			String oenocare, String oenoapp, String oenoaps, Date oefead,
			String oecoja, Date oefeadfin, Date oefecalta, String oeusualta,
			Date oefecmod, String oeusumod, List<Oese> oeses,
			List<Oeta1> oeta1s, List<Oear> oears) {

		this.oecodigo = oecodigo;
		this.oetesi = oetesi;
		this.oenorep = oenorep;
		this.oenirep = oenirep;
		this.oenocare = oenocare;
		this.oenoapp = oenoapp;
		this.oenoaps = oenoaps;
		this.oefead = oefead;
		this.oecoja = oecoja;
		this.oefeadfin = oefeadfin;
		this.oefecalta = oefecalta;
		this.oeusualta = oeusualta;
		this.oefecmod = oefecmod;
		this.oeusumod = oeusumod;
		this.oeses = oeses;
		this.oeta1s = oeta1s;
		this.oears = oears;
	}

	/**
	 * Method 'getOecodigo'.
	 * 
	 * @return String
	 */

	public String getOecodigo() {
		return this.oecodigo;
	}

	/**
	 * Method 'setOecodigo'.
	 * 
	 * @param oecodigo
	 *            String
	 * @return
	 */

	public void setOecodigo(String oecodigo) {
		this.oecodigo = oecodigo;
	}

	/**
	 * Method 'getOetesi'.
	 * 
	 * @return String
	 */

	public String getOetesi() {
		return this.oetesi;
	}

	/**
	 * Method 'setOetesi'.
	 * 
	 * @param oetesi
	 *            String
	 * @return
	 */

	public void setOetesi(String oetesi) {
		this.oetesi = oetesi;
	}

	/**
	 * Method 'getOenorep'.
	 * 
	 * @return String
	 */

	public String getOenorep() {
		return this.oenorep;
	}

	/**
	 * Method 'setOenorep'.
	 * 
	 * @param oenorep
	 *            String
	 * @return
	 */

	public void setOenorep(String oenorep) {
		this.oenorep = oenorep;
	}

	/**
	 * Method 'getOenirep'.
	 * 
	 * @return String
	 */

	public String getOenirep() {
		return this.oenirep;
	}

	/**
	 * Method 'setOenirep'.
	 * 
	 * @param oenirep
	 *            String
	 * @return
	 */

	public void setOenirep(String oenirep) {
		this.oenirep = oenirep;
	}

	/**
	 * Method 'getOenocare'.
	 * 
	 * @return String
	 */

	public String getOenocare() {
		return this.oenocare;
	}

	/**
	 * Method 'setOenocare'.
	 * 
	 * @param oenocare
	 *            String
	 * @return
	 */

	public void setOenocare(String oenocare) {
		this.oenocare = oenocare;
	}

	/**
	 * Method 'getOenoapp'.
	 * 
	 * @return String
	 */

	public String getOenoapp() {
		return this.oenoapp;
	}

	/**
	 * Method 'setOenoapp'.
	 * 
	 * @param oenoapp
	 *            String
	 * @return
	 */

	public void setOenoapp(String oenoapp) {
		this.oenoapp = oenoapp;
	}

	/**
	 * Method 'getOenoaps'.
	 * 
	 * @return String
	 */

	public String getOenoaps() {
		return this.oenoaps;
	}

	/**
	 * Method 'setOenoaps'.
	 * 
	 * @param oenoaps
	 *            String
	 * @return
	 */

	public void setOenoaps(String oenoaps) {
		this.oenoaps = oenoaps;
	}

	/**
	 * Method 'getOefead'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getOefead() {
		return this.oefead;
	}

	/**
	 * Method 'setOefead'.
	 * 
	 * @param oefead
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setOefead(Date oefead) {
		this.oefead = oefead;
	}

	/**
	 * Method 'getOecoja'.
	 * 
	 * @return String
	 */

	public String getOecoja() {
		return this.oecoja;
	}

	/**
	 * Method 'setOecoja'.
	 * 
	 * @param oecoja
	 *            String
	 * @return
	 */

	public void setOecoja(String oecoja) {
		this.oecoja = oecoja;
	}

	/**
	 * Method 'getOefeadfin'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getOefeadfin() {
		return this.oefeadfin;
	}

	/**
	 * Method 'setOefeadfin'.
	 * 
	 * @param oefeadfin
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setOefeadfin(Date oefeadfin) {
		this.oefeadfin = oefeadfin;
	}

	/**
	 * Method 'getOefecalta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getOefecalta() {
		return this.oefecalta;
	}

	/**
	 * Method 'setOefecalta'.
	 * 
	 * @param oefecalta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setOefecalta(Date oefecalta) {
		this.oefecalta = oefecalta;
	}

	/**
	 * Method 'getOeusualta'.
	 * 
	 * @return String
	 */

	public String getOeusualta() {
		return this.oeusualta;
	}

	/**
	 * Method 'setOeusualta'.
	 * 
	 * @param oeusualta
	 *            String
	 * @return
	 */

	public void setOeusualta(String oeusualta) {
		this.oeusualta = oeusualta;
	}

	/**
	 * Method 'getOefecmod'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getOefecmod() {
		return this.oefecmod;
	}

	/**
	 * Method 'setOefecmod'.
	 * 
	 * @param oefecmod
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setOefecmod(Date oefecmod) {
		this.oefecmod = oefecmod;
	}

	/**
	 * Method 'getOeusumod'.
	 * 
	 * @return String
	 */

	public String getOeusumod() {
		return this.oeusumod;
	}

	/**
	 * Method 'setOeusumod'.
	 * 
	 * @param oeusumod
	 *            String
	 * @return
	 */

	public void setOeusumod(String oeusumod) {
		this.oeusumod = oeusumod;
	}

	/**
	 * Method 'getOeses'.
	 * 
	 * @return List
	 */
	public List<Oese> getOeses() {
		return this.oeses;
	}

	/**
	 * Method 'setOeses'.
	 * 
	 * @param oeses
	 *            List
	 * @return
	 */
	public void setOeses(List<Oese> oeses) {
		this.oeses = oeses;
	}

	/**
	 * Method 'getOeta1s'.
	 * 
	 * @return List
	 */
	@JsonIgnore()
	public List<Oeta1> getOeta1s() {
		return this.oeta1s;
	}

	/**
	 * Method 'setOeta1s'.
	 * 
	 * @param oeta1s
	 *            List
	 * @return
	 */
	public void setOeta1s(List<Oeta1> oeta1s) {
		this.oeta1s = oeta1s;
	}

	/**
	 * Method 'getOears'.
	 * 
	 * @return List
	 */
	public List<Oear> getOears() {
		return this.oears;
	}

	/**
	 * Method 'setOears'.
	 * 
	 * @param oears
	 *            List
	 * @return
	 */
	public void setOears(List<Oear> oears) {
		this.oears = oears;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ oecodigo: ").append(this.oecodigo).append(" ]");
		result.append(", [ oetesi: ").append(this.oetesi).append(" ]");
		result.append(", [ oenorep: ").append(this.oenorep).append(" ]");
		result.append(", [ oenirep: ").append(this.oenirep).append(" ]");
		result.append(", [ oenocare: ").append(this.oenocare).append(" ]");
		result.append(", [ oenoapp: ").append(this.oenoapp).append(" ]");
		result.append(", [ oenoaps: ").append(this.oenoaps).append(" ]");
		result.append(", [ oefead: ").append(this.oefead).append(" ]");
		result.append(", [ oecoja: ").append(this.oecoja).append(" ]");
		result.append(", [ oefeadfin: ").append(this.oefeadfin).append(" ]");
		result.append(", [ oefecalta: ").append(this.oefecalta).append(" ]");
		result.append(", [ oeusualta: ").append(this.oeusualta).append(" ]");
		result.append(", [ oefecmod: ").append(this.oefecmod).append(" ]");
		result.append(", [ oeusumod: ").append(this.oeusumod).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the oeThActAraba
	 */
	public String getOeThActAraba() {
		return this.oeThActAraba;
	}

	/**
	 * @param oeThActAraba
	 *            the oeThActAraba to set
	 */
	public void setOeThActAraba(String oeThActAraba) {
		this.oeThActAraba = oeThActAraba;
	}

	/**
	 * @return the oeThActBizkaia
	 */
	public String getOeThActBizkaia() {
		return this.oeThActBizkaia;
	}

	/**
	 * @param oeThActBizkaia
	 *            the oeThActBizkaia to set
	 */
	public void setOeThActBizkaia(String oeThActBizkaia) {
		this.oeThActBizkaia = oeThActBizkaia;
	}

	/**
	 * @return the oeThActGipuzkoa
	 */
	public String getOeThActGipuzkoa() {
		return this.oeThActGipuzkoa;
	}

	/**
	 * @param oeThActGipuzkoa
	 *            the oeThActGipuzkoa to set
	 */
	public void setOeThActGipuzkoa(String oeThActGipuzkoa) {
		this.oeThActGipuzkoa = oeThActGipuzkoa;
	}

	/**
	 * @return the organismo
	 */
	public Organismo getOrganismo() {
		return this.organismo;
	}

	/**
	 * @param organismo
	 *            the organismo to set
	 */
	public void setOrganismo(Organismo organismo) {
		this.organismo = organismo;
	}

	/**
	 * @return the oenombre
	 */
	public String getOenombre() {
		return this.oenombre;
	}

	/**
	 * @param oenombre
	 *            the oenombre to set
	 */
	public void setOenombre(String oenombre) {
		this.oenombre = oenombre;
	}

	/**
	 * @return the oesecodigo
	 */
	public String getOesecodigo() {
		return this.oesecodigo;
	}

	/**
	 * @param oesecodigo
	 *            the oesecodigo to set
	 */
	public void setOesecodigo(String oesecodigo) {
		this.oesecodigo = oesecodigo;
	}

	/**
	 * @return the oeadherido
	 */
	public String getOeadherido() {
		return this.oeadherido;
	}

	/**
	 * @param oeadherido
	 *            the oeadherido to set
	 */
	public void setOeadherido(String oeadherido) {
		this.oeadherido = oeadherido;
	}

}
