package com.ejie.y41b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * Organismo  
 * 
 *  
 */

public class Organismo implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	@Length(max = 6, message = "lenght.mocodigo")
	@NotEmpty(message = "required.mocodigo")
	@NotNull()
	private String codOrg;
	private String entidadId;
	private String nombreEs;
	private String nombreEu;
	private String activa;
	private String iskontsumogest;
	private String iskontsumonet;
	private String isofertaform;
	private String isconsultasweb;
	private String isnacional;
	private String observaciones;
	private String telefono;
	private String telefono2;
	private String fax;
	private String email;
	private String url;
	private String usuario;
	private String password;
	private String noraPaisId;
	private String nombrePais;
	private String noraProvinciaId;
	private String nombreProvincia;
	private String noraMunicipioId;
	private String nombreMunicipio;
	private String noraLocalidadId;
	private String nombreLocalidad;
	private String noraCalleId;
	private String nombreCalle;
	private String noraCpId;
	private String nombreCp;
	private String noraPortalId;
	private String nombrePortal;
	private String usuultmod;
	private Date fecultmod;
	private String incluirNoactivos;
	private String orinbdco;
	private String contacto;
	private String compleDirec;
	private String cif;
	private List<CensoMonitor> censoMonitors = new ArrayList<CensoMonitor>();
	private List<Consulta> consultas = new ArrayList<Consulta>();

	private String tipoorganismo;
	private String ambitogeografico;

	/**
	 * Method 'Organismo'.
	 * 
	 */
	public Organismo() {
	}

	/**
	 * @param codOrg
	 */
	public Organismo(String codOrg) {
		super();
		this.codOrg = codOrg;
	}

	/**
	 * Method 'Entidad'.
	 * 
	 * @param entidadId
	 *            String
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param activa
	 *            String
	 * @param iskontsumogest
	 *            String
	 * @param iskontsumonet
	 *            String
	 * @param isofertaform
	 *            String
	 * @param isconsultasweb
	 *            String
	 * @param isnacional
	 *            String
	 * @param observaciones
	 *            String
	 * @param telefono
	 *            String
	 * @param fax
	 *            String
	 * @param email
	 *            String
	 * @param url
	 *            String
	 * @param usuario
	 *            String
	 * @param password
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param noraPaisId
	 *            String
	 * @param nombrePais
	 *            String
	 * @param noraProvinciaId
	 *            String
	 * @param nombreProvincia
	 *            String
	 * @param noraMunicipioId
	 *            String
	 * @param nombreMunicipio
	 *            String
	 * @param noraLocalidadId
	 *            String
	 * @param nombreLocalidad
	 *            String
	 * @param noraCalleId
	 *            String
	 * @param nombreCalle
	 *            String
	 * @param noraCpId
	 *            String
	 * @param nombreCp
	 *            String
	 * @param noraPortalId
	 *            String
	 * @param nombrePortal
	 *            String
	 * @param codOrg
	 *            String
	 * @param compleDirec
	 *            String
	 * @param cif
	 *            String
	 */
	public Organismo(String entidadId, String nombreEs, String nombreEu, String activa, String iskontsumogest,
			String iskontsumonet, String isofertaform, String isconsultasweb, String isnacional, String observaciones,
			String telefono, String fax, String email, String url, String usuario, String password, String usuultmod,
			Date fecultmod, String noraPaisId, String nombrePais, String noraProvinciaId, String nombreProvincia,
			String noraMunicipioId, String nombreMunicipio, String noraLocalidadId, String nombreLocalidad,
			String noraCalleId, String nombreCalle, String noraCpId, String nombreCp, String noraPortalId,
			String nombrePortal, String codOrg, String compleDirec, String cif) {
		this.entidadId = entidadId;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.activa = activa;
		this.iskontsumogest = iskontsumogest;
		this.iskontsumonet = iskontsumonet;
		this.isofertaform = isofertaform;
		this.isconsultasweb = isconsultasweb;
		this.isnacional = isnacional;
		this.observaciones = observaciones;
		this.telefono = telefono;
		this.fax = fax;
		this.email = email;
		this.url = url;
		this.usuario = usuario;
		this.password = password;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.codOrg = codOrg;
		this.compleDirec = compleDirec;
		this.cif = cif;
	}

	/**
	 * Method 'Entidad'.
	 * 
	 * @param entidadId
	 *            String
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param activa
	 *            String
	 * @param iskontsumogest
	 *            String
	 * @param iskontsumonet
	 *            String
	 * @param isofertaform
	 *            String
	 * @param isconsultasweb
	 *            String
	 * @param isnacional
	 *            String
	 * @param observaciones
	 *            String
	 * @param telefono
	 *            String
	 * @param fax
	 *            String
	 * @param email
	 *            String
	 * @param url
	 *            String
	 * @param usuario
	 *            String
	 * @param password
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param noraPaisId
	 *            String
	 * @param nombrePais
	 *            String
	 * @param noraProvinciaId
	 *            String
	 * @param nombreProvincia
	 *            String
	 * @param noraMunicipioId
	 *            String
	 * @param nombreMunicipio
	 *            String
	 * @param noraLocalidadId
	 *            String
	 * @param nombreLocalidad
	 *            String
	 * @param noraCalleId
	 *            String
	 * @param nombreCalle
	 *            String
	 * @param noraCpId
	 *            String
	 * @param nombreCp
	 *            String
	 * @param noraPortalId
	 *            String
	 * @param nombrePortal
	 *            String
	 * @param codOrg
	 *            String
	 * @param compleDirec
	 *            String
	 * @param cif
	 *            String
	 */
	public Organismo(String entidadId, String nombreEs, String nombreEu, String activa, String iskontsumogest,
			String iskontsumonet, String isofertaform, String isconsultasweb, String isnacional, String observaciones,
			String telefono, String telefono2, String fax, String email, String url, String usuario, String password,
			String usuultmod, Date fecultmod, String noraPaisId, String nombrePais, String noraProvinciaId,
			String nombreProvincia, String noraMunicipioId, String nombreMunicipio, String noraLocalidadId,
			String nombreLocalidad, String noraCalleId, String nombreCalle, String noraCpId, String nombreCp,
			String noraPortalId, String nombrePortal, String codOrg, String compleDirec, String cif) {
		this.entidadId = entidadId;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.activa = activa;
		this.iskontsumogest = iskontsumogest;
		this.iskontsumonet = iskontsumonet;
		this.isofertaform = isofertaform;
		this.isconsultasweb = isconsultasweb;
		this.isnacional = isnacional;
		this.observaciones = observaciones;
		this.telefono = telefono;
		this.telefono2 = telefono2;
		this.fax = fax;
		this.email = email;
		this.url = url;
		this.usuario = usuario;
		this.password = password;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.codOrg = codOrg;
		this.compleDirec = compleDirec;
		this.cif = cif;
	}

	/**
	 * Method 'Organismo'.
	 * 
	 * @param codOrg
	 *            String
	 * @param entidadId
	 *            String
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param activa
	 *            String
	 * @param iskontsumogest
	 *            String
	 * @param iskontsumonet
	 *            String
	 * @param isofertaform
	 *            String
	 * @param isconsultasweb
	 *            String
	 * @param isnacional
	 *            String
	 * @param observaciones
	 *            String
	 * @param telefono
	 *            String
	 * @param fax
	 *            String
	 * @param email
	 *            String
	 * @param url
	 *            String
	 * @param usuario
	 *            String
	 * @param password
	 *            String
	 * @param noraPaisId
	 *            String
	 * @param nombrePais
	 *            String
	 * @param noraProvinciaId
	 *            String
	 * @param nombreProvincia
	 *            String
	 * @param noraMunicipioId
	 *            String
	 * @param nombreMunicipio
	 *            String
	 * @param noraLocalidadId
	 *            String
	 * @param nombreLocalidad
	 *            String
	 * @param noraCalleId
	 *            String
	 * @param nombreCalle
	 *            String
	 * @param noraCpId
	 *            String
	 * @param nombreCp
	 *            String
	 * @param noraPortalId
	 *            String
	 * @param nombrePortal
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param contacto
	 *            String
	 * @param cif
	 *            String
	 */
	public Organismo(String codOrg, String entidadId, String nombreEs, String nombreEu, String activa,
			String iskontsumogest, String iskontsumonet, String isofertaform, String isconsultasweb, String isnacional,
			String observaciones, String telefono, String fax, String email, String url, String usuario,
			String password, String noraPaisId, String nombrePais, String noraProvinciaId, String nombreProvincia,
			String noraMunicipioId, String nombreMunicipio, String noraLocalidadId, String nombreLocalidad,
			String noraCalleId, String nombreCalle, String noraCpId, String nombreCp, String noraPortalId,
			String nombrePortal, String usuultmod, Date fecultmod, String contacto, String cif) {
		this.codOrg = codOrg;
		this.entidadId = entidadId;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.activa = activa;
		this.iskontsumogest = iskontsumogest;
		this.iskontsumonet = iskontsumonet;
		this.isofertaform = isofertaform;
		this.isconsultasweb = isconsultasweb;
		this.isnacional = isnacional;
		this.observaciones = observaciones;
		this.telefono = telefono;
		this.fax = fax;
		this.email = email;
		this.url = url;
		this.usuario = usuario;
		this.password = password;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.contacto = contacto;
		this.cif = cif;
	}

	/**
	 * Method 'Organismo'.
	 * 
	 * @param codOrg
	 *            String
	 * @param entidadId
	 *            String
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param activa
	 *            String
	 * @param iskontsumogest
	 *            String
	 * @param iskontsumonet
	 *            String
	 * @param isofertaform
	 *            String
	 * @param isconsultasweb
	 *            String
	 * @param isnacional
	 *            String
	 * @param observaciones
	 *            String
	 * @param telefono
	 *            String
	 * @param fax
	 *            String
	 * @param email
	 *            String
	 * @param url
	 *            String
	 * @param usuario
	 *            String
	 * @param password
	 *            String
	 * @param noraPaisId
	 *            String
	 * @param nombrePais
	 *            String
	 * @param noraProvinciaId
	 *            String
	 * @param nombreProvincia
	 *            String
	 * @param noraMunicipioId
	 *            String
	 * @param nombreMunicipio
	 *            String
	 * @param noraLocalidadId
	 *            String
	 * @param nombreLocalidad
	 *            String
	 * @param noraCalleId
	 *            String
	 * @param nombreCalle
	 *            String
	 * @param noraCpId
	 *            String
	 * @param nombreCp
	 *            String
	 * @param noraPortalId
	 *            String
	 * @param nombrePortal
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 */
	public Organismo(String codOrg, String entidadId, String nombreEs, String nombreEu, String activa,
			String iskontsumogest, String iskontsumonet, String isofertaform, String isconsultasweb, String isnacional,
			String observaciones, String telefono, String fax, String email, String url, String usuario,
			String password, String noraPaisId, String nombrePais, String noraProvinciaId, String nombreProvincia,
			String noraMunicipioId, String nombreMunicipio, String noraLocalidadId, String nombreLocalidad,
			String noraCalleId, String nombreCalle, String noraCpId, String nombreCp, String noraPortalId,
			String nombrePortal, String usuultmod, Date fecultmod) {
		this.codOrg = codOrg;
		this.entidadId = entidadId;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.activa = activa;
		this.iskontsumogest = iskontsumogest;
		this.iskontsumonet = iskontsumonet;
		this.isofertaform = isofertaform;
		this.isconsultasweb = isconsultasweb;
		this.isnacional = isnacional;
		this.observaciones = observaciones;
		this.telefono = telefono;
		this.fax = fax;
		this.email = email;
		this.url = url;
		this.usuario = usuario;
		this.password = password;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
	}

	/**
	 * Method 'Organismo'.
	 * 
	 * @param codOrg
	 *            String
	 * @param entidadId
	 *            String
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param activa
	 *            String
	 * @param iskontsumogest
	 *            String
	 * @param iskontsumonet
	 *            String
	 * @param isofertaform
	 *            String
	 * @param isconsultasweb
	 *            String
	 * @param isnacional
	 *            String
	 * @param observaciones
	 *            String
	 * @param telefono
	 *            String
	 * @param fax
	 *            String
	 * @param email
	 *            String
	 * @param url
	 *            String
	 * @param usuario
	 *            String
	 * @param password
	 *            String
	 * @param noraPaisId
	 *            String
	 * @param nombrePais
	 *            String
	 * @param noraProvinciaId
	 *            String
	 * @param nombreProvincia
	 *            String
	 * @param noraMunicipioId
	 *            String
	 * @param nombreMunicipio
	 *            String
	 * @param noraLocalidadId
	 *            String
	 * @param nombreLocalidad
	 *            String
	 * @param noraCalleId
	 *            String
	 * @param nombreCalle
	 *            String
	 * @param noraCpId
	 *            String
	 * @param nombreCp
	 *            String
	 * @param noraPortalId
	 *            String
	 * @param nombrePortal
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param censoMonitors
	 *            List<CensoMonitor>
	 * @param consultas
	 *            List<Consulta>
	 */
	public Organismo(String codOrg, String entidadId, String nombreEs, String nombreEu, String activa,
			String iskontsumogest, String iskontsumonet, String isofertaform, String isconsultasweb, String isnacional,
			String observaciones, String telefono, String fax, String email, String url, String usuario,
			String password, String noraPaisId, String nombrePais, String noraProvinciaId, String nombreProvincia,
			String noraMunicipioId, String nombreMunicipio, String noraLocalidadId, String nombreLocalidad,
			String noraCalleId, String nombreCalle, String noraCpId, String nombreCp, String noraPortalId,
			String nombrePortal, String usuultmod, Date fecultmod, List<CensoMonitor> censoMonitors,
			List<Consulta> consultas) {

		this.codOrg = codOrg;
		this.entidadId = entidadId;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.activa = activa;
		this.iskontsumogest = iskontsumogest;
		this.iskontsumonet = iskontsumonet;
		this.isofertaform = isofertaform;
		this.isconsultasweb = isconsultasweb;
		this.isnacional = isnacional;
		this.observaciones = observaciones;
		this.telefono = telefono;
		this.fax = fax;
		this.email = email;
		this.url = url;
		this.usuario = usuario;
		this.password = password;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.censoMonitors = censoMonitors;
		this.consultas = consultas;
	}

	/**
	 * Method 'getCodOrg'.
	 * 
	 * @return String
	 */

	public String getCodOrg() {
		return this.codOrg;
	}

	/**
	 * Method 'setCodOrg'.
	 * 
	 * @param codOrg
	 *            String
	 * @return
	 */

	public void setCodOrg(String codOrg) {
		this.codOrg = codOrg;
	}

	/**
	 * Method 'getEntidadId'.
	 * 
	 * @return String
	 */

	public String getEntidadId() {
		return this.entidadId;
	}

	/**
	 * Method 'setEntidadId'.
	 * 
	 * @param entidadId
	 *            String
	 * @return
	 */

	public void setEntidadId(String entidadId) {
		this.entidadId = entidadId;
	}

	/**
	 * Method 'getNombreEs'.
	 * 
	 * @return String
	 */

	public String getNombreEs() {
		return this.nombreEs;
	}

	/**
	 * Method 'setNombreEs'.
	 * 
	 * @param nombreEs
	 *            String
	 * @return
	 */

	public void setNombreEs(String nombreEs) {
		this.nombreEs = nombreEs;
	}

	/**
	 * Method 'getNombreEu'.
	 * 
	 * @return String
	 */

	public String getNombreEu() {
		return this.nombreEu;
	}

	/**
	 * Method 'setNombreEu'.
	 * 
	 * @param nombreEu
	 *            String
	 * @return
	 */

	public void setNombreEu(String nombreEu) {
		this.nombreEu = nombreEu;
	}

	/**
	 * Method 'getActiva'.
	 * 
	 * @return String
	 */

	public String getActiva() {
		return this.activa;
	}

	/**
	 * Method 'setActiva'.
	 * 
	 * @param activa
	 *            String
	 * @return
	 */

	public void setActiva(String activa) {
		this.activa = activa;
	}

	/**
	 * Method 'getIskontsumogest'.
	 * 
	 * @return String
	 */

	public String getIskontsumogest() {
		return this.iskontsumogest;
	}

	/**
	 * Method 'setIskontsumogest'.
	 * 
	 * @param iskontsumogest
	 *            String
	 * @return
	 */

	public void setIskontsumogest(String iskontsumogest) {
		this.iskontsumogest = iskontsumogest;
	}

	/**
	 * Method 'getIskontsumonet'.
	 * 
	 * @return String
	 */

	public String getIskontsumonet() {
		return this.iskontsumonet;
	}

	/**
	 * Method 'setIskontsumonet'.
	 * 
	 * @param iskontsumonet
	 *            String
	 * @return
	 */

	public void setIskontsumonet(String iskontsumonet) {
		this.iskontsumonet = iskontsumonet;
	}

	/**
	 * Method 'getIsofertaform'.
	 * 
	 * @return String
	 */

	public String getIsofertaform() {
		return this.isofertaform;
	}

	/**
	 * Method 'setIsofertaform'.
	 * 
	 * @param isofertaform
	 *            String
	 * @return
	 */

	public void setIsofertaform(String isofertaform) {
		this.isofertaform = isofertaform;
	}

	/**
	 * Method 'getIsconsultasweb'.
	 * 
	 * @return String
	 */

	public String getIsconsultasweb() {
		return this.isconsultasweb;
	}

	/**
	 * Method 'setIsconsultasweb'.
	 * 
	 * @param isconsultasweb
	 *            String
	 * @return
	 */

	public void setIsconsultasweb(String isconsultasweb) {
		this.isconsultasweb = isconsultasweb;
	}

	/**
	 * Method 'getIsnacional'.
	 * 
	 * @return String
	 */

	public String getIsnacional() {
		return this.isnacional;
	}

	/**
	 * Method 'setIsnacional'.
	 * 
	 * @param isnacional
	 *            String
	 * @return
	 */

	public void setIsnacional(String isnacional) {
		this.isnacional = isnacional;
	}

	/**
	 * Method 'getObservaciones'.
	 * 
	 * @return String
	 */

	public String getObservaciones() {
		return this.observaciones;
	}

	/**
	 * Method 'setObservaciones'.
	 * 
	 * @param observaciones
	 *            String
	 * @return
	 */

	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	/**
	 * Method 'getTelefono'.
	 * 
	 * @return String
	 */

	public String getTelefono2() {
		return this.telefono2;
	}

	/**
	 * Method 'setTelefono2'.
	 * 
	 * @param telefono2
	 *            String
	 * @return
	 */

	public void setTelefono2(String telefono2) {
		this.telefono = telefono2;
	}

	/**
	 * Method 'getTelefono'.
	 * 
	 * @return String
	 */

	public String getTelefono() {
		return this.telefono;
	}

	/**
	 * Method 'setTelefono'.
	 * 
	 * @param telefono
	 *            String
	 * @return
	 */

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	/**
	 * Method 'getFax'.
	 * 
	 * @return String
	 */

	public String getFax() {
		return this.fax;
	}

	/**
	 * Method 'setFax'.
	 * 
	 * @param fax
	 *            String
	 * @return
	 */

	public void setFax(String fax) {
		this.fax = fax;
	}

	/**
	 * Method 'getEmail'.
	 * 
	 * @return String
	 */

	public String getEmail() {
		return this.email;
	}

	/**
	 * Method 'setEmail'.
	 * 
	 * @param email
	 *            String
	 * @return
	 */

	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Method 'getUrl'.
	 * 
	 * @return String
	 */

	public String getUrl() {
		return this.url;
	}

	/**
	 * Method 'setUrl'.
	 * 
	 * @param url
	 *            String
	 * @return
	 */

	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * Method 'getUsuario'.
	 * 
	 * @return String
	 */

	public String getUsuario() {
		return this.usuario;
	}

	/**
	 * Method 'setUsuario'.
	 * 
	 * @param usuario
	 *            String
	 * @return
	 */

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	/**
	 * Method 'getPassword'.
	 * 
	 * @return String
	 */

	public String getPassword() {
		return this.password;
	}

	/**
	 * Method 'setPassword'.
	 * 
	 * @param password
	 *            String
	 * @return
	 */

	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * Method 'getNoraPaisId'.
	 * 
	 * @return String
	 */

	public String getNoraPaisId() {
		return this.noraPaisId;
	}

	/**
	 * Method 'setNoraPaisId'.
	 * 
	 * @param noraPaisId
	 *            String
	 * @return
	 */

	public void setNoraPaisId(String noraPaisId) {
		this.noraPaisId = noraPaisId;
	}

	/**
	 * Method 'getNombrePais'.
	 * 
	 * @return String
	 */

	public String getNombrePais() {
		return this.nombrePais;
	}

	/**
	 * Method 'setNombrePais'.
	 * 
	 * @param nombrePais
	 *            String
	 * @return
	 */

	public void setNombrePais(String nombrePais) {
		this.nombrePais = nombrePais;
	}

	/**
	 * Method 'getNoraProvinciaId'.
	 * 
	 * @return String
	 */

	public String getNoraProvinciaId() {
		return this.noraProvinciaId;
	}

	/**
	 * Method 'setNoraProvinciaId'.
	 * 
	 * @param noraProvinciaId
	 *            String
	 * @return
	 */

	public void setNoraProvinciaId(String noraProvinciaId) {
		this.noraProvinciaId = noraProvinciaId;
	}

	/**
	 * Method 'getNombreProvincia'.
	 * 
	 * @return String
	 */

	public String getNombreProvincia() {
		return this.nombreProvincia;
	}

	/**
	 * Method 'setNombreProvincia'.
	 * 
	 * @param nombreProvincia
	 *            String
	 * @return
	 */

	public void setNombreProvincia(String nombreProvincia) {
		this.nombreProvincia = nombreProvincia;
	}

	/**
	 * Method 'getNoraMunicipioId'.
	 * 
	 * @return String
	 */

	public String getNoraMunicipioId() {
		return this.noraMunicipioId;
	}

	/**
	 * Method 'setNoraMunicipioId'.
	 * 
	 * @param noraMunicipioId
	 *            String
	 * @return
	 */

	public void setNoraMunicipioId(String noraMunicipioId) {
		this.noraMunicipioId = noraMunicipioId;
	}

	/**
	 * Method 'getNombreMunicipio'.
	 * 
	 * @return String
	 */

	public String getNombreMunicipio() {
		return this.nombreMunicipio;
	}

	/**
	 * Method 'setNombreMunicipio'.
	 * 
	 * @param nombreMunicipio
	 *            String
	 * @return
	 */

	public void setNombreMunicipio(String nombreMunicipio) {
		this.nombreMunicipio = nombreMunicipio;
	}

	/**
	 * Method 'getNoraLocalidadId'.
	 * 
	 * @return String
	 */

	public String getNoraLocalidadId() {
		return this.noraLocalidadId;
	}

	/**
	 * Method 'setNoraLocalidadId'.
	 * 
	 * @param noraLocalidadId
	 *            String
	 * @return
	 */

	public void setNoraLocalidadId(String noraLocalidadId) {
		this.noraLocalidadId = noraLocalidadId;
	}

	/**
	 * Method 'getNombreLocalidad'.
	 * 
	 * @return String
	 */

	public String getNombreLocalidad() {
		return this.nombreLocalidad;
	}

	/**
	 * Method 'setNombreLocalidad'.
	 * 
	 * @param nombreLocalidad
	 *            String
	 * @return
	 */

	public void setNombreLocalidad(String nombreLocalidad) {
		this.nombreLocalidad = nombreLocalidad;
	}

	/**
	 * Method 'getNoraCalleId'.
	 * 
	 * @return String
	 */

	public String getNoraCalleId() {
		return this.noraCalleId;
	}

	/**
	 * Method 'setNoraCalleId'.
	 * 
	 * @param noraCalleId
	 *            String
	 * @return
	 */

	public void setNoraCalleId(String noraCalleId) {
		this.noraCalleId = noraCalleId;
	}

	/**
	 * Method 'getNombreCalle'.
	 * 
	 * @return String
	 */

	public String getNombreCalle() {
		return this.nombreCalle;
	}

	/**
	 * Method 'setNombreCalle'.
	 * 
	 * @param nombreCalle
	 *            String
	 * @return
	 */

	public void setNombreCalle(String nombreCalle) {
		this.nombreCalle = nombreCalle;
	}

	/**
	 * Method 'getNoraCpId'.
	 * 
	 * @return String
	 */

	public String getNoraCpId() {
		return this.noraCpId;
	}

	/**
	 * Method 'setNoraCpId'.
	 * 
	 * @param noraCpId
	 *            String
	 * @return
	 */

	public void setNoraCpId(String noraCpId) {
		this.noraCpId = noraCpId;
	}

	/**
	 * Method 'getNombreCp'.
	 * 
	 * @return String
	 */

	public String getNombreCp() {
		return this.nombreCp;
	}

	/**
	 * Method 'setNombreCp'.
	 * 
	 * @param nombreCp
	 *            String
	 * @return
	 */

	public void setNombreCp(String nombreCp) {
		this.nombreCp = nombreCp;
	}

	/**
	 * Method 'getNoraPortalId'.
	 * 
	 * @return String
	 */

	public String getNoraPortalId() {
		return this.noraPortalId;
	}

	/**
	 * Method 'setNoraPortalId'.
	 * 
	 * @param noraPortalId
	 *            String
	 * @return
	 */

	public void setNoraPortalId(String noraPortalId) {
		this.noraPortalId = noraPortalId;
	}

	/**
	 * Method 'getNombrePortal'.
	 * 
	 * @return String
	 */

	public String getNombrePortal() {
		return this.nombrePortal;
	}

	/**
	 * Method 'setNombrePortal'.
	 * 
	 * @param nombrePortal
	 *            String
	 * @return
	 */

	public void setNombrePortal(String nombrePortal) {
		this.nombrePortal = nombrePortal;
	}

	/**
	 * Method 'getUsuultmod'.
	 * 
	 * @return String
	 */

	public String getUsuultmod() {
		return this.usuultmod;
	}

	/**
	 * Method 'setUsuultmod'.
	 * 
	 * @param usuultmod
	 *            String
	 * @return
	 */

	public void setUsuultmod(String usuultmod) {
		this.usuultmod = usuultmod;
	}

	/**
	 * Method 'getFecultmod'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecultmod() {
		return this.fecultmod;
	}

	/**
	 * Method 'setFecultmod'.
	 * 
	 * @param fecultmod
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecultmod(Date fecultmod) {
		this.fecultmod = fecultmod;
	}

	/**
	 * Method 'getCensoMonitors'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<CensoMonitor> getCensoMonitors() {
		return this.censoMonitors;
	}

	/**
	 * Method 'setCensoMonitors'.
	 * 
	 * @param censoMonitors
	 *            List
	 * @return
	 */
	public void setCensoMonitors(List<CensoMonitor> censoMonitors) {
		this.censoMonitors = censoMonitors;
	}

	/**
	 * Method 'getConsultas'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<Consulta> getConsultas() {
		return this.consultas;
	}

	/**
	 * Method 'setConsultas'.
	 * 
	 * @param consultas
	 *            List
	 * @return
	 */
	public void setConsultas(List<Consulta> consultas) {
		this.consultas = consultas;
	}

	/**
	 * @return the incluirNoactivos
	 */
	public String getIncluirNoactivos() {
		return incluirNoactivos;
	}

	/**
	 * @param incluirNoactivos
	 *            the incluirNoactivos to set
	 */
	public void setIncluirNoactivos(String incluirNoactivos) {
		this.incluirNoactivos = incluirNoactivos;
	}

	/**
	 * @return the orinbdco
	 */
	public String getOrinbdco() {
		return orinbdco;
	}

	/**
	 * @param orinbdco
	 *            the orinbdco to set
	 */
	public void setOrinbdco(String orinbdco) {
		this.orinbdco = orinbdco;
	}

	/**
	 * @return the contacto
	 */
	public String getContacto() {
		return contacto;
	}

	/**
	 * @param contacto
	 *            the contacto to set
	 */
	public void setContacto(String contacto) {
		this.contacto = contacto;
	}

	/**
	 * @return the compleDirec
	 */
	public String getCompleDirec() {
		return compleDirec;
	}

	/**
	 * @param compleDirec
	 *            the compleDirec to set
	 */
	public void setCompleDirec(String compleDirec) {
		this.compleDirec = compleDirec;
	}

	/**
	 * @return the cif
	 */
	public String getCif() {
		return cif;
	}

	/**
	 * @param cif
	 *            the cif to set
	 */
	public void setCif(String cif) {
		this.cif = cif;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Organismo [codOrg=" + codOrg + ", entidadId=" + entidadId + ", nombreEs=" + nombreEs + ", nombreEu="
				+ nombreEu + ", activa=" + activa + ", iskontsumogest=" + iskontsumogest + ", iskontsumonet="
				+ iskontsumonet + ", isofertaform=" + isofertaform + ", isconsultasweb=" + isconsultasweb
				+ ", isnacional=" + isnacional + ", observaciones=" + observaciones + ", telefono=" + telefono
				+ ", fax=" + fax + ", email=" + email + ", url=" + url + ", usuario=" + usuario + ", password="
				+ password + ", noraPaisId=" + noraPaisId + ", nombrePais=" + nombrePais + ", noraProvinciaId="
				+ noraProvinciaId + ", nombreProvincia=" + nombreProvincia + ", noraMunicipioId=" + noraMunicipioId
				+ ", nombreMunicipio=" + nombreMunicipio + ", noraLocalidadId=" + noraLocalidadId + ", nombreLocalidad="
				+ nombreLocalidad + ", noraCalleId=" + noraCalleId + ", nombreCalle=" + nombreCalle + ", noraCpId="
				+ noraCpId + ", nombreCp=" + nombreCp + ", noraPortalId=" + noraPortalId + ", nombrePortal="
				+ nombrePortal + ", usuultmod=" + usuultmod + ", fecultmod=" + fecultmod + ", incluirNoactivos="
				+ incluirNoactivos + ", orinbdco=" + orinbdco + ", contacto=" + contacto + ", compleDirec="
				+ compleDirec + ", cif=" + cif + ", censoMonitors=" + censoMonitors + ", consultas=" + consultas + "]";
	}

	/**
	 * Gets the adress calle portal.
	 * 
	 * @return the adress calle portal
	 */
	public String getAdressCallePortal() {
		return this.nombreCalle + " " + this.nombrePortal;
	}

	/**
	 * Gets the adress cp.
	 * 
	 * @return the adress cp
	 */
	public String getAdressCP() {
		return this.nombreCp == null ? "" : this.nombreCp;
	}

	/**
	 * Gets the adress localidad.
	 * 
	 * @return the adress localidad
	 */
	public String getAdressLocalidad() {
		return this.nombreLocalidad == null ? "" : this.nombreLocalidad;
	}

	/**
	 * Gets the adress municipio.
	 * 
	 * @return the adress municipio
	 */
	public String getAdressMunicipio() {
		return this.nombreMunicipio == null ? "" : this.nombreMunicipio;
	}

	/**
	 * Gets the adress provincia.
	 * 
	 * @return the adress provincia
	 */
	public String getAdressProvincia() {
		return this.nombreProvincia == null ? "" : this.nombreProvincia;
	}

	/**
	 * @return the tipoorganismo
	 */
	public String getTipoorganismo() {
		return tipoorganismo;
	}

	/**
	 * @param tipoorganismo
	 *            the tipoorganismo to set
	 */
	public void setTipoorganismo(String tipoorganismo) {
		this.tipoorganismo = tipoorganismo;
	}

	/**
	 * @return the ambitogeografico
	 */
	public String getAmbitogeografico() {
		return ambitogeografico;
	}

	/**
	 * @param ambitogeografico
	 *            the ambitogeografico to set
	 */
	public void setAmbitogeografico(String ambitogeografico) {
		this.ambitogeografico = ambitogeografico;
	}
}
