package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * SolicitudBusqueda  
 * 
 *  
 */

public class PlantillaSolicitudDetalle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String numExpediente;

	// Denuncia
	private String decodigo;
	private String decoor;
	private BigDecimal denran;
	private BigDecimal denror;
	private Date defede;
	private Date defere;

	// Forma Presentacion
	private String tfpcodigo;
	private String tfpnombre;
	private String tfpnombree;

	// Monitor
	private String mocodigo;
	private String monombre;

	// Organismo
	private String codOrg;
	private String orgnombreEs;
	private String orgnombreEu;
	private String orgtelefono;
	private String orgfax;
	private String orgemail;
	private String orgurl;
	private String orgnoraPaisId;
	private String orgnombrePais;
	private String orgnoraProvinciaId;
	private String orgnombreProvincia;
	private String orgnoraMunicipioId;
	private String orgnombreMunicipio;
	private String orgnoraLocalidadId;
	private String orgnombreLocalidad;
	private String orgnoraCalleId;
	private String orgnombreCalle;
	private String orgnoraCpId;
	private String orgnombreCp;
	private String orgnoraPortalId;
	private String orgnombrePortal;

	// Consumidor
	private String dtcodigo;
	private String dtnombre;
	private String dtnif;
	private String dttecoem;
	private String dtnrtel;
	private String dtnrtel2;
	private String dtnrfax;
	private String dtprovinciaId;
	private String dtnombreProvincia;
	private String dtmunicipioId;
	private String dtnombreMunicipio;
	private String dtlocalidadId;
	private String dtnombreLocalidad;
	private String dtcalleId;
	private String dtcalleId_label;
	private String dtcpId;
	private String dtnombreCp;
	private String dtportalId;
	private String dtnombrePortal;
	private String dtnombrePiso;
	private String dtnolo;
	private String dtnodir;
	private String dtnrcopo;
	private String dtdireccion_nocapv;
	private String dtdireccionAntiguaCompleta;

	// Establecimiento
	private String escodigo;
	private String esnombre;
	private String esnif;
	private String esnoco;
	private String esnrtel;
	private String esnrtel2;
	private String esnrfax;
	private String escoem;
	private String esprovinciaId;
	private String esnombreProvincia;
	private String esmunicipioId;
	private String esnombreMunicipio;
	private String eslocalidadId;
	private String esnombreLocalidad;
	private String escalleId;
	private String escalleId_label;
	private String escpId;
	private String esnombreCp;
	private String esportalId;
	private String esnombrePortal;
	private String esnombrePiso;
	private String esnolo;
	private String esnodir;
	private String esnrcopo;
	private String esdireccion_nocapv;
	private String esdireccionAntiguaCompleta;

	// Hecho denuncia
	private String hdcodigo;
	private BigDecimal hdnror;
	private Date hdfehd;
	private String hdte;
	private BigDecimal hdcaptso;
	private String hdteso;
	private String hdnumregistroentrada;

	// Tipo reclamacion
	private String tsrcodigo;
	private String tsrnombre;
	private String tsrnombree;

	// Producto
	private String pscodigo;
	private String psnombre;
	private String psnombree;

	// Motivo
	private String tircodigo;
	private String tirnombre;

	// Decision
	private Date hcfede;
	private String denombre;
	private String denombree;

	private String tablaDocumentacion;
	private String tablaTramites;

	private String fechaActualTextoCas;
	private String fechaActualTextoEus;

	public PlantillaSolicitudDetalle() {
	}

	/**
	 * @param numExpediente
	 * @param decodigo
	 * @param decoor
	 * @param denran
	 * @param denror
	 * @param defede
	 * @param defere
	 * @param tfpcodigo
	 * @param tfpnombre
	 * @param tfpnombree
	 * @param mocodigo
	 * @param monombre
	 * @param codOrg
	 * @param orgnombreEs
	 * @param orgnombreEu
	 * @param orgtelefono
	 * @param orgfax
	 * @param orgemail
	 * @param orgurl
	 * @param orgnoraPaisId
	 * @param orgnombrePais
	 * @param orgnoraProvinciaId
	 * @param orgnombreProvincia
	 * @param orgnoraMunicipioId
	 * @param orgnombreMunicipio
	 * @param orgnoraLocalidadId
	 * @param orgnombreLocalidad
	 * @param orgnoraCalleId
	 * @param orgnombreCalle
	 * @param orgnoraCpId
	 * @param orgnombreCp
	 * @param orgnoraPortalId
	 * @param orgnombrePortal
	 * @param dtcodigo
	 * @param dtnombre
	 * @param dtnif
	 * @param dttecoem
	 * @param dtnrtel
	 * @param dtnrtel2
	 * @param dtnrfax
	 * @param dtprovinciaId
	 * @param dtnombreProvincia
	 * @param dtmunicipioId
	 * @param dtnombreMunicipio
	 * @param dtlocalidadId
	 * @param dtnombreLocalidad
	 * @param dtcalleId
	 * @param dtcalleId_label
	 * @param dtcpId
	 * @param dtnombreCp
	 * @param dtportalId
	 * @param dtnombrePortal
	 * @param dtnombrePiso
	 * @param dtnolo
	 * @param dtnodir
	 * @param dtnrcopo
	 * @param dtdireccion_nocapv
	 * @param escodigo
	 * @param esnombre
	 * @param esnif
	 * @param esnoco
	 * @param esnrtel
	 * @param esnrtel2
	 * @param esnrfax
	 * @param escoem
	 * @param esprovinciaId
	 * @param esnombreProvincia
	 * @param esmunicipioId
	 * @param esnombreMunicipio
	 * @param eslocalidadId
	 * @param esnombreLocalidad
	 * @param escalleId
	 * @param escalleId_label
	 * @param escpId
	 * @param esnombreCp
	 * @param esportalId
	 * @param esnombrePortal
	 * @param esnombrePiso
	 * @param esnolo
	 * @param esnodir
	 * @param esnrcopo
	 * @param esdireccion_nocapv
	 * @param hdcodigo
	 * @param hdnror
	 * @param hdfehd
	 * @param hdte
	 * @param hdcaptso
	 * @param hdteso
	 * @param hdnumregistroentrada
	 * @param tsrcodigo
	 * @param tsrnombre
	 * @param tsrnombree
	 * @param pscodigo
	 * @param psnombre
	 * @param psnombree
	 * @param tircodigo
	 * @param tirnombre
	 * @param hcfede
	 * @param denombre
	 * @param denombree
	 * @param tablaDocumentacion
	 * @param tablaTramites
	 * @param fechaActualTextoCas
	 * @param fechaActualTextoEus
	 */
	public PlantillaSolicitudDetalle(String numExpediente, String decodigo,
			String decoor, BigDecimal denran, BigDecimal denror, Date defede,
			Date defere, String tfpcodigo, String tfpnombre, String tfpnombree,
			String mocodigo, String monombre, String codOrg,
			String orgnombreEs, String orgnombreEu, String orgtelefono,
			String orgfax, String orgemail, String orgurl,
			String orgnoraPaisId, String orgnombrePais,
			String orgnoraProvinciaId, String orgnombreProvincia,
			String orgnoraMunicipioId, String orgnombreMunicipio,
			String orgnoraLocalidadId, String orgnombreLocalidad,
			String orgnoraCalleId, String orgnombreCalle, String orgnoraCpId,
			String orgnombreCp, String orgnoraPortalId, String orgnombrePortal,
			String dtcodigo, String dtnombre, String dtnif, String dttecoem,
			String dtnrtel, String dtnrtel2, String dtnrfax,
			String dtprovinciaId, String dtnombreProvincia,
			String dtmunicipioId, String dtnombreMunicipio,
			String dtlocalidadId, String dtnombreLocalidad, String dtcalleId,
			String dtcalleId_label, String dtcpId, String dtnombreCp,
			String dtportalId, String dtnombrePortal, String dtnombrePiso,
			String dtnolo, String dtnodir, String dtnrcopo,
			String dtdireccion_nocapv, String escodigo, String esnombre,
			String esnif, String esnoco, String esnrtel, String esnrtel2,
			String esnrfax, String escoem, String esprovinciaId,
			String esnombreProvincia, String esmunicipioId,
			String esnombreMunicipio, String eslocalidadId,
			String esnombreLocalidad, String escalleId, String escalleId_label,
			String escpId, String esnombreCp, String esportalId,
			String esnombrePortal, String esnombrePiso, String esnolo,
			String esnodir, String esnrcopo, String esdireccion_nocapv,
			String hdcodigo, BigDecimal hdnror, Date hdfehd, String hdte,
			BigDecimal hdcaptso, String hdteso, String hdnumregistroentrada,
			String tsrcodigo, String tsrnombre, String tsrnombree,
			String pscodigo, String psnombre, String psnombree,
			String tircodigo, String tirnombre, Date hcfede, String denombre,
			String denombree, String tablaDocumentacion, String tablaTramites,
			String fechaActualTextoCas, String fechaActualTextoEus) {
		this.numExpediente = numExpediente;
		this.decodigo = decodigo;
		this.decoor = decoor;
		this.denran = denran;
		this.denror = denror;
		this.defede = defede;
		this.defere = defere;
		this.tfpcodigo = tfpcodigo;
		this.tfpnombre = tfpnombre;
		this.tfpnombree = tfpnombree;
		this.mocodigo = mocodigo;
		this.monombre = monombre;
		this.codOrg = codOrg;
		this.orgnombreEs = orgnombreEs;
		this.orgnombreEu = orgnombreEu;
		this.orgtelefono = orgtelefono;
		this.orgfax = orgfax;
		this.orgemail = orgemail;
		this.orgurl = orgurl;
		this.orgnoraPaisId = orgnoraPaisId;
		this.orgnombrePais = orgnombrePais;
		this.orgnoraProvinciaId = orgnoraProvinciaId;
		this.orgnombreProvincia = orgnombreProvincia;
		this.orgnoraMunicipioId = orgnoraMunicipioId;
		this.orgnombreMunicipio = orgnombreMunicipio;
		this.orgnoraLocalidadId = orgnoraLocalidadId;
		this.orgnombreLocalidad = orgnombreLocalidad;
		this.orgnoraCalleId = orgnoraCalleId;
		this.orgnombreCalle = orgnombreCalle;
		this.orgnoraCpId = orgnoraCpId;
		this.orgnombreCp = orgnombreCp;
		this.orgnoraPortalId = orgnoraPortalId;
		this.orgnombrePortal = orgnombrePortal;
		this.dtcodigo = dtcodigo;
		this.dtnombre = dtnombre;
		this.dtnif = dtnif;
		this.dttecoem = dttecoem;
		this.dtnrtel = dtnrtel;
		this.dtnrtel2 = dtnrtel2;
		this.dtnrfax = dtnrfax;
		this.dtprovinciaId = dtprovinciaId;
		this.dtnombreProvincia = dtnombreProvincia;
		this.dtmunicipioId = dtmunicipioId;
		this.dtnombreMunicipio = dtnombreMunicipio;
		this.dtlocalidadId = dtlocalidadId;
		this.dtnombreLocalidad = dtnombreLocalidad;
		this.dtcalleId = dtcalleId;
		this.dtcalleId_label = dtcalleId_label;
		this.dtcpId = dtcpId;
		this.dtnombreCp = dtnombreCp;
		this.dtportalId = dtportalId;
		this.dtnombrePortal = dtnombrePortal;
		this.dtnombrePiso = dtnombrePiso;
		this.dtnolo = dtnolo;
		this.dtnodir = dtnodir;
		this.dtnrcopo = dtnrcopo;
		this.dtdireccion_nocapv = dtdireccion_nocapv;
		this.escodigo = escodigo;
		this.esnombre = esnombre;
		this.esnif = esnif;
		this.esnoco = esnoco;
		this.esnrtel = esnrtel;
		this.esnrtel2 = esnrtel2;
		this.esnrfax = esnrfax;
		this.escoem = escoem;
		this.esprovinciaId = esprovinciaId;
		this.esnombreProvincia = esnombreProvincia;
		this.esmunicipioId = esmunicipioId;
		this.esnombreMunicipio = esnombreMunicipio;
		this.eslocalidadId = eslocalidadId;
		this.esnombreLocalidad = esnombreLocalidad;
		this.escalleId = escalleId;
		this.escalleId_label = escalleId_label;
		this.escpId = escpId;
		this.esnombreCp = esnombreCp;
		this.esportalId = esportalId;
		this.esnombrePortal = esnombrePortal;
		this.esnombrePiso = esnombrePiso;
		this.esnolo = esnolo;
		this.esnodir = esnodir;
		this.esnrcopo = esnrcopo;
		this.esdireccion_nocapv = esdireccion_nocapv;
		this.hdcodigo = hdcodigo;
		this.hdnror = hdnror;
		this.hdfehd = hdfehd;
		this.hdte = hdte;
		this.hdcaptso = hdcaptso;
		this.hdteso = hdteso;
		this.hdnumregistroentrada = hdnumregistroentrada;
		this.tsrcodigo = tsrcodigo;
		this.tsrnombre = tsrnombre;
		this.tsrnombree = tsrnombree;
		this.pscodigo = pscodigo;
		this.psnombre = psnombre;
		this.psnombree = psnombree;
		this.tircodigo = tircodigo;
		this.tirnombre = tirnombre;
		this.hcfede = hcfede;
		this.denombre = denombre;
		this.denombree = denombree;
		this.tablaDocumentacion = tablaDocumentacion;
		this.tablaTramites = tablaTramites;
		this.fechaActualTextoCas = fechaActualTextoCas;
		this.fechaActualTextoEus = fechaActualTextoEus;
	}

	/**
	 * @return the numExpediente
	 */
	public String getNumExpediente() {
		return numExpediente;
	}

	/**
	 * @param numExpediente
	 *            the numExpediente to set
	 */
	public void setNumExpediente(String numExpediente) {
		this.numExpediente = numExpediente;
	}

	/**
	 * @return the decodigo
	 */
	public String getDecodigo() {
		return decodigo;
	}

	/**
	 * @param decodigo
	 *            the decodigo to set
	 */
	public void setDecodigo(String decodigo) {
		this.decodigo = decodigo;
	}

	/**
	 * @return the decoor
	 */
	public String getDecoor() {
		return decoor;
	}

	/**
	 * @param decoor
	 *            the decoor to set
	 */
	public void setDecoor(String decoor) {
		this.decoor = decoor;
	}

	/**
	 * @return the denran
	 */
	public BigDecimal getDenran() {
		return denran;
	}

	/**
	 * @param denran
	 *            the denran to set
	 */
	public void setDenran(BigDecimal denran) {
		this.denran = denran;
	}

	/**
	 * @return the denror
	 */
	public BigDecimal getDenror() {
		return denror;
	}

	/**
	 * @param denror
	 *            the denror to set
	 */
	public void setDenror(BigDecimal denror) {
		this.denror = denror;
	}

	/**
	 * @return the defede
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getDefede() {
		return defede;
	}

	/**
	 * @param defede
	 *            the defede to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setDefede(Date defede) {
		this.defede = defede;
	}

	/**
	 * @return the defere
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getDefere() {
		return defere;
	}

	/**
	 * @param defere
	 *            the defere to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setDefere(Date defere) {
		this.defere = defere;
	}

	/**
	 * @return the tfpcodigo
	 */
	public String getTfpcodigo() {
		return tfpcodigo;
	}

	/**
	 * @param tfpcodigo
	 *            the tfpcodigo to set
	 */
	public void setTfpcodigo(String tfpcodigo) {
		this.tfpcodigo = tfpcodigo;
	}

	/**
	 * @return the tfpnombre
	 */
	public String getTfpnombre() {
		return tfpnombre;
	}

	/**
	 * @param tfpnombre
	 *            the tfpnombre to set
	 */
	public void setTfpnombre(String tfpnombre) {
		this.tfpnombre = tfpnombre;
	}

	/**
	 * @return the tfpnombree
	 */
	public String getTfpnombree() {
		return tfpnombree;
	}

	/**
	 * @param tfpnombree
	 *            the tfpnombree to set
	 */
	public void setTfpnombree(String tfpnombree) {
		this.tfpnombree = tfpnombree;
	}

	/**
	 * @return the mocodigo
	 */
	public String getMocodigo() {
		return mocodigo;
	}

	/**
	 * @param mocodigo
	 *            the mocodigo to set
	 */
	public void setMocodigo(String mocodigo) {
		this.mocodigo = mocodigo;
	}

	/**
	 * @return the monombre
	 */
	public String getMonombre() {
		return monombre;
	}

	/**
	 * @param monombre
	 *            the monombre to set
	 */
	public void setMonombre(String monombre) {
		this.monombre = monombre;
	}

	/**
	 * @return the codOrg
	 */
	public String getCodOrg() {
		return codOrg;
	}

	/**
	 * @param codOrg
	 *            the codOrg to set
	 */
	public void setCodOrg(String codOrg) {
		this.codOrg = codOrg;
	}

	/**
	 * @return the orgnombreEs
	 */
	public String getOrgnombreEs() {
		return orgnombreEs;
	}

	/**
	 * @param orgnombreEs
	 *            the orgnombreEs to set
	 */
	public void setOrgnombreEs(String orgnombreEs) {
		this.orgnombreEs = orgnombreEs;
	}

	/**
	 * @return the orgnombreEu
	 */
	public String getOrgnombreEu() {
		return orgnombreEu;
	}

	/**
	 * @param orgnombreEu
	 *            the orgnombreEu to set
	 */
	public void setOrgnombreEu(String orgnombreEu) {
		this.orgnombreEu = orgnombreEu;
	}

	/**
	 * @return the orgtelefono
	 */
	public String getOrgtelefono() {
		return orgtelefono;
	}

	/**
	 * @param orgtelefono
	 *            the orgtelefono to set
	 */
	public void setOrgtelefono(String orgtelefono) {
		this.orgtelefono = orgtelefono;
	}

	/**
	 * @return the orgfax
	 */
	public String getOrgfax() {
		return orgfax;
	}

	/**
	 * @param orgfax
	 *            the orgfax to set
	 */
	public void setOrgfax(String orgfax) {
		this.orgfax = orgfax;
	}

	/**
	 * @return the orgemail
	 */
	public String getOrgemail() {
		return orgemail;
	}

	/**
	 * @param orgemail
	 *            the orgemail to set
	 */
	public void setOrgemail(String orgemail) {
		this.orgemail = orgemail;
	}

	/**
	 * @return the orgurl
	 */
	public String getOrgurl() {
		return orgurl;
	}

	/**
	 * @param orgurl
	 *            the orgurl to set
	 */
	public void setOrgurl(String orgurl) {
		this.orgurl = orgurl;
	}

	/**
	 * @return the orgnoraPaisId
	 */
	public String getOrgnoraPaisId() {
		return orgnoraPaisId;
	}

	/**
	 * @param orgnoraPaisId
	 *            the orgnoraPaisId to set
	 */
	public void setOrgnoraPaisId(String orgnoraPaisId) {
		this.orgnoraPaisId = orgnoraPaisId;
	}

	/**
	 * @return the orgnombrePais
	 */
	public String getOrgnombrePais() {
		return orgnombrePais;
	}

	/**
	 * @param orgnombrePais
	 *            the orgnombrePais to set
	 */
	public void setOrgnombrePais(String orgnombrePais) {
		this.orgnombrePais = orgnombrePais;
	}

	/**
	 * @return the orgnoraProvinciaId
	 */
	public String getOrgnoraProvinciaId() {
		return orgnoraProvinciaId;
	}

	/**
	 * @param orgnoraProvinciaId
	 *            the orgnoraProvinciaId to set
	 */
	public void setOrgnoraProvinciaId(String orgnoraProvinciaId) {
		this.orgnoraProvinciaId = orgnoraProvinciaId;
	}

	/**
	 * @return the orgnombreProvincia
	 */
	public String getOrgnombreProvincia() {
		return orgnombreProvincia;
	}

	/**
	 * @param orgnombreProvincia
	 *            the orgnombreProvincia to set
	 */
	public void setOrgnombreProvincia(String orgnombreProvincia) {
		this.orgnombreProvincia = orgnombreProvincia;
	}

	/**
	 * @return the orgnoraMunicipioId
	 */
	public String getOrgnoraMunicipioId() {
		return orgnoraMunicipioId;
	}

	/**
	 * @param orgnoraMunicipioId
	 *            the orgnoraMunicipioId to set
	 */
	public void setOrgnoraMunicipioId(String orgnoraMunicipioId) {
		this.orgnoraMunicipioId = orgnoraMunicipioId;
	}

	/**
	 * @return the orgnombreMunicipio
	 */
	public String getOrgnombreMunicipio() {
		return orgnombreMunicipio;
	}

	/**
	 * @param orgnombreMunicipio
	 *            the orgnombreMunicipio to set
	 */
	public void setOrgnombreMunicipio(String orgnombreMunicipio) {
		this.orgnombreMunicipio = orgnombreMunicipio;
	}

	/**
	 * @return the orgnoraLocalidadId
	 */
	public String getOrgnoraLocalidadId() {
		return orgnoraLocalidadId;
	}

	/**
	 * @param orgnoraLocalidadId
	 *            the orgnoraLocalidadId to set
	 */
	public void setOrgnoraLocalidadId(String orgnoraLocalidadId) {
		this.orgnoraLocalidadId = orgnoraLocalidadId;
	}

	/**
	 * @return the orgnombreLocalidad
	 */
	public String getOrgnombreLocalidad() {
		return orgnombreLocalidad;
	}

	/**
	 * @param orgnombreLocalidad
	 *            the orgnombreLocalidad to set
	 */
	public void setOrgnombreLocalidad(String orgnombreLocalidad) {
		this.orgnombreLocalidad = orgnombreLocalidad;
	}

	/**
	 * @return the orgnoraCalleId
	 */
	public String getOrgnoraCalleId() {
		return orgnoraCalleId;
	}

	/**
	 * @param orgnoraCalleId
	 *            the orgnoraCalleId to set
	 */
	public void setOrgnoraCalleId(String orgnoraCalleId) {
		this.orgnoraCalleId = orgnoraCalleId;
	}

	/**
	 * @return the orgnombreCalle
	 */
	public String getOrgnombreCalle() {
		return orgnombreCalle;
	}

	/**
	 * @param orgnombreCalle
	 *            the orgnombreCalle to set
	 */
	public void setOrgnombreCalle(String orgnombreCalle) {
		this.orgnombreCalle = orgnombreCalle;
	}

	/**
	 * @return the orgnoraCpId
	 */
	public String getOrgnoraCpId() {
		return orgnoraCpId;
	}

	/**
	 * @param orgnoraCpId
	 *            the orgnoraCpId to set
	 */
	public void setOrgnoraCpId(String orgnoraCpId) {
		this.orgnoraCpId = orgnoraCpId;
	}

	/**
	 * @return the orgnombreCp
	 */
	public String getOrgnombreCp() {
		return orgnombreCp;
	}

	/**
	 * @param orgnombreCp
	 *            the orgnombreCp to set
	 */
	public void setOrgnombreCp(String orgnombreCp) {
		this.orgnombreCp = orgnombreCp;
	}

	/**
	 * @return the orgnoraPortalId
	 */
	public String getOrgnoraPortalId() {
		return orgnoraPortalId;
	}

	/**
	 * @param orgnoraPortalId
	 *            the orgnoraPortalId to set
	 */
	public void setOrgnoraPortalId(String orgnoraPortalId) {
		this.orgnoraPortalId = orgnoraPortalId;
	}

	/**
	 * @return the orgnombrePortal
	 */
	public String getOrgnombrePortal() {
		return orgnombrePortal;
	}

	/**
	 * @param orgnombrePortal
	 *            the orgnombrePortal to set
	 */
	public void setOrgnombrePortal(String orgnombrePortal) {
		this.orgnombrePortal = orgnombrePortal;
	}

	/**
	 * @return the dtcodigo
	 */
	public String getDtcodigo() {
		return dtcodigo;
	}

	/**
	 * @param dtcodigo
	 *            the dtcodigo to set
	 */
	public void setDtcodigo(String dtcodigo) {
		this.dtcodigo = dtcodigo;
	}

	/**
	 * @return the dtnombre
	 */
	public String getDtnombre() {
		return dtnombre;
	}

	/**
	 * @param dtnombre
	 *            the dtnombre to set
	 */
	public void setDtnombre(String dtnombre) {
		this.dtnombre = dtnombre;
	}

	/**
	 * @return the dtnif
	 */
	public String getDtnif() {
		return dtnif;
	}

	/**
	 * @param dtnif
	 *            the dtnif to set
	 */
	public void setDtnif(String dtnif) {
		this.dtnif = dtnif;
	}

	/**
	 * @return the dttecoem
	 */
	public String getDttecoem() {
		return dttecoem;
	}

	/**
	 * @param dttecoem
	 *            the dttecoem to set
	 */
	public void setDttecoem(String dttecoem) {
		this.dttecoem = dttecoem;
	}

	/**
	 * @return the dtnrtel
	 */
	public String getDtnrtel() {
		return dtnrtel;
	}

	/**
	 * @param dtnrtel
	 *            the dtnrtel to set
	 */
	public void setDtnrtel(String dtnrtel) {
		this.dtnrtel = dtnrtel;
	}

	/**
	 * @return the dtnrtel2
	 */
	public String getDtnrtel2() {
		return dtnrtel2;
	}

	/**
	 * @param dtnrtel2
	 *            the dtnrtel2 to set
	 */
	public void setDtnrtel2(String dtnrtel2) {
		this.dtnrtel2 = dtnrtel2;
	}

	/**
	 * @return the dtnrfax
	 */
	public String getDtnrfax() {
		return dtnrfax;
	}

	/**
	 * @param dtnrfax
	 *            the dtnrfax to set
	 */
	public void setDtnrfax(String dtnrfax) {
		this.dtnrfax = dtnrfax;
	}

	/**
	 * @return the dtprovinciaId
	 */
	public String getDtprovinciaId() {
		return dtprovinciaId;
	}

	/**
	 * @param dtprovinciaId
	 *            the dtprovinciaId to set
	 */
	public void setDtprovinciaId(String dtprovinciaId) {
		this.dtprovinciaId = dtprovinciaId;
	}

	/**
	 * @return the dtnombreProvincia
	 */
	public String getDtnombreProvincia() {
		return dtnombreProvincia;
	}

	/**
	 * @param dtnombreProvincia
	 *            the dtnombreProvincia to set
	 */
	public void setDtnombreProvincia(String dtnombreProvincia) {
		this.dtnombreProvincia = dtnombreProvincia;
	}

	/**
	 * @return the dtmunicipioId
	 */
	public String getDtmunicipioId() {
		return dtmunicipioId;
	}

	/**
	 * @param dtmunicipioId
	 *            the dtmunicipioId to set
	 */
	public void setDtmunicipioId(String dtmunicipioId) {
		this.dtmunicipioId = dtmunicipioId;
	}

	/**
	 * @return the dtnombreMunicipio
	 */
	public String getDtnombreMunicipio() {
		return dtnombreMunicipio;
	}

	/**
	 * @param dtnombreMunicipio
	 *            the dtnombreMunicipio to set
	 */
	public void setDtnombreMunicipio(String dtnombreMunicipio) {
		this.dtnombreMunicipio = dtnombreMunicipio;
	}

	/**
	 * @return the dtlocalidadId
	 */
	public String getDtlocalidadId() {
		return dtlocalidadId;
	}

	/**
	 * @param dtlocalidadId
	 *            the dtlocalidadId to set
	 */
	public void setDtlocalidadId(String dtlocalidadId) {
		this.dtlocalidadId = dtlocalidadId;
	}

	/**
	 * @return the dtnombreLocalidad
	 */
	public String getDtnombreLocalidad() {
		return dtnombreLocalidad;
	}

	/**
	 * @param dtnombreLocalidad
	 *            the dtnombreLocalidad to set
	 */
	public void setDtnombreLocalidad(String dtnombreLocalidad) {
		this.dtnombreLocalidad = dtnombreLocalidad;
	}

	/**
	 * @return the dtcalleId
	 */
	public String getDtcalleId() {
		return dtcalleId;
	}

	/**
	 * @param dtcalleId
	 *            the dtcalleId to set
	 */
	public void setDtcalleId(String dtcalleId) {
		this.dtcalleId = dtcalleId;
	}

	/**
	 * @return the dtcalleId_label
	 */
	public String getDtcalleId_label() {
		return dtcalleId_label;
	}

	/**
	 * @param dtcalleId_label
	 *            the dtcalleId_label to set
	 */
	public void setDtcalleId_label(String dtcalleId_label) {
		this.dtcalleId_label = dtcalleId_label;
	}

	/**
	 * @return the dtcpId
	 */
	public String getDtcpId() {
		return dtcpId;
	}

	/**
	 * @param dtcpId
	 *            the dtcpId to set
	 */
	public void setDtcpId(String dtcpId) {
		this.dtcpId = dtcpId;
	}

	/**
	 * @return the dtnombreCp
	 */
	public String getDtnombreCp() {
		return dtnombreCp;
	}

	/**
	 * @param dtnombreCp
	 *            the dtnombreCp to set
	 */
	public void setDtnombreCp(String dtnombreCp) {
		this.dtnombreCp = dtnombreCp;
	}

	/**
	 * @return the dtportalId
	 */
	public String getDtportalId() {
		return dtportalId;
	}

	/**
	 * @param dtportalId
	 *            the dtportalId to set
	 */
	public void setDtportalId(String dtportalId) {
		this.dtportalId = dtportalId;
	}

	/**
	 * @return the dtnombrePortal
	 */
	public String getDtnombrePortal() {
		return dtnombrePortal;
	}

	/**
	 * @param dtnombrePortal
	 *            the dtnombrePortal to set
	 */
	public void setDtnombrePortal(String dtnombrePortal) {
		this.dtnombrePortal = dtnombrePortal;
	}

	/**
	 * @return the dtnombrePiso
	 */
	public String getDtnombrePiso() {
		return dtnombrePiso;
	}

	/**
	 * @param dtnombrePiso
	 *            the dtnombrePiso to set
	 */
	public void setDtnombrePiso(String dtnombrePiso) {
		this.dtnombrePiso = dtnombrePiso;
	}

	/**
	 * @return the escodigo
	 */
	public String getEscodigo() {
		return escodigo;
	}

	/**
	 * @param escodigo
	 *            the escodigo to set
	 */
	public void setEscodigo(String escodigo) {
		this.escodigo = escodigo;
	}

	/**
	 * @return the esnombre
	 */
	public String getEsnombre() {
		return esnombre;
	}

	/**
	 * @param esnombre
	 *            the esnombre to set
	 */
	public void setEsnombre(String esnombre) {
		this.esnombre = esnombre;
	}

	/**
	 * @return the esnif
	 */
	public String getEsnif() {
		return esnif;
	}

	/**
	 * @param esnif
	 *            the esnif to set
	 */
	public void setEsnif(String esnif) {
		this.esnif = esnif;
	}

	/**
	 * @return the esnoco
	 */
	public String getEsnoco() {
		return esnoco;
	}

	/**
	 * @param esnoco
	 *            the esnoco to set
	 */
	public void setEsnoco(String esnoco) {
		this.esnoco = esnoco;
	}

	/**
	 * @return the esnrtel
	 */
	public String getEsnrtel() {
		return esnrtel;
	}

	/**
	 * @param esnrtel
	 *            the esnrtel to set
	 */
	public void setEsnrtel(String esnrtel) {
		this.esnrtel = esnrtel;
	}

	/**
	 * @return the esnrtel2
	 */
	public String getEsnrtel2() {
		return esnrtel2;
	}

	/**
	 * @param esnrtel2
	 *            the esnrtel2 to set
	 */
	public void setEsnrtel2(String esnrtel2) {
		this.esnrtel2 = esnrtel2;
	}

	/**
	 * @return the esnrfax
	 */
	public String getEsnrfax() {
		return esnrfax;
	}

	/**
	 * @param esnrfax
	 *            the esnrfax to set
	 */
	public void setEsnrfax(String esnrfax) {
		this.esnrfax = esnrfax;
	}

	/**
	 * @return the escoem
	 */
	public String getEscoem() {
		return escoem;
	}

	/**
	 * @param escoem
	 *            the escoem to set
	 */
	public void setEscoem(String escoem) {
		this.escoem = escoem;
	}

	/**
	 * @return the esprovinciaId
	 */
	public String getEsprovinciaId() {
		return esprovinciaId;
	}

	/**
	 * @param esprovinciaId
	 *            the esprovinciaId to set
	 */
	public void setEsprovinciaId(String esprovinciaId) {
		this.esprovinciaId = esprovinciaId;
	}

	/**
	 * @return the esnombreProvincia
	 */
	public String getEsnombreProvincia() {
		return esnombreProvincia;
	}

	/**
	 * @param esnombreProvincia
	 *            the esnombreProvincia to set
	 */
	public void setEsnombreProvincia(String esnombreProvincia) {
		this.esnombreProvincia = esnombreProvincia;
	}

	/**
	 * @return the esmunicipioId
	 */
	public String getEsmunicipioId() {
		return esmunicipioId;
	}

	/**
	 * @param esmunicipioId
	 *            the esmunicipioId to set
	 */
	public void setEsmunicipioId(String esmunicipioId) {
		this.esmunicipioId = esmunicipioId;
	}

	/**
	 * @return the esnombreMunicipio
	 */
	public String getEsnombreMunicipio() {
		return esnombreMunicipio;
	}

	/**
	 * @param esnombreMunicipio
	 *            the esnombreMunicipio to set
	 */
	public void setEsnombreMunicipio(String esnombreMunicipio) {
		this.esnombreMunicipio = esnombreMunicipio;
	}

	/**
	 * @return the eslocalidadId
	 */
	public String getEslocalidadId() {
		return eslocalidadId;
	}

	/**
	 * @param eslocalidadId
	 *            the eslocalidadId to set
	 */
	public void setEslocalidadId(String eslocalidadId) {
		this.eslocalidadId = eslocalidadId;
	}

	/**
	 * @return the esnombreLocalidad
	 */
	public String getEsnombreLocalidad() {
		return esnombreLocalidad;
	}

	/**
	 * @param esnombreLocalidad
	 *            the esnombreLocalidad to set
	 */
	public void setEsnombreLocalidad(String esnombreLocalidad) {
		this.esnombreLocalidad = esnombreLocalidad;
	}

	/**
	 * @return the escalleId
	 */
	public String getEscalleId() {
		return escalleId;
	}

	/**
	 * @param escalleId
	 *            the escalleId to set
	 */
	public void setEscalleId(String escalleId) {
		this.escalleId = escalleId;
	}

	/**
	 * @return the escalleId_label
	 */
	public String getEscalleId_label() {
		return escalleId_label;
	}

	/**
	 * @param escalleId_label
	 *            the escalleId_label to set
	 */
	public void setEscalleId_label(String escalleId_label) {
		this.escalleId_label = escalleId_label;
	}

	/**
	 * @return the escpId
	 */
	public String getEscpId() {
		return escpId;
	}

	/**
	 * @param escpId
	 *            the escpId to set
	 */
	public void setEscpId(String escpId) {
		this.escpId = escpId;
	}

	/**
	 * @return the esnombreCp
	 */
	public String getEsnombreCp() {
		return esnombreCp;
	}

	/**
	 * @param esnombreCp
	 *            the esnombreCp to set
	 */
	public void setEsnombreCp(String esnombreCp) {
		this.esnombreCp = esnombreCp;
	}

	/**
	 * @return the esportalId
	 */
	public String getEsportalId() {
		return esportalId;
	}

	/**
	 * @param esportalId
	 *            the esportalId to set
	 */
	public void setEsportalId(String esportalId) {
		this.esportalId = esportalId;
	}

	/**
	 * @return the esnombrePortal
	 */
	public String getEsnombrePortal() {
		return esnombrePortal;
	}

	/**
	 * @param esnombrePortal
	 *            the esnombrePortal to set
	 */
	public void setEsnombrePortal(String esnombrePortal) {
		this.esnombrePortal = esnombrePortal;
	}

	/**
	 * @return the esnombrePiso
	 */
	public String getEsnombrePiso() {
		return esnombrePiso;
	}

	/**
	 * @param esnombrePiso
	 *            the esnombrePiso to set
	 */
	public void setEsnombrePiso(String esnombrePiso) {
		this.esnombrePiso = esnombrePiso;
	}

	/**
	 * @return the hdcodigo
	 */
	public String getHdcodigo() {
		return hdcodigo;
	}

	/**
	 * @param hdcodigo
	 *            the hdcodigo to set
	 */
	public void setHdcodigo(String hdcodigo) {
		this.hdcodigo = hdcodigo;
	}

	/**
	 * @return the hdte
	 */
	public String getHdte() {
		return hdte;
	}

	/**
	 * @param hdte
	 *            the hdte to set
	 */
	public void setHdte(String hdte) {
		this.hdte = hdte;
	}

	/**
	 * @return the tsrcodigo
	 */
	public String getTsrcodigo() {
		return tsrcodigo;
	}

	/**
	 * @param tsrcodigo
	 *            the tsrcodigo to set
	 */
	public void setTsrcodigo(String tsrcodigo) {
		this.tsrcodigo = tsrcodigo;
	}

	/**
	 * @return the tsrnombre
	 */
	public String getTsrnombre() {
		return tsrnombre;
	}

	/**
	 * @param tsrnombre
	 *            the tsrnombre to set
	 */
	public void setTsrnombre(String tsrnombre) {
		this.tsrnombre = tsrnombre;
	}

	/**
	 * @return the tsrnombree
	 */
	public String getTsrnombree() {
		return tsrnombree;
	}

	/**
	 * @param tsrnombree
	 *            the tsrnombree to set
	 */
	public void setTsrnombree(String tsrnombree) {
		this.tsrnombree = tsrnombree;
	}

	/**
	 * @return the pscodigo
	 */
	public String getPscodigo() {
		return pscodigo;
	}

	/**
	 * @param pscodigo
	 *            the pscodigo to set
	 */
	public void setPscodigo(String pscodigo) {
		this.pscodigo = pscodigo;
	}

	/**
	 * @return the psnombre
	 */
	public String getPsnombre() {
		return psnombre;
	}

	/**
	 * @param psnombre
	 *            the psnombre to set
	 */
	public void setPsnombre(String psnombre) {
		this.psnombre = psnombre;
	}

	/**
	 * @return the psnombree
	 */
	public String getPsnombree() {
		return psnombree;
	}

	/**
	 * @param psnombree
	 *            the psnombree to set
	 */
	public void setPsnombree(String psnombree) {
		this.psnombree = psnombree;
	}

	/**
	 * @return the tircodigo
	 */
	public String getTircodigo() {
		return tircodigo;
	}

	/**
	 * @param tircodigo
	 *            the tircodigo to set
	 */
	public void setTircodigo(String tircodigo) {
		this.tircodigo = tircodigo;
	}

	/**
	 * @return the tirnombre
	 */
	public String getTirnombre() {
		return tirnombre;
	}

	/**
	 * @param tirnombre
	 *            the tirnombre to set
	 */
	public void setTirnombre(String tirnombre) {
		this.tirnombre = tirnombre;
	}

	/**
	 * @return the hcfede
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getHcfede() {
		return hcfede;
	}

	/**
	 * @param hcfede
	 *            the hcfede to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setHcfede(Date hcfede) {
		this.hcfede = hcfede;
	}

	/**
	 * @return the denombre
	 */
	public String getDenombre() {
		return denombre;
	}

	/**
	 * @param denombre
	 *            the denombre to set
	 */
	public void setDenombre(String denombre) {
		this.denombre = denombre;
	}

	/**
	 * @return the denombree
	 */
	public String getDenombree() {
		return denombree;
	}

	/**
	 * @param denombree
	 *            the denombree to set
	 */
	public void setDenombree(String denombree) {
		this.denombree = denombree;
	}

	/**
	 * @return the tablaDocumentacion
	 */
	public String getTablaDocumentacion() {
		return tablaDocumentacion;
	}

	/**
	 * @param tablaDocumentacion
	 *            the tablaDocumentacion to set
	 */
	public void setTablaDocumentacion(String tablaDocumentacion) {
		this.tablaDocumentacion = tablaDocumentacion;
	}

	/**
	 * @return the tablaTramites
	 */
	public String getTablaTramites() {
		return tablaTramites;
	}

	/**
	 * @param tablaTramites
	 *            the tablaTramites to set
	 */
	public void setTablaTramites(String tablaTramites) {
		this.tablaTramites = tablaTramites;
	}

	/**
	 * @return the fechaActualTextoCas
	 */
	public String getFechaActualTextoCas() {
		return fechaActualTextoCas;
	}

	/**
	 * @param fechaActualTextoCas
	 *            the fechaActualTextoCas to set
	 */
	public void setFechaActualTextoCas(String fechaActualTextoCas) {
		this.fechaActualTextoCas = fechaActualTextoCas;
	}

	/**
	 * @return the fechaActualTextoEus
	 */
	public String getFechaActualTextoEus() {
		return fechaActualTextoEus;
	}

	/**
	 * @param fechaActualTextoEus
	 *            the fechaActualTextoEus to set
	 */
	public void setFechaActualTextoEus(String fechaActualTextoEus) {
		this.fechaActualTextoEus = fechaActualTextoEus;
	}

	/**
	 * @return the hdnror
	 */
	public BigDecimal getHdnror() {
		return hdnror;
	}

	/**
	 * @param hdnror
	 *            the hdnror to set
	 */
	public void setHdnror(BigDecimal hdnror) {
		this.hdnror = hdnror;
	}

	/**
	 * @return the hdfehd
	 */
	public Date getHdfehd() {
		return hdfehd;
	}

	/**
	 * @param hdfehd
	 *            the hdfehd to set
	 */
	public void setHdfehd(Date hdfehd) {
		this.hdfehd = hdfehd;
	}

	/**
	 * @return the hdcaptso
	 */
	public BigDecimal getHdcaptso() {
		return hdcaptso;
	}

	/**
	 * @param hdcaptso
	 *            the hdcaptso to set
	 */
	public void setHdcaptso(BigDecimal hdcaptso) {
		this.hdcaptso = hdcaptso;
	}

	/**
	 * @return the hdteso
	 */
	public String getHdteso() {
		return hdteso;
	}

	/**
	 * @param hdteso
	 *            the hdteso to set
	 */
	public void setHdteso(String hdteso) {
		this.hdteso = hdteso;
	}

	/**
	 * @return the hdnumregistroentrada
	 */
	public String getHdnumregistroentrada() {
		return hdnumregistroentrada;
	}

	/**
	 * @param hdnumregistroentrada
	 *            the hdnumregistroentrada to set
	 */
	public void setHdnumregistroentrada(String hdnumregistroentrada) {
		this.hdnumregistroentrada = hdnumregistroentrada;
	}

	/**
	 * @return the dtdireccion_nocapv
	 */
	public String getDtdireccion_nocapv() {
		return dtdireccion_nocapv;
	}

	/**
	 * @param dtdireccion_nocapv
	 *            the dtdireccion_nocapv to set
	 */
	public void setDtdireccion_nocapv(String dtdireccion_nocapv) {
		this.dtdireccion_nocapv = dtdireccion_nocapv;
	}

	/**
	 * @return the esdireccion_nocapv
	 */
	public String getEsdireccion_nocapv() {
		return esdireccion_nocapv;
	}

	/**
	 * @param esdireccion_nocapv
	 *            the esdireccion_nocapv to set
	 */
	public void setEsdireccion_nocapv(String esdireccion_nocapv) {
		this.esdireccion_nocapv = esdireccion_nocapv;
	}

	/**
	 * @return the dtdireccionAntiguaCompleta
	 */
	public String getDtdireccionAntiguaCompleta() {
		return dtdireccionAntiguaCompleta;
	}

	/**
	 * @param dtdireccionAntiguaCompleta
	 *            the dtdireccionAntiguaCompleta to set
	 */
	public void setDtdireccionAntiguaCompleta(String dtdireccionAntiguaCompleta) {
		this.dtdireccionAntiguaCompleta = dtdireccionAntiguaCompleta;
	}

	/**
	 * @return the esdireccionAntiguaCompleta
	 */
	public String getEsdireccionAntiguaCompleta() {
		return esdireccionAntiguaCompleta;
	}

	/**
	 * @param esdireccionAntiguaCompleta
	 *            the esdireccionAntiguaCompleta to set
	 */
	public void setEsdireccionAntiguaCompleta(String esdireccionAntiguaCompleta) {
		this.esdireccionAntiguaCompleta = esdireccionAntiguaCompleta;
	}

	/**
	 * @return the dtnolo
	 */
	public String getDtnolo() {
		return dtnolo;
	}

	/**
	 * @param dtnolo
	 *            the dtnolo to set
	 */
	public void setDtnolo(String dtnolo) {
		this.dtnolo = dtnolo;
	}

	/**
	 * @return the dtnodir
	 */
	public String getDtnodir() {
		return dtnodir;
	}

	/**
	 * @param dtnodir
	 *            the dtnodir to set
	 */
	public void setDtnodir(String dtnodir) {
		this.dtnodir = dtnodir;
	}

	/**
	 * @return the dtnrcopo
	 */
	public String getDtnrcopo() {
		return dtnrcopo;
	}

	/**
	 * @param dtnrcopo
	 *            the dtnrcopo to set
	 */
	public void setDtnrcopo(String dtnrcopo) {
		this.dtnrcopo = dtnrcopo;
	}

	/**
	 * @return the esnolo
	 */
	public String getEsnolo() {
		return esnolo;
	}

	/**
	 * @param esnolo
	 *            the esnolo to set
	 */
	public void setEsnolo(String esnolo) {
		this.esnolo = esnolo;
	}

	/**
	 * @return the esnodir
	 */
	public String getEsnodir() {
		return esnodir;
	}

	/**
	 * @param esnodir
	 *            the esnodir to set
	 */
	public void setEsnodir(String esnodir) {
		this.esnodir = esnodir;
	}

	/**
	 * @return the esnrcopo
	 */
	public String getEsnrcopo() {
		return esnrcopo;
	}

	/**
	 * @param esnrcopo
	 *            the esnrcopo to set
	 */
	public void setEsnrcopo(String esnrcopo) {
		this.esnrcopo = esnrcopo;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "PlantillaSolicitudDetalle [numExpediente=" + numExpediente
				+ ", decodigo=" + decodigo + ", decoor=" + decoor + ", denran="
				+ denran + ", denror=" + denror + ", defede=" + defede
				+ ", defere=" + defere + ", tfpcodigo=" + tfpcodigo
				+ ", tfpnombre=" + tfpnombre + ", tfpnombree=" + tfpnombree
				+ ", mocodigo=" + mocodigo + ", monombre=" + monombre
				+ ", codOrg=" + codOrg + ", orgnombreEs=" + orgnombreEs
				+ ", orgnombreEu=" + orgnombreEu + ", orgtelefono="
				+ orgtelefono + ", orgfax=" + orgfax + ", orgemail=" + orgemail
				+ ", orgurl=" + orgurl + ", orgnoraPaisId=" + orgnoraPaisId
				+ ", orgnombrePais=" + orgnombrePais + ", orgnoraProvinciaId="
				+ orgnoraProvinciaId + ", orgnombreProvincia="
				+ orgnombreProvincia + ", orgnoraMunicipioId="
				+ orgnoraMunicipioId + ", orgnombreMunicipio="
				+ orgnombreMunicipio + ", orgnoraLocalidadId="
				+ orgnoraLocalidadId + ", orgnombreLocalidad="
				+ orgnombreLocalidad + ", orgnoraCalleId=" + orgnoraCalleId
				+ ", orgnombreCalle=" + orgnombreCalle + ", orgnoraCpId="
				+ orgnoraCpId + ", orgnombreCp=" + orgnombreCp
				+ ", orgnoraPortalId=" + orgnoraPortalId + ", orgnombrePortal="
				+ orgnombrePortal + ", dtcodigo=" + dtcodigo + ", dtnombre="
				+ dtnombre + ", dtnif=" + dtnif + ", dttecoem=" + dttecoem
				+ ", dtnrtel=" + dtnrtel + ", dtnrtel2=" + dtnrtel2
				+ ", dtnrfax=" + dtnrfax + ", dtprovinciaId=" + dtprovinciaId
				+ ", dtnombreProvincia=" + dtnombreProvincia
				+ ", dtmunicipioId=" + dtmunicipioId + ", dtnombreMunicipio="
				+ dtnombreMunicipio + ", dtlocalidadId=" + dtlocalidadId
				+ ", dtnombreLocalidad=" + dtnombreLocalidad + ", dtcalleId="
				+ dtcalleId + ", dtcalleId_label=" + dtcalleId_label
				+ ", dtcpId=" + dtcpId + ", dtnombreCp=" + dtnombreCp
				+ ", dtportalId=" + dtportalId + ", dtnombrePortal="
				+ dtnombrePortal + ", dtnombrePiso=" + dtnombrePiso
				+ ", dtdireccion_nocapv=" + dtdireccion_nocapv + ", escodigo="
				+ escodigo + ", esnombre=" + esnombre + ", esnif=" + esnif
				+ ", esnoco=" + esnoco + ", esnrtel=" + esnrtel + ", esnrtel2="
				+ esnrtel2 + ", esnrfax=" + esnrfax + ", escoem=" + escoem
				+ ", esprovinciaId=" + esprovinciaId + ", esnombreProvincia="
				+ esnombreProvincia + ", esmunicipioId=" + esmunicipioId
				+ ", esnombreMunicipio=" + esnombreMunicipio
				+ ", eslocalidadId=" + eslocalidadId + ", esnombreLocalidad="
				+ esnombreLocalidad + ", escalleId=" + escalleId
				+ ", escalleId_label=" + escalleId_label + ", escpId=" + escpId
				+ ", esnombreCp=" + esnombreCp + ", esportalId=" + esportalId
				+ ", esnombrePortal=" + esnombrePortal + ", esnombrePiso="
				+ esnombrePiso + ", esdireccion_nocapv=" + esdireccion_nocapv
				+ ", hdcodigo=" + hdcodigo + ", hdnror=" + hdnror + ", hdfehd="
				+ hdfehd + ", hdte=" + hdte + ", hdcaptso=" + hdcaptso
				+ ", hdteso=" + hdteso + ",hdnumregistroentrada="
				+ hdnumregistroentrada + ", tsrcodigo=" + tsrcodigo
				+ ", tsrnombre=" + tsrnombre + ", tsrnombree=" + tsrnombree
				+ ", pscodigo=" + pscodigo + ", psnombre=" + psnombre
				+ ", psnombree=" + psnombree + ", tircodigo=" + tircodigo
				+ ", tirnombre=" + tirnombre + ", hcfede=" + hcfede
				+ ", denombre=" + denombre + ", denombree=" + denombree
				+ ", tablaDocumentacion=" + tablaDocumentacion
				+ ", tablaTramites=" + tablaTramites + ", fechaActualTextoCas="
				+ fechaActualTextoCas + ", fechaActualTextoEus="
				+ fechaActualTextoEus + "]";
	}

}
