package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * * ReclamacionArb  
 * 
 *  
 */

public class ReclamacionArb implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String hdcodigo;
	private String decoor;
	private BigDecimal denran;
	private BigDecimal denror;
	private BigDecimal hdnror;
	private Date hdfehd;
	private Date hdfehdDesde;
	private Date hdfehdHasta;

	// Organismo Expediente
	private String codOrgSeleccionado;
	private String orgNombre;
	private String orgNombree;

	// Instructor responsable del expediente
	private String mocodigoExpediente;
	private String monombreExpediente;

	// Fecha presentacion
	private Date defede;
	private Date defedeDesde;
	private Date defedeHasta;
	private String defedeDesdeStr;
	private String defedeHastaStr;

	// Tipo solicitud
	private String hdcosc;

	// Fecha registro
	private Date defere;
	private Date defereDesde;
	private Date defereHasta;

	private String defereDesdeStr;
	private String defereHastaStr;

	// Forma presentacion
	private String tfpcodigo;
	private String tfpnombre;
	private String tfpnombree;

	// Fase
	private String fcodigo;
	private String fnombre;
	private String fnombree;

	// Tramite
	private String trcodigo;
	private String trnombre;
	private String trnombree;

	// Decision o resolucion
	private String decodigo;
	private String denombre;
	private String denombree;

	// Tramitador
	private String mocodigoTramitador;
	private String monombreTramitador;

	// Fecha decision
	private Date ehfechafinDecisionDesde;
	private Date ehfechafinDecisionHasta;
	private String ehfechafinDecisionDesdeStr;
	private String ehfechafinDecisionHastaStr;

	// Checks
	private String indUltimoTramite;
	private String indPendienteAcuse;
	private String indIncluirCerrados;
	private String indPendienteDecision;
	private String indNoRelacionada;

	// Consumidor
	private String dtcodigo;
	private String dtnombre;
	private String dtapellido1;
	private String dtapellido2;
	private String dtnif;
	private String dtestado;
	private String dtnoraProvinciaId;
	private String dtnombreProvincia;
	private String dtnoraMunicipioId;
	private String dtnombreMunicipio;
	private String dtnoraLocalidadId;
	private String dtnombreLocalidad;
	private String dtextranjero;
	private String dtnoraPaisId;
	private String dtnoraPaisNombre;
	private String dtdireccion_nocapv;
	private String dtcoem;

	private String numExpediente;

	private String codOrgConectado;

	private String hdformanotificacion;
	private String hdcodexpedienteorigen;

	private String descsDescriptores;

	// Datos del establecimiento
	private String escodigo;
	private String esnombre;
	private String esnif;

	// Motivo
	private String tircodigo;
	private String tirnombre;

	// nuevas para alta de arbitraje
	private String hdte;
	private String hdcotsr;
	private BigDecimal hdcaptso;
	private String hdteso;
	private String hdcoes;

	/**
	 * 
	 */
	public ReclamacionArb() {
		super();
	}

	/**
	 * @return the hdcodigo
	 */
	public String getHdcodigo() {
		return hdcodigo;
	}

	/**
	 * @param hdcodigo
	 *            the hdcodigo to set
	 */
	public void setHdcodigo(String hdcodigo) {
		this.hdcodigo = hdcodigo;
	}

	/**
	 * @return the decoor
	 */
	public String getDecoor() {
		return decoor;
	}

	/**
	 * @param decoor
	 *            the decoor to set
	 */
	public void setDecoor(String decoor) {
		this.decoor = decoor;
	}

	/**
	 * @return the denran
	 */
	public BigDecimal getDenran() {
		return denran;
	}

	/**
	 * @param denran
	 *            the denran to set
	 */
	public void setDenran(BigDecimal denran) {
		this.denran = denran;
	}

	/**
	 * @return the denror
	 */
	public BigDecimal getDenror() {
		return denror;
	}

	/**
	 * @param denror
	 *            the denror to set
	 */
	public void setDenror(BigDecimal denror) {
		this.denror = denror;
	}

	/**
	 * @return the hdnror
	 */
	public BigDecimal getHdnror() {
		return hdnror;
	}

	/**
	 * @param hdnror
	 *            the hdnror to set
	 */
	public void setHdnror(BigDecimal hdnror) {
		this.hdnror = hdnror;
	}

	/**
	 * @return the codOrgSeleccionado
	 */
	public String getCodOrgSeleccionado() {
		return codOrgSeleccionado;
	}

	/**
	 * @param codOrgSeleccionado
	 *            the codOrgSeleccionado to set
	 */
	public void setCodOrgSeleccionado(String codOrgSeleccionado) {
		this.codOrgSeleccionado = codOrgSeleccionado;
	}

	/**
	 * @return the defede
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefede() {
		return defede;
	}

	/**
	 * @param defede
	 *            the defede to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefede(Date defede) {
		this.defede = defede;
	}

	/**
	 * @return the defedeDesde
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefedeDesde() {
		return defedeDesde;
	}

	/**
	 * @param defedeDesde
	 *            the defedeDesde to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefedeDesde(Date defedeDesde) {
		this.defedeDesde = defedeDesde;
	}

	/**
	 * @return the defedeHasta
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefedeHasta() {
		return defedeHasta;
	}

	/**
	 * @param defedeHasta
	 *            the defedeHasta to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefedeHasta(Date defedeHasta) {
		this.defedeHasta = defedeHasta;
	}

	/**
	 * @return the hdcosc
	 */
	public String getHdcosc() {
		return hdcosc;
	}

	/**
	 * @param hdcosc
	 *            the hdcosc to set
	 */
	public void setHdcosc(String hdcosc) {
		this.hdcosc = hdcosc;
	}

	/**
	 * @return the defere
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefere() {
		return defere;
	}

	/**
	 * @param defere
	 *            the defere to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefere(Date defere) {
		this.defere = defere;
	}

	/**
	 * @return the defereDesde
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefereDesde() {
		return defereDesde;
	}

	/**
	 * @param defereDesde
	 *            the defereDesde to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefereDesde(Date defereDesde) {
		this.defereDesde = defereDesde;
	}

	/**
	 * @return the defereHasta
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getDefereHasta() {
		return defereHasta;
	}

	/**
	 * @param defereHasta
	 *            the defereHasta to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setDefereHasta(Date defereHasta) {
		this.defereHasta = defereHasta;
	}

	/**
	 * @return the tfpcodigo
	 */
	public String getTfpcodigo() {
		return tfpcodigo;
	}

	/**
	 * @param tfpcodigo
	 *            the tfpcodigo to set
	 */
	public void setTfpcodigo(String tfpcodigo) {
		this.tfpcodigo = tfpcodigo;
	}

	/**
	 * @return the tfpnombre
	 */
	public String getTfpnombre() {
		return tfpnombre;
	}

	/**
	 * @param tfpnombre
	 *            the tfpnombre to set
	 */
	public void setTfpnombre(String tfpnombre) {
		this.tfpnombre = tfpnombre;
	}

	/**
	 * @return the tfpnombree
	 */
	public String getTfpnombree() {
		return tfpnombree;
	}

	/**
	 * @param tfpnombree
	 *            the tfpnombree to set
	 */
	public void setTfpnombree(String tfpnombree) {
		this.tfpnombree = tfpnombree;
	}

	/**
	 * @return the fcodigo
	 */
	public String getFcodigo() {
		return fcodigo;
	}

	/**
	 * @param fcodigo
	 *            the fcodigo to set
	 */
	public void setFcodigo(String fcodigo) {
		this.fcodigo = fcodigo;
	}

	/**
	 * @return the fnombre
	 */
	public String getFnombre() {
		return fnombre;
	}

	/**
	 * @param fnombre
	 *            the fnombre to set
	 */
	public void setFnombre(String fnombre) {
		this.fnombre = fnombre;
	}

	/**
	 * @return the fnombree
	 */
	public String getFnombree() {
		return fnombree;
	}

	/**
	 * @param fnombree
	 *            the fnombree to set
	 */
	public void setFnombree(String fnombree) {
		this.fnombree = fnombree;
	}

	/**
	 * @return the trcodigo
	 */
	public String getTrcodigo() {
		return trcodigo;
	}

	/**
	 * @param trcodigo
	 *            the trcodigo to set
	 */
	public void setTrcodigo(String trcodigo) {
		this.trcodigo = trcodigo;
	}

	/**
	 * @return the trnombre
	 */
	public String getTrnombre() {
		return trnombre;
	}

	/**
	 * @param trnombre
	 *            the trnombre to set
	 */
	public void setTrnombre(String trnombre) {
		this.trnombre = trnombre;
	}

	/**
	 * @return the trnombree
	 */
	public String getTrnombree() {
		return trnombree;
	}

	/**
	 * @param trnombree
	 *            the trnombree to set
	 */
	public void setTrnombree(String trnombree) {
		this.trnombree = trnombree;
	}

	/**
	 * @return the decodigo
	 */
	public String getDecodigo() {
		return decodigo;
	}

	/**
	 * @param decodigo
	 *            the decodigo to set
	 */
	public void setDecodigo(String decodigo) {
		this.decodigo = decodigo;
	}

	/**
	 * @return the denombre
	 */
	public String getDenombre() {
		return denombre;
	}

	/**
	 * @param denombre
	 *            the denombre to set
	 */
	public void setDenombre(String denombre) {
		this.denombre = denombre;
	}

	/**
	 * @return the denombree
	 */
	public String getDenombree() {
		return denombree;
	}

	/**
	 * @param denombree
	 *            the denombree to set
	 */
	public void setDenombree(String denombree) {
		this.denombree = denombree;
	}

	/**
	 * @return the ehfechafinDecisionDesde
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getEhfechafinDecisionDesde() {
		return ehfechafinDecisionDesde;
	}

	/**
	 * @param ehfechafinDecisionDesde
	 *            the ehfechafinDecisionDesde to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setEhfechafinDecisionDesde(Date ehfechafinDecisionDesde) {
		this.ehfechafinDecisionDesde = ehfechafinDecisionDesde;
	}

	/**
	 * @return the ehfechafinDecisionHasta
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getEhfechafinDecisionHasta() {
		return ehfechafinDecisionHasta;
	}

	/**
	 * @param ehfechafinDecisionHasta
	 *            the ehfechafinDecisionHasta to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setEhfechafinDecisionHasta(Date ehfechafinDecisionHasta) {
		this.ehfechafinDecisionHasta = ehfechafinDecisionHasta;
	}

	/**
	 * @return the indUltimoTramite
	 */
	public String getIndUltimoTramite() {
		return indUltimoTramite;
	}

	/**
	 * @param indUltimoTramite
	 *            the indUltimoTramite to set
	 */
	public void setIndUltimoTramite(String indUltimoTramite) {
		this.indUltimoTramite = indUltimoTramite;
	}

	/**
	 * @return the indPendienteAcuse
	 */
	public String getIndPendienteAcuse() {
		return indPendienteAcuse;
	}

	/**
	 * @param indPendienteAcuse
	 *            the indPendienteAcuse to set
	 */
	public void setIndPendienteAcuse(String indPendienteAcuse) {
		this.indPendienteAcuse = indPendienteAcuse;
	}

	/**
	 * @return the indIncluirCerrados
	 */
	public String getIndIncluirCerrados() {
		return indIncluirCerrados;
	}

	/**
	 * @param indIncluirCerrados
	 *            the indIncluirCerrados to set
	 */
	public void setIndIncluirCerrados(String indIncluirCerrados) {
		this.indIncluirCerrados = indIncluirCerrados;
	}

	/**
	 * @return the dtnombre
	 */
	public String getDtnombre() {
		return dtnombre;
	}

	/**
	 * @param dtnombre
	 *            the dtnombre to set
	 */
	public void setDtnombre(String dtnombre) {
		this.dtnombre = dtnombre;
	}

	/**
	 * @return the dtnif
	 */
	public String getDtnif() {
		return dtnif;
	}

	/**
	 * @param dtnif
	 *            the dtnif to set
	 */
	public void setDtnif(String dtnif) {
		this.dtnif = dtnif;
	}

	/**
	 * @return the dtnoraProvinciaId
	 */
	public String getDtnoraProvinciaId() {
		return dtnoraProvinciaId;
	}

	/**
	 * @param dtnoraProvinciaId
	 *            the dtnoraProvinciaId to set
	 */
	public void setDtnoraProvinciaId(String dtnoraProvinciaId) {
		this.dtnoraProvinciaId = dtnoraProvinciaId;
	}

	/**
	 * @return the dtnombreProvincia
	 */
	public String getDtnombreProvincia() {
		return dtnombreProvincia;
	}

	/**
	 * @param dtnombreProvincia
	 *            the dtnombreProvincia to set
	 */
	public void setDtnombreProvincia(String dtnombreProvincia) {
		this.dtnombreProvincia = dtnombreProvincia;
	}

	/**
	 * @return the dtnoraMunicipioId
	 */
	public String getDtnoraMunicipioId() {
		return dtnoraMunicipioId;
	}

	/**
	 * @param dtnoraMunicipioId
	 *            the dtnoraMunicipioId to set
	 */
	public void setDtnoraMunicipioId(String dtnoraMunicipioId) {
		this.dtnoraMunicipioId = dtnoraMunicipioId;
	}

	/**
	 * @return the dtnombreMunicipio
	 */
	public String getDtnombreMunicipio() {
		return dtnombreMunicipio;
	}

	/**
	 * @param dtnombreMunicipio
	 *            the dtnombreMunicipio to set
	 */
	public void setDtnombreMunicipio(String dtnombreMunicipio) {
		this.dtnombreMunicipio = dtnombreMunicipio;
	}

	/**
	 * @return the dtnoraLocalidadId
	 */
	public String getDtnoraLocalidadId() {
		return dtnoraLocalidadId;
	}

	/**
	 * @param dtnoraLocalidadId
	 *            the dtnoraLocalidadId to set
	 */
	public void setDtnoraLocalidadId(String dtnoraLocalidadId) {
		this.dtnoraLocalidadId = dtnoraLocalidadId;
	}

	/**
	 * @return the dtnombreLocalidad
	 */
	public String getDtnombreLocalidad() {
		return dtnombreLocalidad;
	}

	/**
	 * @param dtnombreLocalidad
	 *            the dtnombreLocalidad to set
	 */
	public void setDtnombreLocalidad(String dtnombreLocalidad) {
		this.dtnombreLocalidad = dtnombreLocalidad;
	}

	/**
	 * @return the numExpediente
	 */
	public String getNumExpediente() {
		return numExpediente;
	}

	/**
	 * @param numExpediente
	 *            the numExpediente to set
	 */
	public void setNumExpediente(String numExpediente) {
		this.numExpediente = numExpediente;
	}

	/**
	 * @return the codOrgConectado
	 */
	public String getCodOrgConectado() {
		return codOrgConectado;
	}

	/**
	 * @param codOrgConectado
	 *            the codOrgConectado to set
	 */
	public void setCodOrgConectado(String codOrgConectado) {
		this.codOrgConectado = codOrgConectado;
	}

	/**
	 * @return the hdformanotificacion
	 */
	public String getHdformanotificacion() {
		return hdformanotificacion;
	}

	/**
	 * @param hdformanotificacion
	 *            the hdformanotificacion to set
	 */
	public void setHdformanotificacion(String hdformanotificacion) {
		this.hdformanotificacion = hdformanotificacion;
	}

	/**
	 * @return the defedeDesdeStr
	 */
	public String getDefedeDesdeStr() {
		return defedeDesdeStr;
	}

	/**
	 * @param defedeDesdeStr
	 *            the defedeDesdeStr to set
	 */
	public void setDefedeDesdeStr(String defedeDesdeStr) {
		this.defedeDesdeStr = defedeDesdeStr;
	}

	/**
	 * @return the defedeHastaStr
	 */
	public String getDefedeHastaStr() {
		return defedeHastaStr;
	}

	/**
	 * @param defedeHastaStr
	 *            the defedeHastaStr to set
	 */
	public void setDefedeHastaStr(String defedeHastaStr) {
		this.defedeHastaStr = defedeHastaStr;
	}

	/**
	 * @return the defereDesdeStr
	 */
	public String getDefereDesdeStr() {
		return defereDesdeStr;
	}

	/**
	 * @param defereDesdeStr
	 *            the defereDesdeStr to set
	 */
	public void setDefereDesdeStr(String defereDesdeStr) {
		this.defereDesdeStr = defereDesdeStr;
	}

	/**
	 * @return the defereHastaStr
	 */
	public String getDefereHastaStr() {
		return defereHastaStr;
	}

	/**
	 * @param defereHastaStr
	 *            the defereHastaStr to set
	 */
	public void setDefereHastaStr(String defereHastaStr) {
		this.defereHastaStr = defereHastaStr;
	}

	/**
	 * @return the ehfechafinDecisionDesdeStr
	 */
	public String getEhfechafinDecisionDesdeStr() {
		return ehfechafinDecisionDesdeStr;
	}

	/**
	 * @param ehfechafinDecisionDesdeStr
	 *            the ehfechafinDecisionDesdeStr to set
	 */
	public void setEhfechafinDecisionDesdeStr(String ehfechafinDecisionDesdeStr) {
		this.ehfechafinDecisionDesdeStr = ehfechafinDecisionDesdeStr;
	}

	/**
	 * @return the ehfechafinDecisionHastaStr
	 */
	public String getEhfechafinDecisionHastaStr() {
		return ehfechafinDecisionHastaStr;
	}

	/**
	 * @param ehfechafinDecisionHastaStr
	 *            the ehfechafinDecisionHastaStr to set
	 */
	public void setEhfechafinDecisionHastaStr(String ehfechafinDecisionHastaStr) {
		this.ehfechafinDecisionHastaStr = ehfechafinDecisionHastaStr;
	}

	/**
	 * @return the mocodigoExpediente
	 */
	public String getMocodigoExpediente() {
		return mocodigoExpediente;
	}

	/**
	 * @param mocodigoExpediente
	 *            the mocodigoExpediente to set
	 */
	public void setMocodigoExpediente(String mocodigoExpediente) {
		this.mocodigoExpediente = mocodigoExpediente;
	}

	/**
	 * @return the monombreExpediente
	 */
	public String getMonombreExpediente() {
		return monombreExpediente;
	}

	/**
	 * @param monombreExpediente
	 *            the monombreExpediente to set
	 */
	public void setMonombreExpediente(String monombreExpediente) {
		this.monombreExpediente = monombreExpediente;
	}

	/**
	 * @return the mocodigoTramitador
	 */
	public String getMocodigoTramitador() {
		return mocodigoTramitador;
	}

	/**
	 * @param mocodigoTramitador
	 *            the mocodigoTramitador to set
	 */
	public void setMocodigoTramitador(String mocodigoTramitador) {
		this.mocodigoTramitador = mocodigoTramitador;
	}

	/**
	 * @return the monombreTramitador
	 */
	public String getMonombreTramitador() {
		return monombreTramitador;
	}

	/**
	 * @param monombreTramitador
	 *            the monombreTramitador to set
	 */
	public void setMonombreTramitador(String monombreTramitador) {
		this.monombreTramitador = monombreTramitador;
	}

	/**
	 * @return the dtapellido1
	 */
	public String getDtapellido1() {
		return dtapellido1;
	}

	/**
	 * @param dtapellido1
	 *            the dtapellido1 to set
	 */
	public void setDtapellido1(String dtapellido1) {
		this.dtapellido1 = dtapellido1;
	}

	/**
	 * @return the dtapellido2
	 */
	public String getDtapellido2() {
		return dtapellido2;
	}

	/**
	 * @param dtapellido2
	 *            the dtapellido2 to set
	 */
	public void setDtapellido2(String dtapellido2) {
		this.dtapellido2 = dtapellido2;
	}

	/**
	 * @return the dtestado
	 */
	public String getDtestado() {
		return dtestado;
	}

	/**
	 * @param dtestado
	 *            the dtestado to set
	 */
	public void setDtestado(String dtestado) {
		this.dtestado = dtestado;
	}

	/**
	 * @return the dtextranjero
	 */
	public String getDtextranjero() {
		return dtextranjero;
	}

	/**
	 * @param dtextranjero
	 *            the dtextranjero to set
	 */
	public void setDtextranjero(String dtextranjero) {
		this.dtextranjero = dtextranjero;
	}

	/**
	 * @return the dtnoraPaisId
	 */
	public String getDtnoraPaisId() {
		return dtnoraPaisId;
	}

	/**
	 * @param dtnoraPaisId
	 *            the dtnoraPaisId to set
	 */
	public void setDtnoraPaisId(String dtnoraPaisId) {
		this.dtnoraPaisId = dtnoraPaisId;
	}

	/**
	 * @return the dtnoraPaisNombre
	 */
	public String getDtnoraPaisNombre() {
		return dtnoraPaisNombre;
	}

	/**
	 * @param dtnoraPaisNombre
	 *            the dtnoraPaisNombre to set
	 */
	public void setDtnoraPaisNombre(String dtnoraPaisNombre) {
		this.dtnoraPaisNombre = dtnoraPaisNombre;
	}

	/**
	 * @return the dtdireccion_nocapv
	 */
	public String getDtdireccion_nocapv() {
		return dtdireccion_nocapv;
	}

	/**
	 * @param dtdireccion_nocapv
	 *            the dtdireccion_nocapv to set
	 */
	public void setDtdireccion_nocapv(String dtdireccion_nocapv) {
		this.dtdireccion_nocapv = dtdireccion_nocapv;
	}

	/**
	 * @return the hdcodexpedienteorigen
	 */
	public String getHdcodexpedienteorigen() {
		return hdcodexpedienteorigen;
	}

	/**
	 * @param hdcodexpedienteorigen
	 *            the hdcodexpedienteorigen to set
	 */
	public void setHdcodexpedienteorigen(String hdcodexpedienteorigen) {
		this.hdcodexpedienteorigen = hdcodexpedienteorigen;
	}

	/**
	 * @return the hdcotsr
	 */
	public String getHdcotsr() {
		return hdcotsr;
	}

	/**
	 * @param hdcotsr
	 *            the hdcotsr to set
	 */
	public void setHdcotsr(String hdcotsr) {
		this.hdcotsr = hdcotsr;
	}

	/**
	 * @return the descsDescriptores
	 */
	public String getDescsDescriptores() {
		return descsDescriptores;
	}

	/**
	 * @param descsDescriptores
	 *            the descsDescriptores to set
	 */
	public void setDescsDescriptores(String descsDescriptores) {
		this.descsDescriptores = descsDescriptores;
	}

	/**
	 * @return the orgNombre
	 */
	public String getOrgNombre() {
		return orgNombre;
	}

	/**
	 * @param orgNombre
	 *            the orgNombre to set
	 */
	public void setOrgNombre(String orgNombre) {
		this.orgNombre = orgNombre;
	}

	/**
	 * @return the orgNombree
	 */
	public String getOrgNombree() {
		return orgNombree;
	}

	/**
	 * @param orgNombree
	 *            the orgNombree to set
	 */
	public void setOrgNombree(String orgNombree) {
		this.orgNombree = orgNombree;
	}

	/**
	 * @return the escodigo
	 */
	public String getEscodigo() {
		return escodigo;
	}

	/**
	 * @param escodigo
	 *            the escodigo to set
	 */
	public void setEscodigo(String escodigo) {
		this.escodigo = escodigo;
	}

	/**
	 * @return the esnombre
	 */
	public String getEsnombre() {
		return esnombre;
	}

	/**
	 * @param esnombre
	 *            the esnombre to set
	 */
	public void setEsnombre(String esnombre) {
		this.esnombre = esnombre;
	}

	/**
	 * @return the esnif
	 */
	public String getEsnif() {
		return esnif;
	}

	/**
	 * @param esnif
	 *            the esnif to set
	 */
	public void setEsnif(String esnif) {
		this.esnif = esnif;
	}

	/**
	 * @return the tircodigo
	 */
	public String getTircodigo() {
		return tircodigo;
	}

	/**
	 * @param tircodigo
	 *            the tircodigo to set
	 */
	public void setTircodigo(String tircodigo) {
		this.tircodigo = tircodigo;
	}

	/**
	 * @return the tirnombre
	 */
	public String getTirnombre() {
		return tirnombre;
	}

	/**
	 * @param tirnombre
	 *            the tirnombre to set
	 */
	public void setTirnombre(String tirnombre) {
		this.tirnombre = tirnombre;
	}

	/**
	 * @return the dtcodigo
	 */
	public String getDtcodigo() {
		return dtcodigo;
	}

	/**
	 * @param dtcodigo
	 *            the dtcodigo to set
	 */
	public void setDtcodigo(String dtcodigo) {
		this.dtcodigo = dtcodigo;
	}

	/**
	 * @return the hdte
	 */
	public String getHdte() {
		return hdte;
	}

	/**
	 * @param hdte
	 *            the hdte to set
	 */
	public void setHdte(String hdte) {
		this.hdte = hdte;
	}

	/**
	 * @return the hdfehd
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getHdfehd() {
		return hdfehd;
	}

	/**
	 * @param hdfehd
	 *            the hdfehd to set
	 */
	public void setHdfehd(Date hdfehd) {
		this.hdfehd = hdfehd;
	}

	/**
	 * @return the indPendienteDecision
	 */
	public String getIndPendienteDecision() {
		return indPendienteDecision;
	}

	/**
	 * @param indPendienteDecision
	 *            the indPendienteDecision to set
	 */
	public void setIndPendienteDecision(String indPendienteDecision) {
		this.indPendienteDecision = indPendienteDecision;
	}

	/**
	 * @return the hdfehdDesde
	 */
	public Date getHdfehdDesde() {
		return hdfehdDesde;
	}

	/**
	 * @param hdfehdDesde
	 *            the hdfehdDesde to set
	 */
	public void setHdfehdDesde(Date hdfehdDesde) {
		this.hdfehdDesde = hdfehdDesde;
	}

	/**
	 * @return the hdfehdHasta
	 */
	public Date getHdfehdHasta() {
		return hdfehdHasta;
	}

	/**
	 * @param hdfehdHasta
	 *            the hdfehdHasta to set
	 */
	public void setHdfehdHasta(Date hdfehdHasta) {
		this.hdfehdHasta = hdfehdHasta;
	}

	/**
	 * @return the indNoRelacionada
	 */
	public String getindNoRelacionada() {
		return indNoRelacionada;
	}

	/**
	 * @param indNoRelacionada
	 *            the indNoRelacionada to set
	 */
	public void setindNoRelacionada(String indNoRelacionada) {
		this.indNoRelacionada = indNoRelacionada;
	}

	/**
	 * @return the hdcaptso
	 */
	public BigDecimal getHdcaptso() {
		return hdcaptso;
	}

	/**
	 * @param hdcaptso
	 *            the hdcaptso to set
	 */
	public void setHdcaptso(BigDecimal hdcaptso) {
		this.hdcaptso = hdcaptso;
	}

	/**
	 * @return the hdteso
	 */
	public String getHdteso() {
		return hdteso;
	}

	/**
	 * @param hdteso
	 *            the hdteso to set
	 */
	public void setHdteso(String hdteso) {
		this.hdteso = hdteso;
	}

	/**
	 * @return the hdcoes
	 */
	public String getHdcoes() {
		return hdcoes;
	}

	/**
	 * @param hdcoes
	 *            the hdcoes to set
	 */
	public void setHdcoes(String hdcoes) {
		this.hdcoes = hdcoes;
	}

	/**
	 * @return the dtcoem
	 */
	public String getDtcoem() {
		return dtcoem;
	}

	/**
	 * @param dtcoem
	 *            the dtcoem to set
	 */
	public void setDtcoem(String dtcoem) {
		this.dtcoem = dtcoem;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "ReclamacionArb [hdcodigo=" + hdcodigo + ", decoor=" + decoor
				+ ", denran=" + denran + ", denror=" + denror + ", hdnror="
				+ hdnror + ", codOrgSeleccionado=" + codOrgSeleccionado
				+ ", orgNombre=" + orgNombre + ", orgNombree=" + orgNombree
				+ ", mocodigoExpediente=" + mocodigoExpediente
				+ ", monombreExpediente=" + monombreExpediente + ", defede="
				+ defede + ", defedeDesde=" + defedeDesde + ", defedeHasta="
				+ defedeHasta + ", defedeDesdeStr=" + defedeDesdeStr
				+ ", defedeHastaStr=" + defedeHastaStr + ", hdcosc=" + hdcosc
				+ ", defere=" + defere + ", defereDesde=" + defereDesde
				+ ", defereHasta=" + defereHasta + ", defereDesdeStr="
				+ defereDesdeStr + ", defereHastaStr=" + defereHastaStr
				+ ", tfpcodigo=" + tfpcodigo + ", tfpnombre=" + tfpnombre
				+ ", tfpnombree=" + tfpnombree + ", fcodigo=" + fcodigo
				+ ", fnombre=" + fnombre + ", fnombree=" + fnombree
				+ ", trcodigo=" + trcodigo + ", trnombre=" + trnombre
				+ ", trnombree=" + trnombree + ", decodigo=" + decodigo
				+ ", denombre=" + denombre + ", denombree=" + denombree
				+ ", mocodigoTramitador=" + mocodigoTramitador
				+ ", monombreTramitador=" + monombreTramitador
				+ ", ehfechafinDecisionDesde=" + ehfechafinDecisionDesde
				+ ", ehfechafinDecisionHasta=" + ehfechafinDecisionHasta
				+ ", ehfechafinDecisionDesdeStr=" + ehfechafinDecisionDesdeStr
				+ ", ehfechafinDecisionHastaStr=" + ehfechafinDecisionHastaStr
				+ ", indUltimoTramite=" + indUltimoTramite
				+ ", indPendienteAcuse=" + indPendienteAcuse
				+ ", indIncluirCerrados=" + indIncluirCerrados + ", dtnombre="
				+ dtnombre + ", dtapellido1=" + dtapellido1 + ", dtapellido2="
				+ dtapellido2 + ", dtnif=" + dtnif + ", dtestado=" + dtestado
				+ ", dtnoraProvinciaId=" + dtnoraProvinciaId
				+ ", dtnombreProvincia=" + dtnombreProvincia
				+ ", dtnoraMunicipioId=" + dtnoraMunicipioId
				+ ", dtnombreMunicipio=" + dtnombreMunicipio
				+ ", dtnoraLocalidadId=" + dtnoraLocalidadId
				+ ", dtnombreLocalidad=" + dtnombreLocalidad
				+ ", dtextranjero=" + dtextranjero + ", dtnoraPaisId="
				+ dtnoraPaisId + ", dtnoraPaisNombre=" + dtnoraPaisNombre
				+ ", dtdireccion_nocapv=" + dtdireccion_nocapv
				+ ",  numExpediente=" + numExpediente + ", codOrgConectado="
				+ codOrgConectado + ", hdformanotificacion="
				+ hdformanotificacion + ", hdcodexpedienteorigen="
				+ hdcodexpedienteorigen + ", hdcotsr=" + hdcotsr
				+ ", descsDescriptores=" + descsDescriptores + ", escodigo="
				+ escodigo + ", esnombre=" + esnombre + ", tircodigo="
				+ tircodigo + ", tirnombre=" + tirnombre + ", hdfehd=" + hdfehd
				+ "]";
	}

}
