package com.ejie.y41b.model;

import java.sql.Blob;
import java.util.Date;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * RespuestaFile  
 * 
 *  
 */

public class RespuestaFile implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long q3cofile;
	private Respuesta respuesta;
	private Date q3fecha;
	private String q3nofile;
	private Blob q3datafile;
	private Integer q3sizefile;
	private String q3tedesfile;
	private String q3contenttypefile;
	private String q3enviadomail;

	/**
	 * Method 'RespuestaFile'.
	 * 
	 */
	public RespuestaFile() {
	}

	/**
	 * @param q3cofile
	 * @param respuesta
	 * @param q3fecha
	 * @param q3nofile
	 * @param q3datafile
	 * @param q3sizefile
	 * @param q3tedesfile
	 * @param q3contenttypefile
	 * @param q3enviadomail
	 */
	public RespuestaFile(Long q3cofile, Respuesta respuesta, Date q3fecha,
			String q3nofile, Blob q3datafile, Integer q3sizefile,
			String q3tedesfile, String q3contenttypefile, String q3enviadomail) {
		this.q3cofile = q3cofile;
		this.respuesta = respuesta;
		this.q3fecha = q3fecha;
		this.q3nofile = q3nofile;
		this.q3datafile = q3datafile;
		this.q3sizefile = q3sizefile;
		this.q3tedesfile = q3tedesfile;
		this.q3contenttypefile = q3contenttypefile;
		this.q3enviadomail = q3enviadomail;
	}

	/**
	 * Method 'getQ3cofile'.
	 * 
	 * @return Long
	 */

	public Long getQ3cofile() {
		return this.q3cofile;
	}

	/**
	 * Method 'setQ3cofile'.
	 * 
	 * @param q3cofile
	 *            Long
	 * @return
	 */

	public void setQ3cofile(Long q3cofile) {
		this.q3cofile = q3cofile;
	}

	/**
	 * Method 'getRespuesta'.
	 * 
	 * @return Respuesta
	 */
	@JsonIgnore
	public Respuesta getRespuesta() {
		return this.respuesta;
	}

	/**
	 * Method 'setRespuesta'.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @return
	 */

	public void setRespuesta(Respuesta respuesta) {
		this.respuesta = respuesta;
	}

	/**
	 * Method 'getQ3nofile'.
	 * 
	 * @return String
	 */

	public String getQ3nofile() {
		return this.q3nofile;
	}

	/**
	 * Method 'setQ3nofile'.
	 * 
	 * @param q3nofile
	 *            String
	 * @return
	 */

	public void setQ3nofile(String q3nofile) {
		this.q3nofile = q3nofile;
	}

	/**
	 * Method 'getQ3datafile'.
	 * 
	 * @return Blob
	 */
	@JsonIgnore
	public Blob getQ3datafile() {
		return this.q3datafile;
	}

	/**
	 * Method 'setQ3datafile'.
	 * 
	 * @param q3datafile
	 *            Blob
	 * @return
	 */

	public void setQ3datafile(Blob q3datafile) {
		this.q3datafile = q3datafile;
	}

	/**
	 * Method 'getQ3sizefile'.
	 * 
	 * @return Integer
	 */

	public Integer getQ3sizefile() {
		return this.q3sizefile;
	}

	/**
	 * Method 'setQ3sizefile'.
	 * 
	 * @param q3sizefile
	 *            Integer
	 * @return
	 */

	public void setQ3sizefile(Integer q3sizefile) {
		this.q3sizefile = q3sizefile;
	}

	/**
	 * Method 'getQ3tedesfile'.
	 * 
	 * @return String
	 */

	public String getQ3tedesfile() {
		return this.q3tedesfile;
	}

	/**
	 * Method 'setQ3tedesfile'.
	 * 
	 * @param q3tedesfile
	 *            String
	 * @return
	 */

	public void setQ3tedesfile(String q3tedesfile) {
		this.q3tedesfile = q3tedesfile;
	}

	/**
	 * @return the q3contenttypefile
	 */
	public String getQ3contenttypefile() {
		return q3contenttypefile;
	}

	/**
	 * @param q3contenttypefile
	 *            the q3contenttypefile to set
	 */
	public void setQ3contenttypefile(String q3contenttypefile) {
		this.q3contenttypefile = q3contenttypefile;
	}

	/**
	 * @return the q3fecha
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getQ3fecha() {
		return q3fecha;
	}

	/**
	 * @param q3fecha
	 *            the q3fecha to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setQ3fecha(Date q3fecha) {
		this.q3fecha = q3fecha;
	}

	/**
	 * @return the q3enviadomail
	 */
	public String getQ3enviadomail() {
		return q3enviadomail;
	}

	/**
	 * @param q3enviadomail
	 *            the q3enviadomail to set
	 */
	public void setQ3enviadomail(String q3enviadomail) {
		this.q3enviadomail = q3enviadomail;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ q3cofile: ").append(this.q3cofile).append(" ]");
		result.append(", [ q3nofile: ").append(this.q3nofile).append(" ]");
		result.append(", [ q3sizefile: ").append(this.q3sizefile).append(" ]");
		result.append(", [ q3tedesfile: ").append(this.q3tedesfile)
				.append(" ]");
		result.append(", [ q3contenttypefile: ").append(this.q3contenttypefile)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

}
