package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * Sanbandeja  
 * 
 *  
 */

public class Sanbandeja implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String baid;
	private Expedien expedien;
	private Saninterv saninterv;
	private CensoMonitor monitor;
	private Santramexp santramexp;
	private Fase fase;
	private String batrid;
	private Date bafec;
	private String baestado;
	private Date bafeclimite;
	private String bafase;
	private String banomdoc;
	private Date bafecalta;
	private Date bafecmodif;
	private String bausualta;
	private String bausumodif;
	/* nuevos */
	private String batexto;
	private String batextoe;
	private String batipo;
	private Date bafecini;

	private String tramitesPendientes;
	private String avisos;

	// Campos para observaciones
	private String obs_tramiteOrigenNombre;
	private String obs_tramiteOrigenNombree;
	private Date obs_tramiteOrigenFecha;
	private String obs_tipoDestinatario;
	private String obs_destinatarioNombre;
	private String obs_tipoOrigen;

	// EVOLUTIVO 0135083 2.10
	private String mocodigo;
	private String trcodigo;
	private String codOrg;
	private Date trFechaDesde;
	private Date trFechaHasta;

	// EVOLUTIVO 0135083 2.10
	// EVOLUTIVO 0150942
	private String pcodigo;
	private String accoororigen;
	private String atcocm;

	// EVOLUTIVO 0150942

	private String estadoFirma;

	// EVOLUTIVO 0206514
	// Fecha lmite de liquidacion
	private Date bafeclimiteliquidacion;

	/**
	 * Method 'Sanbandeja'.
	 */
	public Sanbandeja() {
	}

	/**
	 * Method 'Sanbandeja'.
	 * 
	 * @param baid
	 *            String
	 * @param batrid
	 *            BigDecimal
	 * @param bafec
	 *            Date
	 * @param baestado
	 *            String
	 * @param bafeclimite
	 *            Date
	 * @param bafase
	 *            String
	 * @param banomdoc
	 *            String
	 * @param bafecalta
	 *            Date
	 * @param bafecmodif
	 *            Date
	 * @param bausualta
	 *            String
	 * @param bausumodif
	 *            String
	 * @param expedien
	 *            Expedien
	 * @param saninterv
	 *            Saninterv
	 * @param monitor
	 *            Monitor
	 * @param santramexp
	 *            Santramexp
	 * @param fase
	 *            Fase
	 * @param batipo
	 *            the batipo
	 * @param bafecini
	 *            the bafecini
	 * @param batexto
	 *            the batexto
	 * @param batextoe
	 *            the batextoe
	 */
	public Sanbandeja(String baid, String batrid, Date bafec, String baestado, Date bafeclimite, String bafase,
			String banomdoc, Date bafecalta, Date bafecmodif, String bausualta, String bausumodif, Expedien expedien,
			Saninterv saninterv, CensoMonitor monitor, Santramexp santramexp, Fase fase, String batipo, Date bafecini,
			String batexto, String batextoe) {

		this.baid = baid;
		this.expedien = expedien;
		this.saninterv = saninterv;
		this.monitor = monitor;
		this.santramexp = santramexp;
		this.fase = fase;
		this.batrid = batrid;
		this.bafec = bafec;
		this.baestado = baestado;
		this.bafeclimite = bafeclimite;
		this.bafase = bafase;
		this.banomdoc = banomdoc;
		this.bafecalta = bafecalta;
		this.bafecmodif = bafecmodif;
		this.bausualta = bausualta;
		this.bausumodif = bausumodif;
		this.batipo = batipo;
		this.bafecini = bafecini;
		this.batexto = batexto;
		this.batextoe = batextoe;
	}

	/**
	 * Method 'getBaid'.
	 * 
	 * @return String
	 */

	public String getBaid() {
		return this.baid;
	}

	/**
	 * Method 'setBaid'.
	 * 
	 * @param baid
	 *            String
	 * @return
	 */

	public void setBaid(String baid) {
		this.baid = baid;
	}

	/**
	 * Method 'getExpedien'.
	 * 
	 * @return Expedien
	 */

	public Expedien getExpedien() {
		return this.expedien;
	}

	/**
	 * Method 'setExpedien'.
	 * 
	 * @param expedien
	 *            Expedien
	 * @return
	 */

	public void setExpedien(Expedien expedien) {
		this.expedien = expedien;
	}

	/**
	 * Method 'getSaninterv'.
	 * 
	 * @return Saninterv
	 */

	public Saninterv getSaninterv() {
		return this.saninterv;
	}

	/**
	 * Method 'setSaninterv'.
	 * 
	 * @param saninterv
	 *            Saninterv
	 * @return
	 */

	public void setSaninterv(Saninterv saninterv) {
		this.saninterv = saninterv;
	}

	/**
	 * Method 'getMonitor'.
	 * 
	 * @return Monitor
	 */
	public CensoMonitor getMonitor() {
		return this.monitor;
	}

	/**
	 * Method 'setMonitor'.
	 * 
	 * @param monitor
	 *            Monitor
	 * @return
	 */

	public void setMonitor(CensoMonitor monitor) {
		this.monitor = monitor;
	}

	/**
	 * Method 'getBatrid'.
	 * 
	 * @return BigDecimal
	 */

	/**
	 * Method 'getSantramexp'.
	 * 
	 * @return Santramexp
	 */

	public Santramexp getSantramexp() {
		return this.santramexp;
	}

	/**
	 * Method 'setSantramexp'.
	 * 
	 * @param santramexp
	 *            Santramexp
	 * @return
	 */

	public void setSantramexp(Santramexp santramexp) {
		this.santramexp = santramexp;
	}

	/**
	 * Method 'getFase'.
	 * 
	 * @return Fase
	 */

	public Fase getFase() {
		return this.fase;
	}

	/**
	 * Method 'setFase'.
	 * 
	 * @param fase
	 *            Fase
	 * @return
	 */

	public void setFase(Fase fase) {
		this.fase = fase;
	}

	/**
	 * Gets the batrid.
	 * 
	 * @return the batrid
	 */
	public String getBatrid() {
		return this.batrid;
	}

	/**
	 * Method 'setBatrid'.
	 * 
	 * @param batrid
	 *            BigDecimal
	 * @return
	 */

	public void setBatrid(String batrid) {
		this.batrid = batrid;
	}

	/**
	 * Method 'getBafec'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBafec() {
		return this.bafec;
	}

	/**
	 * Method 'setBafec'.
	 * 
	 * @param bafec
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBafec(Date bafec) {
		this.bafec = bafec;
	}

	/**
	 * Method 'getBaestado'.
	 * 
	 * @return String
	 */

	public String getBaestado() {
		return this.baestado;
	}

	/**
	 * Method 'setBaestado'.
	 * 
	 * @param baestado
	 *            String
	 * @return
	 */

	public void setBaestado(String baestado) {
		this.baestado = baestado;
	}

	/**
	 * Method 'getBafeclimite'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBafeclimite() {
		return this.bafeclimite;
	}

	/**
	 * Method 'getBafeclimiteliquidacion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBafeclimiteliquidacion() {
		return this.bafeclimiteliquidacion;
	}

	/**
	 * Method 'setBafeclimite'.
	 * 
	 * @param bafeclimite
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBafeclimite(Date bafeclimite) {
		this.bafeclimite = bafeclimite;
	}

	/**
	 * Method 'setBafeclimite'.
	 * 
	 * @param bafeclimite
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBafeclimiteliquidacion(Date bafeclimiteliquidacion) {
		this.bafeclimiteliquidacion = bafeclimiteliquidacion;
	}

	/**
	 * Method 'getBafase'.
	 * 
	 * @return String
	 */

	public String getBafase() {
		return this.bafase;
	}

	/**
	 * Method 'setBafase'.
	 * 
	 * @param bafase
	 *            String
	 * @return
	 */

	public void setBafase(String bafase) {
		this.bafase = bafase;
	}

	/**
	 * Method 'getBanomdoc'.
	 * 
	 * @return String
	 */

	public String getBanomdoc() {
		return this.banomdoc;
	}

	/**
	 * Method 'setBanomdoc'.
	 * 
	 * @param banomdoc
	 *            String
	 * @return
	 */

	public void setBanomdoc(String banomdoc) {
		this.banomdoc = banomdoc;
	}

	/**
	 * Method 'getBafecalta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBafecalta() {
		return this.bafecalta;
	}

	/**
	 * Method 'setBafecalta'.
	 * 
	 * @param bafecalta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBafecalta(Date bafecalta) {
		this.bafecalta = bafecalta;
	}

	/**
	 * Method 'getBafecmodif'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBafecmodif() {
		return this.bafecmodif;
	}

	/**
	 * Method 'setBafecmodif'.
	 * 
	 * @param bafecmodif
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBafecmodif(Date bafecmodif) {
		this.bafecmodif = bafecmodif;
	}

	/**
	 * Method 'getBausualta'.
	 * 
	 * @return String
	 */

	public String getBausualta() {
		return this.bausualta;
	}

	/**
	 * Method 'setBausualta'.
	 * 
	 * @param bausualta
	 *            String
	 * @return
	 */

	public void setBausualta(String bausualta) {
		this.bausualta = bausualta;
	}

	/**
	 * Method 'getBausumodif'.
	 * 
	 * @return String
	 */

	public String getBausumodif() {
		return this.bausumodif;
	}

	/**
	 * Method 'setBausumodif'.
	 * 
	 * @param bausumodif
	 *            String
	 * @return
	 */

	public void setBausumodif(String bausumodif) {
		this.bausumodif = bausumodif;
	}

	/**
	 * @return the batexto
	 */
	public String getBatexto() {
		return this.batexto;
	}

	/**
	 * @param batexto
	 *            the batexto to set
	 */
	public void setBatexto(String batexto) {
		this.batexto = batexto;
	}

	/**
	 * @return the batextoe
	 */
	public String getBatextoe() {
		return this.batextoe;
	}

	/**
	 * @param batextoe
	 *            the batextoe to set
	 */
	public void setBatextoe(String batextoe) {
		this.batextoe = batextoe;
	}

	/**
	 * @return the batipo
	 */
	public String getBatipo() {
		return this.batipo;
	}

	/**
	 * @param batipo
	 *            the batipo to set
	 */
	public void setBatipo(String batipo) {
		this.batipo = batipo;
	}

	/**
	 * @return the bafecini
	 */
	public Date getBafecini() {
		return this.bafecini;
	}

	/**
	 * @param bafecini
	 *            the bafecini to set
	 */
	public void setBafecini(Date bafecini) {
		this.bafecini = bafecini;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ baid: ").append(this.baid).append(" ]");
		result.append(", [ batrid: ").append(this.batrid).append(" ]");
		result.append(", [ bafec: ").append(this.bafec).append(" ]");
		result.append(", [ baestado: ").append(this.baestado).append(" ]");
		result.append(", [ bafeclimite: ").append(this.bafeclimite).append(" ]");
		result.append(", [ bafase: ").append(this.bafase).append(" ]");
		result.append(", [ banomdoc: ").append(this.banomdoc).append(" ]");
		result.append(", [ bafecalta: ").append(this.bafecalta).append(" ]");
		result.append(", [ bafecmodif: ").append(this.bafecmodif).append(" ]");
		result.append(", [ bausualta: ").append(this.bausualta).append(" ]");
		result.append(", [ bausumodif: ").append(this.bausumodif).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the tramitesPendientes
	 */
	public String getTramitesPendientes() {
		return this.tramitesPendientes;
	}

	/**
	 * @param tramitesPendientes
	 *            the tramitesPendientes to set
	 */
	public void setTramitesPendientes(String tramitesPendientes) {
		this.tramitesPendientes = tramitesPendientes;
	}

	/**
	 * @return the avisos
	 */
	public String getAvisos() {
		return this.avisos;
	}

	/**
	 * @param avisos
	 *            the avisos to set
	 */
	public void setAvisos(String avisos) {
		this.avisos = avisos;
	}

	/**
	 * @return the obs_tramiteOrigenNombre
	 */
	public String getObs_tramiteOrigenNombre() {
		return this.obs_tramiteOrigenNombre;
	}

	/**
	 * @param obs_tramiteOrigenNombre
	 *            the obs_tramiteOrigenNombre to set
	 */
	public void setObs_tramiteOrigenNombre(String obs_tramiteOrigenNombre) {
		this.obs_tramiteOrigenNombre = obs_tramiteOrigenNombre;
	}

	/**
	 * @return the obs_tramiteOrigenNombree
	 */
	public String getObs_tramiteOrigenNombree() {
		return this.obs_tramiteOrigenNombree;
	}

	/**
	 * @param obs_tramiteOrigenNombree
	 *            the obs_tramiteOrigenNombree to set
	 */
	public void setObs_tramiteOrigenNombree(String obs_tramiteOrigenNombree) {
		this.obs_tramiteOrigenNombree = obs_tramiteOrigenNombree;
	}

	/**
	 * @return the obs_tramiteOrigenFecha
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getObs_tramiteOrigenFecha() {
		return this.obs_tramiteOrigenFecha;
	}

	/**
	 * @param obs_tramiteOrigenFecha
	 *            the obs_tramiteOrigenFecha to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setObs_tramiteOrigenFecha(Date obs_tramiteOrigenFecha) {
		this.obs_tramiteOrigenFecha = obs_tramiteOrigenFecha;
	}

	/**
	 * @return the obs_tipoDestinatario
	 */
	public String getObs_tipoDestinatario() {
		return this.obs_tipoDestinatario;
	}

	/**
	 * @param obs_tipoDestinatario
	 *            the obs_tipoDestinatario to set
	 */
	public void setObs_tipoDestinatario(String obs_tipoDestinatario) {
		this.obs_tipoDestinatario = obs_tipoDestinatario;
	}

	/**
	 * 
	 * @param obs_destinatarioNombre
	 *            the obs_destinatarioNombre to set
	 */
	public void setObs_destinatarioNombre(String obs_destinatarioNombre) {
		this.obs_destinatarioNombre = obs_destinatarioNombre;
	}

	/**
	 * 
	 * @return the obs_destinatarioNombre
	 */
	public String getObs_destinatarioNombre() {
		return this.obs_destinatarioNombre;
	}

	/**
	 * @return the obs_tipoOrigen
	 */
	public String getObs_tipoOrigen() {
		return this.obs_tipoOrigen;
	}

	/**
	 * @param obs_tipoOrigen
	 *            the obs_tipoOrigen to set
	 */
	public void setObs_tipoOrigen(String obs_tipoOrigen) {
		this.obs_tipoOrigen = obs_tipoOrigen;
	}

	// EVOLUTIVO 0135083 2.10
	public void setMocodigo(String mocodigo) {
		this.mocodigo = mocodigo;
	}

	public String getMocodigo() {
		return mocodigo;
	}

	public void setTrcodigo(String trcodigo) {
		this.trcodigo = trcodigo;
	}

	public String getTrcodigo() {
		return trcodigo;
	}

	public void setCodOrg(String codOrg) {
		this.codOrg = codOrg;
	}

	public String getCodOrg() {
		return codOrg;
	}

	public void setTrFechaDesde(Date trFechaDesde) {
		this.trFechaDesde = trFechaDesde;
	}

	public Date getTrFechaDesde() {
		return trFechaDesde;
	}

	public void setTrFechaHasta(Date trFechaHasta) {
		this.trFechaHasta = trFechaHasta;
	}

	public Date getTrFechaHasta() {
		return trFechaHasta;
	}

	// EVOLUTIVO 0150942
	public void setPcodigo(String pcodigo) {
		this.pcodigo = pcodigo;
	}

	public String getPcodigo() {
		return pcodigo;
	}

	// EVOLUTIVO 0150942

	public void setAccoororigen(String accoororigen) {
		this.accoororigen = accoororigen;
	}

	public String getAccoororigen() {
		return accoororigen;
	}

	public void setAtcocm(String atcocm) {
		this.atcocm = atcocm;
	}

	public String getAtcocm() {
		return atcocm;
	}

	/**
	 * @return the estadoFirma
	 */
	public String getEstadoFirma() {
		return estadoFirma;
	}

	/**
	 * @param estadoFirma
	 *            the estadoFirma to set
	 */
	public void setEstadoFirma(String estadoFirma) {
		this.estadoFirma = estadoFirma;
	}
}
