package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * Sanexprel  
 * 
 *  
 */
public class Sanexprel implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String rlid;
	private Expedien expedienByRlexcodrel;
	private Expedien expedienByRlexcodigo;
	private String rlhdcodrel;
	private String rlinscodrel;
	private String rlexcodrel;
	private String excodigo;
	private String rlhdcodigo;
	private String rlinscodigo;
	private String instructor;
	private Date fechaIni;
	private Date fechaFin;
	private Date rlfecalta;
	private Date rlfecmodif;
	private String rlusualta;
	private String rlusumodif;
	private String rlesorig;
	private TipoProcedimiento tipoProcedimiento;
	private String codCompleto;
	private String rlarbcodigo;
	private String rlarbcodrel;

	/**
	 * Method 'Sanexprel'.
	 */
	public Sanexprel() {
	}

	/**
	 * 
	 * @param rlid
	 *            String
	 * @param rlhdcodrel
	 *            String
	 * @param rlexcodrel
	 *            String
	 * @param codexpcompleto
	 *            String
	 * @param rlhdcodigo
	 *            String
	 * @param rlesorig
	 *            String
	 * @param instructor
	 *            String
	 * @param fechaIni
	 *            Date
	 * @param fechaFin
	 *            Date
	 * @param tipoProcedimiento
	 *            String
	 */
	public Sanexprel(String rlid, String rlhdcodrel, String rlexcodrel,
			String codexpcompleto, String rlhdcodigo, String rlesorig,
			String instructor, Date fechaIni, Date fechaFin,
			TipoProcedimiento tipoProcedimiento) {

		this.rlhdcodrel = rlhdcodrel;
		this.rlexcodrel = rlexcodrel;
		this.tipoProcedimiento = tipoProcedimiento;
		this.codCompleto = codexpcompleto;
		if (null != rlexcodrel) {
			this.excodigo = rlexcodrel;
		}
		if (null != rlhdcodrel) {
			this.excodigo = rlhdcodrel;
		}
		this.rlhdcodigo = rlhdcodigo;
		this.rlid = rlid;
		this.instructor = instructor;
		this.rlesorig = rlesorig;
		this.fechaIni = fechaIni;
		this.fechaFin = fechaFin;

	}

	/**
	 * 
	 * @param rlid
	 *            String
	 * @param rlhdcodrel
	 *            String
	 * @param rlexcodrel
	 *            String
	 * @param codexpcompleto
	 *            String
	 * @param rlhdcodigo
	 *            String
	 * @param rlesorig
	 *            String
	 * @param instructor
	 *            String
	 * @param fechaIni
	 *            Date
	 * @param fechaFin
	 *            Date
	 * @param rlarbcodigo
	 *            String
	 * @param rlarbcodrel
	 *            String
	 * @param rlinscodigo
	 *            String
	 * @param rlinscodrel
	 *            String
	 */
	public Sanexprel(String rlid, String rlhdcodrel, String rlexcodrel,
			String codexpcompleto, String rlhdcodigo, String rlesorig,
			String instructor, Date fechaIni, Date fechaFin,
			String rlarbcodigo, String rlarbcodrel, String rlinscodigo,
			String rlinscodrel) {

		this.rlhdcodrel = rlhdcodrel;
		this.rlexcodrel = rlexcodrel;
		this.codCompleto = codexpcompleto;
		if (null != rlexcodrel) {
			this.excodigo = rlexcodrel;
		}
		if (null != rlhdcodrel) {
			this.excodigo = rlhdcodrel;
		}
		this.rlhdcodigo = rlhdcodigo;
		this.rlid = rlid;
		this.instructor = instructor;
		this.rlesorig = rlesorig;
		this.fechaIni = fechaIni;
		this.fechaFin = fechaFin;

		this.rlarbcodigo = rlarbcodigo;
		this.rlarbcodrel = rlarbcodrel;

		this.rlinscodigo = rlinscodigo;
		this.rlinscodrel = rlinscodrel;
	}

	/**
	 * 
	 * @param rlid
	 *            String
	 * @param rlhdcodrel
	 *            String
	 * @param rlinscodrel
	 *            String
	 * @param rlexcodrel
	 *            String
	 * @param codexpcompleto
	 *            String
	 * @param rlhdcodigo
	 *            String
	 * @param rlinscodigo
	 *            String
	 * @param rlesorig
	 *            String
	 * @param instructor
	 *            String
	 * @param fechaIni
	 *            Date
	 * @param fechaFin
	 *            Date
	 * @param tipoProcedimiento
	 *            String
	 * @param rlarbcodigo
	 *            String
	 * @param rlarbcodrel
	 *            String
	 */
	public Sanexprel(String rlid, String rlhdcodrel, String rlinscodrel,
			String rlexcodrel, String codexpcompleto, String rlhdcodigo,
			String rlinscodigo, String rlesorig, String instructor,
			Date fechaIni, Date fechaFin, TipoProcedimiento tipoProcedimiento,
			String rlarbcodigo, String rlarbcodrel) {

		this.rlhdcodrel = rlhdcodrel;
		this.rlinscodrel = rlinscodrel;
		this.rlexcodrel = rlexcodrel;
		this.rlarbcodrel = rlarbcodrel;
		this.tipoProcedimiento = tipoProcedimiento;
		this.codCompleto = codexpcompleto;
		if (null != rlexcodrel) {
			this.excodigo = rlexcodrel;
		}
		if (null != rlhdcodrel) {
			this.excodigo = rlhdcodrel;
		}
		if (null != rlarbcodrel) {
			this.excodigo = rlarbcodrel;
		}
		if (null != rlinscodrel) {
			this.excodigo = rlinscodrel;
		}
		this.rlhdcodigo = rlhdcodigo;
		this.rlinscodigo = rlinscodigo;
		this.rlid = rlid;
		this.instructor = instructor;
		this.rlesorig = rlesorig;
		this.fechaIni = fechaIni;
		this.fechaFin = fechaFin;

	}

	/**
	 * 
	 * @param rlid
	 *            String
	 * @param rlhdcodrel
	 *            String
	 * @param rlexcodrel
	 *            String
	 * @param codexpcompleto
	 *            String
	 * @param rlhdcodigo
	 *            String
	 * @param rlesorig
	 *            String
	 * @param instructor
	 *            String
	 * @param fechaIni
	 *            Date
	 * @param fechaFin
	 *            Date
	 * @param tipoProcedimiento
	 *            String
	 * @param rlarbcodigo
	 *            String
	 * @param rlarbcodrel
	 *            String
	 */
	public Sanexprel(String rlid, String rlhdcodrel, String rlexcodrel,
			String codexpcompleto, String rlhdcodigo, String rlesorig,
			String instructor, Date fechaIni, Date fechaFin,
			TipoProcedimiento tipoProcedimiento, String rlarbcodigo,
			String rlarbcodrel) {

		this.rlhdcodrel = rlhdcodrel;
		this.rlexcodrel = rlexcodrel;
		this.rlarbcodrel = rlarbcodrel;
		this.tipoProcedimiento = tipoProcedimiento;
		this.codCompleto = codexpcompleto;
		if (null != rlexcodrel) {
			this.excodigo = rlexcodrel;
		}
		if (null != rlhdcodrel) {
			this.excodigo = rlhdcodrel;
		}
		if (null != rlarbcodrel) {
			this.excodigo = rlarbcodrel;
		}
		this.rlhdcodigo = rlhdcodigo;
		this.rlid = rlid;
		this.instructor = instructor;
		this.rlesorig = rlesorig;
		this.fechaIni = fechaIni;
		this.fechaFin = fechaFin;

	}

	/**
	 * Constructor
	 * 
	 * @param rlid
	 *            String
	 * @param rlhdcodrel
	 *            String
	 * @param rlexcodrel
	 *            String
	 * @param rlinscodrel
	 *            String
	 * @param codexpcompleto
	 *            String
	 * @param rlhdcodigo
	 *            String
	 * @param rlinscodigo
	 *            String
	 * @param rlesorig
	 *            String
	 * @param instructor
	 *            String
	 * @param fechaIni
	 *            Date
	 * @param fechaFin
	 *            Date
	 * @param tipoProcedimiento
	 *            String
	 */
	public Sanexprel(String rlid, String rlhdcodrel, String rlinscodrel,
			String rlexcodrel, String codexpcompleto, String rlhdcodigo,
			String rlinscodigo, String rlesorig, String instructor,
			Date fechaIni, Date fechaFin, TipoProcedimiento tipoProcedimiento) {

		this.rlhdcodrel = rlhdcodrel;
		this.rlinscodrel = rlinscodrel;
		this.rlexcodrel = rlexcodrel;
		this.tipoProcedimiento = tipoProcedimiento;
		this.codCompleto = codexpcompleto;
		if (null != rlexcodrel) {
			this.excodigo = rlexcodrel;
		}
		if (null != rlhdcodrel) {
			this.excodigo = rlhdcodrel;
		}
		if (null != rlarbcodrel) {
			this.excodigo = rlarbcodrel;
		}
		if (null != rlinscodrel) {
			this.excodigo = rlinscodrel;
		}
		this.rlhdcodigo = rlhdcodigo;
		this.rlinscodigo = rlinscodigo;
		this.rlid = rlid;
		this.instructor = instructor;
		this.rlesorig = rlesorig;
		this.fechaIni = fechaIni;
		this.fechaFin = fechaFin;

	}

	/**
	 * @return the rlinscodrel
	 */
	public String getRlinscodrel() {
		return this.rlinscodrel;
	}

	/**
	 * @param rlinscodrel
	 *            the rlinscodrel to set
	 */
	public void setRlinscodrel(String rlinscodrel) {
		this.rlinscodrel = rlinscodrel;
	}

	/**
	 * @return the rlinscodigo
	 */
	public String getRlinscodigo() {
		return this.rlinscodigo;
	}

	/**
	 * @param rlinscodigo
	 *            the rlinscodigo to set
	 */
	public void setRlinscodigo(String rlinscodigo) {
		this.rlinscodigo = rlinscodigo;
	}

	/**
	 * Method 'getRlid'.
	 * 
	 * @return String
	 */

	public String getRlid() {
		return this.rlid;
	}

	/**
	 * Method 'setRlid'.
	 * 
	 * @param rlid
	 *            String
	 * @return
	 */

	public void setRlid(String rlid) {
		this.rlid = rlid;
	}

	/**
	 * Method 'getExpedienByRlexcodrel'.
	 * 
	 * @return Expedien
	 */

	public Expedien getExpedienByRlexcodrel() {
		return this.expedienByRlexcodrel;
	}

	/**
	 * Method 'setExpedienByRlexcodrel'.
	 * 
	 * @param expedienByRlexcodrel
	 *            Expedien
	 * @return
	 */

	public void setExpedienByRlexcodrel(Expedien expedienByRlexcodrel) {
		this.expedienByRlexcodrel = expedienByRlexcodrel;
	}

	/**
	 * Method 'getExpedienByRlexcodigo'.
	 * 
	 * @return Expedien
	 */
	@JsonIgnore()
	public Expedien getExpedienByRlexcodigo() {
		return this.expedienByRlexcodigo;
	}

	/**
	 * Method 'setExpedienByRlexcodigo'.
	 * 
	 * @param expedienByRlexcodigo
	 *            Expedien
	 * @return
	 */

	public void setExpedienByRlexcodigo(Expedien expedienByRlexcodigo) {
		this.expedienByRlexcodigo = expedienByRlexcodigo;
	}

	/**
	 * Method 'getRlhdcodrel'.
	 * 
	 * @return String
	 */

	public String getRlhdcodrel() {
		return this.rlhdcodrel;
	}

	/**
	 * Method 'setRlhdcodrel'.
	 * 
	 * @param rlhdcodrel
	 *            String
	 * @return
	 */

	public void setRlhdcodrel(String rlhdcodrel) {
		this.rlhdcodrel = rlhdcodrel;
	}

	/**
	 * @return the rlexcodrel
	 */
	public String getRlexcodrel() {
		return this.rlexcodrel;
	}

	/**
	 * @param rlexcodrel
	 *            the rlexcodrel to set
	 */
	public void setRlexcodrel(String rlexcodrel) {
		this.rlexcodrel = rlexcodrel;
	}

	/**
	 * Method 'getRlfecalta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getRlfecalta() {
		return this.rlfecalta;
	}

	/**
	 * Method 'setRlfecalta'.
	 * 
	 * @param rlfecalta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setRlfecalta(Date rlfecalta) {
		this.rlfecalta = rlfecalta;
	}

	/**
	 * Method 'getRlfecmodif'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getRlfecmodif() {
		return this.rlfecmodif;
	}

	/**
	 * Method 'setRlfecmodif'.
	 * 
	 * @param rlfecmodif
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setRlfecmodif(Date rlfecmodif) {
		this.rlfecmodif = rlfecmodif;
	}

	/**
	 * Method 'getRlesorig'.
	 * 
	 * @return String
	 */

	public String getRlesorig() {
		return this.rlesorig;
	}

	/**
	 * Method 'setRlesorig'.
	 * 
	 * @param rlesorig
	 *            String
	 * @return
	 */

	public void setRlesorig(String rlesorig) {
		this.rlesorig = rlesorig;
	}

	/**
	 * @return the excodigo
	 */
	public String getExcodigo() {
		return this.excodigo;
	}

	/**
	 * @param excodigo
	 *            the excodigo to set
	 */
	public void setExcodigo(String excodigo) {
		this.excodigo = excodigo;
	}

	/**
	 * @return this.the instructor
	 */
	public String getInstructor() {
		return this.instructor;
	}

	/**
	 * @param instructor
	 *            the instructor to set
	 */
	public void setInstructor(String instructor) {
		this.instructor = instructor;
	}

	/**
	 * @return the fechaIni
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaIni() {
		return this.fechaIni;
	}

	/**
	 * @param fechaIni
	 *            the fechaIni to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaIni(Date fechaIni) {
		this.fechaIni = fechaIni;
	}

	/**
	 * @return the fechaFin
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaFin() {
		return this.fechaFin;
	}

	/**
	 * @param fechaFin
	 *            the fechaFin to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}

	/**
	 * Method 'getRlusualta'.
	 * 
	 * @return String
	 */

	public String getRlusualta() {
		return this.rlusualta;
	}

	/**
	 * Method 'setRlusualta'.
	 * 
	 * @param rlusualta
	 *            String
	 * @return
	 */

	public void setRlusualta(String rlusualta) {
		this.rlusualta = rlusualta;
	}

	/**
	 * Method 'getRlusumodif'.
	 * 
	 * @return String
	 */

	public String getRlusumodif() {
		return this.rlusumodif;
	}

	/**
	 * Method 'setRlusumodif'.
	 * 
	 * @param rlusumodif
	 *            String
	 * @return
	 */

	public void setRlusumodif(String rlusumodif) {
		this.rlusumodif = rlusumodif;
	}

	/**
	 * @return the tipoProcedimiento
	 */
	public TipoProcedimiento getTipoProcedimiento() {
		return this.tipoProcedimiento;
	}

	/**
	 * @param tipoProcedimiento
	 *            the tipoProcedimiento to set
	 */
	public void setTipoProcedimiento(TipoProcedimiento tipoProcedimiento) {
		this.tipoProcedimiento = tipoProcedimiento;
	}

	/**
	 * @return the rlhdcodigo
	 */
	public String getRlhdcodigo() {
		return this.rlhdcodigo;
	}

	/**
	 * @param rlhdcodigo
	 *            the rlhdcodigo to set
	 */
	public void setRlhdcodigo(String rlhdcodigo) {
		this.rlhdcodigo = rlhdcodigo;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override()
	public String toString() {
		return "Sanexprel [rlid=" + this.rlid + ", expedienByRlexcodrel="
				+ this.expedienByRlexcodrel + ", expedienByRlexcodigo="
				+ this.expedienByRlexcodigo + ", rlhdcodrel=" + this.rlhdcodrel
				+ ", rlexcodrel=" + this.rlexcodrel + ", excodigo="
				+ this.excodigo + ", rlhdcodigo=" + this.rlhdcodigo
				+ ", instructor=" + this.instructor + ", fechaIni="
				+ this.fechaIni + ", fechaFin=" + this.fechaFin
				+ ", rlfecalta=" + this.rlfecalta + ", rlfecmodif="
				+ this.rlfecmodif + ", rlusualta=" + this.rlusualta
				+ ", rlusumodif=" + this.rlusumodif + ", rlesorig="
				+ this.rlesorig + ", tipoProcedimiento="
				+ this.tipoProcedimiento + "]";
	}

	/**
	 * @return this.the codCompleto
	 */
	public String getCodCompleto() {
		return this.codCompleto;
	}

	/**
	 * @param codCompleto
	 *            the codCompleto to set
	 */
	public void setCodCompleto(String codCompleto) {
		this.codCompleto = codCompleto;
	}

	/**
	 * @return the rlarbcodigo
	 */
	public String getRlarbcodigo() {
		return this.rlarbcodigo;
	}

	/**
	 * @param rlarbcodigo
	 *            the rlarbcodigo to set
	 */
	public void setRlarbcodigo(String rlarbcodigo) {
		this.rlarbcodigo = rlarbcodigo;
	}

	/**
	 * @return the rlarbcodrel
	 */
	public String getRlarbcodrel() {
		return this.rlarbcodrel;
	}

	/**
	 * @param rlarbcodrel
	 *            the rlarbcodrel to set
	 */
	public void setRlarbcodrel(String rlarbcodrel) {
		this.rlarbcodrel = rlarbcodrel;
	}

}
