package com.ejie.y41b.model;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import java.util.Date;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

/**
 * Sanpropbandeja  
 * 
 *  
 */

/**
 *  
 * 
 */
public class Sanpropbandeja implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long baprsanid;
	private String baprsanexcodigo;
	private String baprsanexcodigocompleto;
	private String baprsanpcodigo;
	private Date baprsanfec;
	private String baprsansancionado;
	private Establecimiento establecimiento;
	private String baprsanmunic;
	private String baprsanprov;
	private String baprsanrespexp;
	private CensoMonitor censoMonitor;
	private Date baprsanfecalta;
	private Date baprsanfecmodif;
	private String baprsanusualta;
	private String baprsanusumodif;

	// EVOLUTIVO 0135083 2.10
	private String codOrg;
	// EVOLUTIVO 0135083 2.10

	// 0160753: Bandeja de Sancionador - Cambio de orgnico
	private String baprNuevoOrganismo;
	// 0160753: Bandeja de Sancionador - Cambio de orgnico

	private TipoProcedimiento tipoProcedimiento;

	/**
	 * Method 'Sanpropbandeja'.
	 */
	public Sanpropbandeja() {
	}

	/**
	 * @param baprsanid
	 * @param baprsanexcodigo
	 * @param baprsanexcodigocompleto
	 * @param baprsanpcodigo
	 * @param baprsanfec
	 * @param baprsansancionado
	 * @param baprsanprov
	 * @param baprsanmunic
	 * @param baprsanrespexp
	 * @param baprsanfecalta
	 * @param baprsanfecmodif
	 * @param baprsanusualta
	 * @param baprsanusumodif
	 */
	public Sanpropbandeja(Long baprsanid, String baprsanexcodigo,
			String baprsanexcodigocompleto, String baprsanpcodigo,
			Date baprsanfec, String baprsansancionado, String baprsanprov,
			String baprsanmunic, String baprsanrespexp, Date baprsanfecalta,
			Date baprsanfecmodif, String baprsanusualta, String baprsanusumodif) {

		this.baprsanid = baprsanid;
		this.baprsanexcodigo = baprsanexcodigo;
		this.baprsanexcodigocompleto = baprsanexcodigocompleto;
		this.baprsanfec = baprsanfec;
		this.baprsansancionado = baprsansancionado;
		this.baprsanprov = baprsanprov;
		this.baprsanmunic = baprsanmunic;
		this.baprsanrespexp = baprsanrespexp;
		this.baprsanfecalta = baprsanfecalta;
		this.baprsanfecmodif = baprsanfecmodif;
		this.baprsanusualta = baprsanusualta;
		this.baprsanusumodif = baprsanusumodif;
		this.baprsanpcodigo = baprsanpcodigo;
	}

	/**
	 * @param baprsanid
	 * @param baprsanexcodigo
	 * @param baprsanexcodigocompleto
	 * @param baprsanpcodigo
	 * @param baprsanfec
	 * @param establecimiento
	 * @param baprsanmunic
	 * @param baprsanprov
	 * @param censoMonitor
	 * @param baprsanfecalta
	 * @param baprsanfecmodif
	 * @param baprsanusualta
	 * @param baprsanusumodif
	 */
	public Sanpropbandeja(Long baprsanid, String baprsanexcodigo,
			String baprsanexcodigocompleto,
			TipoProcedimiento tipoProcedimiento, Date baprsanfec,
			Establecimiento establecimiento, String baprsanmunic,
			String baprsanprov, CensoMonitor censoMonitor, Date baprsanfecalta,
			Date baprsanfecmodif, String baprsanusualta, String baprsanusumodif) {

		this.baprsanid = baprsanid;
		this.baprsanexcodigo = baprsanexcodigo;
		this.baprsanexcodigocompleto = baprsanexcodigocompleto;
		this.tipoProcedimiento = tipoProcedimiento;

		this.baprsanfec = baprsanfec;
		this.establecimiento = establecimiento;
		this.baprsansancionado = establecimiento.getEscodigo();
		this.baprsanmunic = baprsanmunic;
		this.baprsanprov = baprsanprov;
		this.censoMonitor = censoMonitor;
		this.baprsanfecalta = baprsanfecalta;
		this.baprsanfecmodif = baprsanfecmodif;
		this.baprsanusualta = baprsanusualta;
		this.baprsanusumodif = baprsanusumodif;
	}

	/**
	 * Method 'getBaprsanid'.
	 * 
	 * @return Long
	 */

	public Long getBaprsanid() {
		return this.baprsanid;
	}

	/**
	 * Method 'setBaprsanid'.
	 * 
	 * @param baprsanid
	 *            Long
	 * @return
	 */

	public void setBaprsanid(Long baprsanid) {
		this.baprsanid = baprsanid;
	}

	/**
	 * Method 'getBaprsanexcodigo'.
	 * 
	 * @return String
	 */

	public String getBaprsanexcodigo() {
		return this.baprsanexcodigo;
	}

	/**
	 * Method 'setBaprsanexcodigo'.
	 * 
	 * @param baprsanexcodigo
	 *            String
	 * @return
	 */

	public void setBaprsanexcodigo(String baprsanexcodigo) {
		this.baprsanexcodigo = baprsanexcodigo;
	}

	/**
	 * Method 'getBaprsanexcodigocompleto'.
	 * 
	 * @return String
	 */

	public String getBaprsanexcodigocompleto() {
		return this.baprsanexcodigocompleto;
	}

	/**
	 * Method 'setBaprsanexcodigocompleto'.
	 * 
	 * @param baprsanexcodigocompleto
	 *            String
	 * @return
	 */

	public void setBaprsanexcodigocompleto(String baprsanexcodigocompleto) {
		this.baprsanexcodigocompleto = baprsanexcodigocompleto;
	}

	/**
	 * Method 'getBaprsanpcodigo'.
	 * 
	 * @return String
	 */

	public String getBaprsanpcodigo() {
		return this.baprsanpcodigo;
	}

	/**
	 * Method 'setBaprsanpcodigo'.
	 * 
	 * @param baprsanpcodigo
	 *            String
	 * @return
	 */

	public void setBaprsanpcodigo(String baprsanpcodigo) {
		this.baprsanpcodigo = baprsanpcodigo;
	}

	/**
	 * Method 'getBaprsanfec'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBaprsanfec() {
		return this.baprsanfec;
	}

	/**
	 * Method 'setBaprsanfec'.
	 * 
	 * @param baprsanfec
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBaprsanfec(Date baprsanfec) {
		this.baprsanfec = baprsanfec;
	}

	/**
	 * Method 'getBaprsansancionado'.
	 * 
	 * @return String
	 */

	public String getBaprsansancionado() {
		return this.baprsansancionado;
	}

	/**
	 * Method 'setBaprsansancionado'.
	 * 
	 * @param baprsansancionado
	 *            String
	 * @return
	 */

	public void setBaprsansancionado(String baprsansancionado) {
		this.baprsansancionado = baprsansancionado;
	}

	/**
	 * Method 'getBaprsanmunic'.
	 * 
	 * @return String
	 */

	public String getBaprsanmunic() {
		return this.baprsanmunic;
	}

	/**
	 * Method 'setBaprsanmunic'.
	 * 
	 * @param baprsanmunic
	 *            String
	 * @return
	 */

	public void setBaprsanmunic(String baprsanmunic) {
		this.baprsanmunic = baprsanmunic;
	}

	/**
	 * @return the baprsanprov
	 */
	public String getBaprsanprov() {
		return baprsanprov;
	}

	/**
	 * @param baprsanprov
	 *            the baprsanprov to set
	 */
	public void setBaprsanprov(String baprsanprov) {
		this.baprsanprov = baprsanprov;
	}

	/**
	 * Method 'getBaprsanrespexp'.
	 * 
	 * @return String
	 */

	public String getBaprsanrespexp() {
		return this.baprsanrespexp;
	}

	/**
	 * Method 'setBaprsanrespexp'.
	 * 
	 * @param baprsanrespexp
	 *            String
	 * @return
	 */

	public void setBaprsanrespexp(String baprsanrespexp) {
		this.baprsanrespexp = baprsanrespexp;
	}

	/**
	 * @return the establecimiento
	 */
	public Establecimiento getEstablecimiento() {
		return establecimiento;
	}

	/**
	 * @param establecimiento
	 *            the establecimiento to set
	 */
	public void setEstablecimiento(Establecimiento establecimiento) {
		this.establecimiento = establecimiento;
	}

	/**
	 * @return the censoMonitor
	 */
	public CensoMonitor getCensoMonitor() {
		return censoMonitor;
	}

	/**
	 * @param censoMonitor
	 *            the censoMonitor to set
	 */
	public void setCensoMonitor(CensoMonitor censoMonitor) {
		this.censoMonitor = censoMonitor;
	}

	/**
	 * Method 'getBaprsanfecalta'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBaprsanfecalta() {
		return this.baprsanfecalta;
	}

	/**
	 * Method 'setBaprsanfecalta'.
	 * 
	 * @param baprsanfecalta
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBaprsanfecalta(Date baprsanfecalta) {
		this.baprsanfecalta = baprsanfecalta;
	}

	/**
	 * Method 'getBaprsanfecmodif'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getBaprsanfecmodif() {
		return this.baprsanfecmodif;
	}

	/**
	 * Method 'setBaprsanfecmodif'.
	 * 
	 * @param baprsanfecmodif
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setBaprsanfecmodif(Date baprsanfecmodif) {
		this.baprsanfecmodif = baprsanfecmodif;
	}

	/**
	 * Method 'getBaprsanusualta'.
	 * 
	 * @return String
	 */

	public String getBaprsanusualta() {
		return this.baprsanusualta;
	}

	/**
	 * Method 'setBaprsanusualta'.
	 * 
	 * @param baprsanusualta
	 *            String
	 * @return
	 */

	public void setBaprsanusualta(String baprsanusualta) {
		this.baprsanusualta = baprsanusualta;
	}

	/**
	 * Method 'getBaprsanusumodif'.
	 * 
	 * @return String
	 */

	public String getBaprsanusumodif() {
		return this.baprsanusumodif;
	}

	/**
	 * Method 'setBaprsanusumodif'.
	 * 
	 * @param baprsanusumodif
	 *            String
	 * @return
	 */

	public void setBaprsanusumodif(String baprsanusumodif) {
		this.baprsanusumodif = baprsanusumodif;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ baprsanid: ").append(this.baprsanid).append(" ]");
		result.append(", [ baprsanexcodigo: ").append(this.baprsanexcodigo)
				.append(" ]");
		result.append(", [ baprsanexcodigocompleto: ")
				.append(this.baprsanexcodigocompleto).append(" ]");
		result.append(", [ baprsanpcodigo: ").append(this.baprsanpcodigo)
				.append(" ]");
		result.append(", [ baprsanfec: ").append(this.baprsanfec).append(" ]");
		result.append(", [ baprsansancionado: ").append(this.baprsansancionado)
				.append(" ]");
		result.append(", [ baprsanmunic: ").append(this.baprsanmunic)
				.append(" ]");
		result.append(", [ baprsanrespexp: ").append(this.baprsanrespexp)
				.append(" ]");
		result.append(", [ baprsanfecalta: ").append(this.baprsanfecalta)
				.append(" ]");
		result.append(", [ baprsanfecmodif: ").append(this.baprsanfecmodif)
				.append(" ]");
		result.append(", [ baprsanusualta: ").append(this.baprsanusualta)
				.append(" ]");
		result.append(", [ baprsanusumodif: ").append(this.baprsanusumodif)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the tipoProcedimiento
	 */
	public TipoProcedimiento getTipoProcedimiento() {
		return tipoProcedimiento;
	}

	/**
	 * @param tipoProcedimiento
	 *            the tipoProcedimiento to set
	 */
	public void setTipoProcedimiento(TipoProcedimiento tipoProcedimiento) {
		this.tipoProcedimiento = tipoProcedimiento;
	}

	public void setCodOrg(String codOrg) {
		this.codOrg = codOrg;
	}

	public String getCodOrg() {
		return codOrg;
	}

	public void setBaprNuevoOrganismo(String baprNuevoOrganismo) {
		this.baprNuevoOrganismo = baprNuevoOrganismo;
	}

	public String getBaprNuevoOrganismo() {
		return baprNuevoOrganismo;
	}

}
