package com.ejie.y41b.model;

import java.sql.Blob;
import java.util.Date;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * SolicitudEnvios  
 * 
 *  
 */

public class SolicitudEnvios implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Date fechaenvio;
	private Date fecharegistro;
	private Date fechaacuse;
	private String ehcodigo;
	private String trcodigo;
	private String nombretramite;
	private String nombretramitee;
	private String tiponotificacionplatea;
	private String estado;
	private String destinatario;
	private String tipoenvio;

	// Documento
	private String indVariosDocumentos; // S o N
	private String q5codocumento;
	private String q5nofile;
	private Blob q5datafile;
	private Integer q5sizefile;
	private String q5tedesfile;
	private String q5contenttypefile;

	private String ehenvrem;
	private String ehcodrem;
	private String rmestado;

	private String ehacusereintentado;

	/**
	 * Method 'SolicitudEnvios'.
	 * 
	 */
	public SolicitudEnvios() {
	}

	/**
	 * @param fechaenvio
	 *            Date
	 * @param fecharegistro
	 *            Date
	 * @param fechaacuse
	 *            Date
	 * @param ehcodigo
	 *            String
	 * @param trcodigo
	 *            String
	 * @param nombretramite
	 *            String
	 * @param nombretramitee
	 *            String
	 * @param tiponotificacionplatea
	 *            String
	 * @param estado
	 *            String
	 * @param destinatario
	 *            String
	 * @param tipoenvio
	 *            String
	 * @param ehenvrem
	 *            String
	 * @param ehcodrem
	 *            String
	 * @param rmestado
	 *            String
	 * @param ehacusereintentado
	 *            String
	 */
	public SolicitudEnvios(Date fechaenvio, Date fecharegistro,
			Date fechaacuse, String ehcodigo, String trcodigo,
			String nombretramite, String nombretramitee,
			String tiponotificacionplatea, String estado, String destinatario,
			String tipoenvio, String ehenvrem, String ehcodrem,
			String rmestado, String ehacusereintentado) {
		this.fechaenvio = fechaenvio;
		this.fecharegistro = fecharegistro;
		this.fechaacuse = fechaacuse;
		this.ehcodigo = ehcodigo;
		this.trcodigo = trcodigo;
		this.nombretramite = nombretramite;
		this.nombretramitee = nombretramitee;
		this.tiponotificacionplatea = tiponotificacionplatea;
		this.estado = estado;
		this.destinatario = destinatario;
		this.tipoenvio = tipoenvio;
		this.ehenvrem = ehenvrem;
		this.ehcodrem = ehcodrem;
		this.rmestado = rmestado;
		this.ehacusereintentado = ehacusereintentado;
	}

	/**
	 * Method 'get'.
	 * 
	 * @return String
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaenvio() {
		return this.fechaenvio;
	}

	/**
	 * Method 'setFechaenvio'.
	 * 
	 * @param fechaenvio
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaenvio(Date fechaenvio) {
		this.fechaenvio = fechaenvio;
	}

	/**
	 * @return the fecharegistro
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecharegistro() {
		return fecharegistro;
	}

	/**
	 * @param fecharegistro
	 *            the fecharegistro to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecharegistro(Date fecharegistro) {
		this.fecharegistro = fecharegistro;
	}

	/**
	 * Method 'get'.
	 * 
	 * @return String
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaacuse() {
		return this.fechaacuse;
	}

	/**
	 * Method 'setFechaacuse'.
	 * 
	 * @param fechaacuse
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaacuse(Date fechaacuse) {
		this.fechaacuse = fechaacuse;
	}

	/**
	 * @return the nombretramite
	 */
	public String getNombretramite() {
		return nombretramite;
	}

	/**
	 * @param nombretramite
	 *            the nombretramite to set
	 */
	public void setNombretramite(String nombretramite) {
		this.nombretramite = nombretramite;
	}

	/**
	 * @return the nombretramitee
	 */
	public String getNombretramitee() {
		return nombretramitee;
	}

	/**
	 * @param nombretramitee
	 *            the nombretramitee to set
	 */
	public void setNombretramitee(String nombretramitee) {
		this.nombretramitee = nombretramitee;
	}

	/**
	 * @return the tiponotificacionplatea
	 */
	public String getTiponotificacionplatea() {
		return tiponotificacionplatea;
	}

	/**
	 * @param tiponotificacionplatea
	 *            the tiponotificacionplatea to set
	 */
	public void setTiponotificacionplatea(String tiponotificacionplatea) {
		this.tiponotificacionplatea = tiponotificacionplatea;
	}

	/**
	 * @return the estado
	 */
	public String getEstado() {
		return estado;
	}

	/**
	 * @param estado
	 *            the estado to set
	 */
	public void setEstado(String estado) {
		this.estado = estado;
	}

	/**
	 * @return the destinatario
	 */
	public String getDestinatario() {
		return destinatario;
	}

	/**
	 * @param destinatario
	 *            the destinatario to set
	 */
	public void setDestinatario(String destinatario) {
		this.destinatario = destinatario;
	}

	/**
	 * @return the tipoenvio
	 */
	public String getTipoenvio() {
		return tipoenvio;
	}

	/**
	 * @param tipoenvio
	 *            the tipoenvio to set
	 */
	public void setTipoenvio(String tipoenvio) {
		this.tipoenvio = tipoenvio;
	}

	/**
	 * @return the ehcodigo
	 */
	public String getEhcodigo() {
		return ehcodigo;
	}

	/**
	 * @param ehcodigo
	 *            the ehcodigo to set
	 */
	public void setEhcodigo(String ehcodigo) {
		this.ehcodigo = ehcodigo;
	}

	/**
	 * @return the trcodigo
	 */
	public String getTrcodigo() {
		return trcodigo;
	}

	/**
	 * @param trcodigo
	 *            the trcodigo to set
	 */
	public void setTrcodigo(String trcodigo) {
		this.trcodigo = trcodigo;
	}

	/**
	 * @return the indVariosDocumentos
	 */
	public String getIndVariosDocumentos() {
		return indVariosDocumentos;
	}

	/**
	 * @param indVariosDocumentos
	 *            the indVariosDocumentos to set
	 */
	public void setIndVariosDocumentos(String indVariosDocumentos) {
		this.indVariosDocumentos = indVariosDocumentos;
	}

	/**
	 * @return the q5codocumento
	 */
	public String getQ5codocumento() {
		return q5codocumento;
	}

	/**
	 * @param q5codocumento
	 *            the q5codocumento to set
	 */
	public void setQ5codocumento(String q5codocumento) {
		this.q5codocumento = q5codocumento;
	}

	/**
	 * @return the q5nofile
	 */
	public String getQ5nofile() {
		return q5nofile;
	}

	/**
	 * @param q5nofile
	 *            the q5nofile to set
	 */
	public void setQ5nofile(String q5nofile) {
		this.q5nofile = q5nofile;
	}

	/**
	 * @return the q5datafile
	 */
	@JsonIgnore
	public Blob getQ5datafile() {
		return q5datafile;
	}

	/**
	 * @param q5datafile
	 *            the q5datafile to set
	 */
	public void setQ5datafile(Blob q5datafile) {
		this.q5datafile = q5datafile;
	}

	/**
	 * @return the q5sizefile
	 */
	public Integer getQ5sizefile() {
		return q5sizefile;
	}

	/**
	 * @param q5sizefile
	 *            the q5sizefile to set
	 */
	public void setQ5sizefile(Integer q5sizefile) {
		this.q5sizefile = q5sizefile;
	}

	/**
	 * @return the q5tedesfile
	 */
	public String getQ5tedesfile() {
		return q5tedesfile;
	}

	/**
	 * @param q5tedesfile
	 *            the q5tedesfile to set
	 */
	public void setQ5tedesfile(String q5tedesfile) {
		this.q5tedesfile = q5tedesfile;
	}

	/**
	 * @return the q5contenttypefile
	 */
	public String getQ5contenttypefile() {
		return q5contenttypefile;
	}

	/**
	 * @param q5contenttypefile
	 *            the q5contenttypefile to set
	 */
	public void setQ5contenttypefile(String q5contenttypefile) {
		this.q5contenttypefile = q5contenttypefile;
	}

	/**
	 * @return the ehenvrem
	 */
	public String getEhenvrem() {
		return ehenvrem;
	}

	/**
	 * @param ehenvrem
	 *            the ehenvrem to set
	 */
	public void setEhenvrem(String ehenvrem) {
		this.ehenvrem = ehenvrem;
	}

	/**
	 * @return the rmestado
	 */
	public String getRmestado() {
		return rmestado;
	}

	/**
	 * @param rmestado
	 *            the rmestado to set
	 */
	public void setRmestado(String rmestado) {
		this.rmestado = rmestado;
	}

	/**
	 * @return the ehcodrem
	 */
	public String getEhcodrem() {
		return ehcodrem;
	}

	/**
	 * @param ehcodrem
	 *            the ehcodrem to set
	 */
	public void setEhcodrem(String ehcodrem) {
		this.ehcodrem = ehcodrem;
	}

	/**
	 * @return the ehacusereintentado
	 */
	public String getEhacusereintentado() {
		return ehacusereintentado;
	}

	/**
	 * @param ehacusereintentado
	 *            the ehacusereintentado to set
	 */
	public void setEhacusereintentado(String ehacusereintentado) {
		this.ehacusereintentado = ehacusereintentado;
	}

	/*
	 * 
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "SolicitudEnvios [fechaenvio=" + fechaenvio + ", fechaacuse="
				+ fechaacuse + ", nombretramite=" + nombretramite
				+ ", nombretramitee=" + nombretramitee
				+ ", tiponotificacionplatea=" + tiponotificacionplatea
				+ ", estado=" + estado + ", destinatario=" + destinatario
				+ ", tipoenvio=" + tipoenvio + "]";
	}

}
