package com.ejie.y41b.model;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

/**
 * TipoProcedimiento  
 * 
 *  
 */

public class TipoProcedimiento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String pcodigo;
	private String pnombre;
	private String pnombree;
	private Date pbaja;
	private List<Adjuntardocs> adjuntardocses = new ArrayList<Adjuntardocs>();

	/**
	 * Method 'TipoProcedimiento'.
	 */
	public TipoProcedimiento() {
	}

	/**
	 * Method 'TipoProcedimiento'.
	 * 
	 * @param pcodigo
	 *            String
	 * @param pnombre
	 *            String
	 * @param pnombree
	 *            String
	 * @param pbaja
	 *            Date
	 */
	public TipoProcedimiento(String pcodigo, String pnombre, String pnombree,
			Date pbaja) {
		this.pcodigo = pcodigo;
		this.pnombre = pnombre;
		this.pnombree = pnombree;
		this.pbaja = pbaja;
	}

	/**
	 * Method 'TipoProcedimiento'.
	 * 
	 * @param pcodigo
	 *            String
	 */
	public TipoProcedimiento(String pcodigo) {
		this.pcodigo = pcodigo;

	}

	/**
	 * Method 'TipoProcedimiento'.
	 * 
	 * @param pcodigo
	 *            String
	 * @param pnombre
	 *            String
	 * @param pnombree
	 *            String
	 * @param pbaja
	 *            Date
	 * @param adjuntardocses
	 *            List<Adjuntardocs>
	 */
	public TipoProcedimiento(String pcodigo, String pnombre, String pnombree,
			Date pbaja, List<Adjuntardocs> adjuntardocses) {

		this.pcodigo = pcodigo;
		this.pnombre = pnombre;
		this.pnombree = pnombree;
		this.pbaja = pbaja;
		this.adjuntardocses = adjuntardocses;
	}

	/**
	 * Method 'getPcodigo'.
	 * 
	 * @return String
	 */

	public String getPcodigo() {
		return this.pcodigo;
	}

	/**
	 * Method 'setPcodigo'.
	 * 
	 * @param pcodigo
	 *            String
	 * @return
	 */

	public void setPcodigo(String pcodigo) {
		this.pcodigo = pcodigo;
	}

	/**
	 * Method 'getPnombre'.
	 * 
	 * @return String
	 */

	public String getPnombre() {
		return this.pnombre;
	}

	/**
	 * Method 'setPnombre'.
	 * 
	 * @param pnombre
	 *            String
	 * @return
	 */

	public void setPnombre(String pnombre) {
		this.pnombre = pnombre;
	}

	/**
	 * Method 'getPnombree'.
	 * 
	 * @return String
	 */

	public String getPnombree() {
		return this.pnombree;
	}

	/**
	 * Method 'setPnombree'.
	 * 
	 * @param pnombree
	 *            String
	 * @return
	 */

	public void setPnombree(String pnombree) {
		this.pnombree = pnombree;
	}

	/**
	 * Method 'getPbaja'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getPbaja() {
		return this.pbaja;
	}

	/**
	 * Method 'setPbaja'.
	 * 
	 * @param pbaja
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setPbaja(Date pbaja) {
		this.pbaja = pbaja;
	}

	/**
	 * Method 'getAdjuntardocses'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<Adjuntardocs> getAdjuntardocses() {
		return this.adjuntardocses;
	}

	/**
	 * Method 'setAdjuntardocses'.
	 * 
	 * @param adjuntardocses
	 *            List
	 * @return
	 */
	public void setAdjuntardocses(List<Adjuntardocs> adjuntardocses) {
		this.adjuntardocses = adjuntardocses;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ pcodigo: ").append(this.pcodigo).append(" ]");
		result.append(", [ pnombre: ").append(this.pnombre).append(" ]");
		result.append(", [ pnombree: ").append(this.pnombree).append(" ]");
		result.append(", [ pbaja: ").append(this.pbaja).append(" ]");
		result.append("}");
		return result.toString();
	}

}
