package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateTimeSerializer;

/**
 * * fechaAcuerdoIncoacion  
 * 
 *  
 */

public class TramiteARBCitacionAPrueba extends TramiteDatosBasicos implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String realizadoPor;
	private Date fecCitacion;
	private String horaCitacion;
	private String cpId;
	private String calleId;
	private String portalId;
	private String nombrePiso;
	private String objeto;
	private String provinciaId;
	private String municipioId;
	private String localidadId;
	private String telefono;

	private String perito1;
	private String perito2;
	private String ainstanciade;

	private String notComReclamante;
	private String notComReclamado;
	private String notComPeritos;

	private String anyadirPlantilla;

	private String arbitros;

	/**
	 * 
	 */
	public TramiteARBCitacionAPrueba() {
		super();
	}

	/**
	 * @return the notComReclamante
	 */
	public String getNotComReclamante() {
		return notComReclamante;
	}

	/**
	 * @param notComReclamante
	 *            the notComReclamante to set
	 */
	public void setNotComReclamante(String notComReclamante) {
		this.notComReclamante = notComReclamante;
	}

	/**
	 * @return the notComReclamado
	 */
	public String getNotComReclamado() {
		return notComReclamado;
	}

	/**
	 * @param notComReclamado
	 *            the notComReclamado to set
	 */
	public void setNotComReclamado(String notComReclamado) {
		this.notComReclamado = notComReclamado;
	}

	/**
	 * @return the realizadoPor
	 */
	public String getRealizadoPor() {
		return realizadoPor;
	}

	/**
	 * @param realizadoPor
	 *            the realizadoPor to set
	 */
	public void setRealizadoPor(String realizadoPor) {
		this.realizadoPor = realizadoPor;
	}

	/**
	 * @return the fecCitacion
	 */
	@JsonSerialize(using = Y41bJsonDateTimeSerializer.class)
	public Date getFecCitacion() {
		return fecCitacion;
	}

	/**
	 * @param fecCitacion
	 *            the fecCitacion to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setFecCitacion(Date fecCitacion) {
		this.fecCitacion = fecCitacion;
	}

	/**
	 * @return the horaCitacion
	 */
	public String getHoraCitacion() {
		return horaCitacion;
	}

	/**
	 * @param horaCitacion
	 *            the horaCitacion to set
	 */
	public void setHoraCitacion(String horaCitacion) {
		this.horaCitacion = horaCitacion;
	}

	/**
	 * @return the cpId
	 */
	public String getCpId() {
		return cpId;
	}

	/**
	 * @param cpId
	 *            the cpId to set
	 */
	public void setCpId(String cpId) {
		this.cpId = cpId;
	}

	/**
	 * @return the calleId
	 */
	public String getCalleId() {
		return calleId;
	}

	/**
	 * @param calleId
	 *            the calleId to set
	 */
	public void setCalleId(String calleId) {
		this.calleId = calleId;
	}

	/**
	 * @return the portalId
	 */
	public String getPortalId() {
		return portalId;
	}

	/**
	 * @param portalId
	 *            the portalId to set
	 */
	public void setPortalId(String portalId) {
		this.portalId = portalId;
	}

	/**
	 * @return the nombrePiso
	 */
	public String getNombrePiso() {
		return nombrePiso;
	}

	/**
	 * @param nombrePiso
	 *            the nombrePiso to set
	 */
	public void setNombrePiso(String nombrePiso) {
		this.nombrePiso = nombrePiso;
	}

	/**
	 * @return the objeto
	 */
	public String getObjeto() {
		return objeto;
	}

	/**
	 * @param objeto
	 *            the objeto to set
	 */
	public void setObjeto(String objeto) {
		this.objeto = objeto;
	}

	/**
	 * @return the provinciaId
	 */
	public String getProvinciaId() {
		return provinciaId;
	}

	/**
	 * @param provinciaId
	 *            the provinciaId to set
	 */
	public void setProvinciaId(String provinciaId) {
		this.provinciaId = provinciaId;
	}

	/**
	 * @return the municipioId
	 */
	public String getMunicipioId() {
		return municipioId;
	}

	/**
	 * @param municipioId
	 *            the municipioId to set
	 */
	public void setMunicipioId(String municipioId) {
		this.municipioId = municipioId;
	}

	/**
	 * @return the localidadId
	 */
	public String getLocalidadId() {
		return localidadId;
	}

	/**
	 * @param localidadId
	 *            the localidadId to set
	 */
	public void setLocalidadId(String localidadId) {
		this.localidadId = localidadId;
	}

	/**
	 * @return the telefono
	 */
	public String getTelefono() {
		return telefono;
	}

	/**
	 * @param telefono
	 *            the telefono to set
	 */
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	/**
	 * @return the perito1
	 */
	public String getPerito1() {
		return perito1;
	}

	/**
	 * @param perito1
	 *            the perito1 to set
	 */
	public void setPerito1(String perito1) {
		this.perito1 = perito1;
	}

	/**
	 * @return the perito2
	 */
	public String getPerito2() {
		return perito2;
	}

	/**
	 * @param perito2
	 *            the perito2 to set
	 */
	public void setPerito2(String perito2) {
		this.perito2 = perito2;
	}

	/**
	 * @return the ainstanciade
	 */
	public String getAinstanciade() {
		return ainstanciade;
	}

	/**
	 * @param ainstanciade
	 *            the ainstanciade to set
	 */
	public void setAinstanciade(String ainstanciade) {
		this.ainstanciade = ainstanciade;
	}

	/**
	 * @return the notComPeritos
	 */
	public String getNotComPeritos() {
		return notComPeritos;
	}

	/**
	 * @param notComPeritos
	 *            the notComPeritos to set
	 */
	public void setNotComPeritos(String notComPeritos) {
		this.notComPeritos = notComPeritos;
	}

	/**
	 * @return the anyadirPlantilla
	 */
	public String getAnyadirPlantilla() {
		return anyadirPlantilla;
	}

	/**
	 * @param anyadirPlantilla
	 *            the anyadirPlantilla to set
	 */
	public void setAnyadirPlantilla(String anyadirPlantilla) {
		this.anyadirPlantilla = anyadirPlantilla;
	}

	public void setArbitros(String arbitros) {
		this.arbitros = arbitros;
	}

	public String getArbitros() {
		return arbitros;
	}

}
