package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * * TramiteComunicacion  
 * 
 *  
 */

public class TramiteComunicacion extends TramiteDatosBasicos implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private Date fechaComunicacion;
	private String destinatario;
	private String sede;
	private String tipoComunicacion;
	private Date fechasalida;
	private String numregistrosalida;
	private String textoComunicacion;
	private String asuntoComunicacion;

	private String idRemesaComunicacion;
	private String envRemesaComunicacion;
	private Date fechaRemesaComunicacion;

	private String ejgvDocument;
	private String firma;
	private String textoPlano;

	private String permisoModificacionDestinatario;

	private String permisoTramitar;

	private String idmailorigen;
	private String mailorigen;
	private String idmaildestino;
	private String maildestino;

	// # INICIO #
	// ADAPTACIONES LEY 39 - COMUNICACION POSTAL INICIO AL
	// SANCIONADO
	private String esComunicacionInicio;

	// # FIN #

	/**
	 * 
	 */
	public TramiteComunicacion() {
		super();
	}

	/**
	 * @return the fechaComunicacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaComunicacion() {
		return fechaComunicacion;
	}

	/**
	 * @param fechaComunicacion
	 *            the fechaComunicacion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaComunicacion(Date fechaComunicacion) {
		this.fechaComunicacion = fechaComunicacion;
	}

	/**
	 * @return the destinatario
	 */
	public String getDestinatario() {
		return destinatario;
	}

	/**
	 * @param destinatario
	 *            the destinatario to set
	 */
	public void setDestinatario(String destinatario) {
		this.destinatario = destinatario;
	}

	/**
	 * @return the tipoComunicacion
	 */
	public String getTipoComunicacion() {
		return tipoComunicacion;
	}

	/**
	 * @param tipoComunicacion
	 *            the tipoComunicacion to set
	 */
	public void setTipoComunicacion(String tipoComunicacion) {
		this.tipoComunicacion = tipoComunicacion;
	}

	/**
	 * @return the fechasalida
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechasalida() {
		return fechasalida;
	}

	/**
	 * @param fechasalida
	 *            the fechasalida to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechasalida(Date fechasalida) {
		this.fechasalida = fechasalida;
	}

	/**
	 * @return the numregistrosalida
	 */
	public String getNumregistrosalida() {
		return numregistrosalida;
	}

	/**
	 * @param numregistrosalida
	 *            the numregistrosalida to set
	 */
	public void setNumregistrosalida(String numregistrosalida) {
		this.numregistrosalida = numregistrosalida;
	}

	/**
	 * @return the textoComunicacion
	 */
	public String getTextoComunicacion() {
		return textoComunicacion;
	}

	/**
	 * @param textoComunicacion
	 *            the textoComunicacion to set
	 */
	public void setTextoComunicacion(String textoComunicacion) {
		this.textoComunicacion = textoComunicacion;
	}

	/**
	 * @return the ejgvDocument
	 */
	public String getEjgvDocument() {
		return ejgvDocument;
	}

	/**
	 * @param ejgvDocument
	 *            the ejgvDocument to set
	 */
	public void setEjgvDocument(String ejgvDocument) {
		this.ejgvDocument = ejgvDocument;
	}

	/**
	 * @return the firma
	 */
	public String getFirma() {
		return firma;
	}

	/**
	 * @param firma
	 *            the firma to set
	 */
	public void setFirma(String firma) {
		this.firma = firma;
	}

	/**
	 * @return the textoPlano
	 */
	public String getTextoPlano() {
		return textoPlano;
	}

	/**
	 * @param textoPlano
	 *            the textoPlano to set
	 */
	public void setTextoPlano(String textoPlano) {
		this.textoPlano = textoPlano;
	}

	/**
	 * @return the asuntoComunicacion
	 */
	public String getAsuntoComunicacion() {
		return asuntoComunicacion;
	}

	/**
	 * @param asuntoComunicacion
	 *            the asuntoComunicacion to set
	 */
	public void setAsuntoComunicacion(String asuntoComunicacion) {
		this.asuntoComunicacion = asuntoComunicacion;
	}

	/**
	 * @return the sede
	 */
	public String getSede() {
		return sede;
	}

	/**
	 * @param sede
	 *            the sede to set
	 */
	public void setSede(String sede) {
		this.sede = sede;
	}

	/**
	 * @return the idRemesaComunicacion
	 */
	public String getIdRemesaComunicacion() {
		return idRemesaComunicacion;
	}

	/**
	 * @param idRemesaComunicacion
	 *            the idRemesaComunicacion to set
	 */
	public void setIdRemesaComunicacion(String idRemesaComunicacion) {
		this.idRemesaComunicacion = idRemesaComunicacion;
	}

	/**
	 * @return the envRemesaComunicacion
	 */
	public String getEnvRemesaComunicacion() {
		return envRemesaComunicacion;
	}

	/**
	 * @param envRemesaComunicacion
	 *            the envRemesaComunicacion to set
	 */
	public void setEnvRemesaComunicacion(String envRemesaComunicacion) {
		this.envRemesaComunicacion = envRemesaComunicacion;
	}

	/**
	 * @return the fechaRemesaComunicacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRemesaComunicacion() {
		return fechaRemesaComunicacion;
	}

	/**
	 * @param fechaRemesaComunicacion
	 *            the fechaRemesaComunicacion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRemesaComunicacion(Date fechaRemesaComunicacion) {
		this.fechaRemesaComunicacion = fechaRemesaComunicacion;
	}

	/**
	 * @return the permisoModificacionDestinatario
	 */
	public String getPermisoModificacionDestinatario() {
		return permisoModificacionDestinatario;
	}

	/**
	 * @param permisoModificacionDestinatario
	 *            the permisoModificacionDestinatario to set
	 */
	public void setPermisoModificacionDestinatario(
			String permisoModificacionDestinatario) {
		this.permisoModificacionDestinatario = permisoModificacionDestinatario;
	}

	/**
	 * @return the idmailorigen
	 */
	public String getIdmailorigen() {
		return idmailorigen;
	}

	/**
	 * @param idmailorigen
	 *            the idmailorigen to set
	 */
	public void setIdmailorigen(String idmailorigen) {
		this.idmailorigen = idmailorigen;
	}

	/**
	 * @return the mailorigen
	 */
	public String getMailorigen() {
		return mailorigen;
	}

	/**
	 * @param mailorigen
	 *            the mailorigen to set
	 */
	public void setMailorigen(String mailorigen) {
		this.mailorigen = mailorigen;
	}

	/**
	 * @return the idmaildestino
	 */
	public String getIdmaildestino() {
		return idmaildestino;
	}

	/**
	 * @param idmaildestino
	 *            the idmaildestino to set
	 */
	public void setIdmaildestino(String idmaildestino) {
		this.idmaildestino = idmaildestino;
	}

	/**
	 * @return the maildestino
	 */
	public String getMaildestino() {
		return maildestino;
	}

	/**
	 * @param maildestino
	 *            the maildestino to set
	 */
	public void setMaildestino(String maildestino) {
		this.maildestino = maildestino;
	}

	/**
	 * @return the permisoTramitar
	 */
	public String getPermisoTramitar() {
		return permisoTramitar;
	}

	/**
	 * @param permisoTramitar
	 *            the permisoTramitar to set
	 */
	public void setPermisoTramitar(String permisoTramitar) {
		this.permisoTramitar = permisoTramitar;
	}

	// # INICIO #
	// ADAPTACIONES LEY 39 - COMUNICACION POSTAL INICIO AL
	// SANCIONADO
	/**
	 * getEsComunicacionInicio
	 * 
	 * @return esComunicacionInicio
	 */
	public String getEsComunicacionInicio() {
		return this.esComunicacionInicio;
	}

	/**
	 * setEsComunicacionInicio
	 * 
	 * @param esComunicacionInicio
	 *            the esComunicacionInicio to set
	 */
	public void setEsComunicacionInicio(String esComunicacionInicio) {
		this.esComunicacionInicio = esComunicacionInicio;
	}
	// # FIN #

}