package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.sql.Clob;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.ejie.x38.serialization.JsonDateTimeDeserializer;
import com.ejie.y41b.control.Y41bJsonDateTimeDeserializer;
import com.ejie.y41b.control.Y41bJsonDateTimeSerializer;

/**
 * TramiteHecho  
 * 
 *  
 */

public class TramiteHecho implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String ehcodigo;
	private TramiteHecho tramiteHecho;
	private String ehcotee;
	private Date ehfecha;
	private String ehhora;
	private String ehcodpor;
	private String ehcodpde;
	private String ehtexto;
	private String ehcohd;
	private String ehcozs;
	private String ehcomo;
	private BigDecimal ehcivihe;
	private String ehcoeh;
	private Date ehacuse;
	private String ehenviomail;
	private String ehdiremail;
	private String ehcoortraspaso;
	private String ehcoactua;
	private Date ehfechainicio;
	private Date ehfechafin;
	private String ehcomoejecucion;
	private String ehcosc;
	private String ehrespuesta;
	private Date ehfechamediacion;
	private String ehhoramediacion;
	private Date ehfechaenvioconvocatoria;
	private Date ehfecharealizacion;
	private String ehhorarealizacion;
	private Date ehfechaconciliacion;
	private Date ehfechafirmaacuerdo;
	private Date ehplazoinspeccion;
	private String incodigo;
	private String ehrespuestatraspaso;
	private String ehdecodigo;
	private Date ehfecharesolucion;
	private Date ehfecharecurso;
	private String ehtiporecurso;
	private String ehabogado;
	private String ehestimacion;
	private Date ehfechacierre;
	private String ehdestinatario;
	private Date ehfechacomunicacion;
	private String ehtipocomunicacion;
	private String ehtiponotificacion;
	private String ehnumregistrosalida;
	private Date ehacuserecibo;
	private String ehacusereciborecibido;
	private String ehnumregistroentrada;
	private String ehidnotificacionplatea;
	private String ehnombretramite;
	private String ehnrtel1;
	private String ehnrtel2;
	private String ehnrtel3;
	private String ehiddestinatario;
	private String ehcomoasignado;
	private Date ehfecharegistrosalida;
	private Date ehfecharegistroentrada;
	private String ehestadotramite;
	private Clob ehsiguientestramites;
	private Clob ehtextoacuerdo;
	private Clob ehinstrucinspecc;
	private Clob ehmotivorechazo;
	private Clob ehmotivorecurso;
	private String ehcomodesignado;
	private String ehrequierefirma;
	private Clob ehresumenalegacion;
	private Clob ehresumenmediacion;
	private Clob ehtextocomunicacion;
	private String ehtiponotificacionplatea;
	private String ehidesperaplatea;
	private String ehmatarespera;
	private Date ehfechapublicacionbopv;
	private Date ehfechapublicacionayto;
	private Date ehfechaEnvioBOPVBOE;
	private Clob ehintervinientes;
	private String ehtipomediacion;
	private String ehorigenalegacion;
	private String ehasuntocomunicacion;
	private String ehsede;
	private Date ehfechalimite;
	private String ehhoramediacioninicio;
	private String ehhoramediacionfin;
	private Clob ehjustificacioninfraccion;
	private String ehcodrem;
	private String ehenvrem;

	private String ehidmailorigen;
	private String ehmailorigen;
	private String ehidmaildestino;
	private String ehmaildestino;

	private Clob ehdocumentacionrequerida;
	private Clob ehdocumentacionrequeridae;

	private String ehfcodigo;

	private Date ehfeccolabsol;
	private String ehcodmotivocolabsol;
	private String ehidorganismocolabsol;
	private Clob ehresumencolabsol;

	private Date ehfeccolabresp;
	private String ehrespuestacolabresp;
	private Clob ehresumencolabresp;

	private String ehproceedingsidplatea;

	private String ehacusereintentado;

	private String ehautomatico;

	private String ehresumenins;
	private String ehaceptacionins;
	private String ehmotivoins;
	private String ehcodins;

	private String ehistelematico;
	private String ehissir;
	private String ehissirconnumregentori;
	private String ehIsWebSinCertificado;

	private String ehcoorinspeccion;

	private String ehexcluircierre;

	private Date ehfechasolampliacionplazo;
	private String ehaceptacionplazo;
	private String ehplazoconcedido;

	private String ehidunidaddir3;

	private Clob ehapercibimientoes;
	private Clob ehapercibimientoeu;

	private List<TramiteHecho> tramiteHechos = new ArrayList<TramiteHecho>();

	/**
	 * Method 'TramiteHecho'.
	 */
	public TramiteHecho() {
	}

	/**
	 * @param ehcodigo
	 *            ehcodigo
	 * @param ehtexto
	 *            ehtexto
	 */
	public TramiteHecho(String ehcodigo, String ehtexto) {
		this.ehcodigo = ehcodigo;
		this.ehtexto = ehtexto;
	}

	/**
	 * @param ehcodigo
	 *            String
	 * @param ehsiguientestramites
	 *            Clob
	 * @param ehtextoacuerdo
	 *            Clob
	 * @param ehinstrucinspecc
	 *            Clob
	 * @param ehmotivorechazo
	 *            Clob
	 * @param ehmotivorecurso
	 *            Clob
	 * @param ehresumenalegacion
	 *            Clob
	 * @param ehresumenmediacion
	 *            Clob
	 * @param ehtextocomunicacion
	 *            Clob
	 * @param ehintervinientes
	 *            Clob
	 * @param ehjustificacioninfraccion
	 *            Clob
	 * @param ehdocumentacionrequerida
	 *            Clob
	 * @param ehdocumentacionrequeridae
	 *            Clob
	 * @param ehresumencolabsol
	 *            Clob
	 * @param ehresumencolabresp
	 *            Clob
	 * 
	 */
	public TramiteHecho(String ehcodigo, Clob ehsiguientestramites, Clob ehtextoacuerdo, Clob ehinstrucinspecc,
			Clob ehmotivorechazo, Clob ehmotivorecurso, Clob ehresumenalegacion, Clob ehresumenmediacion,
			Clob ehtextocomunicacion, Clob ehintervinientes, Clob ehjustificacioninfraccion,
			Clob ehdocumentacionrequerida, Clob ehdocumentacionrequeridae, Clob ehresumencolabsol,
			Clob ehresumencolabresp) {
		super();
		this.ehcodigo = ehcodigo;
		this.ehsiguientestramites = ehsiguientestramites;
		this.ehtextoacuerdo = ehtextoacuerdo;
		this.ehinstrucinspecc = ehinstrucinspecc;
		this.ehmotivorechazo = ehmotivorechazo;
		this.ehmotivorecurso = ehmotivorecurso;
		this.ehresumenalegacion = ehresumenalegacion;
		this.ehresumenmediacion = ehresumenmediacion;
		this.ehtextocomunicacion = ehtextocomunicacion;
		this.ehintervinientes = ehintervinientes;
		this.ehjustificacioninfraccion = ehjustificacioninfraccion;
		this.ehdocumentacionrequerida = ehdocumentacionrequerida;
		this.ehdocumentacionrequeridae = ehdocumentacionrequeridae;
		this.ehresumencolabsol = ehresumencolabsol;
		this.ehresumencolabresp = ehresumencolabresp;
	}

	/**
	 * Method 'TramiteHecho'.
	 * 
	 * @param ehcodigo
	 *            String
	 * @param ehcotee
	 *            String
	 * @param ehfecha
	 *            Date
	 * @param ehhora
	 *            String
	 * @param ehcodpor
	 *            String
	 * @param ehcodpde
	 *            String
	 * @param ehtexto
	 *            String
	 * @param ehcohd
	 *            String
	 * @param ehcozs
	 *            String
	 * @param ehcomo
	 *            String
	 * @param ehcivihe
	 *            BigDecimal
	 * @param ehcoeh
	 *            String
	 * @param ehacuse
	 *            Date
	 * @param ehenviomail
	 *            String
	 * @param ehdiremail
	 *            String
	 * @param ehcoortraspaso
	 *            String
	 * @param ehcoactua
	 *            String
	 * @param ehfechainicio
	 *            Date
	 * @param ehfechafin
	 *            Date
	 * @param ehcomoejecucion
	 *            String
	 * @param ehcosc
	 *            String
	 * @param ehrespuesta
	 *            String
	 * @param ehfechamediacion
	 *            Date
	 * @param ehhoramediacion
	 *            String
	 * @param ehfechaenvioconvocatoria
	 *            Date
	 * @param ehfecharealizacion
	 *            Date
	 * @param ehhorarealizacion
	 *            String
	 * @param ehfechaconciliacion
	 *            Date
	 * @param ehfechafirmaacuerdo
	 *            Date
	 * @param ehplazoinspeccion
	 *            Date
	 * @param incodigo
	 *            String
	 * @param ehrespuestatraspaso
	 *            String
	 * @param ehdecodigo
	 *            String
	 * @param ehfecharesolucion
	 *            Date
	 * @param ehfecharecurso
	 *            Date
	 * @param ehtiporecurso
	 *            String
	 * @param ehabogado
	 *            String
	 * @param ehestimacion
	 *            String
	 * @param ehfechacierre
	 *            Date
	 * @param ehdestinatario
	 *            String
	 * @param ehfechacomunicacion
	 *            Date
	 * @param ehtipocomunicacion
	 *            String
	 * @param ehtiponotificacion
	 *            String
	 * @param ehnumregistrosalida
	 *            String
	 * @param ehacuserecibo
	 *            Date
	 * @param ehacusereciborecibido
	 *            String
	 * @param ehnumregistroentrada
	 *            String
	 * @param ehidnotificacionplatea
	 *            String
	 * @param ehnombretramite
	 *            String
	 * @param ehnrtel1
	 *            String
	 * @param ehnrtel2
	 *            String
	 * @param ehnrtel3
	 *            String
	 * @param ehiddestinatario
	 *            String
	 * @param ehcomoasignado
	 *            String
	 * @param ehfecharegistrosalida
	 *            Date
	 * @param ehfecharegistroentrada
	 *            Date
	 * @param ehestadotramite
	 *            String
	 * @param ehsiguientestramites
	 *            Clob
	 * @param ehtextoacuerdo
	 *            Clob
	 * @param ehinstrucinspecc
	 *            Clob
	 * @param ehmotivorechazo
	 *            Clob
	 * @param ehmotivorecurso
	 *            Clob
	 * @param ehcomodesignado
	 *            String
	 * @param ehrequierefirma
	 *            String
	 * @param ehresumenalegacion
	 *            Clob
	 * @param ehresumenmediacion
	 *            Clob
	 * @param ehtextocomunicacion
	 *            Clob
	 * @param ehtiponotificacionplatea
	 *            String
	 * @param ehidesperaplatea
	 *            String
	 * @param ehmatarespera
	 *            String
	 * @param ehfechapublicacionbopv
	 *            Date
	 * @param ehfechapublicacionayto
	 *            Date
	 * @param ehfechaEnvioBOPVBOE
	 *            Date
	 * @param ehintervinientes
	 *            Clob
	 * @param ehtipomediacion
	 *            String
	 * @param ehorigenalegacion
	 *            String
	 * @param ehasuntocomunicacion
	 *            String
	 * @param ehsede
	 *            String
	 * @param ehhoramediacioninicio
	 *            String
	 * @param ehhoramediacionfin
	 *            String
	 * @param ehjustificacioninfraccion
	 *            Clob
	 * @param ehcodrem
	 *            String
	 * @param ehenvrem
	 *            String
	 * @param ehidmailorigen
	 *            String
	 * @param ehmailorigen
	 *            String
	 * @param ehidmaildestino
	 *            String
	 * @param ehmaildestino
	 *            String
	 * @param tramiteHecho
	 *            TramiteHecho
	 */
	public TramiteHecho(String ehcodigo, String ehcotee, Date ehfecha, String ehhora, String ehcodpor, String ehcodpde,
			String ehtexto, String ehcohd, String ehcozs, String ehcomo, BigDecimal ehcivihe, String ehcoeh,
			Date ehacuse, String ehenviomail, String ehdiremail, String ehcoortraspaso, String ehcoactua,
			Date ehfechainicio, Date ehfechafin, String ehcomoejecucion, String ehcosc, String ehrespuesta,
			Date ehfechamediacion, String ehhoramediacion, Date ehfechaenvioconvocatoria, Date ehfecharealizacion,
			String ehhorarealizacion, Date ehfechaconciliacion, Date ehfechafirmaacuerdo, Date ehplazoinspeccion,
			String incodigo, String ehrespuestatraspaso, String ehdecodigo, Date ehfecharesolucion, Date ehfecharecurso,
			String ehtiporecurso, String ehabogado, String ehestimacion, Date ehfechacierre, String ehdestinatario,
			Date ehfechacomunicacion, String ehtipocomunicacion, String ehtiponotificacion, String ehnumregistrosalida,
			Date ehacuserecibo, String ehacusereciborecibido, String ehnumregistroentrada,
			String ehidnotificacionplatea, String ehnombretramite, String ehnrtel1, String ehnrtel2, String ehnrtel3,
			String ehiddestinatario, String ehcomoasignado, Date ehfecharegistrosalida, Date ehfecharegistroentrada,
			String ehestadotramite, Clob ehsiguientestramites, Clob ehtextoacuerdo, Clob ehinstrucinspecc,
			Clob ehmotivorechazo, Clob ehmotivorecurso, String ehcomodesignado, String ehrequierefirma,
			Clob ehresumenalegacion, Clob ehresumenmediacion, Clob ehtextocomunicacion, String ehtiponotificacionplatea,
			String ehidesperaplatea, String ehmatarespera, Date ehfechapublicacionbopv, Date ehfechapublicacionayto,
			Date ehfechaEnvioBOPVBOE, Clob ehintervinientes, String ehtipomediacion, String ehorigenalegacion,
			String ehasuntocomunicacion, String ehsede, String ehhoramediacioninicio, String ehhoramediacionfin,
			Clob ehjustificacioninfraccion, String ehcodrem, String ehenvrem, String ehidmailorigen,
			String ehmailorigen, String ehidmaildestino, String ehmaildestino, TramiteHecho tramiteHecho) {
		this.ehcodigo = ehcodigo;
		this.tramiteHecho = tramiteHecho;
		this.ehcotee = ehcotee;
		this.ehfecha = ehfecha;
		this.ehhora = ehhora;
		this.ehcodpor = ehcodpor;
		this.ehcodpde = ehcodpde;
		this.ehtexto = ehtexto;
		this.ehcohd = ehcohd;
		this.ehcozs = ehcozs;
		this.ehcomo = ehcomo;
		this.ehcivihe = ehcivihe;
		this.ehcoeh = ehcoeh;
		this.ehacuse = ehacuse;
		this.ehenviomail = ehenviomail;
		this.ehdiremail = ehdiremail;
		this.ehcoortraspaso = ehcoortraspaso;
		this.ehcoactua = ehcoactua;
		this.ehfechainicio = ehfechainicio;
		this.ehfechafin = ehfechafin;
		this.ehcomoejecucion = ehcomoejecucion;
		this.ehcosc = ehcosc;
		this.ehrespuesta = ehrespuesta;
		this.ehfechamediacion = ehfechamediacion;
		this.ehhoramediacion = ehhoramediacion;
		this.ehfechaenvioconvocatoria = ehfechaenvioconvocatoria;
		this.ehfecharealizacion = ehfecharealizacion;
		this.ehhorarealizacion = ehhorarealizacion;
		this.ehfechaconciliacion = ehfechaconciliacion;
		this.ehfechafirmaacuerdo = ehfechafirmaacuerdo;
		this.ehplazoinspeccion = ehplazoinspeccion;
		this.incodigo = incodigo;
		this.ehrespuestatraspaso = ehrespuestatraspaso;
		this.ehdecodigo = ehdecodigo;
		this.ehfecharesolucion = ehfecharesolucion;
		this.ehfecharecurso = ehfecharecurso;
		this.ehtiporecurso = ehtiporecurso;
		this.ehabogado = ehabogado;
		this.ehestimacion = ehestimacion;
		this.ehfechacierre = ehfechacierre;
		this.ehdestinatario = ehdestinatario;
		this.ehfechacomunicacion = ehfechacomunicacion;
		this.ehtipocomunicacion = ehtipocomunicacion;
		this.ehtiponotificacion = ehtiponotificacion;
		this.ehnumregistrosalida = ehnumregistrosalida;
		this.ehacuserecibo = ehacuserecibo;
		this.ehacusereciborecibido = ehacusereciborecibido;
		this.ehnumregistroentrada = ehnumregistroentrada;
		this.ehidnotificacionplatea = ehidnotificacionplatea;
		this.ehnombretramite = ehnombretramite;
		this.ehnrtel1 = ehnrtel1;
		this.ehnrtel2 = ehnrtel2;
		this.ehnrtel3 = ehnrtel3;
		this.ehiddestinatario = ehiddestinatario;
		this.ehcomoasignado = ehcomoasignado;
		this.ehfecharegistrosalida = ehfecharegistrosalida;
		this.ehfecharegistroentrada = ehfecharegistroentrada;
		this.ehestadotramite = ehestadotramite;
		this.ehsiguientestramites = ehsiguientestramites;
		this.ehtextoacuerdo = ehtextoacuerdo;
		this.ehinstrucinspecc = ehinstrucinspecc;
		this.ehmotivorechazo = ehmotivorechazo;
		this.ehmotivorecurso = ehmotivorecurso;
		this.ehcomodesignado = ehcomodesignado;
		this.ehrequierefirma = ehrequierefirma;
		this.ehresumenalegacion = ehresumenalegacion;
		this.ehresumenmediacion = ehresumenmediacion;
		this.ehtextocomunicacion = ehtextocomunicacion;
		this.ehtiponotificacionplatea = ehtiponotificacionplatea;
		this.ehidesperaplatea = ehidesperaplatea;
		this.ehmatarespera = ehmatarespera;
		this.ehfechapublicacionbopv = ehfechapublicacionbopv;
		this.ehfechapublicacionayto = ehfechapublicacionayto;
		this.ehfechaEnvioBOPVBOE = ehfechaEnvioBOPVBOE;
		this.ehintervinientes = ehintervinientes;
		this.ehtipomediacion = ehtipomediacion;
		this.ehorigenalegacion = ehorigenalegacion;
		this.ehasuntocomunicacion = ehasuntocomunicacion;
		this.ehsede = ehsede;
		this.ehhoramediacioninicio = ehhoramediacioninicio;
		this.ehhoramediacionfin = ehhoramediacionfin;
		this.ehjustificacioninfraccion = ehjustificacioninfraccion;
		this.ehcodrem = ehcodrem;
		this.ehenvrem = ehenvrem;

		this.ehidmailorigen = ehidmailorigen;
		this.ehmailorigen = ehmailorigen;
		this.ehidmaildestino = ehidmaildestino;
		this.ehmaildestino = ehmaildestino;
	}

	/**
	 * Method 'TramiteHecho'.
	 * 
	 * @param ehcodigo
	 *            String
	 * @param ehcotee
	 *            String
	 * @param ehfecha
	 *            Date
	 * @param ehhora
	 *            String
	 * @param ehcodpor
	 *            String
	 * @param ehcodpde
	 *            String
	 * @param ehtexto
	 *            String
	 * @param ehcohd
	 *            String
	 * @param ehcozs
	 *            String
	 * @param ehcomo
	 *            String
	 * @param ehcivihe
	 *            BigDecimal
	 * @param ehcoeh
	 *            String
	 * @param ehacuse
	 *            Date
	 * @param ehenviomail
	 *            String
	 * @param ehdiremail
	 *            String
	 * @param ehcoortraspaso
	 *            String
	 * @param ehcoactua
	 *            String
	 * @param ehfechainicio
	 *            Date
	 * @param ehfechafin
	 *            Date
	 * @param ehcomoejecucion
	 *            String
	 * @param ehcosc
	 *            String
	 * @param ehrespuesta
	 *            String
	 * @param ehfechamediacion
	 *            Date
	 * @param ehhoramediacion
	 *            String
	 * @param ehfechaenvioconvocatoria
	 *            Date
	 * @param ehfecharealizacion
	 *            Date
	 * @param ehhorarealizacion
	 *            String
	 * @param ehfechaconciliacion
	 *            Date
	 * @param ehfechafirmaacuerdo
	 *            Date
	 * @param ehplazoinspeccion
	 *            Date
	 * @param incodigo
	 *            String
	 * @param ehrespuestatraspaso
	 *            String
	 * @param ehdecodigo
	 *            String
	 * @param ehfecharesolucion
	 *            Date
	 * @param ehfecharecurso
	 *            Date
	 * @param ehtiporecurso
	 *            String
	 * @param ehabogado
	 *            String
	 * @param ehestimacion
	 *            String
	 * @param ehfechacierre
	 *            Date
	 * @param ehdestinatario
	 *            String
	 * @param ehfechacomunicacion
	 *            Date
	 * @param ehtipocomunicacion
	 *            String
	 * @param ehtiponotificacion
	 *            String
	 * @param ehnumregistrosalida
	 *            String
	 * @param ehacuserecibo
	 *            Date
	 * @param ehacusereciborecibido
	 *            String
	 * @param ehnumregistroentrada
	 *            String
	 * @param ehidnotificacionplatea
	 *            String
	 * @param ehnombretramite
	 *            String
	 * @param ehnrtel1
	 *            String
	 * @param ehnrtel2
	 *            String
	 * @param ehnrtel3
	 *            String
	 * @param ehiddestinatario
	 *            String
	 * @param ehcomoasignado
	 *            String
	 * @param ehfecharegistrosalida
	 *            Date
	 * @param ehfecharegistroentrada
	 *            Date
	 * @param ehestadotramite
	 *            String
	 * @param ehsiguientestramites
	 *            Clob
	 * @param ehtextoacuerdo
	 *            Clob
	 * @param ehinstrucinspecc
	 *            Clob
	 * @param ehmotivorechazo
	 *            Clob
	 * @param ehmotivorecurso
	 *            Clob
	 * @param ehcomodesignado
	 *            String
	 * @param ehrequierefirma
	 *            String
	 * @param ehresumenalegacion
	 *            Clob
	 * @param ehresumenmediacion
	 *            Clob
	 * @param ehtextocomunicacion
	 *            Clob
	 * @param ehtiponotificacionplatea
	 *            String
	 * @param ehidesperaplatea
	 *            String
	 * @param ehmatarespera
	 *            String
	 * @param ehfechapublicacionbopv
	 *            Date
	 * @param ehfechapublicacionayto
	 *            Date
	 * @param ehfechaEnvioBOPVBOE
	 *            Date
	 * @param ehintervinientes
	 *            Clob
	 * @param ehtipomediacion
	 *            String
	 * @param ehorigenalegacion
	 *            String
	 * @param ehasuntocomunicacion
	 *            String
	 * @param ehsede
	 *            String
	 * @param ehhoramediacioninicio
	 *            String
	 * @param ehhoramediacionfin
	 *            String
	 * @param ehjustificacioninfraccion
	 *            Clob
	 * @param ehcodrem
	 *            String
	 * @param ehenvrem
	 *            String
	 * @param ehidmailorigen
	 *            String
	 * @param ehmailorigen
	 *            String
	 * @param ehidmaildestino
	 *            String
	 * @param ehmaildestino
	 *            String
	 * @param ehfeccolabsol
	 *            Date
	 * @param ehcodmotivocolabsol
	 *            String
	 * @param ehidorganismocolabsol
	 *            String
	 * @param ehresumencolabsol
	 *            Clob
	 * @param ehfeccolabresp
	 *            Date
	 * @param ehrespuestacolabresp
	 *            String
	 * @param ehresumencolabresp
	 *            Clob
	 * @param ehproceedingsidplatea
	 *            String
	 * @param ehfcodigo
	 *            String
	 * @param ehdocumentacionrequerida
	 *            Clob
	 * @param ehdocumentacionrequeridae
	 *            Clob
	 * @param ehacusereintentado
	 *            String
	 * @param ehautomatico
	 *            String
	 * @param ehresumenins
	 *            String
	 * @param ehaceptacionins
	 *            String
	 * @param ehmotivoins
	 *            String
	 * @param ehcodins
	 *            String
	 * @param ehistelematico
	 *            String
	 * @param ehcoorinspeccion
	 *            String
	 * @param ehexcluircierre
	 *            String
	 * @param ehfechasolampliacionplazo
	 *            Date
	 * @param ehaceptacionplazo
	 *            String
	 * @param ehplazoconcedido
	 *            String
	 * @param ehidunidaddir3
	 *            String
	 * 
	 * @param ehapercibimientoes
	 *            Clob
	 * @param ehapercibimientoeu
	 *            Clob
	 * @param tramiteHecho
	 *            TramiteHecho
	 */
	public TramiteHecho(String ehcodigo, String ehcotee, Date ehfecha, String ehhora, String ehcodpor, String ehcodpde,
			String ehtexto, String ehcohd, String ehcozs, String ehcomo, BigDecimal ehcivihe, String ehcoeh,
			Date ehacuse, String ehenviomail, String ehdiremail, String ehcoortraspaso, String ehcoactua,
			Date ehfechainicio, Date ehfechafin, String ehcomoejecucion, String ehcosc, String ehrespuesta,
			Date ehfechamediacion, String ehhoramediacion, Date ehfechaenvioconvocatoria, Date ehfecharealizacion,
			String ehhorarealizacion, Date ehfechaconciliacion, Date ehfechafirmaacuerdo, Date ehplazoinspeccion,
			String incodigo, String ehrespuestatraspaso, String ehdecodigo, Date ehfecharesolucion, Date ehfecharecurso,
			String ehtiporecurso, String ehabogado, String ehestimacion, Date ehfechacierre, String ehdestinatario,
			Date ehfechacomunicacion, String ehtipocomunicacion, String ehtiponotificacion, String ehnumregistrosalida,
			Date ehacuserecibo, String ehacusereciborecibido, String ehnumregistroentrada,
			String ehidnotificacionplatea, String ehnombretramite, String ehnrtel1, String ehnrtel2, String ehnrtel3,
			String ehiddestinatario, String ehcomoasignado, Date ehfecharegistrosalida, Date ehfecharegistroentrada,
			String ehestadotramite, Clob ehsiguientestramites, Clob ehtextoacuerdo, Clob ehinstrucinspecc,
			Clob ehmotivorechazo, Clob ehmotivorecurso, String ehcomodesignado, String ehrequierefirma,
			Clob ehresumenalegacion, Clob ehresumenmediacion, Clob ehtextocomunicacion, String ehtiponotificacionplatea,
			String ehidesperaplatea, String ehmatarespera, Date ehfechapublicacionbopv, Date ehfechapublicacionayto,
			Date ehfechaEnvioBOPVBOE, Clob ehintervinientes, String ehtipomediacion, String ehorigenalegacion,
			String ehasuntocomunicacion, String ehsede, String ehhoramediacioninicio, String ehhoramediacionfin,
			Clob ehjustificacioninfraccion, String ehcodrem, String ehenvrem, String ehidmailorigen,
			String ehmailorigen, String ehidmaildestino, String ehmaildestino, Date ehfeccolabsol,
			String ehcodmotivocolabsol, String ehidorganismocolabsol, Clob ehresumencolabsol, Date ehfeccolabresp,
			String ehrespuestacolabresp, Clob ehresumencolabresp, String ehproceedingsidplatea, String ehfcodigo,
			Clob ehdocumentacionrequerida, Clob ehdocumentacionrequeridae, String ehacusereintentado,
			String ehautomatico, String ehresumenins, String ehaceptacionins, String ehmotivoins, String ehcodins,
			String ehistelematico, String ehissir, String ehissirconnumregentori, String ehIsWebSinCertificado,
			String ehcoorinspeccion, String ehexcluircierre, Date ehfechasolampliacionplazo, String ehaceptacionplazo,
			String ehplazoconcedido, String ehidunidaddir3, Clob ehapercibimientoes, Clob ehapercibimientoeu,
			TramiteHecho tramiteHecho) {
		this.ehcodigo = ehcodigo;
		this.tramiteHecho = tramiteHecho;
		this.ehcotee = ehcotee;
		this.ehfecha = ehfecha;
		this.ehhora = ehhora;
		this.ehcodpor = ehcodpor;
		this.ehcodpde = ehcodpde;
		this.ehtexto = ehtexto;
		this.ehcohd = ehcohd;
		this.ehcozs = ehcozs;
		this.ehcomo = ehcomo;
		this.ehcivihe = ehcivihe;
		this.ehcoeh = ehcoeh;
		this.ehacuse = ehacuse;
		this.ehenviomail = ehenviomail;
		this.ehdiremail = ehdiremail;
		this.ehcoortraspaso = ehcoortraspaso;
		this.ehcoactua = ehcoactua;
		this.ehfechainicio = ehfechainicio;
		this.ehfechafin = ehfechafin;
		this.ehcomoejecucion = ehcomoejecucion;
		this.ehcosc = ehcosc;
		this.ehrespuesta = ehrespuesta;
		this.ehfechamediacion = ehfechamediacion;
		this.ehhoramediacion = ehhoramediacion;
		this.ehfechaenvioconvocatoria = ehfechaenvioconvocatoria;
		this.ehfecharealizacion = ehfecharealizacion;
		this.ehhorarealizacion = ehhorarealizacion;
		this.ehfechaconciliacion = ehfechaconciliacion;
		this.ehfechafirmaacuerdo = ehfechafirmaacuerdo;
		this.ehplazoinspeccion = ehplazoinspeccion;
		this.incodigo = incodigo;
		this.ehrespuestatraspaso = ehrespuestatraspaso;
		this.ehdecodigo = ehdecodigo;
		this.ehfecharesolucion = ehfecharesolucion;
		this.ehfecharecurso = ehfecharecurso;
		this.ehtiporecurso = ehtiporecurso;
		this.ehabogado = ehabogado;
		this.ehestimacion = ehestimacion;
		this.ehfechacierre = ehfechacierre;
		this.ehdestinatario = ehdestinatario;
		this.ehfechacomunicacion = ehfechacomunicacion;
		this.ehtipocomunicacion = ehtipocomunicacion;
		this.ehtiponotificacion = ehtiponotificacion;
		this.ehnumregistrosalida = ehnumregistrosalida;
		this.ehacuserecibo = ehacuserecibo;
		this.ehacusereciborecibido = ehacusereciborecibido;
		this.ehnumregistroentrada = ehnumregistroentrada;
		this.ehidnotificacionplatea = ehidnotificacionplatea;
		this.ehnombretramite = ehnombretramite;
		this.ehnrtel1 = ehnrtel1;
		this.ehnrtel2 = ehnrtel2;
		this.ehnrtel3 = ehnrtel3;
		this.ehiddestinatario = ehiddestinatario;
		this.ehcomoasignado = ehcomoasignado;
		this.ehfecharegistrosalida = ehfecharegistrosalida;
		this.ehfecharegistroentrada = ehfecharegistroentrada;
		this.ehestadotramite = ehestadotramite;
		this.ehsiguientestramites = ehsiguientestramites;
		this.ehtextoacuerdo = ehtextoacuerdo;
		this.ehinstrucinspecc = ehinstrucinspecc;
		this.ehmotivorechazo = ehmotivorechazo;
		this.ehmotivorecurso = ehmotivorecurso;
		this.ehcomodesignado = ehcomodesignado;
		this.ehrequierefirma = ehrequierefirma;
		this.ehresumenalegacion = ehresumenalegacion;
		this.ehresumenmediacion = ehresumenmediacion;
		this.ehtextocomunicacion = ehtextocomunicacion;
		this.ehtiponotificacionplatea = ehtiponotificacionplatea;
		this.ehidesperaplatea = ehidesperaplatea;
		this.ehmatarespera = ehmatarespera;
		this.ehfechapublicacionbopv = ehfechapublicacionbopv;
		this.ehfechapublicacionayto = ehfechapublicacionayto;
		this.ehfechaEnvioBOPVBOE = ehfechaEnvioBOPVBOE;
		this.ehintervinientes = ehintervinientes;
		this.ehtipomediacion = ehtipomediacion;
		this.ehorigenalegacion = ehorigenalegacion;
		this.ehasuntocomunicacion = ehasuntocomunicacion;
		this.ehsede = ehsede;
		this.ehhoramediacioninicio = ehhoramediacioninicio;
		this.ehhoramediacionfin = ehhoramediacionfin;
		this.ehjustificacioninfraccion = ehjustificacioninfraccion;
		this.ehcodrem = ehcodrem;
		this.ehenvrem = ehenvrem;

		this.ehidmailorigen = ehidmailorigen;
		this.ehmailorigen = ehmailorigen;
		this.ehidmaildestino = ehidmaildestino;
		this.ehmaildestino = ehmaildestino;

		this.ehfeccolabsol = ehfeccolabsol;
		this.ehcodmotivocolabsol = ehcodmotivocolabsol;
		this.ehidorganismocolabsol = ehidorganismocolabsol;
		this.ehresumencolabsol = ehresumencolabsol;

		this.ehfeccolabresp = ehfeccolabresp;
		this.ehrespuestacolabresp = ehrespuestacolabresp;
		this.ehresumencolabresp = ehresumencolabresp;

		this.ehproceedingsidplatea = ehproceedingsidplatea;
		this.ehfcodigo = ehfcodigo;

		this.ehdocumentacionrequerida = ehdocumentacionrequerida;
		this.ehdocumentacionrequeridae = ehdocumentacionrequeridae;

		this.ehacusereintentado = ehacusereintentado;

		this.ehautomatico = ehautomatico;

		this.ehresumenins = ehresumenins;
		this.ehaceptacionins = ehaceptacionins;
		this.ehmotivoins = ehmotivoins;
		this.ehcodins = ehcodins;

		this.ehistelematico = ehistelematico;
		this.ehissir = ehissir;
		this.ehissirconnumregentori = ehissirconnumregentori;
		this.ehIsWebSinCertificado = ehIsWebSinCertificado;
		this.ehcoorinspeccion = ehcoorinspeccion;

		this.ehexcluircierre = ehexcluircierre;

		this.ehfechasolampliacionplazo = ehfechasolampliacionplazo;
		this.ehaceptacionplazo = ehaceptacionplazo;
		this.ehplazoconcedido = ehplazoconcedido;

		this.ehidunidaddir3 = ehidunidaddir3;

		this.ehapercibimientoes = ehapercibimientoes;
		this.ehapercibimientoeu = ehapercibimientoeu;

	}

	/**
	 * @param ehcodigo
	 *            String
	 * @param tramiteHecho
	 *            TramiteHecho
	 * @param ehcotee
	 *            String
	 * @param ehfecha
	 *            Date
	 * @param ehhora
	 *            String
	 * @param ehcodpor
	 *            String
	 * @param ehcodpde
	 *            String
	 * @param ehtexto
	 *            String
	 * @param ehcohd
	 *            String
	 * @param ehcozs
	 *            String
	 * @param ehcomo
	 *            String
	 * @param ehcivihe
	 *            BigDecimal
	 * @param ehcoeh
	 *            String
	 * @param ehacuse
	 *            Date
	 * @param ehenviomail
	 *            String
	 * @param ehdiremail
	 *            String
	 * @param ehcoortraspaso
	 *            String
	 * @param ehcoactua
	 *            String
	 * @param ehfechainicio
	 *            Date
	 * @param ehfechafin
	 *            Date
	 * @param ehcomoejecucion
	 *            String
	 * @param ehcosc
	 *            String
	 * @param ehrespuesta
	 *            String
	 * @param ehfechamediacion
	 *            Date
	 * @param ehhoramediacion
	 *            String
	 * @param ehfechaenvioconvocatoria
	 *            Date
	 * @param ehfecharealizacion
	 *            Date
	 * @param ehhorarealizacion
	 *            String
	 * @param ehfechaconciliacion
	 *            Date
	 * @param ehfechafirmaacuerdo
	 *            Date
	 * @param ehplazoinspeccion
	 *            Date
	 * @param incodigo
	 *            String
	 * @param ehrespuestatraspaso
	 *            String
	 * @param ehdecodigo
	 *            String
	 * @param ehfecharesolucion
	 *            Date
	 * @param ehfecharecurso
	 *            Date
	 * @param ehtiporecurso
	 *            String
	 * @param ehabogado
	 *            String
	 * @param ehestimacion
	 *            String
	 * @param ehfechacierre
	 *            Date
	 * @param ehdestinatario
	 *            String
	 * @param ehfechacomunicacion
	 *            Date
	 * @param ehtipocomunicacion
	 *            String
	 * @param ehtiponotificacion
	 *            String
	 * @param ehnumregistrosalida
	 *            String
	 * @param ehacuserecibo
	 *            Date
	 * @param ehacusereciborecibido
	 *            String
	 * @param ehnumregistroentrada
	 *            String
	 * @param ehidnotificacionplatea
	 *            String
	 * @param ehnombretramite
	 *            String
	 * @param ehnrtel1
	 *            String
	 * @param ehnrtel2
	 *            String
	 * @param ehnrtel3
	 *            String
	 * @param ehiddestinatario
	 *            String
	 * @param ehcomoasignado
	 *            String
	 * @param ehfecharegistrosalida
	 *            Date
	 * @param ehfecharegistroentrada
	 *            Date
	 * @param ehestadotramite
	 *            String
	 * @param ehsiguientestramites
	 *            Clob
	 * @param ehtextoacuerdo
	 *            Clob
	 * @param ehinstrucinspecc
	 *            Clob
	 * @param ehmotivorechazo
	 *            Clob
	 * @param ehmotivorecurso
	 *            Clob
	 * @param ehcomodesignado
	 *            String
	 * @param ehrequierefirma
	 *            String
	 * @param ehresumenalegacion
	 *            Clob
	 * @param ehresumenmediacion
	 *            Clob
	 * @param ehtextocomunicacion
	 *            Clob
	 * @param ehtiponotificacionplatea
	 *            String
	 * @param ehidesperaplatea
	 *            String
	 * @param ehmatarespera
	 *            String
	 * @param ehfechapublicacionbopv
	 *            Date
	 * @param ehfechapublicacionayto
	 *            Date
	 * @param ehfechaEnvioBOPVBOE
	 *            Date
	 * @param ehintervinientes
	 *            Clob
	 * @param ehtipomediacion
	 *            String
	 * @param ehorigenalegacion
	 *            String
	 * @param ehasuntocomunicacion
	 *            String
	 * @param ehsede
	 *            String
	 * @param ehfechalimite
	 *            Date
	 * @param ehhoramediacioninicio
	 *            String
	 * @param ehhoramediacionfin
	 *            String
	 * @param ehjustificacioninfraccion
	 *            Clob
	 * @param ehcodrem
	 *            String
	 * @param ehenvrem
	 *            String
	 * @param ehidmailorigen
	 *            String
	 * @param ehmailorigen
	 *            String
	 * @param ehidmaildestino
	 *            String
	 * @param ehmaildestino
	 *            String
	 * @param ehfeccolabsol
	 *            Date
	 * @param ehcodmotivocolabsol
	 *            String
	 * @param ehidorganismocolabsol
	 *            String
	 * @param ehresumencolabsol
	 *            Clob
	 * @param ehfeccolabresp
	 *            Date
	 * @param ehrespuestacolabresp
	 *            String
	 * @param ehresumencolabresp
	 *            Clob
	 * @param ehfcodigo
	 *            String
	 * @param ehdocumentacionrequerida
	 *            Clob
	 * @param ehdocumentacionrequeridae
	 *            Clob
	 * @param ehresumenins
	 *            String
	 * @param ehaceptacionins
	 *            String
	 * @param ehmotivoins
	 *            String
	 * @param ehcodins
	 *            String
	 * @param tramiteHechos
	 *            TramiteHecho
	 */
	public TramiteHecho(String ehcodigo, TramiteHecho tramiteHecho, String ehcotee, Date ehfecha, String ehhora,
			String ehcodpor, String ehcodpde, String ehtexto, String ehcohd, String ehcozs, String ehcomo,
			BigDecimal ehcivihe, String ehcoeh, Date ehacuse, String ehenviomail, String ehdiremail,
			String ehcoortraspaso, String ehcoactua, Date ehfechainicio, Date ehfechafin, String ehcomoejecucion,
			String ehcosc, String ehrespuesta, Date ehfechamediacion, String ehhoramediacion,
			Date ehfechaenvioconvocatoria, Date ehfecharealizacion, String ehhorarealizacion, Date ehfechaconciliacion,
			Date ehfechafirmaacuerdo, Date ehplazoinspeccion, String incodigo, String ehrespuestatraspaso,
			String ehdecodigo, Date ehfecharesolucion, Date ehfecharecurso, String ehtiporecurso, String ehabogado,
			String ehestimacion, Date ehfechacierre, String ehdestinatario, Date ehfechacomunicacion,
			String ehtipocomunicacion, String ehtiponotificacion, String ehnumregistrosalida, Date ehacuserecibo,
			String ehacusereciborecibido, String ehnumregistroentrada, String ehidnotificacionplatea,
			String ehnombretramite, String ehnrtel1, String ehnrtel2, String ehnrtel3, String ehiddestinatario,
			String ehcomoasignado, Date ehfecharegistrosalida, Date ehfecharegistroentrada, String ehestadotramite,
			Clob ehsiguientestramites, Clob ehtextoacuerdo, Clob ehinstrucinspecc, Clob ehmotivorechazo,
			Clob ehmotivorecurso, String ehcomodesignado, String ehrequierefirma, Clob ehresumenalegacion,
			Clob ehresumenmediacion, Clob ehtextocomunicacion, String ehtiponotificacionplatea, String ehidesperaplatea,
			String ehmatarespera, Date ehfechapublicacionbopv, Date ehfechapublicacionayto, Date ehfechaEnvioBOPVBOE,
			Clob ehintervinientes, String ehtipomediacion, String ehorigenalegacion, String ehasuntocomunicacion,
			String ehsede, Date ehfechalimite, String ehhoramediacioninicio, String ehhoramediacionfin,
			Clob ehjustificacioninfraccion, String ehcodrem, String ehenvrem, String ehidmailorigen,
			String ehmailorigen, String ehidmaildestino, String ehmaildestino, Clob ehdocumentacionrequerida,
			Clob ehdocumentacionrequeridae, String ehfcodigo, Date ehfeccolabsol, String ehcodmotivocolabsol,
			String ehidorganismocolabsol, Clob ehresumencolabsol, Date ehfeccolabresp, String ehrespuestacolabresp,
			Clob ehresumencolabresp, String ehresumenins, String ehaceptacionins, String ehmotivoins, String ehcodins,
			List<TramiteHecho> tramiteHechos) {
		super();
		this.ehcodigo = ehcodigo;
		this.tramiteHecho = tramiteHecho;
		this.ehcotee = ehcotee;
		this.ehfecha = ehfecha;
		this.ehhora = ehhora;
		this.ehcodpor = ehcodpor;
		this.ehcodpde = ehcodpde;
		this.ehtexto = ehtexto;
		this.ehcohd = ehcohd;
		this.ehcozs = ehcozs;
		this.ehcomo = ehcomo;
		this.ehcivihe = ehcivihe;
		this.ehcoeh = ehcoeh;
		this.ehacuse = ehacuse;
		this.ehenviomail = ehenviomail;
		this.ehdiremail = ehdiremail;
		this.ehcoortraspaso = ehcoortraspaso;
		this.ehcoactua = ehcoactua;
		this.ehfechainicio = ehfechainicio;
		this.ehfechafin = ehfechafin;
		this.ehcomoejecucion = ehcomoejecucion;
		this.ehcosc = ehcosc;
		this.ehrespuesta = ehrespuesta;
		this.ehfechamediacion = ehfechamediacion;
		this.ehhoramediacion = ehhoramediacion;
		this.ehfechaenvioconvocatoria = ehfechaenvioconvocatoria;
		this.ehfecharealizacion = ehfecharealizacion;
		this.ehhorarealizacion = ehhorarealizacion;
		this.ehfechaconciliacion = ehfechaconciliacion;
		this.ehfechafirmaacuerdo = ehfechafirmaacuerdo;
		this.ehplazoinspeccion = ehplazoinspeccion;
		this.incodigo = incodigo;
		this.ehrespuestatraspaso = ehrespuestatraspaso;
		this.ehdecodigo = ehdecodigo;
		this.ehfecharesolucion = ehfecharesolucion;
		this.ehfecharecurso = ehfecharecurso;
		this.ehtiporecurso = ehtiporecurso;
		this.ehabogado = ehabogado;
		this.ehestimacion = ehestimacion;
		this.ehfechacierre = ehfechacierre;
		this.ehdestinatario = ehdestinatario;
		this.ehfechacomunicacion = ehfechacomunicacion;
		this.ehtipocomunicacion = ehtipocomunicacion;
		this.ehtiponotificacion = ehtiponotificacion;
		this.ehnumregistrosalida = ehnumregistrosalida;
		this.ehacuserecibo = ehacuserecibo;
		this.ehacusereciborecibido = ehacusereciborecibido;
		this.ehnumregistroentrada = ehnumregistroentrada;
		this.ehidnotificacionplatea = ehidnotificacionplatea;
		this.ehnombretramite = ehnombretramite;
		this.ehnrtel1 = ehnrtel1;
		this.ehnrtel2 = ehnrtel2;
		this.ehnrtel3 = ehnrtel3;
		this.ehiddestinatario = ehiddestinatario;
		this.ehcomoasignado = ehcomoasignado;
		this.ehfecharegistrosalida = ehfecharegistrosalida;
		this.ehfecharegistroentrada = ehfecharegistroentrada;
		this.ehestadotramite = ehestadotramite;
		this.ehsiguientestramites = ehsiguientestramites;
		this.ehtextoacuerdo = ehtextoacuerdo;
		this.ehinstrucinspecc = ehinstrucinspecc;
		this.ehmotivorechazo = ehmotivorechazo;
		this.ehmotivorecurso = ehmotivorecurso;
		this.ehcomodesignado = ehcomodesignado;
		this.ehrequierefirma = ehrequierefirma;
		this.ehresumenalegacion = ehresumenalegacion;
		this.ehresumenmediacion = ehresumenmediacion;
		this.ehtextocomunicacion = ehtextocomunicacion;
		this.ehtiponotificacionplatea = ehtiponotificacionplatea;
		this.ehidesperaplatea = ehidesperaplatea;
		this.ehmatarespera = ehmatarespera;
		this.ehfechapublicacionbopv = ehfechapublicacionbopv;
		this.ehfechapublicacionayto = ehfechapublicacionayto;
		this.ehfechaEnvioBOPVBOE = ehfechaEnvioBOPVBOE;
		this.ehintervinientes = ehintervinientes;
		this.ehtipomediacion = ehtipomediacion;
		this.ehorigenalegacion = ehorigenalegacion;
		this.ehasuntocomunicacion = ehasuntocomunicacion;
		this.ehsede = ehsede;
		this.ehfechalimite = ehfechalimite;
		this.ehhoramediacioninicio = ehhoramediacioninicio;
		this.ehhoramediacionfin = ehhoramediacionfin;
		this.ehjustificacioninfraccion = ehjustificacioninfraccion;
		this.ehcodrem = ehcodrem;
		this.ehenvrem = ehenvrem;
		this.ehidmailorigen = ehidmailorigen;
		this.ehmailorigen = ehmailorigen;
		this.ehidmaildestino = ehidmaildestino;
		this.ehmaildestino = ehmaildestino;
		this.ehdocumentacionrequerida = ehdocumentacionrequerida;
		this.ehdocumentacionrequeridae = ehdocumentacionrequeridae;
		this.ehfcodigo = ehfcodigo;
		this.ehfeccolabsol = ehfeccolabsol;
		this.ehcodmotivocolabsol = ehcodmotivocolabsol;
		this.ehidorganismocolabsol = ehidorganismocolabsol;
		this.ehresumencolabsol = ehresumencolabsol;
		this.ehfeccolabresp = ehfeccolabresp;
		this.ehrespuestacolabresp = ehrespuestacolabresp;
		this.ehresumencolabresp = ehresumencolabresp;

		this.ehresumenins = ehresumenins;
		this.ehaceptacionins = ehaceptacionins;
		this.ehmotivoins = ehmotivoins;
		this.ehcodins = ehcodins;

		this.tramiteHechos = tramiteHechos;
	}

	/**
	 * Method 'getEhcodigo'.
	 * 
	 * @return String
	 */

	public String getEhcodigo() {
		return this.ehcodigo;
	}

	/**
	 * Method 'setEhcodigo'.
	 * 
	 * @param ehcodigo
	 *            String
	 * @return
	 */

	public void setEhcodigo(String ehcodigo) {
		this.ehcodigo = ehcodigo;
	}

	/**
	 * Method 'getTramiteHecho'.
	 * 
	 * @return TramiteHecho
	 */
	@JsonIgnore
	public TramiteHecho getTramiteHecho() {
		return this.tramiteHecho;
	}

	/**
	 * Method 'setTramiteHecho'.
	 * 
	 * @param tramiteHecho
	 *            TramiteHecho
	 * @return
	 */

	public void setTramiteHecho(TramiteHecho tramiteHecho) {
		this.tramiteHecho = tramiteHecho;
	}

	/**
	 * Method 'getEhcotee'.
	 * 
	 * @return String
	 */

	public String getEhcotee() {
		return this.ehcotee;
	}

	/**
	 * Method 'setEhcotee'.
	 * 
	 * @param ehcotee
	 *            String
	 * @return
	 */

	public void setEhcotee(String ehcotee) {
		this.ehcotee = ehcotee;
	}

	/**
	 * Method 'getEhfecha'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfecha() {
		return this.ehfecha;
	}

	/**
	 * Method 'setEhfecha'.
	 * 
	 * @param ehfecha
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfecha(Date ehfecha) {
		this.ehfecha = ehfecha;
	}

	/**
	 * Method 'getEhhora'.
	 * 
	 * @return String
	 */

	public String getEhhora() {
		return this.ehhora;
	}

	/**
	 * Method 'setEhhora'.
	 * 
	 * @param ehhora
	 *            String
	 * @return
	 */

	public void setEhhora(String ehhora) {
		this.ehhora = ehhora;
	}

	/**
	 * Method 'getEhcodpor'.
	 * 
	 * @return String
	 */

	public String getEhcodpor() {
		return this.ehcodpor;
	}

	/**
	 * Method 'setEhcodpor'.
	 * 
	 * @param ehcodpor
	 *            String
	 * @return
	 */

	public void setEhcodpor(String ehcodpor) {
		this.ehcodpor = ehcodpor;
	}

	/**
	 * Method 'getEhcodpde'.
	 * 
	 * @return String
	 */

	public String getEhcodpde() {
		return this.ehcodpde;
	}

	/**
	 * Method 'setEhcodpde'.
	 * 
	 * @param ehcodpde
	 *            String
	 * @return
	 */

	public void setEhcodpde(String ehcodpde) {
		this.ehcodpde = ehcodpde;
	}

	/**
	 * Method 'getEhtexto'.
	 * 
	 * @return String
	 */

	public String getEhtexto() {
		return this.ehtexto;
	}

	/**
	 * Method 'setEhtexto'.
	 * 
	 * @param ehtexto
	 *            String
	 * @return
	 */

	public void setEhtexto(String ehtexto) {
		this.ehtexto = ehtexto;
	}

	/**
	 * Method 'getEhcohd'.
	 * 
	 * @return String
	 */

	public String getEhcohd() {
		return this.ehcohd;
	}

	/**
	 * Method 'setEhcohd'.
	 * 
	 * @param ehcohd
	 *            String
	 * @return
	 */

	public void setEhcohd(String ehcohd) {
		this.ehcohd = ehcohd;
	}

	/**
	 * Method 'getEhcozs'.
	 * 
	 * @return String
	 */

	public String getEhcozs() {
		return this.ehcozs;
	}

	/**
	 * Method 'setEhcozs'.
	 * 
	 * @param ehcozs
	 *            String
	 * @return
	 */

	public void setEhcozs(String ehcozs) {
		this.ehcozs = ehcozs;
	}

	/**
	 * Method 'getEhcomo'.
	 * 
	 * @return String
	 */

	public String getEhcomo() {
		return this.ehcomo;
	}

	/**
	 * Method 'setEhcomo'.
	 * 
	 * @param ehcomo
	 *            String
	 * @return
	 */

	public void setEhcomo(String ehcomo) {
		this.ehcomo = ehcomo;
	}

	/**
	 * Method 'getEhcivihe'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getEhcivihe() {
		return this.ehcivihe;
	}

	/**
	 * Method 'setEhcivihe'.
	 * 
	 * @param ehcivihe
	 *            BigDecimal
	 * @return
	 */

	public void setEhcivihe(BigDecimal ehcivihe) {
		this.ehcivihe = ehcivihe;
	}

	/**
	 * Method 'getEhcoeh'.
	 * 
	 * @return String
	 */

	public String getEhcoeh() {
		return this.ehcoeh;
	}

	/**
	 * Method 'setEhcoeh'.
	 * 
	 * @param ehcoeh
	 *            String
	 * @return
	 */

	public void setEhcoeh(String ehcoeh) {
		this.ehcoeh = ehcoeh;
	}

	/**
	 * Method 'getEhacuse'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhacuse() {
		return this.ehacuse;
	}

	/**
	 * Method 'setEhacuse'.
	 * 
	 * @param ehacuse
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhacuse(Date ehacuse) {
		this.ehacuse = ehacuse;
	}

	/**
	 * Method 'getEhenviomail'.
	 * 
	 * @return String
	 */

	public String getEhenviomail() {
		return this.ehenviomail;
	}

	/**
	 * Method 'setEhenviomail'.
	 * 
	 * @param ehenviomail
	 *            String
	 * @return
	 */

	public void setEhenviomail(String ehenviomail) {
		this.ehenviomail = ehenviomail;
	}

	/**
	 * Method 'getEhdiremail'.
	 * 
	 * @return String
	 */

	public String getEhdiremail() {
		return this.ehdiremail;
	}

	/**
	 * Method 'setEhdiremail'.
	 * 
	 * @param ehdiremail
	 *            String
	 * @return
	 */

	public void setEhdiremail(String ehdiremail) {
		this.ehdiremail = ehdiremail;
	}

	/**
	 * Method 'getEhcoortraspaso'.
	 * 
	 * @return String
	 */

	public String getEhcoortraspaso() {
		return this.ehcoortraspaso;
	}

	/**
	 * Method 'setEhcoortraspaso'.
	 * 
	 * @param ehcoortraspaso
	 *            String
	 * @return
	 */

	public void setEhcoortraspaso(String ehcoortraspaso) {
		this.ehcoortraspaso = ehcoortraspaso;
	}

	/**
	 * Method 'getEhcoactua'.
	 * 
	 * @return String
	 */

	public String getEhcoactua() {
		return this.ehcoactua;
	}

	/**
	 * Method 'setEhcoactua'.
	 * 
	 * @param ehcoactua
	 *            String
	 * @return
	 */

	public void setEhcoactua(String ehcoactua) {
		this.ehcoactua = ehcoactua;
	}

	/**
	 * Method 'getEhfechainicio'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = Y41bJsonDateTimeSerializer.class)
	public Date getEhfechainicio() {
		return this.ehfechainicio;
	}

	/**
	 * Method 'setEhfechainicio'.
	 * 
	 * @param ehfechainicio
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateTimeDeserializer.class)
	public void setEhfechainicio(Date ehfechainicio) {
		this.ehfechainicio = ehfechainicio;
	}

	/**
	 * Method 'getEhfechafin'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = Y41bJsonDateTimeSerializer.class)
	public Date getEhfechafin() {
		return this.ehfechafin;
	}

	/**
	 * Method 'setEhfechafin'.
	 * 
	 * @param ehfechafin
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateTimeDeserializer.class)
	public void setEhfechafin(Date ehfechafin) {
		this.ehfechafin = ehfechafin;
	}

	/**
	 * Method 'getEhcomoejecucion'.
	 * 
	 * @return String
	 */

	public String getEhcomoejecucion() {
		return this.ehcomoejecucion;
	}

	/**
	 * Method 'setEhcomoejecucion'.
	 * 
	 * @param ehcomoejecucion
	 *            String
	 * @return
	 */

	public void setEhcomoejecucion(String ehcomoejecucion) {
		this.ehcomoejecucion = ehcomoejecucion;
	}

	/**
	 * Method 'getEhcosc'.
	 * 
	 * @return String
	 */

	public String getEhcosc() {
		return this.ehcosc;
	}

	/**
	 * Method 'setEhcosc'.
	 * 
	 * @param ehcosc
	 *            String
	 * @return
	 */

	public void setEhcosc(String ehcosc) {
		this.ehcosc = ehcosc;
	}

	/**
	 * Method 'getEhrespuesta'.
	 * 
	 * @return String
	 */

	public String getEhrespuesta() {
		return this.ehrespuesta;
	}

	/**
	 * Method 'setEhrespuesta'.
	 * 
	 * @param ehrespuesta
	 *            String
	 * @return
	 */

	public void setEhrespuesta(String ehrespuesta) {
		this.ehrespuesta = ehrespuesta;
	}

	/**
	 * Method 'getEhfechamediacion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechamediacion() {
		return this.ehfechamediacion;
	}

	/**
	 * Method 'setEhfechamediacion'.
	 * 
	 * @param ehfechamediacion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechamediacion(Date ehfechamediacion) {
		this.ehfechamediacion = ehfechamediacion;
	}

	/**
	 * Method 'getEhhoramediacion'.
	 * 
	 * @return String
	 */

	public String getEhhoramediacion() {
		return this.ehhoramediacion;
	}

	/**
	 * Method 'setEhhoramediacion'.
	 * 
	 * @param ehhoramediacion
	 *            String
	 * @return
	 */

	public void setEhhoramediacion(String ehhoramediacion) {
		this.ehhoramediacion = ehhoramediacion;
	}

	/**
	 * Method 'getEhfechaenvioconvocatoria'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechaenvioconvocatoria() {
		return this.ehfechaenvioconvocatoria;
	}

	/**
	 * Method 'setEhfechaenvioconvocatoria'.
	 * 
	 * @param ehfechaenvioconvocatoria
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechaenvioconvocatoria(Date ehfechaenvioconvocatoria) {
		this.ehfechaenvioconvocatoria = ehfechaenvioconvocatoria;
	}

	/**
	 * Method 'getEhfecharealizacion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfecharealizacion() {
		return this.ehfecharealizacion;
	}

	/**
	 * Method 'setEhfecharealizacion'.
	 * 
	 * @param ehfecharealizacion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfecharealizacion(Date ehfecharealizacion) {
		this.ehfecharealizacion = ehfecharealizacion;
	}

	/**
	 * Method 'getEhhorarealizacion'.
	 * 
	 * @return String
	 */

	public String getEhhorarealizacion() {
		return this.ehhorarealizacion;
	}

	/**
	 * Method 'setEhhorarealizacion'.
	 * 
	 * @param ehhorarealizacion
	 *            String
	 * @return
	 */

	public void setEhhorarealizacion(String ehhorarealizacion) {
		this.ehhorarealizacion = ehhorarealizacion;
	}

	/**
	 * Method 'getEhfechaconciliacion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechaconciliacion() {
		return this.ehfechaconciliacion;
	}

	/**
	 * Method 'setEhfechaconciliacion'.
	 * 
	 * @param ehfechaconciliacion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechaconciliacion(Date ehfechaconciliacion) {
		this.ehfechaconciliacion = ehfechaconciliacion;
	}

	/**
	 * Method 'getEhfechafirmaacuerdo'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechafirmaacuerdo() {
		return this.ehfechafirmaacuerdo;
	}

	/**
	 * Method 'setEhfechafirmaacuerdo'.
	 * 
	 * @param ehfechafirmaacuerdo
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechafirmaacuerdo(Date ehfechafirmaacuerdo) {
		this.ehfechafirmaacuerdo = ehfechafirmaacuerdo;
	}

	/**
	 * Method 'getEhplazoinspeccion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhplazoinspeccion() {
		return this.ehplazoinspeccion;
	}

	/**
	 * Method 'setEhplazoinspeccion'.
	 * 
	 * @param ehplazoinspeccion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhplazoinspeccion(Date ehplazoinspeccion) {
		this.ehplazoinspeccion = ehplazoinspeccion;
	}

	/**
	 * Method 'getIncodigo'.
	 * 
	 * @return String
	 */

	public String getIncodigo() {
		return this.incodigo;
	}

	/**
	 * Method 'setIncodigo'.
	 * 
	 * @param incodigo
	 *            String
	 * @return
	 */

	public void setIncodigo(String incodigo) {
		this.incodigo = incodigo;
	}

	/**
	 * Method 'getEhrespuestatraspaso'.
	 * 
	 * @return String
	 */

	public String getEhrespuestatraspaso() {
		return this.ehrespuestatraspaso;
	}

	/**
	 * Method 'setEhrespuestatraspaso'.
	 * 
	 * @param ehrespuestatraspaso
	 *            String
	 * @return
	 */

	public void setEhrespuestatraspaso(String ehrespuestatraspaso) {
		this.ehrespuestatraspaso = ehrespuestatraspaso;
	}

	/**
	 * Method 'getEhdecodigo'.
	 * 
	 * @return String
	 */

	public String getEhdecodigo() {
		return this.ehdecodigo;
	}

	/**
	 * Method 'setEhdecodigo'.
	 * 
	 * @param ehdecodigo
	 *            String
	 * @return
	 */

	public void setEhdecodigo(String ehdecodigo) {
		this.ehdecodigo = ehdecodigo;
	}

	/**
	 * Method 'getEhfecharesolucion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfecharesolucion() {
		return this.ehfecharesolucion;
	}

	/**
	 * Method 'setEhfecharesolucion'.
	 * 
	 * @param ehfecharesolucion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfecharesolucion(Date ehfecharesolucion) {
		this.ehfecharesolucion = ehfecharesolucion;
	}

	/**
	 * Method 'getEhfecharecurso'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfecharecurso() {
		return this.ehfecharecurso;
	}

	/**
	 * Method 'setEhfecharecurso'.
	 * 
	 * @param ehfecharecurso
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfecharecurso(Date ehfecharecurso) {
		this.ehfecharecurso = ehfecharecurso;
	}

	/**
	 * Method 'getEhtiporecurso'.
	 * 
	 * @return String
	 */
	public String getEhtiporecurso() {
		return this.ehtiporecurso;
	}

	/**
	 * Method 'setEhtiporecurso'.
	 * 
	 * @param ehtiporecurso
	 *            String
	 * @return
	 */
	public void setEhtiporecurso(String ehtiporecurso) {
		this.ehtiporecurso = ehtiporecurso;
	}

	/**
	 * Method 'getEhabogado'.
	 * 
	 * @return String
	 */

	public String getEhabogado() {
		return this.ehabogado;
	}

	/**
	 * Method 'setEhabogado'.
	 * 
	 * @param ehabogado
	 *            String
	 * @return
	 */

	public void setEhabogado(String ehabogado) {
		this.ehabogado = ehabogado;
	}

	/**
	 * Method 'getEhestimacion'.
	 * 
	 * @return String
	 */

	public String getEhestimacion() {
		return this.ehestimacion;
	}

	/**
	 * Method 'setEhestimacion'.
	 * 
	 * @param ehestimacion
	 *            String
	 * @return
	 */

	public void setEhestimacion(String ehestimacion) {
		this.ehestimacion = ehestimacion;
	}

	/**
	 * Method 'getEhfechacierre'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechacierre() {
		return this.ehfechacierre;
	}

	/**
	 * Method 'setEhfechacierre'.
	 * 
	 * @param ehfechacierre
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechacierre(Date ehfechacierre) {
		this.ehfechacierre = ehfechacierre;
	}

	/**
	 * Method 'getEhdestinatario'.
	 * 
	 * @return String
	 */

	public String getEhdestinatario() {
		return this.ehdestinatario;
	}

	/**
	 * Method 'setEhdestinatario'.
	 * 
	 * @param ehdestinatario
	 *            String
	 * @return
	 */

	public void setEhdestinatario(String ehdestinatario) {
		this.ehdestinatario = ehdestinatario;
	}

	/**
	 * Method 'getEhfechacomunicacion'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechacomunicacion() {
		return this.ehfechacomunicacion;
	}

	/**
	 * Method 'setEhfechacomunicacion'.
	 * 
	 * @param ehfechacomunicacion
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechacomunicacion(Date ehfechacomunicacion) {
		this.ehfechacomunicacion = ehfechacomunicacion;
	}

	/**
	 * Method 'getEhtipocomunicacion'.
	 * 
	 * @return String
	 */

	public String getEhtipocomunicacion() {
		return this.ehtipocomunicacion;
	}

	/**
	 * Method 'setEhtipocomunicacion'.
	 * 
	 * @param ehtipocomunicacion
	 *            String
	 * @return
	 */

	public void setEhtipocomunicacion(String ehtipocomunicacion) {
		this.ehtipocomunicacion = ehtipocomunicacion;
	}

	/**
	 * Method 'getEhtiponotificacion'.
	 * 
	 * @return String
	 */

	public String getEhtiponotificacion() {
		return this.ehtiponotificacion;
	}

	/**
	 * Method 'setEhtiponotificacion'.
	 * 
	 * @param ehtiponotificacion
	 *            String
	 * @return
	 */

	public void setEhtiponotificacion(String ehtiponotificacion) {
		this.ehtiponotificacion = ehtiponotificacion;
	}

	/**
	 * Method 'getEhnumregistrosalida'.
	 * 
	 * @return String
	 */

	public String getEhnumregistrosalida() {
		return this.ehnumregistrosalida;
	}

	/**
	 * Method 'setEhnumregistrosalida'.
	 * 
	 * @param ehnumregistrosalida
	 *            String
	 * @return
	 */

	public void setEhnumregistrosalida(String ehnumregistrosalida) {
		this.ehnumregistrosalida = ehnumregistrosalida;
	}

	/**
	 * Method 'getEhacuserecibo'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhacuserecibo() {
		return this.ehacuserecibo;
	}

	/**
	 * Method 'setEhacuserecibo'.
	 * 
	 * @param ehacuserecibo
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhacuserecibo(Date ehacuserecibo) {
		this.ehacuserecibo = ehacuserecibo;
	}

	/**
	 * Method 'getEhacusereciborecibido'.
	 * 
	 * @return String
	 */

	public String getEhacusereciborecibido() {
		return this.ehacusereciborecibido;
	}

	/**
	 * Method 'setEhacusereciborecibido'.
	 * 
	 * @param ehacusereciborecibido
	 *            String
	 * @return
	 */

	public void setEhacusereciborecibido(String ehacusereciborecibido) {
		this.ehacusereciborecibido = ehacusereciborecibido;
	}

	/**
	 * Method 'getEhnumregistroentrada'.
	 * 
	 * @return String
	 */

	public String getEhnumregistroentrada() {
		return this.ehnumregistroentrada;
	}

	/**
	 * Method 'setEhnumregistroentrada'.
	 * 
	 * @param ehnumregistroentrada
	 *            String
	 * @return
	 */

	public void setEhnumregistroentrada(String ehnumregistroentrada) {
		this.ehnumregistroentrada = ehnumregistroentrada;
	}

	/**
	 * Method 'getEhidnotificacionplatea'.
	 * 
	 * @return String
	 */

	public String getEhidnotificacionplatea() {
		return this.ehidnotificacionplatea;
	}

	/**
	 * Method 'setEhidnotificacionplatea'.
	 * 
	 * @param ehidnotificacionplatea
	 *            String
	 * @return
	 */

	public void setEhidnotificacionplatea(String ehidnotificacionplatea) {
		this.ehidnotificacionplatea = ehidnotificacionplatea;
	}

	/**
	 * Method 'getEhnombretramite'.
	 * 
	 * @return String
	 */

	public String getEhnombretramite() {
		return this.ehnombretramite;
	}

	/**
	 * Method 'setEhnombretramite'.
	 * 
	 * @param ehnombretramite
	 *            String
	 * @return
	 */

	public void setEhnombretramite(String ehnombretramite) {
		this.ehnombretramite = ehnombretramite;
	}

	/**
	 * Method 'getEhnrtel1'.
	 * 
	 * @return String
	 */

	public String getEhnrtel1() {
		return this.ehnrtel1;
	}

	/**
	 * Method 'setEhnrtel1'.
	 * 
	 * @param ehnrtel1
	 *            String
	 * @return
	 */

	public void setEhnrtel1(String ehnrtel1) {
		this.ehnrtel1 = ehnrtel1;
	}

	/**
	 * Method 'getEhnrtel2'.
	 * 
	 * @return String
	 */

	public String getEhnrtel2() {
		return this.ehnrtel2;
	}

	/**
	 * Method 'setEhnrtel2'.
	 * 
	 * @param ehnrtel2
	 *            String
	 * @return
	 */

	public void setEhnrtel2(String ehnrtel2) {
		this.ehnrtel2 = ehnrtel2;
	}

	/**
	 * Method 'getEhnrtel3'.
	 * 
	 * @return String
	 */

	public String getEhnrtel3() {
		return this.ehnrtel3;
	}

	/**
	 * Method 'setEhnrtel3'.
	 * 
	 * @param ehnrtel3
	 *            String
	 * @return
	 */

	public void setEhnrtel3(String ehnrtel3) {
		this.ehnrtel3 = ehnrtel3;
	}

	/**
	 * Method 'getEhiddestinatario'.
	 * 
	 * @return String
	 */

	public String getEhiddestinatario() {
		return this.ehiddestinatario;
	}

	/**
	 * Method 'setEhiddestinatario'.
	 * 
	 * @param ehiddestinatario
	 *            String
	 * @return
	 */

	public void setEhiddestinatario(String ehiddestinatario) {
		this.ehiddestinatario = ehiddestinatario;
	}

	/**
	 * Method 'getEhcomoasignado'.
	 * 
	 * @return String
	 */

	public String getEhcomoasignado() {
		return this.ehcomoasignado;
	}

	/**
	 * Method 'setEhcomoasignado'.
	 * 
	 * @param ehcomoasignado
	 *            String
	 * @return
	 */

	public void setEhcomoasignado(String ehcomoasignado) {
		this.ehcomoasignado = ehcomoasignado;
	}

	/**
	 * Method 'getEhfecharegistrosalida'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfecharegistrosalida() {
		return this.ehfecharegistrosalida;
	}

	/**
	 * Method 'setEhfecharegistrosalida'.
	 * 
	 * @param ehfecharegistrosalida
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfecharegistrosalida(Date ehfecharegistrosalida) {
		this.ehfecharegistrosalida = ehfecharegistrosalida;
	}

	/**
	 * Method 'getEhfecharegistroentrada'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfecharegistroentrada() {
		return this.ehfecharegistroentrada;
	}

	/**
	 * Method 'setEhfecharegistroentrada'.
	 * 
	 * @param ehfecharegistroentrada
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfecharegistroentrada(Date ehfecharegistroentrada) {
		this.ehfecharegistroentrada = ehfecharegistroentrada;
	}

	/**
	 * Method 'getEhestadotramite'.
	 * 
	 * @return String
	 */

	public String getEhestadotramite() {
		return this.ehestadotramite;
	}

	/**
	 * Method 'setEhestadotramite'.
	 * 
	 * @param ehestadotramite
	 *            String
	 * @return
	 */

	public void setEhestadotramite(String ehestadotramite) {
		this.ehestadotramite = ehestadotramite;
	}

	/**
	 * Method 'getEhsiguientestramites'.
	 * 
	 * @return Clob
	 */
	public Clob getEhsiguientestramites() {
		return this.ehsiguientestramites;
	}

	/**
	 * Method 'setEhsiguientestramites'.
	 * 
	 * @param ehsiguientestramites
	 *            Clob
	 * @return
	 */

	public void setEhsiguientestramites(Clob ehsiguientestramites) {
		this.ehsiguientestramites = ehsiguientestramites;
	}

	/**
	 * Method 'getEhtextoacuerdo'.
	 * 
	 * @return Clob
	 */
	@JsonIgnore
	public Clob getEhtextoacuerdo() {
		return this.ehtextoacuerdo;
	}

	/**
	 * Method 'setEhtextoacuerdo'.
	 * 
	 * @param ehtextoacuerdo
	 *            Clob
	 * @return
	 */

	public void setEhtextoacuerdo(Clob ehtextoacuerdo) {
		this.ehtextoacuerdo = ehtextoacuerdo;
	}

	/**
	 * Method 'getEhinstrucinspecc'.
	 * 
	 * @return Clob
	 */
	@JsonIgnore
	public Clob getEhinstrucinspecc() {
		return this.ehinstrucinspecc;
	}

	/**
	 * Method 'setEhinstrucinspecc'.
	 * 
	 * @param ehinstrucinspecc
	 *            Clob
	 * @return
	 */

	public void setEhinstrucinspecc(Clob ehinstrucinspecc) {
		this.ehinstrucinspecc = ehinstrucinspecc;
	}

	/**
	 * Method 'getEhmotivorechazo'.
	 * 
	 * @return Clob
	 */
	@JsonIgnore
	public Clob getEhmotivorechazo() {
		return this.ehmotivorechazo;
	}

	/**
	 * Method 'setEhmotivorechazo'.
	 * 
	 * @param ehmotivorechazo
	 *            Clob
	 * @return
	 */

	public void setEhmotivorechazo(Clob ehmotivorechazo) {
		this.ehmotivorechazo = ehmotivorechazo;
	}

	/**
	 * Method 'getEhmotivorecurso'.
	 * 
	 * @return Clob
	 */
	@JsonIgnore
	public Clob getEhmotivorecurso() {
		return this.ehmotivorecurso;
	}

	/**
	 * Method 'setEhmotivorecurso'.
	 * 
	 * @param ehmotivorecurso
	 *            Clob
	 * @return
	 */

	public void setEhmotivorecurso(Clob ehmotivorecurso) {
		this.ehmotivorecurso = ehmotivorecurso;
	}

	/**
	 * Method 'getTramiteHechos'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<TramiteHecho> getTramiteHechos() {
		return this.tramiteHechos;
	}

	/**
	 * Method 'setTramiteHechos'.
	 * 
	 * @param tramiteHechos
	 *            List
	 * @return
	 */
	public void setTramiteHechos(List<TramiteHecho> tramiteHechos) {
		this.tramiteHechos = tramiteHechos;
	}

	/**
	 * @return the ehcomodesignado
	 */
	public String getEhcomodesignado() {
		return ehcomodesignado;
	}

	/**
	 * @param ehcomodesignado
	 *            the ehcomodesignado to set
	 */
	public void setEhcomodesignado(String ehcomodesignado) {
		this.ehcomodesignado = ehcomodesignado;
	}

	/**
	 * @return the ehrequierefirma
	 */
	public String getEhrequierefirma() {
		return ehrequierefirma;
	}

	/**
	 * @param ehrequierefirma
	 *            the ehrequierefirma to set
	 */
	public void setEhrequierefirma(String ehrequierefirma) {
		this.ehrequierefirma = ehrequierefirma;
	}

	/**
	 * @return the ehresumenalegacion
	 */
	public Clob getEhresumenalegacion() {
		return ehresumenalegacion;
	}

	/**
	 * @param ehresumenalegacion
	 *            the ehresumenalegacion to set
	 */
	public void setEhresumenalegacion(Clob ehresumenalegacion) {
		this.ehresumenalegacion = ehresumenalegacion;
	}

	/**
	 * @return the ehresumenmediacion
	 */
	public Clob getEhresumenmediacion() {
		return ehresumenmediacion;
	}

	/**
	 * @param ehresumenmediacion
	 *            the ehresumenmediacion to set
	 */
	public void setEhresumenmediacion(Clob ehresumenmediacion) {
		this.ehresumenmediacion = ehresumenmediacion;
	}

	/**
	 * @return the ehjustificacioninfraccion
	 */
	public Clob getEhjustificacioninfraccion() {
		return ehjustificacioninfraccion;
	}

	/**
	 * @param ehjustificacioninfraccion
	 *            the ehjustificacioninfraccion to set
	 */
	public void setEhjustificacioninfraccion(Clob ehjustificacioninfraccion) {
		this.ehjustificacioninfraccion = ehjustificacioninfraccion;
	}

	/**
	 * @return the ehtextocomunicacion
	 */
	public Clob getEhtextocomunicacion() {
		return ehtextocomunicacion;
	}

	/**
	 * @param ehtextocomunicacion
	 *            the ehtextocomunicacion to set
	 */
	public void setEhtextocomunicacion(Clob ehtextocomunicacion) {
		this.ehtextocomunicacion = ehtextocomunicacion;
	}

	/**
	 * @return the ehtiponotificacionplatea
	 */
	public String getEhtiponotificacionplatea() {
		return ehtiponotificacionplatea;
	}

	/**
	 * @param ehtiponotificacionplatea
	 *            the ehtiponotificacionplatea to set
	 */
	public void setEhtiponotificacionplatea(String ehtiponotificacionplatea) {
		this.ehtiponotificacionplatea = ehtiponotificacionplatea;
	}

	/**
	 * @return the ehidesperaplatea
	 */
	public String getEhidesperaplatea() {
		return ehidesperaplatea;
	}

	/**
	 * @param ehidesperaplatea
	 *            the ehidesperaplatea to set
	 */
	public void setEhidesperaplatea(String ehidesperaplatea) {
		this.ehidesperaplatea = ehidesperaplatea;
	}

	/**
	 * @return the ehmatarespera
	 */
	public String getEhmatarespera() {
		return ehmatarespera;
	}

	/**
	 * @param ehmatarespera
	 *            the ehmatarespera to set
	 */
	public void setEhmatarespera(String ehmatarespera) {
		this.ehmatarespera = ehmatarespera;
	}

	/**
	 * Method 'getEhfechapublicacionbopv'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechapublicacionbopv() {
		return this.ehfechapublicacionbopv;
	}

	/**
	 * Method 'setEhfechapublicacionbopv'.
	 * 
	 * @param ehfechapublicacionbopv
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechapublicacionbopv(Date ehfechapublicacionbopv) {
		this.ehfechapublicacionbopv = ehfechapublicacionbopv;
	}

	/**
	 * Method 'getEhfechapublicacionayto'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechapublicacionayto() {
		return this.ehfechapublicacionayto;
	}

	/**
	 * Method 'setEhfechapublicacionayto'.
	 * 
	 * @param ehfechapublicacionayto
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechapublicacionayto(Date ehfechapublicacionayto) {
		this.ehfechapublicacionayto = ehfechapublicacionayto;
	}

	/**
	 * @return the ehintervinientes
	 */
	public Clob getEhintervinientes() {
		return ehintervinientes;
	}

	/**
	 * @param ehintervinientes
	 *            the ehintervinientes to set
	 */
	public void setEhintervinientes(Clob ehintervinientes) {
		this.ehintervinientes = ehintervinientes;
	}

	/**
	 * @return the ehtipomediacion
	 */
	public String getEhtipomediacion() {
		return ehtipomediacion;
	}

	/**
	 * @param ehtipomediacion
	 *            the ehtipomediacion to set
	 */
	public void setEhtipomediacion(String ehtipomediacion) {
		this.ehtipomediacion = ehtipomediacion;
	}

	/**
	 * @return the ehorigenalegacion
	 */
	public String getEhorigenalegacion() {
		return ehorigenalegacion;
	}

	/**
	 * @param ehorigenalegacion
	 *            the ehorigenalegacion to set
	 */
	public void setEhorigenalegacion(String ehorigenalegacion) {
		this.ehorigenalegacion = ehorigenalegacion;
	}

	/**
	 * @return the ehasuntocomunicacion
	 */
	public String getEhasuntocomunicacion() {
		return ehasuntocomunicacion;
	}

	/**
	 * @param ehasuntocomunicacion
	 *            the ehasuntocomunicacion to set
	 */
	public void setEhasuntocomunicacion(String ehasuntocomunicacion) {
		this.ehasuntocomunicacion = ehasuntocomunicacion;
	}

	/**
	 * @return the ehsede
	 */
	public String getEhsede() {
		return ehsede;
	}

	/**
	 * @param ehsede
	 *            the ehsede to set
	 */
	public void setEhsede(String ehsede) {
		this.ehsede = ehsede;
	}

	/**
	 * @return the ehfechalimite
	 */
	public Date getEhfechalimite() {
		return ehfechalimite;
	}

	/**
	 * @param ehfechalimite
	 *            the ehfechalimite to set
	 */
	public void setEhfechalimite(Date ehfechalimite) {
		this.ehfechalimite = ehfechalimite;
	}

	/**
	 * Method 'getEhhoramediacioninicio'.
	 * 
	 * @return String
	 */

	public String getEhhoramediacioninicio() {
		return this.ehhoramediacioninicio;
	}

	/**
	 * Method 'setEhhoramediacioninicio'.
	 * 
	 * @param ehhoramediacioninicio
	 *            String
	 * @return
	 */

	public void setEhhoramediacioninicio(String ehhoramediacioninicio) {
		this.ehhoramediacioninicio = ehhoramediacioninicio;
	}

	/**
	 * Method 'getEhhoramediacionfin'.
	 * 
	 * @return String
	 */

	public String getEhhoramediacionfin() {
		return this.ehhoramediacionfin;
	}

	/**
	 * Method 'setEhhoramediacionfin'.
	 * 
	 * @param ehhoramediacionfin
	 *            String
	 * @return
	 */

	public void setEhhoramediacionfin(String ehhoramediacionfin) {
		this.ehhoramediacionfin = ehhoramediacionfin;
	}

	/**
	 * @return the ehcodrem
	 */
	public String getEhcodrem() {
		return ehcodrem;
	}

	/**
	 * @param ehcodrem
	 *            the ehcodrem to set
	 */
	public void setEhcodrem(String ehcodrem) {
		this.ehcodrem = ehcodrem;
	}

	/**
	 * @return the ehenvrem
	 */
	public String getEhenvrem() {
		return ehenvrem;
	}

	/**
	 * @param ehenvrem
	 *            the ehenvrem to set
	 */
	public void setEhenvrem(String ehenvrem) {
		this.ehenvrem = ehenvrem;
	}

	/**
	 * @return the ehfcodigo
	 */
	public String getEhfcodigo() {
		return ehfcodigo;
	}

	/**
	 * @param ehfcodigo
	 *            the ehfcodigo to set
	 */
	public void setEhfcodigo(String ehfcodigo) {
		this.ehfcodigo = ehfcodigo;
	}

	/**
	 * @return the ehidmailorigen
	 */
	public String getEhidmailorigen() {
		return ehidmailorigen;
	}

	/**
	 * @param ehidmailorigen
	 *            the ehidmailorigen to set
	 */
	public void setEhidmailorigen(String ehidmailorigen) {
		this.ehidmailorigen = ehidmailorigen;
	}

	/**
	 * @return the ehmailorigen
	 */
	public String getEhmailorigen() {
		return ehmailorigen;
	}

	/**
	 * @param ehmailorigen
	 *            the ehmailorigen to set
	 */
	public void setEhmailorigen(String ehmailorigen) {
		this.ehmailorigen = ehmailorigen;
	}

	/**
	 * @return the ehidmaildestino
	 */
	public String getEhidmaildestino() {
		return ehidmaildestino;
	}

	/**
	 * @param ehidmaildestino
	 *            the ehidmaildestino to set
	 */
	public void setEhidmaildestino(String ehidmaildestino) {
		this.ehidmaildestino = ehidmaildestino;
	}

	/**
	 * @return the ehmaildestino
	 */
	public String getEhmaildestino() {
		return ehmaildestino;
	}

	/**
	 * @param ehmaildestino
	 *            the ehmaildestino to set
	 */
	public void setEhmaildestino(String ehmaildestino) {
		this.ehmaildestino = ehmaildestino;
	}

	/**
	 * @return the ehfechaEnvioBOPVBOE
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechaEnvioBOPVBOE() {
		return ehfechaEnvioBOPVBOE;
	}

	/**
	 * @param ehfechaEnvioBOPVBOE
	 *            the ehfechaEnvioBOPVBOE to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechaEnvioBOPVBOE(Date ehfechaEnvioBOPVBOE) {
		this.ehfechaEnvioBOPVBOE = ehfechaEnvioBOPVBOE;
	}

	/**
	 * @return the ehdocumentacionrequerida
	 */
	public Clob getEhdocumentacionrequerida() {
		return ehdocumentacionrequerida;
	}

	/**
	 * @param ehdocumentacionrequerida
	 *            the ehdocumentacionrequerida to set
	 */
	public void setEhdocumentacionrequerida(Clob ehdocumentacionrequerida) {
		this.ehdocumentacionrequerida = ehdocumentacionrequerida;
	}

	/**
	 * @return the ehdocumentacionrequeridae
	 */
	public Clob getEhdocumentacionrequeridae() {
		return ehdocumentacionrequeridae;
	}

	/**
	 * @param ehdocumentacionrequeridae
	 *            the ehdocumentacionrequeridae to set
	 */
	public void setEhdocumentacionrequeridae(Clob ehdocumentacionrequeridae) {
		this.ehdocumentacionrequeridae = ehdocumentacionrequeridae;
	}

	/**
	 * @return the ehfeccolabsol
	 */
	@JsonSerialize(using = Y41bJsonDateTimeSerializer.class)
	public Date getEhfeccolabsol() {
		return ehfeccolabsol;
	}

	/**
	 * @param ehfeccolabsol
	 *            the ehfeccolabsol to set
	 */
	@JsonDeserialize(using = Y41bJsonDateTimeDeserializer.class)
	public void setEhfeccolabsol(Date ehfeccolabsol) {
		this.ehfeccolabsol = ehfeccolabsol;
	}

	/**
	 * @return the ehcodmotivocolabsol
	 */
	public String getEhcodmotivocolabsol() {
		return ehcodmotivocolabsol;
	}

	/**
	 * @param ehcodmotivocolabsol
	 *            the ehcodmotivocolabsol to set
	 */
	public void setEhcodmotivocolabsol(String ehcodmotivocolabsol) {
		this.ehcodmotivocolabsol = ehcodmotivocolabsol;
	}

	/**
	 * @return the ehidorganismocolabsol
	 */
	public String getEhidorganismocolabsol() {
		return ehidorganismocolabsol;
	}

	/**
	 * @param ehidorganismocolabsol
	 *            the ehidorganismocolabsol to set
	 */
	public void setEhidorganismocolabsol(String ehidorganismocolabsol) {
		this.ehidorganismocolabsol = ehidorganismocolabsol;
	}

	/**
	 * @return the ehresumencolabsol
	 */
	public Clob getEhresumencolabsol() {
		return ehresumencolabsol;
	}

	/**
	 * @param ehresumencolabsol
	 *            the ehresumencolabsol to set
	 */
	public void setEhresumencolabsol(Clob ehresumencolabsol) {
		this.ehresumencolabsol = ehresumencolabsol;
	}

	/**
	 * @return the ehfeccolabresp
	 */
	@JsonSerialize(using = Y41bJsonDateTimeSerializer.class)
	public Date getEhfeccolabresp() {
		return ehfeccolabresp;
	}

	/**
	 * @param ehfeccolabresp
	 *            the ehfeccolabresp to set
	 */
	@JsonDeserialize(using = Y41bJsonDateTimeDeserializer.class)
	public void setEhfeccolabresp(Date ehfeccolabresp) {
		this.ehfeccolabresp = ehfeccolabresp;
	}

	/**
	 * @return the ehrespuestacolabresp
	 */
	public String getEhrespuestacolabresp() {
		return ehrespuestacolabresp;
	}

	/**
	 * @param ehrespuestacolabresp
	 *            the ehrespuestacolabresp to set
	 */
	public void setEhrespuestacolabresp(String ehrespuestacolabresp) {
		this.ehrespuestacolabresp = ehrespuestacolabresp;
	}

	/**
	 * @return the ehresumencolabresp
	 */
	public Clob getEhresumencolabresp() {
		return ehresumencolabresp;
	}

	/**
	 * @param ehresumencolabresp
	 *            the ehresumencolabresp to set
	 */
	public void setEhresumencolabresp(Clob ehresumencolabresp) {
		this.ehresumencolabresp = ehresumencolabresp;
	}

	/**
	 * @return the ehproceedingsidplatea
	 */
	public String getEhproceedingsidplatea() {
		return ehproceedingsidplatea;
	}

	/**
	 * @param ehproceedingsidplatea
	 *            the ehproceedingsidplatea to set
	 */
	public void setEhproceedingsidplatea(String ehproceedingsidplatea) {
		this.ehproceedingsidplatea = ehproceedingsidplatea;
	}

	/**
	 * @return the ehacusereintentado
	 */
	public String getEhacusereintentado() {
		return ehacusereintentado;
	}

	/**
	 * @param ehacusereintentado
	 *            the ehacusereintentado to set
	 */
	public void setEhacusereintentado(String ehacusereintentado) {
		this.ehacusereintentado = ehacusereintentado;
	}

	/**
	 * @return the ehautomatico
	 */
	public String getEhautomatico() {
		return ehautomatico;
	}

	/**
	 * @param ehautomatico
	 *            the ehautomatico to set
	 */
	public void setEhautomatico(String ehautomatico) {
		this.ehautomatico = ehautomatico;
	}

	/**
	 * @return the ehresumenins
	 */
	public String getEhresumenins() {
		return ehresumenins;
	}

	/**
	 * @param ehresumenins
	 *            the ehresumenins to set
	 */
	public void setEhresumenins(String ehresumenins) {
		this.ehresumenins = ehresumenins;
	}

	/**
	 * @return the ehaceptacionins
	 */
	public String getEhaceptacionins() {
		return ehaceptacionins;
	}

	/**
	 * @param ehaceptacionins
	 *            the ehaceptacionins to set
	 */
	public void setEhaceptacionins(String ehaceptacionins) {
		this.ehaceptacionins = ehaceptacionins;
	}

	/**
	 * @return the ehmotivoins
	 */
	public String getEhmotivoins() {
		return ehmotivoins;
	}

	/**
	 * @param ehmotivoins
	 *            the ehmotivoins to set
	 */
	public void setEhmotivoins(String ehmotivoins) {
		this.ehmotivoins = ehmotivoins;
	}

	/**
	 * @return the ehcodins
	 */
	public String getEhcodins() {
		return ehcodins;
	}

	/**
	 * @param ehcodins
	 *            the ehcodins to set
	 */
	public void setEhcodins(String ehcodins) {
		this.ehcodins = ehcodins;
	}

	/**
	 * @return the ehistelematico
	 */
	public String getEhistelematico() {
		return ehistelematico;
	}

	/**
	 * @param ehistelematico
	 *            the ehistelematico to set
	 */
	public void setEhistelematico(String ehistelematico) {
		this.ehistelematico = ehistelematico;
	}

	/**
	 * @return the ehissir
	 */
	public String getEhissir() {
		return ehissir;
	}

	/**
	 * @param ehissir
	 *            the ehissir to set
	 */
	public void setEhissir(String ehissir) {
		this.ehissir = ehissir;
	}

	/**
	 * @return the ehissirconnumregentori
	 */
	public String getEhissirconnumregentori() {
		return ehissirconnumregentori;
	}

	/**
	 * @param ehissirconnumregentori
	 *            the ehissirconnumregentori to set
	 */
	public void setEhissirconnumregentori(String ehissirconnumregentori) {
		this.ehissirconnumregentori = ehissirconnumregentori;
	}

	/**
	 * @return the ehIsWebSinCertificado
	 */
	public String getEhIsWebSinCertificado() {
		return ehIsWebSinCertificado;
	}

	/**
	 * @param ehIsWebSinCertificado
	 *            the ehIsWebSinCertificado to set
	 */
	public void setEhIsWebSinCertificado(String ehIsWebSinCertificado) {
		this.ehIsWebSinCertificado = ehIsWebSinCertificado;
	}

	/**
	 * @return the ehcoorinspeccion
	 */
	public String getEhcoorinspeccion() {
		return ehcoorinspeccion;
	}

	/**
	 * @param ehcoorinspeccion
	 *            the ehcoorinspeccion to set
	 */
	public void setEhcoorinspeccion(String ehcoorinspeccion) {
		this.ehcoorinspeccion = ehcoorinspeccion;
	}

	/**
	 * @return the ehexcluircierre
	 */
	public String getEhexcluircierre() {
		return ehexcluircierre;
	}

	/**
	 * @param ehexcluircierre
	 *            the ehexcluircierre to set
	 */
	public void setEhexcluircierre(String ehexcluircierre) {
		this.ehexcluircierre = ehexcluircierre;
	}

	/**
	 * @return the ehfechasolampliacionplazo
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechasolampliacionplazo() {
		return ehfechasolampliacionplazo;
	}

	/**
	 * @param ehfechasolampliacionplazo
	 *            the ehfechasolampliacionplazo to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechasolampliacionplazo(Date ehfechasolampliacionplazo) {
		this.ehfechasolampliacionplazo = ehfechasolampliacionplazo;
	}

	/**
	 * @return the ehaceptacionplazo
	 */
	public String getEhaceptacionplazo() {
		return ehaceptacionplazo;
	}

	/**
	 * @param ehaceptacionplazo
	 *            the ehaceptacionplazo to set
	 */
	public void setEhaceptacionplazo(String ehaceptacionplazo) {
		this.ehaceptacionplazo = ehaceptacionplazo;
	}

	/**
	 * @return the ehplazoconcedido
	 */
	public String getEhplazoconcedido() {
		return ehplazoconcedido;
	}

	/**
	 * @param ehplazoconcedido
	 *            the ehplazoconcedido to set
	 */
	public void setEhplazoconcedido(String ehplazoconcedido) {
		this.ehplazoconcedido = ehplazoconcedido;
	}

	/**
	 * @return the ehidunidaddir3
	 */
	public String getEhidunidaddir3() {
		return ehidunidaddir3;
	}

	/**
	 * @param ehidunidaddir3
	 *            the ehidunidaddir3 to set
	 */
	public void setEhidunidaddir3(String ehidunidaddir3) {
		this.ehidunidaddir3 = ehidunidaddir3;
	}

	/**
	 * @return the ehapercibimientoes
	 */
	public Clob getEhapercibimientoes() {
		return ehapercibimientoes;
	}

	/**
	 * @param ehapercibimientoes
	 *            the ehapercibimientoes to set
	 */
	public void setEhapercibimientoes(Clob ehapercibimientoes) {
		this.ehapercibimientoes = ehapercibimientoes;
	}

	/**
	 * @return the ehapercibimientoeu
	 */
	public Clob getEhapercibimientoeu() {
		return ehapercibimientoeu;
	}

	/**
	 * @param ehapercibimientoeu
	 *            the ehapercibimientoeu to set
	 */
	public void setEhapercibimientoeu(Clob ehapercibimientoeu) {
		this.ehapercibimientoeu = ehapercibimientoeu;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "TramiteHecho [ehcodigo=" + ehcodigo + ", tramiteHecho=" + tramiteHecho + ", ehcotee=" + ehcotee
				+ ", ehfecha=" + ehfecha + ", ehhora=" + ehhora + ", ehcodpor=" + ehcodpor + ", ehcodpde=" + ehcodpde
				+ ", ehtexto=" + ehtexto + ", ehcohd=" + ehcohd + ", ehcozs=" + ehcozs + ", ehcomo=" + ehcomo
				+ ", ehcivihe=" + ehcivihe + ", ehcoeh=" + ehcoeh + ", ehacuse=" + ehacuse + ", ehenviomail="
				+ ehenviomail + ", ehdiremail=" + ehdiremail + ", ehcoortraspaso=" + ehcoortraspaso + ", ehcoactua="
				+ ehcoactua + ", ehfechainicio=" + ehfechainicio + ", ehfechafin=" + ehfechafin + ", ehcomoejecucion="
				+ ehcomoejecucion + ", ehcosc=" + ehcosc + ", ehrespuesta=" + ehrespuesta + ", ehfechamediacion="
				+ ehfechamediacion + ", ehhoramediacion=" + ehhoramediacion + ", ehfechaenvioconvocatoria="
				+ ehfechaenvioconvocatoria + ", ehfecharealizacion=" + ehfecharealizacion + ", ehhorarealizacion="
				+ ehhorarealizacion + ", ehfechaconciliacion=" + ehfechaconciliacion + ", ehfechafirmaacuerdo="
				+ ehfechafirmaacuerdo + ", ehplazoinspeccion=" + ehplazoinspeccion + ", incodigo=" + incodigo
				+ ", ehrespuestatraspaso=" + ehrespuestatraspaso + ", ehdecodigo=" + ehdecodigo + ", ehfecharesolucion="
				+ ehfecharesolucion + ", ehfecharecurso=" + ehfecharecurso + ", ehtiporecurso=" + ehtiporecurso
				+ ", ehabogado=" + ehabogado + ", ehestimacion=" + ehestimacion + ", ehfechacierre=" + ehfechacierre
				+ ", ehdestinatario=" + ehdestinatario + ", ehfechacomunicacion=" + ehfechacomunicacion
				+ ", ehtipocomunicacion=" + ehtipocomunicacion + ", ehtiponotificacion=" + ehtiponotificacion
				+ ", ehnumregistrosalida=" + ehnumregistrosalida + ", ehacuserecibo=" + ehacuserecibo
				+ ", ehacusereciborecibido=" + ehacusereciborecibido + ", ehnumregistroentrada=" + ehnumregistroentrada
				+ ", ehidnotificacionplatea=" + ehidnotificacionplatea + ", ehnombretramite=" + ehnombretramite
				+ ", ehnrtel1=" + ehnrtel1 + ", ehnrtel2=" + ehnrtel2 + ", ehnrtel3=" + ehnrtel3 + ", ehiddestinatario="
				+ ehiddestinatario + ", ehcomoasignado=" + ehcomoasignado + ", ehfecharegistrosalida="
				+ ehfecharegistrosalida + ", ehfecharegistroentrada=" + ehfecharegistroentrada + ", ehestadotramite="
				+ ehestadotramite + ", ehsiguientestramites=" + ehsiguientestramites + ", ehtextoacuerdo="
				+ ehtextoacuerdo + ", ehinstrucinspecc=" + ehinstrucinspecc + ", ehmotivorechazo=" + ehmotivorechazo
				+ ", ehmotivorecurso=" + ehmotivorecurso + ", ehcomodesignado=" + ehcomodesignado + ", ehrequierefirma="
				+ ehrequierefirma + ", ehresumenalegacion=" + ehresumenalegacion + ", ehresumenmediacion="
				+ ehresumenmediacion + ", ehtextocomunicacion=" + ehtextocomunicacion + ", ehtiponotificacionplatea="
				+ ehtiponotificacionplatea + ", ehidesperaplatea=" + ehidesperaplatea + ", ehmatarespera="
				+ ehmatarespera + ", ehfechapublicacionbopv=" + ehfechapublicacionbopv + ", ehfechapublicacionayto="
				+ ehfechapublicacionayto + ", ehfechaEnvioBOPVBOE=" + ehfechaEnvioBOPVBOE + ", ehintervinientes="
				+ ehintervinientes + ", ehtipomediacion=" + ehtipomediacion + ", ehorigenalegacion=" + ehorigenalegacion
				+ ", ehasuntocomunicacion=" + ehasuntocomunicacion + ", ehsede=" + ehsede + ", ehfechalimite="
				+ ehfechalimite + ", ehhoramediacioninicio=" + ehhoramediacioninicio + ", ehhoramediacionfin="
				+ ehhoramediacionfin + ", ehjustificacioninfraccion=" + ehjustificacioninfraccion + ", ehcodrem="
				+ ehcodrem + ", ehenvrem=" + ehenvrem + ", ehidmailorigen=" + ehidmailorigen + ", ehmailorigen="
				+ ehmailorigen + ", ehidmaildestino=" + ehidmaildestino + ", ehmaildestino=" + ehmaildestino
				+ ", ehdocumentacionrequerida=" + ehdocumentacionrequerida + ", ehdocumentacionrequeridae="
				+ ehdocumentacionrequeridae + ", ehfcodigo=" + ehfcodigo + ", ehfeccolabsol=" + ehfeccolabsol
				+ ", ehcodmotivocolabsol=" + ehcodmotivocolabsol + ", ehidorganismocolabsol=" + ehidorganismocolabsol
				+ ", ehresumencolabsol=" + ehresumencolabsol + ", ehfeccolabresp=" + ehfeccolabresp
				+ ", ehrespuestacolabresp=" + ehrespuestacolabresp + ", ehresumencolabresp=" + ehresumencolabresp
				+ ", tramiteHechos=" + tramiteHechos + "]";
	}
}
