package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * * TramiteINSArchivoAIP  
 * 
 *  
 */

public class TramiteINSArchivoAIP extends TramiteDatosBasicos implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	// Acta
	private String ancodigo;

	// Destinatario
	private String tidestinatario;

	private String tipoDecision;
	private Date fechaDecision;
	private Date plazoRecurso;

	/**
	 * 
	 */
	public TramiteINSArchivoAIP() {
		super();
	}

	/**
	 * @return the ancodigo
	 */
	public String getAncodigo() {
		return ancodigo;
	}

	/**
	 * @param ancodigo
	 *            the ancodigo to set
	 */
	public void setAncodigo(String ancodigo) {
		this.ancodigo = ancodigo;
	}

	/**
	 * @return the tipoDecision
	 */
	public String getTipoDecision() {
		return tipoDecision;
	}

	/**
	 * @param tipoDecision
	 *            the tipoDecision to set
	 */
	public void setTipoDecision(String tipoDecision) {
		this.tipoDecision = tipoDecision;
	}

	/**
	 * @return the fechaDecision
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaDecision() {
		return fechaDecision;
	}

	/**
	 * @param fechaDecision
	 *            the fechaDecision to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaDecision(Date fechaDecision) {
		this.fechaDecision = fechaDecision;
	}

	/**
	 * @return the tidestinatario
	 */
	public String getTidestinatario() {
		return tidestinatario;
	}

	/**
	 * @param tidestinatario
	 *            the tidestinatario to set
	 */
	public void setTidestinatario(String tidestinatario) {
		this.tidestinatario = tidestinatario;
	}

	/**
	 * @return the plazoRecurso
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getPlazoRecurso() {
		return plazoRecurso;
	}

	/**
	 * @param plazoRecurso
	 *            the plazoRecurso to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setPlazoRecurso(Date plazoRecurso) {
		this.plazoRecurso = plazoRecurso;
	}

}
