package com.ejie.y41b.model;

import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * * TramiteNotificacion  
 * 
 *  
 */

public class TramiteNotificacion extends TramiteDatosBasicos implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private Date fechaComunicacion;
	private String destinatario;
	private String sede;
	private String tipoNotificacion;
	private String tipoNotificacionPlatea;
	private Date fechasalida;
	private String numregistrosalida;
	private String textoComunicacion;

	private String idRemesaNotificacion;
	private String envRemesaNotificacion;
	private Date fechaRemesaNotificacion;

	private String ejgvDocument;
	private String firma;
	private String textoPlano;

	private String permisoModificacionDestinatario;

	private String permisoTramitar;

	private String tramiteRelacionado;

	private String notificacionPorActa;

	private String idnotificacionplatea;

	// 0155560 si tiene un tramite relacionado liquidacion se puede cambiar
	private String relacionadoLiquidacion;

	/**
	 * 
	 */
	public TramiteNotificacion() {
		super();
	}

	/**
	 * @return the fechaComunicacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaComunicacion() {
		return this.fechaComunicacion;
	}

	/**
	 * @param fechaComunicacion
	 *            the fechaComunicacion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaComunicacion(Date fechaComunicacion) {
		this.fechaComunicacion = fechaComunicacion;
	}

	/**
	 * @return the destinatario
	 */
	public String getDestinatario() {
		return this.destinatario;
	}

	/**
	 * @param destinatario
	 *            the destinatario to set
	 */
	public void setDestinatario(String destinatario) {
		this.destinatario = destinatario;
	}

	/**
	 * @return the fechasalida
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechasalida() {
		return this.fechasalida;
	}

	/**
	 * @param fechasalida
	 *            the fechasalida to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechasalida(Date fechasalida) {
		this.fechasalida = fechasalida;
	}

	/**
	 * @return the numregistrosalida
	 */
	public String getNumregistrosalida() {
		return this.numregistrosalida;
	}

	/**
	 * @param numregistrosalida
	 *            the numregistrosalida to set
	 */
	public void setNumregistrosalida(String numregistrosalida) {
		this.numregistrosalida = numregistrosalida;
	}

	/**
	 * @return the textoComunicacion
	 */
	public String getTextoComunicacion() {
		return this.textoComunicacion;
	}

	/**
	 * @param textoComunicacion
	 *            the textoComunicacion to set
	 */
	public void setTextoComunicacion(String textoComunicacion) {
		this.textoComunicacion = textoComunicacion;
	}

	/**
	 * @return the ejgvDocument
	 */
	public String getEjgvDocument() {
		return this.ejgvDocument;
	}

	/**
	 * @param ejgvDocument
	 *            the ejgvDocument to set
	 */
	public void setEjgvDocument(String ejgvDocument) {
		this.ejgvDocument = ejgvDocument;
	}

	/**
	 * @return the firma
	 */
	public String getFirma() {
		return this.firma;
	}

	/**
	 * @param firma
	 *            the firma to set
	 */
	public void setFirma(String firma) {
		this.firma = firma;
	}

	/**
	 * @return the textoPlano
	 */
	public String getTextoPlano() {
		return this.textoPlano;
	}

	/**
	 * @param textoPlano
	 *            the textoPlano to set
	 */
	public void setTextoPlano(String textoPlano) {
		this.textoPlano = textoPlano;
	}

	/**
	 * @return the tipoNotificacion
	 */
	public String getTipoNotificacion() {
		return this.tipoNotificacion;
	}

	/**
	 * @param tipoNotificacion
	 *            the tipoNotificacion to set
	 */
	public void setTipoNotificacion(String tipoNotificacion) {
		this.tipoNotificacion = tipoNotificacion;
	}

	/**
	 * @return the tipoNotificacionPlatea
	 */
	public String getTipoNotificacionPlatea() {
		return this.tipoNotificacionPlatea;
	}

	/**
	 * @param tipoNotificacionPlatea
	 *            the tipoNotificacionPlatea to set
	 */
	public void setTipoNotificacionPlatea(String tipoNotificacionPlatea) {
		this.tipoNotificacionPlatea = tipoNotificacionPlatea;
	}

	/**
	 * @return the sede
	 */
	public String getSede() {
		return this.sede;
	}

	/**
	 * @param sede
	 *            the sede to set
	 */
	public void setSede(String sede) {
		this.sede = sede;
	}

	/**
	 * @return the idRemesaNotificacion
	 */
	public String getIdRemesaNotificacion() {
		return this.idRemesaNotificacion;
	}

	/**
	 * @param idRemesaNotificacion
	 *            the idRemesaNotificacion to set
	 */
	public void setIdRemesaNotificacion(String idRemesaNotificacion) {
		this.idRemesaNotificacion = idRemesaNotificacion;
	}

	/**
	 * @return the envRemesaNotificacion
	 */
	public String getEnvRemesaNotificacion() {
		return this.envRemesaNotificacion;
	}

	/**
	 * @param envRemesaNotificacion
	 *            the envRemesaNotificacion to set
	 */
	public void setEnvRemesaNotificacion(String envRemesaNotificacion) {
		this.envRemesaNotificacion = envRemesaNotificacion;
	}

	/**
	 * @return the fechaRemesaNotificacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRemesaNotificacion() {
		return this.fechaRemesaNotificacion;
	}

	/**
	 * @param fechaRemesaNotificacion
	 *            the fechaRemesaNotificacion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRemesaNotificacion(Date fechaRemesaNotificacion) {
		this.fechaRemesaNotificacion = fechaRemesaNotificacion;
	}

	/**
	 * @return the permisoModificacionDestinatario
	 */
	public String getPermisoModificacionDestinatario() {
		return this.permisoModificacionDestinatario;
	}

	/**
	 * @param permisoModificacionDestinatario
	 *            the permisoModificacionDestinatario to set
	 */
	public void setPermisoModificacionDestinatario(
			String permisoModificacionDestinatario) {
		this.permisoModificacionDestinatario = permisoModificacionDestinatario;
	}

	/**
	 * @return the tramiteRelacionado
	 */
	public String getTramiteRelacionado() {
		return this.tramiteRelacionado;
	}

	/**
	 * @param tramiteRelacionado
	 *            the tramiteRelacionado to set
	 */
	public void setTramiteRelacionado(String tramiteRelacionado) {
		this.tramiteRelacionado = tramiteRelacionado;
	}

	/**
	 * @return the notificacionPorActa
	 */
	public String getNotificacionPorActa() {
		return this.notificacionPorActa;
	}

	/**
	 * @param notificacionPorActa
	 *            the notificacionPorActa to set
	 */
	public void setNotificacionPorActa(String notificacionPorActa) {
		this.notificacionPorActa = notificacionPorActa;
	}

	/**
	 * @return the permisoTramitar
	 */
	public String getPermisoTramitar() {
		return permisoTramitar;
	}

	/**
	 * @param permisoTramitar
	 *            the permisoTramitar to set
	 */
	public void setPermisoTramitar(String permisoTramitar) {
		this.permisoTramitar = permisoTramitar;
	}

	/**
	 * @return the idnotificacionplatea
	 */
	public String getIdnotificacionplatea() {
		return idnotificacionplatea;
	}

	/**
	 * @param idnotificacionplatea
	 *            the idnotificacionplatea to set
	 */
	public void setIdnotificacionplatea(String idnotificacionplatea) {
		this.idnotificacionplatea = idnotificacionplatea;
	}

	/**
	 * @param relacionadoLiquidacion
	 *            the relacionadoLiquidacion to set
	 */
	public void setRelacionadoLiquidacion(String relacionadoLiquidacion) {
		this.relacionadoLiquidacion = relacionadoLiquidacion;
	}

	/**
	 * @return the relacionadoLiquidacion
	 */
	public String getRelacionadoLiquidacion() {
		return relacionadoLiquidacion;
	}

}
