package com.ejie.y41b.model;

import java.util.*;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.y41b.control.Y41bJsonDateDeserializer;
import com.ejie.y41b.control.Y41bJsonDateSerializer;

/**
 * * fechaAcuerdoIncoacion  
 * 
 *  
 */

public class TramiteSANRecepcionOrdenConsejero extends TramiteDatosBasicos
		implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private Date fechaOrden;
	private String tipoEstimacion;
	private String tipoResolucion;
	private String importe;
	private String sancionAccesoria;

	/**
	 * 
	 */
	public TramiteSANRecepcionOrdenConsejero() {
		super();
	}

	/**
	 * @return the fechaOrden
	 */
	@JsonSerialize(using = Y41bJsonDateSerializer.class)
	public Date getFechaOrden() {
		return fechaOrden;
	}

	/**
	 * @param fechaOrden
	 *            the fechaOrden to set
	 */
	@JsonDeserialize(using = Y41bJsonDateDeserializer.class)
	public void setFechaOrden(Date fechaOrden) {
		this.fechaOrden = fechaOrden;
	}

	/**
	 * @return the tipoResolucion
	 */
	public String getTipoResolucion() {
		return tipoResolucion;
	}

	/**
	 * @param tipoResolucion
	 *            the tipoResolucion to set
	 */
	public void setTipoResolucion(String tipoResolucion) {
		this.tipoResolucion = tipoResolucion;
	}

	/**
	 * @return the importe
	 */
	public String getImporte() {
		return importe;
	}

	/**
	 * @param importe
	 *            the importe to set
	 */
	public void setImporte(String importe) {
		this.importe = importe;
	}

	/**
	 * @return the tipoEstimacion
	 */
	public String getTipoEstimacion() {
		return tipoEstimacion;
	}

	/**
	 * @param tipoEstimacion
	 *            the tipoEstimacion to set
	 */
	public void setTipoEstimacion(String tipoEstimacion) {
		this.tipoEstimacion = tipoEstimacion;
	}

	/**
	 * @return the sancionAccesoria
	 */
	public String getSancionAccesoria() {
		return sancionAccesoria;
	}

	/**
	 * @param sancionAccesoria
	 *            the sancionAccesoria to set
	 */
	public void setSancionAccesoria(String sancionAccesoria) {
		this.sancionAccesoria = sancionAccesoria;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "TramiteSANRecepcionOrdenConsejero [fechaOrden=" + fechaOrden
				+ ", tipoEstimacion=" + tipoEstimacion + ", tipoResolucion="
				+ tipoResolucion + ", importe=" + importe
				+ ", sancionAccesoria=" + sancionAccesoria + "]";
	}

}
