package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;

/**
 * * TrasladoEnvio  
 * 
 *  
 */

public class TrasladoBusqueda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String ihcodigo;
	private String ihcoortr; // CodA
	private BigDecimal ihnrortr; // CodB
	private BigDecimal ihnrantr; // CodC
	private Date ihfereor;
	private Date ihfereen; // Fecha registro
	private Date ihfereenDesde;
	private Date ihfereenHasta;
	private String ihtedoad;
	private String ihinintr;

	// Organismo origen
	private String ihcooror;
	private String nombreororEs;
	private String nombreororEu;

	// Organismo destino
	private String ihcoordt;
	private String nombreordtEs;
	private String nombreordtEu;

	private String sinRecepcionarDestino;

	private String numExpediente;

	// Denuncia
	private String decoor;
	private BigDecimal denran;
	private BigDecimal denror;

	// Hecho denuncia
	private String hdcodigo;
	private BigDecimal hdnror;

	// Tramite
	private Date ehfecha; // Fecha envio
	private Date ehfechaDesde;
	private Date ehfechaHasta;
	private String ehhora;

	// Monitor
	private String mocodigo;
	private String monombre;

	private String numSolicitud;

	// Constructor
	public TrasladoBusqueda() {

	}

	/**
	 * @param ihcodigo
	 * @param ihcoortr
	 * @param ihnrortr
	 * @param ihnrantr
	 * @param ihfereor
	 * @param ihfereen
	 * @param ihfereenDesde
	 * @param ihfereenHasta
	 * @param ihtedoad
	 * @param ihinintr
	 * @param ihcooror
	 * @param nombreororEs
	 * @param nombreororEu
	 * @param ihcoordt
	 * @param nombreordtEs
	 * @param nombreordtEu
	 * @param sinRecepcionarDestino
	 * @param numExpediente
	 * @param decoor
	 * @param denran
	 * @param denror
	 * @param hdcodigo
	 * @param hdnror
	 * @param ehfecha
	 * @param ehfechaDesde
	 * @param ehfechaHasta
	 * @param ehhora
	 * @param mocodigo
	 * @param monombre
	 * @param numSolicitud
	 */
	public TrasladoBusqueda(String ihcodigo, String ihcoortr,
			BigDecimal ihnrortr, BigDecimal ihnrantr, Date ihfereor,
			Date ihfereen, Date ihfereenDesde, Date ihfereenHasta,
			String ihtedoad, String ihinintr, String ihcooror,
			String nombreororEs, String nombreororEu, String ihcoordt,
			String nombreordtEs, String nombreordtEu,
			String sinRecepcionarDestino, String numExpediente, String decoor,
			BigDecimal denran, BigDecimal denror, String hdcodigo,
			BigDecimal hdnror, Date ehfecha, Date ehfechaDesde,
			Date ehfechaHasta, String ehhora, String mocodigo, String monombre,
			String numSolicitud) {
		this.ihcodigo = ihcodigo;
		this.ihcoortr = ihcoortr;
		this.ihnrortr = ihnrortr;
		this.ihnrantr = ihnrantr;
		this.ihfereor = ihfereor;
		this.ihfereen = ihfereen;
		this.ihfereenDesde = ihfereenDesde;
		this.ihfereenHasta = ihfereenHasta;
		this.ihtedoad = ihtedoad;
		this.ihinintr = ihinintr;
		this.ihcooror = ihcooror;
		this.nombreororEs = nombreororEs;
		this.nombreororEu = nombreororEu;
		this.ihcoordt = ihcoordt;
		this.nombreordtEs = nombreordtEs;
		this.nombreordtEu = nombreordtEu;
		this.sinRecepcionarDestino = sinRecepcionarDestino;
		this.numExpediente = numExpediente;
		this.decoor = decoor;
		this.denran = denran;
		this.denror = denror;
		this.hdcodigo = hdcodigo;
		this.hdnror = hdnror;
		this.ehfecha = ehfecha;
		this.ehfechaDesde = ehfechaDesde;
		this.ehfechaHasta = ehfechaHasta;
		this.ehhora = ehhora;
		this.mocodigo = mocodigo;
		this.monombre = monombre;
		this.numSolicitud = numSolicitud;
	}

	/**
	 * @return the ihcodigo
	 */
	public String getIhcodigo() {
		return ihcodigo;
	}

	/**
	 * @param ihcodigo
	 *            the ihcodigo to set
	 */
	public void setIhcodigo(String ihcodigo) {
		this.ihcodigo = ihcodigo;
	}

	/**
	 * @return the ihcoortr
	 */
	public String getIhcoortr() {
		return ihcoortr;
	}

	/**
	 * @param ihcoortr
	 *            the ihcoortr to set
	 */
	public void setIhcoortr(String ihcoortr) {
		this.ihcoortr = ihcoortr;
	}

	/**
	 * @return the ihnrortr
	 */
	public BigDecimal getIhnrortr() {
		return ihnrortr;
	}

	/**
	 * @param ihnrortr
	 *            the ihnrortr to set
	 */
	public void setIhnrortr(BigDecimal ihnrortr) {
		this.ihnrortr = ihnrortr;
	}

	/**
	 * @return the ihnrantr
	 */
	public BigDecimal getIhnrantr() {
		return ihnrantr;
	}

	/**
	 * @param ihnrantr
	 *            the ihnrantr to set
	 */
	public void setIhnrantr(BigDecimal ihnrantr) {
		this.ihnrantr = ihnrantr;
	}

	/**
	 * @return the ihfereor
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getIhfereor() {
		return ihfereor;
	}

	/**
	 * @param ihfereor
	 *            the ihfereor to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setIhfereor(Date ihfereor) {
		this.ihfereor = ihfereor;
	}

	/**
	 * @return the ihtedoad
	 */
	public String getIhtedoad() {
		return ihtedoad;
	}

	/**
	 * @param ihtedoad
	 *            the ihtedoad to set
	 */
	public void setIhtedoad(String ihtedoad) {
		this.ihtedoad = ihtedoad;
	}

	/**
	 * @return the ihcooror
	 */
	public String getIhcooror() {
		return ihcooror;
	}

	/**
	 * @param ihcooror
	 *            the ihcooror to set
	 */
	public void setIhcooror(String ihcooror) {
		this.ihcooror = ihcooror;
	}

	/**
	 * @return the ihcoordt
	 */
	public String getIhcoordt() {
		return ihcoordt;
	}

	/**
	 * @param ihcoordt
	 *            the ihcoordt to set
	 */
	public void setIhcoordt(String ihcoordt) {
		this.ihcoordt = ihcoordt;
	}

	/**
	 * @return the nombreororEs
	 */
	public String getNombreororEs() {
		return nombreororEs;
	}

	/**
	 * @param nombreororEs
	 *            the nombreororEs to set
	 */
	public void setNombreororEs(String nombreororEs) {
		this.nombreororEs = nombreororEs;
	}

	/**
	 * @return the nombreororEu
	 */
	public String getNombreororEu() {
		return nombreororEu;
	}

	/**
	 * @param nombreororEu
	 *            the nombreororEu to set
	 */
	public void setNombreororEu(String nombreororEu) {
		this.nombreororEu = nombreororEu;
	}

	/**
	 * @return the nombreordtEs
	 */
	public String getNombreordtEs() {
		return nombreordtEs;
	}

	/**
	 * @param nombreordtEs
	 *            the nombreordtEs to set
	 */
	public void setNombreordtEs(String nombreordtEs) {
		this.nombreordtEs = nombreordtEs;
	}

	/**
	 * @return the nombreordtEu
	 */
	public String getNombreordtEu() {
		return nombreordtEu;
	}

	/**
	 * @param nombreordtEu
	 *            the nombreordtEu to set
	 */
	public void setNombreordtEu(String nombreordtEu) {
		this.nombreordtEu = nombreordtEu;
	}

	/**
	 * @return the sinRecepcionarDestino
	 */
	public String getSinRecepcionarDestino() {
		return sinRecepcionarDestino;
	}

	/**
	 * @param sinRecepcionarDestino
	 *            the sinRecepcionarDestino to set
	 */
	public void setSinRecepcionarDestino(String sinRecepcionarDestino) {
		this.sinRecepcionarDestino = sinRecepcionarDestino;
	}

	/**
	 * @return the numExpediente
	 */
	public String getNumExpediente() {
		return numExpediente;
	}

	/**
	 * @param numExpediente
	 *            the numExpediente to set
	 */
	public void setNumExpediente(String numExpediente) {
		this.numExpediente = numExpediente;
	}

	/**
	 * @return the decoor
	 */
	public String getDecoor() {
		return decoor;
	}

	/**
	 * @param decoor
	 *            the decoor to set
	 */
	public void setDecoor(String decoor) {
		this.decoor = decoor;
	}

	/**
	 * @return the denran
	 */
	public BigDecimal getDenran() {
		return denran;
	}

	/**
	 * @param denran
	 *            the denran to set
	 */
	public void setDenran(BigDecimal denran) {
		this.denran = denran;
	}

	/**
	 * @return the denror
	 */
	public BigDecimal getDenror() {
		return denror;
	}

	/**
	 * @param denror
	 *            the denror to set
	 */
	public void setDenror(BigDecimal denror) {
		this.denror = denror;
	}

	/**
	 * @return the hdcodigo
	 */
	public String getHdcodigo() {
		return hdcodigo;
	}

	/**
	 * @param hdcodigo
	 *            the hdcodigo to set
	 */
	public void setHdcodigo(String hdcodigo) {
		this.hdcodigo = hdcodigo;
	}

	/**
	 * @return the hdnror
	 */
	public BigDecimal getHdnror() {
		return hdnror;
	}

	/**
	 * @param hdnror
	 *            the hdnror to set
	 */
	public void setHdnror(BigDecimal hdnror) {
		this.hdnror = hdnror;
	}

	/**
	 * @return the ehfecha
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfecha() {
		return ehfecha;
	}

	/**
	 * @param ehfecha
	 *            the ehfecha to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfecha(Date ehfecha) {
		this.ehfecha = ehfecha;
	}

	/**
	 * @return the ehhora
	 */
	public String getEhhora() {
		return ehhora;
	}

	/**
	 * @param ehhora
	 *            the ehhora to set
	 */
	public void setEhhora(String ehhora) {
		this.ehhora = ehhora;
	}

	/**
	 * @return the mocodigo
	 */
	public String getMocodigo() {
		return mocodigo;
	}

	/**
	 * @param mocodigo
	 *            the mocodigo to set
	 */
	public void setMocodigo(String mocodigo) {
		this.mocodigo = mocodigo;
	}

	/**
	 * @return the monombre
	 */
	public String getMonombre() {
		return monombre;
	}

	/**
	 * @param monombre
	 *            the monombre to set
	 */
	public void setMonombre(String monombre) {
		this.monombre = monombre;
	}

	/**
	 * @return the ihfereen
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getIhfereen() {
		return ihfereen;
	}

	/**
	 * @param ihfereen
	 *            the ihfereen to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setIhfereen(Date ihfereen) {
		this.ihfereen = ihfereen;
	}

	/**
	 * @return the ihfereenDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getIhfereenDesde() {
		return ihfereenDesde;
	}

	/**
	 * @param ihfereenDesde
	 *            the ihfereenDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setIhfereenDesde(Date ihfereenDesde) {
		this.ihfereenDesde = ihfereenDesde;
	}

	/**
	 * @return the ihfereenHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getIhfereenHasta() {
		return ihfereenHasta;
	}

	/**
	 * @param ihfereenHasta
	 *            the ihfereenHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setIhfereenHasta(Date ihfereenHasta) {
		this.ihfereenHasta = ihfereenHasta;
	}

	/**
	 * @return the ihinintr
	 */
	public String getIhinintr() {
		return ihinintr;
	}

	/**
	 * @param ihinintr
	 *            the ihinintr to set
	 */
	public void setIhinintr(String ihinintr) {
		this.ihinintr = ihinintr;
	}

	/**
	 * @return the numSolicitud
	 */
	public String getNumSolicitud() {
		return numSolicitud;
	}

	/**
	 * @param numSolicitud
	 *            the numSolicitud to set
	 */
	public void setNumSolicitud(String numSolicitud) {
		this.numSolicitud = numSolicitud;
	}

	/**
	 * @return the ehfechaDesde
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechaDesde() {
		return ehfechaDesde;
	}

	/**
	 * @param ehfechaDesde
	 *            the ehfechaDesde to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechaDesde(Date ehfechaDesde) {
		this.ehfechaDesde = ehfechaDesde;
	}

	/**
	 * @return the ehfechaHasta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getEhfechaHasta() {
		return ehfechaHasta;
	}

	/**
	 * @param ehfechaHasta
	 *            the ehfechaHasta to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setEhfechaHasta(Date ehfechaHasta) {
		this.ehfechaHasta = ehfechaHasta;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "TrasladoBusqueda [ihcodigo=" + ihcodigo + ", ihcoortr="
				+ ihcoortr + ", ihnrortr=" + ihnrortr + ", ihnrantr="
				+ ihnrantr + ", ihfereor=" + ihfereor + ", ihfereen="
				+ ihfereen + ", ihfereenDesde=" + ihfereenDesde
				+ ", ihfereenHasta=" + ihfereenHasta + ", ihtedoad=" + ihtedoad
				+ ", ihinintr=" + ihinintr + ", ihcooror=" + ihcooror
				+ ", nombreororEs=" + nombreororEs + ", nombreororEu="
				+ nombreororEu + ", ihcoordt=" + ihcoordt + ", nombreordtEs="
				+ nombreordtEs + ", nombreordtEu=" + nombreordtEu
				+ ", sinRecepcionarDestino=" + sinRecepcionarDestino
				+ ", numExpediente=" + numExpediente + ", decoor=" + decoor
				+ ", denran=" + denran + ", denror=" + denror + ", hdcodigo="
				+ hdcodigo + ", hdnror=" + hdnror + ", ehfecha=" + ehfecha
				+ ", ehfechaDesde=" + ehfechaDesde + ", ehfechaHasta="
				+ ehfechaHasta + ", ehhora=" + ehhora + ", mocodigo="
				+ mocodigo + ", monombre=" + monombre + ", numSolicitud="
				+ numSolicitud + "]";
	}

}
