package com.ejie.y41b.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 
 *  
 * 
 */
public class Y41bGrupoOrganismoTree {
	private String grupoId;
	private String padreId;
	private BigDecimal nivel;
	private String nombreEs;
	private String nombreEu;
	private String grupoPadreId;
	private String activa;
	private List<?> lstChildren = new ArrayList();
	private List<Y41bOrganismoTree> entidads = new ArrayList<Y41bOrganismoTree>();

	/**
	 * Method 'Grupo'.
	 * 
	 */
	public Y41bGrupoOrganismoTree() {
	}

	/**
	 * Method 'Grupo'.
	 * 
	 * @param grupoId
	 *            String
	 * @param nivel
	 *            BigDecimal
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param grupoPadreId
	 *            String
	 * @param activa
	 *            String
	 */
	public Y41bGrupoOrganismoTree(String grupoId, BigDecimal nivel,
			String nombreEs, String nombreEu, String grupoPadreId, String activa) {
		this.grupoId = grupoId;
		this.nivel = nivel;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.grupoPadreId = grupoPadreId;
		this.activa = activa;
	}

	/**
	 * Method 'Grupo'.
	 * 
	 * @param grupoId
	 *            String
	 * @param nivel
	 *            BigDecimal
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param grupoPadreId
	 *            String
	 * @param activa
	 *            String
	 * @param entidads
	 *            List<Entidad>
	 */
	public Y41bGrupoOrganismoTree(String grupoId, BigDecimal nivel,
			String nombreEs, String nombreEu, String grupoPadreId,
			String activa, List<Y41bOrganismoTree> entidads) {

		this.grupoId = grupoId;
		this.nivel = nivel;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.grupoPadreId = grupoPadreId;
		this.activa = activa;
		this.entidads = entidads;
	}

	/**
	 * @return the grupoId
	 */
	public String getGrupoId() {
		return this.grupoId;
	}

	/**
	 * @param grupoId
	 *            the grupoId to set
	 */
	public void setGrupoId(String grupoId) {
		this.grupoId = grupoId;
	}

	/**
	 * @return the padreId
	 */
	public String getPadreId() {
		return this.padreId;
	}

	/**
	 * @param padreId
	 *            the padreId to set
	 */
	public void setPadreId(String padreId) {
		this.padreId = padreId;
	}

	/**
	 * @return the lstChildren
	 */
	public List<?> getLstChildren() {
		return this.lstChildren;
	}

	/**
	 * @param lstChildren
	 *            the lstChildren to set
	 */
	public void setLstChildren(List<?> lstChildren) {
		this.lstChildren = lstChildren;
	}

	/**
	 * @return the nivel
	 */
	public BigDecimal getNivel() {
		return this.nivel;
	}

	/**
	 * @param nivel
	 *            the nivel to set
	 */
	public void setNivel(BigDecimal nivel) {
		this.nivel = nivel;
	}

	/**
	 * @return the nombreEs
	 */
	public String getNombreEs() {
		return this.nombreEs;
	}

	/**
	 * @param nombreEs
	 *            the nombreEs to set
	 */
	public void setNombreEs(String nombreEs) {
		this.nombreEs = nombreEs;
	}

	/**
	 * @return the nombreEu
	 */
	public String getNombreEu() {
		return this.nombreEu;
	}

	/**
	 * @param nombreEu
	 *            the nombreEu to set
	 */
	public void setNombreEu(String nombreEu) {
		this.nombreEu = nombreEu;
	}

	/**
	 * @return the grupoPadreId
	 */
	public String getGrupoPadreId() {
		return this.grupoPadreId;
	}

	/**
	 * @param grupoPadreId
	 *            the grupoPadreId to set
	 */
	public void setGrupoPadreId(String grupoPadreId) {
		this.grupoPadreId = grupoPadreId;
	}

	/**
	 * @return the activa
	 */
	public String getActiva() {
		return this.activa;
	}

	/**
	 * @param activa
	 *            the activa to set
	 */
	public void setActiva(String activa) {
		this.activa = activa;
	}

	/**
	 * @return the y42b01t00s
	 */
	public List<Y41bOrganismoTree> getEntidads() {
		return this.entidads;
	}

	/**
	 * @param entidads
	 *            the y42b01t00s to set
	 */
	public void setEntidads(List<Y41bOrganismoTree> entidads) {
		this.entidads = entidads;
	}

}
