package com.ejie.y41b.service;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.AaccEuskadiSede;
import com.ejie.y41b.model.Denuncia;

/**
 * AaccService  
 * 
 *  
 */

public interface AaccEuskadiSedeService {

	/**
	 * Inserts a single row in the Aacc table.
	 *
	 * @param aaccEuskadiSede
	 *            AaccEuskadiSede
	 * @return AaccEuskadiSede
	 */
	AaccEuskadiSede addTemp(AaccEuskadiSede aaccEuskadiSede);

	/**
	 * updates a single row in the Aacc table.
	 *
	 * @param aaccEuskadiSede
	 *            AaccEuskadiSede
	 * @return AaccEuskadiSede
	 */
	AaccEuskadiSede update(AaccEuskadiSede aaccEuskadiSede);

	/**
	 * Finds a List of rows in the AaccEuskadiSede table.
	 *
	 * @param aaccEuskadiSede
	 *            AaccEuskadiSede
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<AaccEuskadiSede> findAll(AaccEuskadiSede aaccEuskadiSede, Pagination pagination);

	/**
	 * Counts rows in the AaccEuskadiSede table.
	 *
	 * @param aaccEuskadiSede
	 *            AaccEuskadiSede
	 * @return Long
	 */
	Long findAllCount(AaccEuskadiSede aaccEuskadiSede);

	/**
	 * Deletes a single row in the AaccEuskadiSede table.
	 * 
	 * @param aaccEuskadiSede
	 *            AaccEuskadiSede
	 * @return
	 */
	void remove(AaccEuskadiSede aaccEuskadiSede);

	/**
	 * Finds a row in the AaccEuskadiSede table.
	 *
	 * @param aaccEuskadiSede
	 *            AaccEuskadiSede
	 * 
	 * @return AaccEuskadiSede
	 */
	AaccEuskadiSede findSede(AaccEuskadiSede aaccEuskadiSede);

}
