package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.ActaInfraccion;

/**
 * ActaInfraccionService  
 *  
 */

public interface ActaInfraccionService {

	/**
	 * Inserts a single row in the ActaInfraccion table.
	 *
	 * @param actaInfraccion ActaInfraccion
	 * @return ActaInfraccion
	 */
    ActaInfraccion add(ActaInfraccion actaInfraccion);

	/**
	 * Updates a single row in the ActaInfraccion table.
	 *
	 * @param actaInfraccion ActaInfraccion
	 * @return ActaInfraccion
	 */
	ActaInfraccion update(ActaInfraccion actaInfraccion);

	/**
	 * Finds a single row in the ActaInfraccion table.
	 *
	 * @param actaInfraccion ActaInfraccion
	 * @return ActaInfraccion
	 */
	ActaInfraccion find(ActaInfraccion actaInfraccion);

	/**
	 * Finds a List of rows in the ActaInfraccion table.
	 *
	 * @param actaInfraccion ActaInfraccion
	 * @param pagination Pagination
	 * @return List
	 */
	List<ActaInfraccion> findAll(ActaInfraccion actaInfraccion, Pagination pagination);

	/**
	 * Counts rows in the ActaInfraccion table.
	 *
	 * @param actaInfraccion ActaInfraccion
	 * @return Long
	 */
	Long findAllCount(ActaInfraccion actaInfraccion);
	
	/**
	 * Finds rows in the ActaInfraccion table using like.
	 *
	 * @param actaInfraccion ActaInfraccion
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<ActaInfraccion> findAllLike(ActaInfraccion actaInfraccion, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the ActaInfraccion table using like.
	 *
	 * @param actaInfraccion ActaInfraccion
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(ActaInfraccion actaInfraccion, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the ActaInfraccion table.
	 *
	 * @param actaInfraccion ActaInfraccion
	 * @return 
	 */
	void remove(ActaInfraccion actaInfraccion);
	
	/**
	 * Deletes multiple rows in the ActaInfraccion table.
	 *
	 * @param actaInfraccionList List
	 * @return 
	 */	
	void removeMultiple(List<ActaInfraccion> actaInfraccionList);
    
}


