package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Arbadhsolcomdoc;

/**
 * ArbadhsolcomdocService  
 * 
 *  
 */

public interface ArbadhsolcomdocService {

	/**
	 * Inserts a single row in the Arbadhsolcomdoc table.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @return Arbadhsolcomdoc
	 */
	Arbadhsolcomdoc add(Arbadhsolcomdoc arbadhsolcomdoc);

	/**
	 * Updates a single row in the Arbadhsolcomdoc table.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @return Arbadhsolcomdoc
	 */
	Arbadhsolcomdoc update(Arbadhsolcomdoc arbadhsolcomdoc);

	/**
	 * Finds a single row in the Arbadhsolcomdoc table.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @return Arbadhsolcomdoc
	 * @throws Exception
	 */
	Arbadhsolcomdoc find(Arbadhsolcomdoc arbadhsolcomdoc) throws Exception;

	/**
	 * Finds a List of rows in the Arbadhsolcomdoc table.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<Arbadhsolcomdoc> findAll(Arbadhsolcomdoc arbadhsolcomdoc,
			Pagination pagination);

	/**
	 * Counts rows in the Arbadhsolcomdoc table.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @return Long
	 */
	Long findAllCount(Arbadhsolcomdoc arbadhsolcomdoc);

	/**
	 * Finds rows in the Arbadhsolcomdoc table using like.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Arbadhsolcomdoc> findAllLike(Arbadhsolcomdoc arbadhsolcomdoc,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the Arbadhsolcomdoc table using like.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(Arbadhsolcomdoc arbadhsolcomdoc, Boolean startsWith);

	/**
	 * Deletes a single row in the Arbadhsolcomdoc table.
	 * 
	 * @param arbadhsolcomdoc
	 *            Arbadhsolcomdoc
	 * @return
	 */
	void remove(Arbadhsolcomdoc arbadhsolcomdoc);

	/**
	 * Deletes multiple rows in the Arbadhsolcomdoc table.
	 * 
	 * @param arbadhsolcomdocList
	 *            List
	 * @return
	 */
	void removeMultiple(List<Arbadhsolcomdoc> arbadhsolcomdocList);

}
