package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Arbpropbandeja;

/**
 * ArbpropbandejaService  
 * 
 *  
 */

public interface ArbpropbandejaService {

	/**
	 * Inserts a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Arbpropbandeja
	 */
	Arbpropbandeja add(Arbpropbandeja arbpropbandeja);

	/**
	 * Updates a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Arbpropbandeja
	 */
	Arbpropbandeja update(Arbpropbandeja arbpropbandeja);

	/**
	 * Finds a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Arbpropbandeja
	 */
	Arbpropbandeja find(Arbpropbandeja arbpropbandeja);

	/**
	 * Finds a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return String
	 */
	String findReclamante(Arbpropbandeja arbpropbandeja);

	/**
	 * Finds a List of rows in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<Arbpropbandeja> findAll(Arbpropbandeja arbpropbandeja,
			Pagination pagination);

	/**
	 * Counts rows in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Long
	 */
	Long findAllCount(Arbpropbandeja arbpropbandeja);

	/**
	 * Finds rows in the Arbpropbandeja table using like.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Arbpropbandeja> findAllLike(Arbpropbandeja arbpropbandeja,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the Arbpropbandeja table using like.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(Arbpropbandeja arbpropbandeja, Boolean startsWith);

	/**
	 * 
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return Long
	 */
	Arbpropbandeja getObserv(Arbpropbandeja arbpropbandeja);

	/**
	 * 
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * 
	 */
	void setObserv(Arbpropbandeja arbpropbandeja);

	/**
	 * Deletes a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return
	 */
	void remove(Arbpropbandeja arbpropbandeja);

	/**
	 * Deletes a single row in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandeja
	 *            Arbpropbandeja
	 * @return
	 */
	public void removeSolicitudes(Arbpropbandeja arbpropbandeja);

	/**
	 * Deletes multiple rows in the Arbpropbandeja table.
	 * 
	 * @param arbpropbandejaList
	 *            List
	 * @return
	 */
	void removeMultiple(List<Arbpropbandeja> arbpropbandejaList);

}
