package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.CampanhaComentarios;

/**
 * CampanhaComentariosService  
 *  
 */

public interface CampanhaComentariosService {

	/**
	 * Inserts a single row in the CampanhaComentarios table.
	 *
	 * @param campanhaComentarios CampanhaComentarios
	 * @return CampanhaComentarios
	 */
    CampanhaComentarios add(CampanhaComentarios campanhaComentarios);

	/**
	 * Updates a single row in the CampanhaComentarios table.
	 *
	 * @param campanhaComentarios CampanhaComentarios
	 * @return CampanhaComentarios
	 */
	CampanhaComentarios update(CampanhaComentarios campanhaComentarios);

	/**
	 * Finds a single row in the CampanhaComentarios table.
	 *
	 * @param campanhaComentarios CampanhaComentarios
	 * @return CampanhaComentarios
	 */
	CampanhaComentarios find(CampanhaComentarios campanhaComentarios);

	/**
	 * Finds a List of rows in the CampanhaComentarios table.
	 *
	 * @param campanhaComentarios CampanhaComentarios
	 * @param pagination Pagination
	 * @return List
	 */
	List<CampanhaComentarios> findAll(CampanhaComentarios campanhaComentarios, Pagination pagination);

	/**
	 * Counts rows in the CampanhaComentarios table.
	 *
	 * @param campanhaComentarios CampanhaComentarios
	 * @return Long
	 */
	Long findAllCount(CampanhaComentarios campanhaComentarios);
	
	/**
	 * Finds rows in the CampanhaComentarios table using like.
	 *
	 * @param campanhaComentarios CampanhaComentarios
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<CampanhaComentarios> findAllLike(CampanhaComentarios campanhaComentarios, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the CampanhaComentarios table using like.
	 *
	 * @param campanhaComentarios CampanhaComentarios
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(CampanhaComentarios campanhaComentarios, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the CampanhaComentarios table.
	 *
	 * @param campanhaComentarios CampanhaComentarios
	 * @return 
	 */
	void remove(CampanhaComentarios campanhaComentarios);
	
	/**
	 * Deletes multiple rows in the CampanhaComentarios table.
	 *
	 * @param campanhaComentariosList List
	 * @return 
	 */	
	void removeMultiple(List<CampanhaComentarios> campanhaComentariosList);
    
}


