package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.CampanhaProd;

/**
 * CampanhaProdService  
 *  
 */

public interface CampanhaProdService {

	/**
	 * Inserts a single row in the CampanhaProd table.
	 *
	 * @param campanhaProd CampanhaProd
	 * @return CampanhaProd
	 */
    CampanhaProd add(CampanhaProd campanhaProd);

	/**
	 * Updates a single row in the CampanhaProd table.
	 *
	 * @param campanhaProd CampanhaProd
	 * @return CampanhaProd
	 */
	CampanhaProd update(CampanhaProd campanhaProd);

	/**
	 * Finds a single row in the CampanhaProd table.
	 *
	 * @param campanhaProd CampanhaProd
	 * @return CampanhaProd
	 */
	CampanhaProd find(CampanhaProd campanhaProd);

	/**
	 * Finds a List of rows in the CampanhaProd table.
	 *
	 * @param campanhaProd CampanhaProd
	 * @param pagination Pagination
	 * @return List
	 */
	List<CampanhaProd> findAll(CampanhaProd campanhaProd, Pagination pagination);

	/**
	 * Counts rows in the CampanhaProd table.
	 *
	 * @param campanhaProd CampanhaProd
	 * @return Long
	 */
	Long findAllCount(CampanhaProd campanhaProd);
	
	/**
	 * Finds rows in the CampanhaProd table using like.
	 *
	 * @param campanhaProd CampanhaProd
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<CampanhaProd> findAllLike(CampanhaProd campanhaProd, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the CampanhaProd table using like.
	 *
	 * @param campanhaProd CampanhaProd
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(CampanhaProd campanhaProd, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the CampanhaProd table.
	 *
	 * @param campanhaProd CampanhaProd
	 * @return 
	 */
	void remove(CampanhaProd campanhaProd);
	
	/**
	 * Deletes multiple rows in the CampanhaProd table.
	 *
	 * @param campanhaProdList List
	 * @return 
	 */	
	void removeMultiple(List<CampanhaProd> campanhaProdList);
    
}


