package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.CampanhaProgramacion;

/**
 * CampanhaProgramacionService  
 *  
 */

public interface CampanhaProgramacionService {

	/**
	 * Inserts a single row in the CampanhaProgramacion table.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
	 * @return CampanhaProgramacion
	 */
    CampanhaProgramacion add(CampanhaProgramacion campanhaProgramacion);

	/**
	 * Updates a single row in the CampanhaProgramacion table.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
	 * @return CampanhaProgramacion
	 */
	CampanhaProgramacion update(CampanhaProgramacion campanhaProgramacion);

	/**
	 * Finds a single row in the CampanhaProgramacion table.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
	 * @return CampanhaProgramacion
	 */
	CampanhaProgramacion find(CampanhaProgramacion campanhaProgramacion);

	/**
	 * Finds a List of rows in the CampanhaProgramacion table.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
	 * @param pagination Pagination
	 * @return List
	 */
	List<CampanhaProgramacion> findAll(CampanhaProgramacion campanhaProgramacion, Pagination pagination);

	/**
	 * Counts rows in the CampanhaProgramacion table.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
	 * @return Long
	 */
	Long findAllCount(CampanhaProgramacion campanhaProgramacion);
	
	/**
	 * Finds rows in the CampanhaProgramacion table using like.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<CampanhaProgramacion> findAllLike(CampanhaProgramacion campanhaProgramacion, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the CampanhaProgramacion table using like.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(CampanhaProgramacion campanhaProgramacion, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the CampanhaProgramacion table.
	 *
	 * @param campanhaProgramacion CampanhaProgramacion
	 * @return 
	 */
	void remove(CampanhaProgramacion campanhaProgramacion);
	
	/**
	 * Deletes multiple rows in the CampanhaProgramacion table.
	 *
	 * @param campanhaProgramacionList List
	 * @return 
	 */	
	void removeMultiple(List<CampanhaProgramacion> campanhaProgramacionList);
    
}


