package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.ComunicacionSoivreRel;

/**
 * ComunicacionSoivreRelService  
 *  
 */

public interface ComunicacionSoivreRelService {

	/**
	 * Inserts a single row in the ComunicacionSoivreRel table.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
	 * @return ComunicacionSoivreRel
	 */
    ComunicacionSoivreRel add(ComunicacionSoivreRel comunicacionSoivreRel);

	/**
	 * Updates a single row in the ComunicacionSoivreRel table.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
	 * @return ComunicacionSoivreRel
	 */
	ComunicacionSoivreRel update(ComunicacionSoivreRel comunicacionSoivreRel);

	/**
	 * Finds a single row in the ComunicacionSoivreRel table.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
	 * @return ComunicacionSoivreRel
	 */
	ComunicacionSoivreRel find(ComunicacionSoivreRel comunicacionSoivreRel);

	/**
	 * Finds a List of rows in the ComunicacionSoivreRel table.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
	 * @param pagination Pagination
	 * @return List
	 */
	List<ComunicacionSoivreRel> findAll(ComunicacionSoivreRel comunicacionSoivreRel, Pagination pagination);

	/**
	 * Counts rows in the ComunicacionSoivreRel table.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
	 * @return Long
	 */
	Long findAllCount(ComunicacionSoivreRel comunicacionSoivreRel);
	
	/**
	 * Finds rows in the ComunicacionSoivreRel table using like.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<ComunicacionSoivreRel> findAllLike(ComunicacionSoivreRel comunicacionSoivreRel, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the ComunicacionSoivreRel table using like.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(ComunicacionSoivreRel comunicacionSoivreRel, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the ComunicacionSoivreRel table.
	 *
	 * @param comunicacionSoivreRel ComunicacionSoivreRel
	 * @return 
	 */
	void remove(ComunicacionSoivreRel comunicacionSoivreRel);
	
	/**
	 * Deletes multiple rows in the ComunicacionSoivreRel table.
	 *
	 * @param comunicacionSoivreRelList List
	 * @return 
	 */	
	void removeMultiple(List<ComunicacionSoivreRel> comunicacionSoivreRelList);
    
}


