package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.DatosMailEstablecimiento;

/**
 * DatosMailEstablecimientoService  
 *  
 */

public interface DatosMailEstablecimientoService {

	/**
	 * Inserts a single row in the DatosMailEstablecimiento table.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
	 * @return DatosMailEstablecimiento
	 */
    DatosMailEstablecimiento add(DatosMailEstablecimiento datosMailEstablecimiento);

	/**
	 * Updates a single row in the DatosMailEstablecimiento table.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
	 * @return DatosMailEstablecimiento
	 */
	DatosMailEstablecimiento update(DatosMailEstablecimiento datosMailEstablecimiento);

	/**
	 * Finds a single row in the DatosMailEstablecimiento table.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
	 * @return DatosMailEstablecimiento
	 */
	DatosMailEstablecimiento find(DatosMailEstablecimiento datosMailEstablecimiento);

	/**
	 * Finds a List of rows in the DatosMailEstablecimiento table.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
	 * @param pagination Pagination
	 * @return List
	 */
	List<DatosMailEstablecimiento> findAll(DatosMailEstablecimiento datosMailEstablecimiento, Pagination pagination);

	/**
	 * Counts rows in the DatosMailEstablecimiento table.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
	 * @return Long
	 */
	Long findAllCount(DatosMailEstablecimiento datosMailEstablecimiento);
	
	/**
	 * Finds rows in the DatosMailEstablecimiento table using like.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<DatosMailEstablecimiento> findAllLike(DatosMailEstablecimiento datosMailEstablecimiento, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the DatosMailEstablecimiento table using like.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(DatosMailEstablecimiento datosMailEstablecimiento, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the DatosMailEstablecimiento table.
	 *
	 * @param datosMailEstablecimiento DatosMailEstablecimiento
	 * @return 
	 */
	void remove(DatosMailEstablecimiento datosMailEstablecimiento);
	
	/**
	 * Deletes multiple rows in the DatosMailEstablecimiento table.
	 *
	 * @param datosMailEstablecimientoList List
	 * @return 
	 */	
	void removeMultiple(List<DatosMailEstablecimiento> datosMailEstablecimientoList);
    
}


