package com.ejie.y41b.service;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.DocumentosFirmaArbitrosTemp;

/**
 * BandejaFirmaService  
 * 
 *  
 */

public interface DocumentosFirmaArbitrosTempService {

	/**
	 * Inserts a single row in the DocumentosFirmaArbitrosTemp table.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @return DocumentosFirmaArbitrosTemp
	 */
	DocumentosFirmaArbitrosTemp add(DocumentosFirmaArbitrosTemp bandejaFirma);

	/**
	 * Updates a single row in the DocumentosFirmaArbitrosTemp table.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @return DocumentosFirmaArbitrosTemp
	 */
	DocumentosFirmaArbitrosTemp update(DocumentosFirmaArbitrosTemp bandejaFirma);

	/**
	 * Finds a single row in the DocumentosFirmaArbitrosTemp table.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @return DocumentosFirmaArbitrosTemp
	 */
	DocumentosFirmaArbitrosTemp find(DocumentosFirmaArbitrosTemp bandejaFirma);

	/**
	 * Finds a List of rows in the DocumentosFirmaArbitrosTemp table.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<DocumentosFirmaArbitrosTemp> findAll(
			DocumentosFirmaArbitrosTemp bandejaFirma, Pagination pagination);

	/**
	 * Counts rows in the DocumentosFirmaArbitrosTemp table.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @return Long
	 */
	Long findAllCount(DocumentosFirmaArbitrosTemp bandejaFirma);

	/**
	 * Finds rows in the DocumentosFirmaArbitrosTemp table using like.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<DocumentosFirmaArbitrosTemp> findAllLike(
			DocumentosFirmaArbitrosTemp bandejaFirma, Pagination pagination,
			Boolean startsWith);

	/**
	 * Counts rows in the DocumentosFirmaArbitrosTemp table using like.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(DocumentosFirmaArbitrosTemp bandejaFirma,
			Boolean startsWith);

	/**
	 * Deletes a single row in the DocumentosFirmaArbitrosTemp table.
	 * 
	 * @param bandejaFirma
	 *            DocumentosFirmaArbitrosTemp
	 * @return
	 */
	void remove(DocumentosFirmaArbitrosTemp bandejaFirma);

	/**
	 * Deletes multiple rows in the DocumentosFirmaArbitrosTemp table.
	 * 
	 * @param bandejaFirmaList
	 *            List
	 * @return
	 */
	void removeMultiple(List<DocumentosFirmaArbitrosTemp> bandejaFirmaList);

	List<DocumentosFirmaArbitrosTemp> insertarTemporales(String idTramite);

}
