package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;

import java.util.Date;
import java.util.List;

import com.ejie.y41b.model.BandejaSolicitudes;
import com.ejie.y41b.model.BandejaSolicitudesBusqueda;
import com.ejie.y41b.model.CensoMonitor;
import com.ejie.y41b.model.DocumentoSolicitudTelematicaEventos;
import com.ejie.y41b.model.SolicitudTelematicaEventos;
import com.ejie.y41b.model.TramiteHechoModal;

/**
 * BandejaSolicitudesService  
 * 
 *  
 */

public interface DocumentosSolicitudesTelematicasEventosService {

	/**
	 * Finds a List of rows in the SolicitudesTelematicasEventos table.
	 * 
	 * @param filterDocumentoSolicitudTelematicaEventos
	 *            DocumentoSolicitudTelematicaEventos
	 * 
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<DocumentoSolicitudTelematicaEventos> findAllDocumentosSTE(
			DocumentoSolicitudTelematicaEventos filterDocumentoSolicitudTelematicaEventos, Pagination pagination);

	/**
	 * Counts rows in the SolicitudesTelematicasEventos table.
	 * 
	 * @param filterDocumentoSolicitudTelematicaEventos
	 *            DocumentoSolicitudTelematicaEventos
	 * @return Long
	 */
	public Long findAllDocumentosSTECount(
			DocumentoSolicitudTelematicaEventos filterDocumentoSolicitudTelematicaEventos);

	/**
	 * Inserts a single row in the DocumentoSolicitud table.
	 * 
	 * @param documentoSolicitudTelematicaEventos
	 *            DocumentoSolicitudTelematicaEventos
	 * @return DocumentoSolicitudTelematicaEventos
	 */
	DocumentoSolicitudTelematicaEventos add(DocumentoSolicitudTelematicaEventos documentoSolicitudTelematicaEventos);

	/**
	 * Removes all rows in the DocumentoSolicitudTelematicaEventos from
	 * SolicitudTelematicaEventos.
	 * 
	 * @param solicitudTelematicaEventos
	 *            SolicitudTelematicaEventos
	 * @return
	 */
	public void removeDocumentosSolicitudTelematicaEventos(SolicitudTelematicaEventos solicitudTelematicaEventos);

}