package com.ejie.y41b.service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DataIntegrityViolationException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.constantes.Y41bConstantes;
import com.ejie.y41b.dao.ActaDao;
import com.ejie.y41b.dao.ActuacionDao;
import com.ejie.y41b.dao.AdjunDatosMailEstablecDao;
import com.ejie.y41b.dao.AdjunDatosMailSedeDao;
import com.ejie.y41b.dao.AlertaDao;
import com.ejie.y41b.dao.ArbadhintervDao;
import com.ejie.y41b.dao.ArbintervDao;
import com.ejie.y41b.dao.ArbnumadhreuDao;
import com.ejie.y41b.dao.ArbpropbandejaDao;
import com.ejie.y41b.dao.DatosMailEstablecimientoDao;
import com.ejie.y41b.dao.DatosMailSedeDao;
import com.ejie.y41b.dao.EsCanalPrioritarioDao;
import com.ejie.y41b.dao.EssaDao;
import com.ejie.y41b.dao.EstablecimArbitraDao;
import com.ejie.y41b.dao.EstablecimSectorDao;
import com.ejie.y41b.dao.EstablecimientoDao;
import com.ejie.y41b.dao.ExpedienDao;
import com.ejie.y41b.dao.HechoDenunciadoDao;
import com.ejie.y41b.dao.HistoricoDao;
import com.ejie.y41b.dao.IntervinientesDao;
import com.ejie.y41b.dao.PagosDao;
import com.ejie.y41b.dao.SanintervDao;
import com.ejie.y41b.dao.SanpropbandejaDao;
import com.ejie.y41b.dao.SedeDao;
import com.ejie.y41b.model.AaccEuskadiSede;
import com.ejie.y41b.model.Acta;
import com.ejie.y41b.model.Actividad;
import com.ejie.y41b.model.Actuacion;
import com.ejie.y41b.model.Alerta;
import com.ejie.y41b.model.AlertaDetalle;
import com.ejie.y41b.model.Arbnumadhreu;
import com.ejie.y41b.model.Descriptor;
import com.ejie.y41b.model.EsCanalPrioritario;
import com.ejie.y41b.model.EstablecimArbitra;
import com.ejie.y41b.model.EstablecimSector;
import com.ejie.y41b.model.Establecimiento;
import com.ejie.y41b.model.EstablecimientoDecisionAnyo;
import com.ejie.y41b.model.EstablecimientoDetalle;
import com.ejie.y41b.model.EstablecimientoReclamacionesAnyo;
import com.ejie.y41b.model.HechoDenunciado;
import com.ejie.y41b.model.Ooee;
import com.ejie.y41b.model.PlantillaEstablecimientoDetalle;
import com.ejie.y41b.model.Sector;
import com.ejie.y41b.model.Sede;
import com.ejie.y41b.utils.Y41bUIDGenerator;
import com.ejie.y41b.utils.Y41bUtils;
import com.ejie.y41b.utils.exception.Y41bUDAException;

/**
 * * EstablecimientoServiceImpl  
 * 
 *  
 */

@Service(value = "EsCanalPrioritarioService")
public class EsCanalPrioritarioServiceImpl implements EsCanalPrioritarioService {

	private static final Logger logger = LoggerFactory.getLogger(EsCanalPrioritarioServiceImpl.class);
	@Autowired
	private EsCanalPrioritarioDao esCanalPrioritarioDao;

	/**
	 * Finds a single row in the EsCanalPrioritario table.
	 * 
	 * @param esCanalPrioritario
	 *            EsCanalPrioritario
	 * @return EsCanalPrioritario
	 */
	public EsCanalPrioritario findEsCanalPrioritario(EsCanalPrioritario esCanalPrioritario) {

		return (EsCanalPrioritario) this.esCanalPrioritarioDao.findEsCanalPrioritario(esCanalPrioritario);
	}

}
