package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.EstablecimSector;

/**
 * EstablecimSectorService  
 * 
 *  
 */

public interface EstablecimSectorService {

	/**
	 * Inserts a single row in the EstablecimSector table.
	 * 
	 * @param EstablecimSector
	 *            EstablecimSector
	 * @return EstablecimSector
	 */
	EstablecimSector add(EstablecimSector EstablecimSector);

	/**
	 * Updates a single row in the EstablecimSector table.
	 * 
	 * @param EstablecimSector
	 *            EstablecimSector
	 * @return EstablecimSector
	 */
	EstablecimSector update(EstablecimSector EstablecimSector);

	/**
	 * Finds a single row in the EstablecimSector table.
	 * 
	 * @param EstablecimSector
	 *            EstablecimSector
	 * @return EstablecimSector
	 */
	EstablecimSector find(EstablecimSector EstablecimSector);

	/**
	 * Finds a List of rows in the EstablecimSector table.
	 * 
	 * @param EstablecimSector
	 *            EstablecimSector
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<EstablecimSector> findAll(EstablecimSector EstablecimSector,
			Pagination pagination);

	/**
	 * Counts rows in the EstablecimSector table.
	 * 
	 * @param EstablecimSector
	 *            EstablecimSector
	 * @return Long
	 */
	Long findAllCount(EstablecimSector EstablecimSector);

	/**
	 * Finds rows in the EstablecimSector table using like.
	 * 
	 * @param EstablecimSector
	 *            EstablecimSector
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<EstablecimSector> findAllLike(EstablecimSector EstablecimSector,
			Pagination pagination, Boolean startsWith);

	// /**
	// * Counts rows in the EstablecimSector table using like.
	// *
	// * @param EstablecimSector
	// * EstablecimSector
	// * @param startsWith
	// * Boolean
	// * @return Long
	// */
	// Long findAllLikeCount(EstablecimSector EstablecimSector, Boolean
	// startsWith);

	/**
	 * Deletes a single row in the EstablecimSector table.
	 * 
	 * @param EstablecimSector
	 *            EstablecimSector
	 * @return
	 */
	void remove(EstablecimSector EstablecimSector);

	/**
	 * Deletes multiple rows in the EstablecimSector table.
	 * 
	 * @param EstablecimSectorList
	 *            List
	 * @return
	 */
	void removeMultiple(List<EstablecimSector> EstablecimSectorList);

}
