package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.dao.ExcelAdheridasDao;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ejie.y41b.model.ExcelAdheridas;

/**
 * ExcelAdheridasServiceImpl  
 * 
 *  
 */

@Service(value = "excelAdheridasService")
public class ExcelAdheridasServiceImpl implements ExcelAdheridasService {

	@Autowired
	private ExcelAdheridasDao excelAdheridasDao;

	/**
	 * Finds a List of rows in the ExcelAdheridas table.
	 *
	 * @param tipoFiltro
	 *            Integer
	 * @param numeroDesde
	 *            Integer
	 * @param numeroHasta
	 *            Integer
	 * @param listaCIF
	 *            String
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<ExcelAdheridas> findAll(Integer tipoFiltro, Integer numeroDesde, Integer numeroHasta,
			List<String> listaCIF, Pagination pagination) {
		return (List<ExcelAdheridas>) this.excelAdheridasDao.findAll(tipoFiltro, numeroDesde, numeroHasta, listaCIF,
				pagination);
	}

}
