package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.FormasVenta;

/**
 * FormasVentaService  
 *  
 */

public interface FormasVentaService {

	/**
	 * Inserts a single row in the FormasVenta table.
	 *
	 * @param formasVenta FormasVenta
	 * @return FormasVenta
	 */
    FormasVenta add(FormasVenta formasVenta);

	/**
	 * Updates a single row in the FormasVenta table.
	 *
	 * @param formasVenta FormasVenta
	 * @return FormasVenta
	 */
	FormasVenta update(FormasVenta formasVenta);

	/**
	 * Finds a single row in the FormasVenta table.
	 *
	 * @param formasVenta FormasVenta
	 * @return FormasVenta
	 */
	FormasVenta find(FormasVenta formasVenta);

	/**
	 * Finds a List of rows in the FormasVenta table.
	 *
	 * @param formasVenta FormasVenta
	 * @param pagination Pagination
	 * @return List
	 */
	List<FormasVenta> findAll(FormasVenta formasVenta, Pagination pagination);

	/**
	 * Counts rows in the FormasVenta table.
	 *
	 * @param formasVenta FormasVenta
	 * @return Long
	 */
	Long findAllCount(FormasVenta formasVenta);
	
	/**
	 * Finds rows in the FormasVenta table using like.
	 *
	 * @param formasVenta FormasVenta
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<FormasVenta> findAllLike(FormasVenta formasVenta, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the FormasVenta table using like.
	 *
	 * @param formasVenta FormasVenta
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(FormasVenta formasVenta, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the FormasVenta table.
	 *
	 * @param formasVenta FormasVenta
	 * @return 
	 */
	void remove(FormasVenta formasVenta);
	
	/**
	 * Deletes multiple rows in the FormasVenta table.
	 *
	 * @param formasVentaList List
	 * @return 
	 */	
	void removeMultiple(List<FormasVenta> formasVentaList);
    
}


