package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.InspeccionesTipoDocumento;
import com.ejie.y41b.model.TipoDocumento;

/**
 * InspeccionesTipoDocumentoService  
 * 
 *  
 */

public interface InspeccionesTipoDocumentoService {

	/**
	 * Inserts a single row in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @return InspeccionesTipoDocumento
	 */
	InspeccionesTipoDocumento add(
			InspeccionesTipoDocumento inspeccionesTipoDocumento);

	/**
	 * Updates a single row in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @return InspeccionesTipoDocumento
	 */
	InspeccionesTipoDocumento update(
			InspeccionesTipoDocumento inspeccionesTipoDocumento);

	/**
	 * Finds a single row in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @return InspeccionesTipoDocumento
	 */
	InspeccionesTipoDocumento find(
			InspeccionesTipoDocumento inspeccionesTipoDocumento);

	/**
	 * Finds a List of rows in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<InspeccionesTipoDocumento> findAll(
			InspeccionesTipoDocumento inspeccionesTipoDocumento,
			Pagination pagination);

	/**
	 * Finds a List of rows in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	public List<TipoDocumento> findAllTipoDocumento(
			InspeccionesTipoDocumento inspeccionesTipoDocumento,
			Pagination pagination);

	/**
	 * Counts rows in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @return Long
	 */
	Long findAllCount(InspeccionesTipoDocumento inspeccionesTipoDocumento);

	/**
	 * Finds rows in the InspeccionesTipoDocumento table using like.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<InspeccionesTipoDocumento> findAllLike(
			InspeccionesTipoDocumento inspeccionesTipoDocumento,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the InspeccionesTipoDocumento table using like.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(InspeccionesTipoDocumento inspeccionesTipoDocumento,
			Boolean startsWith);

	/**
	 * Deletes a single row in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumento
	 *            InspeccionesTipoDocumento
	 * @return
	 */
	void remove(InspeccionesTipoDocumento inspeccionesTipoDocumento);

	/**
	 * Deletes multiple rows in the InspeccionesTipoDocumento table.
	 * 
	 * @param inspeccionesTipoDocumentoList
	 *            List
	 * @return
	 */
	void removeMultiple(
			List<InspeccionesTipoDocumento> inspeccionesTipoDocumentoList);

}
