package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.LaudosAdoptado;

/**
 * LaudosAdoptadoService  
 *  
 */

public interface LaudosAdoptadoService {

	/**
	 * Inserts a single row in the LaudosAdoptado table.
	 *
	 * @param laudosAdoptado LaudosAdoptado
	 * @return LaudosAdoptado
	 */
    LaudosAdoptado add(LaudosAdoptado laudosAdoptado);

	/**
	 * Updates a single row in the LaudosAdoptado table.
	 *
	 * @param laudosAdoptado LaudosAdoptado
	 * @return LaudosAdoptado
	 */
	LaudosAdoptado update(LaudosAdoptado laudosAdoptado);

	/**
	 * Finds a single row in the LaudosAdoptado table.
	 *
	 * @param laudosAdoptado LaudosAdoptado
	 * @return LaudosAdoptado
	 */
	LaudosAdoptado find(LaudosAdoptado laudosAdoptado);

	/**
	 * Finds a List of rows in the LaudosAdoptado table.
	 *
	 * @param laudosAdoptado LaudosAdoptado
	 * @param pagination Pagination
	 * @return List
	 */
	List<LaudosAdoptado> findAll(LaudosAdoptado laudosAdoptado, Pagination pagination);

	/**
	 * Counts rows in the LaudosAdoptado table.
	 *
	 * @param laudosAdoptado LaudosAdoptado
	 * @return Long
	 */
	Long findAllCount(LaudosAdoptado laudosAdoptado);
	
	/**
	 * Finds rows in the LaudosAdoptado table using like.
	 *
	 * @param laudosAdoptado LaudosAdoptado
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<LaudosAdoptado> findAllLike(LaudosAdoptado laudosAdoptado, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the LaudosAdoptado table using like.
	 *
	 * @param laudosAdoptado LaudosAdoptado
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(LaudosAdoptado laudosAdoptado, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the LaudosAdoptado table.
	 *
	 * @param laudosAdoptado LaudosAdoptado
	 * @return 
	 */
	void remove(LaudosAdoptado laudosAdoptado);
	
	/**
	 * Deletes multiple rows in the LaudosAdoptado table.
	 *
	 * @param laudosAdoptadoList List
	 * @return 
	 */	
	void removeMultiple(List<LaudosAdoptado> laudosAdoptadoList);
    
}


