package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.MotivosSolcolaboracion;

/**
 * MotivosSolcolaboracionService  
 *  
 */

public interface MotivosSolcolaboracionService {

	/**
	 * Inserts a single row in the MotivosSolcolaboracion table.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
	 * @return MotivosSolcolaboracion
	 */
    MotivosSolcolaboracion add(MotivosSolcolaboracion motivosSolcolaboracion);

	/**
	 * Updates a single row in the MotivosSolcolaboracion table.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
	 * @return MotivosSolcolaboracion
	 */
	MotivosSolcolaboracion update(MotivosSolcolaboracion motivosSolcolaboracion);

	/**
	 * Finds a single row in the MotivosSolcolaboracion table.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
	 * @return MotivosSolcolaboracion
	 */
	MotivosSolcolaboracion find(MotivosSolcolaboracion motivosSolcolaboracion);

	/**
	 * Finds a List of rows in the MotivosSolcolaboracion table.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
	 * @param pagination Pagination
	 * @return List
	 */
	List<MotivosSolcolaboracion> findAll(MotivosSolcolaboracion motivosSolcolaboracion, Pagination pagination);

	/**
	 * Counts rows in the MotivosSolcolaboracion table.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
	 * @return Long
	 */
	Long findAllCount(MotivosSolcolaboracion motivosSolcolaboracion);
	
	/**
	 * Finds rows in the MotivosSolcolaboracion table using like.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<MotivosSolcolaboracion> findAllLike(MotivosSolcolaboracion motivosSolcolaboracion, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the MotivosSolcolaboracion table using like.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(MotivosSolcolaboracion motivosSolcolaboracion, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the MotivosSolcolaboracion table.
	 *
	 * @param motivosSolcolaboracion MotivosSolcolaboracion
	 * @return 
	 */
	void remove(MotivosSolcolaboracion motivosSolcolaboracion);
	
	/**
	 * Deletes multiple rows in the MotivosSolcolaboracion table.
	 *
	 * @param motivosSolcolaboracionList List
	 * @return 
	 */	
	void removeMultiple(List<MotivosSolcolaboracion> motivosSolcolaboracionList);
    
}


