package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import java.util.List;
import java.util.Map;

import com.ejie.y41b.model.Parametros;

/**
 * parametrosService  
 * 
 *  
 */

public interface ParametrosService {

	/**
	 * Inserts a single row in the Parametros table.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @return Parametros
	 */
	Parametros add(Parametros parametros);

	/**
	 * Updates a single row in the Parametros table.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @return Parametros
	 */
	Parametros update(Parametros parametros);

	/**
	 * Finds a single row in the Parametros table.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @return Parametros
	 */
	Parametros find(Parametros parametros);

	/**
	 * Finds a List of rows in the Parametros table.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<Parametros> findAll(Parametros parametros, Pagination pagination);

	/**
	 * Counts rows in the Parametros table.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @return Long
	 */
	Long findAllCount(Parametros parametros);

	/**
	 * Finds rows in the Parametros table using like.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Parametros> findAllLike(Parametros parametros, Pagination pagination,
			Boolean startsWith);

	/**
	 * Counts rows in the Parametros table using like.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(Parametros parametros, Boolean startsWith);

	/**
	 * Deletes a single row in the Parametros table.
	 * 
	 * @param Parametros
	 *            Parametros
	 * @return
	 */
	void remove(Parametros parametros);

	/**
	 * Deletes multiple rows in the Parametros table.
	 * 
	 * @param ParametrosList
	 *            List
	 * @return
	 */
	void removeMultiple(List<Parametros> parametrosList);

	/**
	 * Finds rows in the Parametros table using like.
	 * 
	 * @return Map<String, String>
	 */
	Map<String, String> findParametrosFicheroADO();

}
