package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import java.util.ArrayList;
import java.util.List;

import com.ejie.y41b.model.Respuesta;

/**
 * * RespuestaService  
 * 
 *  
 */

public interface RespuestaService {

	/**
	 * Inserts a single row in the Respuesta table.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @return Respuesta
	 */
	Respuesta add(Respuesta respuesta);

	/**
	 * Updates a single row in the Respuesta table.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @return Respuesta
	 */
	Respuesta update(Respuesta respuesta);

	/**
	 * Finds a single row in the Respuesta table.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @return Respuesta
	 */
	Respuesta find(Respuesta respuesta);

	/**
	 * Finds a List of rows in the Respuesta table.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<Respuesta> findAll(Respuesta respuesta, Pagination pagination);

	/**
	 * Counts rows in the Respuesta table.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @return Long
	 */
	Long findAllCount(Respuesta respuesta);

	/**
	 * Finds rows in the Respuesta table using like.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Respuesta> findAllLike(Respuesta respuesta, Pagination pagination,
			Boolean startsWith);

	/**
	 * Deletes a single row in the Respuesta table.
	 * 
	 * @param respuesta
	 *            Respuesta
	 * @return
	 */
	void remove(Respuesta respuesta);

	/**
	 * Deletes multiple rows in the Respuesta table.
	 * 
	 * @param respuestaList
	 *            ArrayList
	 * @return
	 */
	void removeMultiple(ArrayList<Respuesta> respuestaList);

}
