package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Sancuesfondo;

/**
 * SancuesfondoService  
 *  
 */

public interface SancuesfondoService {

	/**
	 * Inserts a single row in the Sancuesfondo table.
	 *
	 * @param sancuesfondo Sancuesfondo
	 * @return Sancuesfondo
	 */
    Sancuesfondo add(Sancuesfondo sancuesfondo);

	/**
	 * Updates a single row in the Sancuesfondo table.
	 *
	 * @param sancuesfondo Sancuesfondo
	 * @return Sancuesfondo
	 */
	Sancuesfondo update(Sancuesfondo sancuesfondo);

	/**
	 * Finds a single row in the Sancuesfondo table.
	 *
	 * @param sancuesfondo Sancuesfondo
	 * @return Sancuesfondo
	 */
	Sancuesfondo find(Sancuesfondo sancuesfondo);

	/**
	 * Finds a List of rows in the Sancuesfondo table.
	 *
	 * @param sancuesfondo Sancuesfondo
	 * @param pagination Pagination
	 * @return List
	 */
	List<Sancuesfondo> findAll(Sancuesfondo sancuesfondo, Pagination pagination);

	/**
	 * Counts rows in the Sancuesfondo table.
	 *
	 * @param sancuesfondo Sancuesfondo
	 * @return Long
	 */
	Long findAllCount(Sancuesfondo sancuesfondo);
	
	/**
	 * Finds rows in the Sancuesfondo table using like.
	 *
	 * @param sancuesfondo Sancuesfondo
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<Sancuesfondo> findAllLike(Sancuesfondo sancuesfondo, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the Sancuesfondo table using like.
	 *
	 * @param sancuesfondo Sancuesfondo
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(Sancuesfondo sancuesfondo, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the Sancuesfondo table.
	 *
	 * @param sancuesfondo Sancuesfondo
	 * @return 
	 */
	void remove(Sancuesfondo sancuesfondo);
	
	/**
	 * Deletes multiple rows in the Sancuesfondo table.
	 *
	 * @param sancuesfondoList List
	 * @return 
	 */	
	void removeMultiple(List<Sancuesfondo> sancuesfondoList);
    
}


