package com.ejie.y41b.service;

import java.util.List;

import com.ejie.x38.dto.Pagination;
import com.ejie.y41b.model.Sanpropbandeja;

/**
 * SanpropbandejaService  
 * 
 *  
 */

public interface SanpropbandejaService {

	/**
	 * Inserts a single row in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return Sanpropbandeja
	 */
	Sanpropbandeja add(Sanpropbandeja sanpropbandeja);

	/**
	 * Updates a single row in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return Sanpropbandeja
	 */
	Sanpropbandeja update(Sanpropbandeja sanpropbandeja);

	/**
	 * Finds a single row in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return Sanpropbandeja
	 */
	Sanpropbandeja find(Sanpropbandeja sanpropbandeja);

	/**
	 * Finds a List of rows in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<Sanpropbandeja> findAll(Sanpropbandeja sanpropbandeja,
			Pagination pagination);

	/**
	 * Counts rows in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return Long
	 */
	Long findAllCount(Sanpropbandeja sanpropbandeja);

	/**
	 * Finds rows in the Sanpropbandeja table using like.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<Sanpropbandeja> findAllLike(Sanpropbandeja sanpropbandeja,
			Pagination pagination, Boolean startsWith);

	/**
	 * Counts rows in the Sanpropbandeja table using like.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @param startsWith
	 *            Boolean
	 * @return Long
	 */
	Long findAllLikeCount(Sanpropbandeja sanpropbandeja, Boolean startsWith);

	/**
	 * Deletes a single row in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return
	 */
	void remove(Sanpropbandeja sanpropbandeja);

	/**
	 * Deletes a single row in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return
	 */
	public void removeSolicitudes(Sanpropbandeja sanpropbandeja);

	/**
	 * Deletes a single row in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return
	 */
	public void removeInspecciones(Sanpropbandeja sanpropbandeja);

	/**
	 * Deletes multiple rows in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandejaList
	 *            List
	 * @return
	 */
	void removeMultiple(List<Sanpropbandeja> sanpropbandejaList);

	/**
	 * Updates a single row in the Sanpropbandeja table.
	 * 
	 * @param sanpropbandeja
	 *            Sanpropbandeja
	 * @return Sanpropbandeja
	 */
	Sanpropbandeja updateBaprNuevoOrganismo(Sanpropbandeja sanpropbandeja);

}
