package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Santipsanacc;

/**
 * SantipsanaccService  
 *  
 */

public interface SantipsanaccService {

	/**
	 * Inserts a single row in the Santipsanacc table.
	 *
	 * @param santipsanacc Santipsanacc
	 * @return Santipsanacc
	 */
    Santipsanacc add(Santipsanacc santipsanacc);

	/**
	 * Updates a single row in the Santipsanacc table.
	 *
	 * @param santipsanacc Santipsanacc
	 * @return Santipsanacc
	 */
	Santipsanacc update(Santipsanacc santipsanacc);

	/**
	 * Finds a single row in the Santipsanacc table.
	 *
	 * @param santipsanacc Santipsanacc
	 * @return Santipsanacc
	 */
	Santipsanacc find(Santipsanacc santipsanacc);

	/**
	 * Finds a List of rows in the Santipsanacc table.
	 *
	 * @param santipsanacc Santipsanacc
	 * @param pagination Pagination
	 * @return List
	 */
	List<Santipsanacc> findAll(Santipsanacc santipsanacc, Pagination pagination);

	/**
	 * Counts rows in the Santipsanacc table.
	 *
	 * @param santipsanacc Santipsanacc
	 * @return Long
	 */
	Long findAllCount(Santipsanacc santipsanacc);
	
	/**
	 * Finds rows in the Santipsanacc table using like.
	 *
	 * @param santipsanacc Santipsanacc
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<Santipsanacc> findAllLike(Santipsanacc santipsanacc, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the Santipsanacc table using like.
	 *
	 * @param santipsanacc Santipsanacc
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(Santipsanacc santipsanacc, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the Santipsanacc table.
	 *
	 * @param santipsanacc Santipsanacc
	 * @return 
	 */
	void remove(Santipsanacc santipsanacc);
	
	/**
	 * Deletes multiple rows in the Santipsanacc table.
	 *
	 * @param santipsanaccList List
	 * @return 
	 */	
	void removeMultiple(List<Santipsanacc> santipsanaccList);
    
}


