package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.SectorAgrupado;

/**
 * SectorAgrupadoService  
 *  
 */

public interface SectorAgrupadoService {

	/**
	 * Inserts a single row in the SectorAgrupado table.
	 *
	 * @param sectorAgrupado SectorAgrupado
	 * @return SectorAgrupado
	 */
    SectorAgrupado add(SectorAgrupado sectorAgrupado);

	/**
	 * Updates a single row in the SectorAgrupado table.
	 *
	 * @param sectorAgrupado SectorAgrupado
	 * @return SectorAgrupado
	 */
	SectorAgrupado update(SectorAgrupado sectorAgrupado);

	/**
	 * Finds a single row in the SectorAgrupado table.
	 *
	 * @param sectorAgrupado SectorAgrupado
	 * @return SectorAgrupado
	 */
	SectorAgrupado find(SectorAgrupado sectorAgrupado);

	/**
	 * Finds a List of rows in the SectorAgrupado table.
	 *
	 * @param sectorAgrupado SectorAgrupado
	 * @param pagination Pagination
	 * @return List
	 */
	List<SectorAgrupado> findAll(SectorAgrupado sectorAgrupado, Pagination pagination);

	/**
	 * Counts rows in the SectorAgrupado table.
	 *
	 * @param sectorAgrupado SectorAgrupado
	 * @return Long
	 */
	Long findAllCount(SectorAgrupado sectorAgrupado);
	
	/**
	 * Finds rows in the SectorAgrupado table using like.
	 *
	 * @param sectorAgrupado SectorAgrupado
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<SectorAgrupado> findAllLike(SectorAgrupado sectorAgrupado, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the SectorAgrupado table using like.
	 *
	 * @param sectorAgrupado SectorAgrupado
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(SectorAgrupado sectorAgrupado, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the SectorAgrupado table.
	 *
	 * @param sectorAgrupado SectorAgrupado
	 * @return 
	 */
	void remove(SectorAgrupado sectorAgrupado);
	
	/**
	 * Deletes multiple rows in the SectorAgrupado table.
	 *
	 * @param sectorAgrupadoList List
	 * @return 
	 */	
	void removeMultiple(List<SectorAgrupado> sectorAgrupadoList);
    
}


