package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.TipoDocumento;

/**
 * TipoDocumentoService  
 *  
 */

public interface TipoDocumentoService {

	/**
	 * Inserts a single row in the TipoDocumento table.
	 *
	 * @param tipoDocumento TipoDocumento
	 * @return TipoDocumento
	 */
    TipoDocumento add(TipoDocumento tipoDocumento);

	/**
	 * Updates a single row in the TipoDocumento table.
	 *
	 * @param tipoDocumento TipoDocumento
	 * @return TipoDocumento
	 */
	TipoDocumento update(TipoDocumento tipoDocumento);

	/**
	 * Finds a single row in the TipoDocumento table.
	 *
	 * @param tipoDocumento TipoDocumento
	 * @return TipoDocumento
	 */
	TipoDocumento find(TipoDocumento tipoDocumento);

	/**
	 * Finds a List of rows in the TipoDocumento table.
	 *
	 * @param tipoDocumento TipoDocumento
	 * @param pagination Pagination
	 * @return List
	 */
	List<TipoDocumento> findAll(TipoDocumento tipoDocumento, Pagination pagination);

	/**
	 * Counts rows in the TipoDocumento table.
	 *
	 * @param tipoDocumento TipoDocumento
	 * @return Long
	 */
	Long findAllCount(TipoDocumento tipoDocumento);
	
	/**
	 * Finds rows in the TipoDocumento table using like.
	 *
	 * @param tipoDocumento TipoDocumento
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<TipoDocumento> findAllLike(TipoDocumento tipoDocumento, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the TipoDocumento table using like.
	 *
	 * @param tipoDocumento TipoDocumento
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(TipoDocumento tipoDocumento, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the TipoDocumento table.
	 *
	 * @param tipoDocumento TipoDocumento
	 * @return 
	 */
	void remove(TipoDocumento tipoDocumento);
	
	/**
	 * Deletes multiple rows in the TipoDocumento table.
	 *
	 * @param tipoDocumentoList List
	 * @return 
	 */	
	void removeMultiple(List<TipoDocumento> tipoDocumentoList);
    
}


