package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.TipoInfraccionAgrupado;

/**
 * TipoInfraccionAgrupadoService  
 *  
 */

public interface TipoInfraccionAgrupadoService {

	/**
	 * Inserts a single row in the TipoInfraccionAgrupado table.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
	 * @return TipoInfraccionAgrupado
	 */
    TipoInfraccionAgrupado add(TipoInfraccionAgrupado tipoInfraccionAgrupado);

	/**
	 * Updates a single row in the TipoInfraccionAgrupado table.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
	 * @return TipoInfraccionAgrupado
	 */
	TipoInfraccionAgrupado update(TipoInfraccionAgrupado tipoInfraccionAgrupado);

	/**
	 * Finds a single row in the TipoInfraccionAgrupado table.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
	 * @return TipoInfraccionAgrupado
	 */
	TipoInfraccionAgrupado find(TipoInfraccionAgrupado tipoInfraccionAgrupado);

	/**
	 * Finds a List of rows in the TipoInfraccionAgrupado table.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
	 * @param pagination Pagination
	 * @return List
	 */
	List<TipoInfraccionAgrupado> findAll(TipoInfraccionAgrupado tipoInfraccionAgrupado, Pagination pagination);

	/**
	 * Counts rows in the TipoInfraccionAgrupado table.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
	 * @return Long
	 */
	Long findAllCount(TipoInfraccionAgrupado tipoInfraccionAgrupado);
	
	/**
	 * Finds rows in the TipoInfraccionAgrupado table using like.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<TipoInfraccionAgrupado> findAllLike(TipoInfraccionAgrupado tipoInfraccionAgrupado, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the TipoInfraccionAgrupado table using like.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(TipoInfraccionAgrupado tipoInfraccionAgrupado, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the TipoInfraccionAgrupado table.
	 *
	 * @param tipoInfraccionAgrupado TipoInfraccionAgrupado
	 * @return 
	 */
	void remove(TipoInfraccionAgrupado tipoInfraccionAgrupado);
	
	/**
	 * Deletes multiple rows in the TipoInfraccionAgrupado table.
	 *
	 * @param tipoInfraccionAgrupadoList List
	 * @return 
	 */	
	void removeMultiple(List<TipoInfraccionAgrupado> tipoInfraccionAgrupadoList);
    
}


