package com.ejie.y41b.service;

import com.ejie.x38.dto.Pagination;
import java.util.ArrayList;
import java.util.List;

import com.ejie.y41b.model.TipoRespuesta;

/**
 * * TipoRespuestaService  
 * 
 *  
 */

public interface TipoRespuestaService {

	/**
	 * Inserts a single row in the TipoRespuesta table.
	 * 
	 * @param tipoRespuesta
	 *            TipoRespuesta
	 * @return TipoRespuesta
	 */
	TipoRespuesta add(TipoRespuesta tipoRespuesta);

	/**
	 * Updates a single row in the TipoRespuesta table.
	 * 
	 * @param tipoRespuesta
	 *            TipoRespuesta
	 * @return TipoRespuesta
	 */
	TipoRespuesta update(TipoRespuesta tipoRespuesta);

	/**
	 * Finds a single row in the TipoRespuesta table.
	 * 
	 * @param tipoRespuesta
	 *            TipoRespuesta
	 * @return TipoRespuesta
	 */
	TipoRespuesta find(TipoRespuesta tipoRespuesta);

	/**
	 * Finds a List of rows in the TipoRespuesta table.
	 * 
	 * @param tipoRespuesta
	 *            TipoRespuesta
	 * @param pagination
	 *            Pagination
	 * @return List
	 */
	List<TipoRespuesta> findAll(TipoRespuesta tipoRespuesta,
			Pagination pagination);

	/**
	 * Counts rows in the TipoRespuesta table.
	 * 
	 * @param tipoRespuesta
	 *            TipoRespuesta
	 * @return Long
	 */
	Long findAllCount(TipoRespuesta tipoRespuesta);

	/**
	 * Finds rows in the TipoRespuesta table using like.
	 * 
	 * @param tipoRespuesta
	 *            TipoRespuesta
	 * @param pagination
	 *            Pagination
	 * @param startsWith
	 *            Boolean
	 * @return List
	 */
	List<TipoRespuesta> findAllLike(TipoRespuesta tipoRespuesta,
			Pagination pagination, Boolean startsWith);

	/**
	 * Deletes a single row in the TipoRespuesta table.
	 * 
	 * @param tipoRespuesta
	 *            TipoRespuesta
	 * @return
	 */
	void remove(TipoRespuesta tipoRespuesta);

	/**
	 * Deletes multiple rows in the TipoRespuesta table.
	 * 
	 * @param tipoRespuestaList
	 *            ArrayList
	 * @return
	 */
	void removeMultiple(ArrayList<TipoRespuesta> tipoRespuestaList);

}
