package com.ejie.y41b.service;


import com.ejie.x38.dto.Pagination;
import java.util.List;

import com.ejie.y41b.model.Tipopronunciamento;

/**
 * TipopronunciamentoService  
 *  
 */

public interface TipopronunciamentoService {

	/**
	 * Inserts a single row in the Tipopronunciamento table.
	 *
	 * @param tipopronunciamento Tipopronunciamento
	 * @return Tipopronunciamento
	 */
    Tipopronunciamento add(Tipopronunciamento tipopronunciamento);

	/**
	 * Updates a single row in the Tipopronunciamento table.
	 *
	 * @param tipopronunciamento Tipopronunciamento
	 * @return Tipopronunciamento
	 */
	Tipopronunciamento update(Tipopronunciamento tipopronunciamento);

	/**
	 * Finds a single row in the Tipopronunciamento table.
	 *
	 * @param tipopronunciamento Tipopronunciamento
	 * @return Tipopronunciamento
	 */
	Tipopronunciamento find(Tipopronunciamento tipopronunciamento);

	/**
	 * Finds a List of rows in the Tipopronunciamento table.
	 *
	 * @param tipopronunciamento Tipopronunciamento
	 * @param pagination Pagination
	 * @return List
	 */
	List<Tipopronunciamento> findAll(Tipopronunciamento tipopronunciamento, Pagination pagination);

	/**
	 * Counts rows in the Tipopronunciamento table.
	 *
	 * @param tipopronunciamento Tipopronunciamento
	 * @return Long
	 */
	Long findAllCount(Tipopronunciamento tipopronunciamento);
	
	/**
	 * Finds rows in the Tipopronunciamento table using like.
	 *
	 * @param tipopronunciamento Tipopronunciamento
	 * @param pagination Pagination
     * @param startsWith Boolean	 
	 * @return List
	 */
	List<Tipopronunciamento> findAllLike(Tipopronunciamento tipopronunciamento, Pagination pagination, Boolean startsWith) ;

	/**
	 * Counts rows in the Tipopronunciamento table using like.
	 *
	 * @param tipopronunciamento Tipopronunciamento
     * @param startsWith Boolean	 
	 * @return Long
	 */
	Long findAllLikeCount(Tipopronunciamento tipopronunciamento, Boolean startsWith) ;
  
	/**
	 * Deletes a single row in the Tipopronunciamento table.
	 *
	 * @param tipopronunciamento Tipopronunciamento
	 * @return 
	 */
	void remove(Tipopronunciamento tipopronunciamento);
	
	/**
	 * Deletes multiple rows in the Tipopronunciamento table.
	 *
	 * @param tipopronunciamentoList List
	 * @return 
	 */	
	void removeMultiple(List<Tipopronunciamento> tipopronunciamentoList);
    
}


