
package com.ejie.y41b.ws.cliente.eika.cp.consultaResultadoPagos;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.Properties;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

import com.ejie.y41b.constantes.Y41bConstantes;
import com.ejie.y41b.utils.config.Y41bConfig;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebServiceClient(name = "SI_CP_034_ConsultaResultadoPagos_OSService", targetNamespace = "http://iecisa.com/po/cp", wsdlLocation = "/datos/y41b/wsdl/consultaResultadoPagos.wsdl")
public class SICP034ConsultaResultadoPagosOSService extends Service {

	private final static URL SICP034CONSULTARESULTADOPAGOSOSSERVICE_WSDL_LOCATION;
	private final static Logger logger = Logger.getLogger(
			com.ejie.y41b.ws.cliente.eika.cp.consultaResultadoPagos.SICP034ConsultaResultadoPagosOSService.class
					.getName());

	static {
		URL url = null;
		Properties prop = Y41bConfig.loadProperties(Y41bConstantes.CONFIG_PATH);
		try {
			URL baseUrl;
			baseUrl = com.ejie.y41b.ws.cliente.eika.cp.consultaResultadoPagos.SICP034ConsultaResultadoPagosOSService.class
					.getResource(".");
			url = new URL(baseUrl, prop.getProperty("URL_EIKA_CONSULTA_RESULTADO_PAGOS"));
		} catch (MalformedURLException e) {
			logger.warning("Failed to create URL for the wsdl Location: '"
					+ prop.getProperty("URL_EIKA_CONSULTA_RESULTADO_PAGOS") + "', retrying as a local file");
			logger.warning(e.getMessage());
		}
		SICP034CONSULTARESULTADOPAGOSOSSERVICE_WSDL_LOCATION = url;
	}

	public SICP034ConsultaResultadoPagosOSService(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}

	public SICP034ConsultaResultadoPagosOSService() {
		super(SICP034CONSULTARESULTADOPAGOSOSSERVICE_WSDL_LOCATION,
				new QName("http://iecisa.com/po/cp", "SI_CP_034_ConsultaResultadoPagos_OSService"));
	}

	/**
	 * 
	 * @return returns SICP034ConsultaResultadoPagosOS
	 */
	@WebEndpoint(name = "HTTPS_Port")
	public SICP034ConsultaResultadoPagosOS getHTTPSPort() {
		return super.getPort(new QName("http://iecisa.com/po/cp", "HTTPS_Port"), SICP034ConsultaResultadoPagosOS.class);
	}

	/**
	 * 
	 * @param features
	 *            A list of {@link javax.xml.ws.WebServiceFeature} to configure
	 *            on the proxy. Supported features not in the
	 *            <code>features</code> parameter will have their default
	 *            values.
	 * @return returns SICP034ConsultaResultadoPagosOS
	 */
	@WebEndpoint(name = "HTTPS_Port")
	public SICP034ConsultaResultadoPagosOS getHTTPSPort(WebServiceFeature... features) {
		return super.getPort(new QName("http://iecisa.com/po/cp", "HTTPS_Port"), SICP034ConsultaResultadoPagosOS.class,
				features);
	}

}
