
package com.ejie.y41b.ws.cliente.eika.tesoreria.consultaTerceros;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.Properties;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

import com.ejie.y41b.constantes.Y41bConstantes;
import com.ejie.y41b.utils.config.Y41bConfig;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebServiceClient(name = "SI_TR_001_ConsulTerceros_OSService", targetNamespace = "http://iecisa.com/po/tesoreria", wsdlLocation = "/datos/y41b/wsdl/consultaTerceros.wsdl")
public class SITR001ConsulTercerosOSService extends Service {

	private final static URL SITR001CONSULTERCEROSOSSERVICE_WSDL_LOCATION;
	private final static Logger logger = Logger.getLogger(
			com.ejie.y41b.ws.cliente.eika.tesoreria.consultaTerceros.SITR001ConsulTercerosOSService.class.getName());

	static {
		URL url = null;
		Properties prop = Y41bConfig.loadProperties(Y41bConstantes.CONFIG_PATH);
		try {
			URL baseUrl;
			baseUrl = com.ejie.y41b.ws.cliente.eika.tesoreria.consultaTerceros.SITR001ConsulTercerosOSService.class
					.getResource(".");
			url = new URL(baseUrl, prop.getProperty("URL_EIKA_CONSULTA_TERCEROS"));
		} catch (MalformedURLException e) {
			logger.warning("Failed to create URL for the wsdl Location: '"
					+ prop.getProperty("URL_EIKA_CONSULTA_TERCEROS") + "', retrying as a local file");
			logger.warning(e.getMessage());
		}
		SITR001CONSULTERCEROSOSSERVICE_WSDL_LOCATION = url;
	}

	public SITR001ConsulTercerosOSService(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}

	public SITR001ConsulTercerosOSService() {
		super(SITR001CONSULTERCEROSOSSERVICE_WSDL_LOCATION,
				new QName("http://iecisa.com/po/tesoreria", "SI_TR_001_ConsulTerceros_OSService"));
	}

	/**
	 * 
	 * @return returns SITR001ConsulTercerosOS
	 */
	@WebEndpoint(name = "HTTPS_Port")
	public SITR001ConsulTercerosOS getHTTPSPort() {
		return super.getPort(new QName("http://iecisa.com/po/tesoreria", "HTTPS_Port"), SITR001ConsulTercerosOS.class);
	}

	/**
	 * 
	 * @param features
	 *            A list of {@link javax.xml.ws.WebServiceFeature} to configure
	 *            on the proxy. Supported features not in the
	 *            <code>features</code> parameter will have their default
	 *            values.
	 * @return returns SITR001ConsulTercerosOS
	 */
	@WebEndpoint(name = "HTTPS_Port")
	public SITR001ConsulTercerosOS getHTTPSPort(WebServiceFeature... features) {
		return super.getPort(new QName("http://iecisa.com/po/tesoreria", "HTTPS_Port"), SITR001ConsulTercerosOS.class,
				features);
	}

}
